window.Gleam.initSearch([{"doc":"midas_sdk","title":"midas_sdk","content":"# midas_sdk\n\n[![Package Version](https://img.shields.io/hexpm/v/midas_sdk)](https://hex.pm/packages/midas_sdk)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/midas_sdk/)\n\nA set of SDK&#39;s for building tasks with midas.\nNote this is not meant to be an exhaustive set for any given usecase.\nInstead if functions as quick implemetations of scripts and automations,\nthis is the usecase midas wants to champion using Gleam for.\nThis package can also be used as examples for how to implement sdk&#39;s that work with midas.\n\n```sh\ngleam add midas_sdk@1\n```\n```gleam\nimport midas_sdk\n\npub fn main() {\n  // TODO: An example of the project in use\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/midas_sdk&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"midas/sdk/accu_weather/forecast","title":"DailyForecast","content":"pub type DailyForecast {\n  DailyForecast(\n    date: String,\n    sunrise: String,\n    sunset: String,\n    minimum_temperature: Float,\n    maximum_temperature: Float,\n    day: Detail,\n    night: Detail,\n  )\n}\n\nDailyForecast(\n  date: String,\n  sunrise: String,\n  sunset: String,\n  minimum_temperature: Float,\n  maximum_temperature: Float,\n  day: Detail,\n  night: Detail,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.DailyForecast\nmidas/sdk/accu_weather/forecast DailyForecast","url":"midas/sdk/accu_weather/forecast.html#DailyForecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"Detail","content":"pub type Detail {\n  Detail(\n    precipitation_probability: Int,\n    wind_speed: Float,\n    wind_direction: String,\n  )\n}\n\nDetail(\n  precipitation_probability: Int,\n  wind_speed: Float,\n  wind_direction: String,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.Detail\nmidas/sdk/accu_weather/forecast Detail","url":"midas/sdk/accu_weather/forecast.html#Detail"},{"doc":"midas/sdk/accu_weather/forecast","title":"daily_forcast_decoder","content":"pub fn daily_forcast_decoder(\n  raw: Dynamic,\n) -&gt; Result(DailyForecast, List(DecodeError))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.daily_forcast_decoder\nmidas/sdk/accu_weather/forecast daily_forcast_decoder","url":"midas/sdk/accu_weather/forecast.html#daily_forcast_decoder"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast","content":"pub fn five_day_forecast(\n  api_key: String,\n  location: String,\n) -&gt; Effect(List(DailyForecast))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast\nmidas/sdk/accu_weather/forecast five_day_forecast","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_request","content":"pub fn five_day_forecast_request(\n  api_key: String,\n  location: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_request\nmidas/sdk/accu_weather/forecast five_day_forecast_request","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_request"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_response","content":"pub fn five_day_forecast_response(\n  response: Response(BitArray),\n) -&gt; Result(List(DailyForecast), Snag)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_response\nmidas/sdk/accu_weather/forecast five_day_forecast_response","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_response"},{"doc":"midas/sdk/accu_weather/forecast","title":"midas/sdk/accu_weather/forecast","content":"","url":"midas/sdk/accu_weather/forecast.html"},{"doc":"midas/sdk/accu_weather/location","title":"stockholm","content":"pub const stockholm: String\n\nSynonyms:\nmidas/sdk/accu_weather/location.stockholm\nmidas/sdk/accu_weather/location stockholm","url":"midas/sdk/accu_weather/location.html#stockholm"},{"doc":"midas/sdk/accu_weather/location","title":"midas/sdk/accu_weather/location","content":"","url":"midas/sdk/accu_weather/location.html"},{"doc":"midas/sdk/bluesky","title":"create_post","content":"pub fn create_post(\n  access_token: String,\n  handle: String,\n  text: String,\n  at: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/bluesky.create_post\nmidas/sdk/bluesky create_post","url":"midas/sdk/bluesky.html#create_post"},{"doc":"midas/sdk/bluesky","title":"create_session","content":"pub fn create_session(\n  handle: String,\n  password: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/bluesky.create_session\nmidas/sdk/bluesky create_session","url":"midas/sdk/bluesky.html#create_session"},{"doc":"midas/sdk/bluesky","title":"midas/sdk/bluesky","content":"","url":"midas/sdk/bluesky.html"},{"doc":"midas/sdk/netlify/schema","title":"AccessToken","content":"pub type AccessToken {\n  AccessToken(\n    user_email: Option(String),\n    created_at: Option(String),\n    user_id: Option(String),\n    id: Option(String),\n    access_token: Option(String),\n  )\n}\n\nAccessToken(\n  user_email: Option(String),\n  created_at: Option(String),\n  user_id: Option(String),\n  id: Option(String),\n  access_token: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccessToken\nmidas/sdk/netlify/schema AccessToken","url":"midas/sdk/netlify/schema.html#AccessToken"},{"doc":"midas/sdk/netlify/schema","title":"AccountAddMemberSetup","content":"pub type AccountAddMemberSetup {\n  AccountAddMemberSetup(\n    role: Option(String),\n    email: Option(String),\n  )\n}\n\nAccountAddMemberSetup(\n  role: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountAddMemberSetup\nmidas/sdk/netlify/schema AccountAddMemberSetup","url":"midas/sdk/netlify/schema.html#AccountAddMemberSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountMembership","content":"pub type AccountMembership {\n  AccountMembership(\n    type_id: Option(String),\n    payment_method_id: Option(String),\n    billing_period: Option(String),\n    roles_allowed: Option(List(String)),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    owner_ids: Option(List(String)),\n    billing_name: Option(String),\n    type_name: Option(String),\n    capabilities: Option(Nil),\n    updated_at: Option(String),\n    billing_email: Option(String),\n    type_: Option(String),\n    id: Option(String),\n    billing_details: Option(String),\n  )\n}\n\nAccountMembership(\n  type_id: Option(String),\n  payment_method_id: Option(String),\n  billing_period: Option(String),\n  roles_allowed: Option(List(String)),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  owner_ids: Option(List(String)),\n  billing_name: Option(String),\n  type_name: Option(String),\n  capabilities: Option(Nil),\n  updated_at: Option(String),\n  billing_email: Option(String),\n  type_: Option(String),\n  id: Option(String),\n  billing_details: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountMembership\nmidas/sdk/netlify/schema AccountMembership","url":"midas/sdk/netlify/schema.html#AccountMembership"},{"doc":"midas/sdk/netlify/schema","title":"AccountSetup","content":"pub type AccountSetup {\n  AccountSetup(\n    type_id: Option(String),\n    payment_method_id: Option(String),\n    period: Option(String),\n    name: Option(String),\n    extra_seats_block: Option(Int),\n  )\n}\n\nAccountSetup(\n  type_id: Option(String),\n  payment_method_id: Option(String),\n  period: Option(String),\n  name: Option(String),\n  extra_seats_block: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountSetup\nmidas/sdk/netlify/schema AccountSetup","url":"midas/sdk/netlify/schema.html#AccountSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountType","content":"pub type AccountType {\n  AccountType(\n    monthly_seats_addon_dollar_price: Option(Int),\n    yearly_seats_addon_dollar_price: Option(Int),\n    name: Option(String),\n    capabilities: Option(Nil),\n    monthly_dollar_price: Option(Int),\n    id: Option(String),\n    yearly_dollar_price: Option(Int),\n    description: Option(String),\n  )\n}\n\nAccountType(\n  monthly_seats_addon_dollar_price: Option(Int),\n  yearly_seats_addon_dollar_price: Option(Int),\n  name: Option(String),\n  capabilities: Option(Nil),\n  monthly_dollar_price: Option(Int),\n  id: Option(String),\n  yearly_dollar_price: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountType\nmidas/sdk/netlify/schema AccountType","url":"midas/sdk/netlify/schema.html#AccountType"},{"doc":"midas/sdk/netlify/schema","title":"AccountUpdateMemberSetup","content":"pub type AccountUpdateMemberSetup {\n  AccountUpdateMemberSetup(\n    site_ids: Option(List(String)),\n    role: Option(String),\n    site_access: Option(String),\n  )\n}\n\nAccountUpdateMemberSetup(\n  site_ids: Option(List(String)),\n  role: Option(String),\n  site_access: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountUpdateMemberSetup\nmidas/sdk/netlify/schema AccountUpdateMemberSetup","url":"midas/sdk/netlify/schema.html#AccountUpdateMemberSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountUpdateSetup","content":"pub type AccountUpdateSetup {\n  AccountUpdateSetup(\n    type_id: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    extra_seats_block: Option(Int),\n    billing_name: Option(String),\n    billing_email: Option(String),\n    billing_details: Option(String),\n  )\n}\n\nAccountUpdateSetup(\n  type_id: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  extra_seats_block: Option(Int),\n  billing_name: Option(String),\n  billing_email: Option(String),\n  billing_details: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountUpdateSetup\nmidas/sdk/netlify/schema AccountUpdateSetup","url":"midas/sdk/netlify/schema.html#AccountUpdateSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountUsageCapability","content":"pub type AccountUsageCapability {\n  AccountUsageCapability(\n    included: Option(Int),\n    used: Option(Int),\n  )\n}\n\nAccountUsageCapability(included: Option(Int), used: Option(Int))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountUsageCapability\nmidas/sdk/netlify/schema AccountUsageCapability","url":"midas/sdk/netlify/schema.html#AccountUsageCapability"},{"doc":"midas/sdk/netlify/schema","title":"Asset","content":"pub type Asset {\n  Asset(\n    content_type: Option(String),\n    size: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    creator_id: Option(String),\n    url: Option(String),\n    state: Option(String),\n    visibility: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    id: Option(String),\n    key: Option(String),\n  )\n}\n\nAsset(\n  content_type: Option(String),\n  size: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  creator_id: Option(String),\n  url: Option(String),\n  state: Option(String),\n  visibility: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  id: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Asset\nmidas/sdk/netlify/schema Asset","url":"midas/sdk/netlify/schema.html#Asset"},{"doc":"midas/sdk/netlify/schema","title":"AssetForm","content":"pub type AssetForm {\n  AssetForm(url: Option(String), fields: Option(Nil))\n}\n\nAssetForm(url: Option(String), fields: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AssetForm\nmidas/sdk/netlify/schema AssetForm","url":"midas/sdk/netlify/schema.html#AssetForm"},{"doc":"midas/sdk/netlify/schema","title":"AssetPublicSignature","content":"pub type AssetPublicSignature {\n  AssetPublicSignature(url: Option(String))\n}\n\nAssetPublicSignature(url: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AssetPublicSignature\nmidas/sdk/netlify/schema AssetPublicSignature","url":"midas/sdk/netlify/schema.html#AssetPublicSignature"},{"doc":"midas/sdk/netlify/schema","title":"AssetSignature","content":"pub type AssetSignature {\n  AssetSignature(form: Option(Nil), asset: Option(Nil))\n}\n\nAssetSignature(form: Option(Nil), asset: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AssetSignature\nmidas/sdk/netlify/schema AssetSignature","url":"midas/sdk/netlify/schema.html#AssetSignature"},{"doc":"midas/sdk/netlify/schema","title":"AuditLog","content":"pub type AuditLog {\n  AuditLog(\n    account_id: Option(String),\n    payload: Option(Nil),\n    id: Option(String),\n  )\n}\n\nAuditLog(\n  account_id: Option(String),\n  payload: Option(Nil),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AuditLog\nmidas/sdk/netlify/schema AuditLog","url":"midas/sdk/netlify/schema.html#AuditLog"},{"doc":"midas/sdk/netlify/schema","title":"Build","content":"pub type Build {\n  Build(\n    done: Option(Bool),\n    error: Option(String),\n    created_at: Option(String),\n    sha: Option(String),\n    deploy_id: Option(String),\n    id: Option(String),\n  )\n}\n\nBuild(\n  done: Option(Bool),\n  error: Option(String),\n  created_at: Option(String),\n  sha: Option(String),\n  deploy_id: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Build\nmidas/sdk/netlify/schema Build","url":"midas/sdk/netlify/schema.html#Build"},{"doc":"midas/sdk/netlify/schema","title":"BuildHook","content":"pub type BuildHook {\n  BuildHook(\n    branch: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    site_id: Option(String),\n    title: Option(String),\n    id: Option(String),\n  )\n}\n\nBuildHook(\n  branch: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  site_id: Option(String),\n  title: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildHook\nmidas/sdk/netlify/schema BuildHook","url":"midas/sdk/netlify/schema.html#BuildHook"},{"doc":"midas/sdk/netlify/schema","title":"BuildHookSetup","content":"pub type BuildHookSetup {\n  BuildHookSetup(branch: Option(String), title: Option(String))\n}\n\nBuildHookSetup(branch: Option(String), title: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildHookSetup\nmidas/sdk/netlify/schema BuildHookSetup","url":"midas/sdk/netlify/schema.html#BuildHookSetup"},{"doc":"midas/sdk/netlify/schema","title":"BuildLogMsg","content":"pub type BuildLogMsg {\n  BuildLogMsg(\n    section: Option(String),\n    message: Option(String),\n    error: Option(Bool),\n  )\n}\n\nBuildLogMsg(\n  section: Option(String),\n  message: Option(String),\n  error: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildLogMsg\nmidas/sdk/netlify/schema BuildLogMsg","url":"midas/sdk/netlify/schema.html#BuildLogMsg"},{"doc":"midas/sdk/netlify/schema","title":"BuildSetup","content":"pub type BuildSetup {\n  BuildSetup(clear_cache: Option(Bool), image: Option(String))\n}\n\nBuildSetup(clear_cache: Option(Bool), image: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildSetup\nmidas/sdk/netlify/schema BuildSetup","url":"midas/sdk/netlify/schema.html#BuildSetup"},{"doc":"midas/sdk/netlify/schema","title":"BuildStatus","content":"pub type BuildStatus {\n  BuildStatus(\n    active: Option(Int),\n    pending_concurrency: Option(Int),\n    enqueued: Option(Int),\n    build_count: Option(Int),\n    minutes: Option(Nil),\n  )\n}\n\nBuildStatus(\n  active: Option(Int),\n  pending_concurrency: Option(Int),\n  enqueued: Option(Int),\n  build_count: Option(Int),\n  minutes: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildStatus\nmidas/sdk/netlify/schema BuildStatus","url":"midas/sdk/netlify/schema.html#BuildStatus"},{"doc":"midas/sdk/netlify/schema","title":"Deploy","content":"pub type Deploy {\n  Deploy(\n    draft: Option(Bool),\n    branch: Option(String),\n    review_id: Option(Float),\n    published_at: Option(String),\n    deploy_ssl_url: Option(String),\n    commit_url: Option(String),\n    review_url: Option(String),\n    created_at: Option(String),\n    locked: Option(Bool),\n    commit_ref: Option(String),\n    name: Option(String),\n    build_id: Option(String),\n    url: Option(String),\n    context: Option(String),\n    user_id: Option(String),\n    error_message: Option(String),\n    skipped: Option(Bool),\n    state: Option(String),\n    site_id: Option(String),\n    function_schedules: Option(Nil),\n    screenshot_url: Option(String),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    title: Option(String),\n    id: Option(String),\n    required_functions: Option(List(String)),\n    ssl_url: Option(String),\n    framework: Option(String),\n    admin_url: Option(String),\n    required: Option(List(String)),\n  )\n}\n\nDeploy(\n  draft: Option(Bool),\n  branch: Option(String),\n  review_id: Option(Float),\n  published_at: Option(String),\n  deploy_ssl_url: Option(String),\n  commit_url: Option(String),\n  review_url: Option(String),\n  created_at: Option(String),\n  locked: Option(Bool),\n  commit_ref: Option(String),\n  name: Option(String),\n  build_id: Option(String),\n  url: Option(String),\n  context: Option(String),\n  user_id: Option(String),\n  error_message: Option(String),\n  skipped: Option(Bool),\n  state: Option(String),\n  site_id: Option(String),\n  function_schedules: Option(Nil),\n  screenshot_url: Option(String),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  title: Option(String),\n  id: Option(String),\n  required_functions: Option(List(String)),\n  ssl_url: Option(String),\n  framework: Option(String),\n  admin_url: Option(String),\n  required: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Deploy\nmidas/sdk/netlify/schema Deploy","url":"midas/sdk/netlify/schema.html#Deploy"},{"doc":"midas/sdk/netlify/schema","title":"DeployFiles","content":"pub type DeployFiles {\n  DeployFiles(\n    draft: Option(Bool),\n    branch: Option(String),\n    functions_config: Option(Nil),\n    function_schedules: Option(Nil),\n    files: Option(Nil),\n    framework_version: Option(String),\n    functions: Option(Nil),\n    async: Option(Bool),\n    framework: Option(String),\n  )\n}\n\nDeployFiles(\n  draft: Option(Bool),\n  branch: Option(String),\n  functions_config: Option(Nil),\n  function_schedules: Option(Nil),\n  files: Option(Nil),\n  framework_version: Option(String),\n  functions: Option(Nil),\n  async: Option(Bool),\n  framework: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DeployFiles\nmidas/sdk/netlify/schema DeployFiles","url":"midas/sdk/netlify/schema.html#DeployFiles"},{"doc":"midas/sdk/netlify/schema","title":"DeployKey","content":"pub type DeployKey {\n  DeployKey(\n    public_key: Option(String),\n    created_at: Option(String),\n    id: Option(String),\n  )\n}\n\nDeployKey(\n  public_key: Option(String),\n  created_at: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DeployKey\nmidas/sdk/netlify/schema DeployKey","url":"midas/sdk/netlify/schema.html#DeployKey"},{"doc":"midas/sdk/netlify/schema","title":"DeployedBranch","content":"pub type DeployedBranch {\n  DeployedBranch(\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    deploy_id: Option(String),\n    id: Option(String),\n    ssl_url: Option(String),\n  )\n}\n\nDeployedBranch(\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  deploy_id: Option(String),\n  id: Option(String),\n  ssl_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DeployedBranch\nmidas/sdk/netlify/schema DeployedBranch","url":"midas/sdk/netlify/schema.html#DeployedBranch"},{"doc":"midas/sdk/netlify/schema","title":"DevServer","content":"pub type DevServer {\n  DevServer(\n    branch: Option(String),\n    live_at: Option(String),\n    created_at: Option(String),\n    error_at: Option(String),\n    url: Option(String),\n    done_at: Option(String),\n    state: Option(String),\n    starting_at: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    title: Option(String),\n    id: Option(String),\n  )\n}\n\nDevServer(\n  branch: Option(String),\n  live_at: Option(String),\n  created_at: Option(String),\n  error_at: Option(String),\n  url: Option(String),\n  done_at: Option(String),\n  state: Option(String),\n  starting_at: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  title: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DevServer\nmidas/sdk/netlify/schema DevServer","url":"midas/sdk/netlify/schema.html#DevServer"},{"doc":"midas/sdk/netlify/schema","title":"DevServerHook","content":"pub type DevServerHook {\n  DevServerHook(\n    branch: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    site_id: Option(String),\n    title: Option(String),\n    type_: Option(String),\n    id: Option(String),\n  )\n}\n\nDevServerHook(\n  branch: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  site_id: Option(String),\n  title: Option(String),\n  type_: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DevServerHook\nmidas/sdk/netlify/schema DevServerHook","url":"midas/sdk/netlify/schema.html#DevServerHook"},{"doc":"midas/sdk/netlify/schema","title":"DevServerHookSetup","content":"pub type DevServerHookSetup {\n  DevServerHookSetup(\n    branch: Option(String),\n    title: Option(String),\n    type_: Option(String),\n  )\n}\n\nDevServerHookSetup(\n  branch: Option(String),\n  title: Option(String),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DevServerHookSetup\nmidas/sdk/netlify/schema DevServerHookSetup","url":"midas/sdk/netlify/schema.html#DevServerHookSetup"},{"doc":"midas/sdk/netlify/schema","title":"DnsRecord","content":"pub type DnsRecord {\n  DnsRecord(\n    priority: Option(Int),\n    ttl: Option(Int),\n    flag: Option(Int),\n    value: Option(String),\n    hostname: Option(String),\n    site_id: Option(String),\n    dns_zone_id: Option(String),\n    type_: Option(String),\n    tag: Option(String),\n    id: Option(String),\n    managed: Option(Bool),\n  )\n}\n\nDnsRecord(\n  priority: Option(Int),\n  ttl: Option(Int),\n  flag: Option(Int),\n  value: Option(String),\n  hostname: Option(String),\n  site_id: Option(String),\n  dns_zone_id: Option(String),\n  type_: Option(String),\n  tag: Option(String),\n  id: Option(String),\n  managed: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsRecord\nmidas/sdk/netlify/schema DnsRecord","url":"midas/sdk/netlify/schema.html#DnsRecord"},{"doc":"midas/sdk/netlify/schema","title":"DnsRecordCreate","content":"pub type DnsRecordCreate {\n  DnsRecordCreate(\n    port: Option(Int),\n    priority: Option(Int),\n    ttl: Option(Int),\n    flag: Option(Int),\n    value: Option(String),\n    hostname: Option(String),\n    weight: Option(Int),\n    type_: Option(String),\n    tag: Option(String),\n  )\n}\n\nDnsRecordCreate(\n  port: Option(Int),\n  priority: Option(Int),\n  ttl: Option(Int),\n  flag: Option(Int),\n  value: Option(String),\n  hostname: Option(String),\n  weight: Option(Int),\n  type_: Option(String),\n  tag: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsRecordCreate\nmidas/sdk/netlify/schema DnsRecordCreate","url":"midas/sdk/netlify/schema.html#DnsRecordCreate"},{"doc":"midas/sdk/netlify/schema","title":"DnsRecords","content":"pub type DnsRecords {\n  DnsRecords\n}\n\nDnsRecords\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsRecords\nmidas/sdk/netlify/schema DnsRecords","url":"midas/sdk/netlify/schema.html#DnsRecords"},{"doc":"midas/sdk/netlify/schema","title":"DnsZone","content":"pub type DnsZone {\n  DnsZone(\n    records: Option(Nil),\n    domain: Option(String),\n    ipv6_enabled: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    errors: Option(List(String)),\n    account_id: Option(String),\n    dedicated: Option(Bool),\n    user_id: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    dns_servers: Option(List(String)),\n    id: Option(String),\n    supported_record_types: Option(List(String)),\n    account_name: Option(String),\n    account_slug: Option(String),\n  )\n}\n\nDnsZone(\n  records: Option(Nil),\n  domain: Option(String),\n  ipv6_enabled: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  errors: Option(List(String)),\n  account_id: Option(String),\n  dedicated: Option(Bool),\n  user_id: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  dns_servers: Option(List(String)),\n  id: Option(String),\n  supported_record_types: Option(List(String)),\n  account_name: Option(String),\n  account_slug: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsZone\nmidas/sdk/netlify/schema DnsZone","url":"midas/sdk/netlify/schema.html#DnsZone"},{"doc":"midas/sdk/netlify/schema","title":"DnsZoneSetup","content":"pub type DnsZoneSetup {\n  DnsZoneSetup(\n    name: Option(String),\n    site_id: Option(String),\n    account_slug: Option(String),\n  )\n}\n\nDnsZoneSetup(\n  name: Option(String),\n  site_id: Option(String),\n  account_slug: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsZoneSetup\nmidas/sdk/netlify/schema DnsZoneSetup","url":"midas/sdk/netlify/schema.html#DnsZoneSetup"},{"doc":"midas/sdk/netlify/schema","title":"DnsZones","content":"pub type DnsZones {\n  DnsZones\n}\n\nDnsZones\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsZones\nmidas/sdk/netlify/schema DnsZones","url":"midas/sdk/netlify/schema.html#DnsZones"},{"doc":"midas/sdk/netlify/schema","title":"EnvVar","content":"pub type EnvVar {\n  EnvVar(\n    values: Option(Nil),\n    is_secret: Option(Bool),\n    updated_at: Option(String),\n    updated_by: Option(Nil),\n    scopes: Option(List(String)),\n    key: Option(String),\n  )\n}\n\nEnvVar(\n  values: Option(Nil),\n  is_secret: Option(Bool),\n  updated_at: Option(String),\n  updated_by: Option(Nil),\n  scopes: Option(List(String)),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.EnvVar\nmidas/sdk/netlify/schema EnvVar","url":"midas/sdk/netlify/schema.html#EnvVar"},{"doc":"midas/sdk/netlify/schema","title":"EnvVarUser","content":"pub type EnvVarUser {\n  EnvVarUser(\n    avatar_url: Option(String),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nEnvVarUser(\n  avatar_url: Option(String),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.EnvVarUser\nmidas/sdk/netlify/schema EnvVarUser","url":"midas/sdk/netlify/schema.html#EnvVarUser"},{"doc":"midas/sdk/netlify/schema","title":"EnvVarValue","content":"pub type EnvVarValue {\n  EnvVarValue(\n    context: Option(String),\n    value: Option(String),\n    context_parameter: Option(String),\n    id: Option(String),\n  )\n}\n\nEnvVarValue(\n  context: Option(String),\n  value: Option(String),\n  context_parameter: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.EnvVarValue\nmidas/sdk/netlify/schema EnvVarValue","url":"midas/sdk/netlify/schema.html#EnvVarValue"},{"doc":"midas/sdk/netlify/schema","title":"Error","content":"pub type Error {\n  Error(message: Option(String), code: Option(Int))\n}\n\nError(message: Option(String), code: Option(Int))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Error\nmidas/sdk/netlify/schema Error","url":"midas/sdk/netlify/schema.html#Error"},{"doc":"midas/sdk/netlify/schema","title":"ExcludedFunctionRoute","content":"pub type ExcludedFunctionRoute {\n  ExcludedFunctionRoute(\n    literal: Option(String),\n    pattern: Option(String),\n    expression: Option(String),\n  )\n}\n\nExcludedFunctionRoute(\n  literal: Option(String),\n  pattern: Option(String),\n  expression: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.ExcludedFunctionRoute\nmidas/sdk/netlify/schema ExcludedFunctionRoute","url":"midas/sdk/netlify/schema.html#ExcludedFunctionRoute"},{"doc":"midas/sdk/netlify/schema","title":"File","content":"pub type File {\n  File(\n    size: Option(Int),\n    path: Option(String),\n    mime_type: Option(String),\n    sha: Option(String),\n    id: Option(String),\n  )\n}\n\nFile(\n  size: Option(Int),\n  path: Option(String),\n  mime_type: Option(String),\n  sha: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.File\nmidas/sdk/netlify/schema File","url":"midas/sdk/netlify/schema.html#File"},{"doc":"midas/sdk/netlify/schema","title":"Form","content":"pub type Form {\n  Form(\n    created_at: Option(String),\n    name: Option(String),\n    paths: Option(List(String)),\n    site_id: Option(String),\n    fields: Option(Nil),\n    id: Option(String),\n    submission_count: Option(Int),\n  )\n}\n\nForm(\n  created_at: Option(String),\n  name: Option(String),\n  paths: Option(List(String)),\n  site_id: Option(String),\n  fields: Option(Nil),\n  id: Option(String),\n  submission_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Form\nmidas/sdk/netlify/schema Form","url":"midas/sdk/netlify/schema.html#Form"},{"doc":"midas/sdk/netlify/schema","title":"Function","content":"pub type Function {\n  Function(\n    name: Option(String),\n    sha: Option(String),\n    id: Option(String),\n  )\n}\n\nFunction(\n  name: Option(String),\n  sha: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Function\nmidas/sdk/netlify/schema Function","url":"midas/sdk/netlify/schema.html#Function"},{"doc":"midas/sdk/netlify/schema","title":"FunctionConfig","content":"pub type FunctionConfig {\n  FunctionConfig(\n    priority: Option(Int),\n    display_name: Option(String),\n    routes: Option(Nil),\n    generator: Option(String),\n    traffic_rules: Option(Nil),\n    build_data: Option(Nil),\n    excluded_routes: Option(Nil),\n  )\n}\n\nFunctionConfig(\n  priority: Option(Int),\n  display_name: Option(String),\n  routes: Option(Nil),\n  generator: Option(String),\n  traffic_rules: Option(Nil),\n  build_data: Option(Nil),\n  excluded_routes: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.FunctionConfig\nmidas/sdk/netlify/schema FunctionConfig","url":"midas/sdk/netlify/schema.html#FunctionConfig"},{"doc":"midas/sdk/netlify/schema","title":"FunctionRoute","content":"pub type FunctionRoute {\n  FunctionRoute(\n    literal: Option(String),\n    pattern: Option(String),\n    methods: Option(List(String)),\n    expression: Option(String),\n    prefer_static: Option(Bool),\n  )\n}\n\nFunctionRoute(\n  literal: Option(String),\n  pattern: Option(String),\n  methods: Option(List(String)),\n  expression: Option(String),\n  prefer_static: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.FunctionRoute\nmidas/sdk/netlify/schema FunctionRoute","url":"midas/sdk/netlify/schema.html#FunctionRoute"},{"doc":"midas/sdk/netlify/schema","title":"FunctionSchedule","content":"pub type FunctionSchedule {\n  FunctionSchedule(name: Option(String), cron: Option(String))\n}\n\nFunctionSchedule(name: Option(String), cron: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.FunctionSchedule\nmidas/sdk/netlify/schema FunctionSchedule","url":"midas/sdk/netlify/schema.html#FunctionSchedule"},{"doc":"midas/sdk/netlify/schema","title":"Hook","content":"pub type Hook {\n  Hook(\n    created_at: Option(String),\n    data: Option(Nil),\n    site_id: Option(String),\n    updated_at: Option(String),\n    event: Option(String),\n    type_: Option(String),\n    id: Option(String),\n    disabled: Option(Bool),\n  )\n}\n\nHook(\n  created_at: Option(String),\n  data: Option(Nil),\n  site_id: Option(String),\n  updated_at: Option(String),\n  event: Option(String),\n  type_: Option(String),\n  id: Option(String),\n  disabled: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Hook\nmidas/sdk/netlify/schema Hook","url":"midas/sdk/netlify/schema.html#Hook"},{"doc":"midas/sdk/netlify/schema","title":"HookType","content":"pub type HookType {\n  HookType(\n    name: Option(String),\n    events: Option(List(String)),\n    fields: Option(Nil),\n  )\n}\n\nHookType(\n  name: Option(String),\n  events: Option(List(String)),\n  fields: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.HookType\nmidas/sdk/netlify/schema HookType","url":"midas/sdk/netlify/schema.html#HookType"},{"doc":"midas/sdk/netlify/schema","title":"Member","content":"pub type Member {\n  Member(\n    role: Option(String),\n    avatar: Option(String),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nMember(\n  role: Option(String),\n  avatar: Option(String),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Member\nmidas/sdk/netlify/schema Member","url":"midas/sdk/netlify/schema.html#Member"},{"doc":"midas/sdk/netlify/schema","title":"Metadata","content":"pub type Metadata {\n  Metadata\n}\n\nMetadata\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Metadata\nmidas/sdk/netlify/schema Metadata","url":"midas/sdk/netlify/schema.html#Metadata"},{"doc":"midas/sdk/netlify/schema","title":"PaymentMethod","content":"pub type PaymentMethod {\n  PaymentMethod(\n    method_name: Option(String),\n    created_at: Option(String),\n    data: Option(Nil),\n    state: Option(String),\n    updated_at: Option(String),\n    type_: Option(String),\n    id: Option(String),\n  )\n}\n\nPaymentMethod(\n  method_name: Option(String),\n  created_at: Option(String),\n  data: Option(Nil),\n  state: Option(String),\n  updated_at: Option(String),\n  type_: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PaymentMethod\nmidas/sdk/netlify/schema PaymentMethod","url":"midas/sdk/netlify/schema.html#PaymentMethod"},{"doc":"midas/sdk/netlify/schema","title":"Plugin","content":"pub type Plugin {\n  Plugin(package: Option(String), pinned_version: Option(String))\n}\n\nPlugin(package: Option(String), pinned_version: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Plugin\nmidas/sdk/netlify/schema Plugin","url":"midas/sdk/netlify/schema.html#Plugin"},{"doc":"midas/sdk/netlify/schema","title":"PluginParams","content":"pub type PluginParams {\n  PluginParams(pinned_version: Option(String))\n}\n\nPluginParams(pinned_version: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PluginParams\nmidas/sdk/netlify/schema PluginParams","url":"midas/sdk/netlify/schema.html#PluginParams"},{"doc":"midas/sdk/netlify/schema","title":"PluginRun","content":"pub type PluginRun {\n  PluginRun(\n    package: Option(String),\n    summary: Option(String),\n    reporting_event: Option(String),\n    text: Option(String),\n    state: Option(String),\n    deploy_id: Option(String),\n    version: Option(String),\n    title: Option(String),\n  )\n}\n\nPluginRun(\n  package: Option(String),\n  summary: Option(String),\n  reporting_event: Option(String),\n  text: Option(String),\n  state: Option(String),\n  deploy_id: Option(String),\n  version: Option(String),\n  title: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PluginRun\nmidas/sdk/netlify/schema PluginRun","url":"midas/sdk/netlify/schema.html#PluginRun"},{"doc":"midas/sdk/netlify/schema","title":"PluginRunData","content":"pub type PluginRunData {\n  PluginRunData(\n    package: Option(String),\n    summary: Option(String),\n    reporting_event: Option(String),\n    text: Option(String),\n    state: Option(String),\n    version: Option(String),\n    title: Option(String),\n  )\n}\n\nPluginRunData(\n  package: Option(String),\n  summary: Option(String),\n  reporting_event: Option(String),\n  text: Option(String),\n  state: Option(String),\n  version: Option(String),\n  title: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PluginRunData\nmidas/sdk/netlify/schema PluginRunData","url":"midas/sdk/netlify/schema.html#PluginRunData"},{"doc":"midas/sdk/netlify/schema","title":"Purge","content":"pub type Purge {\n  Purge(\n    site_slug: Option(String),\n    site_id: Option(String),\n    cache_tags: Option(List(String)),\n  )\n}\n\nPurge(\n  site_slug: Option(String),\n  site_id: Option(String),\n  cache_tags: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Purge\nmidas/sdk/netlify/schema Purge","url":"midas/sdk/netlify/schema.html#Purge"},{"doc":"midas/sdk/netlify/schema","title":"RepoInfo","content":"pub type RepoInfo {\n  RepoInfo(\n    installation_id: Option(Int),\n    stop_builds: Option(Bool),\n    repo_url: Option(String),\n    allowed_branches: Option(List(String)),\n    public_repo: Option(Bool),\n    functions_dir: Option(String),\n    private_logs: Option(Bool),\n    dir: Option(String),\n    env: Option(Nil),\n    repo_branch: Option(String),\n    provider: Option(String),\n    repo_path: Option(String),\n    deploy_key_id: Option(String),\n    cmd: Option(String),\n    id: Option(Int),\n  )\n}\n\nRepoInfo(\n  installation_id: Option(Int),\n  stop_builds: Option(Bool),\n  repo_url: Option(String),\n  allowed_branches: Option(List(String)),\n  public_repo: Option(Bool),\n  functions_dir: Option(String),\n  private_logs: Option(Bool),\n  dir: Option(String),\n  env: Option(Nil),\n  repo_branch: Option(String),\n  provider: Option(String),\n  repo_path: Option(String),\n  deploy_key_id: Option(String),\n  cmd: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.RepoInfo\nmidas/sdk/netlify/schema RepoInfo","url":"midas/sdk/netlify/schema.html#RepoInfo"},{"doc":"midas/sdk/netlify/schema","title":"Service","content":"pub type Service {\n  Service(\n    environments: Option(List(String)),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    service_path: Option(String),\n    updated_at: Option(String),\n    tags: Option(List(String)),\n    icon: Option(String),\n    events: Option(Nil),\n    long_description: Option(String),\n    id: Option(String),\n    description: Option(String),\n    manifest_url: Option(String),\n  )\n}\n\nService(\n  environments: Option(List(String)),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  service_path: Option(String),\n  updated_at: Option(String),\n  tags: Option(List(String)),\n  icon: Option(String),\n  events: Option(Nil),\n  long_description: Option(String),\n  id: Option(String),\n  description: Option(String),\n  manifest_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Service\nmidas/sdk/netlify/schema Service","url":"midas/sdk/netlify/schema.html#Service"},{"doc":"midas/sdk/netlify/schema","title":"ServiceInstance","content":"pub type ServiceInstance {\n  ServiceInstance(\n    config: Option(Nil),\n    created_at: Option(String),\n    external_attributes: Option(Nil),\n    env: Option(Nil),\n    url: Option(String),\n    service_path: Option(String),\n    service_name: Option(String),\n    service_slug: Option(String),\n    snippets: Option(Nil),\n    updated_at: Option(String),\n    auth_url: Option(String),\n    id: Option(String),\n  )\n}\n\nServiceInstance(\n  config: Option(Nil),\n  created_at: Option(String),\n  external_attributes: Option(Nil),\n  env: Option(Nil),\n  url: Option(String),\n  service_path: Option(String),\n  service_name: Option(String),\n  service_slug: Option(String),\n  snippets: Option(Nil),\n  updated_at: Option(String),\n  auth_url: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.ServiceInstance\nmidas/sdk/netlify/schema ServiceInstance","url":"midas/sdk/netlify/schema.html#ServiceInstance"},{"doc":"midas/sdk/netlify/schema","title":"Site","content":"pub type Site {\n  Site(\n    domain_aliases: Option(List(String)),\n    deploy_preview_custom_domain: Option(String),\n    session_id: Option(String),\n    id_domain: Option(String),\n    notification_email: Option(String),\n    managed_dns: Option(Bool),\n    plan: Option(String),\n    build_image: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    ssl: Option(Bool),\n    account_id: Option(String),\n    url: Option(String),\n    user_id: Option(String),\n    processing_settings: Option(Nil),\n    state: Option(String),\n    custom_domain: Option(String),\n    build_settings: Option(Nil),\n    screenshot_url: Option(String),\n    capabilities: Option(Nil),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    branch_deploy_custom_domain: Option(String),\n    default_hooks_data: Option(Nil),\n    functions_region: Option(String),\n    published_deploy: Option(Nil),\n    force_ssl: Option(Bool),\n    prerender: Option(String),\n    id: Option(String),\n    deploy_hook: Option(String),\n    password: Option(String),\n    ssl_url: Option(String),\n    account_name: Option(String),\n    account_slug: Option(String),\n    git_provider: Option(String),\n    admin_url: Option(String),\n  )\n}\n\nSite(\n  domain_aliases: Option(List(String)),\n  deploy_preview_custom_domain: Option(String),\n  session_id: Option(String),\n  id_domain: Option(String),\n  notification_email: Option(String),\n  managed_dns: Option(Bool),\n  plan: Option(String),\n  build_image: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  ssl: Option(Bool),\n  account_id: Option(String),\n  url: Option(String),\n  user_id: Option(String),\n  processing_settings: Option(Nil),\n  state: Option(String),\n  custom_domain: Option(String),\n  build_settings: Option(Nil),\n  screenshot_url: Option(String),\n  capabilities: Option(Nil),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  branch_deploy_custom_domain: Option(String),\n  default_hooks_data: Option(Nil),\n  functions_region: Option(String),\n  published_deploy: Option(Nil),\n  force_ssl: Option(Bool),\n  prerender: Option(String),\n  id: Option(String),\n  deploy_hook: Option(String),\n  password: Option(String),\n  ssl_url: Option(String),\n  account_name: Option(String),\n  account_slug: Option(String),\n  git_provider: Option(String),\n  admin_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Site\nmidas/sdk/netlify/schema Site","url":"midas/sdk/netlify/schema.html#Site"},{"doc":"midas/sdk/netlify/schema","title":"SiteFunction","content":"pub type SiteFunction {\n  SiteFunction(\n    branch: Option(String),\n    created_at: Option(String),\n    provider: Option(String),\n    log_type: Option(String),\n    id: Option(String),\n    functions: Option(Nil),\n  )\n}\n\nSiteFunction(\n  branch: Option(String),\n  created_at: Option(String),\n  provider: Option(String),\n  log_type: Option(String),\n  id: Option(String),\n  functions: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SiteFunction\nmidas/sdk/netlify/schema SiteFunction","url":"midas/sdk/netlify/schema.html#SiteFunction"},{"doc":"midas/sdk/netlify/schema","title":"SiteSetup","content":"pub type SiteSetup {\n  SiteSetup(\n    domain_aliases: Option(List(String)),\n    deploy_preview_custom_domain: Option(String),\n    session_id: Option(String),\n    id_domain: Option(String),\n    notification_email: Option(String),\n    managed_dns: Option(Bool),\n    plan: Option(String),\n    build_image: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    ssl: Option(Bool),\n    account_id: Option(String),\n    url: Option(String),\n    user_id: Option(String),\n    processing_settings: Option(Nil),\n    state: Option(String),\n    custom_domain: Option(String),\n    repo: Option(Nil),\n    build_settings: Option(Nil),\n    screenshot_url: Option(String),\n    capabilities: Option(Nil),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    branch_deploy_custom_domain: Option(String),\n    default_hooks_data: Option(Nil),\n    functions_region: Option(String),\n    published_deploy: Option(Nil),\n    force_ssl: Option(Bool),\n    prerender: Option(String),\n    id: Option(String),\n    deploy_hook: Option(String),\n    password: Option(String),\n    ssl_url: Option(String),\n    account_name: Option(String),\n    account_slug: Option(String),\n    git_provider: Option(String),\n    admin_url: Option(String),\n  )\n}\n\nSiteSetup(\n  domain_aliases: Option(List(String)),\n  deploy_preview_custom_domain: Option(String),\n  session_id: Option(String),\n  id_domain: Option(String),\n  notification_email: Option(String),\n  managed_dns: Option(Bool),\n  plan: Option(String),\n  build_image: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  ssl: Option(Bool),\n  account_id: Option(String),\n  url: Option(String),\n  user_id: Option(String),\n  processing_settings: Option(Nil),\n  state: Option(String),\n  custom_domain: Option(String),\n  repo: Option(Nil),\n  build_settings: Option(Nil),\n  screenshot_url: Option(String),\n  capabilities: Option(Nil),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  branch_deploy_custom_domain: Option(String),\n  default_hooks_data: Option(Nil),\n  functions_region: Option(String),\n  published_deploy: Option(Nil),\n  force_ssl: Option(Bool),\n  prerender: Option(String),\n  id: Option(String),\n  deploy_hook: Option(String),\n  password: Option(String),\n  ssl_url: Option(String),\n  account_name: Option(String),\n  account_slug: Option(String),\n  git_provider: Option(String),\n  admin_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SiteSetup\nmidas/sdk/netlify/schema SiteSetup","url":"midas/sdk/netlify/schema.html#SiteSetup"},{"doc":"midas/sdk/netlify/schema","title":"SniCertificate","content":"pub type SniCertificate {\n  SniCertificate(\n    created_at: Option(String),\n    domains: Option(List(String)),\n    state: Option(String),\n    updated_at: Option(String),\n    expires_at: Option(String),\n  )\n}\n\nSniCertificate(\n  created_at: Option(String),\n  domains: Option(List(String)),\n  state: Option(String),\n  updated_at: Option(String),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SniCertificate\nmidas/sdk/netlify/schema SniCertificate","url":"midas/sdk/netlify/schema.html#SniCertificate"},{"doc":"midas/sdk/netlify/schema","title":"Snippet","content":"pub type Snippet {\n  Snippet(\n    general_position: Option(String),\n    general: Option(String),\n    site_id: Option(String),\n    goal: Option(String),\n    goal_position: Option(String),\n    title: Option(String),\n    id: Option(Int),\n  )\n}\n\nSnippet(\n  general_position: Option(String),\n  general: Option(String),\n  site_id: Option(String),\n  goal: Option(String),\n  goal_position: Option(String),\n  title: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Snippet\nmidas/sdk/netlify/schema Snippet","url":"midas/sdk/netlify/schema.html#Snippet"},{"doc":"midas/sdk/netlify/schema","title":"SplitTest","content":"pub type SplitTest {\n  SplitTest(\n    path: Option(String),\n    active: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    branches: Option(Nil),\n    site_id: Option(String),\n    updated_at: Option(String),\n    id: Option(String),\n    unpublished_at: Option(String),\n  )\n}\n\nSplitTest(\n  path: Option(String),\n  active: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  branches: Option(Nil),\n  site_id: Option(String),\n  updated_at: Option(String),\n  id: Option(String),\n  unpublished_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SplitTest\nmidas/sdk/netlify/schema SplitTest","url":"midas/sdk/netlify/schema.html#SplitTest"},{"doc":"midas/sdk/netlify/schema","title":"SplitTestSetup","content":"pub type SplitTestSetup {\n  SplitTestSetup(branch_tests: Option(Nil))\n}\n\nSplitTestSetup(branch_tests: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SplitTestSetup\nmidas/sdk/netlify/schema SplitTestSetup","url":"midas/sdk/netlify/schema.html#SplitTestSetup"},{"doc":"midas/sdk/netlify/schema","title":"SplitTests","content":"pub type SplitTests {\n  SplitTests\n}\n\nSplitTests\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SplitTests\nmidas/sdk/netlify/schema SplitTests","url":"midas/sdk/netlify/schema.html#SplitTests"},{"doc":"midas/sdk/netlify/schema","title":"Submission","content":"pub type Submission {\n  Submission(\n    body: Option(String),\n    summary: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    data: Option(Nil),\n    name: Option(String),\n    last_name: Option(String),\n    site_url: Option(String),\n    first_name: Option(String),\n    id: Option(String),\n    email: Option(String),\n    company: Option(String),\n  )\n}\n\nSubmission(\n  body: Option(String),\n  summary: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  data: Option(Nil),\n  name: Option(String),\n  last_name: Option(String),\n  site_url: Option(String),\n  first_name: Option(String),\n  id: Option(String),\n  email: Option(String),\n  company: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Submission\nmidas/sdk/netlify/schema Submission","url":"midas/sdk/netlify/schema.html#Submission"},{"doc":"midas/sdk/netlify/schema","title":"Ticket","content":"pub type Ticket {\n  Ticket(\n    created_at: Option(String),\n    client_id: Option(String),\n    id: Option(String),\n    authorized: Option(Bool),\n  )\n}\n\nTicket(\n  created_at: Option(String),\n  client_id: Option(String),\n  id: Option(String),\n  authorized: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Ticket\nmidas/sdk/netlify/schema Ticket","url":"midas/sdk/netlify/schema.html#Ticket"},{"doc":"midas/sdk/netlify/schema","title":"TrafficRulesAggregateConfig","content":"pub type TrafficRulesAggregateConfig {\n  TrafficRulesAggregateConfig(keys: Option(Nil))\n}\n\nTrafficRulesAggregateConfig(keys: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.TrafficRulesAggregateConfig\nmidas/sdk/netlify/schema TrafficRulesAggregateConfig","url":"midas/sdk/netlify/schema.html#TrafficRulesAggregateConfig"},{"doc":"midas/sdk/netlify/schema","title":"TrafficRulesConfig","content":"pub type TrafficRulesConfig {\n  TrafficRulesConfig(action: Option(Nil))\n}\n\nTrafficRulesConfig(action: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.TrafficRulesConfig\nmidas/sdk/netlify/schema TrafficRulesConfig","url":"midas/sdk/netlify/schema.html#TrafficRulesConfig"},{"doc":"midas/sdk/netlify/schema","title":"TrafficRulesRateLimitConfig","content":"pub type TrafficRulesRateLimitConfig {\n  TrafficRulesRateLimitConfig(\n    window_limit: Option(Int),\n    algorithm: Option(String),\n    window_size: Option(Int),\n  )\n}\n\nTrafficRulesRateLimitConfig(\n  window_limit: Option(Int),\n  algorithm: Option(String),\n  window_size: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.TrafficRulesRateLimitConfig\nmidas/sdk/netlify/schema TrafficRulesRateLimitConfig","url":"midas/sdk/netlify/schema.html#TrafficRulesRateLimitConfig"},{"doc":"midas/sdk/netlify/schema","title":"User","content":"pub type User {\n  User(\n    last_login: Option(String),\n    avatar_url: Option(String),\n    created_at: Option(String),\n    login_providers: Option(List(String)),\n    affiliate_id: Option(String),\n    uid: Option(String),\n    onboarding_progress: Option(Nil),\n    site_count: Option(Int),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nUser(\n  last_login: Option(String),\n  avatar_url: Option(String),\n  created_at: Option(String),\n  login_providers: Option(List(String)),\n  affiliate_id: Option(String),\n  uid: Option(String),\n  onboarding_progress: Option(Nil),\n  site_count: Option(Int),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.User\nmidas/sdk/netlify/schema User","url":"midas/sdk/netlify/schema.html#User"},{"doc":"midas/sdk/netlify/schema","title":"access_token","content":"pub const access_token: AccessToken\n\nSynonyms:\nmidas/sdk/netlify/schema.access_token\nmidas/sdk/netlify/schema access_token","url":"midas/sdk/netlify/schema.html#access_token"},{"doc":"midas/sdk/netlify/schema","title":"account_add_member_setup","content":"pub const account_add_member_setup: AccountAddMemberSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_add_member_setup\nmidas/sdk/netlify/schema account_add_member_setup","url":"midas/sdk/netlify/schema.html#account_add_member_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_membership","content":"pub const account_membership: AccountMembership\n\nSynonyms:\nmidas/sdk/netlify/schema.account_membership\nmidas/sdk/netlify/schema account_membership","url":"midas/sdk/netlify/schema.html#account_membership"},{"doc":"midas/sdk/netlify/schema","title":"account_setup","content":"pub const account_setup: AccountSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_setup\nmidas/sdk/netlify/schema account_setup","url":"midas/sdk/netlify/schema.html#account_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_type","content":"pub const account_type: AccountType\n\nSynonyms:\nmidas/sdk/netlify/schema.account_type\nmidas/sdk/netlify/schema account_type","url":"midas/sdk/netlify/schema.html#account_type"},{"doc":"midas/sdk/netlify/schema","title":"account_update_member_setup","content":"pub const account_update_member_setup: AccountUpdateMemberSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_member_setup\nmidas/sdk/netlify/schema account_update_member_setup","url":"midas/sdk/netlify/schema.html#account_update_member_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_update_setup","content":"pub const account_update_setup: AccountUpdateSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_setup\nmidas/sdk/netlify/schema account_update_setup","url":"midas/sdk/netlify/schema.html#account_update_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_usage_capability","content":"pub const account_usage_capability: AccountUsageCapability\n\nSynonyms:\nmidas/sdk/netlify/schema.account_usage_capability\nmidas/sdk/netlify/schema account_usage_capability","url":"midas/sdk/netlify/schema.html#account_usage_capability"},{"doc":"midas/sdk/netlify/schema","title":"asset","content":"pub const asset: Asset\n\nSynonyms:\nmidas/sdk/netlify/schema.asset\nmidas/sdk/netlify/schema asset","url":"midas/sdk/netlify/schema.html#asset"},{"doc":"midas/sdk/netlify/schema","title":"asset_form","content":"pub const asset_form: AssetForm\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_form\nmidas/sdk/netlify/schema asset_form","url":"midas/sdk/netlify/schema.html#asset_form"},{"doc":"midas/sdk/netlify/schema","title":"asset_public_signature","content":"pub const asset_public_signature: AssetPublicSignature\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_public_signature\nmidas/sdk/netlify/schema asset_public_signature","url":"midas/sdk/netlify/schema.html#asset_public_signature"},{"doc":"midas/sdk/netlify/schema","title":"asset_signature","content":"pub const asset_signature: AssetSignature\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_signature\nmidas/sdk/netlify/schema asset_signature","url":"midas/sdk/netlify/schema.html#asset_signature"},{"doc":"midas/sdk/netlify/schema","title":"audit_log","content":"pub const audit_log: AuditLog\n\nSynonyms:\nmidas/sdk/netlify/schema.audit_log\nmidas/sdk/netlify/schema audit_log","url":"midas/sdk/netlify/schema.html#audit_log"},{"doc":"midas/sdk/netlify/schema","title":"build","content":"pub const build: Build\n\nSynonyms:\nmidas/sdk/netlify/schema.build\nmidas/sdk/netlify/schema build","url":"midas/sdk/netlify/schema.html#build"},{"doc":"midas/sdk/netlify/schema","title":"build_hook","content":"pub const build_hook: BuildHook\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook\nmidas/sdk/netlify/schema build_hook","url":"midas/sdk/netlify/schema.html#build_hook"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_setup","content":"pub const build_hook_setup: BuildHookSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_setup\nmidas/sdk/netlify/schema build_hook_setup","url":"midas/sdk/netlify/schema.html#build_hook_setup"},{"doc":"midas/sdk/netlify/schema","title":"build_log_msg","content":"pub const build_log_msg: BuildLogMsg\n\nSynonyms:\nmidas/sdk/netlify/schema.build_log_msg\nmidas/sdk/netlify/schema build_log_msg","url":"midas/sdk/netlify/schema.html#build_log_msg"},{"doc":"midas/sdk/netlify/schema","title":"build_setup","content":"pub const build_setup: BuildSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.build_setup\nmidas/sdk/netlify/schema build_setup","url":"midas/sdk/netlify/schema.html#build_setup"},{"doc":"midas/sdk/netlify/schema","title":"build_status","content":"pub const build_status: BuildStatus\n\nSynonyms:\nmidas/sdk/netlify/schema.build_status\nmidas/sdk/netlify/schema build_status","url":"midas/sdk/netlify/schema.html#build_status"},{"doc":"midas/sdk/netlify/schema","title":"deploy","content":"pub const deploy: Deploy\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy\nmidas/sdk/netlify/schema deploy","url":"midas/sdk/netlify/schema.html#deploy"},{"doc":"midas/sdk/netlify/schema","title":"deploy_files","content":"pub const deploy_files: DeployFiles\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_files\nmidas/sdk/netlify/schema deploy_files","url":"midas/sdk/netlify/schema.html#deploy_files"},{"doc":"midas/sdk/netlify/schema","title":"deploy_key","content":"pub const deploy_key: DeployKey\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_key\nmidas/sdk/netlify/schema deploy_key","url":"midas/sdk/netlify/schema.html#deploy_key"},{"doc":"midas/sdk/netlify/schema","title":"deployed_branch","content":"pub const deployed_branch: DeployedBranch\n\nSynonyms:\nmidas/sdk/netlify/schema.deployed_branch\nmidas/sdk/netlify/schema deployed_branch","url":"midas/sdk/netlify/schema.html#deployed_branch"},{"doc":"midas/sdk/netlify/schema","title":"dev_server","content":"pub const dev_server: DevServer\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server\nmidas/sdk/netlify/schema dev_server","url":"midas/sdk/netlify/schema.html#dev_server"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook","content":"pub const dev_server_hook: DevServerHook\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook\nmidas/sdk/netlify/schema dev_server_hook","url":"midas/sdk/netlify/schema.html#dev_server_hook"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_setup","content":"pub const dev_server_hook_setup: DevServerHookSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_setup\nmidas/sdk/netlify/schema dev_server_hook_setup","url":"midas/sdk/netlify/schema.html#dev_server_hook_setup"},{"doc":"midas/sdk/netlify/schema","title":"dns_record","content":"pub const dns_record: DnsRecord\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record\nmidas/sdk/netlify/schema dns_record","url":"midas/sdk/netlify/schema.html#dns_record"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_create","content":"pub const dns_record_create: DnsRecordCreate\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_create\nmidas/sdk/netlify/schema dns_record_create","url":"midas/sdk/netlify/schema.html#dns_record_create"},{"doc":"midas/sdk/netlify/schema","title":"dns_records","content":"pub const dns_records: List(a)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_records\nmidas/sdk/netlify/schema dns_records","url":"midas/sdk/netlify/schema.html#dns_records"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone","content":"pub const dns_zone: DnsZone\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone\nmidas/sdk/netlify/schema dns_zone","url":"midas/sdk/netlify/schema.html#dns_zone"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_setup","content":"pub const dns_zone_setup: DnsZoneSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_setup\nmidas/sdk/netlify/schema dns_zone_setup","url":"midas/sdk/netlify/schema.html#dns_zone_setup"},{"doc":"midas/sdk/netlify/schema","title":"dns_zones","content":"pub const dns_zones: List(a)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zones\nmidas/sdk/netlify/schema dns_zones","url":"midas/sdk/netlify/schema.html#dns_zones"},{"doc":"midas/sdk/netlify/schema","title":"env_var","content":"pub const env_var: EnvVar\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var\nmidas/sdk/netlify/schema env_var","url":"midas/sdk/netlify/schema.html#env_var"},{"doc":"midas/sdk/netlify/schema","title":"env_var_user","content":"pub const env_var_user: EnvVarUser\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_user\nmidas/sdk/netlify/schema env_var_user","url":"midas/sdk/netlify/schema.html#env_var_user"},{"doc":"midas/sdk/netlify/schema","title":"env_var_value","content":"pub const env_var_value: EnvVarValue\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_value\nmidas/sdk/netlify/schema env_var_value","url":"midas/sdk/netlify/schema.html#env_var_value"},{"doc":"midas/sdk/netlify/schema","title":"error","content":"pub const error: Error\n\nSynonyms:\nmidas/sdk/netlify/schema.error\nmidas/sdk/netlify/schema error","url":"midas/sdk/netlify/schema.html#error"},{"doc":"midas/sdk/netlify/schema","title":"excluded_function_route","content":"pub const excluded_function_route: ExcludedFunctionRoute\n\nSynonyms:\nmidas/sdk/netlify/schema.excluded_function_route\nmidas/sdk/netlify/schema excluded_function_route","url":"midas/sdk/netlify/schema.html#excluded_function_route"},{"doc":"midas/sdk/netlify/schema","title":"file","content":"pub const file: File\n\nSynonyms:\nmidas/sdk/netlify/schema.file\nmidas/sdk/netlify/schema file","url":"midas/sdk/netlify/schema.html#file"},{"doc":"midas/sdk/netlify/schema","title":"form","content":"pub const form: Form\n\nSynonyms:\nmidas/sdk/netlify/schema.form\nmidas/sdk/netlify/schema form","url":"midas/sdk/netlify/schema.html#form"},{"doc":"midas/sdk/netlify/schema","title":"function","content":"pub const function: Function\n\nSynonyms:\nmidas/sdk/netlify/schema.function\nmidas/sdk/netlify/schema function","url":"midas/sdk/netlify/schema.html#function"},{"doc":"midas/sdk/netlify/schema","title":"function_config","content":"pub const function_config: FunctionConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.function_config\nmidas/sdk/netlify/schema function_config","url":"midas/sdk/netlify/schema.html#function_config"},{"doc":"midas/sdk/netlify/schema","title":"function_route","content":"pub const function_route: FunctionRoute\n\nSynonyms:\nmidas/sdk/netlify/schema.function_route\nmidas/sdk/netlify/schema function_route","url":"midas/sdk/netlify/schema.html#function_route"},{"doc":"midas/sdk/netlify/schema","title":"function_schedule","content":"pub const function_schedule: FunctionSchedule\n\nSynonyms:\nmidas/sdk/netlify/schema.function_schedule\nmidas/sdk/netlify/schema function_schedule","url":"midas/sdk/netlify/schema.html#function_schedule"},{"doc":"midas/sdk/netlify/schema","title":"hook","content":"pub const hook: Hook\n\nSynonyms:\nmidas/sdk/netlify/schema.hook\nmidas/sdk/netlify/schema hook","url":"midas/sdk/netlify/schema.html#hook"},{"doc":"midas/sdk/netlify/schema","title":"hook_type","content":"pub const hook_type: HookType\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_type\nmidas/sdk/netlify/schema hook_type","url":"midas/sdk/netlify/schema.html#hook_type"},{"doc":"midas/sdk/netlify/schema","title":"member","content":"pub const member: Member\n\nSynonyms:\nmidas/sdk/netlify/schema.member\nmidas/sdk/netlify/schema member","url":"midas/sdk/netlify/schema.html#member"},{"doc":"midas/sdk/netlify/schema","title":"metadata","content":"pub const metadata: Metadata\n\nSynonyms:\nmidas/sdk/netlify/schema.metadata\nmidas/sdk/netlify/schema metadata","url":"midas/sdk/netlify/schema.html#metadata"},{"doc":"midas/sdk/netlify/schema","title":"payment_method","content":"pub const payment_method: PaymentMethod\n\nSynonyms:\nmidas/sdk/netlify/schema.payment_method\nmidas/sdk/netlify/schema payment_method","url":"midas/sdk/netlify/schema.html#payment_method"},{"doc":"midas/sdk/netlify/schema","title":"plugin","content":"pub const plugin: Plugin\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin\nmidas/sdk/netlify/schema plugin","url":"midas/sdk/netlify/schema.html#plugin"},{"doc":"midas/sdk/netlify/schema","title":"plugin_params","content":"pub const plugin_params: PluginParams\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_params\nmidas/sdk/netlify/schema plugin_params","url":"midas/sdk/netlify/schema.html#plugin_params"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run","content":"pub const plugin_run: PluginRun\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run\nmidas/sdk/netlify/schema plugin_run","url":"midas/sdk/netlify/schema.html#plugin_run"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_data","content":"pub const plugin_run_data: PluginRunData\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_data\nmidas/sdk/netlify/schema plugin_run_data","url":"midas/sdk/netlify/schema.html#plugin_run_data"},{"doc":"midas/sdk/netlify/schema","title":"purge","content":"pub const purge: Purge\n\nSynonyms:\nmidas/sdk/netlify/schema.purge\nmidas/sdk/netlify/schema purge","url":"midas/sdk/netlify/schema.html#purge"},{"doc":"midas/sdk/netlify/schema","title":"repo_info","content":"pub const repo_info: RepoInfo\n\nSynonyms:\nmidas/sdk/netlify/schema.repo_info\nmidas/sdk/netlify/schema repo_info","url":"midas/sdk/netlify/schema.html#repo_info"},{"doc":"midas/sdk/netlify/schema","title":"service","content":"pub const service: Service\n\nSynonyms:\nmidas/sdk/netlify/schema.service\nmidas/sdk/netlify/schema service","url":"midas/sdk/netlify/schema.html#service"},{"doc":"midas/sdk/netlify/schema","title":"service_instance","content":"pub const service_instance: ServiceInstance\n\nSynonyms:\nmidas/sdk/netlify/schema.service_instance\nmidas/sdk/netlify/schema service_instance","url":"midas/sdk/netlify/schema.html#service_instance"},{"doc":"midas/sdk/netlify/schema","title":"site","content":"pub const site: Site\n\nSynonyms:\nmidas/sdk/netlify/schema.site\nmidas/sdk/netlify/schema site","url":"midas/sdk/netlify/schema.html#site"},{"doc":"midas/sdk/netlify/schema","title":"site_function","content":"pub const site_function: SiteFunction\n\nSynonyms:\nmidas/sdk/netlify/schema.site_function\nmidas/sdk/netlify/schema site_function","url":"midas/sdk/netlify/schema.html#site_function"},{"doc":"midas/sdk/netlify/schema","title":"site_setup","content":"pub const site_setup: SiteSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.site_setup\nmidas/sdk/netlify/schema site_setup","url":"midas/sdk/netlify/schema.html#site_setup"},{"doc":"midas/sdk/netlify/schema","title":"sni_certificate","content":"pub const sni_certificate: SniCertificate\n\nSynonyms:\nmidas/sdk/netlify/schema.sni_certificate\nmidas/sdk/netlify/schema sni_certificate","url":"midas/sdk/netlify/schema.html#sni_certificate"},{"doc":"midas/sdk/netlify/schema","title":"snippet","content":"pub const snippet: Snippet\n\nSynonyms:\nmidas/sdk/netlify/schema.snippet\nmidas/sdk/netlify/schema snippet","url":"midas/sdk/netlify/schema.html#snippet"},{"doc":"midas/sdk/netlify/schema","title":"split_test","content":"pub const split_test: SplitTest\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test\nmidas/sdk/netlify/schema split_test","url":"midas/sdk/netlify/schema.html#split_test"},{"doc":"midas/sdk/netlify/schema","title":"split_test_setup","content":"pub const split_test_setup: SplitTestSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_setup\nmidas/sdk/netlify/schema split_test_setup","url":"midas/sdk/netlify/schema.html#split_test_setup"},{"doc":"midas/sdk/netlify/schema","title":"split_tests","content":"pub const split_tests: List(a)\n\nSynonyms:\nmidas/sdk/netlify/schema.split_tests\nmidas/sdk/netlify/schema split_tests","url":"midas/sdk/netlify/schema.html#split_tests"},{"doc":"midas/sdk/netlify/schema","title":"submission","content":"pub const submission: Submission\n\nSynonyms:\nmidas/sdk/netlify/schema.submission\nmidas/sdk/netlify/schema submission","url":"midas/sdk/netlify/schema.html#submission"},{"doc":"midas/sdk/netlify/schema","title":"ticket","content":"pub const ticket: Ticket\n\nSynonyms:\nmidas/sdk/netlify/schema.ticket\nmidas/sdk/netlify/schema ticket","url":"midas/sdk/netlify/schema.html#ticket"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_aggregate_config","content":"pub const traffic_rules_aggregate_config: TrafficRulesAggregateConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_aggregate_config\nmidas/sdk/netlify/schema traffic_rules_aggregate_config","url":"midas/sdk/netlify/schema.html#traffic_rules_aggregate_config"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_config","content":"pub const traffic_rules_config: TrafficRulesConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_config\nmidas/sdk/netlify/schema traffic_rules_config","url":"midas/sdk/netlify/schema.html#traffic_rules_config"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_rate_limit_config","content":"pub const traffic_rules_rate_limit_config: TrafficRulesRateLimitConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_rate_limit_config\nmidas/sdk/netlify/schema traffic_rules_rate_limit_config","url":"midas/sdk/netlify/schema.html#traffic_rules_rate_limit_config"},{"doc":"midas/sdk/netlify/schema","title":"user","content":"pub const user: User\n\nSynonyms:\nmidas/sdk/netlify/schema.user\nmidas/sdk/netlify/schema user","url":"midas/sdk/netlify/schema.html#user"},{"doc":"midas/sdk/netlify/schema","title":"access_token_decoder","content":"pub fn access_token_decoder() -&gt; Decoder(AccessToken)\n\nSynonyms:\nmidas/sdk/netlify/schema.access_token_decoder\nmidas/sdk/netlify/schema access_token_decoder","url":"midas/sdk/netlify/schema.html#access_token_decoder"},{"doc":"midas/sdk/netlify/schema","title":"access_token_to_json","content":"pub fn access_token_to_json(data: AccessToken) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.access_token_to_json\nmidas/sdk/netlify/schema access_token_to_json","url":"midas/sdk/netlify/schema.html#access_token_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_add_member_setup_decoder","content":"pub fn account_add_member_setup_decoder() -&gt; Decoder(\n  AccountAddMemberSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_add_member_setup_decoder\nmidas/sdk/netlify/schema account_add_member_setup_decoder","url":"midas/sdk/netlify/schema.html#account_add_member_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_add_member_setup_to_json","content":"pub fn account_add_member_setup_to_json(\n  data: AccountAddMemberSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_add_member_setup_to_json\nmidas/sdk/netlify/schema account_add_member_setup_to_json","url":"midas/sdk/netlify/schema.html#account_add_member_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_membership_decoder","content":"pub fn account_membership_decoder() -&gt; Decoder(AccountMembership)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_membership_decoder\nmidas/sdk/netlify/schema account_membership_decoder","url":"midas/sdk/netlify/schema.html#account_membership_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_membership_to_json","content":"pub fn account_membership_to_json(\n  data: AccountMembership,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_membership_to_json\nmidas/sdk/netlify/schema account_membership_to_json","url":"midas/sdk/netlify/schema.html#account_membership_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_setup_decoder","content":"pub fn account_setup_decoder() -&gt; Decoder(AccountSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_setup_decoder\nmidas/sdk/netlify/schema account_setup_decoder","url":"midas/sdk/netlify/schema.html#account_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_setup_to_json","content":"pub fn account_setup_to_json(data: AccountSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_setup_to_json\nmidas/sdk/netlify/schema account_setup_to_json","url":"midas/sdk/netlify/schema.html#account_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_type_decoder","content":"pub fn account_type_decoder() -&gt; Decoder(AccountType)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_type_decoder\nmidas/sdk/netlify/schema account_type_decoder","url":"midas/sdk/netlify/schema.html#account_type_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_type_to_json","content":"pub fn account_type_to_json(data: AccountType) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_type_to_json\nmidas/sdk/netlify/schema account_type_to_json","url":"midas/sdk/netlify/schema.html#account_type_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_update_member_setup_decoder","content":"pub fn account_update_member_setup_decoder() -&gt; Decoder(\n  AccountUpdateMemberSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_member_setup_decoder\nmidas/sdk/netlify/schema account_update_member_setup_decoder","url":"midas/sdk/netlify/schema.html#account_update_member_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_update_member_setup_to_json","content":"pub fn account_update_member_setup_to_json(\n  data: AccountUpdateMemberSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_member_setup_to_json\nmidas/sdk/netlify/schema account_update_member_setup_to_json","url":"midas/sdk/netlify/schema.html#account_update_member_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_update_setup_decoder","content":"pub fn account_update_setup_decoder() -&gt; Decoder(\n  AccountUpdateSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_setup_decoder\nmidas/sdk/netlify/schema account_update_setup_decoder","url":"midas/sdk/netlify/schema.html#account_update_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_update_setup_to_json","content":"pub fn account_update_setup_to_json(\n  data: AccountUpdateSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_setup_to_json\nmidas/sdk/netlify/schema account_update_setup_to_json","url":"midas/sdk/netlify/schema.html#account_update_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_usage_capability_decoder","content":"pub fn account_usage_capability_decoder() -&gt; Decoder(\n  AccountUsageCapability,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_usage_capability_decoder\nmidas/sdk/netlify/schema account_usage_capability_decoder","url":"midas/sdk/netlify/schema.html#account_usage_capability_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_usage_capability_to_json","content":"pub fn account_usage_capability_to_json(\n  data: AccountUsageCapability,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_usage_capability_to_json\nmidas/sdk/netlify/schema account_usage_capability_to_json","url":"midas/sdk/netlify/schema.html#account_usage_capability_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_decoder","content":"pub fn asset_decoder() -&gt; Decoder(Asset)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_decoder\nmidas/sdk/netlify/schema asset_decoder","url":"midas/sdk/netlify/schema.html#asset_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_form_decoder","content":"pub fn asset_form_decoder() -&gt; Decoder(AssetForm)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_form_decoder\nmidas/sdk/netlify/schema asset_form_decoder","url":"midas/sdk/netlify/schema.html#asset_form_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_form_to_json","content":"pub fn asset_form_to_json(data: AssetForm) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_form_to_json\nmidas/sdk/netlify/schema asset_form_to_json","url":"midas/sdk/netlify/schema.html#asset_form_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_public_signature_decoder","content":"pub fn asset_public_signature_decoder() -&gt; Decoder(\n  AssetPublicSignature,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_public_signature_decoder\nmidas/sdk/netlify/schema asset_public_signature_decoder","url":"midas/sdk/netlify/schema.html#asset_public_signature_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_public_signature_to_json","content":"pub fn asset_public_signature_to_json(\n  data: AssetPublicSignature,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_public_signature_to_json\nmidas/sdk/netlify/schema asset_public_signature_to_json","url":"midas/sdk/netlify/schema.html#asset_public_signature_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_signature_decoder","content":"pub fn asset_signature_decoder() -&gt; Decoder(AssetSignature)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_signature_decoder\nmidas/sdk/netlify/schema asset_signature_decoder","url":"midas/sdk/netlify/schema.html#asset_signature_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_signature_to_json","content":"pub fn asset_signature_to_json(data: AssetSignature) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_signature_to_json\nmidas/sdk/netlify/schema asset_signature_to_json","url":"midas/sdk/netlify/schema.html#asset_signature_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_to_json","content":"pub fn asset_to_json(data: Asset) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_to_json\nmidas/sdk/netlify/schema asset_to_json","url":"midas/sdk/netlify/schema.html#asset_to_json"},{"doc":"midas/sdk/netlify/schema","title":"audit_log_decoder","content":"pub fn audit_log_decoder() -&gt; Decoder(AuditLog)\n\nSynonyms:\nmidas/sdk/netlify/schema.audit_log_decoder\nmidas/sdk/netlify/schema audit_log_decoder","url":"midas/sdk/netlify/schema.html#audit_log_decoder"},{"doc":"midas/sdk/netlify/schema","title":"audit_log_to_json","content":"pub fn audit_log_to_json(data: AuditLog) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.audit_log_to_json\nmidas/sdk/netlify/schema audit_log_to_json","url":"midas/sdk/netlify/schema.html#audit_log_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_decoder","content":"pub fn build_decoder() -&gt; Decoder(Build)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_decoder\nmidas/sdk/netlify/schema build_decoder","url":"midas/sdk/netlify/schema.html#build_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_decoder","content":"pub fn build_hook_decoder() -&gt; Decoder(BuildHook)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_decoder\nmidas/sdk/netlify/schema build_hook_decoder","url":"midas/sdk/netlify/schema.html#build_hook_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_setup_decoder","content":"pub fn build_hook_setup_decoder() -&gt; Decoder(BuildHookSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_setup_decoder\nmidas/sdk/netlify/schema build_hook_setup_decoder","url":"midas/sdk/netlify/schema.html#build_hook_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_setup_to_json","content":"pub fn build_hook_setup_to_json(data: BuildHookSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_setup_to_json\nmidas/sdk/netlify/schema build_hook_setup_to_json","url":"midas/sdk/netlify/schema.html#build_hook_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_to_json","content":"pub fn build_hook_to_json(data: BuildHook) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_to_json\nmidas/sdk/netlify/schema build_hook_to_json","url":"midas/sdk/netlify/schema.html#build_hook_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_log_msg_decoder","content":"pub fn build_log_msg_decoder() -&gt; Decoder(BuildLogMsg)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_log_msg_decoder\nmidas/sdk/netlify/schema build_log_msg_decoder","url":"midas/sdk/netlify/schema.html#build_log_msg_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_log_msg_to_json","content":"pub fn build_log_msg_to_json(data: BuildLogMsg) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_log_msg_to_json\nmidas/sdk/netlify/schema build_log_msg_to_json","url":"midas/sdk/netlify/schema.html#build_log_msg_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_setup_decoder","content":"pub fn build_setup_decoder() -&gt; Decoder(BuildSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_setup_decoder\nmidas/sdk/netlify/schema build_setup_decoder","url":"midas/sdk/netlify/schema.html#build_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_setup_to_json","content":"pub fn build_setup_to_json(data: BuildSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_setup_to_json\nmidas/sdk/netlify/schema build_setup_to_json","url":"midas/sdk/netlify/schema.html#build_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_status_decoder","content":"pub fn build_status_decoder() -&gt; Decoder(BuildStatus)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_status_decoder\nmidas/sdk/netlify/schema build_status_decoder","url":"midas/sdk/netlify/schema.html#build_status_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_status_to_json","content":"pub fn build_status_to_json(data: BuildStatus) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_status_to_json\nmidas/sdk/netlify/schema build_status_to_json","url":"midas/sdk/netlify/schema.html#build_status_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_to_json","content":"pub fn build_to_json(data: Build) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_to_json\nmidas/sdk/netlify/schema build_to_json","url":"midas/sdk/netlify/schema.html#build_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deploy_decoder","content":"pub fn deploy_decoder() -&gt; Decoder(Deploy)\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_decoder\nmidas/sdk/netlify/schema deploy_decoder","url":"midas/sdk/netlify/schema.html#deploy_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deploy_files_decoder","content":"pub fn deploy_files_decoder() -&gt; Decoder(DeployFiles)\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_files_decoder\nmidas/sdk/netlify/schema deploy_files_decoder","url":"midas/sdk/netlify/schema.html#deploy_files_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deploy_files_to_json","content":"pub fn deploy_files_to_json(data: DeployFiles) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_files_to_json\nmidas/sdk/netlify/schema deploy_files_to_json","url":"midas/sdk/netlify/schema.html#deploy_files_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deploy_key_decoder","content":"pub fn deploy_key_decoder() -&gt; Decoder(DeployKey)\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_key_decoder\nmidas/sdk/netlify/schema deploy_key_decoder","url":"midas/sdk/netlify/schema.html#deploy_key_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deploy_key_to_json","content":"pub fn deploy_key_to_json(data: DeployKey) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_key_to_json\nmidas/sdk/netlify/schema deploy_key_to_json","url":"midas/sdk/netlify/schema.html#deploy_key_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deploy_to_json","content":"pub fn deploy_to_json(data: Deploy) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_to_json\nmidas/sdk/netlify/schema deploy_to_json","url":"midas/sdk/netlify/schema.html#deploy_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deployed_branch_decoder","content":"pub fn deployed_branch_decoder() -&gt; Decoder(DeployedBranch)\n\nSynonyms:\nmidas/sdk/netlify/schema.deployed_branch_decoder\nmidas/sdk/netlify/schema deployed_branch_decoder","url":"midas/sdk/netlify/schema.html#deployed_branch_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deployed_branch_to_json","content":"pub fn deployed_branch_to_json(data: DeployedBranch) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deployed_branch_to_json\nmidas/sdk/netlify/schema deployed_branch_to_json","url":"midas/sdk/netlify/schema.html#deployed_branch_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_decoder","content":"pub fn dev_server_decoder() -&gt; Decoder(DevServer)\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_decoder\nmidas/sdk/netlify/schema dev_server_decoder","url":"midas/sdk/netlify/schema.html#dev_server_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_decoder","content":"pub fn dev_server_hook_decoder() -&gt; Decoder(DevServerHook)\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_decoder\nmidas/sdk/netlify/schema dev_server_hook_decoder","url":"midas/sdk/netlify/schema.html#dev_server_hook_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_setup_decoder","content":"pub fn dev_server_hook_setup_decoder() -&gt; Decoder(\n  DevServerHookSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_setup_decoder\nmidas/sdk/netlify/schema dev_server_hook_setup_decoder","url":"midas/sdk/netlify/schema.html#dev_server_hook_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_setup_to_json","content":"pub fn dev_server_hook_setup_to_json(\n  data: DevServerHookSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_setup_to_json\nmidas/sdk/netlify/schema dev_server_hook_setup_to_json","url":"midas/sdk/netlify/schema.html#dev_server_hook_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_to_json","content":"pub fn dev_server_hook_to_json(data: DevServerHook) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_to_json\nmidas/sdk/netlify/schema dev_server_hook_to_json","url":"midas/sdk/netlify/schema.html#dev_server_hook_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_to_json","content":"pub fn dev_server_to_json(data: DevServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_to_json\nmidas/sdk/netlify/schema dev_server_to_json","url":"midas/sdk/netlify/schema.html#dev_server_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_create_decoder","content":"pub fn dns_record_create_decoder() -&gt; Decoder(DnsRecordCreate)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_create_decoder\nmidas/sdk/netlify/schema dns_record_create_decoder","url":"midas/sdk/netlify/schema.html#dns_record_create_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_create_to_json","content":"pub fn dns_record_create_to_json(data: DnsRecordCreate) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_create_to_json\nmidas/sdk/netlify/schema dns_record_create_to_json","url":"midas/sdk/netlify/schema.html#dns_record_create_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_decoder","content":"pub fn dns_record_decoder() -&gt; Decoder(DnsRecord)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_decoder\nmidas/sdk/netlify/schema dns_record_decoder","url":"midas/sdk/netlify/schema.html#dns_record_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_to_json","content":"pub fn dns_record_to_json(data: DnsRecord) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_to_json\nmidas/sdk/netlify/schema dns_record_to_json","url":"midas/sdk/netlify/schema.html#dns_record_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_records_decoder","content":"pub fn dns_records_decoder() -&gt; Decoder(List(DnsRecord))\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_records_decoder\nmidas/sdk/netlify/schema dns_records_decoder","url":"midas/sdk/netlify/schema.html#dns_records_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_decoder","content":"pub fn dns_zone_decoder() -&gt; Decoder(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_decoder\nmidas/sdk/netlify/schema dns_zone_decoder","url":"midas/sdk/netlify/schema.html#dns_zone_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_setup_decoder","content":"pub fn dns_zone_setup_decoder() -&gt; Decoder(DnsZoneSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_setup_decoder\nmidas/sdk/netlify/schema dns_zone_setup_decoder","url":"midas/sdk/netlify/schema.html#dns_zone_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_setup_to_json","content":"pub fn dns_zone_setup_to_json(data: DnsZoneSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_setup_to_json\nmidas/sdk/netlify/schema dns_zone_setup_to_json","url":"midas/sdk/netlify/schema.html#dns_zone_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_to_json","content":"pub fn dns_zone_to_json(data: DnsZone) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_to_json\nmidas/sdk/netlify/schema dns_zone_to_json","url":"midas/sdk/netlify/schema.html#dns_zone_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_zones_decoder","content":"pub fn dns_zones_decoder() -&gt; Decoder(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zones_decoder\nmidas/sdk/netlify/schema dns_zones_decoder","url":"midas/sdk/netlify/schema.html#dns_zones_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_decoder","content":"pub fn env_var_decoder() -&gt; Decoder(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_decoder\nmidas/sdk/netlify/schema env_var_decoder","url":"midas/sdk/netlify/schema.html#env_var_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_to_json","content":"pub fn env_var_to_json(data: EnvVar) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_to_json\nmidas/sdk/netlify/schema env_var_to_json","url":"midas/sdk/netlify/schema.html#env_var_to_json"},{"doc":"midas/sdk/netlify/schema","title":"env_var_user_decoder","content":"pub fn env_var_user_decoder() -&gt; Decoder(EnvVarUser)\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_user_decoder\nmidas/sdk/netlify/schema env_var_user_decoder","url":"midas/sdk/netlify/schema.html#env_var_user_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_user_to_json","content":"pub fn env_var_user_to_json(data: EnvVarUser) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_user_to_json\nmidas/sdk/netlify/schema env_var_user_to_json","url":"midas/sdk/netlify/schema.html#env_var_user_to_json"},{"doc":"midas/sdk/netlify/schema","title":"env_var_value_decoder","content":"pub fn env_var_value_decoder() -&gt; Decoder(EnvVarValue)\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_value_decoder\nmidas/sdk/netlify/schema env_var_value_decoder","url":"midas/sdk/netlify/schema.html#env_var_value_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_value_to_json","content":"pub fn env_var_value_to_json(data: EnvVarValue) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_value_to_json\nmidas/sdk/netlify/schema env_var_value_to_json","url":"midas/sdk/netlify/schema.html#env_var_value_to_json"},{"doc":"midas/sdk/netlify/schema","title":"error_decoder","content":"pub fn error_decoder() -&gt; Decoder(Error)\n\nSynonyms:\nmidas/sdk/netlify/schema.error_decoder\nmidas/sdk/netlify/schema error_decoder","url":"midas/sdk/netlify/schema.html#error_decoder"},{"doc":"midas/sdk/netlify/schema","title":"error_to_json","content":"pub fn error_to_json(data: Error) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.error_to_json\nmidas/sdk/netlify/schema error_to_json","url":"midas/sdk/netlify/schema.html#error_to_json"},{"doc":"midas/sdk/netlify/schema","title":"excluded_function_route_decoder","content":"pub fn excluded_function_route_decoder() -&gt; Decoder(\n  ExcludedFunctionRoute,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.excluded_function_route_decoder\nmidas/sdk/netlify/schema excluded_function_route_decoder","url":"midas/sdk/netlify/schema.html#excluded_function_route_decoder"},{"doc":"midas/sdk/netlify/schema","title":"excluded_function_route_to_json","content":"pub fn excluded_function_route_to_json(\n  data: ExcludedFunctionRoute,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.excluded_function_route_to_json\nmidas/sdk/netlify/schema excluded_function_route_to_json","url":"midas/sdk/netlify/schema.html#excluded_function_route_to_json"},{"doc":"midas/sdk/netlify/schema","title":"file_decoder","content":"pub fn file_decoder() -&gt; Decoder(File)\n\nSynonyms:\nmidas/sdk/netlify/schema.file_decoder\nmidas/sdk/netlify/schema file_decoder","url":"midas/sdk/netlify/schema.html#file_decoder"},{"doc":"midas/sdk/netlify/schema","title":"file_to_json","content":"pub fn file_to_json(data: File) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.file_to_json\nmidas/sdk/netlify/schema file_to_json","url":"midas/sdk/netlify/schema.html#file_to_json"},{"doc":"midas/sdk/netlify/schema","title":"form_decoder","content":"pub fn form_decoder() -&gt; Decoder(Form)\n\nSynonyms:\nmidas/sdk/netlify/schema.form_decoder\nmidas/sdk/netlify/schema form_decoder","url":"midas/sdk/netlify/schema.html#form_decoder"},{"doc":"midas/sdk/netlify/schema","title":"form_to_json","content":"pub fn form_to_json(data: Form) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.form_to_json\nmidas/sdk/netlify/schema form_to_json","url":"midas/sdk/netlify/schema.html#form_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_config_decoder","content":"pub fn function_config_decoder() -&gt; Decoder(FunctionConfig)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_config_decoder\nmidas/sdk/netlify/schema function_config_decoder","url":"midas/sdk/netlify/schema.html#function_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_config_to_json","content":"pub fn function_config_to_json(data: FunctionConfig) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_config_to_json\nmidas/sdk/netlify/schema function_config_to_json","url":"midas/sdk/netlify/schema.html#function_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_decoder","content":"pub fn function_decoder() -&gt; Decoder(Function)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_decoder\nmidas/sdk/netlify/schema function_decoder","url":"midas/sdk/netlify/schema.html#function_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_route_decoder","content":"pub fn function_route_decoder() -&gt; Decoder(FunctionRoute)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_route_decoder\nmidas/sdk/netlify/schema function_route_decoder","url":"midas/sdk/netlify/schema.html#function_route_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_route_to_json","content":"pub fn function_route_to_json(data: FunctionRoute) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_route_to_json\nmidas/sdk/netlify/schema function_route_to_json","url":"midas/sdk/netlify/schema.html#function_route_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_schedule_decoder","content":"pub fn function_schedule_decoder() -&gt; Decoder(FunctionSchedule)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_schedule_decoder\nmidas/sdk/netlify/schema function_schedule_decoder","url":"midas/sdk/netlify/schema.html#function_schedule_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_schedule_to_json","content":"pub fn function_schedule_to_json(data: FunctionSchedule) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_schedule_to_json\nmidas/sdk/netlify/schema function_schedule_to_json","url":"midas/sdk/netlify/schema.html#function_schedule_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_to_json","content":"pub fn function_to_json(data: Function) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_to_json\nmidas/sdk/netlify/schema function_to_json","url":"midas/sdk/netlify/schema.html#function_to_json"},{"doc":"midas/sdk/netlify/schema","title":"hook_decoder","content":"pub fn hook_decoder() -&gt; Decoder(Hook)\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_decoder\nmidas/sdk/netlify/schema hook_decoder","url":"midas/sdk/netlify/schema.html#hook_decoder"},{"doc":"midas/sdk/netlify/schema","title":"hook_to_json","content":"pub fn hook_to_json(data: Hook) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_to_json\nmidas/sdk/netlify/schema hook_to_json","url":"midas/sdk/netlify/schema.html#hook_to_json"},{"doc":"midas/sdk/netlify/schema","title":"hook_type_decoder","content":"pub fn hook_type_decoder() -&gt; Decoder(HookType)\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_type_decoder\nmidas/sdk/netlify/schema hook_type_decoder","url":"midas/sdk/netlify/schema.html#hook_type_decoder"},{"doc":"midas/sdk/netlify/schema","title":"hook_type_to_json","content":"pub fn hook_type_to_json(data: HookType) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_type_to_json\nmidas/sdk/netlify/schema hook_type_to_json","url":"midas/sdk/netlify/schema.html#hook_type_to_json"},{"doc":"midas/sdk/netlify/schema","title":"member_decoder","content":"pub fn member_decoder() -&gt; Decoder(Member)\n\nSynonyms:\nmidas/sdk/netlify/schema.member_decoder\nmidas/sdk/netlify/schema member_decoder","url":"midas/sdk/netlify/schema.html#member_decoder"},{"doc":"midas/sdk/netlify/schema","title":"member_to_json","content":"pub fn member_to_json(data: Member) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.member_to_json\nmidas/sdk/netlify/schema member_to_json","url":"midas/sdk/netlify/schema.html#member_to_json"},{"doc":"midas/sdk/netlify/schema","title":"metadata_decoder","content":"pub fn metadata_decoder() -&gt; Decoder(Metadata)\n\nSynonyms:\nmidas/sdk/netlify/schema.metadata_decoder\nmidas/sdk/netlify/schema metadata_decoder","url":"midas/sdk/netlify/schema.html#metadata_decoder"},{"doc":"midas/sdk/netlify/schema","title":"metadata_to_json","content":"pub fn metadata_to_json(data: Metadata) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.metadata_to_json\nmidas/sdk/netlify/schema metadata_to_json","url":"midas/sdk/netlify/schema.html#metadata_to_json"},{"doc":"midas/sdk/netlify/schema","title":"payment_method_decoder","content":"pub fn payment_method_decoder() -&gt; Decoder(PaymentMethod)\n\nSynonyms:\nmidas/sdk/netlify/schema.payment_method_decoder\nmidas/sdk/netlify/schema payment_method_decoder","url":"midas/sdk/netlify/schema.html#payment_method_decoder"},{"doc":"midas/sdk/netlify/schema","title":"payment_method_to_json","content":"pub fn payment_method_to_json(data: PaymentMethod) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.payment_method_to_json\nmidas/sdk/netlify/schema payment_method_to_json","url":"midas/sdk/netlify/schema.html#payment_method_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_decoder","content":"pub fn plugin_decoder() -&gt; Decoder(Plugin)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_decoder\nmidas/sdk/netlify/schema plugin_decoder","url":"midas/sdk/netlify/schema.html#plugin_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_params_decoder","content":"pub fn plugin_params_decoder() -&gt; Decoder(PluginParams)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_params_decoder\nmidas/sdk/netlify/schema plugin_params_decoder","url":"midas/sdk/netlify/schema.html#plugin_params_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_params_to_json","content":"pub fn plugin_params_to_json(data: PluginParams) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_params_to_json\nmidas/sdk/netlify/schema plugin_params_to_json","url":"midas/sdk/netlify/schema.html#plugin_params_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_data_decoder","content":"pub fn plugin_run_data_decoder() -&gt; Decoder(PluginRunData)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_data_decoder\nmidas/sdk/netlify/schema plugin_run_data_decoder","url":"midas/sdk/netlify/schema.html#plugin_run_data_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_data_to_json","content":"pub fn plugin_run_data_to_json(data: PluginRunData) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_data_to_json\nmidas/sdk/netlify/schema plugin_run_data_to_json","url":"midas/sdk/netlify/schema.html#plugin_run_data_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_decoder","content":"pub fn plugin_run_decoder() -&gt; Decoder(PluginRun)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_decoder\nmidas/sdk/netlify/schema plugin_run_decoder","url":"midas/sdk/netlify/schema.html#plugin_run_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_to_json","content":"pub fn plugin_run_to_json(data: PluginRun) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_to_json\nmidas/sdk/netlify/schema plugin_run_to_json","url":"midas/sdk/netlify/schema.html#plugin_run_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_to_json","content":"pub fn plugin_to_json(data: Plugin) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_to_json\nmidas/sdk/netlify/schema plugin_to_json","url":"midas/sdk/netlify/schema.html#plugin_to_json"},{"doc":"midas/sdk/netlify/schema","title":"purge_decoder","content":"pub fn purge_decoder() -&gt; Decoder(Purge)\n\nSynonyms:\nmidas/sdk/netlify/schema.purge_decoder\nmidas/sdk/netlify/schema purge_decoder","url":"midas/sdk/netlify/schema.html#purge_decoder"},{"doc":"midas/sdk/netlify/schema","title":"purge_to_json","content":"pub fn purge_to_json(data: Purge) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.purge_to_json\nmidas/sdk/netlify/schema purge_to_json","url":"midas/sdk/netlify/schema.html#purge_to_json"},{"doc":"midas/sdk/netlify/schema","title":"repo_info_decoder","content":"pub fn repo_info_decoder() -&gt; Decoder(RepoInfo)\n\nSynonyms:\nmidas/sdk/netlify/schema.repo_info_decoder\nmidas/sdk/netlify/schema repo_info_decoder","url":"midas/sdk/netlify/schema.html#repo_info_decoder"},{"doc":"midas/sdk/netlify/schema","title":"repo_info_to_json","content":"pub fn repo_info_to_json(data: RepoInfo) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.repo_info_to_json\nmidas/sdk/netlify/schema repo_info_to_json","url":"midas/sdk/netlify/schema.html#repo_info_to_json"},{"doc":"midas/sdk/netlify/schema","title":"service_decoder","content":"pub fn service_decoder() -&gt; Decoder(Service)\n\nSynonyms:\nmidas/sdk/netlify/schema.service_decoder\nmidas/sdk/netlify/schema service_decoder","url":"midas/sdk/netlify/schema.html#service_decoder"},{"doc":"midas/sdk/netlify/schema","title":"service_instance_decoder","content":"pub fn service_instance_decoder() -&gt; Decoder(ServiceInstance)\n\nSynonyms:\nmidas/sdk/netlify/schema.service_instance_decoder\nmidas/sdk/netlify/schema service_instance_decoder","url":"midas/sdk/netlify/schema.html#service_instance_decoder"},{"doc":"midas/sdk/netlify/schema","title":"service_instance_to_json","content":"pub fn service_instance_to_json(data: ServiceInstance) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.service_instance_to_json\nmidas/sdk/netlify/schema service_instance_to_json","url":"midas/sdk/netlify/schema.html#service_instance_to_json"},{"doc":"midas/sdk/netlify/schema","title":"service_to_json","content":"pub fn service_to_json(data: Service) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.service_to_json\nmidas/sdk/netlify/schema service_to_json","url":"midas/sdk/netlify/schema.html#service_to_json"},{"doc":"midas/sdk/netlify/schema","title":"site_decoder","content":"pub fn site_decoder() -&gt; Decoder(Site)\n\nSynonyms:\nmidas/sdk/netlify/schema.site_decoder\nmidas/sdk/netlify/schema site_decoder","url":"midas/sdk/netlify/schema.html#site_decoder"},{"doc":"midas/sdk/netlify/schema","title":"site_function_decoder","content":"pub fn site_function_decoder() -&gt; Decoder(SiteFunction)\n\nSynonyms:\nmidas/sdk/netlify/schema.site_function_decoder\nmidas/sdk/netlify/schema site_function_decoder","url":"midas/sdk/netlify/schema.html#site_function_decoder"},{"doc":"midas/sdk/netlify/schema","title":"site_function_to_json","content":"pub fn site_function_to_json(data: SiteFunction) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.site_function_to_json\nmidas/sdk/netlify/schema site_function_to_json","url":"midas/sdk/netlify/schema.html#site_function_to_json"},{"doc":"midas/sdk/netlify/schema","title":"site_setup_decoder","content":"pub fn site_setup_decoder() -&gt; Decoder(SiteSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.site_setup_decoder\nmidas/sdk/netlify/schema site_setup_decoder","url":"midas/sdk/netlify/schema.html#site_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"site_setup_to_json","content":"pub fn site_setup_to_json(data: SiteSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.site_setup_to_json\nmidas/sdk/netlify/schema site_setup_to_json","url":"midas/sdk/netlify/schema.html#site_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"site_to_json","content":"pub fn site_to_json(data: Site) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.site_to_json\nmidas/sdk/netlify/schema site_to_json","url":"midas/sdk/netlify/schema.html#site_to_json"},{"doc":"midas/sdk/netlify/schema","title":"sni_certificate_decoder","content":"pub fn sni_certificate_decoder() -&gt; Decoder(SniCertificate)\n\nSynonyms:\nmidas/sdk/netlify/schema.sni_certificate_decoder\nmidas/sdk/netlify/schema sni_certificate_decoder","url":"midas/sdk/netlify/schema.html#sni_certificate_decoder"},{"doc":"midas/sdk/netlify/schema","title":"sni_certificate_to_json","content":"pub fn sni_certificate_to_json(data: SniCertificate) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.sni_certificate_to_json\nmidas/sdk/netlify/schema sni_certificate_to_json","url":"midas/sdk/netlify/schema.html#sni_certificate_to_json"},{"doc":"midas/sdk/netlify/schema","title":"snippet_decoder","content":"pub fn snippet_decoder() -&gt; Decoder(Snippet)\n\nSynonyms:\nmidas/sdk/netlify/schema.snippet_decoder\nmidas/sdk/netlify/schema snippet_decoder","url":"midas/sdk/netlify/schema.html#snippet_decoder"},{"doc":"midas/sdk/netlify/schema","title":"snippet_to_json","content":"pub fn snippet_to_json(data: Snippet) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.snippet_to_json\nmidas/sdk/netlify/schema snippet_to_json","url":"midas/sdk/netlify/schema.html#snippet_to_json"},{"doc":"midas/sdk/netlify/schema","title":"split_test_decoder","content":"pub fn split_test_decoder() -&gt; Decoder(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_decoder\nmidas/sdk/netlify/schema split_test_decoder","url":"midas/sdk/netlify/schema.html#split_test_decoder"},{"doc":"midas/sdk/netlify/schema","title":"split_test_setup_decoder","content":"pub fn split_test_setup_decoder() -&gt; Decoder(SplitTestSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_setup_decoder\nmidas/sdk/netlify/schema split_test_setup_decoder","url":"midas/sdk/netlify/schema.html#split_test_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"split_test_setup_to_json","content":"pub fn split_test_setup_to_json(data: SplitTestSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_setup_to_json\nmidas/sdk/netlify/schema split_test_setup_to_json","url":"midas/sdk/netlify/schema.html#split_test_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"split_test_to_json","content":"pub fn split_test_to_json(data: SplitTest) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_to_json\nmidas/sdk/netlify/schema split_test_to_json","url":"midas/sdk/netlify/schema.html#split_test_to_json"},{"doc":"midas/sdk/netlify/schema","title":"split_tests_decoder","content":"pub fn split_tests_decoder() -&gt; Decoder(List(SplitTest))\n\nSynonyms:\nmidas/sdk/netlify/schema.split_tests_decoder\nmidas/sdk/netlify/schema split_tests_decoder","url":"midas/sdk/netlify/schema.html#split_tests_decoder"},{"doc":"midas/sdk/netlify/schema","title":"submission_decoder","content":"pub fn submission_decoder() -&gt; Decoder(Submission)\n\nSynonyms:\nmidas/sdk/netlify/schema.submission_decoder\nmidas/sdk/netlify/schema submission_decoder","url":"midas/sdk/netlify/schema.html#submission_decoder"},{"doc":"midas/sdk/netlify/schema","title":"submission_to_json","content":"pub fn submission_to_json(data: Submission) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.submission_to_json\nmidas/sdk/netlify/schema submission_to_json","url":"midas/sdk/netlify/schema.html#submission_to_json"},{"doc":"midas/sdk/netlify/schema","title":"ticket_decoder","content":"pub fn ticket_decoder() -&gt; Decoder(Ticket)\n\nSynonyms:\nmidas/sdk/netlify/schema.ticket_decoder\nmidas/sdk/netlify/schema ticket_decoder","url":"midas/sdk/netlify/schema.html#ticket_decoder"},{"doc":"midas/sdk/netlify/schema","title":"ticket_to_json","content":"pub fn ticket_to_json(data: Ticket) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.ticket_to_json\nmidas/sdk/netlify/schema ticket_to_json","url":"midas/sdk/netlify/schema.html#ticket_to_json"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_aggregate_config_decoder","content":"pub fn traffic_rules_aggregate_config_decoder() -&gt; Decoder(\n  TrafficRulesAggregateConfig,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_aggregate_config_decoder\nmidas/sdk/netlify/schema traffic_rules_aggregate_config_decoder","url":"midas/sdk/netlify/schema.html#traffic_rules_aggregate_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_aggregate_config_to_json","content":"pub fn traffic_rules_aggregate_config_to_json(\n  data: TrafficRulesAggregateConfig,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_aggregate_config_to_json\nmidas/sdk/netlify/schema traffic_rules_aggregate_config_to_json","url":"midas/sdk/netlify/schema.html#traffic_rules_aggregate_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_config_decoder","content":"pub fn traffic_rules_config_decoder() -&gt; Decoder(\n  TrafficRulesConfig,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_config_decoder\nmidas/sdk/netlify/schema traffic_rules_config_decoder","url":"midas/sdk/netlify/schema.html#traffic_rules_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_config_to_json","content":"pub fn traffic_rules_config_to_json(\n  data: TrafficRulesConfig,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_config_to_json\nmidas/sdk/netlify/schema traffic_rules_config_to_json","url":"midas/sdk/netlify/schema.html#traffic_rules_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_rate_limit_config_decoder","content":"pub fn traffic_rules_rate_limit_config_decoder() -&gt; Decoder(\n  TrafficRulesRateLimitConfig,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_rate_limit_config_decoder\nmidas/sdk/netlify/schema traffic_rules_rate_limit_config_decoder","url":"midas/sdk/netlify/schema.html#traffic_rules_rate_limit_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_rate_limit_config_to_json","content":"pub fn traffic_rules_rate_limit_config_to_json(\n  data: TrafficRulesRateLimitConfig,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_rate_limit_config_to_json\nmidas/sdk/netlify/schema traffic_rules_rate_limit_config_to_json","url":"midas/sdk/netlify/schema.html#traffic_rules_rate_limit_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"user_decoder","content":"pub fn user_decoder() -&gt; Decoder(User)\n\nSynonyms:\nmidas/sdk/netlify/schema.user_decoder\nmidas/sdk/netlify/schema user_decoder","url":"midas/sdk/netlify/schema.html#user_decoder"},{"doc":"midas/sdk/netlify/schema","title":"user_to_json","content":"pub fn user_to_json(data: User) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.user_to_json\nmidas/sdk/netlify/schema user_to_json","url":"midas/sdk/netlify/schema.html#user_to_json"},{"doc":"midas/sdk/netlify/schema","title":"midas/sdk/netlify/schema","content":"","url":"midas/sdk/netlify/schema.html"},{"doc":"midas/sdk/utils","title":"append_path","content":"pub fn append_path(\n  request: Request(a),\n  path: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/utils.append_path\nmidas/sdk/utils append_path","url":"midas/sdk/utils.html#append_path"},{"doc":"midas/sdk/utils","title":"decode_bits","content":"pub fn decode_bits(\n  data: BitArray,\n  decoder: Decoder(a),\n) -&gt; Result(a, DecodeError)\n\nSynonyms:\nmidas/sdk/utils.decode_bits\nmidas/sdk/utils decode_bits","url":"midas/sdk/utils.html#decode_bits"},{"doc":"midas/sdk/utils","title":"json_to_bits","content":"pub fn json_to_bits(json: Json) -&gt; BitArray\n\nSynonyms:\nmidas/sdk/utils.json_to_bits\nmidas/sdk/utils json_to_bits","url":"midas/sdk/utils.html#json_to_bits"},{"doc":"midas/sdk/utils","title":"set_body","content":"pub fn set_body(\n  request: Request(a),\n  mime: String,\n  content: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/utils.set_body\nmidas/sdk/utils set_body","url":"midas/sdk/utils.html#set_body"},{"doc":"midas/sdk/utils","title":"set_method","content":"pub fn set_method(\n  request: Request(a),\n  method: Method,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/utils.set_method\nmidas/sdk/utils set_method","url":"midas/sdk/utils.html#set_method"},{"doc":"midas/sdk/utils","title":"set_query","content":"pub fn set_query(\n  request: Request(a),\n  query: List(#(String, Option(String))),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/utils.set_query\nmidas/sdk/utils set_query","url":"midas/sdk/utils.html#set_query"},{"doc":"midas/sdk/utils","title":"midas/sdk/utils","content":"","url":"midas/sdk/utils.html"},{"doc":"midas/sdk/dnsimple/operations","title":"accept_push_request","content":"pub fn accept_push_request(\n  base: Request(a),\n  account: Int,\n  push: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.accept_push_request\nmidas/sdk/dnsimple/operations accept_push_request","url":"midas/sdk/dnsimple/operations.html#accept_push_request"},{"doc":"midas/sdk/dnsimple/operations","title":"accept_push_response","content":"pub fn accept_push_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.accept_push_response\nmidas/sdk/dnsimple/operations accept_push_response","url":"midas/sdk/dnsimple/operations.html#accept_push_response"},{"doc":"midas/sdk/dnsimple/operations","title":"activate_zone_service_request","content":"pub fn activate_zone_service_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.activate_zone_service_request\nmidas/sdk/dnsimple/operations activate_zone_service_request","url":"midas/sdk/dnsimple/operations.html#activate_zone_service_request"},{"doc":"midas/sdk/dnsimple/operations","title":"activate_zone_service_response","content":"pub fn activate_zone_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.activate_zone_service_response\nmidas/sdk/dnsimple/operations activate_zone_service_response","url":"midas/sdk/dnsimple/operations.html#activate_zone_service_response"},{"doc":"midas/sdk/dnsimple/operations","title":"add_domain_collaborator_request","content":"pub fn add_domain_collaborator_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.add_domain_collaborator_request\nmidas/sdk/dnsimple/operations add_domain_collaborator_request","url":"midas/sdk/dnsimple/operations.html#add_domain_collaborator_request"},{"doc":"midas/sdk/dnsimple/operations","title":"add_domain_collaborator_response","content":"pub fn add_domain_collaborator_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.add_domain_collaborator_response\nmidas/sdk/dnsimple/operations add_domain_collaborator_response","url":"midas/sdk/dnsimple/operations.html#add_domain_collaborator_response"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_service_to_domain_request","content":"pub fn apply_service_to_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  service: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_service_to_domain_request\nmidas/sdk/dnsimple/operations apply_service_to_domain_request","url":"midas/sdk/dnsimple/operations.html#apply_service_to_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_service_to_domain_response","content":"pub fn apply_service_to_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_service_to_domain_response\nmidas/sdk/dnsimple/operations apply_service_to_domain_response","url":"midas/sdk/dnsimple/operations.html#apply_service_to_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_template_to_domain_request","content":"pub fn apply_template_to_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  template: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_template_to_domain_request\nmidas/sdk/dnsimple/operations apply_template_to_domain_request","url":"midas/sdk/dnsimple/operations.html#apply_template_to_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_template_to_domain_response","content":"pub fn apply_template_to_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_template_to_domain_response\nmidas/sdk/dnsimple/operations apply_template_to_domain_response","url":"midas/sdk/dnsimple/operations.html#apply_template_to_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"authorize_domain_transfer_out_request","content":"pub fn authorize_domain_transfer_out_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.authorize_domain_transfer_out_request\nmidas/sdk/dnsimple/operations authorize_domain_transfer_out_request","url":"midas/sdk/dnsimple/operations.html#authorize_domain_transfer_out_request"},{"doc":"midas/sdk/dnsimple/operations","title":"authorize_domain_transfer_out_response","content":"pub fn authorize_domain_transfer_out_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.authorize_domain_transfer_out_response\nmidas/sdk/dnsimple/operations authorize_domain_transfer_out_response","url":"midas/sdk/dnsimple/operations.html#authorize_domain_transfer_out_response"},{"doc":"midas/sdk/dnsimple/operations","title":"cancel_domain_transfer_request","content":"pub fn cancel_domain_transfer_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.cancel_domain_transfer_request\nmidas/sdk/dnsimple/operations cancel_domain_transfer_request","url":"midas/sdk/dnsimple/operations.html#cancel_domain_transfer_request"},{"doc":"midas/sdk/dnsimple/operations","title":"cancel_domain_transfer_response","content":"pub fn cancel_domain_transfer_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.cancel_domain_transfer_response\nmidas/sdk/dnsimple/operations cancel_domain_transfer_response","url":"midas/sdk/dnsimple/operations.html#cancel_domain_transfer_response"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_from_vanity_request","content":"pub fn change_domain_delegation_from_vanity_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_from_vanity_request\nmidas/sdk/dnsimple/operations change_domain_delegation_from_vanity_request","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_from_vanity_request"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_from_vanity_response","content":"pub fn change_domain_delegation_from_vanity_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_from_vanity_response\nmidas/sdk/dnsimple/operations change_domain_delegation_from_vanity_response","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_from_vanity_response"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_request","content":"pub fn change_domain_delegation_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_request\nmidas/sdk/dnsimple/operations change_domain_delegation_request","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_request"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_response","content":"pub fn change_domain_delegation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_response\nmidas/sdk/dnsimple/operations change_domain_delegation_response","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_response"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_to_vanity_request","content":"pub fn change_domain_delegation_to_vanity_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_to_vanity_request\nmidas/sdk/dnsimple/operations change_domain_delegation_to_vanity_request","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_to_vanity_request"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_to_vanity_response","content":"pub fn change_domain_delegation_to_vanity_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_to_vanity_response\nmidas/sdk/dnsimple/operations change_domain_delegation_to_vanity_response","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_to_vanity_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_domain_request","content":"pub fn check_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_domain_request\nmidas/sdk/dnsimple/operations check_domain_request","url":"midas/sdk/dnsimple/operations.html#check_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_domain_response","content":"pub fn check_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_domain_response\nmidas/sdk/dnsimple/operations check_domain_response","url":"midas/sdk/dnsimple/operations.html#check_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_registrant_change_request","content":"pub fn check_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_registrant_change_request\nmidas/sdk/dnsimple/operations check_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#check_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_registrant_change_response","content":"pub fn check_registrant_change_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_registrant_change_response\nmidas/sdk/dnsimple/operations check_registrant_change_response","url":"midas/sdk/dnsimple/operations.html#check_registrant_change_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_distribution_request","content":"pub fn check_zone_distribution_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_distribution_request\nmidas/sdk/dnsimple/operations check_zone_distribution_request","url":"midas/sdk/dnsimple/operations.html#check_zone_distribution_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_distribution_response","content":"pub fn check_zone_distribution_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_distribution_response\nmidas/sdk/dnsimple/operations check_zone_distribution_response","url":"midas/sdk/dnsimple/operations.html#check_zone_distribution_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_record_distribution_request","content":"pub fn check_zone_record_distribution_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_record_distribution_request\nmidas/sdk/dnsimple/operations check_zone_record_distribution_request","url":"midas/sdk/dnsimple/operations.html#check_zone_record_distribution_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_record_distribution_response","content":"pub fn check_zone_record_distribution_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_record_distribution_response\nmidas/sdk/dnsimple/operations check_zone_record_distribution_response","url":"midas/sdk/dnsimple/operations.html#check_zone_record_distribution_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_contact_request","content":"pub fn create_contact_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_contact_request\nmidas/sdk/dnsimple/operations create_contact_request","url":"midas/sdk/dnsimple/operations.html#create_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_contact_response","content":"pub fn create_contact_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_contact_response\nmidas/sdk/dnsimple/operations create_contact_response","url":"midas/sdk/dnsimple/operations.html#create_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_delegation_signer_record_request","content":"pub fn create_domain_delegation_signer_record_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_delegation_signer_record_request\nmidas/sdk/dnsimple/operations create_domain_delegation_signer_record_request","url":"midas/sdk/dnsimple/operations.html#create_domain_delegation_signer_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_delegation_signer_record_response","content":"pub fn create_domain_delegation_signer_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_delegation_signer_record_response\nmidas/sdk/dnsimple/operations create_domain_delegation_signer_record_response","url":"midas/sdk/dnsimple/operations.html#create_domain_delegation_signer_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_request","content":"pub fn create_domain_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_request\nmidas/sdk/dnsimple/operations create_domain_request","url":"midas/sdk/dnsimple/operations.html#create_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_response","content":"pub fn create_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_response\nmidas/sdk/dnsimple/operations create_domain_response","url":"midas/sdk/dnsimple/operations.html#create_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_email_forward_request","content":"pub fn create_email_forward_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_email_forward_request\nmidas/sdk/dnsimple/operations create_email_forward_request","url":"midas/sdk/dnsimple/operations.html#create_email_forward_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_email_forward_response","content":"pub fn create_email_forward_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_email_forward_response\nmidas/sdk/dnsimple/operations create_email_forward_response","url":"midas/sdk/dnsimple/operations.html#create_email_forward_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_primary_server_request","content":"pub fn create_primary_server_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_primary_server_request\nmidas/sdk/dnsimple/operations create_primary_server_request","url":"midas/sdk/dnsimple/operations.html#create_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_primary_server_response","content":"pub fn create_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_primary_server_response\nmidas/sdk/dnsimple/operations create_primary_server_response","url":"midas/sdk/dnsimple/operations.html#create_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_registrant_change_request","content":"pub fn create_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_registrant_change_request\nmidas/sdk/dnsimple/operations create_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#create_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_registrant_change_response","content":"pub fn create_registrant_change_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_registrant_change_response\nmidas/sdk/dnsimple/operations create_registrant_change_response","url":"midas/sdk/dnsimple/operations.html#create_registrant_change_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_secondary_zone_request","content":"pub fn create_secondary_zone_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_secondary_zone_request\nmidas/sdk/dnsimple/operations create_secondary_zone_request","url":"midas/sdk/dnsimple/operations.html#create_secondary_zone_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_secondary_zone_response","content":"pub fn create_secondary_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_secondary_zone_response\nmidas/sdk/dnsimple/operations create_secondary_zone_response","url":"midas/sdk/dnsimple/operations.html#create_secondary_zone_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_record_request","content":"pub fn create_template_record_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_record_request\nmidas/sdk/dnsimple/operations create_template_record_request","url":"midas/sdk/dnsimple/operations.html#create_template_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_record_response","content":"pub fn create_template_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_record_response\nmidas/sdk/dnsimple/operations create_template_record_response","url":"midas/sdk/dnsimple/operations.html#create_template_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_request","content":"pub fn create_template_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_request\nmidas/sdk/dnsimple/operations create_template_request","url":"midas/sdk/dnsimple/operations.html#create_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_response","content":"pub fn create_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_response\nmidas/sdk/dnsimple/operations create_template_response","url":"midas/sdk/dnsimple/operations.html#create_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_webhook_request","content":"pub fn create_webhook_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_webhook_request\nmidas/sdk/dnsimple/operations create_webhook_request","url":"midas/sdk/dnsimple/operations.html#create_webhook_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_webhook_response","content":"pub fn create_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_webhook_response\nmidas/sdk/dnsimple/operations create_webhook_response","url":"midas/sdk/dnsimple/operations.html#create_webhook_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_zone_record_request","content":"pub fn create_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_zone_record_request\nmidas/sdk/dnsimple/operations create_zone_record_request","url":"midas/sdk/dnsimple/operations.html#create_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_zone_record_response","content":"pub fn create_zone_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_zone_record_response\nmidas/sdk/dnsimple/operations create_zone_record_response","url":"midas/sdk/dnsimple/operations.html#create_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"deactivate_zone_service_request","content":"pub fn deactivate_zone_service_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.deactivate_zone_service_request\nmidas/sdk/dnsimple/operations deactivate_zone_service_request","url":"midas/sdk/dnsimple/operations.html#deactivate_zone_service_request"},{"doc":"midas/sdk/dnsimple/operations","title":"deactivate_zone_service_response","content":"pub fn deactivate_zone_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.deactivate_zone_service_response\nmidas/sdk/dnsimple/operations deactivate_zone_service_response","url":"midas/sdk/dnsimple/operations.html#deactivate_zone_service_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_contact_request","content":"pub fn delete_contact_request(\n  base: Request(a),\n  account: Int,\n  contact: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_contact_request\nmidas/sdk/dnsimple/operations delete_contact_request","url":"midas/sdk/dnsimple/operations.html#delete_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_contact_response","content":"pub fn delete_contact_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_contact_response\nmidas/sdk/dnsimple/operations delete_contact_response","url":"midas/sdk/dnsimple/operations.html#delete_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_delegation_signer_record_request","content":"pub fn delete_domain_delegation_signer_record_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_delegation_signer_record_request\nmidas/sdk/dnsimple/operations delete_domain_delegation_signer_record_request","url":"midas/sdk/dnsimple/operations.html#delete_domain_delegation_signer_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_delegation_signer_record_response","content":"pub fn delete_domain_delegation_signer_record_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_delegation_signer_record_response\nmidas/sdk/dnsimple/operations delete_domain_delegation_signer_record_response","url":"midas/sdk/dnsimple/operations.html#delete_domain_delegation_signer_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_request","content":"pub fn delete_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_request\nmidas/sdk/dnsimple/operations delete_domain_request","url":"midas/sdk/dnsimple/operations.html#delete_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_response","content":"pub fn delete_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_response\nmidas/sdk/dnsimple/operations delete_domain_response","url":"midas/sdk/dnsimple/operations.html#delete_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_email_forward_request","content":"pub fn delete_email_forward_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_email_forward_request\nmidas/sdk/dnsimple/operations delete_email_forward_request","url":"midas/sdk/dnsimple/operations.html#delete_email_forward_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_email_forward_response","content":"pub fn delete_email_forward_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_email_forward_response\nmidas/sdk/dnsimple/operations delete_email_forward_response","url":"midas/sdk/dnsimple/operations.html#delete_email_forward_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_registrant_change_request","content":"pub fn delete_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  registrantchange: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_registrant_change_request\nmidas/sdk/dnsimple/operations delete_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#delete_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_record_request","content":"pub fn delete_template_record_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_record_request\nmidas/sdk/dnsimple/operations delete_template_record_request","url":"midas/sdk/dnsimple/operations.html#delete_template_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_record_response","content":"pub fn delete_template_record_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_record_response\nmidas/sdk/dnsimple/operations delete_template_record_response","url":"midas/sdk/dnsimple/operations.html#delete_template_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_request","content":"pub fn delete_template_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_request\nmidas/sdk/dnsimple/operations delete_template_request","url":"midas/sdk/dnsimple/operations.html#delete_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_response","content":"pub fn delete_template_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_response\nmidas/sdk/dnsimple/operations delete_template_response","url":"midas/sdk/dnsimple/operations.html#delete_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_webhook_request","content":"pub fn delete_webhook_request(\n  base: Request(a),\n  account: Int,\n  webhook: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_webhook_request\nmidas/sdk/dnsimple/operations delete_webhook_request","url":"midas/sdk/dnsimple/operations.html#delete_webhook_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_webhook_response","content":"pub fn delete_webhook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_webhook_response\nmidas/sdk/dnsimple/operations delete_webhook_response","url":"midas/sdk/dnsimple/operations.html#delete_webhook_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_zone_record_request","content":"pub fn delete_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_zone_record_request\nmidas/sdk/dnsimple/operations delete_zone_record_request","url":"midas/sdk/dnsimple/operations.html#delete_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_zone_record_response","content":"pub fn delete_zone_record_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_zone_record_response\nmidas/sdk/dnsimple/operations delete_zone_record_response","url":"midas/sdk/dnsimple/operations.html#delete_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_auto_renewal_request","content":"pub fn disable_domain_auto_renewal_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_auto_renewal_request\nmidas/sdk/dnsimple/operations disable_domain_auto_renewal_request","url":"midas/sdk/dnsimple/operations.html#disable_domain_auto_renewal_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_auto_renewal_response","content":"pub fn disable_domain_auto_renewal_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_auto_renewal_response\nmidas/sdk/dnsimple/operations disable_domain_auto_renewal_response","url":"midas/sdk/dnsimple/operations.html#disable_domain_auto_renewal_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_dnssec_request","content":"pub fn disable_domain_dnssec_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_dnssec_request\nmidas/sdk/dnsimple/operations disable_domain_dnssec_request","url":"midas/sdk/dnsimple/operations.html#disable_domain_dnssec_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_dnssec_response","content":"pub fn disable_domain_dnssec_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_dnssec_response\nmidas/sdk/dnsimple/operations disable_domain_dnssec_response","url":"midas/sdk/dnsimple/operations.html#disable_domain_dnssec_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_transfer_lock_request","content":"pub fn disable_domain_transfer_lock_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_transfer_lock_request\nmidas/sdk/dnsimple/operations disable_domain_transfer_lock_request","url":"midas/sdk/dnsimple/operations.html#disable_domain_transfer_lock_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_transfer_lock_response","content":"pub fn disable_domain_transfer_lock_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_transfer_lock_response\nmidas/sdk/dnsimple/operations disable_domain_transfer_lock_response","url":"midas/sdk/dnsimple/operations.html#disable_domain_transfer_lock_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_vanity_name_servers_request","content":"pub fn disable_vanity_name_servers_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_vanity_name_servers_request\nmidas/sdk/dnsimple/operations disable_vanity_name_servers_request","url":"midas/sdk/dnsimple/operations.html#disable_vanity_name_servers_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_vanity_name_servers_response","content":"pub fn disable_vanity_name_servers_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_vanity_name_servers_response\nmidas/sdk/dnsimple/operations disable_vanity_name_servers_response","url":"midas/sdk/dnsimple/operations.html#disable_vanity_name_servers_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_whois_privacy_request","content":"pub fn disable_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_whois_privacy_request\nmidas/sdk/dnsimple/operations disable_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#disable_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_whois_privacy_response","content":"pub fn disable_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_whois_privacy_response\nmidas/sdk/dnsimple/operations disable_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#disable_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_renew_request","content":"pub fn domain_renew_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_renew_request\nmidas/sdk/dnsimple/operations domain_renew_request","url":"midas/sdk/dnsimple/operations.html#domain_renew_request"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_renew_response","content":"pub fn domain_renew_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_renew_response\nmidas/sdk/dnsimple/operations domain_renew_response","url":"midas/sdk/dnsimple/operations.html#domain_renew_response"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_restore_request","content":"pub fn domain_restore_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_restore_request\nmidas/sdk/dnsimple/operations domain_restore_request","url":"midas/sdk/dnsimple/operations.html#domain_restore_request"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_restore_response","content":"pub fn domain_restore_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_restore_response\nmidas/sdk/dnsimple/operations domain_restore_response","url":"midas/sdk/dnsimple/operations.html#domain_restore_response"},{"doc":"midas/sdk/dnsimple/operations","title":"download_certificate_request","content":"pub fn download_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.download_certificate_request\nmidas/sdk/dnsimple/operations download_certificate_request","url":"midas/sdk/dnsimple/operations.html#download_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"download_certificate_response","content":"pub fn download_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.download_certificate_response\nmidas/sdk/dnsimple/operations download_certificate_response","url":"midas/sdk/dnsimple/operations.html#download_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_auto_renewal_request","content":"pub fn enable_domain_auto_renewal_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_auto_renewal_request\nmidas/sdk/dnsimple/operations enable_domain_auto_renewal_request","url":"midas/sdk/dnsimple/operations.html#enable_domain_auto_renewal_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_auto_renewal_response","content":"pub fn enable_domain_auto_renewal_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_auto_renewal_response\nmidas/sdk/dnsimple/operations enable_domain_auto_renewal_response","url":"midas/sdk/dnsimple/operations.html#enable_domain_auto_renewal_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_dnssec_request","content":"pub fn enable_domain_dnssec_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_dnssec_request\nmidas/sdk/dnsimple/operations enable_domain_dnssec_request","url":"midas/sdk/dnsimple/operations.html#enable_domain_dnssec_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_dnssec_response","content":"pub fn enable_domain_dnssec_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_dnssec_response\nmidas/sdk/dnsimple/operations enable_domain_dnssec_response","url":"midas/sdk/dnsimple/operations.html#enable_domain_dnssec_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_transfer_lock_request","content":"pub fn enable_domain_transfer_lock_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_transfer_lock_request\nmidas/sdk/dnsimple/operations enable_domain_transfer_lock_request","url":"midas/sdk/dnsimple/operations.html#enable_domain_transfer_lock_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_transfer_lock_response","content":"pub fn enable_domain_transfer_lock_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_transfer_lock_response\nmidas/sdk/dnsimple/operations enable_domain_transfer_lock_response","url":"midas/sdk/dnsimple/operations.html#enable_domain_transfer_lock_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_vanity_name_servers_request","content":"pub fn enable_vanity_name_servers_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_vanity_name_servers_request\nmidas/sdk/dnsimple/operations enable_vanity_name_servers_request","url":"midas/sdk/dnsimple/operations.html#enable_vanity_name_servers_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_vanity_name_servers_response","content":"pub fn enable_vanity_name_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_vanity_name_servers_response\nmidas/sdk/dnsimple/operations enable_vanity_name_servers_response","url":"midas/sdk/dnsimple/operations.html#enable_vanity_name_servers_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_whois_privacy_request","content":"pub fn enable_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_whois_privacy_request\nmidas/sdk/dnsimple/operations enable_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#enable_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_whois_privacy_response","content":"pub fn enable_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_whois_privacy_response\nmidas/sdk/dnsimple/operations enable_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#enable_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_private_key_request","content":"pub fn get_certificate_private_key_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_private_key_request\nmidas/sdk/dnsimple/operations get_certificate_private_key_request","url":"midas/sdk/dnsimple/operations.html#get_certificate_private_key_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_private_key_response","content":"pub fn get_certificate_private_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_private_key_response\nmidas/sdk/dnsimple/operations get_certificate_private_key_response","url":"midas/sdk/dnsimple/operations.html#get_certificate_private_key_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_request","content":"pub fn get_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_request\nmidas/sdk/dnsimple/operations get_certificate_request","url":"midas/sdk/dnsimple/operations.html#get_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_response","content":"pub fn get_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_response\nmidas/sdk/dnsimple/operations get_certificate_response","url":"midas/sdk/dnsimple/operations.html#get_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_contact_request","content":"pub fn get_contact_request(\n  base: Request(a),\n  account: Int,\n  contact: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_contact_request\nmidas/sdk/dnsimple/operations get_contact_request","url":"midas/sdk/dnsimple/operations.html#get_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_contact_response","content":"pub fn get_contact_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_contact_response\nmidas/sdk/dnsimple/operations get_contact_response","url":"midas/sdk/dnsimple/operations.html#get_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_request","content":"pub fn get_domain_delegation_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_request\nmidas/sdk/dnsimple/operations get_domain_delegation_request","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_response","content":"pub fn get_domain_delegation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_response\nmidas/sdk/dnsimple/operations get_domain_delegation_response","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_signer_record_request","content":"pub fn get_domain_delegation_signer_record_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_signer_record_request\nmidas/sdk/dnsimple/operations get_domain_delegation_signer_record_request","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_signer_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_signer_record_response","content":"pub fn get_domain_delegation_signer_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_signer_record_response\nmidas/sdk/dnsimple/operations get_domain_delegation_signer_record_response","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_signer_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_dnssec_request","content":"pub fn get_domain_dnssec_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_dnssec_request\nmidas/sdk/dnsimple/operations get_domain_dnssec_request","url":"midas/sdk/dnsimple/operations.html#get_domain_dnssec_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_dnssec_response","content":"pub fn get_domain_dnssec_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_dnssec_response\nmidas/sdk/dnsimple/operations get_domain_dnssec_response","url":"midas/sdk/dnsimple/operations.html#get_domain_dnssec_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_premium_price_request","content":"pub fn get_domain_premium_price_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  action action: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_premium_price_request\nmidas/sdk/dnsimple/operations get_domain_premium_price_request","url":"midas/sdk/dnsimple/operations.html#get_domain_premium_price_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_premium_price_response","content":"pub fn get_domain_premium_price_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_premium_price_response\nmidas/sdk/dnsimple/operations get_domain_premium_price_response","url":"midas/sdk/dnsimple/operations.html#get_domain_premium_price_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_prices_request","content":"pub fn get_domain_prices_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_prices_request\nmidas/sdk/dnsimple/operations get_domain_prices_request","url":"midas/sdk/dnsimple/operations.html#get_domain_prices_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_prices_response","content":"pub fn get_domain_prices_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_prices_response\nmidas/sdk/dnsimple/operations get_domain_prices_response","url":"midas/sdk/dnsimple/operations.html#get_domain_prices_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_registration_request","content":"pub fn get_domain_registration_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domainregistration: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_registration_request\nmidas/sdk/dnsimple/operations get_domain_registration_request","url":"midas/sdk/dnsimple/operations.html#get_domain_registration_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_registration_response","content":"pub fn get_domain_registration_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_registration_response\nmidas/sdk/dnsimple/operations get_domain_registration_response","url":"midas/sdk/dnsimple/operations.html#get_domain_registration_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_renewal_request","content":"pub fn get_domain_renewal_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domainrenewal: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_renewal_request\nmidas/sdk/dnsimple/operations get_domain_renewal_request","url":"midas/sdk/dnsimple/operations.html#get_domain_renewal_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_renewal_response","content":"pub fn get_domain_renewal_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_renewal_response\nmidas/sdk/dnsimple/operations get_domain_renewal_response","url":"midas/sdk/dnsimple/operations.html#get_domain_renewal_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_request","content":"pub fn get_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_request\nmidas/sdk/dnsimple/operations get_domain_request","url":"midas/sdk/dnsimple/operations.html#get_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_response","content":"pub fn get_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_response\nmidas/sdk/dnsimple/operations get_domain_response","url":"midas/sdk/dnsimple/operations.html#get_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_restore_request","content":"pub fn get_domain_restore_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domainrestore: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_restore_request\nmidas/sdk/dnsimple/operations get_domain_restore_request","url":"midas/sdk/dnsimple/operations.html#get_domain_restore_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_restore_response","content":"pub fn get_domain_restore_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_restore_response\nmidas/sdk/dnsimple/operations get_domain_restore_response","url":"midas/sdk/dnsimple/operations.html#get_domain_restore_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_lock_request","content":"pub fn get_domain_transfer_lock_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_lock_request\nmidas/sdk/dnsimple/operations get_domain_transfer_lock_request","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_lock_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_lock_response","content":"pub fn get_domain_transfer_lock_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_lock_response\nmidas/sdk/dnsimple/operations get_domain_transfer_lock_response","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_lock_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_request","content":"pub fn get_domain_transfer_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_request\nmidas/sdk/dnsimple/operations get_domain_transfer_request","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_response","content":"pub fn get_domain_transfer_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_response\nmidas/sdk/dnsimple/operations get_domain_transfer_response","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_email_forward_request","content":"pub fn get_email_forward_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_email_forward_request\nmidas/sdk/dnsimple/operations get_email_forward_request","url":"midas/sdk/dnsimple/operations.html#get_email_forward_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_email_forward_response","content":"pub fn get_email_forward_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_email_forward_response\nmidas/sdk/dnsimple/operations get_email_forward_response","url":"midas/sdk/dnsimple/operations.html#get_email_forward_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_primary_server_request","content":"pub fn get_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_primary_server_request\nmidas/sdk/dnsimple/operations get_primary_server_request","url":"midas/sdk/dnsimple/operations.html#get_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_primary_server_response","content":"pub fn get_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_primary_server_response\nmidas/sdk/dnsimple/operations get_primary_server_response","url":"midas/sdk/dnsimple/operations.html#get_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_registrant_change_request","content":"pub fn get_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  registrantchange: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_registrant_change_request\nmidas/sdk/dnsimple/operations get_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#get_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_registrant_change_response","content":"pub fn get_registrant_change_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_registrant_change_response\nmidas/sdk/dnsimple/operations get_registrant_change_response","url":"midas/sdk/dnsimple/operations.html#get_registrant_change_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_service_request","content":"pub fn get_service_request(\n  base: Request(a),\n  service: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_service_request\nmidas/sdk/dnsimple/operations get_service_request","url":"midas/sdk/dnsimple/operations.html#get_service_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_service_response","content":"pub fn get_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_service_response\nmidas/sdk/dnsimple/operations get_service_response","url":"midas/sdk/dnsimple/operations.html#get_service_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_record_request","content":"pub fn get_template_record_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_record_request\nmidas/sdk/dnsimple/operations get_template_record_request","url":"midas/sdk/dnsimple/operations.html#get_template_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_record_response","content":"pub fn get_template_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_record_response\nmidas/sdk/dnsimple/operations get_template_record_response","url":"midas/sdk/dnsimple/operations.html#get_template_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_request","content":"pub fn get_template_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_request\nmidas/sdk/dnsimple/operations get_template_request","url":"midas/sdk/dnsimple/operations.html#get_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_response","content":"pub fn get_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_response\nmidas/sdk/dnsimple/operations get_template_response","url":"midas/sdk/dnsimple/operations.html#get_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_extended_attributes_request","content":"pub fn get_tld_extended_attributes_request(\n  base: Request(a),\n  tld: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_extended_attributes_request\nmidas/sdk/dnsimple/operations get_tld_extended_attributes_request","url":"midas/sdk/dnsimple/operations.html#get_tld_extended_attributes_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_extended_attributes_response","content":"pub fn get_tld_extended_attributes_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_extended_attributes_response\nmidas/sdk/dnsimple/operations get_tld_extended_attributes_response","url":"midas/sdk/dnsimple/operations.html#get_tld_extended_attributes_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_request","content":"pub fn get_tld_request(\n  base: Request(a),\n  tld: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_request\nmidas/sdk/dnsimple/operations get_tld_request","url":"midas/sdk/dnsimple/operations.html#get_tld_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_response","content":"pub fn get_tld_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_response\nmidas/sdk/dnsimple/operations get_tld_response","url":"midas/sdk/dnsimple/operations.html#get_tld_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_webhook_request","content":"pub fn get_webhook_request(\n  base: Request(a),\n  account: Int,\n  webhook: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_webhook_request\nmidas/sdk/dnsimple/operations get_webhook_request","url":"midas/sdk/dnsimple/operations.html#get_webhook_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_webhook_response","content":"pub fn get_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_webhook_response\nmidas/sdk/dnsimple/operations get_webhook_response","url":"midas/sdk/dnsimple/operations.html#get_webhook_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_whois_privacy_request","content":"pub fn get_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_whois_privacy_request\nmidas/sdk/dnsimple/operations get_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#get_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_whois_privacy_response","content":"pub fn get_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_whois_privacy_response\nmidas/sdk/dnsimple/operations get_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#get_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_file_request","content":"pub fn get_zone_file_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_file_request\nmidas/sdk/dnsimple/operations get_zone_file_request","url":"midas/sdk/dnsimple/operations.html#get_zone_file_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_file_response","content":"pub fn get_zone_file_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_file_response\nmidas/sdk/dnsimple/operations get_zone_file_response","url":"midas/sdk/dnsimple/operations.html#get_zone_file_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_record_request","content":"pub fn get_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_record_request\nmidas/sdk/dnsimple/operations get_zone_record_request","url":"midas/sdk/dnsimple/operations.html#get_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_record_response","content":"pub fn get_zone_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_record_response\nmidas/sdk/dnsimple/operations get_zone_record_response","url":"midas/sdk/dnsimple/operations.html#get_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_request","content":"pub fn get_zone_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_request\nmidas/sdk/dnsimple/operations get_zone_request","url":"midas/sdk/dnsimple/operations.html#get_zone_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_response","content":"pub fn get_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_response\nmidas/sdk/dnsimple/operations get_zone_response","url":"midas/sdk/dnsimple/operations.html#get_zone_response"},{"doc":"midas/sdk/dnsimple/operations","title":"initiate_domain_push_request","content":"pub fn initiate_domain_push_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.initiate_domain_push_request\nmidas/sdk/dnsimple/operations initiate_domain_push_request","url":"midas/sdk/dnsimple/operations.html#initiate_domain_push_request"},{"doc":"midas/sdk/dnsimple/operations","title":"initiate_domain_push_response","content":"pub fn initiate_domain_push_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.initiate_domain_push_response\nmidas/sdk/dnsimple/operations initiate_domain_push_response","url":"midas/sdk/dnsimple/operations.html#initiate_domain_push_response"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_letsencrypt_certificate_request","content":"pub fn issue_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  purchase_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations issue_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#issue_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_letsencrypt_certificate_response","content":"pub fn issue_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations issue_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#issue_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_renewal_letsencrypt_certificate_request","content":"pub fn issue_renewal_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n  renewal_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_renewal_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations issue_renewal_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#issue_renewal_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_renewal_letsencrypt_certificate_response","content":"pub fn issue_renewal_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_renewal_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations issue_renewal_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#issue_renewal_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"link_primary_server_request","content":"pub fn link_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.link_primary_server_request\nmidas/sdk/dnsimple/operations link_primary_server_request","url":"midas/sdk/dnsimple/operations.html#link_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"link_primary_server_response","content":"pub fn link_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.link_primary_server_response\nmidas/sdk/dnsimple/operations link_primary_server_response","url":"midas/sdk/dnsimple/operations.html#link_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_accounts_request","content":"pub fn list_accounts_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_accounts_request\nmidas/sdk/dnsimple/operations list_accounts_request","url":"midas/sdk/dnsimple/operations.html#list_accounts_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_accounts_response","content":"pub fn list_accounts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_accounts_response\nmidas/sdk/dnsimple/operations list_accounts_response","url":"midas/sdk/dnsimple/operations.html#list_accounts_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_certificates_request","content":"pub fn list_certificates_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_certificates_request\nmidas/sdk/dnsimple/operations list_certificates_request","url":"midas/sdk/dnsimple/operations.html#list_certificates_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_certificates_response","content":"pub fn list_certificates_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_certificates_response\nmidas/sdk/dnsimple/operations list_certificates_response","url":"midas/sdk/dnsimple/operations.html#list_certificates_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_charges_request","content":"pub fn list_charges_request(\n  base: Request(a),\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_charges_request\nmidas/sdk/dnsimple/operations list_charges_request","url":"midas/sdk/dnsimple/operations.html#list_charges_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_charges_response","content":"pub fn list_charges_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_charges_response\nmidas/sdk/dnsimple/operations list_charges_response","url":"midas/sdk/dnsimple/operations.html#list_charges_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_contacts_request","content":"pub fn list_contacts_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_contacts_request\nmidas/sdk/dnsimple/operations list_contacts_request","url":"midas/sdk/dnsimple/operations.html#list_contacts_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_contacts_response","content":"pub fn list_contacts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_contacts_response\nmidas/sdk/dnsimple/operations list_contacts_response","url":"midas/sdk/dnsimple/operations.html#list_contacts_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_applied_services_request","content":"pub fn list_domain_applied_services_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_applied_services_request\nmidas/sdk/dnsimple/operations list_domain_applied_services_request","url":"midas/sdk/dnsimple/operations.html#list_domain_applied_services_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_applied_services_response","content":"pub fn list_domain_applied_services_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_applied_services_response\nmidas/sdk/dnsimple/operations list_domain_applied_services_response","url":"midas/sdk/dnsimple/operations.html#list_domain_applied_services_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_collaborators_request","content":"pub fn list_domain_collaborators_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_collaborators_request\nmidas/sdk/dnsimple/operations list_domain_collaborators_request","url":"midas/sdk/dnsimple/operations.html#list_domain_collaborators_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_collaborators_response","content":"pub fn list_domain_collaborators_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_collaborators_response\nmidas/sdk/dnsimple/operations list_domain_collaborators_response","url":"midas/sdk/dnsimple/operations.html#list_domain_collaborators_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_delegation_signer_records_request","content":"pub fn list_domain_delegation_signer_records_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_delegation_signer_records_request\nmidas/sdk/dnsimple/operations list_domain_delegation_signer_records_request","url":"midas/sdk/dnsimple/operations.html#list_domain_delegation_signer_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_delegation_signer_records_response","content":"pub fn list_domain_delegation_signer_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_delegation_signer_records_response\nmidas/sdk/dnsimple/operations list_domain_delegation_signer_records_response","url":"midas/sdk/dnsimple/operations.html#list_domain_delegation_signer_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domains_request","content":"pub fn list_domains_request(\n  base: Request(a),\n  account: Int,\n  name_like name_like: Option(String),\n  registrant_id registrant_id: Option(Int),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domains_request\nmidas/sdk/dnsimple/operations list_domains_request","url":"midas/sdk/dnsimple/operations.html#list_domains_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domains_response","content":"pub fn list_domains_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domains_response\nmidas/sdk/dnsimple/operations list_domains_response","url":"midas/sdk/dnsimple/operations.html#list_domains_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_email_forwards_request","content":"pub fn list_email_forwards_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_email_forwards_request\nmidas/sdk/dnsimple/operations list_email_forwards_request","url":"midas/sdk/dnsimple/operations.html#list_email_forwards_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_email_forwards_response","content":"pub fn list_email_forwards_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_email_forwards_response\nmidas/sdk/dnsimple/operations list_email_forwards_response","url":"midas/sdk/dnsimple/operations.html#list_email_forwards_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_primary_servers_request","content":"pub fn list_primary_servers_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_primary_servers_request\nmidas/sdk/dnsimple/operations list_primary_servers_request","url":"midas/sdk/dnsimple/operations.html#list_primary_servers_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_primary_servers_response","content":"pub fn list_primary_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_primary_servers_response\nmidas/sdk/dnsimple/operations list_primary_servers_response","url":"midas/sdk/dnsimple/operations.html#list_primary_servers_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_pushes_request","content":"pub fn list_pushes_request(\n  base: Request(a),\n  account: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_pushes_request\nmidas/sdk/dnsimple/operations list_pushes_request","url":"midas/sdk/dnsimple/operations.html#list_pushes_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_pushes_response","content":"pub fn list_pushes_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_pushes_response\nmidas/sdk/dnsimple/operations list_pushes_response","url":"midas/sdk/dnsimple/operations.html#list_pushes_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_registrant_changes_request","content":"pub fn list_registrant_changes_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n  state state: Option(String),\n  domain_id domain_id: Option(String),\n  contact_id contact_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_registrant_changes_request\nmidas/sdk/dnsimple/operations list_registrant_changes_request","url":"midas/sdk/dnsimple/operations.html#list_registrant_changes_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_registrant_changes_response","content":"pub fn list_registrant_changes_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_registrant_changes_response\nmidas/sdk/dnsimple/operations list_registrant_changes_response","url":"midas/sdk/dnsimple/operations.html#list_registrant_changes_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_services_request","content":"pub fn list_services_request(\n  base: Request(a),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_services_request\nmidas/sdk/dnsimple/operations list_services_request","url":"midas/sdk/dnsimple/operations.html#list_services_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_services_response","content":"pub fn list_services_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_services_response\nmidas/sdk/dnsimple/operations list_services_response","url":"midas/sdk/dnsimple/operations.html#list_services_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_template_records_request","content":"pub fn list_template_records_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_template_records_request\nmidas/sdk/dnsimple/operations list_template_records_request","url":"midas/sdk/dnsimple/operations.html#list_template_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_template_records_response","content":"pub fn list_template_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_template_records_response\nmidas/sdk/dnsimple/operations list_template_records_response","url":"midas/sdk/dnsimple/operations.html#list_template_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_templates_request","content":"pub fn list_templates_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_templates_request\nmidas/sdk/dnsimple/operations list_templates_request","url":"midas/sdk/dnsimple/operations.html#list_templates_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_templates_response","content":"pub fn list_templates_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_templates_response\nmidas/sdk/dnsimple/operations list_templates_response","url":"midas/sdk/dnsimple/operations.html#list_templates_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_tlds_request","content":"pub fn list_tlds_request(\n  base: Request(a),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_tlds_request\nmidas/sdk/dnsimple/operations list_tlds_request","url":"midas/sdk/dnsimple/operations.html#list_tlds_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_tlds_response","content":"pub fn list_tlds_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_tlds_response\nmidas/sdk/dnsimple/operations list_tlds_response","url":"midas/sdk/dnsimple/operations.html#list_tlds_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_webhooks_request","content":"pub fn list_webhooks_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_webhooks_request\nmidas/sdk/dnsimple/operations list_webhooks_request","url":"midas/sdk/dnsimple/operations.html#list_webhooks_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_webhooks_response","content":"pub fn list_webhooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_webhooks_response\nmidas/sdk/dnsimple/operations list_webhooks_response","url":"midas/sdk/dnsimple/operations.html#list_webhooks_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zone_records_request","content":"pub fn list_zone_records_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  name_like name_like: Option(String),\n  name name: Option(String),\n  type_ type_: Option(String),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zone_records_request\nmidas/sdk/dnsimple/operations list_zone_records_request","url":"midas/sdk/dnsimple/operations.html#list_zone_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zone_records_response","content":"pub fn list_zone_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zone_records_response\nmidas/sdk/dnsimple/operations list_zone_records_response","url":"midas/sdk/dnsimple/operations.html#list_zone_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zones_request","content":"pub fn list_zones_request(\n  base: Request(a),\n  account: Int,\n  name_like name_like: Option(String),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zones_request\nmidas/sdk/dnsimple/operations list_zones_request","url":"midas/sdk/dnsimple/operations.html#list_zones_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zones_response","content":"pub fn list_zones_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zones_response\nmidas/sdk/dnsimple/operations list_zones_response","url":"midas/sdk/dnsimple/operations.html#list_zones_response"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_letsencrypt_certificate_request","content":"pub fn purchase_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations purchase_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#purchase_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_letsencrypt_certificate_response","content":"pub fn purchase_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations purchase_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#purchase_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_renewal_letsencrypt_certificate_request","content":"pub fn purchase_renewal_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_renewal_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations purchase_renewal_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#purchase_renewal_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_renewal_letsencrypt_certificate_response","content":"pub fn purchase_renewal_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_renewal_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations purchase_renewal_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#purchase_renewal_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"query_dns_analytics_request","content":"pub fn query_dns_analytics_request(\n  base: Request(a),\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  groupings groupings: Option(String),\n  sort sort: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.query_dns_analytics_request\nmidas/sdk/dnsimple/operations query_dns_analytics_request","url":"midas/sdk/dnsimple/operations.html#query_dns_analytics_request"},{"doc":"midas/sdk/dnsimple/operations","title":"query_dns_analytics_response","content":"pub fn query_dns_analytics_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.query_dns_analytics_response\nmidas/sdk/dnsimple/operations query_dns_analytics_response","url":"midas/sdk/dnsimple/operations.html#query_dns_analytics_response"},{"doc":"midas/sdk/dnsimple/operations","title":"register_domain_request","content":"pub fn register_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.register_domain_request\nmidas/sdk/dnsimple/operations register_domain_request","url":"midas/sdk/dnsimple/operations.html#register_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"register_domain_response","content":"pub fn register_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.register_domain_response\nmidas/sdk/dnsimple/operations register_domain_response","url":"midas/sdk/dnsimple/operations.html#register_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"reject_push_request","content":"pub fn reject_push_request(\n  base: Request(a),\n  account: Int,\n  push: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.reject_push_request\nmidas/sdk/dnsimple/operations reject_push_request","url":"midas/sdk/dnsimple/operations.html#reject_push_request"},{"doc":"midas/sdk/dnsimple/operations","title":"reject_push_response","content":"pub fn reject_push_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.reject_push_response\nmidas/sdk/dnsimple/operations reject_push_response","url":"midas/sdk/dnsimple/operations.html#reject_push_response"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_domain_collaborator_request","content":"pub fn remove_domain_collaborator_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  collaborator: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_domain_collaborator_request\nmidas/sdk/dnsimple/operations remove_domain_collaborator_request","url":"midas/sdk/dnsimple/operations.html#remove_domain_collaborator_request"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_domain_collaborator_response","content":"pub fn remove_domain_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_domain_collaborator_response\nmidas/sdk/dnsimple/operations remove_domain_collaborator_response","url":"midas/sdk/dnsimple/operations.html#remove_domain_collaborator_response"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_primary_server_request","content":"pub fn remove_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_primary_server_request\nmidas/sdk/dnsimple/operations remove_primary_server_request","url":"midas/sdk/dnsimple/operations.html#remove_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_primary_server_response","content":"pub fn remove_primary_server_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_primary_server_response\nmidas/sdk/dnsimple/operations remove_primary_server_response","url":"midas/sdk/dnsimple/operations.html#remove_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"renew_whois_privacy_request","content":"pub fn renew_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.renew_whois_privacy_request\nmidas/sdk/dnsimple/operations renew_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#renew_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"renew_whois_privacy_response","content":"pub fn renew_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.renew_whois_privacy_response\nmidas/sdk/dnsimple/operations renew_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#renew_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"transfer_domain_request","content":"pub fn transfer_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.transfer_domain_request\nmidas/sdk/dnsimple/operations transfer_domain_request","url":"midas/sdk/dnsimple/operations.html#transfer_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"transfer_domain_response","content":"pub fn transfer_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.transfer_domain_response\nmidas/sdk/dnsimple/operations transfer_domain_response","url":"midas/sdk/dnsimple/operations.html#transfer_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"unapply_service_from_domain_request","content":"pub fn unapply_service_from_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  service: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unapply_service_from_domain_request\nmidas/sdk/dnsimple/operations unapply_service_from_domain_request","url":"midas/sdk/dnsimple/operations.html#unapply_service_from_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"unapply_service_from_domain_response","content":"pub fn unapply_service_from_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unapply_service_from_domain_response\nmidas/sdk/dnsimple/operations unapply_service_from_domain_response","url":"midas/sdk/dnsimple/operations.html#unapply_service_from_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"unlink_primary_server_request","content":"pub fn unlink_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unlink_primary_server_request\nmidas/sdk/dnsimple/operations unlink_primary_server_request","url":"midas/sdk/dnsimple/operations.html#unlink_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"unlink_primary_server_response","content":"pub fn unlink_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unlink_primary_server_response\nmidas/sdk/dnsimple/operations unlink_primary_server_response","url":"midas/sdk/dnsimple/operations.html#unlink_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_contact_request","content":"pub fn update_contact_request(\n  base: Request(a),\n  account: Int,\n  contact: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_contact_request\nmidas/sdk/dnsimple/operations update_contact_request","url":"midas/sdk/dnsimple/operations.html#update_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_contact_response","content":"pub fn update_contact_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_contact_response\nmidas/sdk/dnsimple/operations update_contact_response","url":"midas/sdk/dnsimple/operations.html#update_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_template_request","content":"pub fn update_template_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_template_request\nmidas/sdk/dnsimple/operations update_template_request","url":"midas/sdk/dnsimple/operations.html#update_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_template_response","content":"pub fn update_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_template_response\nmidas/sdk/dnsimple/operations update_template_response","url":"midas/sdk/dnsimple/operations.html#update_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_ns_records_request","content":"pub fn update_zone_ns_records_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_ns_records_request\nmidas/sdk/dnsimple/operations update_zone_ns_records_request","url":"midas/sdk/dnsimple/operations.html#update_zone_ns_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_ns_records_response","content":"pub fn update_zone_ns_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_ns_records_response\nmidas/sdk/dnsimple/operations update_zone_ns_records_response","url":"midas/sdk/dnsimple/operations.html#update_zone_ns_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_record_request","content":"pub fn update_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_record_request\nmidas/sdk/dnsimple/operations update_zone_record_request","url":"midas/sdk/dnsimple/operations.html#update_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_record_response","content":"pub fn update_zone_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_record_response\nmidas/sdk/dnsimple/operations update_zone_record_response","url":"midas/sdk/dnsimple/operations.html#update_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"whoami_request","content":"pub fn whoami_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.whoami_request\nmidas/sdk/dnsimple/operations whoami_request","url":"midas/sdk/dnsimple/operations.html#whoami_request"},{"doc":"midas/sdk/dnsimple/operations","title":"whoami_response","content":"pub fn whoami_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.whoami_response\nmidas/sdk/dnsimple/operations whoami_response","url":"midas/sdk/dnsimple/operations.html#whoami_response"},{"doc":"midas/sdk/dnsimple/operations","title":"midas/sdk/dnsimple/operations","content":"","url":"midas/sdk/dnsimple/operations.html"},{"doc":"midas/sdk/dnsimple/schema","title":"Account","content":"pub type Account {\n  Account(\n    created_at: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    email: Option(String),\n    plan_identifier: Option(String),\n  )\n}\n\nAccount(\n  created_at: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  email: Option(String),\n  plan_identifier: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Account\nmidas/sdk/dnsimple/schema Account","url":"midas/sdk/dnsimple/schema.html#Account"},{"doc":"midas/sdk/dnsimple/schema","title":"AccountInvitation","content":"pub type AccountInvitation {\n  AccountInvitation(\n    invitation_accepted_at: Option(String),\n    created_at: Option(String),\n    account_id: Option(Int),\n    invitation_sent_at: Option(String),\n    updated_at: Option(String),\n    token: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nAccountInvitation(\n  invitation_accepted_at: Option(String),\n  created_at: Option(String),\n  account_id: Option(Int),\n  invitation_sent_at: Option(String),\n  updated_at: Option(String),\n  token: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.AccountInvitation\nmidas/sdk/dnsimple/schema AccountInvitation","url":"midas/sdk/dnsimple/schema.html#AccountInvitation"},{"doc":"midas/sdk/dnsimple/schema","title":"Actor","content":"pub type Actor {\n  Actor(\n    identifier: Option(String),\n    pretty: Option(String),\n    id: Option(Int),\n  )\n}\n\nActor(\n  identifier: Option(String),\n  pretty: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Actor\nmidas/sdk/dnsimple/schema Actor","url":"midas/sdk/dnsimple/schema.html#Actor"},{"doc":"midas/sdk/dnsimple/schema","title":"BillingSettings","content":"pub type BillingSettings {\n  BillingSettings\n}\n\nBillingSettings\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.BillingSettings\nmidas/sdk/dnsimple/schema BillingSettings","url":"midas/sdk/dnsimple/schema.html#BillingSettings"},{"doc":"midas/sdk/dnsimple/schema","title":"Certificate","content":"pub type Certificate {\n  Certificate(\n    csr: Option(String),\n    alternate_names: Option(List(String)),\n    authority_identifier: Option(String),\n    created_at: Option(String),\n    expires_on: Option(String),\n    name: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    years: Option(Int),\n    updated_at: Option(String),\n    contact_id: Option(Int),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n    expires_at: Option(String),\n    common_name: Option(String),\n  )\n}\n\nCertificate(\n  csr: Option(String),\n  alternate_names: Option(List(String)),\n  authority_identifier: Option(String),\n  created_at: Option(String),\n  expires_on: Option(String),\n  name: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  years: Option(Int),\n  updated_at: Option(String),\n  contact_id: Option(Int),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n  expires_at: Option(String),\n  common_name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Certificate\nmidas/sdk/dnsimple/schema Certificate","url":"midas/sdk/dnsimple/schema.html#Certificate"},{"doc":"midas/sdk/dnsimple/schema","title":"CertificateDownload","content":"pub type CertificateDownload {\n  CertificateDownload(\n    chain: Option(List(String)),\n    root: Option(String),\n    server: Option(String),\n  )\n}\n\nCertificateDownload(\n  chain: Option(List(String)),\n  root: Option(String),\n  server: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.CertificateDownload\nmidas/sdk/dnsimple/schema CertificateDownload","url":"midas/sdk/dnsimple/schema.html#CertificateDownload"},{"doc":"midas/sdk/dnsimple/schema","title":"CertificatePrivateKey","content":"pub type CertificatePrivateKey {\n  CertificatePrivateKey(private_key: Option(String))\n}\n\nCertificatePrivateKey(private_key: Option(String))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.CertificatePrivateKey\nmidas/sdk/dnsimple/schema CertificatePrivateKey","url":"midas/sdk/dnsimple/schema.html#CertificatePrivateKey"},{"doc":"midas/sdk/dnsimple/schema","title":"Charge","content":"pub type Charge {\n  Charge(\n    items: Option(Nil),\n    reference: Option(String),\n    state: Option(String),\n    total_amount: Option(String),\n    invoiced_at: Option(String),\n    balance_amount: Option(String),\n  )\n}\n\nCharge(\n  items: Option(Nil),\n  reference: Option(String),\n  state: Option(String),\n  total_amount: Option(String),\n  invoiced_at: Option(String),\n  balance_amount: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Charge\nmidas/sdk/dnsimple/schema Charge","url":"midas/sdk/dnsimple/schema.html#Charge"},{"doc":"midas/sdk/dnsimple/schema","title":"ChargeItem","content":"pub type ChargeItem {\n  ChargeItem(\n    product_type: Option(String),\n    product_id: Option(Int),\n    amount: Option(String),\n    product_reference: Option(String),\n    description: Option(String),\n  )\n}\n\nChargeItem(\n  product_type: Option(String),\n  product_id: Option(Int),\n  amount: Option(String),\n  product_reference: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ChargeItem\nmidas/sdk/dnsimple/schema ChargeItem","url":"midas/sdk/dnsimple/schema.html#ChargeItem"},{"doc":"midas/sdk/dnsimple/schema","title":"Collaborator","content":"pub type Collaborator {\n  Collaborator(\n    domain_name: Option(String),\n    user_email: Option(String),\n    created_at: Option(String),\n    accepted_at: Option(String),\n    user_id: Option(Int),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    invitation: Option(Bool),\n    id: Option(Int),\n  )\n}\n\nCollaborator(\n  domain_name: Option(String),\n  user_email: Option(String),\n  created_at: Option(String),\n  accepted_at: Option(String),\n  user_id: Option(Int),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  invitation: Option(Bool),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Collaborator\nmidas/sdk/dnsimple/schema Collaborator","url":"midas/sdk/dnsimple/schema.html#Collaborator"},{"doc":"midas/sdk/dnsimple/schema","title":"Contact","content":"pub type Contact {\n  Contact(\n    postal_code: Option(String),\n    created_at: Option(String),\n    city: Option(String),\n    account_id: Option(Int),\n    phone: Option(String),\n    last_name: Option(String),\n    label: Option(String),\n    job_title: Option(String),\n    country: Option(String),\n    organization_name: Option(String),\n    updated_at: Option(String),\n    first_name: Option(String),\n    id: Option(Int),\n    email: Option(String),\n    address1: Option(String),\n    fax: Option(String),\n    address2: Option(String),\n    state_province: Option(String),\n  )\n}\n\nContact(\n  postal_code: Option(String),\n  created_at: Option(String),\n  city: Option(String),\n  account_id: Option(Int),\n  phone: Option(String),\n  last_name: Option(String),\n  label: Option(String),\n  job_title: Option(String),\n  country: Option(String),\n  organization_name: Option(String),\n  updated_at: Option(String),\n  first_name: Option(String),\n  id: Option(Int),\n  email: Option(String),\n  address1: Option(String),\n  fax: Option(String),\n  address2: Option(String),\n  state_province: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Contact\nmidas/sdk/dnsimple/schema Contact","url":"midas/sdk/dnsimple/schema.html#Contact"},{"doc":"midas/sdk/dnsimple/schema","title":"DelegationSigner","content":"pub type DelegationSigner {\n  DelegationSigner(\n    digest: Option(String),\n    public_key: Option(String),\n    created_at: Option(String),\n    algorithm: Option(String),\n    digest_type: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    keytag: Option(String),\n    id: Option(Int),\n  )\n}\n\nDelegationSigner(\n  digest: Option(String),\n  public_key: Option(String),\n  created_at: Option(String),\n  algorithm: Option(String),\n  digest_type: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  keytag: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DelegationSigner\nmidas/sdk/dnsimple/schema DelegationSigner","url":"midas/sdk/dnsimple/schema.html#DelegationSigner"},{"doc":"midas/sdk/dnsimple/schema","title":"Dnssec","content":"pub type Dnssec {\n  Dnssec(\n    enabled: Option(Bool),\n    created_at: Option(String),\n    updated_at: Option(String),\n  )\n}\n\nDnssec(\n  enabled: Option(Bool),\n  created_at: Option(String),\n  updated_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Dnssec\nmidas/sdk/dnsimple/schema Dnssec","url":"midas/sdk/dnsimple/schema.html#Dnssec"},{"doc":"midas/sdk/dnsimple/schema","title":"Domain","content":"pub type Domain {\n  Domain(\n    created_at: Option(String),\n    expires_on: Option(String),\n    name: Option(String),\n    private_whois: Option(Bool),\n    account_id: Option(Int),\n    unicode_name: Option(String),\n    registrant_id: Option(Int),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n    expires_at: Option(String),\n  )\n}\n\nDomain(\n  created_at: Option(String),\n  expires_on: Option(String),\n  name: Option(String),\n  private_whois: Option(Bool),\n  account_id: Option(Int),\n  unicode_name: Option(String),\n  registrant_id: Option(Int),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Domain\nmidas/sdk/dnsimple/schema Domain","url":"midas/sdk/dnsimple/schema.html#Domain"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainCheckResult","content":"pub type DomainCheckResult {\n  DomainCheckResult(\n    domain: Option(String),\n    available: Option(Bool),\n    premium: Option(Bool),\n  )\n}\n\nDomainCheckResult(\n  domain: Option(String),\n  available: Option(Bool),\n  premium: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainCheckResult\nmidas/sdk/dnsimple/schema DomainCheckResult","url":"midas/sdk/dnsimple/schema.html#DomainCheckResult"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainPremiumPrice","content":"pub type DomainPremiumPrice {\n  DomainPremiumPrice(\n    premium_price: Option(String),\n    action: Option(String),\n  )\n}\n\nDomainPremiumPrice(\n  premium_price: Option(String),\n  action: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainPremiumPrice\nmidas/sdk/dnsimple/schema DomainPremiumPrice","url":"midas/sdk/dnsimple/schema.html#DomainPremiumPrice"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainPrices","content":"pub type DomainPrices {\n  DomainPrices(\n    renewal_price: Option(Float),\n    registration_price: Option(Float),\n    domain: Option(String),\n    transfer_price: Option(Float),\n    premium: Option(Bool),\n    restore_price: Option(Float),\n  )\n}\n\nDomainPrices(\n  renewal_price: Option(Float),\n  registration_price: Option(Float),\n  domain: Option(String),\n  transfer_price: Option(Float),\n  premium: Option(Bool),\n  restore_price: Option(Float),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainPrices\nmidas/sdk/dnsimple/schema DomainPrices","url":"midas/sdk/dnsimple/schema.html#DomainPrices"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainRegistration","content":"pub type DomainRegistration {\n  DomainRegistration(\n    period: Option(Int),\n    created_at: Option(String),\n    registrant_id: Option(Int),\n    state: Option(String),\n    whois_privacy: Option(Bool),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nDomainRegistration(\n  period: Option(Int),\n  created_at: Option(String),\n  registrant_id: Option(Int),\n  state: Option(String),\n  whois_privacy: Option(Bool),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainRegistration\nmidas/sdk/dnsimple/schema DomainRegistration","url":"midas/sdk/dnsimple/schema.html#DomainRegistration"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainRenewal","content":"pub type DomainRenewal {\n  DomainRenewal(\n    period: Option(Int),\n    created_at: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nDomainRenewal(\n  period: Option(Int),\n  created_at: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainRenewal\nmidas/sdk/dnsimple/schema DomainRenewal","url":"midas/sdk/dnsimple/schema.html#DomainRenewal"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainRestore","content":"pub type DomainRestore {\n  DomainRestore(\n    created_at: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nDomainRestore(\n  created_at: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainRestore\nmidas/sdk/dnsimple/schema DomainRestore","url":"midas/sdk/dnsimple/schema.html#DomainRestore"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainTransfer","content":"pub type DomainTransfer {\n  DomainTransfer(\n    created_at: Option(String),\n    registrant_id: Option(Int),\n    status_description: Option(String),\n    state: Option(String),\n    whois_privacy: Option(Bool),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nDomainTransfer(\n  created_at: Option(String),\n  registrant_id: Option(Int),\n  status_description: Option(String),\n  state: Option(String),\n  whois_privacy: Option(Bool),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainTransfer\nmidas/sdk/dnsimple/schema DomainTransfer","url":"midas/sdk/dnsimple/schema.html#DomainTransfer"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainTransferLock","content":"pub type DomainTransferLock {\n  DomainTransferLock(enabled: Option(Bool))\n}\n\nDomainTransferLock(enabled: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainTransferLock\nmidas/sdk/dnsimple/schema DomainTransferLock","url":"midas/sdk/dnsimple/schema.html#DomainTransferLock"},{"doc":"midas/sdk/dnsimple/schema","title":"EmailForward","content":"pub type EmailForward {\n  EmailForward(\n    created_at: Option(String),\n    from: Option(String),\n    destination_email: Option(String),\n    alias_email: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n    to: Option(String),\n  )\n}\n\nEmailForward(\n  created_at: Option(String),\n  from: Option(String),\n  destination_email: Option(String),\n  alias_email: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n  to: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EmailForward\nmidas/sdk/dnsimple/schema EmailForward","url":"midas/sdk/dnsimple/schema.html#EmailForward"},{"doc":"midas/sdk/dnsimple/schema","title":"Error","content":"pub type Error {\n  Error(message: Option(String))\n}\n\nError(message: Option(String))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Error\nmidas/sdk/dnsimple/schema Error","url":"midas/sdk/dnsimple/schema.html#Error"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountAddUser","content":"pub type EventAccountAddUser {\n  EventAccountAddUser(user: Option(Nil), account: Option(Nil))\n}\n\nEventAccountAddUser(user: Option(Nil), account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountAddUser\nmidas/sdk/dnsimple/schema EventAccountAddUser","url":"midas/sdk/dnsimple/schema.html#EventAccountAddUser"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountBillingSettingsUpdate","content":"pub type EventAccountBillingSettingsUpdate {\n  EventAccountBillingSettingsUpdate(\n    billing_settings: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountBillingSettingsUpdate(\n  billing_settings: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountBillingSettingsUpdate\nmidas/sdk/dnsimple/schema EventAccountBillingSettingsUpdate","url":"midas/sdk/dnsimple/schema.html#EventAccountBillingSettingsUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationAccept","content":"pub type EventAccountInvitationAccept {\n  EventAccountInvitationAccept(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationAccept(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationAccept\nmidas/sdk/dnsimple/schema EventAccountInvitationAccept","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationAccept"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationCreate","content":"pub type EventAccountInvitationCreate {\n  EventAccountInvitationCreate(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationCreate(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationCreate\nmidas/sdk/dnsimple/schema EventAccountInvitationCreate","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationRemove","content":"pub type EventAccountInvitationRemove {\n  EventAccountInvitationRemove(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationRemove(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationRemove\nmidas/sdk/dnsimple/schema EventAccountInvitationRemove","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationRemove"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationResend","content":"pub type EventAccountInvitationResend {\n  EventAccountInvitationResend(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationResend(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationResend\nmidas/sdk/dnsimple/schema EventAccountInvitationResend","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationResend"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountPaymentDetailsUpdate","content":"pub type EventAccountPaymentDetailsUpdate {\n  EventAccountPaymentDetailsUpdate(account: Option(Nil))\n}\n\nEventAccountPaymentDetailsUpdate(account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountPaymentDetailsUpdate\nmidas/sdk/dnsimple/schema EventAccountPaymentDetailsUpdate","url":"midas/sdk/dnsimple/schema.html#EventAccountPaymentDetailsUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountRemoveUser","content":"pub type EventAccountRemoveUser {\n  EventAccountRemoveUser(user: Option(Nil), account: Option(Nil))\n}\n\nEventAccountRemoveUser(user: Option(Nil), account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountRemoveUser\nmidas/sdk/dnsimple/schema EventAccountRemoveUser","url":"midas/sdk/dnsimple/schema.html#EventAccountRemoveUser"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountUpdate","content":"pub type EventAccountUpdate {\n  EventAccountUpdate(account: Option(Nil))\n}\n\nEventAccountUpdate(account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountUpdate\nmidas/sdk/dnsimple/schema EventAccountUpdate","url":"midas/sdk/dnsimple/schema.html#EventAccountUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateAutoRenewalDisable","content":"pub type EventCertificateAutoRenewalDisable {\n  EventCertificateAutoRenewalDisable(certificate: Option(Nil))\n}\n\nEventCertificateAutoRenewalDisable(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateAutoRenewalDisable\nmidas/sdk/dnsimple/schema EventCertificateAutoRenewalDisable","url":"midas/sdk/dnsimple/schema.html#EventCertificateAutoRenewalDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateAutoRenewalEnable","content":"pub type EventCertificateAutoRenewalEnable {\n  EventCertificateAutoRenewalEnable(certificate: Option(Nil))\n}\n\nEventCertificateAutoRenewalEnable(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateAutoRenewalEnable\nmidas/sdk/dnsimple/schema EventCertificateAutoRenewalEnable","url":"midas/sdk/dnsimple/schema.html#EventCertificateAutoRenewalEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateAutoRenewalFailed","content":"pub type EventCertificateAutoRenewalFailed {\n  EventCertificateAutoRenewalFailed(certificate: Option(Nil))\n}\n\nEventCertificateAutoRenewalFailed(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateAutoRenewalFailed\nmidas/sdk/dnsimple/schema EventCertificateAutoRenewalFailed","url":"midas/sdk/dnsimple/schema.html#EventCertificateAutoRenewalFailed"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateIssue","content":"pub type EventCertificateIssue {\n  EventCertificateIssue(certificate: Option(Nil))\n}\n\nEventCertificateIssue(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateIssue\nmidas/sdk/dnsimple/schema EventCertificateIssue","url":"midas/sdk/dnsimple/schema.html#EventCertificateIssue"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateReissue","content":"pub type EventCertificateReissue {\n  EventCertificateReissue(certificate: Option(Nil))\n}\n\nEventCertificateReissue(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateReissue\nmidas/sdk/dnsimple/schema EventCertificateReissue","url":"midas/sdk/dnsimple/schema.html#EventCertificateReissue"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateRemovePrivateKey","content":"pub type EventCertificateRemovePrivateKey {\n  EventCertificateRemovePrivateKey(certificate: Option(Nil))\n}\n\nEventCertificateRemovePrivateKey(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateRemovePrivateKey\nmidas/sdk/dnsimple/schema EventCertificateRemovePrivateKey","url":"midas/sdk/dnsimple/schema.html#EventCertificateRemovePrivateKey"},{"doc":"midas/sdk/dnsimple/schema","title":"EventContactCreate","content":"pub type EventContactCreate {\n  EventContactCreate(contact: Option(Nil))\n}\n\nEventContactCreate(contact: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventContactCreate\nmidas/sdk/dnsimple/schema EventContactCreate","url":"midas/sdk/dnsimple/schema.html#EventContactCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventContactDelete","content":"pub type EventContactDelete {\n  EventContactDelete(contact: Option(Nil))\n}\n\nEventContactDelete(contact: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventContactDelete\nmidas/sdk/dnsimple/schema EventContactDelete","url":"midas/sdk/dnsimple/schema.html#EventContactDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventContactUpdate","content":"pub type EventContactUpdate {\n  EventContactUpdate(contact: Option(Nil))\n}\n\nEventContactUpdate(contact: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventContactUpdate\nmidas/sdk/dnsimple/schema EventContactUpdate","url":"midas/sdk/dnsimple/schema.html#EventContactUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnsseccreate","content":"pub type EventDnsseccreate {\n  EventDnsseccreate(dnssec: Option(Nil))\n}\n\nEventDnsseccreate(dnssec: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnsseccreate\nmidas/sdk/dnsimple/schema EventDnsseccreate","url":"midas/sdk/dnsimple/schema.html#EventDnsseccreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnssecdelete","content":"pub type EventDnssecdelete {\n  EventDnssecdelete(dnssec: Option(Nil))\n}\n\nEventDnssecdelete(dnssec: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnssecdelete\nmidas/sdk/dnsimple/schema EventDnssecdelete","url":"midas/sdk/dnsimple/schema.html#EventDnssecdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnssecrotationComplete","content":"pub type EventDnssecrotationComplete {\n  EventDnssecrotationComplete(\n    dnssec: Option(Nil),\n    delegation_signer_record: Option(Nil),\n  )\n}\n\nEventDnssecrotationComplete(\n  dnssec: Option(Nil),\n  delegation_signer_record: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnssecrotationComplete\nmidas/sdk/dnsimple/schema EventDnssecrotationComplete","url":"midas/sdk/dnsimple/schema.html#EventDnssecrotationComplete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnssecrotationStart","content":"pub type EventDnssecrotationStart {\n  EventDnssecrotationStart(\n    dnssec: Option(Nil),\n    delegation_signer_record: Option(Nil),\n  )\n}\n\nEventDnssecrotationStart(\n  dnssec: Option(Nil),\n  delegation_signer_record: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnssecrotationStart\nmidas/sdk/dnsimple/schema EventDnssecrotationStart","url":"midas/sdk/dnsimple/schema.html#EventDnssecrotationStart"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainAutoRenewalDisable","content":"pub type EventDomainAutoRenewalDisable {\n  EventDomainAutoRenewalDisable(domain: Option(Nil))\n}\n\nEventDomainAutoRenewalDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainAutoRenewalDisable\nmidas/sdk/dnsimple/schema EventDomainAutoRenewalDisable","url":"midas/sdk/dnsimple/schema.html#EventDomainAutoRenewalDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainAutoRenewalEnable","content":"pub type EventDomainAutoRenewalEnable {\n  EventDomainAutoRenewalEnable(domain: Option(Nil))\n}\n\nEventDomainAutoRenewalEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainAutoRenewalEnable\nmidas/sdk/dnsimple/schema EventDomainAutoRenewalEnable","url":"midas/sdk/dnsimple/schema.html#EventDomainAutoRenewalEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainCreate","content":"pub type EventDomainCreate {\n  EventDomainCreate(domain: Option(Nil))\n}\n\nEventDomainCreate(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainCreate\nmidas/sdk/dnsimple/schema EventDomainCreate","url":"midas/sdk/dnsimple/schema.html#EventDomainCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainDelegationChange","content":"pub type EventDomainDelegationChange {\n  EventDomainDelegationChange(\n    domain: Option(Nil),\n    name_servers: Option(Nil),\n  )\n}\n\nEventDomainDelegationChange(\n  domain: Option(Nil),\n  name_servers: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainDelegationChange\nmidas/sdk/dnsimple/schema EventDomainDelegationChange","url":"midas/sdk/dnsimple/schema.html#EventDomainDelegationChange"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainDelete","content":"pub type EventDomainDelete {\n  EventDomainDelete(domain: Option(Nil))\n}\n\nEventDomainDelete(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainDelete\nmidas/sdk/dnsimple/schema EventDomainDelete","url":"midas/sdk/dnsimple/schema.html#EventDomainDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegister","content":"pub type EventDomainRegister {\n  EventDomainRegister(domain: Option(Nil))\n}\n\nEventDomainRegister(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegister\nmidas/sdk/dnsimple/schema EventDomainRegister","url":"midas/sdk/dnsimple/schema.html#EventDomainRegister"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegisterCancelled","content":"pub type EventDomainRegisterCancelled {\n  EventDomainRegisterCancelled(domain: Option(Nil))\n}\n\nEventDomainRegisterCancelled(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegisterCancelled\nmidas/sdk/dnsimple/schema EventDomainRegisterCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRegisterCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegisterStarted","content":"pub type EventDomainRegisterStarted {\n  EventDomainRegisterStarted(domain: Option(Nil))\n}\n\nEventDomainRegisterStarted(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegisterStarted\nmidas/sdk/dnsimple/schema EventDomainRegisterStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRegisterStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegistrantChange","content":"pub type EventDomainRegistrantChange {\n  EventDomainRegistrantChange(\n    domain: Option(Nil),\n    registrant: Option(Nil),\n  )\n}\n\nEventDomainRegistrantChange(\n  domain: Option(Nil),\n  registrant: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegistrantChange\nmidas/sdk/dnsimple/schema EventDomainRegistrantChange","url":"midas/sdk/dnsimple/schema.html#EventDomainRegistrantChange"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegistrantChangeCancelled","content":"pub type EventDomainRegistrantChangeCancelled {\n  EventDomainRegistrantChangeCancelled(\n    domain: Option(Nil),\n    registrant: Option(Nil),\n  )\n}\n\nEventDomainRegistrantChangeCancelled(\n  domain: Option(Nil),\n  registrant: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegistrantChangeCancelled\nmidas/sdk/dnsimple/schema EventDomainRegistrantChangeCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRegistrantChangeCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegistrantChangeStarted","content":"pub type EventDomainRegistrantChangeStarted {\n  EventDomainRegistrantChangeStarted(\n    domain: Option(Nil),\n    registrant: Option(Nil),\n  )\n}\n\nEventDomainRegistrantChangeStarted(\n  domain: Option(Nil),\n  registrant: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegistrantChangeStarted\nmidas/sdk/dnsimple/schema EventDomainRegistrantChangeStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRegistrantChangeStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRenew","content":"pub type EventDomainRenew {\n  EventDomainRenew(domain: Option(Nil), auto_: Option(Bool))\n}\n\nEventDomainRenew(domain: Option(Nil), auto_: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRenew\nmidas/sdk/dnsimple/schema EventDomainRenew","url":"midas/sdk/dnsimple/schema.html#EventDomainRenew"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRenewCancelled","content":"pub type EventDomainRenewCancelled {\n  EventDomainRenewCancelled(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRenewCancelled(\n  domain: Option(Nil),\n  auto_: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRenewCancelled\nmidas/sdk/dnsimple/schema EventDomainRenewCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRenewCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRenewStarted","content":"pub type EventDomainRenewStarted {\n  EventDomainRenewStarted(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRenewStarted(domain: Option(Nil), auto_: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRenewStarted\nmidas/sdk/dnsimple/schema EventDomainRenewStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRenewStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainResolutionDisable","content":"pub type EventDomainResolutionDisable {\n  EventDomainResolutionDisable(domain: Option(Nil))\n}\n\nEventDomainResolutionDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainResolutionDisable\nmidas/sdk/dnsimple/schema EventDomainResolutionDisable","url":"midas/sdk/dnsimple/schema.html#EventDomainResolutionDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainResolutionEnable","content":"pub type EventDomainResolutionEnable {\n  EventDomainResolutionEnable(domain: Option(Nil))\n}\n\nEventDomainResolutionEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainResolutionEnable\nmidas/sdk/dnsimple/schema EventDomainResolutionEnable","url":"midas/sdk/dnsimple/schema.html#EventDomainResolutionEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRestore","content":"pub type EventDomainRestore {\n  EventDomainRestore(domain: Option(Nil), auto_: Option(Bool))\n}\n\nEventDomainRestore(domain: Option(Nil), auto_: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRestore\nmidas/sdk/dnsimple/schema EventDomainRestore","url":"midas/sdk/dnsimple/schema.html#EventDomainRestore"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRestoreCancelled","content":"pub type EventDomainRestoreCancelled {\n  EventDomainRestoreCancelled(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRestoreCancelled(\n  domain: Option(Nil),\n  auto_: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRestoreCancelled\nmidas/sdk/dnsimple/schema EventDomainRestoreCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRestoreCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRestoreStarted","content":"pub type EventDomainRestoreStarted {\n  EventDomainRestoreStarted(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRestoreStarted(\n  domain: Option(Nil),\n  auto_: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRestoreStarted\nmidas/sdk/dnsimple/schema EventDomainRestoreStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRestoreStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransfer","content":"pub type EventDomainTransfer {\n  EventDomainTransfer(domain: Option(Nil))\n}\n\nEventDomainTransfer(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransfer\nmidas/sdk/dnsimple/schema EventDomainTransfer","url":"midas/sdk/dnsimple/schema.html#EventDomainTransfer"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferCancelled","content":"pub type EventDomainTransferCancelled {\n  EventDomainTransferCancelled(domain: Option(Nil))\n}\n\nEventDomainTransferCancelled(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferCancelled\nmidas/sdk/dnsimple/schema EventDomainTransferCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferLockDisable","content":"pub type EventDomainTransferLockDisable {\n  EventDomainTransferLockDisable(domain: Option(Nil))\n}\n\nEventDomainTransferLockDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferLockDisable\nmidas/sdk/dnsimple/schema EventDomainTransferLockDisable","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferLockDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferLockEnable","content":"pub type EventDomainTransferLockEnable {\n  EventDomainTransferLockEnable(domain: Option(Nil))\n}\n\nEventDomainTransferLockEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferLockEnable\nmidas/sdk/dnsimple/schema EventDomainTransferLockEnable","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferLockEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferStarted","content":"pub type EventDomainTransferStarted {\n  EventDomainTransferStarted(domain: Option(Nil))\n}\n\nEventDomainTransferStarted(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferStarted\nmidas/sdk/dnsimple/schema EventDomainTransferStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventEmailForwardCreate","content":"pub type EventEmailForwardCreate {\n  EventEmailForwardCreate(email_forward: Option(Nil))\n}\n\nEventEmailForwardCreate(email_forward: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventEmailForwardCreate\nmidas/sdk/dnsimple/schema EventEmailForwardCreate","url":"midas/sdk/dnsimple/schema.html#EventEmailForwardCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventEmailForwardDelete","content":"pub type EventEmailForwardDelete {\n  EventEmailForwardDelete(email_forward: Option(Nil))\n}\n\nEventEmailForwardDelete(email_forward: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventEmailForwardDelete\nmidas/sdk/dnsimple/schema EventEmailForwardDelete","url":"midas/sdk/dnsimple/schema.html#EventEmailForwardDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventEmailForwardUpdate","content":"pub type EventEmailForwardUpdate {\n  EventEmailForwardUpdate(email_forward: Option(Nil))\n}\n\nEventEmailForwardUpdate(email_forward: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventEmailForwardUpdate\nmidas/sdk/dnsimple/schema EventEmailForwardUpdate","url":"midas/sdk/dnsimple/schema.html#EventEmailForwardUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventInvoiceCollect","content":"pub type EventInvoiceCollect {\n  EventInvoiceCollect(invoice: Option(Nil))\n}\n\nEventInvoiceCollect(invoice: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventInvoiceCollect\nmidas/sdk/dnsimple/schema EventInvoiceCollect","url":"midas/sdk/dnsimple/schema.html#EventInvoiceCollect"},{"doc":"midas/sdk/dnsimple/schema","title":"EventNameServerDeregister","content":"pub type EventNameServerDeregister {\n  EventNameServerDeregister(name_server: Option(Nil))\n}\n\nEventNameServerDeregister(name_server: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventNameServerDeregister\nmidas/sdk/dnsimple/schema EventNameServerDeregister","url":"midas/sdk/dnsimple/schema.html#EventNameServerDeregister"},{"doc":"midas/sdk/dnsimple/schema","title":"EventNameServerRegister","content":"pub type EventNameServerRegister {\n  EventNameServerRegister(name_server: Option(Nil))\n}\n\nEventNameServerRegister(name_server: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventNameServerRegister\nmidas/sdk/dnsimple/schema EventNameServerRegister","url":"midas/sdk/dnsimple/schema.html#EventNameServerRegister"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationCreate","content":"pub type EventOauthApplicationCreate {\n  EventOauthApplicationCreate(oauth_application: Option(Nil))\n}\n\nEventOauthApplicationCreate(oauth_application: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationCreate\nmidas/sdk/dnsimple/schema EventOauthApplicationCreate","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationDelete","content":"pub type EventOauthApplicationDelete {\n  EventOauthApplicationDelete(oauth_application: Option(Nil))\n}\n\nEventOauthApplicationDelete(oauth_application: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationDelete\nmidas/sdk/dnsimple/schema EventOauthApplicationDelete","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationResetClientSecret","content":"pub type EventOauthApplicationResetClientSecret {\n  EventOauthApplicationResetClientSecret(\n    oauth_application: Option(Nil),\n  )\n}\n\nEventOauthApplicationResetClientSecret(\n  oauth_application: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationResetClientSecret\nmidas/sdk/dnsimple/schema EventOauthApplicationResetClientSecret","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationResetClientSecret"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationRevokeAccessTokens","content":"pub type EventOauthApplicationRevokeAccessTokens {\n  EventOauthApplicationRevokeAccessTokens(\n    oauth_application: Option(Nil),\n  )\n}\n\nEventOauthApplicationRevokeAccessTokens(\n  oauth_application: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationRevokeAccessTokens\nmidas/sdk/dnsimple/schema EventOauthApplicationRevokeAccessTokens","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationRevokeAccessTokens"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationUpdate","content":"pub type EventOauthApplicationUpdate {\n  EventOauthApplicationUpdate(oauth_application: Option(Nil))\n}\n\nEventOauthApplicationUpdate(oauth_application: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationUpdate\nmidas/sdk/dnsimple/schema EventOauthApplicationUpdate","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventPushAccept","content":"pub type EventPushAccept {\n  EventPushAccept(push: Option(Nil))\n}\n\nEventPushAccept(push: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventPushAccept\nmidas/sdk/dnsimple/schema EventPushAccept","url":"midas/sdk/dnsimple/schema.html#EventPushAccept"},{"doc":"midas/sdk/dnsimple/schema","title":"EventPushInitiate","content":"pub type EventPushInitiate {\n  EventPushInitiate(push: Option(Nil))\n}\n\nEventPushInitiate(push: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventPushInitiate\nmidas/sdk/dnsimple/schema EventPushInitiate","url":"midas/sdk/dnsimple/schema.html#EventPushInitiate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventPushReject","content":"pub type EventPushReject {\n  EventPushReject(push: Option(Nil))\n}\n\nEventPushReject(push: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventPushReject\nmidas/sdk/dnsimple/schema EventPushReject","url":"midas/sdk/dnsimple/schema.html#EventPushReject"},{"doc":"midas/sdk/dnsimple/schema","title":"EventRecordCreate","content":"pub type EventRecordCreate {\n  EventRecordCreate(zone_record: Option(Nil))\n}\n\nEventRecordCreate(zone_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventRecordCreate\nmidas/sdk/dnsimple/schema EventRecordCreate","url":"midas/sdk/dnsimple/schema.html#EventRecordCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventRecordDelete","content":"pub type EventRecordDelete {\n  EventRecordDelete(zone_record: Option(Nil))\n}\n\nEventRecordDelete(zone_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventRecordDelete\nmidas/sdk/dnsimple/schema EventRecordDelete","url":"midas/sdk/dnsimple/schema.html#EventRecordDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventRecordUpdate","content":"pub type EventRecordUpdate {\n  EventRecordUpdate(zone_record: Option(Nil))\n}\n\nEventRecordUpdate(zone_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventRecordUpdate\nmidas/sdk/dnsimple/schema EventRecordUpdate","url":"midas/sdk/dnsimple/schema.html#EventRecordUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSecondaryDnscreate","content":"pub type EventSecondaryDnscreate {\n  EventSecondaryDnscreate(configuration: Option(Nil))\n}\n\nEventSecondaryDnscreate(configuration: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSecondaryDnscreate\nmidas/sdk/dnsimple/schema EventSecondaryDnscreate","url":"midas/sdk/dnsimple/schema.html#EventSecondaryDnscreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSecondaryDnsdelete","content":"pub type EventSecondaryDnsdelete {\n  EventSecondaryDnsdelete(configuration: Option(Nil))\n}\n\nEventSecondaryDnsdelete(configuration: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSecondaryDnsdelete\nmidas/sdk/dnsimple/schema EventSecondaryDnsdelete","url":"midas/sdk/dnsimple/schema.html#EventSecondaryDnsdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSecondaryDnsupdate","content":"pub type EventSecondaryDnsupdate {\n  EventSecondaryDnsupdate(configuration: Option(Nil))\n}\n\nEventSecondaryDnsupdate(configuration: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSecondaryDnsupdate\nmidas/sdk/dnsimple/schema EventSecondaryDnsupdate","url":"midas/sdk/dnsimple/schema.html#EventSecondaryDnsupdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionMigrate","content":"pub type EventSubscriptionMigrate {\n  EventSubscriptionMigrate(subscription: Option(Nil))\n}\n\nEventSubscriptionMigrate(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionMigrate\nmidas/sdk/dnsimple/schema EventSubscriptionMigrate","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionMigrate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionRenew","content":"pub type EventSubscriptionRenew {\n  EventSubscriptionRenew(subscription: Option(Nil))\n}\n\nEventSubscriptionRenew(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionRenew\nmidas/sdk/dnsimple/schema EventSubscriptionRenew","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionRenew"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionSubscribe","content":"pub type EventSubscriptionSubscribe {\n  EventSubscriptionSubscribe(subscription: Option(Nil))\n}\n\nEventSubscriptionSubscribe(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionSubscribe\nmidas/sdk/dnsimple/schema EventSubscriptionSubscribe","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionSubscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionUnsubscribe","content":"pub type EventSubscriptionUnsubscribe {\n  EventSubscriptionUnsubscribe(subscription: Option(Nil))\n}\n\nEventSubscriptionUnsubscribe(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionUnsubscribe\nmidas/sdk/dnsimple/schema EventSubscriptionUnsubscribe","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionUnsubscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateApply","content":"pub type EventTemplateApply {\n  EventTemplateApply(zone: Option(Nil), template: Option(Nil))\n}\n\nEventTemplateApply(zone: Option(Nil), template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateApply\nmidas/sdk/dnsimple/schema EventTemplateApply","url":"midas/sdk/dnsimple/schema.html#EventTemplateApply"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateCreate","content":"pub type EventTemplateCreate {\n  EventTemplateCreate(template: Option(Nil))\n}\n\nEventTemplateCreate(template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateCreate\nmidas/sdk/dnsimple/schema EventTemplateCreate","url":"midas/sdk/dnsimple/schema.html#EventTemplateCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateDelete","content":"pub type EventTemplateDelete {\n  EventTemplateDelete(template: Option(Nil))\n}\n\nEventTemplateDelete(template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateDelete\nmidas/sdk/dnsimple/schema EventTemplateDelete","url":"midas/sdk/dnsimple/schema.html#EventTemplateDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateRecordCreate","content":"pub type EventTemplateRecordCreate {\n  EventTemplateRecordCreate(template_record: Option(Nil))\n}\n\nEventTemplateRecordCreate(template_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateRecordCreate\nmidas/sdk/dnsimple/schema EventTemplateRecordCreate","url":"midas/sdk/dnsimple/schema.html#EventTemplateRecordCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateRecordDelete","content":"pub type EventTemplateRecordDelete {\n  EventTemplateRecordDelete(template_record: Option(Nil))\n}\n\nEventTemplateRecordDelete(template_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateRecordDelete\nmidas/sdk/dnsimple/schema EventTemplateRecordDelete","url":"midas/sdk/dnsimple/schema.html#EventTemplateRecordDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateUpdate","content":"pub type EventTemplateUpdate {\n  EventTemplateUpdate(template: Option(Nil))\n}\n\nEventTemplateUpdate(template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateUpdate\nmidas/sdk/dnsimple/schema EventTemplateUpdate","url":"midas/sdk/dnsimple/schema.html#EventTemplateUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventVanityDisable","content":"pub type EventVanityDisable {\n  EventVanityDisable(domain: Option(Nil))\n}\n\nEventVanityDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventVanityDisable\nmidas/sdk/dnsimple/schema EventVanityDisable","url":"midas/sdk/dnsimple/schema.html#EventVanityDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventVanityEnable","content":"pub type EventVanityEnable {\n  EventVanityEnable(domain: Option(Nil))\n}\n\nEventVanityEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventVanityEnable\nmidas/sdk/dnsimple/schema EventVanityEnable","url":"midas/sdk/dnsimple/schema.html#EventVanityEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWebhookCreate","content":"pub type EventWebhookCreate {\n  EventWebhookCreate(webhook: Option(Nil))\n}\n\nEventWebhookCreate(webhook: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWebhookCreate\nmidas/sdk/dnsimple/schema EventWebhookCreate","url":"midas/sdk/dnsimple/schema.html#EventWebhookCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWebhookDelete","content":"pub type EventWebhookDelete {\n  EventWebhookDelete(webhook: Option(Nil))\n}\n\nEventWebhookDelete(webhook: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWebhookDelete\nmidas/sdk/dnsimple/schema EventWebhookDelete","url":"midas/sdk/dnsimple/schema.html#EventWebhookDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyDisable","content":"pub type EventWhoisPrivacyDisable {\n  EventWhoisPrivacyDisable(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyDisable(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyDisable\nmidas/sdk/dnsimple/schema EventWhoisPrivacyDisable","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyEnable","content":"pub type EventWhoisPrivacyEnable {\n  EventWhoisPrivacyEnable(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyEnable(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyEnable\nmidas/sdk/dnsimple/schema EventWhoisPrivacyEnable","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyPurchase","content":"pub type EventWhoisPrivacyPurchase {\n  EventWhoisPrivacyPurchase(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyPurchase(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyPurchase\nmidas/sdk/dnsimple/schema EventWhoisPrivacyPurchase","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyPurchase"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyRenew","content":"pub type EventWhoisPrivacyRenew {\n  EventWhoisPrivacyRenew(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyRenew(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyRenew\nmidas/sdk/dnsimple/schema EventWhoisPrivacyRenew","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyRenew"},{"doc":"midas/sdk/dnsimple/schema","title":"EventZoneCreate","content":"pub type EventZoneCreate {\n  EventZoneCreate(zone: Option(Nil))\n}\n\nEventZoneCreate(zone: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventZoneCreate\nmidas/sdk/dnsimple/schema EventZoneCreate","url":"midas/sdk/dnsimple/schema.html#EventZoneCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventZoneDelete","content":"pub type EventZoneDelete {\n  EventZoneDelete(zone: Option(Nil))\n}\n\nEventZoneDelete(zone: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventZoneDelete\nmidas/sdk/dnsimple/schema EventZoneDelete","url":"midas/sdk/dnsimple/schema.html#EventZoneDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"ExtendedAttribute","content":"pub type ExtendedAttribute {\n  ExtendedAttribute(\n    name: Option(String),\n    description: Option(String),\n    options: Option(Nil),\n    required: Option(Bool),\n  )\n}\n\nExtendedAttribute(\n  name: Option(String),\n  description: Option(String),\n  options: Option(Nil),\n  required: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ExtendedAttribute\nmidas/sdk/dnsimple/schema ExtendedAttribute","url":"midas/sdk/dnsimple/schema.html#ExtendedAttribute"},{"doc":"midas/sdk/dnsimple/schema","title":"ExtendedAttributeOption","content":"pub type ExtendedAttributeOption {\n  ExtendedAttributeOption(\n    value: Option(String),\n    title: Option(String),\n    description: Option(String),\n  )\n}\n\nExtendedAttributeOption(\n  value: Option(String),\n  title: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ExtendedAttributeOption\nmidas/sdk/dnsimple/schema ExtendedAttributeOption","url":"midas/sdk/dnsimple/schema.html#ExtendedAttributeOption"},{"doc":"midas/sdk/dnsimple/schema","title":"Invoice","content":"pub type Invoice {\n  Invoice(\n    created_at: Option(String),\n    updated_at: Option(String),\n    invoice_number: Option(String),\n    id: Option(Int),\n  )\n}\n\nInvoice(\n  created_at: Option(String),\n  updated_at: Option(String),\n  invoice_number: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Invoice\nmidas/sdk/dnsimple/schema Invoice","url":"midas/sdk/dnsimple/schema.html#Invoice"},{"doc":"midas/sdk/dnsimple/schema","title":"LetsencryptCertificatePurchase","content":"pub type LetsencryptCertificatePurchase {\n  LetsencryptCertificatePurchase(\n    certificate_id: Option(Int),\n    created_at: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nLetsencryptCertificatePurchase(\n  certificate_id: Option(Int),\n  created_at: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.LetsencryptCertificatePurchase\nmidas/sdk/dnsimple/schema LetsencryptCertificatePurchase","url":"midas/sdk/dnsimple/schema.html#LetsencryptCertificatePurchase"},{"doc":"midas/sdk/dnsimple/schema","title":"LetsencryptCertificateRenewal","content":"pub type LetsencryptCertificateRenewal {\n  LetsencryptCertificateRenewal(\n    new_certificate_id: Option(Int),\n    created_at: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    old_certificate_id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nLetsencryptCertificateRenewal(\n  new_certificate_id: Option(Int),\n  created_at: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  old_certificate_id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.LetsencryptCertificateRenewal\nmidas/sdk/dnsimple/schema LetsencryptCertificateRenewal","url":"midas/sdk/dnsimple/schema.html#LetsencryptCertificateRenewal"},{"doc":"midas/sdk/dnsimple/schema","title":"NameServer","content":"pub type NameServer {\n  NameServer(\n    ipv4: Option(String),\n    ipv6: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nNameServer(\n  ipv4: Option(String),\n  ipv6: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.NameServer\nmidas/sdk/dnsimple/schema NameServer","url":"midas/sdk/dnsimple/schema.html#NameServer"},{"doc":"midas/sdk/dnsimple/schema","title":"OauthApplication","content":"pub type OauthApplication {\n  OauthApplication(\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    description: Option(String),\n    homepage_url: Option(String),\n  )\n}\n\nOauthApplication(\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  description: Option(String),\n  homepage_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.OauthApplication\nmidas/sdk/dnsimple/schema OauthApplication","url":"midas/sdk/dnsimple/schema.html#OauthApplication"},{"doc":"midas/sdk/dnsimple/schema","title":"Pagination","content":"pub type Pagination {\n  Pagination(\n    total_pages: Option(Int),\n    per_page: Option(Int),\n    current_page: Option(Int),\n    total_entries: Option(Int),\n  )\n}\n\nPagination(\n  total_pages: Option(Int),\n  per_page: Option(Int),\n  current_page: Option(Int),\n  total_entries: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Pagination\nmidas/sdk/dnsimple/schema Pagination","url":"midas/sdk/dnsimple/schema.html#Pagination"},{"doc":"midas/sdk/dnsimple/schema","title":"PrimaryServer","content":"pub type PrimaryServer {\n  PrimaryServer(\n    port: Option(Int),\n    ip: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    account_id: Option(Int),\n    linked_secondary_zones: Option(List(String)),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nPrimaryServer(\n  port: Option(Int),\n  ip: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  account_id: Option(Int),\n  linked_secondary_zones: Option(List(String)),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.PrimaryServer\nmidas/sdk/dnsimple/schema PrimaryServer","url":"midas/sdk/dnsimple/schema.html#PrimaryServer"},{"doc":"midas/sdk/dnsimple/schema","title":"Push","content":"pub type Push {\n  Push(\n    created_at: Option(String),\n    accepted_at: Option(String),\n    account_id: Option(Int),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    contact_id: Option(Int),\n    id: Option(Int),\n  )\n}\n\nPush(\n  created_at: Option(String),\n  accepted_at: Option(String),\n  account_id: Option(Int),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  contact_id: Option(Int),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Push\nmidas/sdk/dnsimple/schema Push","url":"midas/sdk/dnsimple/schema.html#Push"},{"doc":"midas/sdk/dnsimple/schema","title":"RegistrantChange","content":"pub type RegistrantChange {\n  RegistrantChange(\n    created_at: Option(String),\n    irt_lock_lifted_by: Option(String),\n    account_id: Option(Int),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    contact_id: Option(Int),\n    id: Option(Int),\n    extended_attributes: Option(Nil),\n    registry_owner_change: Option(Bool),\n  )\n}\n\nRegistrantChange(\n  created_at: Option(String),\n  irt_lock_lifted_by: Option(String),\n  account_id: Option(Int),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  contact_id: Option(Int),\n  id: Option(Int),\n  extended_attributes: Option(Nil),\n  registry_owner_change: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.RegistrantChange\nmidas/sdk/dnsimple/schema RegistrantChange","url":"midas/sdk/dnsimple/schema.html#RegistrantChange"},{"doc":"midas/sdk/dnsimple/schema","title":"RegistrantChangeCheck","content":"pub type RegistrantChangeCheck {\n  RegistrantChangeCheck(\n    domain_id: Option(Int),\n    contact_id: Option(Int),\n    extended_attributes: Option(Nil),\n    registry_owner_change: Option(Bool),\n  )\n}\n\nRegistrantChangeCheck(\n  domain_id: Option(Int),\n  contact_id: Option(Int),\n  extended_attributes: Option(Nil),\n  registry_owner_change: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.RegistrantChangeCheck\nmidas/sdk/dnsimple/schema RegistrantChangeCheck","url":"midas/sdk/dnsimple/schema.html#RegistrantChangeCheck"},{"doc":"midas/sdk/dnsimple/schema","title":"SecondaryDns","content":"pub type SecondaryDns {\n  SecondaryDns(\n    created_at: Option(String),\n    zone_id: Option(String),\n    whitelisted_ips: Option(List(String)),\n    updated_at: Option(String),\n    id: Option(Int),\n    name_servers: Option(List(String)),\n  )\n}\n\nSecondaryDns(\n  created_at: Option(String),\n  zone_id: Option(String),\n  whitelisted_ips: Option(List(String)),\n  updated_at: Option(String),\n  id: Option(Int),\n  name_servers: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.SecondaryDns\nmidas/sdk/dnsimple/schema SecondaryDns","url":"midas/sdk/dnsimple/schema.html#SecondaryDns"},{"doc":"midas/sdk/dnsimple/schema","title":"Service","content":"pub type Service {\n  Service(\n    settings: Option(Nil),\n    default_subdomain: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    requires_setup: Option(Bool),\n    sid: Option(String),\n    updated_at: Option(String),\n    setup_description: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nService(\n  settings: Option(Nil),\n  default_subdomain: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  requires_setup: Option(Bool),\n  sid: Option(String),\n  updated_at: Option(String),\n  setup_description: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Service\nmidas/sdk/dnsimple/schema Service","url":"midas/sdk/dnsimple/schema.html#Service"},{"doc":"midas/sdk/dnsimple/schema","title":"ServiceSetting","content":"pub type ServiceSetting {\n  ServiceSetting(\n    example: Option(String),\n    name: Option(String),\n    label: Option(String),\n    append: Option(String),\n    password: Option(Bool),\n    description: Option(String),\n  )\n}\n\nServiceSetting(\n  example: Option(String),\n  name: Option(String),\n  label: Option(String),\n  append: Option(String),\n  password: Option(Bool),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ServiceSetting\nmidas/sdk/dnsimple/schema ServiceSetting","url":"midas/sdk/dnsimple/schema.html#ServiceSetting"},{"doc":"midas/sdk/dnsimple/schema","title":"Subscription","content":"pub type Subscription {\n  Subscription(\n    plan_name: Option(String),\n    created_at: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nSubscription(\n  plan_name: Option(String),\n  created_at: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Subscription\nmidas/sdk/dnsimple/schema Subscription","url":"midas/sdk/dnsimple/schema.html#Subscription"},{"doc":"midas/sdk/dnsimple/schema","title":"Template","content":"pub type Template {\n  Template(\n    created_at: Option(String),\n    name: Option(String),\n    account_id: Option(Int),\n    sid: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nTemplate(\n  created_at: Option(String),\n  name: Option(String),\n  account_id: Option(Int),\n  sid: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Template\nmidas/sdk/dnsimple/schema Template","url":"midas/sdk/dnsimple/schema.html#Template"},{"doc":"midas/sdk/dnsimple/schema","title":"TemplateRecord","content":"pub type TemplateRecord {\n  TemplateRecord(\n    template_id: Option(Int),\n    priority: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    ttl: Option(Int),\n    updated_at: Option(String),\n    content: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n  )\n}\n\nTemplateRecord(\n  template_id: Option(Int),\n  priority: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  ttl: Option(Int),\n  updated_at: Option(String),\n  content: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.TemplateRecord\nmidas/sdk/dnsimple/schema TemplateRecord","url":"midas/sdk/dnsimple/schema.html#TemplateRecord"},{"doc":"midas/sdk/dnsimple/schema","title":"Tld","content":"pub type Tld {\n  Tld(\n    minimum_registration: Option(Int),\n    tld: Option(String),\n    tld_type: Option(Int),\n    transfer_enabled: Option(Bool),\n    auto_renew_only: Option(Bool),\n    whois_privacy: Option(Bool),\n    idn: Option(Bool),\n    dnssec_interface_type: Option(String),\n    renewal_enabled: Option(Bool),\n    registration_enabled: Option(Bool),\n  )\n}\n\nTld(\n  minimum_registration: Option(Int),\n  tld: Option(String),\n  tld_type: Option(Int),\n  transfer_enabled: Option(Bool),\n  auto_renew_only: Option(Bool),\n  whois_privacy: Option(Bool),\n  idn: Option(Bool),\n  dnssec_interface_type: Option(String),\n  renewal_enabled: Option(Bool),\n  registration_enabled: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Tld\nmidas/sdk/dnsimple/schema Tld","url":"midas/sdk/dnsimple/schema.html#Tld"},{"doc":"midas/sdk/dnsimple/schema","title":"TradeExtendedAttributes","content":"pub type TradeExtendedAttributes {\n  TradeExtendedAttributes\n}\n\nTradeExtendedAttributes\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.TradeExtendedAttributes\nmidas/sdk/dnsimple/schema TradeExtendedAttributes","url":"midas/sdk/dnsimple/schema.html#TradeExtendedAttributes"},{"doc":"midas/sdk/dnsimple/schema","title":"User","content":"pub type User {\n  User(\n    created_at: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nUser(\n  created_at: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.User\nmidas/sdk/dnsimple/schema User","url":"midas/sdk/dnsimple/schema.html#User"},{"doc":"midas/sdk/dnsimple/schema","title":"VanityNameServer","content":"pub type VanityNameServer {\n  VanityNameServer(\n    ipv4: Option(String),\n    ipv6: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nVanityNameServer(\n  ipv4: Option(String),\n  ipv6: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.VanityNameServer\nmidas/sdk/dnsimple/schema VanityNameServer","url":"midas/sdk/dnsimple/schema.html#VanityNameServer"},{"doc":"midas/sdk/dnsimple/schema","title":"Webhook","content":"pub type Webhook {\n  Webhook(\n    url: Option(String),\n    id: Option(Int),\n    suppressed_at: Option(String),\n  )\n}\n\nWebhook(\n  url: Option(String),\n  id: Option(Int),\n  suppressed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Webhook\nmidas/sdk/dnsimple/schema Webhook","url":"midas/sdk/dnsimple/schema.html#Webhook"},{"doc":"midas/sdk/dnsimple/schema","title":"WebhookAccount","content":"pub type WebhookAccount {\n  WebhookAccount(\n    display: Option(String),\n    identifier: Option(String),\n    id: Option(Int),\n  )\n}\n\nWebhookAccount(\n  display: Option(String),\n  identifier: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WebhookAccount\nmidas/sdk/dnsimple/schema WebhookAccount","url":"midas/sdk/dnsimple/schema.html#WebhookAccount"},{"doc":"midas/sdk/dnsimple/schema","title":"WebhookPayload","content":"pub type WebhookPayload {\n  WebhookPayload(\n    data: Option(Nil),\n    name: Option(String),\n    account: Option(Nil),\n    api_version: Option(String),\n    actor: Option(Nil),\n    request_identifier: Option(String),\n  )\n}\n\nWebhookPayload(\n  data: Option(Nil),\n  name: Option(String),\n  account: Option(Nil),\n  api_version: Option(String),\n  actor: Option(Nil),\n  request_identifier: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WebhookPayload\nmidas/sdk/dnsimple/schema WebhookPayload","url":"midas/sdk/dnsimple/schema.html#WebhookPayload"},{"doc":"midas/sdk/dnsimple/schema","title":"WhoisPrivacy","content":"pub type WhoisPrivacy {\n  WhoisPrivacy(\n    enabled: Option(Bool),\n    created_at: Option(String),\n    expires_on: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nWhoisPrivacy(\n  enabled: Option(Bool),\n  created_at: Option(String),\n  expires_on: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WhoisPrivacy\nmidas/sdk/dnsimple/schema WhoisPrivacy","url":"midas/sdk/dnsimple/schema.html#WhoisPrivacy"},{"doc":"midas/sdk/dnsimple/schema","title":"WhoisPrivacyRenewal","content":"pub type WhoisPrivacyRenewal {\n  WhoisPrivacyRenewal(\n    enabled: Option(Bool),\n    whois_privacy_id: Option(Int),\n    created_at: Option(String),\n    expires_on: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nWhoisPrivacyRenewal(\n  enabled: Option(Bool),\n  whois_privacy_id: Option(Int),\n  created_at: Option(String),\n  expires_on: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WhoisPrivacyRenewal\nmidas/sdk/dnsimple/schema WhoisPrivacyRenewal","url":"midas/sdk/dnsimple/schema.html#WhoisPrivacyRenewal"},{"doc":"midas/sdk/dnsimple/schema","title":"Zone","content":"pub type Zone {\n  Zone(\n    reverse: Option(Bool),\n    active: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    account_id: Option(Int),\n    secondary: Option(Bool),\n    last_transferred_at: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nZone(\n  reverse: Option(Bool),\n  active: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  account_id: Option(Int),\n  secondary: Option(Bool),\n  last_transferred_at: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Zone\nmidas/sdk/dnsimple/schema Zone","url":"midas/sdk/dnsimple/schema.html#Zone"},{"doc":"midas/sdk/dnsimple/schema","title":"ZoneDistribution","content":"pub type ZoneDistribution {\n  ZoneDistribution(distributed: Option(Bool))\n}\n\nZoneDistribution(distributed: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ZoneDistribution\nmidas/sdk/dnsimple/schema ZoneDistribution","url":"midas/sdk/dnsimple/schema.html#ZoneDistribution"},{"doc":"midas/sdk/dnsimple/schema","title":"ZoneFile","content":"pub type ZoneFile {\n  ZoneFile(zone: Option(String))\n}\n\nZoneFile(zone: Option(String))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ZoneFile\nmidas/sdk/dnsimple/schema ZoneFile","url":"midas/sdk/dnsimple/schema.html#ZoneFile"},{"doc":"midas/sdk/dnsimple/schema","title":"ZoneRecord","content":"pub type ZoneRecord {\n  ZoneRecord(\n    system_record: Option(Bool),\n    priority: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    ttl: Option(Int),\n    zone_id: Option(String),\n    parent_id: Option(Int),\n    updated_at: Option(String),\n    content: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    regions: Option(Nil),\n  )\n}\n\nZoneRecord(\n  system_record: Option(Bool),\n  priority: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  ttl: Option(Int),\n  zone_id: Option(String),\n  parent_id: Option(Int),\n  updated_at: Option(String),\n  content: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  regions: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ZoneRecord\nmidas/sdk/dnsimple/schema ZoneRecord","url":"midas/sdk/dnsimple/schema.html#ZoneRecord"},{"doc":"midas/sdk/dnsimple/schema","title":"account","content":"pub const account: Account\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account\nmidas/sdk/dnsimple/schema account","url":"midas/sdk/dnsimple/schema.html#account"},{"doc":"midas/sdk/dnsimple/schema","title":"account_invitation","content":"pub const account_invitation: AccountInvitation\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_invitation\nmidas/sdk/dnsimple/schema account_invitation","url":"midas/sdk/dnsimple/schema.html#account_invitation"},{"doc":"midas/sdk/dnsimple/schema","title":"actor","content":"pub const actor: Actor\n\nSynonyms:\nmidas/sdk/dnsimple/schema.actor\nmidas/sdk/dnsimple/schema actor","url":"midas/sdk/dnsimple/schema.html#actor"},{"doc":"midas/sdk/dnsimple/schema","title":"billing_settings","content":"pub const billing_settings: BillingSettings\n\nSynonyms:\nmidas/sdk/dnsimple/schema.billing_settings\nmidas/sdk/dnsimple/schema billing_settings","url":"midas/sdk/dnsimple/schema.html#billing_settings"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate","content":"pub const certificate: Certificate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate\nmidas/sdk/dnsimple/schema certificate","url":"midas/sdk/dnsimple/schema.html#certificate"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_download","content":"pub const certificate_download: CertificateDownload\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_download\nmidas/sdk/dnsimple/schema certificate_download","url":"midas/sdk/dnsimple/schema.html#certificate_download"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_private_key","content":"pub const certificate_private_key: CertificatePrivateKey\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_private_key\nmidas/sdk/dnsimple/schema certificate_private_key","url":"midas/sdk/dnsimple/schema.html#certificate_private_key"},{"doc":"midas/sdk/dnsimple/schema","title":"charge","content":"pub const charge: Charge\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge\nmidas/sdk/dnsimple/schema charge","url":"midas/sdk/dnsimple/schema.html#charge"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_item","content":"pub const charge_item: ChargeItem\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_item\nmidas/sdk/dnsimple/schema charge_item","url":"midas/sdk/dnsimple/schema.html#charge_item"},{"doc":"midas/sdk/dnsimple/schema","title":"collaborator","content":"pub const collaborator: Collaborator\n\nSynonyms:\nmidas/sdk/dnsimple/schema.collaborator\nmidas/sdk/dnsimple/schema collaborator","url":"midas/sdk/dnsimple/schema.html#collaborator"},{"doc":"midas/sdk/dnsimple/schema","title":"contact","content":"pub const contact: Contact\n\nSynonyms:\nmidas/sdk/dnsimple/schema.contact\nmidas/sdk/dnsimple/schema contact","url":"midas/sdk/dnsimple/schema.html#contact"},{"doc":"midas/sdk/dnsimple/schema","title":"delegation_signer","content":"pub const delegation_signer: DelegationSigner\n\nSynonyms:\nmidas/sdk/dnsimple/schema.delegation_signer\nmidas/sdk/dnsimple/schema delegation_signer","url":"midas/sdk/dnsimple/schema.html#delegation_signer"},{"doc":"midas/sdk/dnsimple/schema","title":"dnssec","content":"pub const dnssec: Dnssec\n\nSynonyms:\nmidas/sdk/dnsimple/schema.dnssec\nmidas/sdk/dnsimple/schema dnssec","url":"midas/sdk/dnsimple/schema.html#dnssec"},{"doc":"midas/sdk/dnsimple/schema","title":"domain","content":"pub const domain: Domain\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain\nmidas/sdk/dnsimple/schema domain","url":"midas/sdk/dnsimple/schema.html#domain"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_check_result","content":"pub const domain_check_result: DomainCheckResult\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_check_result\nmidas/sdk/dnsimple/schema domain_check_result","url":"midas/sdk/dnsimple/schema.html#domain_check_result"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_premium_price","content":"pub const domain_premium_price: DomainPremiumPrice\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_premium_price\nmidas/sdk/dnsimple/schema domain_premium_price","url":"midas/sdk/dnsimple/schema.html#domain_premium_price"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_prices","content":"pub const domain_prices: DomainPrices\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_prices\nmidas/sdk/dnsimple/schema domain_prices","url":"midas/sdk/dnsimple/schema.html#domain_prices"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_registration","content":"pub const domain_registration: DomainRegistration\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_registration\nmidas/sdk/dnsimple/schema domain_registration","url":"midas/sdk/dnsimple/schema.html#domain_registration"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_renewal","content":"pub const domain_renewal: DomainRenewal\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_renewal\nmidas/sdk/dnsimple/schema domain_renewal","url":"midas/sdk/dnsimple/schema.html#domain_renewal"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_restore","content":"pub const domain_restore: DomainRestore\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_restore\nmidas/sdk/dnsimple/schema domain_restore","url":"midas/sdk/dnsimple/schema.html#domain_restore"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer","content":"pub const domain_transfer: DomainTransfer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer\nmidas/sdk/dnsimple/schema domain_transfer","url":"midas/sdk/dnsimple/schema.html#domain_transfer"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_lock","content":"pub const domain_transfer_lock: DomainTransferLock\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_lock\nmidas/sdk/dnsimple/schema domain_transfer_lock","url":"midas/sdk/dnsimple/schema.html#domain_transfer_lock"},{"doc":"midas/sdk/dnsimple/schema","title":"email_forward","content":"pub const email_forward: EmailForward\n\nSynonyms:\nmidas/sdk/dnsimple/schema.email_forward\nmidas/sdk/dnsimple/schema email_forward","url":"midas/sdk/dnsimple/schema.html#email_forward"},{"doc":"midas/sdk/dnsimple/schema","title":"error","content":"pub const error: Error\n\nSynonyms:\nmidas/sdk/dnsimple/schema.error\nmidas/sdk/dnsimple/schema error","url":"midas/sdk/dnsimple/schema.html#error"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_add_user","content":"pub const event_account_add_user: EventAccountAddUser\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_add_user\nmidas/sdk/dnsimple/schema event_account_add_user","url":"midas/sdk/dnsimple/schema.html#event_account_add_user"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_billing_settings_update","content":"pub const event_account_billing_settings_update: EventAccountBillingSettingsUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_billing_settings_update\nmidas/sdk/dnsimple/schema event_account_billing_settings_update","url":"midas/sdk/dnsimple/schema.html#event_account_billing_settings_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_accept","content":"pub const event_account_invitation_accept: EventAccountInvitationAccept\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_accept\nmidas/sdk/dnsimple/schema event_account_invitation_accept","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_accept"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_create","content":"pub const event_account_invitation_create: EventAccountInvitationCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_create\nmidas/sdk/dnsimple/schema event_account_invitation_create","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_remove","content":"pub const event_account_invitation_remove: EventAccountInvitationRemove\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_remove\nmidas/sdk/dnsimple/schema event_account_invitation_remove","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_remove"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_resend","content":"pub const event_account_invitation_resend: EventAccountInvitationResend\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_resend\nmidas/sdk/dnsimple/schema event_account_invitation_resend","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_resend"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_payment_details_update","content":"pub const event_account_payment_details_update: EventAccountPaymentDetailsUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_payment_details_update\nmidas/sdk/dnsimple/schema event_account_payment_details_update","url":"midas/sdk/dnsimple/schema.html#event_account_payment_details_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_remove_user","content":"pub const event_account_remove_user: EventAccountRemoveUser\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_remove_user\nmidas/sdk/dnsimple/schema event_account_remove_user","url":"midas/sdk/dnsimple/schema.html#event_account_remove_user"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_update","content":"pub const event_account_update: EventAccountUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_update\nmidas/sdk/dnsimple/schema event_account_update","url":"midas/sdk/dnsimple/schema.html#event_account_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_disable","content":"pub const event_certificate_auto_renewal_disable: EventCertificateAutoRenewalDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_disable\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_disable","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_enable","content":"pub const event_certificate_auto_renewal_enable: EventCertificateAutoRenewalEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_enable\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_enable","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_failed","content":"pub const event_certificate_auto_renewal_failed: EventCertificateAutoRenewalFailed\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_failed\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_failed","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_failed"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_issue","content":"pub const event_certificate_issue: EventCertificateIssue\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_issue\nmidas/sdk/dnsimple/schema event_certificate_issue","url":"midas/sdk/dnsimple/schema.html#event_certificate_issue"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_reissue","content":"pub const event_certificate_reissue: EventCertificateReissue\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_reissue\nmidas/sdk/dnsimple/schema event_certificate_reissue","url":"midas/sdk/dnsimple/schema.html#event_certificate_reissue"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_remove_private_key","content":"pub const event_certificate_remove_private_key: EventCertificateRemovePrivateKey\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_remove_private_key\nmidas/sdk/dnsimple/schema event_certificate_remove_private_key","url":"midas/sdk/dnsimple/schema.html#event_certificate_remove_private_key"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_create","content":"pub const event_contact_create: EventContactCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_create\nmidas/sdk/dnsimple/schema event_contact_create","url":"midas/sdk/dnsimple/schema.html#event_contact_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_delete","content":"pub const event_contact_delete: EventContactDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_delete\nmidas/sdk/dnsimple/schema event_contact_delete","url":"midas/sdk/dnsimple/schema.html#event_contact_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_update","content":"pub const event_contact_update: EventContactUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_update\nmidas/sdk/dnsimple/schema event_contact_update","url":"midas/sdk/dnsimple/schema.html#event_contact_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnsseccreate","content":"pub const event_dnsseccreate: EventDnsseccreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnsseccreate\nmidas/sdk/dnsimple/schema event_dnsseccreate","url":"midas/sdk/dnsimple/schema.html#event_dnsseccreate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecdelete","content":"pub const event_dnssecdelete: EventDnssecdelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecdelete\nmidas/sdk/dnsimple/schema event_dnssecdelete","url":"midas/sdk/dnsimple/schema.html#event_dnssecdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_complete","content":"pub const event_dnssecrotation_complete: EventDnssecrotationComplete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_complete\nmidas/sdk/dnsimple/schema event_dnssecrotation_complete","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_complete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_start","content":"pub const event_dnssecrotation_start: EventDnssecrotationStart\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_start\nmidas/sdk/dnsimple/schema event_dnssecrotation_start","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_start"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_disable","content":"pub const event_domain_auto_renewal_disable: EventDomainAutoRenewalDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_disable\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_disable","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_enable","content":"pub const event_domain_auto_renewal_enable: EventDomainAutoRenewalEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_enable\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_enable","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_create","content":"pub const event_domain_create: EventDomainCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_create\nmidas/sdk/dnsimple/schema event_domain_create","url":"midas/sdk/dnsimple/schema.html#event_domain_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delegation_change","content":"pub const event_domain_delegation_change: EventDomainDelegationChange\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delegation_change\nmidas/sdk/dnsimple/schema event_domain_delegation_change","url":"midas/sdk/dnsimple/schema.html#event_domain_delegation_change"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delete","content":"pub const event_domain_delete: EventDomainDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delete\nmidas/sdk/dnsimple/schema event_domain_delete","url":"midas/sdk/dnsimple/schema.html#event_domain_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register","content":"pub const event_domain_register: EventDomainRegister\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register\nmidas/sdk/dnsimple/schema event_domain_register","url":"midas/sdk/dnsimple/schema.html#event_domain_register"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_cancelled","content":"pub const event_domain_register_cancelled: EventDomainRegisterCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_cancelled\nmidas/sdk/dnsimple/schema event_domain_register_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_register_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_started","content":"pub const event_domain_register_started: EventDomainRegisterStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_started\nmidas/sdk/dnsimple/schema event_domain_register_started","url":"midas/sdk/dnsimple/schema.html#event_domain_register_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change","content":"pub const event_domain_registrant_change: EventDomainRegistrantChange\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change\nmidas/sdk/dnsimple/schema event_domain_registrant_change","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_cancelled","content":"pub const event_domain_registrant_change_cancelled: EventDomainRegistrantChangeCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_cancelled\nmidas/sdk/dnsimple/schema event_domain_registrant_change_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_started","content":"pub const event_domain_registrant_change_started: EventDomainRegistrantChangeStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_started\nmidas/sdk/dnsimple/schema event_domain_registrant_change_started","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew","content":"pub const event_domain_renew: EventDomainRenew\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew\nmidas/sdk/dnsimple/schema event_domain_renew","url":"midas/sdk/dnsimple/schema.html#event_domain_renew"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_cancelled","content":"pub const event_domain_renew_cancelled: EventDomainRenewCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_cancelled\nmidas/sdk/dnsimple/schema event_domain_renew_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_started","content":"pub const event_domain_renew_started: EventDomainRenewStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_started\nmidas/sdk/dnsimple/schema event_domain_renew_started","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_disable","content":"pub const event_domain_resolution_disable: EventDomainResolutionDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_disable\nmidas/sdk/dnsimple/schema event_domain_resolution_disable","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_enable","content":"pub const event_domain_resolution_enable: EventDomainResolutionEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_enable\nmidas/sdk/dnsimple/schema event_domain_resolution_enable","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore","content":"pub const event_domain_restore: EventDomainRestore\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore\nmidas/sdk/dnsimple/schema event_domain_restore","url":"midas/sdk/dnsimple/schema.html#event_domain_restore"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_cancelled","content":"pub const event_domain_restore_cancelled: EventDomainRestoreCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_cancelled\nmidas/sdk/dnsimple/schema event_domain_restore_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_started","content":"pub const event_domain_restore_started: EventDomainRestoreStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_started\nmidas/sdk/dnsimple/schema event_domain_restore_started","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer","content":"pub const event_domain_transfer: EventDomainTransfer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer\nmidas/sdk/dnsimple/schema event_domain_transfer","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_cancelled","content":"pub const event_domain_transfer_cancelled: EventDomainTransferCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_cancelled\nmidas/sdk/dnsimple/schema event_domain_transfer_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_disable","content":"pub const event_domain_transfer_lock_disable: EventDomainTransferLockDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_disable\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_disable","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_enable","content":"pub const event_domain_transfer_lock_enable: EventDomainTransferLockEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_enable\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_enable","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_started","content":"pub const event_domain_transfer_started: EventDomainTransferStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_started\nmidas/sdk/dnsimple/schema event_domain_transfer_started","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_create","content":"pub const event_email_forward_create: EventEmailForwardCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_create\nmidas/sdk/dnsimple/schema event_email_forward_create","url":"midas/sdk/dnsimple/schema.html#event_email_forward_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_delete","content":"pub const event_email_forward_delete: EventEmailForwardDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_delete\nmidas/sdk/dnsimple/schema event_email_forward_delete","url":"midas/sdk/dnsimple/schema.html#event_email_forward_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_update","content":"pub const event_email_forward_update: EventEmailForwardUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_update\nmidas/sdk/dnsimple/schema event_email_forward_update","url":"midas/sdk/dnsimple/schema.html#event_email_forward_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_invoice_collect","content":"pub const event_invoice_collect: EventInvoiceCollect\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_invoice_collect\nmidas/sdk/dnsimple/schema event_invoice_collect","url":"midas/sdk/dnsimple/schema.html#event_invoice_collect"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_deregister","content":"pub const event_name_server_deregister: EventNameServerDeregister\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_deregister\nmidas/sdk/dnsimple/schema event_name_server_deregister","url":"midas/sdk/dnsimple/schema.html#event_name_server_deregister"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_register","content":"pub const event_name_server_register: EventNameServerRegister\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_register\nmidas/sdk/dnsimple/schema event_name_server_register","url":"midas/sdk/dnsimple/schema.html#event_name_server_register"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_create","content":"pub const event_oauth_application_create: EventOauthApplicationCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_create\nmidas/sdk/dnsimple/schema event_oauth_application_create","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_delete","content":"pub const event_oauth_application_delete: EventOauthApplicationDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_delete\nmidas/sdk/dnsimple/schema event_oauth_application_delete","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_reset_client_secret","content":"pub const event_oauth_application_reset_client_secret: EventOauthApplicationResetClientSecret\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_reset_client_secret\nmidas/sdk/dnsimple/schema event_oauth_application_reset_client_secret","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_reset_client_secret"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_revoke_access_tokens","content":"pub const event_oauth_application_revoke_access_tokens: EventOauthApplicationRevokeAccessTokens\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_revoke_access_tokens\nmidas/sdk/dnsimple/schema event_oauth_application_revoke_access_tokens","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_revoke_access_tokens"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_update","content":"pub const event_oauth_application_update: EventOauthApplicationUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_update\nmidas/sdk/dnsimple/schema event_oauth_application_update","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_accept","content":"pub const event_push_accept: EventPushAccept\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_accept\nmidas/sdk/dnsimple/schema event_push_accept","url":"midas/sdk/dnsimple/schema.html#event_push_accept"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_initiate","content":"pub const event_push_initiate: EventPushInitiate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_initiate\nmidas/sdk/dnsimple/schema event_push_initiate","url":"midas/sdk/dnsimple/schema.html#event_push_initiate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_reject","content":"pub const event_push_reject: EventPushReject\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_reject\nmidas/sdk/dnsimple/schema event_push_reject","url":"midas/sdk/dnsimple/schema.html#event_push_reject"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_create","content":"pub const event_record_create: EventRecordCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_create\nmidas/sdk/dnsimple/schema event_record_create","url":"midas/sdk/dnsimple/schema.html#event_record_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_delete","content":"pub const event_record_delete: EventRecordDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_delete\nmidas/sdk/dnsimple/schema event_record_delete","url":"midas/sdk/dnsimple/schema.html#event_record_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_update","content":"pub const event_record_update: EventRecordUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_update\nmidas/sdk/dnsimple/schema event_record_update","url":"midas/sdk/dnsimple/schema.html#event_record_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnscreate","content":"pub const event_secondary_dnscreate: EventSecondaryDnscreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnscreate\nmidas/sdk/dnsimple/schema event_secondary_dnscreate","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnscreate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsdelete","content":"pub const event_secondary_dnsdelete: EventSecondaryDnsdelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsdelete\nmidas/sdk/dnsimple/schema event_secondary_dnsdelete","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsupdate","content":"pub const event_secondary_dnsupdate: EventSecondaryDnsupdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsupdate\nmidas/sdk/dnsimple/schema event_secondary_dnsupdate","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsupdate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_migrate","content":"pub const event_subscription_migrate: EventSubscriptionMigrate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_migrate\nmidas/sdk/dnsimple/schema event_subscription_migrate","url":"midas/sdk/dnsimple/schema.html#event_subscription_migrate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_renew","content":"pub const event_subscription_renew: EventSubscriptionRenew\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_renew\nmidas/sdk/dnsimple/schema event_subscription_renew","url":"midas/sdk/dnsimple/schema.html#event_subscription_renew"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_subscribe","content":"pub const event_subscription_subscribe: EventSubscriptionSubscribe\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_subscribe\nmidas/sdk/dnsimple/schema event_subscription_subscribe","url":"midas/sdk/dnsimple/schema.html#event_subscription_subscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_unsubscribe","content":"pub const event_subscription_unsubscribe: EventSubscriptionUnsubscribe\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_unsubscribe\nmidas/sdk/dnsimple/schema event_subscription_unsubscribe","url":"midas/sdk/dnsimple/schema.html#event_subscription_unsubscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_apply","content":"pub const event_template_apply: EventTemplateApply\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_apply\nmidas/sdk/dnsimple/schema event_template_apply","url":"midas/sdk/dnsimple/schema.html#event_template_apply"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_create","content":"pub const event_template_create: EventTemplateCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_create\nmidas/sdk/dnsimple/schema event_template_create","url":"midas/sdk/dnsimple/schema.html#event_template_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_delete","content":"pub const event_template_delete: EventTemplateDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_delete\nmidas/sdk/dnsimple/schema event_template_delete","url":"midas/sdk/dnsimple/schema.html#event_template_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_create","content":"pub const event_template_record_create: EventTemplateRecordCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_create\nmidas/sdk/dnsimple/schema event_template_record_create","url":"midas/sdk/dnsimple/schema.html#event_template_record_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_delete","content":"pub const event_template_record_delete: EventTemplateRecordDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_delete\nmidas/sdk/dnsimple/schema event_template_record_delete","url":"midas/sdk/dnsimple/schema.html#event_template_record_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_update","content":"pub const event_template_update: EventTemplateUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_update\nmidas/sdk/dnsimple/schema event_template_update","url":"midas/sdk/dnsimple/schema.html#event_template_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_disable","content":"pub const event_vanity_disable: EventVanityDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_disable\nmidas/sdk/dnsimple/schema event_vanity_disable","url":"midas/sdk/dnsimple/schema.html#event_vanity_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_enable","content":"pub const event_vanity_enable: EventVanityEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_enable\nmidas/sdk/dnsimple/schema event_vanity_enable","url":"midas/sdk/dnsimple/schema.html#event_vanity_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_create","content":"pub const event_webhook_create: EventWebhookCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_create\nmidas/sdk/dnsimple/schema event_webhook_create","url":"midas/sdk/dnsimple/schema.html#event_webhook_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_delete","content":"pub const event_webhook_delete: EventWebhookDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_delete\nmidas/sdk/dnsimple/schema event_webhook_delete","url":"midas/sdk/dnsimple/schema.html#event_webhook_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_disable","content":"pub const event_whois_privacy_disable: EventWhoisPrivacyDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_disable\nmidas/sdk/dnsimple/schema event_whois_privacy_disable","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_enable","content":"pub const event_whois_privacy_enable: EventWhoisPrivacyEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_enable\nmidas/sdk/dnsimple/schema event_whois_privacy_enable","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_purchase","content":"pub const event_whois_privacy_purchase: EventWhoisPrivacyPurchase\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_purchase\nmidas/sdk/dnsimple/schema event_whois_privacy_purchase","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_purchase"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_renew","content":"pub const event_whois_privacy_renew: EventWhoisPrivacyRenew\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_renew\nmidas/sdk/dnsimple/schema event_whois_privacy_renew","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_renew"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_create","content":"pub const event_zone_create: EventZoneCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_create\nmidas/sdk/dnsimple/schema event_zone_create","url":"midas/sdk/dnsimple/schema.html#event_zone_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_delete","content":"pub const event_zone_delete: EventZoneDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_delete\nmidas/sdk/dnsimple/schema event_zone_delete","url":"midas/sdk/dnsimple/schema.html#event_zone_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute","content":"pub const extended_attribute: ExtendedAttribute\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute\nmidas/sdk/dnsimple/schema extended_attribute","url":"midas/sdk/dnsimple/schema.html#extended_attribute"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_option","content":"pub const extended_attribute_option: ExtendedAttributeOption\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_option\nmidas/sdk/dnsimple/schema extended_attribute_option","url":"midas/sdk/dnsimple/schema.html#extended_attribute_option"},{"doc":"midas/sdk/dnsimple/schema","title":"invoice","content":"pub const invoice: Invoice\n\nSynonyms:\nmidas/sdk/dnsimple/schema.invoice\nmidas/sdk/dnsimple/schema invoice","url":"midas/sdk/dnsimple/schema.html#invoice"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_purchase","content":"pub const letsencrypt_certificate_purchase: LetsencryptCertificatePurchase\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_purchase\nmidas/sdk/dnsimple/schema letsencrypt_certificate_purchase","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_purchase"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_renewal","content":"pub const letsencrypt_certificate_renewal: LetsencryptCertificateRenewal\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_renewal\nmidas/sdk/dnsimple/schema letsencrypt_certificate_renewal","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_renewal"},{"doc":"midas/sdk/dnsimple/schema","title":"name_server","content":"pub const name_server: NameServer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.name_server\nmidas/sdk/dnsimple/schema name_server","url":"midas/sdk/dnsimple/schema.html#name_server"},{"doc":"midas/sdk/dnsimple/schema","title":"oauth_application","content":"pub const oauth_application: OauthApplication\n\nSynonyms:\nmidas/sdk/dnsimple/schema.oauth_application\nmidas/sdk/dnsimple/schema oauth_application","url":"midas/sdk/dnsimple/schema.html#oauth_application"},{"doc":"midas/sdk/dnsimple/schema","title":"pagination","content":"pub const pagination: Pagination\n\nSynonyms:\nmidas/sdk/dnsimple/schema.pagination\nmidas/sdk/dnsimple/schema pagination","url":"midas/sdk/dnsimple/schema.html#pagination"},{"doc":"midas/sdk/dnsimple/schema","title":"primary_server","content":"pub const primary_server: PrimaryServer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.primary_server\nmidas/sdk/dnsimple/schema primary_server","url":"midas/sdk/dnsimple/schema.html#primary_server"},{"doc":"midas/sdk/dnsimple/schema","title":"push","content":"pub const push: Push\n\nSynonyms:\nmidas/sdk/dnsimple/schema.push\nmidas/sdk/dnsimple/schema push","url":"midas/sdk/dnsimple/schema.html#push"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change","content":"pub const registrant_change: RegistrantChange\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change\nmidas/sdk/dnsimple/schema registrant_change","url":"midas/sdk/dnsimple/schema.html#registrant_change"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_check","content":"pub const registrant_change_check: RegistrantChangeCheck\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_check\nmidas/sdk/dnsimple/schema registrant_change_check","url":"midas/sdk/dnsimple/schema.html#registrant_change_check"},{"doc":"midas/sdk/dnsimple/schema","title":"secondary_dns","content":"pub const secondary_dns: SecondaryDns\n\nSynonyms:\nmidas/sdk/dnsimple/schema.secondary_dns\nmidas/sdk/dnsimple/schema secondary_dns","url":"midas/sdk/dnsimple/schema.html#secondary_dns"},{"doc":"midas/sdk/dnsimple/schema","title":"service","content":"pub const service: Service\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service\nmidas/sdk/dnsimple/schema service","url":"midas/sdk/dnsimple/schema.html#service"},{"doc":"midas/sdk/dnsimple/schema","title":"service_setting","content":"pub const service_setting: ServiceSetting\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_setting\nmidas/sdk/dnsimple/schema service_setting","url":"midas/sdk/dnsimple/schema.html#service_setting"},{"doc":"midas/sdk/dnsimple/schema","title":"subscription","content":"pub const subscription: Subscription\n\nSynonyms:\nmidas/sdk/dnsimple/schema.subscription\nmidas/sdk/dnsimple/schema subscription","url":"midas/sdk/dnsimple/schema.html#subscription"},{"doc":"midas/sdk/dnsimple/schema","title":"template","content":"pub const template: Template\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template\nmidas/sdk/dnsimple/schema template","url":"midas/sdk/dnsimple/schema.html#template"},{"doc":"midas/sdk/dnsimple/schema","title":"template_record","content":"pub const template_record: TemplateRecord\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_record\nmidas/sdk/dnsimple/schema template_record","url":"midas/sdk/dnsimple/schema.html#template_record"},{"doc":"midas/sdk/dnsimple/schema","title":"tld","content":"pub const tld: Tld\n\nSynonyms:\nmidas/sdk/dnsimple/schema.tld\nmidas/sdk/dnsimple/schema tld","url":"midas/sdk/dnsimple/schema.html#tld"},{"doc":"midas/sdk/dnsimple/schema","title":"trade_extended_attributes","content":"pub const trade_extended_attributes: TradeExtendedAttributes\n\nSynonyms:\nmidas/sdk/dnsimple/schema.trade_extended_attributes\nmidas/sdk/dnsimple/schema trade_extended_attributes","url":"midas/sdk/dnsimple/schema.html#trade_extended_attributes"},{"doc":"midas/sdk/dnsimple/schema","title":"user","content":"pub const user: User\n\nSynonyms:\nmidas/sdk/dnsimple/schema.user\nmidas/sdk/dnsimple/schema user","url":"midas/sdk/dnsimple/schema.html#user"},{"doc":"midas/sdk/dnsimple/schema","title":"vanity_name_server","content":"pub const vanity_name_server: VanityNameServer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.vanity_name_server\nmidas/sdk/dnsimple/schema vanity_name_server","url":"midas/sdk/dnsimple/schema.html#vanity_name_server"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook","content":"pub const webhook: Webhook\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook\nmidas/sdk/dnsimple/schema webhook","url":"midas/sdk/dnsimple/schema.html#webhook"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_account","content":"pub const webhook_account: WebhookAccount\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_account\nmidas/sdk/dnsimple/schema webhook_account","url":"midas/sdk/dnsimple/schema.html#webhook_account"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_payload","content":"pub const webhook_payload: WebhookPayload\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_payload\nmidas/sdk/dnsimple/schema webhook_payload","url":"midas/sdk/dnsimple/schema.html#webhook_payload"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy","content":"pub const whois_privacy: WhoisPrivacy\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy\nmidas/sdk/dnsimple/schema whois_privacy","url":"midas/sdk/dnsimple/schema.html#whois_privacy"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_renewal","content":"pub const whois_privacy_renewal: WhoisPrivacyRenewal\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_renewal\nmidas/sdk/dnsimple/schema whois_privacy_renewal","url":"midas/sdk/dnsimple/schema.html#whois_privacy_renewal"},{"doc":"midas/sdk/dnsimple/schema","title":"zone","content":"pub const zone: Zone\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone\nmidas/sdk/dnsimple/schema zone","url":"midas/sdk/dnsimple/schema.html#zone"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_distribution","content":"pub const zone_distribution: ZoneDistribution\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_distribution\nmidas/sdk/dnsimple/schema zone_distribution","url":"midas/sdk/dnsimple/schema.html#zone_distribution"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_file","content":"pub const zone_file: ZoneFile\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_file\nmidas/sdk/dnsimple/schema zone_file","url":"midas/sdk/dnsimple/schema.html#zone_file"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_record","content":"pub const zone_record: ZoneRecord\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_record\nmidas/sdk/dnsimple/schema zone_record","url":"midas/sdk/dnsimple/schema.html#zone_record"},{"doc":"midas/sdk/dnsimple/schema","title":"account_decoder","content":"pub fn account_decoder() -&gt; Decoder(Account)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_decoder\nmidas/sdk/dnsimple/schema account_decoder","url":"midas/sdk/dnsimple/schema.html#account_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"account_invitation_decoder","content":"pub fn account_invitation_decoder() -&gt; Decoder(AccountInvitation)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_invitation_decoder\nmidas/sdk/dnsimple/schema account_invitation_decoder","url":"midas/sdk/dnsimple/schema.html#account_invitation_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"account_invitation_to_json","content":"pub fn account_invitation_to_json(\n  data: AccountInvitation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_invitation_to_json\nmidas/sdk/dnsimple/schema account_invitation_to_json","url":"midas/sdk/dnsimple/schema.html#account_invitation_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"account_to_json","content":"pub fn account_to_json(data: Account) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_to_json\nmidas/sdk/dnsimple/schema account_to_json","url":"midas/sdk/dnsimple/schema.html#account_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"actor_decoder","content":"pub fn actor_decoder() -&gt; Decoder(Actor)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.actor_decoder\nmidas/sdk/dnsimple/schema actor_decoder","url":"midas/sdk/dnsimple/schema.html#actor_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"actor_to_json","content":"pub fn actor_to_json(data: Actor) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.actor_to_json\nmidas/sdk/dnsimple/schema actor_to_json","url":"midas/sdk/dnsimple/schema.html#actor_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"billing_settings_decoder","content":"pub fn billing_settings_decoder() -&gt; Decoder(BillingSettings)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.billing_settings_decoder\nmidas/sdk/dnsimple/schema billing_settings_decoder","url":"midas/sdk/dnsimple/schema.html#billing_settings_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"billing_settings_to_json","content":"pub fn billing_settings_to_json(data: BillingSettings) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.billing_settings_to_json\nmidas/sdk/dnsimple/schema billing_settings_to_json","url":"midas/sdk/dnsimple/schema.html#billing_settings_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_decoder","content":"pub fn certificate_decoder() -&gt; Decoder(Certificate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_decoder\nmidas/sdk/dnsimple/schema certificate_decoder","url":"midas/sdk/dnsimple/schema.html#certificate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_download_decoder","content":"pub fn certificate_download_decoder() -&gt; Decoder(\n  CertificateDownload,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_download_decoder\nmidas/sdk/dnsimple/schema certificate_download_decoder","url":"midas/sdk/dnsimple/schema.html#certificate_download_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_download_to_json","content":"pub fn certificate_download_to_json(\n  data: CertificateDownload,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_download_to_json\nmidas/sdk/dnsimple/schema certificate_download_to_json","url":"midas/sdk/dnsimple/schema.html#certificate_download_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_private_key_decoder","content":"pub fn certificate_private_key_decoder() -&gt; Decoder(\n  CertificatePrivateKey,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_private_key_decoder\nmidas/sdk/dnsimple/schema certificate_private_key_decoder","url":"midas/sdk/dnsimple/schema.html#certificate_private_key_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_private_key_to_json","content":"pub fn certificate_private_key_to_json(\n  data: CertificatePrivateKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_private_key_to_json\nmidas/sdk/dnsimple/schema certificate_private_key_to_json","url":"midas/sdk/dnsimple/schema.html#certificate_private_key_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_to_json","content":"pub fn certificate_to_json(data: Certificate) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_to_json\nmidas/sdk/dnsimple/schema certificate_to_json","url":"midas/sdk/dnsimple/schema.html#certificate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_decoder","content":"pub fn charge_decoder() -&gt; Decoder(Charge)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_decoder\nmidas/sdk/dnsimple/schema charge_decoder","url":"midas/sdk/dnsimple/schema.html#charge_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_item_decoder","content":"pub fn charge_item_decoder() -&gt; Decoder(ChargeItem)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_item_decoder\nmidas/sdk/dnsimple/schema charge_item_decoder","url":"midas/sdk/dnsimple/schema.html#charge_item_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_item_to_json","content":"pub fn charge_item_to_json(data: ChargeItem) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_item_to_json\nmidas/sdk/dnsimple/schema charge_item_to_json","url":"midas/sdk/dnsimple/schema.html#charge_item_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_to_json","content":"pub fn charge_to_json(data: Charge) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_to_json\nmidas/sdk/dnsimple/schema charge_to_json","url":"midas/sdk/dnsimple/schema.html#charge_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"collaborator_decoder","content":"pub fn collaborator_decoder() -&gt; Decoder(Collaborator)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.collaborator_decoder\nmidas/sdk/dnsimple/schema collaborator_decoder","url":"midas/sdk/dnsimple/schema.html#collaborator_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"collaborator_to_json","content":"pub fn collaborator_to_json(data: Collaborator) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.collaborator_to_json\nmidas/sdk/dnsimple/schema collaborator_to_json","url":"midas/sdk/dnsimple/schema.html#collaborator_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"contact_decoder","content":"pub fn contact_decoder() -&gt; Decoder(Contact)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.contact_decoder\nmidas/sdk/dnsimple/schema contact_decoder","url":"midas/sdk/dnsimple/schema.html#contact_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"contact_to_json","content":"pub fn contact_to_json(data: Contact) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.contact_to_json\nmidas/sdk/dnsimple/schema contact_to_json","url":"midas/sdk/dnsimple/schema.html#contact_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"delegation_signer_decoder","content":"pub fn delegation_signer_decoder() -&gt; Decoder(DelegationSigner)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.delegation_signer_decoder\nmidas/sdk/dnsimple/schema delegation_signer_decoder","url":"midas/sdk/dnsimple/schema.html#delegation_signer_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"delegation_signer_to_json","content":"pub fn delegation_signer_to_json(data: DelegationSigner) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.delegation_signer_to_json\nmidas/sdk/dnsimple/schema delegation_signer_to_json","url":"midas/sdk/dnsimple/schema.html#delegation_signer_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"dnssec_decoder","content":"pub fn dnssec_decoder() -&gt; Decoder(Dnssec)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.dnssec_decoder\nmidas/sdk/dnsimple/schema dnssec_decoder","url":"midas/sdk/dnsimple/schema.html#dnssec_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"dnssec_to_json","content":"pub fn dnssec_to_json(data: Dnssec) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.dnssec_to_json\nmidas/sdk/dnsimple/schema dnssec_to_json","url":"midas/sdk/dnsimple/schema.html#dnssec_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_check_result_decoder","content":"pub fn domain_check_result_decoder() -&gt; Decoder(DomainCheckResult)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_check_result_decoder\nmidas/sdk/dnsimple/schema domain_check_result_decoder","url":"midas/sdk/dnsimple/schema.html#domain_check_result_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_check_result_to_json","content":"pub fn domain_check_result_to_json(\n  data: DomainCheckResult,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_check_result_to_json\nmidas/sdk/dnsimple/schema domain_check_result_to_json","url":"midas/sdk/dnsimple/schema.html#domain_check_result_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_decoder","content":"pub fn domain_decoder() -&gt; Decoder(Domain)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_decoder\nmidas/sdk/dnsimple/schema domain_decoder","url":"midas/sdk/dnsimple/schema.html#domain_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_premium_price_decoder","content":"pub fn domain_premium_price_decoder() -&gt; Decoder(\n  DomainPremiumPrice,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_premium_price_decoder\nmidas/sdk/dnsimple/schema domain_premium_price_decoder","url":"midas/sdk/dnsimple/schema.html#domain_premium_price_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_premium_price_to_json","content":"pub fn domain_premium_price_to_json(\n  data: DomainPremiumPrice,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_premium_price_to_json\nmidas/sdk/dnsimple/schema domain_premium_price_to_json","url":"midas/sdk/dnsimple/schema.html#domain_premium_price_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_prices_decoder","content":"pub fn domain_prices_decoder() -&gt; Decoder(DomainPrices)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_prices_decoder\nmidas/sdk/dnsimple/schema domain_prices_decoder","url":"midas/sdk/dnsimple/schema.html#domain_prices_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_prices_to_json","content":"pub fn domain_prices_to_json(data: DomainPrices) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_prices_to_json\nmidas/sdk/dnsimple/schema domain_prices_to_json","url":"midas/sdk/dnsimple/schema.html#domain_prices_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_registration_decoder","content":"pub fn domain_registration_decoder() -&gt; Decoder(\n  DomainRegistration,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_registration_decoder\nmidas/sdk/dnsimple/schema domain_registration_decoder","url":"midas/sdk/dnsimple/schema.html#domain_registration_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_registration_to_json","content":"pub fn domain_registration_to_json(\n  data: DomainRegistration,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_registration_to_json\nmidas/sdk/dnsimple/schema domain_registration_to_json","url":"midas/sdk/dnsimple/schema.html#domain_registration_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_renewal_decoder","content":"pub fn domain_renewal_decoder() -&gt; Decoder(DomainRenewal)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_renewal_decoder\nmidas/sdk/dnsimple/schema domain_renewal_decoder","url":"midas/sdk/dnsimple/schema.html#domain_renewal_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_renewal_to_json","content":"pub fn domain_renewal_to_json(data: DomainRenewal) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_renewal_to_json\nmidas/sdk/dnsimple/schema domain_renewal_to_json","url":"midas/sdk/dnsimple/schema.html#domain_renewal_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_restore_decoder","content":"pub fn domain_restore_decoder() -&gt; Decoder(DomainRestore)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_restore_decoder\nmidas/sdk/dnsimple/schema domain_restore_decoder","url":"midas/sdk/dnsimple/schema.html#domain_restore_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_restore_to_json","content":"pub fn domain_restore_to_json(data: DomainRestore) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_restore_to_json\nmidas/sdk/dnsimple/schema domain_restore_to_json","url":"midas/sdk/dnsimple/schema.html#domain_restore_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_to_json","content":"pub fn domain_to_json(data: Domain) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_to_json\nmidas/sdk/dnsimple/schema domain_to_json","url":"midas/sdk/dnsimple/schema.html#domain_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_decoder","content":"pub fn domain_transfer_decoder() -&gt; Decoder(DomainTransfer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_decoder\nmidas/sdk/dnsimple/schema domain_transfer_decoder","url":"midas/sdk/dnsimple/schema.html#domain_transfer_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_lock_decoder","content":"pub fn domain_transfer_lock_decoder() -&gt; Decoder(\n  DomainTransferLock,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_lock_decoder\nmidas/sdk/dnsimple/schema domain_transfer_lock_decoder","url":"midas/sdk/dnsimple/schema.html#domain_transfer_lock_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_lock_to_json","content":"pub fn domain_transfer_lock_to_json(\n  data: DomainTransferLock,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_lock_to_json\nmidas/sdk/dnsimple/schema domain_transfer_lock_to_json","url":"midas/sdk/dnsimple/schema.html#domain_transfer_lock_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_to_json","content":"pub fn domain_transfer_to_json(data: DomainTransfer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_to_json\nmidas/sdk/dnsimple/schema domain_transfer_to_json","url":"midas/sdk/dnsimple/schema.html#domain_transfer_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"email_forward_decoder","content":"pub fn email_forward_decoder() -&gt; Decoder(EmailForward)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.email_forward_decoder\nmidas/sdk/dnsimple/schema email_forward_decoder","url":"midas/sdk/dnsimple/schema.html#email_forward_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"email_forward_to_json","content":"pub fn email_forward_to_json(data: EmailForward) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.email_forward_to_json\nmidas/sdk/dnsimple/schema email_forward_to_json","url":"midas/sdk/dnsimple/schema.html#email_forward_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"error_decoder","content":"pub fn error_decoder() -&gt; Decoder(Error)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.error_decoder\nmidas/sdk/dnsimple/schema error_decoder","url":"midas/sdk/dnsimple/schema.html#error_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"error_to_json","content":"pub fn error_to_json(data: Error) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.error_to_json\nmidas/sdk/dnsimple/schema error_to_json","url":"midas/sdk/dnsimple/schema.html#error_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_add_user_decoder","content":"pub fn event_account_add_user_decoder() -&gt; Decoder(\n  EventAccountAddUser,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_add_user_decoder\nmidas/sdk/dnsimple/schema event_account_add_user_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_add_user_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_add_user_to_json","content":"pub fn event_account_add_user_to_json(\n  data: EventAccountAddUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_add_user_to_json\nmidas/sdk/dnsimple/schema event_account_add_user_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_add_user_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_billing_settings_update_decoder","content":"pub fn event_account_billing_settings_update_decoder() -&gt; Decoder(\n  EventAccountBillingSettingsUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_billing_settings_update_decoder\nmidas/sdk/dnsimple/schema event_account_billing_settings_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_billing_settings_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_billing_settings_update_to_json","content":"pub fn event_account_billing_settings_update_to_json(\n  data: EventAccountBillingSettingsUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_billing_settings_update_to_json\nmidas/sdk/dnsimple/schema event_account_billing_settings_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_billing_settings_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_accept_decoder","content":"pub fn event_account_invitation_accept_decoder() -&gt; Decoder(\n  EventAccountInvitationAccept,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_accept_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_accept_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_accept_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_accept_to_json","content":"pub fn event_account_invitation_accept_to_json(\n  data: EventAccountInvitationAccept,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_accept_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_accept_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_accept_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_create_decoder","content":"pub fn event_account_invitation_create_decoder() -&gt; Decoder(\n  EventAccountInvitationCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_create_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_create_to_json","content":"pub fn event_account_invitation_create_to_json(\n  data: EventAccountInvitationCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_create_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_remove_decoder","content":"pub fn event_account_invitation_remove_decoder() -&gt; Decoder(\n  EventAccountInvitationRemove,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_remove_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_remove_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_remove_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_remove_to_json","content":"pub fn event_account_invitation_remove_to_json(\n  data: EventAccountInvitationRemove,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_remove_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_remove_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_remove_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_resend_decoder","content":"pub fn event_account_invitation_resend_decoder() -&gt; Decoder(\n  EventAccountInvitationResend,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_resend_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_resend_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_resend_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_resend_to_json","content":"pub fn event_account_invitation_resend_to_json(\n  data: EventAccountInvitationResend,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_resend_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_resend_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_resend_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_payment_details_update_decoder","content":"pub fn event_account_payment_details_update_decoder() -&gt; Decoder(\n  EventAccountPaymentDetailsUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_payment_details_update_decoder\nmidas/sdk/dnsimple/schema event_account_payment_details_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_payment_details_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_payment_details_update_to_json","content":"pub fn event_account_payment_details_update_to_json(\n  data: EventAccountPaymentDetailsUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_payment_details_update_to_json\nmidas/sdk/dnsimple/schema event_account_payment_details_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_payment_details_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_remove_user_decoder","content":"pub fn event_account_remove_user_decoder() -&gt; Decoder(\n  EventAccountRemoveUser,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_remove_user_decoder\nmidas/sdk/dnsimple/schema event_account_remove_user_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_remove_user_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_remove_user_to_json","content":"pub fn event_account_remove_user_to_json(\n  data: EventAccountRemoveUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_remove_user_to_json\nmidas/sdk/dnsimple/schema event_account_remove_user_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_remove_user_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_update_decoder","content":"pub fn event_account_update_decoder() -&gt; Decoder(\n  EventAccountUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_update_decoder\nmidas/sdk/dnsimple/schema event_account_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_update_to_json","content":"pub fn event_account_update_to_json(\n  data: EventAccountUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_update_to_json\nmidas/sdk/dnsimple/schema event_account_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_disable_decoder","content":"pub fn event_certificate_auto_renewal_disable_decoder() -&gt; Decoder(\n  EventCertificateAutoRenewalDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_disable_decoder\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_disable_to_json","content":"pub fn event_certificate_auto_renewal_disable_to_json(\n  data: EventCertificateAutoRenewalDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_disable_to_json\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_enable_decoder","content":"pub fn event_certificate_auto_renewal_enable_decoder() -&gt; Decoder(\n  EventCertificateAutoRenewalEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_enable_decoder\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_enable_to_json","content":"pub fn event_certificate_auto_renewal_enable_to_json(\n  data: EventCertificateAutoRenewalEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_enable_to_json\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_failed_decoder","content":"pub fn event_certificate_auto_renewal_failed_decoder() -&gt; Decoder(\n  EventCertificateAutoRenewalFailed,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_failed_decoder\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_failed_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_failed_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_failed_to_json","content":"pub fn event_certificate_auto_renewal_failed_to_json(\n  data: EventCertificateAutoRenewalFailed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_failed_to_json\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_failed_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_failed_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_issue_decoder","content":"pub fn event_certificate_issue_decoder() -&gt; Decoder(\n  EventCertificateIssue,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_issue_decoder\nmidas/sdk/dnsimple/schema event_certificate_issue_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_issue_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_issue_to_json","content":"pub fn event_certificate_issue_to_json(\n  data: EventCertificateIssue,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_issue_to_json\nmidas/sdk/dnsimple/schema event_certificate_issue_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_issue_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_reissue_decoder","content":"pub fn event_certificate_reissue_decoder() -&gt; Decoder(\n  EventCertificateReissue,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_reissue_decoder\nmidas/sdk/dnsimple/schema event_certificate_reissue_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_reissue_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_reissue_to_json","content":"pub fn event_certificate_reissue_to_json(\n  data: EventCertificateReissue,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_reissue_to_json\nmidas/sdk/dnsimple/schema event_certificate_reissue_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_reissue_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_remove_private_key_decoder","content":"pub fn event_certificate_remove_private_key_decoder() -&gt; Decoder(\n  EventCertificateRemovePrivateKey,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_remove_private_key_decoder\nmidas/sdk/dnsimple/schema event_certificate_remove_private_key_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_remove_private_key_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_remove_private_key_to_json","content":"pub fn event_certificate_remove_private_key_to_json(\n  data: EventCertificateRemovePrivateKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_remove_private_key_to_json\nmidas/sdk/dnsimple/schema event_certificate_remove_private_key_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_remove_private_key_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_create_decoder","content":"pub fn event_contact_create_decoder() -&gt; Decoder(\n  EventContactCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_create_decoder\nmidas/sdk/dnsimple/schema event_contact_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_contact_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_create_to_json","content":"pub fn event_contact_create_to_json(\n  data: EventContactCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_create_to_json\nmidas/sdk/dnsimple/schema event_contact_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_contact_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_delete_decoder","content":"pub fn event_contact_delete_decoder() -&gt; Decoder(\n  EventContactDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_delete_decoder\nmidas/sdk/dnsimple/schema event_contact_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_contact_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_delete_to_json","content":"pub fn event_contact_delete_to_json(\n  data: EventContactDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_delete_to_json\nmidas/sdk/dnsimple/schema event_contact_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_contact_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_update_decoder","content":"pub fn event_contact_update_decoder() -&gt; Decoder(\n  EventContactUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_update_decoder\nmidas/sdk/dnsimple/schema event_contact_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_contact_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_update_to_json","content":"pub fn event_contact_update_to_json(\n  data: EventContactUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_update_to_json\nmidas/sdk/dnsimple/schema event_contact_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_contact_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnsseccreate_decoder","content":"pub fn event_dnsseccreate_decoder() -&gt; Decoder(EventDnsseccreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnsseccreate_decoder\nmidas/sdk/dnsimple/schema event_dnsseccreate_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnsseccreate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnsseccreate_to_json","content":"pub fn event_dnsseccreate_to_json(\n  data: EventDnsseccreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnsseccreate_to_json\nmidas/sdk/dnsimple/schema event_dnsseccreate_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnsseccreate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecdelete_decoder","content":"pub fn event_dnssecdelete_decoder() -&gt; Decoder(EventDnssecdelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecdelete_decoder\nmidas/sdk/dnsimple/schema event_dnssecdelete_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnssecdelete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecdelete_to_json","content":"pub fn event_dnssecdelete_to_json(\n  data: EventDnssecdelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecdelete_to_json\nmidas/sdk/dnsimple/schema event_dnssecdelete_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnssecdelete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_complete_decoder","content":"pub fn event_dnssecrotation_complete_decoder() -&gt; Decoder(\n  EventDnssecrotationComplete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_complete_decoder\nmidas/sdk/dnsimple/schema event_dnssecrotation_complete_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_complete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_complete_to_json","content":"pub fn event_dnssecrotation_complete_to_json(\n  data: EventDnssecrotationComplete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_complete_to_json\nmidas/sdk/dnsimple/schema event_dnssecrotation_complete_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_complete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_start_decoder","content":"pub fn event_dnssecrotation_start_decoder() -&gt; Decoder(\n  EventDnssecrotationStart,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_start_decoder\nmidas/sdk/dnsimple/schema event_dnssecrotation_start_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_start_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_start_to_json","content":"pub fn event_dnssecrotation_start_to_json(\n  data: EventDnssecrotationStart,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_start_to_json\nmidas/sdk/dnsimple/schema event_dnssecrotation_start_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_start_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_disable_decoder","content":"pub fn event_domain_auto_renewal_disable_decoder() -&gt; Decoder(\n  EventDomainAutoRenewalDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_disable_decoder\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_disable_to_json","content":"pub fn event_domain_auto_renewal_disable_to_json(\n  data: EventDomainAutoRenewalDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_disable_to_json\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_enable_decoder","content":"pub fn event_domain_auto_renewal_enable_decoder() -&gt; Decoder(\n  EventDomainAutoRenewalEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_enable_decoder\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_enable_to_json","content":"pub fn event_domain_auto_renewal_enable_to_json(\n  data: EventDomainAutoRenewalEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_enable_to_json\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_create_decoder","content":"pub fn event_domain_create_decoder() -&gt; Decoder(EventDomainCreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_create_decoder\nmidas/sdk/dnsimple/schema event_domain_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_create_to_json","content":"pub fn event_domain_create_to_json(\n  data: EventDomainCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_create_to_json\nmidas/sdk/dnsimple/schema event_domain_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delegation_change_decoder","content":"pub fn event_domain_delegation_change_decoder() -&gt; Decoder(\n  EventDomainDelegationChange,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delegation_change_decoder\nmidas/sdk/dnsimple/schema event_domain_delegation_change_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_delegation_change_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delegation_change_to_json","content":"pub fn event_domain_delegation_change_to_json(\n  data: EventDomainDelegationChange,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delegation_change_to_json\nmidas/sdk/dnsimple/schema event_domain_delegation_change_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_delegation_change_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delete_decoder","content":"pub fn event_domain_delete_decoder() -&gt; Decoder(EventDomainDelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delete_decoder\nmidas/sdk/dnsimple/schema event_domain_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delete_to_json","content":"pub fn event_domain_delete_to_json(\n  data: EventDomainDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delete_to_json\nmidas/sdk/dnsimple/schema event_domain_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_cancelled_decoder","content":"pub fn event_domain_register_cancelled_decoder() -&gt; Decoder(\n  EventDomainRegisterCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_register_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_register_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_cancelled_to_json","content":"pub fn event_domain_register_cancelled_to_json(\n  data: EventDomainRegisterCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_register_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_register_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_decoder","content":"pub fn event_domain_register_decoder() -&gt; Decoder(\n  EventDomainRegister,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_decoder\nmidas/sdk/dnsimple/schema event_domain_register_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_register_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_started_decoder","content":"pub fn event_domain_register_started_decoder() -&gt; Decoder(\n  EventDomainRegisterStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_started_decoder\nmidas/sdk/dnsimple/schema event_domain_register_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_register_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_started_to_json","content":"pub fn event_domain_register_started_to_json(\n  data: EventDomainRegisterStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_started_to_json\nmidas/sdk/dnsimple/schema event_domain_register_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_register_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_to_json","content":"pub fn event_domain_register_to_json(\n  data: EventDomainRegister,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_to_json\nmidas/sdk/dnsimple/schema event_domain_register_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_register_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_cancelled_decoder","content":"pub fn event_domain_registrant_change_cancelled_decoder() -&gt; Decoder(\n  EventDomainRegistrantChangeCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_registrant_change_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_cancelled_to_json","content":"pub fn event_domain_registrant_change_cancelled_to_json(\n  data: EventDomainRegistrantChangeCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_registrant_change_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_decoder","content":"pub fn event_domain_registrant_change_decoder() -&gt; Decoder(\n  EventDomainRegistrantChange,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_decoder\nmidas/sdk/dnsimple/schema event_domain_registrant_change_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_started_decoder","content":"pub fn event_domain_registrant_change_started_decoder() -&gt; Decoder(\n  EventDomainRegistrantChangeStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_started_decoder\nmidas/sdk/dnsimple/schema event_domain_registrant_change_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_started_to_json","content":"pub fn event_domain_registrant_change_started_to_json(\n  data: EventDomainRegistrantChangeStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_started_to_json\nmidas/sdk/dnsimple/schema event_domain_registrant_change_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_to_json","content":"pub fn event_domain_registrant_change_to_json(\n  data: EventDomainRegistrantChange,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_to_json\nmidas/sdk/dnsimple/schema event_domain_registrant_change_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_cancelled_decoder","content":"pub fn event_domain_renew_cancelled_decoder() -&gt; Decoder(\n  EventDomainRenewCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_renew_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_cancelled_to_json","content":"pub fn event_domain_renew_cancelled_to_json(\n  data: EventDomainRenewCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_renew_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_decoder","content":"pub fn event_domain_renew_decoder() -&gt; Decoder(EventDomainRenew)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_decoder\nmidas/sdk/dnsimple/schema event_domain_renew_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_started_decoder","content":"pub fn event_domain_renew_started_decoder() -&gt; Decoder(\n  EventDomainRenewStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_started_decoder\nmidas/sdk/dnsimple/schema event_domain_renew_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_started_to_json","content":"pub fn event_domain_renew_started_to_json(\n  data: EventDomainRenewStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_started_to_json\nmidas/sdk/dnsimple/schema event_domain_renew_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_to_json","content":"pub fn event_domain_renew_to_json(data: EventDomainRenew) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_to_json\nmidas/sdk/dnsimple/schema event_domain_renew_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_disable_decoder","content":"pub fn event_domain_resolution_disable_decoder() -&gt; Decoder(\n  EventDomainResolutionDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_disable_decoder\nmidas/sdk/dnsimple/schema event_domain_resolution_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_disable_to_json","content":"pub fn event_domain_resolution_disable_to_json(\n  data: EventDomainResolutionDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_disable_to_json\nmidas/sdk/dnsimple/schema event_domain_resolution_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_enable_decoder","content":"pub fn event_domain_resolution_enable_decoder() -&gt; Decoder(\n  EventDomainResolutionEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_enable_decoder\nmidas/sdk/dnsimple/schema event_domain_resolution_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_enable_to_json","content":"pub fn event_domain_resolution_enable_to_json(\n  data: EventDomainResolutionEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_enable_to_json\nmidas/sdk/dnsimple/schema event_domain_resolution_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_cancelled_decoder","content":"pub fn event_domain_restore_cancelled_decoder() -&gt; Decoder(\n  EventDomainRestoreCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_restore_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_cancelled_to_json","content":"pub fn event_domain_restore_cancelled_to_json(\n  data: EventDomainRestoreCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_restore_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_decoder","content":"pub fn event_domain_restore_decoder() -&gt; Decoder(\n  EventDomainRestore,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_decoder\nmidas/sdk/dnsimple/schema event_domain_restore_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_started_decoder","content":"pub fn event_domain_restore_started_decoder() -&gt; Decoder(\n  EventDomainRestoreStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_started_decoder\nmidas/sdk/dnsimple/schema event_domain_restore_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_started_to_json","content":"pub fn event_domain_restore_started_to_json(\n  data: EventDomainRestoreStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_started_to_json\nmidas/sdk/dnsimple/schema event_domain_restore_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_to_json","content":"pub fn event_domain_restore_to_json(\n  data: EventDomainRestore,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_to_json\nmidas/sdk/dnsimple/schema event_domain_restore_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_cancelled_decoder","content":"pub fn event_domain_transfer_cancelled_decoder() -&gt; Decoder(\n  EventDomainTransferCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_cancelled_to_json","content":"pub fn event_domain_transfer_cancelled_to_json(\n  data: EventDomainTransferCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_decoder","content":"pub fn event_domain_transfer_decoder() -&gt; Decoder(\n  EventDomainTransfer,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_disable_decoder","content":"pub fn event_domain_transfer_lock_disable_decoder() -&gt; Decoder(\n  EventDomainTransferLockDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_disable_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_disable_to_json","content":"pub fn event_domain_transfer_lock_disable_to_json(\n  data: EventDomainTransferLockDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_disable_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_enable_decoder","content":"pub fn event_domain_transfer_lock_enable_decoder() -&gt; Decoder(\n  EventDomainTransferLockEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_enable_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_enable_to_json","content":"pub fn event_domain_transfer_lock_enable_to_json(\n  data: EventDomainTransferLockEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_enable_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_started_decoder","content":"pub fn event_domain_transfer_started_decoder() -&gt; Decoder(\n  EventDomainTransferStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_started_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_started_to_json","content":"pub fn event_domain_transfer_started_to_json(\n  data: EventDomainTransferStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_started_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_to_json","content":"pub fn event_domain_transfer_to_json(\n  data: EventDomainTransfer,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_create_decoder","content":"pub fn event_email_forward_create_decoder() -&gt; Decoder(\n  EventEmailForwardCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_create_decoder\nmidas/sdk/dnsimple/schema event_email_forward_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_email_forward_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_create_to_json","content":"pub fn event_email_forward_create_to_json(\n  data: EventEmailForwardCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_create_to_json\nmidas/sdk/dnsimple/schema event_email_forward_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_email_forward_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_delete_decoder","content":"pub fn event_email_forward_delete_decoder() -&gt; Decoder(\n  EventEmailForwardDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_delete_decoder\nmidas/sdk/dnsimple/schema event_email_forward_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_email_forward_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_delete_to_json","content":"pub fn event_email_forward_delete_to_json(\n  data: EventEmailForwardDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_delete_to_json\nmidas/sdk/dnsimple/schema event_email_forward_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_email_forward_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_update_decoder","content":"pub fn event_email_forward_update_decoder() -&gt; Decoder(\n  EventEmailForwardUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_update_decoder\nmidas/sdk/dnsimple/schema event_email_forward_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_email_forward_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_update_to_json","content":"pub fn event_email_forward_update_to_json(\n  data: EventEmailForwardUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_update_to_json\nmidas/sdk/dnsimple/schema event_email_forward_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_email_forward_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_invoice_collect_decoder","content":"pub fn event_invoice_collect_decoder() -&gt; Decoder(\n  EventInvoiceCollect,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_invoice_collect_decoder\nmidas/sdk/dnsimple/schema event_invoice_collect_decoder","url":"midas/sdk/dnsimple/schema.html#event_invoice_collect_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_invoice_collect_to_json","content":"pub fn event_invoice_collect_to_json(\n  data: EventInvoiceCollect,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_invoice_collect_to_json\nmidas/sdk/dnsimple/schema event_invoice_collect_to_json","url":"midas/sdk/dnsimple/schema.html#event_invoice_collect_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_deregister_decoder","content":"pub fn event_name_server_deregister_decoder() -&gt; Decoder(\n  EventNameServerDeregister,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_deregister_decoder\nmidas/sdk/dnsimple/schema event_name_server_deregister_decoder","url":"midas/sdk/dnsimple/schema.html#event_name_server_deregister_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_deregister_to_json","content":"pub fn event_name_server_deregister_to_json(\n  data: EventNameServerDeregister,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_deregister_to_json\nmidas/sdk/dnsimple/schema event_name_server_deregister_to_json","url":"midas/sdk/dnsimple/schema.html#event_name_server_deregister_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_register_decoder","content":"pub fn event_name_server_register_decoder() -&gt; Decoder(\n  EventNameServerRegister,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_register_decoder\nmidas/sdk/dnsimple/schema event_name_server_register_decoder","url":"midas/sdk/dnsimple/schema.html#event_name_server_register_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_register_to_json","content":"pub fn event_name_server_register_to_json(\n  data: EventNameServerRegister,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_register_to_json\nmidas/sdk/dnsimple/schema event_name_server_register_to_json","url":"midas/sdk/dnsimple/schema.html#event_name_server_register_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_create_decoder","content":"pub fn event_oauth_application_create_decoder() -&gt; Decoder(\n  EventOauthApplicationCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_create_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_create_to_json","content":"pub fn event_oauth_application_create_to_json(\n  data: EventOauthApplicationCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_create_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_delete_decoder","content":"pub fn event_oauth_application_delete_decoder() -&gt; Decoder(\n  EventOauthApplicationDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_delete_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_delete_to_json","content":"pub fn event_oauth_application_delete_to_json(\n  data: EventOauthApplicationDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_delete_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_reset_client_secret_decoder","content":"pub fn event_oauth_application_reset_client_secret_decoder() -&gt; Decoder(\n  EventOauthApplicationResetClientSecret,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_reset_client_secret_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_reset_client_secret_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_reset_client_secret_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_reset_client_secret_to_json","content":"pub fn event_oauth_application_reset_client_secret_to_json(\n  data: EventOauthApplicationResetClientSecret,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_reset_client_secret_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_reset_client_secret_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_reset_client_secret_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_revoke_access_tokens_decoder","content":"pub fn event_oauth_application_revoke_access_tokens_decoder() -&gt; Decoder(\n  EventOauthApplicationRevokeAccessTokens,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_revoke_access_tokens_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_revoke_access_tokens_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_revoke_access_tokens_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_revoke_access_tokens_to_json","content":"pub fn event_oauth_application_revoke_access_tokens_to_json(\n  data: EventOauthApplicationRevokeAccessTokens,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_revoke_access_tokens_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_revoke_access_tokens_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_revoke_access_tokens_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_update_decoder","content":"pub fn event_oauth_application_update_decoder() -&gt; Decoder(\n  EventOauthApplicationUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_update_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_update_to_json","content":"pub fn event_oauth_application_update_to_json(\n  data: EventOauthApplicationUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_update_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_accept_decoder","content":"pub fn event_push_accept_decoder() -&gt; Decoder(EventPushAccept)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_accept_decoder\nmidas/sdk/dnsimple/schema event_push_accept_decoder","url":"midas/sdk/dnsimple/schema.html#event_push_accept_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_accept_to_json","content":"pub fn event_push_accept_to_json(data: EventPushAccept) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_accept_to_json\nmidas/sdk/dnsimple/schema event_push_accept_to_json","url":"midas/sdk/dnsimple/schema.html#event_push_accept_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_initiate_decoder","content":"pub fn event_push_initiate_decoder() -&gt; Decoder(EventPushInitiate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_initiate_decoder\nmidas/sdk/dnsimple/schema event_push_initiate_decoder","url":"midas/sdk/dnsimple/schema.html#event_push_initiate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_initiate_to_json","content":"pub fn event_push_initiate_to_json(\n  data: EventPushInitiate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_initiate_to_json\nmidas/sdk/dnsimple/schema event_push_initiate_to_json","url":"midas/sdk/dnsimple/schema.html#event_push_initiate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_reject_decoder","content":"pub fn event_push_reject_decoder() -&gt; Decoder(EventPushReject)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_reject_decoder\nmidas/sdk/dnsimple/schema event_push_reject_decoder","url":"midas/sdk/dnsimple/schema.html#event_push_reject_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_reject_to_json","content":"pub fn event_push_reject_to_json(data: EventPushReject) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_reject_to_json\nmidas/sdk/dnsimple/schema event_push_reject_to_json","url":"midas/sdk/dnsimple/schema.html#event_push_reject_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_create_decoder","content":"pub fn event_record_create_decoder() -&gt; Decoder(EventRecordCreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_create_decoder\nmidas/sdk/dnsimple/schema event_record_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_record_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_create_to_json","content":"pub fn event_record_create_to_json(\n  data: EventRecordCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_create_to_json\nmidas/sdk/dnsimple/schema event_record_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_record_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_delete_decoder","content":"pub fn event_record_delete_decoder() -&gt; Decoder(EventRecordDelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_delete_decoder\nmidas/sdk/dnsimple/schema event_record_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_record_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_delete_to_json","content":"pub fn event_record_delete_to_json(\n  data: EventRecordDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_delete_to_json\nmidas/sdk/dnsimple/schema event_record_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_record_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_update_decoder","content":"pub fn event_record_update_decoder() -&gt; Decoder(EventRecordUpdate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_update_decoder\nmidas/sdk/dnsimple/schema event_record_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_record_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_update_to_json","content":"pub fn event_record_update_to_json(\n  data: EventRecordUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_update_to_json\nmidas/sdk/dnsimple/schema event_record_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_record_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnscreate_decoder","content":"pub fn event_secondary_dnscreate_decoder() -&gt; Decoder(\n  EventSecondaryDnscreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnscreate_decoder\nmidas/sdk/dnsimple/schema event_secondary_dnscreate_decoder","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnscreate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnscreate_to_json","content":"pub fn event_secondary_dnscreate_to_json(\n  data: EventSecondaryDnscreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnscreate_to_json\nmidas/sdk/dnsimple/schema event_secondary_dnscreate_to_json","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnscreate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsdelete_decoder","content":"pub fn event_secondary_dnsdelete_decoder() -&gt; Decoder(\n  EventSecondaryDnsdelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsdelete_decoder\nmidas/sdk/dnsimple/schema event_secondary_dnsdelete_decoder","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsdelete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsdelete_to_json","content":"pub fn event_secondary_dnsdelete_to_json(\n  data: EventSecondaryDnsdelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsdelete_to_json\nmidas/sdk/dnsimple/schema event_secondary_dnsdelete_to_json","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsdelete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsupdate_decoder","content":"pub fn event_secondary_dnsupdate_decoder() -&gt; Decoder(\n  EventSecondaryDnsupdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsupdate_decoder\nmidas/sdk/dnsimple/schema event_secondary_dnsupdate_decoder","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsupdate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsupdate_to_json","content":"pub fn event_secondary_dnsupdate_to_json(\n  data: EventSecondaryDnsupdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsupdate_to_json\nmidas/sdk/dnsimple/schema event_secondary_dnsupdate_to_json","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsupdate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_migrate_decoder","content":"pub fn event_subscription_migrate_decoder() -&gt; Decoder(\n  EventSubscriptionMigrate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_migrate_decoder\nmidas/sdk/dnsimple/schema event_subscription_migrate_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_migrate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_migrate_to_json","content":"pub fn event_subscription_migrate_to_json(\n  data: EventSubscriptionMigrate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_migrate_to_json\nmidas/sdk/dnsimple/schema event_subscription_migrate_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_migrate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_renew_decoder","content":"pub fn event_subscription_renew_decoder() -&gt; Decoder(\n  EventSubscriptionRenew,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_renew_decoder\nmidas/sdk/dnsimple/schema event_subscription_renew_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_renew_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_renew_to_json","content":"pub fn event_subscription_renew_to_json(\n  data: EventSubscriptionRenew,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_renew_to_json\nmidas/sdk/dnsimple/schema event_subscription_renew_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_renew_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_subscribe_decoder","content":"pub fn event_subscription_subscribe_decoder() -&gt; Decoder(\n  EventSubscriptionSubscribe,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_subscribe_decoder\nmidas/sdk/dnsimple/schema event_subscription_subscribe_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_subscribe_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_subscribe_to_json","content":"pub fn event_subscription_subscribe_to_json(\n  data: EventSubscriptionSubscribe,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_subscribe_to_json\nmidas/sdk/dnsimple/schema event_subscription_subscribe_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_subscribe_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_unsubscribe_decoder","content":"pub fn event_subscription_unsubscribe_decoder() -&gt; Decoder(\n  EventSubscriptionUnsubscribe,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_unsubscribe_decoder\nmidas/sdk/dnsimple/schema event_subscription_unsubscribe_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_unsubscribe_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_unsubscribe_to_json","content":"pub fn event_subscription_unsubscribe_to_json(\n  data: EventSubscriptionUnsubscribe,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_unsubscribe_to_json\nmidas/sdk/dnsimple/schema event_subscription_unsubscribe_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_unsubscribe_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_apply_decoder","content":"pub fn event_template_apply_decoder() -&gt; Decoder(\n  EventTemplateApply,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_apply_decoder\nmidas/sdk/dnsimple/schema event_template_apply_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_apply_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_apply_to_json","content":"pub fn event_template_apply_to_json(\n  data: EventTemplateApply,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_apply_to_json\nmidas/sdk/dnsimple/schema event_template_apply_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_apply_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_create_decoder","content":"pub fn event_template_create_decoder() -&gt; Decoder(\n  EventTemplateCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_create_decoder\nmidas/sdk/dnsimple/schema event_template_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_create_to_json","content":"pub fn event_template_create_to_json(\n  data: EventTemplateCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_create_to_json\nmidas/sdk/dnsimple/schema event_template_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_delete_decoder","content":"pub fn event_template_delete_decoder() -&gt; Decoder(\n  EventTemplateDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_delete_decoder\nmidas/sdk/dnsimple/schema event_template_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_delete_to_json","content":"pub fn event_template_delete_to_json(\n  data: EventTemplateDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_delete_to_json\nmidas/sdk/dnsimple/schema event_template_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_create_decoder","content":"pub fn event_template_record_create_decoder() -&gt; Decoder(\n  EventTemplateRecordCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_create_decoder\nmidas/sdk/dnsimple/schema event_template_record_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_record_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_create_to_json","content":"pub fn event_template_record_create_to_json(\n  data: EventTemplateRecordCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_create_to_json\nmidas/sdk/dnsimple/schema event_template_record_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_record_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_delete_decoder","content":"pub fn event_template_record_delete_decoder() -&gt; Decoder(\n  EventTemplateRecordDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_delete_decoder\nmidas/sdk/dnsimple/schema event_template_record_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_record_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_delete_to_json","content":"pub fn event_template_record_delete_to_json(\n  data: EventTemplateRecordDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_delete_to_json\nmidas/sdk/dnsimple/schema event_template_record_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_record_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_update_decoder","content":"pub fn event_template_update_decoder() -&gt; Decoder(\n  EventTemplateUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_update_decoder\nmidas/sdk/dnsimple/schema event_template_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_update_to_json","content":"pub fn event_template_update_to_json(\n  data: EventTemplateUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_update_to_json\nmidas/sdk/dnsimple/schema event_template_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_disable_decoder","content":"pub fn event_vanity_disable_decoder() -&gt; Decoder(\n  EventVanityDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_disable_decoder\nmidas/sdk/dnsimple/schema event_vanity_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_vanity_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_disable_to_json","content":"pub fn event_vanity_disable_to_json(\n  data: EventVanityDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_disable_to_json\nmidas/sdk/dnsimple/schema event_vanity_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_vanity_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_enable_decoder","content":"pub fn event_vanity_enable_decoder() -&gt; Decoder(EventVanityEnable)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_enable_decoder\nmidas/sdk/dnsimple/schema event_vanity_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_vanity_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_enable_to_json","content":"pub fn event_vanity_enable_to_json(\n  data: EventVanityEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_enable_to_json\nmidas/sdk/dnsimple/schema event_vanity_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_vanity_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_create_decoder","content":"pub fn event_webhook_create_decoder() -&gt; Decoder(\n  EventWebhookCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_create_decoder\nmidas/sdk/dnsimple/schema event_webhook_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_webhook_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_create_to_json","content":"pub fn event_webhook_create_to_json(\n  data: EventWebhookCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_create_to_json\nmidas/sdk/dnsimple/schema event_webhook_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_webhook_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_delete_decoder","content":"pub fn event_webhook_delete_decoder() -&gt; Decoder(\n  EventWebhookDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_delete_decoder\nmidas/sdk/dnsimple/schema event_webhook_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_webhook_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_delete_to_json","content":"pub fn event_webhook_delete_to_json(\n  data: EventWebhookDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_delete_to_json\nmidas/sdk/dnsimple/schema event_webhook_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_webhook_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_disable_decoder","content":"pub fn event_whois_privacy_disable_decoder() -&gt; Decoder(\n  EventWhoisPrivacyDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_disable_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_disable_to_json","content":"pub fn event_whois_privacy_disable_to_json(\n  data: EventWhoisPrivacyDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_disable_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_enable_decoder","content":"pub fn event_whois_privacy_enable_decoder() -&gt; Decoder(\n  EventWhoisPrivacyEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_enable_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_enable_to_json","content":"pub fn event_whois_privacy_enable_to_json(\n  data: EventWhoisPrivacyEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_enable_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_purchase_decoder","content":"pub fn event_whois_privacy_purchase_decoder() -&gt; Decoder(\n  EventWhoisPrivacyPurchase,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_purchase_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_purchase_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_purchase_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_purchase_to_json","content":"pub fn event_whois_privacy_purchase_to_json(\n  data: EventWhoisPrivacyPurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_purchase_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_purchase_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_purchase_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_renew_decoder","content":"pub fn event_whois_privacy_renew_decoder() -&gt; Decoder(\n  EventWhoisPrivacyRenew,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_renew_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_renew_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_renew_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_renew_to_json","content":"pub fn event_whois_privacy_renew_to_json(\n  data: EventWhoisPrivacyRenew,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_renew_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_renew_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_renew_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_create_decoder","content":"pub fn event_zone_create_decoder() -&gt; Decoder(EventZoneCreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_create_decoder\nmidas/sdk/dnsimple/schema event_zone_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_zone_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_create_to_json","content":"pub fn event_zone_create_to_json(data: EventZoneCreate) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_create_to_json\nmidas/sdk/dnsimple/schema event_zone_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_zone_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_delete_decoder","content":"pub fn event_zone_delete_decoder() -&gt; Decoder(EventZoneDelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_delete_decoder\nmidas/sdk/dnsimple/schema event_zone_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_zone_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_delete_to_json","content":"pub fn event_zone_delete_to_json(data: EventZoneDelete) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_delete_to_json\nmidas/sdk/dnsimple/schema event_zone_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_zone_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_decoder","content":"pub fn extended_attribute_decoder() -&gt; Decoder(ExtendedAttribute)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_decoder\nmidas/sdk/dnsimple/schema extended_attribute_decoder","url":"midas/sdk/dnsimple/schema.html#extended_attribute_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_option_decoder","content":"pub fn extended_attribute_option_decoder() -&gt; Decoder(\n  ExtendedAttributeOption,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_option_decoder\nmidas/sdk/dnsimple/schema extended_attribute_option_decoder","url":"midas/sdk/dnsimple/schema.html#extended_attribute_option_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_option_to_json","content":"pub fn extended_attribute_option_to_json(\n  data: ExtendedAttributeOption,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_option_to_json\nmidas/sdk/dnsimple/schema extended_attribute_option_to_json","url":"midas/sdk/dnsimple/schema.html#extended_attribute_option_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_to_json","content":"pub fn extended_attribute_to_json(\n  data: ExtendedAttribute,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_to_json\nmidas/sdk/dnsimple/schema extended_attribute_to_json","url":"midas/sdk/dnsimple/schema.html#extended_attribute_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"invoice_decoder","content":"pub fn invoice_decoder() -&gt; Decoder(Invoice)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.invoice_decoder\nmidas/sdk/dnsimple/schema invoice_decoder","url":"midas/sdk/dnsimple/schema.html#invoice_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"invoice_to_json","content":"pub fn invoice_to_json(data: Invoice) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.invoice_to_json\nmidas/sdk/dnsimple/schema invoice_to_json","url":"midas/sdk/dnsimple/schema.html#invoice_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_purchase_decoder","content":"pub fn letsencrypt_certificate_purchase_decoder() -&gt; Decoder(\n  LetsencryptCertificatePurchase,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_purchase_decoder\nmidas/sdk/dnsimple/schema letsencrypt_certificate_purchase_decoder","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_purchase_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_purchase_to_json","content":"pub fn letsencrypt_certificate_purchase_to_json(\n  data: LetsencryptCertificatePurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_purchase_to_json\nmidas/sdk/dnsimple/schema letsencrypt_certificate_purchase_to_json","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_purchase_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_renewal_decoder","content":"pub fn letsencrypt_certificate_renewal_decoder() -&gt; Decoder(\n  LetsencryptCertificateRenewal,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_renewal_decoder\nmidas/sdk/dnsimple/schema letsencrypt_certificate_renewal_decoder","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_renewal_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_renewal_to_json","content":"pub fn letsencrypt_certificate_renewal_to_json(\n  data: LetsencryptCertificateRenewal,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_renewal_to_json\nmidas/sdk/dnsimple/schema letsencrypt_certificate_renewal_to_json","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_renewal_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"name_server_decoder","content":"pub fn name_server_decoder() -&gt; Decoder(NameServer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.name_server_decoder\nmidas/sdk/dnsimple/schema name_server_decoder","url":"midas/sdk/dnsimple/schema.html#name_server_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"name_server_to_json","content":"pub fn name_server_to_json(data: NameServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.name_server_to_json\nmidas/sdk/dnsimple/schema name_server_to_json","url":"midas/sdk/dnsimple/schema.html#name_server_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"oauth_application_decoder","content":"pub fn oauth_application_decoder() -&gt; Decoder(OauthApplication)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.oauth_application_decoder\nmidas/sdk/dnsimple/schema oauth_application_decoder","url":"midas/sdk/dnsimple/schema.html#oauth_application_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"oauth_application_to_json","content":"pub fn oauth_application_to_json(data: OauthApplication) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.oauth_application_to_json\nmidas/sdk/dnsimple/schema oauth_application_to_json","url":"midas/sdk/dnsimple/schema.html#oauth_application_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"pagination_decoder","content":"pub fn pagination_decoder() -&gt; Decoder(Pagination)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.pagination_decoder\nmidas/sdk/dnsimple/schema pagination_decoder","url":"midas/sdk/dnsimple/schema.html#pagination_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"pagination_to_json","content":"pub fn pagination_to_json(data: Pagination) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.pagination_to_json\nmidas/sdk/dnsimple/schema pagination_to_json","url":"midas/sdk/dnsimple/schema.html#pagination_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"primary_server_decoder","content":"pub fn primary_server_decoder() -&gt; Decoder(PrimaryServer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.primary_server_decoder\nmidas/sdk/dnsimple/schema primary_server_decoder","url":"midas/sdk/dnsimple/schema.html#primary_server_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"primary_server_to_json","content":"pub fn primary_server_to_json(data: PrimaryServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.primary_server_to_json\nmidas/sdk/dnsimple/schema primary_server_to_json","url":"midas/sdk/dnsimple/schema.html#primary_server_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"push_decoder","content":"pub fn push_decoder() -&gt; Decoder(Push)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.push_decoder\nmidas/sdk/dnsimple/schema push_decoder","url":"midas/sdk/dnsimple/schema.html#push_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"push_to_json","content":"pub fn push_to_json(data: Push) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.push_to_json\nmidas/sdk/dnsimple/schema push_to_json","url":"midas/sdk/dnsimple/schema.html#push_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_check_decoder","content":"pub fn registrant_change_check_decoder() -&gt; Decoder(\n  RegistrantChangeCheck,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_check_decoder\nmidas/sdk/dnsimple/schema registrant_change_check_decoder","url":"midas/sdk/dnsimple/schema.html#registrant_change_check_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_check_to_json","content":"pub fn registrant_change_check_to_json(\n  data: RegistrantChangeCheck,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_check_to_json\nmidas/sdk/dnsimple/schema registrant_change_check_to_json","url":"midas/sdk/dnsimple/schema.html#registrant_change_check_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_decoder","content":"pub fn registrant_change_decoder() -&gt; Decoder(RegistrantChange)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_decoder\nmidas/sdk/dnsimple/schema registrant_change_decoder","url":"midas/sdk/dnsimple/schema.html#registrant_change_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_to_json","content":"pub fn registrant_change_to_json(data: RegistrantChange) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_to_json\nmidas/sdk/dnsimple/schema registrant_change_to_json","url":"midas/sdk/dnsimple/schema.html#registrant_change_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"secondary_dns_decoder","content":"pub fn secondary_dns_decoder() -&gt; Decoder(SecondaryDns)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.secondary_dns_decoder\nmidas/sdk/dnsimple/schema secondary_dns_decoder","url":"midas/sdk/dnsimple/schema.html#secondary_dns_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"secondary_dns_to_json","content":"pub fn secondary_dns_to_json(data: SecondaryDns) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.secondary_dns_to_json\nmidas/sdk/dnsimple/schema secondary_dns_to_json","url":"midas/sdk/dnsimple/schema.html#secondary_dns_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"service_decoder","content":"pub fn service_decoder() -&gt; Decoder(Service)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_decoder\nmidas/sdk/dnsimple/schema service_decoder","url":"midas/sdk/dnsimple/schema.html#service_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"service_setting_decoder","content":"pub fn service_setting_decoder() -&gt; Decoder(ServiceSetting)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_setting_decoder\nmidas/sdk/dnsimple/schema service_setting_decoder","url":"midas/sdk/dnsimple/schema.html#service_setting_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"service_setting_to_json","content":"pub fn service_setting_to_json(data: ServiceSetting) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_setting_to_json\nmidas/sdk/dnsimple/schema service_setting_to_json","url":"midas/sdk/dnsimple/schema.html#service_setting_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"service_to_json","content":"pub fn service_to_json(data: Service) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_to_json\nmidas/sdk/dnsimple/schema service_to_json","url":"midas/sdk/dnsimple/schema.html#service_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"subscription_decoder","content":"pub fn subscription_decoder() -&gt; Decoder(Subscription)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.subscription_decoder\nmidas/sdk/dnsimple/schema subscription_decoder","url":"midas/sdk/dnsimple/schema.html#subscription_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"subscription_to_json","content":"pub fn subscription_to_json(data: Subscription) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.subscription_to_json\nmidas/sdk/dnsimple/schema subscription_to_json","url":"midas/sdk/dnsimple/schema.html#subscription_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"template_decoder","content":"pub fn template_decoder() -&gt; Decoder(Template)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_decoder\nmidas/sdk/dnsimple/schema template_decoder","url":"midas/sdk/dnsimple/schema.html#template_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"template_record_decoder","content":"pub fn template_record_decoder() -&gt; Decoder(TemplateRecord)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_record_decoder\nmidas/sdk/dnsimple/schema template_record_decoder","url":"midas/sdk/dnsimple/schema.html#template_record_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"template_record_to_json","content":"pub fn template_record_to_json(data: TemplateRecord) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_record_to_json\nmidas/sdk/dnsimple/schema template_record_to_json","url":"midas/sdk/dnsimple/schema.html#template_record_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"template_to_json","content":"pub fn template_to_json(data: Template) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_to_json\nmidas/sdk/dnsimple/schema template_to_json","url":"midas/sdk/dnsimple/schema.html#template_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"tld_decoder","content":"pub fn tld_decoder() -&gt; Decoder(Tld)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.tld_decoder\nmidas/sdk/dnsimple/schema tld_decoder","url":"midas/sdk/dnsimple/schema.html#tld_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"tld_to_json","content":"pub fn tld_to_json(data: Tld) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.tld_to_json\nmidas/sdk/dnsimple/schema tld_to_json","url":"midas/sdk/dnsimple/schema.html#tld_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"trade_extended_attributes_decoder","content":"pub fn trade_extended_attributes_decoder() -&gt; Decoder(\n  TradeExtendedAttributes,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.trade_extended_attributes_decoder\nmidas/sdk/dnsimple/schema trade_extended_attributes_decoder","url":"midas/sdk/dnsimple/schema.html#trade_extended_attributes_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"trade_extended_attributes_to_json","content":"pub fn trade_extended_attributes_to_json(\n  data: TradeExtendedAttributes,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.trade_extended_attributes_to_json\nmidas/sdk/dnsimple/schema trade_extended_attributes_to_json","url":"midas/sdk/dnsimple/schema.html#trade_extended_attributes_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"user_decoder","content":"pub fn user_decoder() -&gt; Decoder(User)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.user_decoder\nmidas/sdk/dnsimple/schema user_decoder","url":"midas/sdk/dnsimple/schema.html#user_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"user_to_json","content":"pub fn user_to_json(data: User) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.user_to_json\nmidas/sdk/dnsimple/schema user_to_json","url":"midas/sdk/dnsimple/schema.html#user_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"vanity_name_server_decoder","content":"pub fn vanity_name_server_decoder() -&gt; Decoder(VanityNameServer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.vanity_name_server_decoder\nmidas/sdk/dnsimple/schema vanity_name_server_decoder","url":"midas/sdk/dnsimple/schema.html#vanity_name_server_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"vanity_name_server_to_json","content":"pub fn vanity_name_server_to_json(data: VanityNameServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.vanity_name_server_to_json\nmidas/sdk/dnsimple/schema vanity_name_server_to_json","url":"midas/sdk/dnsimple/schema.html#vanity_name_server_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_account_decoder","content":"pub fn webhook_account_decoder() -&gt; Decoder(WebhookAccount)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_account_decoder\nmidas/sdk/dnsimple/schema webhook_account_decoder","url":"midas/sdk/dnsimple/schema.html#webhook_account_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_account_to_json","content":"pub fn webhook_account_to_json(data: WebhookAccount) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_account_to_json\nmidas/sdk/dnsimple/schema webhook_account_to_json","url":"midas/sdk/dnsimple/schema.html#webhook_account_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_decoder","content":"pub fn webhook_decoder() -&gt; Decoder(Webhook)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_decoder\nmidas/sdk/dnsimple/schema webhook_decoder","url":"midas/sdk/dnsimple/schema.html#webhook_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_payload_decoder","content":"pub fn webhook_payload_decoder() -&gt; Decoder(WebhookPayload)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_payload_decoder\nmidas/sdk/dnsimple/schema webhook_payload_decoder","url":"midas/sdk/dnsimple/schema.html#webhook_payload_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_payload_to_json","content":"pub fn webhook_payload_to_json(data: WebhookPayload) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_payload_to_json\nmidas/sdk/dnsimple/schema webhook_payload_to_json","url":"midas/sdk/dnsimple/schema.html#webhook_payload_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_to_json","content":"pub fn webhook_to_json(data: Webhook) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_to_json\nmidas/sdk/dnsimple/schema webhook_to_json","url":"midas/sdk/dnsimple/schema.html#webhook_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_decoder","content":"pub fn whois_privacy_decoder() -&gt; Decoder(WhoisPrivacy)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_decoder\nmidas/sdk/dnsimple/schema whois_privacy_decoder","url":"midas/sdk/dnsimple/schema.html#whois_privacy_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_renewal_decoder","content":"pub fn whois_privacy_renewal_decoder() -&gt; Decoder(\n  WhoisPrivacyRenewal,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_renewal_decoder\nmidas/sdk/dnsimple/schema whois_privacy_renewal_decoder","url":"midas/sdk/dnsimple/schema.html#whois_privacy_renewal_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_renewal_to_json","content":"pub fn whois_privacy_renewal_to_json(\n  data: WhoisPrivacyRenewal,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_renewal_to_json\nmidas/sdk/dnsimple/schema whois_privacy_renewal_to_json","url":"midas/sdk/dnsimple/schema.html#whois_privacy_renewal_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_to_json","content":"pub fn whois_privacy_to_json(data: WhoisPrivacy) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_to_json\nmidas/sdk/dnsimple/schema whois_privacy_to_json","url":"midas/sdk/dnsimple/schema.html#whois_privacy_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_decoder","content":"pub fn zone_decoder() -&gt; Decoder(Zone)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_decoder\nmidas/sdk/dnsimple/schema zone_decoder","url":"midas/sdk/dnsimple/schema.html#zone_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_distribution_decoder","content":"pub fn zone_distribution_decoder() -&gt; Decoder(ZoneDistribution)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_distribution_decoder\nmidas/sdk/dnsimple/schema zone_distribution_decoder","url":"midas/sdk/dnsimple/schema.html#zone_distribution_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_distribution_to_json","content":"pub fn zone_distribution_to_json(data: ZoneDistribution) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_distribution_to_json\nmidas/sdk/dnsimple/schema zone_distribution_to_json","url":"midas/sdk/dnsimple/schema.html#zone_distribution_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_file_decoder","content":"pub fn zone_file_decoder() -&gt; Decoder(ZoneFile)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_file_decoder\nmidas/sdk/dnsimple/schema zone_file_decoder","url":"midas/sdk/dnsimple/schema.html#zone_file_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_file_to_json","content":"pub fn zone_file_to_json(data: ZoneFile) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_file_to_json\nmidas/sdk/dnsimple/schema zone_file_to_json","url":"midas/sdk/dnsimple/schema.html#zone_file_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_record_decoder","content":"pub fn zone_record_decoder() -&gt; Decoder(ZoneRecord)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_record_decoder\nmidas/sdk/dnsimple/schema zone_record_decoder","url":"midas/sdk/dnsimple/schema.html#zone_record_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_record_to_json","content":"pub fn zone_record_to_json(data: ZoneRecord) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_record_to_json\nmidas/sdk/dnsimple/schema zone_record_to_json","url":"midas/sdk/dnsimple/schema.html#zone_record_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_to_json","content":"pub fn zone_to_json(data: Zone) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_to_json\nmidas/sdk/dnsimple/schema zone_to_json","url":"midas/sdk/dnsimple/schema.html#zone_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"midas/sdk/dnsimple/schema","content":"","url":"midas/sdk/dnsimple/schema.html"},{"doc":"midas/sdk/dnsimple","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple.App\nmidas/sdk/dnsimple App","url":"midas/sdk/dnsimple.html#App"},{"doc":"midas/sdk/dnsimple","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/dnsimple.api_host\nmidas/sdk/dnsimple api_host","url":"midas/sdk/dnsimple.html#api_host"},{"doc":"midas/sdk/dnsimple","title":"accept_push","content":"pub fn accept_push(\n  token: String,\n  account: Int,\n  push: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.accept_push\nmidas/sdk/dnsimple accept_push","url":"midas/sdk/dnsimple.html#accept_push"},{"doc":"midas/sdk/dnsimple","title":"activate_zone_service","content":"pub fn activate_zone_service(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.activate_zone_service\nmidas/sdk/dnsimple activate_zone_service","url":"midas/sdk/dnsimple.html#activate_zone_service"},{"doc":"midas/sdk/dnsimple","title":"add_domain_collaborator","content":"pub fn add_domain_collaborator(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.add_domain_collaborator\nmidas/sdk/dnsimple add_domain_collaborator","url":"midas/sdk/dnsimple.html#add_domain_collaborator"},{"doc":"midas/sdk/dnsimple","title":"apply_service_to_domain","content":"pub fn apply_service_to_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  service: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.apply_service_to_domain\nmidas/sdk/dnsimple apply_service_to_domain","url":"midas/sdk/dnsimple.html#apply_service_to_domain"},{"doc":"midas/sdk/dnsimple","title":"apply_template_to_domain","content":"pub fn apply_template_to_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  template: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.apply_template_to_domain\nmidas/sdk/dnsimple apply_template_to_domain","url":"midas/sdk/dnsimple.html#apply_template_to_domain"},{"doc":"midas/sdk/dnsimple","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/dnsimple.auth_redirect\nmidas/sdk/dnsimple auth_redirect","url":"midas/sdk/dnsimple.html#auth_redirect"},{"doc":"midas/sdk/dnsimple","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(#(String, Int))\n\nSynonyms:\nmidas/sdk/dnsimple.authenticate\nmidas/sdk/dnsimple authenticate","url":"midas/sdk/dnsimple.html#authenticate"},{"doc":"midas/sdk/dnsimple","title":"authorize_domain_transfer_out","content":"pub fn authorize_domain_transfer_out(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.authorize_domain_transfer_out\nmidas/sdk/dnsimple authorize_domain_transfer_out","url":"midas/sdk/dnsimple.html#authorize_domain_transfer_out"},{"doc":"midas/sdk/dnsimple","title":"cancel_domain_transfer","content":"pub fn cancel_domain_transfer(\n  token: String,\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.cancel_domain_transfer\nmidas/sdk/dnsimple cancel_domain_transfer","url":"midas/sdk/dnsimple.html#cancel_domain_transfer"},{"doc":"midas/sdk/dnsimple","title":"change_domain_delegation","content":"pub fn change_domain_delegation(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.change_domain_delegation\nmidas/sdk/dnsimple change_domain_delegation","url":"midas/sdk/dnsimple.html#change_domain_delegation"},{"doc":"midas/sdk/dnsimple","title":"change_domain_delegation_from_vanity","content":"pub fn change_domain_delegation_from_vanity(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.change_domain_delegation_from_vanity\nmidas/sdk/dnsimple change_domain_delegation_from_vanity","url":"midas/sdk/dnsimple.html#change_domain_delegation_from_vanity"},{"doc":"midas/sdk/dnsimple","title":"change_domain_delegation_to_vanity","content":"pub fn change_domain_delegation_to_vanity(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.change_domain_delegation_to_vanity\nmidas/sdk/dnsimple change_domain_delegation_to_vanity","url":"midas/sdk/dnsimple.html#change_domain_delegation_to_vanity"},{"doc":"midas/sdk/dnsimple","title":"check_domain","content":"pub fn check_domain(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_domain\nmidas/sdk/dnsimple check_domain","url":"midas/sdk/dnsimple.html#check_domain"},{"doc":"midas/sdk/dnsimple","title":"check_registrant_change","content":"pub fn check_registrant_change(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_registrant_change\nmidas/sdk/dnsimple check_registrant_change","url":"midas/sdk/dnsimple.html#check_registrant_change"},{"doc":"midas/sdk/dnsimple","title":"check_zone_distribution","content":"pub fn check_zone_distribution(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_zone_distribution\nmidas/sdk/dnsimple check_zone_distribution","url":"midas/sdk/dnsimple.html#check_zone_distribution"},{"doc":"midas/sdk/dnsimple","title":"check_zone_record_distribution","content":"pub fn check_zone_record_distribution(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_zone_record_distribution\nmidas/sdk/dnsimple check_zone_record_distribution","url":"midas/sdk/dnsimple.html#check_zone_record_distribution"},{"doc":"midas/sdk/dnsimple","title":"create_contact","content":"pub fn create_contact(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_contact\nmidas/sdk/dnsimple create_contact","url":"midas/sdk/dnsimple.html#create_contact"},{"doc":"midas/sdk/dnsimple","title":"create_domain","content":"pub fn create_domain(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_domain\nmidas/sdk/dnsimple create_domain","url":"midas/sdk/dnsimple.html#create_domain"},{"doc":"midas/sdk/dnsimple","title":"create_domain_delegation_signer_record","content":"pub fn create_domain_delegation_signer_record(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_domain_delegation_signer_record\nmidas/sdk/dnsimple create_domain_delegation_signer_record","url":"midas/sdk/dnsimple.html#create_domain_delegation_signer_record"},{"doc":"midas/sdk/dnsimple","title":"create_email_forward","content":"pub fn create_email_forward(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_email_forward\nmidas/sdk/dnsimple create_email_forward","url":"midas/sdk/dnsimple.html#create_email_forward"},{"doc":"midas/sdk/dnsimple","title":"create_primary_server","content":"pub fn create_primary_server(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_primary_server\nmidas/sdk/dnsimple create_primary_server","url":"midas/sdk/dnsimple.html#create_primary_server"},{"doc":"midas/sdk/dnsimple","title":"create_registrant_change","content":"pub fn create_registrant_change(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_registrant_change\nmidas/sdk/dnsimple create_registrant_change","url":"midas/sdk/dnsimple.html#create_registrant_change"},{"doc":"midas/sdk/dnsimple","title":"create_secondary_zone","content":"pub fn create_secondary_zone(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_secondary_zone\nmidas/sdk/dnsimple create_secondary_zone","url":"midas/sdk/dnsimple.html#create_secondary_zone"},{"doc":"midas/sdk/dnsimple","title":"create_template","content":"pub fn create_template(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_template\nmidas/sdk/dnsimple create_template","url":"midas/sdk/dnsimple.html#create_template"},{"doc":"midas/sdk/dnsimple","title":"create_template_record","content":"pub fn create_template_record(\n  token: String,\n  account: Int,\n  template: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_template_record\nmidas/sdk/dnsimple create_template_record","url":"midas/sdk/dnsimple.html#create_template_record"},{"doc":"midas/sdk/dnsimple","title":"create_webhook","content":"pub fn create_webhook(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_webhook\nmidas/sdk/dnsimple create_webhook","url":"midas/sdk/dnsimple.html#create_webhook"},{"doc":"midas/sdk/dnsimple","title":"create_zone_record","content":"pub fn create_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_zone_record\nmidas/sdk/dnsimple create_zone_record","url":"midas/sdk/dnsimple.html#create_zone_record"},{"doc":"midas/sdk/dnsimple","title":"deactivate_zone_service","content":"pub fn deactivate_zone_service(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.deactivate_zone_service\nmidas/sdk/dnsimple deactivate_zone_service","url":"midas/sdk/dnsimple.html#deactivate_zone_service"},{"doc":"midas/sdk/dnsimple","title":"delete_contact","content":"pub fn delete_contact(\n  token: String,\n  account: Int,\n  contact: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_contact\nmidas/sdk/dnsimple delete_contact","url":"midas/sdk/dnsimple.html#delete_contact"},{"doc":"midas/sdk/dnsimple","title":"delete_domain","content":"pub fn delete_domain(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_domain\nmidas/sdk/dnsimple delete_domain","url":"midas/sdk/dnsimple.html#delete_domain"},{"doc":"midas/sdk/dnsimple","title":"delete_domain_delegation_signer_record","content":"pub fn delete_domain_delegation_signer_record(\n  token: String,\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_domain_delegation_signer_record\nmidas/sdk/dnsimple delete_domain_delegation_signer_record","url":"midas/sdk/dnsimple.html#delete_domain_delegation_signer_record"},{"doc":"midas/sdk/dnsimple","title":"delete_email_forward","content":"pub fn delete_email_forward(\n  token: String,\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_email_forward\nmidas/sdk/dnsimple delete_email_forward","url":"midas/sdk/dnsimple.html#delete_email_forward"},{"doc":"midas/sdk/dnsimple","title":"delete_template","content":"pub fn delete_template(\n  token: String,\n  account: Int,\n  template: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_template\nmidas/sdk/dnsimple delete_template","url":"midas/sdk/dnsimple.html#delete_template"},{"doc":"midas/sdk/dnsimple","title":"delete_template_record","content":"pub fn delete_template_record(\n  token: String,\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_template_record\nmidas/sdk/dnsimple delete_template_record","url":"midas/sdk/dnsimple.html#delete_template_record"},{"doc":"midas/sdk/dnsimple","title":"delete_webhook","content":"pub fn delete_webhook(\n  token: String,\n  account: Int,\n  webhook: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_webhook\nmidas/sdk/dnsimple delete_webhook","url":"midas/sdk/dnsimple.html#delete_webhook"},{"doc":"midas/sdk/dnsimple","title":"delete_zone_record","content":"pub fn delete_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_zone_record\nmidas/sdk/dnsimple delete_zone_record","url":"midas/sdk/dnsimple.html#delete_zone_record"},{"doc":"midas/sdk/dnsimple","title":"disable_domain_auto_renewal","content":"pub fn disable_domain_auto_renewal(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_domain_auto_renewal\nmidas/sdk/dnsimple disable_domain_auto_renewal","url":"midas/sdk/dnsimple.html#disable_domain_auto_renewal"},{"doc":"midas/sdk/dnsimple","title":"disable_domain_dnssec","content":"pub fn disable_domain_dnssec(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_domain_dnssec\nmidas/sdk/dnsimple disable_domain_dnssec","url":"midas/sdk/dnsimple.html#disable_domain_dnssec"},{"doc":"midas/sdk/dnsimple","title":"disable_domain_transfer_lock","content":"pub fn disable_domain_transfer_lock(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_domain_transfer_lock\nmidas/sdk/dnsimple disable_domain_transfer_lock","url":"midas/sdk/dnsimple.html#disable_domain_transfer_lock"},{"doc":"midas/sdk/dnsimple","title":"disable_vanity_name_servers","content":"pub fn disable_vanity_name_servers(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_vanity_name_servers\nmidas/sdk/dnsimple disable_vanity_name_servers","url":"midas/sdk/dnsimple.html#disable_vanity_name_servers"},{"doc":"midas/sdk/dnsimple","title":"disable_whois_privacy","content":"pub fn disable_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_whois_privacy\nmidas/sdk/dnsimple disable_whois_privacy","url":"midas/sdk/dnsimple.html#disable_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"do_authenticate","content":"pub fn do_authenticate(\n  app: App,\n  state: String,\n) -&gt; Effect(#(String, Int))\n\nSynonyms:\nmidas/sdk/dnsimple.do_authenticate\nmidas/sdk/dnsimple do_authenticate","url":"midas/sdk/dnsimple.html#do_authenticate"},{"doc":"midas/sdk/dnsimple","title":"domain_renew","content":"pub fn domain_renew(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.domain_renew\nmidas/sdk/dnsimple domain_renew","url":"midas/sdk/dnsimple.html#domain_renew"},{"doc":"midas/sdk/dnsimple","title":"domain_restore","content":"pub fn domain_restore(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.domain_restore\nmidas/sdk/dnsimple domain_restore","url":"midas/sdk/dnsimple.html#domain_restore"},{"doc":"midas/sdk/dnsimple","title":"download_certificate","content":"pub fn download_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.download_certificate\nmidas/sdk/dnsimple download_certificate","url":"midas/sdk/dnsimple.html#download_certificate"},{"doc":"midas/sdk/dnsimple","title":"enable_domain_auto_renewal","content":"pub fn enable_domain_auto_renewal(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_domain_auto_renewal\nmidas/sdk/dnsimple enable_domain_auto_renewal","url":"midas/sdk/dnsimple.html#enable_domain_auto_renewal"},{"doc":"midas/sdk/dnsimple","title":"enable_domain_dnssec","content":"pub fn enable_domain_dnssec(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_domain_dnssec\nmidas/sdk/dnsimple enable_domain_dnssec","url":"midas/sdk/dnsimple.html#enable_domain_dnssec"},{"doc":"midas/sdk/dnsimple","title":"enable_domain_transfer_lock","content":"pub fn enable_domain_transfer_lock(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_domain_transfer_lock\nmidas/sdk/dnsimple enable_domain_transfer_lock","url":"midas/sdk/dnsimple.html#enable_domain_transfer_lock"},{"doc":"midas/sdk/dnsimple","title":"enable_vanity_name_servers","content":"pub fn enable_vanity_name_servers(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_vanity_name_servers\nmidas/sdk/dnsimple enable_vanity_name_servers","url":"midas/sdk/dnsimple.html#enable_vanity_name_servers"},{"doc":"midas/sdk/dnsimple","title":"enable_whois_privacy","content":"pub fn enable_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_whois_privacy\nmidas/sdk/dnsimple enable_whois_privacy","url":"midas/sdk/dnsimple.html#enable_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"get_certificate","content":"pub fn get_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_certificate\nmidas/sdk/dnsimple get_certificate","url":"midas/sdk/dnsimple.html#get_certificate"},{"doc":"midas/sdk/dnsimple","title":"get_certificate_private_key","content":"pub fn get_certificate_private_key(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_certificate_private_key\nmidas/sdk/dnsimple get_certificate_private_key","url":"midas/sdk/dnsimple.html#get_certificate_private_key"},{"doc":"midas/sdk/dnsimple","title":"get_contact","content":"pub fn get_contact(\n  token: String,\n  account: Int,\n  contact: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_contact\nmidas/sdk/dnsimple get_contact","url":"midas/sdk/dnsimple.html#get_contact"},{"doc":"midas/sdk/dnsimple","title":"get_domain","content":"pub fn get_domain(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain\nmidas/sdk/dnsimple get_domain","url":"midas/sdk/dnsimple.html#get_domain"},{"doc":"midas/sdk/dnsimple","title":"get_domain_delegation","content":"pub fn get_domain_delegation(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_delegation\nmidas/sdk/dnsimple get_domain_delegation","url":"midas/sdk/dnsimple.html#get_domain_delegation"},{"doc":"midas/sdk/dnsimple","title":"get_domain_delegation_signer_record","content":"pub fn get_domain_delegation_signer_record(\n  token: String,\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_delegation_signer_record\nmidas/sdk/dnsimple get_domain_delegation_signer_record","url":"midas/sdk/dnsimple.html#get_domain_delegation_signer_record"},{"doc":"midas/sdk/dnsimple","title":"get_domain_dnssec","content":"pub fn get_domain_dnssec(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_dnssec\nmidas/sdk/dnsimple get_domain_dnssec","url":"midas/sdk/dnsimple.html#get_domain_dnssec"},{"doc":"midas/sdk/dnsimple","title":"get_domain_premium_price","content":"pub fn get_domain_premium_price(\n  token: String,\n  account: Int,\n  domain: String,\n  action action: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_premium_price\nmidas/sdk/dnsimple get_domain_premium_price","url":"midas/sdk/dnsimple.html#get_domain_premium_price"},{"doc":"midas/sdk/dnsimple","title":"get_domain_prices","content":"pub fn get_domain_prices(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_prices\nmidas/sdk/dnsimple get_domain_prices","url":"midas/sdk/dnsimple.html#get_domain_prices"},{"doc":"midas/sdk/dnsimple","title":"get_domain_registration","content":"pub fn get_domain_registration(\n  token: String,\n  account: Int,\n  domain: String,\n  domainregistration: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_registration\nmidas/sdk/dnsimple get_domain_registration","url":"midas/sdk/dnsimple.html#get_domain_registration"},{"doc":"midas/sdk/dnsimple","title":"get_domain_renewal","content":"pub fn get_domain_renewal(\n  token: String,\n  account: Int,\n  domain: String,\n  domainrenewal: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_renewal\nmidas/sdk/dnsimple get_domain_renewal","url":"midas/sdk/dnsimple.html#get_domain_renewal"},{"doc":"midas/sdk/dnsimple","title":"get_domain_restore","content":"pub fn get_domain_restore(\n  token: String,\n  account: Int,\n  domain: String,\n  domainrestore: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_restore\nmidas/sdk/dnsimple get_domain_restore","url":"midas/sdk/dnsimple.html#get_domain_restore"},{"doc":"midas/sdk/dnsimple","title":"get_domain_transfer","content":"pub fn get_domain_transfer(\n  token: String,\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_transfer\nmidas/sdk/dnsimple get_domain_transfer","url":"midas/sdk/dnsimple.html#get_domain_transfer"},{"doc":"midas/sdk/dnsimple","title":"get_domain_transfer_lock","content":"pub fn get_domain_transfer_lock(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_transfer_lock\nmidas/sdk/dnsimple get_domain_transfer_lock","url":"midas/sdk/dnsimple.html#get_domain_transfer_lock"},{"doc":"midas/sdk/dnsimple","title":"get_email_forward","content":"pub fn get_email_forward(\n  token: String,\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_email_forward\nmidas/sdk/dnsimple get_email_forward","url":"midas/sdk/dnsimple.html#get_email_forward"},{"doc":"midas/sdk/dnsimple","title":"get_primary_server","content":"pub fn get_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_primary_server\nmidas/sdk/dnsimple get_primary_server","url":"midas/sdk/dnsimple.html#get_primary_server"},{"doc":"midas/sdk/dnsimple","title":"get_registrant_change","content":"pub fn get_registrant_change(\n  token: String,\n  account: Int,\n  registrantchange: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_registrant_change\nmidas/sdk/dnsimple get_registrant_change","url":"midas/sdk/dnsimple.html#get_registrant_change"},{"doc":"midas/sdk/dnsimple","title":"get_service","content":"pub fn get_service(\n  token: String,\n  service: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_service\nmidas/sdk/dnsimple get_service","url":"midas/sdk/dnsimple.html#get_service"},{"doc":"midas/sdk/dnsimple","title":"get_template","content":"pub fn get_template(\n  token: String,\n  account: Int,\n  template: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_template\nmidas/sdk/dnsimple get_template","url":"midas/sdk/dnsimple.html#get_template"},{"doc":"midas/sdk/dnsimple","title":"get_template_record","content":"pub fn get_template_record(\n  token: String,\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_template_record\nmidas/sdk/dnsimple get_template_record","url":"midas/sdk/dnsimple.html#get_template_record"},{"doc":"midas/sdk/dnsimple","title":"get_tld","content":"pub fn get_tld(token: String, tld: String) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_tld\nmidas/sdk/dnsimple get_tld","url":"midas/sdk/dnsimple.html#get_tld"},{"doc":"midas/sdk/dnsimple","title":"get_tld_extended_attributes","content":"pub fn get_tld_extended_attributes(\n  token: String,\n  tld: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_tld_extended_attributes\nmidas/sdk/dnsimple get_tld_extended_attributes","url":"midas/sdk/dnsimple.html#get_tld_extended_attributes"},{"doc":"midas/sdk/dnsimple","title":"get_webhook","content":"pub fn get_webhook(\n  token: String,\n  account: Int,\n  webhook: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_webhook\nmidas/sdk/dnsimple get_webhook","url":"midas/sdk/dnsimple.html#get_webhook"},{"doc":"midas/sdk/dnsimple","title":"get_whois_privacy","content":"pub fn get_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_whois_privacy\nmidas/sdk/dnsimple get_whois_privacy","url":"midas/sdk/dnsimple.html#get_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"get_zone","content":"pub fn get_zone(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_zone\nmidas/sdk/dnsimple get_zone","url":"midas/sdk/dnsimple.html#get_zone"},{"doc":"midas/sdk/dnsimple","title":"get_zone_file","content":"pub fn get_zone_file(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_zone_file\nmidas/sdk/dnsimple get_zone_file","url":"midas/sdk/dnsimple.html#get_zone_file"},{"doc":"midas/sdk/dnsimple","title":"get_zone_record","content":"pub fn get_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_zone_record\nmidas/sdk/dnsimple get_zone_record","url":"midas/sdk/dnsimple.html#get_zone_record"},{"doc":"midas/sdk/dnsimple","title":"initiate_domain_push","content":"pub fn initiate_domain_push(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.initiate_domain_push\nmidas/sdk/dnsimple initiate_domain_push","url":"midas/sdk/dnsimple.html#initiate_domain_push"},{"doc":"midas/sdk/dnsimple","title":"issue_letsencrypt_certificate","content":"pub fn issue_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  purchase_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.issue_letsencrypt_certificate\nmidas/sdk/dnsimple issue_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#issue_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"issue_renewal_letsencrypt_certificate","content":"pub fn issue_renewal_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n  renewal_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.issue_renewal_letsencrypt_certificate\nmidas/sdk/dnsimple issue_renewal_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#issue_renewal_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"link_primary_server","content":"pub fn link_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.link_primary_server\nmidas/sdk/dnsimple link_primary_server","url":"midas/sdk/dnsimple.html#link_primary_server"},{"doc":"midas/sdk/dnsimple","title":"list_accounts","content":"pub fn list_accounts(token: String) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_accounts\nmidas/sdk/dnsimple list_accounts","url":"midas/sdk/dnsimple.html#list_accounts"},{"doc":"midas/sdk/dnsimple","title":"list_certificates","content":"pub fn list_certificates(\n  token: String,\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_certificates\nmidas/sdk/dnsimple list_certificates","url":"midas/sdk/dnsimple.html#list_certificates"},{"doc":"midas/sdk/dnsimple","title":"list_charges","content":"pub fn list_charges(\n  token: String,\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_charges\nmidas/sdk/dnsimple list_charges","url":"midas/sdk/dnsimple.html#list_charges"},{"doc":"midas/sdk/dnsimple","title":"list_contacts","content":"pub fn list_contacts(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_contacts\nmidas/sdk/dnsimple list_contacts","url":"midas/sdk/dnsimple.html#list_contacts"},{"doc":"midas/sdk/dnsimple","title":"list_domain_applied_services","content":"pub fn list_domain_applied_services(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domain_applied_services\nmidas/sdk/dnsimple list_domain_applied_services","url":"midas/sdk/dnsimple.html#list_domain_applied_services"},{"doc":"midas/sdk/dnsimple","title":"list_domain_collaborators","content":"pub fn list_domain_collaborators(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domain_collaborators\nmidas/sdk/dnsimple list_domain_collaborators","url":"midas/sdk/dnsimple.html#list_domain_collaborators"},{"doc":"midas/sdk/dnsimple","title":"list_domain_delegation_signer_records","content":"pub fn list_domain_delegation_signer_records(\n  token: String,\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domain_delegation_signer_records\nmidas/sdk/dnsimple list_domain_delegation_signer_records","url":"midas/sdk/dnsimple.html#list_domain_delegation_signer_records"},{"doc":"midas/sdk/dnsimple","title":"list_domains","content":"pub fn list_domains(\n  token: String,\n  account: Int,\n  name_like name_like: Option(String),\n  registrant_id registrant_id: Option(Int),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains\nmidas/sdk/dnsimple list_domains","url":"midas/sdk/dnsimple.html#list_domains"},{"doc":"midas/sdk/dnsimple","title":"list_email_forwards","content":"pub fn list_email_forwards(\n  token: String,\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_email_forwards\nmidas/sdk/dnsimple list_email_forwards","url":"midas/sdk/dnsimple.html#list_email_forwards"},{"doc":"midas/sdk/dnsimple","title":"list_primary_servers","content":"pub fn list_primary_servers(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_primary_servers\nmidas/sdk/dnsimple list_primary_servers","url":"midas/sdk/dnsimple.html#list_primary_servers"},{"doc":"midas/sdk/dnsimple","title":"list_pushes","content":"pub fn list_pushes(\n  token: String,\n  account: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_pushes\nmidas/sdk/dnsimple list_pushes","url":"midas/sdk/dnsimple.html#list_pushes"},{"doc":"midas/sdk/dnsimple","title":"list_registrant_changes","content":"pub fn list_registrant_changes(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n  state state: Option(String),\n  domain_id domain_id: Option(String),\n  contact_id contact_id: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_registrant_changes\nmidas/sdk/dnsimple list_registrant_changes","url":"midas/sdk/dnsimple.html#list_registrant_changes"},{"doc":"midas/sdk/dnsimple","title":"list_services","content":"pub fn list_services(\n  token: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_services\nmidas/sdk/dnsimple list_services","url":"midas/sdk/dnsimple.html#list_services"},{"doc":"midas/sdk/dnsimple","title":"list_template_records","content":"pub fn list_template_records(\n  token: String,\n  account: Int,\n  template: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_template_records\nmidas/sdk/dnsimple list_template_records","url":"midas/sdk/dnsimple.html#list_template_records"},{"doc":"midas/sdk/dnsimple","title":"list_templates","content":"pub fn list_templates(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_templates\nmidas/sdk/dnsimple list_templates","url":"midas/sdk/dnsimple.html#list_templates"},{"doc":"midas/sdk/dnsimple","title":"list_tlds","content":"pub fn list_tlds(\n  token: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_tlds\nmidas/sdk/dnsimple list_tlds","url":"midas/sdk/dnsimple.html#list_tlds"},{"doc":"midas/sdk/dnsimple","title":"list_webhooks","content":"pub fn list_webhooks(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_webhooks\nmidas/sdk/dnsimple list_webhooks","url":"midas/sdk/dnsimple.html#list_webhooks"},{"doc":"midas/sdk/dnsimple","title":"list_zone_records","content":"pub fn list_zone_records(\n  token: String,\n  account: Int,\n  zone: String,\n  name_like name_like: Option(String),\n  name name: Option(String),\n  type_ type_: Option(String),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_zone_records\nmidas/sdk/dnsimple list_zone_records","url":"midas/sdk/dnsimple.html#list_zone_records"},{"doc":"midas/sdk/dnsimple","title":"list_zones","content":"pub fn list_zones(\n  token: String,\n  account: Int,\n  name_like name_like: Option(String),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_zones\nmidas/sdk/dnsimple list_zones","url":"midas/sdk/dnsimple.html#list_zones"},{"doc":"midas/sdk/dnsimple","title":"purchase_letsencrypt_certificate","content":"pub fn purchase_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.purchase_letsencrypt_certificate\nmidas/sdk/dnsimple purchase_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#purchase_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"purchase_renewal_letsencrypt_certificate","content":"pub fn purchase_renewal_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.purchase_renewal_letsencrypt_certificate\nmidas/sdk/dnsimple purchase_renewal_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#purchase_renewal_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"query_dns_analytics","content":"pub fn query_dns_analytics(\n  token: String,\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  groupings groupings: Option(String),\n  sort sort: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.query_dns_analytics\nmidas/sdk/dnsimple query_dns_analytics","url":"midas/sdk/dnsimple.html#query_dns_analytics"},{"doc":"midas/sdk/dnsimple","title":"register_domain","content":"pub fn register_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.register_domain\nmidas/sdk/dnsimple register_domain","url":"midas/sdk/dnsimple.html#register_domain"},{"doc":"midas/sdk/dnsimple","title":"reject_push","content":"pub fn reject_push(\n  token: String,\n  account: Int,\n  push: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.reject_push\nmidas/sdk/dnsimple reject_push","url":"midas/sdk/dnsimple.html#reject_push"},{"doc":"midas/sdk/dnsimple","title":"remove_domain_collaborator","content":"pub fn remove_domain_collaborator(\n  token: String,\n  account: Int,\n  domain: String,\n  collaborator: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.remove_domain_collaborator\nmidas/sdk/dnsimple remove_domain_collaborator","url":"midas/sdk/dnsimple.html#remove_domain_collaborator"},{"doc":"midas/sdk/dnsimple","title":"remove_primary_server","content":"pub fn remove_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.remove_primary_server\nmidas/sdk/dnsimple remove_primary_server","url":"midas/sdk/dnsimple.html#remove_primary_server"},{"doc":"midas/sdk/dnsimple","title":"renew_whois_privacy","content":"pub fn renew_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.renew_whois_privacy\nmidas/sdk/dnsimple renew_whois_privacy","url":"midas/sdk/dnsimple.html#renew_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n  code: String,\n  state: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/dnsimple.token_request\nmidas/sdk/dnsimple token_request","url":"midas/sdk/dnsimple.html#token_request"},{"doc":"midas/sdk/dnsimple","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(#(String, Int), a)\n\nSynonyms:\nmidas/sdk/dnsimple.token_response\nmidas/sdk/dnsimple token_response","url":"midas/sdk/dnsimple.html#token_response"},{"doc":"midas/sdk/dnsimple","title":"transfer_domain","content":"pub fn transfer_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.transfer_domain\nmidas/sdk/dnsimple transfer_domain","url":"midas/sdk/dnsimple.html#transfer_domain"},{"doc":"midas/sdk/dnsimple","title":"unapply_service_from_domain","content":"pub fn unapply_service_from_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  service: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.unapply_service_from_domain\nmidas/sdk/dnsimple unapply_service_from_domain","url":"midas/sdk/dnsimple.html#unapply_service_from_domain"},{"doc":"midas/sdk/dnsimple","title":"unlink_primary_server","content":"pub fn unlink_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.unlink_primary_server\nmidas/sdk/dnsimple unlink_primary_server","url":"midas/sdk/dnsimple.html#unlink_primary_server"},{"doc":"midas/sdk/dnsimple","title":"update_contact","content":"pub fn update_contact(\n  token: String,\n  account: Int,\n  contact: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_contact\nmidas/sdk/dnsimple update_contact","url":"midas/sdk/dnsimple.html#update_contact"},{"doc":"midas/sdk/dnsimple","title":"update_template","content":"pub fn update_template(\n  token: String,\n  account: Int,\n  template: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_template\nmidas/sdk/dnsimple update_template","url":"midas/sdk/dnsimple.html#update_template"},{"doc":"midas/sdk/dnsimple","title":"update_zone_ns_records","content":"pub fn update_zone_ns_records(\n  token: String,\n  account: Int,\n  zone: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_zone_ns_records\nmidas/sdk/dnsimple update_zone_ns_records","url":"midas/sdk/dnsimple.html#update_zone_ns_records"},{"doc":"midas/sdk/dnsimple","title":"update_zone_record","content":"pub fn update_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_zone_record\nmidas/sdk/dnsimple update_zone_record","url":"midas/sdk/dnsimple.html#update_zone_record"},{"doc":"midas/sdk/dnsimple","title":"midas/sdk/dnsimple","content":"","url":"midas/sdk/dnsimple.html"},{"doc":"midas/sdk/github/schema","title":"ActionsBillingUsage","content":"pub type ActionsBillingUsage {\n  ActionsBillingUsage(\n    total_paid_minutes_used: Option(Int),\n    total_minutes_used: Option(Int),\n    included_minutes: Option(Int),\n    minutes_used_breakdown: Option(Nil),\n  )\n}\n\nActionsBillingUsage(\n  total_paid_minutes_used: Option(Int),\n  total_minutes_used: Option(Int),\n  included_minutes: Option(Int),\n  minutes_used_breakdown: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsBillingUsage\nmidas/sdk/github/schema ActionsBillingUsage","url":"midas/sdk/github/schema.html#ActionsBillingUsage"},{"doc":"midas/sdk/github/schema","title":"ActionsCacheList","content":"pub type ActionsCacheList {\n  ActionsCacheList(\n    actions_caches: Option(Nil),\n    total_count: Option(Int),\n  )\n}\n\nActionsCacheList(\n  actions_caches: Option(Nil),\n  total_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsCacheList\nmidas/sdk/github/schema ActionsCacheList","url":"midas/sdk/github/schema.html#ActionsCacheList"},{"doc":"midas/sdk/github/schema","title":"ActionsCacheUsageByRepository","content":"pub type ActionsCacheUsageByRepository {\n  ActionsCacheUsageByRepository(\n    active_caches_size_in_bytes: Option(Int),\n    active_caches_count: Option(Int),\n    full_name: Option(String),\n  )\n}\n\nActionsCacheUsageByRepository(\n  active_caches_size_in_bytes: Option(Int),\n  active_caches_count: Option(Int),\n  full_name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsCacheUsageByRepository\nmidas/sdk/github/schema ActionsCacheUsageByRepository","url":"midas/sdk/github/schema.html#ActionsCacheUsageByRepository"},{"doc":"midas/sdk/github/schema","title":"ActionsCacheUsageOrgEnterprise","content":"pub type ActionsCacheUsageOrgEnterprise {\n  ActionsCacheUsageOrgEnterprise(\n    total_active_caches_size_in_bytes: Option(Int),\n    total_active_caches_count: Option(Int),\n  )\n}\n\nActionsCacheUsageOrgEnterprise(\n  total_active_caches_size_in_bytes: Option(Int),\n  total_active_caches_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsCacheUsageOrgEnterprise\nmidas/sdk/github/schema ActionsCacheUsageOrgEnterprise","url":"midas/sdk/github/schema.html#ActionsCacheUsageOrgEnterprise"},{"doc":"midas/sdk/github/schema","title":"ActionsCanApprovePullRequestReviews","content":"pub type ActionsCanApprovePullRequestReviews {\n  ActionsCanApprovePullRequestReviews\n}\n\nActionsCanApprovePullRequestReviews\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsCanApprovePullRequestReviews\nmidas/sdk/github/schema ActionsCanApprovePullRequestReviews","url":"midas/sdk/github/schema.html#ActionsCanApprovePullRequestReviews"},{"doc":"midas/sdk/github/schema","title":"ActionsDefaultWorkflowPermissions","content":"pub type ActionsDefaultWorkflowPermissions {\n  ActionsDefaultWorkflowPermissions\n}\n\nActionsDefaultWorkflowPermissions\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsDefaultWorkflowPermissions\nmidas/sdk/github/schema ActionsDefaultWorkflowPermissions","url":"midas/sdk/github/schema.html#ActionsDefaultWorkflowPermissions"},{"doc":"midas/sdk/github/schema","title":"ActionsEnabled","content":"pub type ActionsEnabled {\n  ActionsEnabled\n}\n\nActionsEnabled\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsEnabled\nmidas/sdk/github/schema ActionsEnabled","url":"midas/sdk/github/schema.html#ActionsEnabled"},{"doc":"midas/sdk/github/schema","title":"ActionsGetDefaultWorkflowPermissions","content":"pub type ActionsGetDefaultWorkflowPermissions {\n  ActionsGetDefaultWorkflowPermissions(\n    default_workflow_permissions: Option(String),\n    can_approve_pull_request_reviews: Option(Bool),\n  )\n}\n\nActionsGetDefaultWorkflowPermissions(\n  default_workflow_permissions: Option(String),\n  can_approve_pull_request_reviews: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsGetDefaultWorkflowPermissions\nmidas/sdk/github/schema ActionsGetDefaultWorkflowPermissions","url":"midas/sdk/github/schema.html#ActionsGetDefaultWorkflowPermissions"},{"doc":"midas/sdk/github/schema","title":"ActionsOrganizationPermissions","content":"pub type ActionsOrganizationPermissions {\n  ActionsOrganizationPermissions(\n    allowed_actions: Option(String),\n    enabled_repositories: Option(String),\n    selected_actions_url: Option(String),\n    selected_repositories_url: Option(String),\n  )\n}\n\nActionsOrganizationPermissions(\n  allowed_actions: Option(String),\n  enabled_repositories: Option(String),\n  selected_actions_url: Option(String),\n  selected_repositories_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsOrganizationPermissions\nmidas/sdk/github/schema ActionsOrganizationPermissions","url":"midas/sdk/github/schema.html#ActionsOrganizationPermissions"},{"doc":"midas/sdk/github/schema","title":"ActionsPublicKey","content":"pub type ActionsPublicKey {\n  ActionsPublicKey(\n    created_at: Option(String),\n    url: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    key_id: Option(String),\n    key: Option(String),\n  )\n}\n\nActionsPublicKey(\n  created_at: Option(String),\n  url: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  key_id: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsPublicKey\nmidas/sdk/github/schema ActionsPublicKey","url":"midas/sdk/github/schema.html#ActionsPublicKey"},{"doc":"midas/sdk/github/schema","title":"ActionsRepositoryPermissions","content":"pub type ActionsRepositoryPermissions {\n  ActionsRepositoryPermissions(\n    enabled: Option(Bool),\n    allowed_actions: Option(String),\n    selected_actions_url: Option(String),\n  )\n}\n\nActionsRepositoryPermissions(\n  enabled: Option(Bool),\n  allowed_actions: Option(String),\n  selected_actions_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsRepositoryPermissions\nmidas/sdk/github/schema ActionsRepositoryPermissions","url":"midas/sdk/github/schema.html#ActionsRepositoryPermissions"},{"doc":"midas/sdk/github/schema","title":"ActionsSecret","content":"pub type ActionsSecret {\n  ActionsSecret(\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n  )\n}\n\nActionsSecret(\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsSecret\nmidas/sdk/github/schema ActionsSecret","url":"midas/sdk/github/schema.html#ActionsSecret"},{"doc":"midas/sdk/github/schema","title":"ActionsSetDefaultWorkflowPermissions","content":"pub type ActionsSetDefaultWorkflowPermissions {\n  ActionsSetDefaultWorkflowPermissions(\n    default_workflow_permissions: Option(String),\n    can_approve_pull_request_reviews: Option(Bool),\n  )\n}\n\nActionsSetDefaultWorkflowPermissions(\n  default_workflow_permissions: Option(String),\n  can_approve_pull_request_reviews: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsSetDefaultWorkflowPermissions\nmidas/sdk/github/schema ActionsSetDefaultWorkflowPermissions","url":"midas/sdk/github/schema.html#ActionsSetDefaultWorkflowPermissions"},{"doc":"midas/sdk/github/schema","title":"ActionsVariable","content":"pub type ActionsVariable {\n  ActionsVariable(\n    created_at: Option(String),\n    name: Option(String),\n    value: Option(String),\n    updated_at: Option(String),\n  )\n}\n\nActionsVariable(\n  created_at: Option(String),\n  name: Option(String),\n  value: Option(String),\n  updated_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsVariable\nmidas/sdk/github/schema ActionsVariable","url":"midas/sdk/github/schema.html#ActionsVariable"},{"doc":"midas/sdk/github/schema","title":"ActionsWorkflowAccessToRepository","content":"pub type ActionsWorkflowAccessToRepository {\n  ActionsWorkflowAccessToRepository(access_level: Option(String))\n}\n\nActionsWorkflowAccessToRepository(access_level: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.ActionsWorkflowAccessToRepository\nmidas/sdk/github/schema ActionsWorkflowAccessToRepository","url":"midas/sdk/github/schema.html#ActionsWorkflowAccessToRepository"},{"doc":"midas/sdk/github/schema","title":"Activity","content":"pub type Activity {\n  Activity(\n    activity_type: Option(String),\n    ref: Option(String),\n    actor: Option(Nil),\n    timestamp: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    after: Option(String),\n    before: Option(String),\n  )\n}\n\nActivity(\n  activity_type: Option(String),\n  ref: Option(String),\n  actor: Option(Nil),\n  timestamp: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  after: Option(String),\n  before: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Activity\nmidas/sdk/github/schema Activity","url":"midas/sdk/github/schema.html#Activity"},{"doc":"midas/sdk/github/schema","title":"Actor","content":"pub type Actor {\n  Actor(\n    avatar_url: Option(String),\n    login: Option(String),\n    display_login: Option(String),\n    url: Option(String),\n    gravatar_id: Option(String),\n    id: Option(Int),\n  )\n}\n\nActor(\n  avatar_url: Option(String),\n  login: Option(String),\n  display_login: Option(String),\n  url: Option(String),\n  gravatar_id: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Actor\nmidas/sdk/github/schema Actor","url":"midas/sdk/github/schema.html#Actor"},{"doc":"midas/sdk/github/schema","title":"AddedToProjectIssueEvent","content":"pub type AddedToProjectIssueEvent {\n  AddedToProjectIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    project_card: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nAddedToProjectIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  project_card: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.AddedToProjectIssueEvent\nmidas/sdk/github/schema AddedToProjectIssueEvent","url":"midas/sdk/github/schema.html#AddedToProjectIssueEvent"},{"doc":"midas/sdk/github/schema","title":"AlertAutoDismissedAt","content":"pub type AlertAutoDismissedAt {\n  AlertAutoDismissedAt\n}\n\nAlertAutoDismissedAt\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertAutoDismissedAt\nmidas/sdk/github/schema AlertAutoDismissedAt","url":"midas/sdk/github/schema.html#AlertAutoDismissedAt"},{"doc":"midas/sdk/github/schema","title":"AlertCreatedAt","content":"pub type AlertCreatedAt {\n  AlertCreatedAt\n}\n\nAlertCreatedAt\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertCreatedAt\nmidas/sdk/github/schema AlertCreatedAt","url":"midas/sdk/github/schema.html#AlertCreatedAt"},{"doc":"midas/sdk/github/schema","title":"AlertDismissedAt","content":"pub type AlertDismissedAt {\n  AlertDismissedAt\n}\n\nAlertDismissedAt\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertDismissedAt\nmidas/sdk/github/schema AlertDismissedAt","url":"midas/sdk/github/schema.html#AlertDismissedAt"},{"doc":"midas/sdk/github/schema","title":"AlertFixedAt","content":"pub type AlertFixedAt {\n  AlertFixedAt\n}\n\nAlertFixedAt\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertFixedAt\nmidas/sdk/github/schema AlertFixedAt","url":"midas/sdk/github/schema.html#AlertFixedAt"},{"doc":"midas/sdk/github/schema","title":"AlertHtmlUrl","content":"pub type AlertHtmlUrl {\n  AlertHtmlUrl\n}\n\nAlertHtmlUrl\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertHtmlUrl\nmidas/sdk/github/schema AlertHtmlUrl","url":"midas/sdk/github/schema.html#AlertHtmlUrl"},{"doc":"midas/sdk/github/schema","title":"AlertInstancesUrl","content":"pub type AlertInstancesUrl {\n  AlertInstancesUrl\n}\n\nAlertInstancesUrl\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertInstancesUrl\nmidas/sdk/github/schema AlertInstancesUrl","url":"midas/sdk/github/schema.html#AlertInstancesUrl"},{"doc":"midas/sdk/github/schema","title":"AlertNumber","content":"pub type AlertNumber {\n  AlertNumber\n}\n\nAlertNumber\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertNumber\nmidas/sdk/github/schema AlertNumber","url":"midas/sdk/github/schema.html#AlertNumber"},{"doc":"midas/sdk/github/schema","title":"AlertUpdatedAt","content":"pub type AlertUpdatedAt {\n  AlertUpdatedAt\n}\n\nAlertUpdatedAt\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertUpdatedAt\nmidas/sdk/github/schema AlertUpdatedAt","url":"midas/sdk/github/schema.html#AlertUpdatedAt"},{"doc":"midas/sdk/github/schema","title":"AlertUrl","content":"pub type AlertUrl {\n  AlertUrl\n}\n\nAlertUrl\n\n\nSynonyms:\nmidas/sdk/github/schema.AlertUrl\nmidas/sdk/github/schema AlertUrl","url":"midas/sdk/github/schema.html#AlertUrl"},{"doc":"midas/sdk/github/schema","title":"AllowedActions","content":"pub type AllowedActions {\n  AllowedActions\n}\n\nAllowedActions\n\n\nSynonyms:\nmidas/sdk/github/schema.AllowedActions\nmidas/sdk/github/schema AllowedActions","url":"midas/sdk/github/schema.html#AllowedActions"},{"doc":"midas/sdk/github/schema","title":"ApiInsightsRouteStats","content":"pub type ApiInsightsRouteStats {\n  ApiInsightsRouteStats\n}\n\nApiInsightsRouteStats\n\n\nSynonyms:\nmidas/sdk/github/schema.ApiInsightsRouteStats\nmidas/sdk/github/schema ApiInsightsRouteStats","url":"midas/sdk/github/schema.html#ApiInsightsRouteStats"},{"doc":"midas/sdk/github/schema","title":"ApiInsightsSubjectStats","content":"pub type ApiInsightsSubjectStats {\n  ApiInsightsSubjectStats\n}\n\nApiInsightsSubjectStats\n\n\nSynonyms:\nmidas/sdk/github/schema.ApiInsightsSubjectStats\nmidas/sdk/github/schema ApiInsightsSubjectStats","url":"midas/sdk/github/schema.html#ApiInsightsSubjectStats"},{"doc":"midas/sdk/github/schema","title":"ApiInsightsSummaryStats","content":"pub type ApiInsightsSummaryStats {\n  ApiInsightsSummaryStats(\n    total_request_count: Option(Int),\n    rate_limited_request_count: Option(Int),\n  )\n}\n\nApiInsightsSummaryStats(\n  total_request_count: Option(Int),\n  rate_limited_request_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ApiInsightsSummaryStats\nmidas/sdk/github/schema ApiInsightsSummaryStats","url":"midas/sdk/github/schema.html#ApiInsightsSummaryStats"},{"doc":"midas/sdk/github/schema","title":"ApiInsightsTimeStats","content":"pub type ApiInsightsTimeStats {\n  ApiInsightsTimeStats\n}\n\nApiInsightsTimeStats\n\n\nSynonyms:\nmidas/sdk/github/schema.ApiInsightsTimeStats\nmidas/sdk/github/schema ApiInsightsTimeStats","url":"midas/sdk/github/schema.html#ApiInsightsTimeStats"},{"doc":"midas/sdk/github/schema","title":"ApiInsightsUserStats","content":"pub type ApiInsightsUserStats {\n  ApiInsightsUserStats\n}\n\nApiInsightsUserStats\n\n\nSynonyms:\nmidas/sdk/github/schema.ApiInsightsUserStats\nmidas/sdk/github/schema ApiInsightsUserStats","url":"midas/sdk/github/schema.html#ApiInsightsUserStats"},{"doc":"midas/sdk/github/schema","title":"ApiOverview","content":"pub type ApiOverview {\n  ApiOverview(\n    verifiable_password_authentication: Option(Bool),\n    pages: Option(List(String)),\n    ssh_key_fingerprints: Option(Nil),\n    ssh_keys: Option(List(String)),\n    copilot: Option(List(String)),\n    packages: Option(List(String)),\n    domains: Option(Nil),\n    hooks: Option(List(String)),\n    actions_macos: Option(List(String)),\n    dependabot: Option(List(String)),\n    importer: Option(List(String)),\n    git: Option(List(String)),\n    web: Option(List(String)),\n    github_enterprise_importer: Option(List(String)),\n    codespaces: Option(List(String)),\n    api: Option(List(String)),\n    actions: Option(List(String)),\n  )\n}\n\nApiOverview(\n  verifiable_password_authentication: Option(Bool),\n  pages: Option(List(String)),\n  ssh_key_fingerprints: Option(Nil),\n  ssh_keys: Option(List(String)),\n  copilot: Option(List(String)),\n  packages: Option(List(String)),\n  domains: Option(Nil),\n  hooks: Option(List(String)),\n  actions_macos: Option(List(String)),\n  dependabot: Option(List(String)),\n  importer: Option(List(String)),\n  git: Option(List(String)),\n  web: Option(List(String)),\n  github_enterprise_importer: Option(List(String)),\n  codespaces: Option(List(String)),\n  api: Option(List(String)),\n  actions: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ApiOverview\nmidas/sdk/github/schema ApiOverview","url":"midas/sdk/github/schema.html#ApiOverview"},{"doc":"midas/sdk/github/schema","title":"AppPermissions","content":"pub type AppPermissions {\n  AppPermissions(\n    statuses: Option(String),\n    environments: Option(String),\n    organization_custom_org_roles: Option(String),\n    organization_personal_access_tokens: Option(String),\n    starring: Option(String),\n    secrets: Option(String),\n    organization_hooks: Option(String),\n    pages: Option(String),\n    organization_events: Option(String),\n    interaction_limits: Option(String),\n    organization_projects: Option(String),\n    profile: Option(String),\n    team_discussions: Option(String),\n    organization_administration: Option(String),\n    checks: Option(String),\n    repository_custom_properties: Option(String),\n    packages: Option(String),\n    deployments: Option(String),\n    repository_projects: Option(String),\n    metadata: Option(String),\n    organization_personal_access_token_requests: Option(String),\n    organization_self_hosted_runners: Option(String),\n    single_file: Option(String),\n    workflows: Option(String),\n    followers: Option(String),\n    gpg_keys: Option(String),\n    organization_custom_properties: Option(String),\n    organization_plan: Option(String),\n    secret_scanning_alerts: Option(String),\n    dependabot_secrets: Option(String),\n    organization_secrets: Option(String),\n    security_events: Option(String),\n    git_ssh_keys: Option(String),\n    members: Option(String),\n    organization_packages: Option(String),\n    codespaces: Option(String),\n    issues: Option(String),\n    contents: Option(String),\n    vulnerability_alerts: Option(String),\n    repository_hooks: Option(String),\n    organization_announcement_banners: Option(String),\n    organization_custom_roles: Option(String),\n    organization_user_blocking: Option(String),\n    actions: Option(String),\n    administration: Option(String),\n    pull_requests: Option(String),\n    organization_copilot_seat_management: Option(String),\n    email_addresses: Option(String),\n  )\n}\n\nAppPermissions(\n  statuses: Option(String),\n  environments: Option(String),\n  organization_custom_org_roles: Option(String),\n  organization_personal_access_tokens: Option(String),\n  starring: Option(String),\n  secrets: Option(String),\n  organization_hooks: Option(String),\n  pages: Option(String),\n  organization_events: Option(String),\n  interaction_limits: Option(String),\n  organization_projects: Option(String),\n  profile: Option(String),\n  team_discussions: Option(String),\n  organization_administration: Option(String),\n  checks: Option(String),\n  repository_custom_properties: Option(String),\n  packages: Option(String),\n  deployments: Option(String),\n  repository_projects: Option(String),\n  metadata: Option(String),\n  organization_personal_access_token_requests: Option(String),\n  organization_self_hosted_runners: Option(String),\n  single_file: Option(String),\n  workflows: Option(String),\n  followers: Option(String),\n  gpg_keys: Option(String),\n  organization_custom_properties: Option(String),\n  organization_plan: Option(String),\n  secret_scanning_alerts: Option(String),\n  dependabot_secrets: Option(String),\n  organization_secrets: Option(String),\n  security_events: Option(String),\n  git_ssh_keys: Option(String),\n  members: Option(String),\n  organization_packages: Option(String),\n  codespaces: Option(String),\n  issues: Option(String),\n  contents: Option(String),\n  vulnerability_alerts: Option(String),\n  repository_hooks: Option(String),\n  organization_announcement_banners: Option(String),\n  organization_custom_roles: Option(String),\n  organization_user_blocking: Option(String),\n  actions: Option(String),\n  administration: Option(String),\n  pull_requests: Option(String),\n  organization_copilot_seat_management: Option(String),\n  email_addresses: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.AppPermissions\nmidas/sdk/github/schema AppPermissions","url":"midas/sdk/github/schema.html#AppPermissions"},{"doc":"midas/sdk/github/schema","title":"Artifact","content":"pub type Artifact {\n  Artifact(\n    expired: Option(Bool),\n    created_at: Option(String),\n    workflow_run: Option(Nil),\n    name: Option(String),\n    url: Option(String),\n    size_in_bytes: Option(Int),\n    archive_download_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    expires_at: Option(String),\n  )\n}\n\nArtifact(\n  expired: Option(Bool),\n  created_at: Option(String),\n  workflow_run: Option(Nil),\n  name: Option(String),\n  url: Option(String),\n  size_in_bytes: Option(Int),\n  archive_download_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Artifact\nmidas/sdk/github/schema Artifact","url":"midas/sdk/github/schema.html#Artifact"},{"doc":"midas/sdk/github/schema","title":"AssignedIssueEvent","content":"pub type AssignedIssueEvent {\n  AssignedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n    assigner: Option(Nil),\n  )\n}\n\nAssignedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n  assigner: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.AssignedIssueEvent\nmidas/sdk/github/schema AssignedIssueEvent","url":"midas/sdk/github/schema.html#AssignedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"AuthenticationToken","content":"pub type AuthenticationToken {\n  AuthenticationToken(\n    permissions: Option(Nil),\n    repositories: Option(Nil),\n    single_file: Option(String),\n    repository_selection: Option(String),\n    token_: Option(String),\n    expires_at: Option(String),\n  )\n}\n\nAuthenticationToken(\n  permissions: Option(Nil),\n  repositories: Option(Nil),\n  single_file: Option(String),\n  repository_selection: Option(String),\n  token_: Option(String),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.AuthenticationToken\nmidas/sdk/github/schema AuthenticationToken","url":"midas/sdk/github/schema.html#AuthenticationToken"},{"doc":"midas/sdk/github/schema","title":"AuthorAssociation","content":"pub type AuthorAssociation {\n  AuthorAssociation\n}\n\nAuthorAssociation\n\n\nSynonyms:\nmidas/sdk/github/schema.AuthorAssociation\nmidas/sdk/github/schema AuthorAssociation","url":"midas/sdk/github/schema.html#AuthorAssociation"},{"doc":"midas/sdk/github/schema","title":"Authorization","content":"pub type Authorization {\n  Authorization(\n    app: Option(Nil),\n    note_url: Option(String),\n    fingerprint: Option(String),\n    hashed_token: Option(String),\n    created_at: Option(String),\n    user: Option(Nil),\n    token_last_eight: Option(String),\n    url: Option(String),\n    note: Option(String),\n    updated_at: Option(String),\n    token_: Option(String),\n    installation: Option(Nil),\n    id: Option(Int),\n    expires_at: Option(String),\n    scopes: Option(List(String)),\n  )\n}\n\nAuthorization(\n  app: Option(Nil),\n  note_url: Option(String),\n  fingerprint: Option(String),\n  hashed_token: Option(String),\n  created_at: Option(String),\n  user: Option(Nil),\n  token_last_eight: Option(String),\n  url: Option(String),\n  note: Option(String),\n  updated_at: Option(String),\n  token_: Option(String),\n  installation: Option(Nil),\n  id: Option(Int),\n  expires_at: Option(String),\n  scopes: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Authorization\nmidas/sdk/github/schema Authorization","url":"midas/sdk/github/schema.html#Authorization"},{"doc":"midas/sdk/github/schema","title":"AutoMerge","content":"pub type AutoMerge {\n  AutoMerge(\n    merge_method: Option(String),\n    commit_title: Option(String),\n    enabled_by: Option(Nil),\n    commit_message: Option(String),\n  )\n}\n\nAutoMerge(\n  merge_method: Option(String),\n  commit_title: Option(String),\n  enabled_by: Option(Nil),\n  commit_message: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.AutoMerge\nmidas/sdk/github/schema AutoMerge","url":"midas/sdk/github/schema.html#AutoMerge"},{"doc":"midas/sdk/github/schema","title":"Autolink","content":"pub type Autolink {\n  Autolink(\n    is_alphanumeric: Option(Bool),\n    url_template: Option(String),\n    key_prefix: Option(String),\n    id: Option(Int),\n  )\n}\n\nAutolink(\n  is_alphanumeric: Option(Bool),\n  url_template: Option(String),\n  key_prefix: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Autolink\nmidas/sdk/github/schema Autolink","url":"midas/sdk/github/schema.html#Autolink"},{"doc":"midas/sdk/github/schema","title":"BaseGist","content":"pub type BaseGist {\n  BaseGist(\n    forks_url: Option(String),\n    git_pull_url: Option(String),\n    comments_url: Option(String),\n    public: Option(Bool),\n    created_at: Option(String),\n    user: Option(Nil),\n    commits_url: Option(String),\n    url: Option(String),\n    owner: Option(Nil),\n    comments: Option(Int),\n    git_push_url: Option(String),\n    updated_at: Option(String),\n    files: Option(Nil),\n    node_id: Option(String),\n    id: Option(String),\n    html_url: Option(String),\n    description: Option(String),\n    truncated: Option(Bool),\n  )\n}\n\nBaseGist(\n  forks_url: Option(String),\n  git_pull_url: Option(String),\n  comments_url: Option(String),\n  public: Option(Bool),\n  created_at: Option(String),\n  user: Option(Nil),\n  commits_url: Option(String),\n  url: Option(String),\n  owner: Option(Nil),\n  comments: Option(Int),\n  git_push_url: Option(String),\n  updated_at: Option(String),\n  files: Option(Nil),\n  node_id: Option(String),\n  id: Option(String),\n  html_url: Option(String),\n  description: Option(String),\n  truncated: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.BaseGist\nmidas/sdk/github/schema BaseGist","url":"midas/sdk/github/schema.html#BaseGist"},{"doc":"midas/sdk/github/schema","title":"BasicError","content":"pub type BasicError {\n  BasicError(\n    message: Option(String),\n    documentation_url: Option(String),\n    url: Option(String),\n    status: Option(String),\n  )\n}\n\nBasicError(\n  message: Option(String),\n  documentation_url: Option(String),\n  url: Option(String),\n  status: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.BasicError\nmidas/sdk/github/schema BasicError","url":"midas/sdk/github/schema.html#BasicError"},{"doc":"midas/sdk/github/schema","title":"Blob","content":"pub type Blob {\n  Blob(\n    size: Option(Int),\n    sha: Option(String),\n    highlighted_content: Option(String),\n    url: Option(String),\n    encoding: Option(String),\n    node_id: Option(String),\n    content: Option(String),\n  )\n}\n\nBlob(\n  size: Option(Int),\n  sha: Option(String),\n  highlighted_content: Option(String),\n  url: Option(String),\n  encoding: Option(String),\n  node_id: Option(String),\n  content: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Blob\nmidas/sdk/github/schema Blob","url":"midas/sdk/github/schema.html#Blob"},{"doc":"midas/sdk/github/schema","title":"BranchProtection","content":"pub type BranchProtection {\n  BranchProtection(\n    allow_fork_syncing: Option(Nil),\n    enforce_admins: Option(Nil),\n    enabled: Option(Bool),\n    block_creations: Option(Nil),\n    restrictions: Option(Nil),\n    required_conversation_resolution: Option(Nil),\n    protection_url: Option(String),\n    name: Option(String),\n    allow_deletions: Option(Nil),\n    url: Option(String),\n    required_pull_request_reviews: Option(Nil),\n    allow_force_pushes: Option(Nil),\n    lock_branch: Option(Nil),\n    required_status_checks: Option(Nil),\n    required_linear_history: Option(Nil),\n    required_signatures: Option(Nil),\n  )\n}\n\nBranchProtection(\n  allow_fork_syncing: Option(Nil),\n  enforce_admins: Option(Nil),\n  enabled: Option(Bool),\n  block_creations: Option(Nil),\n  restrictions: Option(Nil),\n  required_conversation_resolution: Option(Nil),\n  protection_url: Option(String),\n  name: Option(String),\n  allow_deletions: Option(Nil),\n  url: Option(String),\n  required_pull_request_reviews: Option(Nil),\n  allow_force_pushes: Option(Nil),\n  lock_branch: Option(Nil),\n  required_status_checks: Option(Nil),\n  required_linear_history: Option(Nil),\n  required_signatures: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.BranchProtection\nmidas/sdk/github/schema BranchProtection","url":"midas/sdk/github/schema.html#BranchProtection"},{"doc":"midas/sdk/github/schema","title":"BranchRestrictionPolicy","content":"pub type BranchRestrictionPolicy {\n  BranchRestrictionPolicy(\n    apps_url: Option(String),\n    teams_url: Option(String),\n    users: Option(Nil),\n    url: Option(String),\n    apps: Option(Nil),\n    teams: Option(Nil),\n    users_url: Option(String),\n  )\n}\n\nBranchRestrictionPolicy(\n  apps_url: Option(String),\n  teams_url: Option(String),\n  users: Option(Nil),\n  url: Option(String),\n  apps: Option(Nil),\n  teams: Option(Nil),\n  users_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.BranchRestrictionPolicy\nmidas/sdk/github/schema BranchRestrictionPolicy","url":"midas/sdk/github/schema.html#BranchRestrictionPolicy"},{"doc":"midas/sdk/github/schema","title":"BranchShort","content":"pub type BranchShort {\n  BranchShort(\n    name: Option(String),\n    protected: Option(Bool),\n    commit: Option(Nil),\n  )\n}\n\nBranchShort(\n  name: Option(String),\n  protected: Option(Bool),\n  commit: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.BranchShort\nmidas/sdk/github/schema BranchShort","url":"midas/sdk/github/schema.html#BranchShort"},{"doc":"midas/sdk/github/schema","title":"BranchWithProtection","content":"pub type BranchWithProtection {\n  BranchWithProtection(\n    protection_url: Option(String),\n    name: Option(String),\n    protected: Option(Bool),\n    pattern: Option(String),\n    commit: Option(Nil),\n    protection: Option(Nil),\n    links: Option(Nil),\n    required_approving_review_count: Option(Int),\n  )\n}\n\nBranchWithProtection(\n  protection_url: Option(String),\n  name: Option(String),\n  protected: Option(Bool),\n  pattern: Option(String),\n  commit: Option(Nil),\n  protection: Option(Nil),\n  links: Option(Nil),\n  required_approving_review_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.BranchWithProtection\nmidas/sdk/github/schema BranchWithProtection","url":"midas/sdk/github/schema.html#BranchWithProtection"},{"doc":"midas/sdk/github/schema","title":"CheckAnnotation","content":"pub type CheckAnnotation {\n  CheckAnnotation(\n    path_: Option(String),\n    message: Option(String),\n    raw_details: Option(String),\n    blob_href: Option(String),\n    start_line: Option(Int),\n    start_column: Option(Int),\n    annotation_level: Option(String),\n    end_line: Option(Int),\n    title: Option(String),\n    end_column: Option(Int),\n  )\n}\n\nCheckAnnotation(\n  path_: Option(String),\n  message: Option(String),\n  raw_details: Option(String),\n  blob_href: Option(String),\n  start_line: Option(Int),\n  start_column: Option(Int),\n  annotation_level: Option(String),\n  end_line: Option(Int),\n  title: Option(String),\n  end_column: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CheckAnnotation\nmidas/sdk/github/schema CheckAnnotation","url":"midas/sdk/github/schema.html#CheckAnnotation"},{"doc":"midas/sdk/github/schema","title":"CheckAutomatedSecurityFixes","content":"pub type CheckAutomatedSecurityFixes {\n  CheckAutomatedSecurityFixes(\n    enabled: Option(Bool),\n    paused: Option(Bool),\n  )\n}\n\nCheckAutomatedSecurityFixes(\n  enabled: Option(Bool),\n  paused: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CheckAutomatedSecurityFixes\nmidas/sdk/github/schema CheckAutomatedSecurityFixes","url":"midas/sdk/github/schema.html#CheckAutomatedSecurityFixes"},{"doc":"midas/sdk/github/schema","title":"CheckRun","content":"pub type CheckRun {\n  CheckRun(\n    output: Option(Nil),\n    check_suite: Option(Nil),\n    app: Option(Nil),\n    deployment: Option(Nil),\n    completed_at: Option(String),\n    name: Option(String),\n    head_sha: Option(String),\n    url: Option(String),\n    external_id: Option(String),\n    started_at: Option(String),\n    details_url: Option(String),\n    status: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    pull_requests: Option(Nil),\n    conclusion: Option(String),\n  )\n}\n\nCheckRun(\n  output: Option(Nil),\n  check_suite: Option(Nil),\n  app: Option(Nil),\n  deployment: Option(Nil),\n  completed_at: Option(String),\n  name: Option(String),\n  head_sha: Option(String),\n  url: Option(String),\n  external_id: Option(String),\n  started_at: Option(String),\n  details_url: Option(String),\n  status: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  pull_requests: Option(Nil),\n  conclusion: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CheckRun\nmidas/sdk/github/schema CheckRun","url":"midas/sdk/github/schema.html#CheckRun"},{"doc":"midas/sdk/github/schema","title":"CheckRunWithSimpleCheckSuite","content":"pub type CheckRunWithSimpleCheckSuite {\n  CheckRunWithSimpleCheckSuite(\n    output: Option(Nil),\n    check_suite: Option(Nil),\n    app: Option(Nil),\n    deployment: Option(Nil),\n    completed_at: Option(String),\n    name: Option(String),\n    head_sha: Option(String),\n    url: Option(String),\n    external_id: Option(String),\n    started_at: Option(String),\n    details_url: Option(String),\n    status: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    pull_requests: Option(Nil),\n    conclusion: Option(String),\n  )\n}\n\nCheckRunWithSimpleCheckSuite(\n  output: Option(Nil),\n  check_suite: Option(Nil),\n  app: Option(Nil),\n  deployment: Option(Nil),\n  completed_at: Option(String),\n  name: Option(String),\n  head_sha: Option(String),\n  url: Option(String),\n  external_id: Option(String),\n  started_at: Option(String),\n  details_url: Option(String),\n  status: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  pull_requests: Option(Nil),\n  conclusion: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CheckRunWithSimpleCheckSuite\nmidas/sdk/github/schema CheckRunWithSimpleCheckSuite","url":"midas/sdk/github/schema.html#CheckRunWithSimpleCheckSuite"},{"doc":"midas/sdk/github/schema","title":"CheckSuite","content":"pub type CheckSuite {\n  CheckSuite(\n    head_branch: Option(String),\n    app: Option(Nil),\n    latest_check_runs_count: Option(Int),\n    created_at: Option(String),\n    repository: Option(Nil),\n    head_sha: Option(String),\n    check_runs_url: Option(String),\n    url: Option(String),\n    status: Option(String),\n    rerequestable: Option(Bool),\n    head_commit: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    after: Option(String),\n    pull_requests: Option(Nil),\n    conclusion: Option(String),\n    before: Option(String),\n    runs_rerequestable: Option(Bool),\n  )\n}\n\nCheckSuite(\n  head_branch: Option(String),\n  app: Option(Nil),\n  latest_check_runs_count: Option(Int),\n  created_at: Option(String),\n  repository: Option(Nil),\n  head_sha: Option(String),\n  check_runs_url: Option(String),\n  url: Option(String),\n  status: Option(String),\n  rerequestable: Option(Bool),\n  head_commit: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  after: Option(String),\n  pull_requests: Option(Nil),\n  conclusion: Option(String),\n  before: Option(String),\n  runs_rerequestable: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CheckSuite\nmidas/sdk/github/schema CheckSuite","url":"midas/sdk/github/schema.html#CheckSuite"},{"doc":"midas/sdk/github/schema","title":"CheckSuitePreference","content":"pub type CheckSuitePreference {\n  CheckSuitePreference(\n    repository: Option(Nil),\n    preferences: Option(Nil),\n  )\n}\n\nCheckSuitePreference(\n  repository: Option(Nil),\n  preferences: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CheckSuitePreference\nmidas/sdk/github/schema CheckSuitePreference","url":"midas/sdk/github/schema.html#CheckSuitePreference"},{"doc":"midas/sdk/github/schema","title":"Classroom","content":"pub type Classroom {\n  Classroom(\n    archived: Option(Bool),\n    name: Option(String),\n    url: Option(String),\n    organization: Option(Nil),\n    id: Option(Int),\n  )\n}\n\nClassroom(\n  archived: Option(Bool),\n  name: Option(String),\n  url: Option(String),\n  organization: Option(Nil),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Classroom\nmidas/sdk/github/schema Classroom","url":"midas/sdk/github/schema.html#Classroom"},{"doc":"midas/sdk/github/schema","title":"ClassroomAcceptedAssignment","content":"pub type ClassroomAcceptedAssignment {\n  ClassroomAcceptedAssignment(\n    commit_count: Option(Int),\n    repository: Option(Nil),\n    assignment: Option(Nil),\n    passing: Option(Bool),\n    grade: Option(String),\n    students: Option(Nil),\n    submitted: Option(Bool),\n    id: Option(Int),\n  )\n}\n\nClassroomAcceptedAssignment(\n  commit_count: Option(Int),\n  repository: Option(Nil),\n  assignment: Option(Nil),\n  passing: Option(Bool),\n  grade: Option(String),\n  students: Option(Nil),\n  submitted: Option(Bool),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ClassroomAcceptedAssignment\nmidas/sdk/github/schema ClassroomAcceptedAssignment","url":"midas/sdk/github/schema.html#ClassroomAcceptedAssignment"},{"doc":"midas/sdk/github/schema","title":"ClassroomAssignment","content":"pub type ClassroomAssignment {\n  ClassroomAssignment(\n    feedback_pull_requests_enabled: Option(Bool),\n    accepted: Option(Int),\n    public_repo: Option(Bool),\n    slug: Option(String),\n    starter_code_repository: Option(Nil),\n    editor: Option(String),\n    invite_link: Option(String),\n    passing: Option(Int),\n    classroom: Option(Nil),\n    title: Option(String),\n    deadline: Option(String),\n    language: Option(String),\n    type_: Option(String),\n    submitted: Option(Int),\n    id: Option(Int),\n    max_teams: Option(Int),\n    invitations_enabled: Option(Bool),\n    max_members: Option(Int),\n    students_are_repo_admins: Option(Bool),\n  )\n}\n\nClassroomAssignment(\n  feedback_pull_requests_enabled: Option(Bool),\n  accepted: Option(Int),\n  public_repo: Option(Bool),\n  slug: Option(String),\n  starter_code_repository: Option(Nil),\n  editor: Option(String),\n  invite_link: Option(String),\n  passing: Option(Int),\n  classroom: Option(Nil),\n  title: Option(String),\n  deadline: Option(String),\n  language: Option(String),\n  type_: Option(String),\n  submitted: Option(Int),\n  id: Option(Int),\n  max_teams: Option(Int),\n  invitations_enabled: Option(Bool),\n  max_members: Option(Int),\n  students_are_repo_admins: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ClassroomAssignment\nmidas/sdk/github/schema ClassroomAssignment","url":"midas/sdk/github/schema.html#ClassroomAssignment"},{"doc":"midas/sdk/github/schema","title":"ClassroomAssignmentGrade","content":"pub type ClassroomAssignmentGrade {\n  ClassroomAssignmentGrade(\n    points_awarded: Option(Int),\n    submission_timestamp: Option(String),\n    group_name: Option(String),\n    starter_code_url: Option(String),\n    points_available: Option(Int),\n    github_username: Option(String),\n    student_repository_name: Option(String),\n    assignment_name: Option(String),\n    assignment_url: Option(String),\n    roster_identifier: Option(String),\n    student_repository_url: Option(String),\n  )\n}\n\nClassroomAssignmentGrade(\n  points_awarded: Option(Int),\n  submission_timestamp: Option(String),\n  group_name: Option(String),\n  starter_code_url: Option(String),\n  points_available: Option(Int),\n  github_username: Option(String),\n  student_repository_name: Option(String),\n  assignment_name: Option(String),\n  assignment_url: Option(String),\n  roster_identifier: Option(String),\n  student_repository_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ClassroomAssignmentGrade\nmidas/sdk/github/schema ClassroomAssignmentGrade","url":"midas/sdk/github/schema.html#ClassroomAssignmentGrade"},{"doc":"midas/sdk/github/schema","title":"CloneTraffic","content":"pub type CloneTraffic {\n  CloneTraffic(\n    uniques: Option(Int),\n    count: Option(Int),\n    clones: Option(Nil),\n  )\n}\n\nCloneTraffic(\n  uniques: Option(Int),\n  count: Option(Int),\n  clones: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CloneTraffic\nmidas/sdk/github/schema CloneTraffic","url":"midas/sdk/github/schema.html#CloneTraffic"},{"doc":"midas/sdk/github/schema","title":"CodeFrequencyStat","content":"pub type CodeFrequencyStat {\n  CodeFrequencyStat\n}\n\nCodeFrequencyStat\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeFrequencyStat\nmidas/sdk/github/schema CodeFrequencyStat","url":"midas/sdk/github/schema.html#CodeFrequencyStat"},{"doc":"midas/sdk/github/schema","title":"CodeOfConduct","content":"pub type CodeOfConduct {\n  CodeOfConduct(\n    body: Option(String),\n    name: Option(String),\n    url: Option(String),\n    html_url: Option(String),\n    key: Option(String),\n  )\n}\n\nCodeOfConduct(\n  body: Option(String),\n  name: Option(String),\n  url: Option(String),\n  html_url: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeOfConduct\nmidas/sdk/github/schema CodeOfConduct","url":"midas/sdk/github/schema.html#CodeOfConduct"},{"doc":"midas/sdk/github/schema","title":"CodeOfConductSimple","content":"pub type CodeOfConductSimple {\n  CodeOfConductSimple(\n    name: Option(String),\n    url: Option(String),\n    html_url: Option(String),\n    key: Option(String),\n  )\n}\n\nCodeOfConductSimple(\n  name: Option(String),\n  url: Option(String),\n  html_url: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeOfConductSimple\nmidas/sdk/github/schema CodeOfConductSimple","url":"midas/sdk/github/schema.html#CodeOfConductSimple"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlert","content":"pub type CodeScanningAlert {\n  CodeScanningAlert(\n    dismissed_comment: Option(String),\n    number: Option(Int),\n    dismissed_at: Option(String),\n    created_at: Option(String),\n    dismissed_by: Option(Nil),\n    instances_url: Option(String),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    tool: Option(Nil),\n    dismissed_reason: Option(String),\n    html_url: Option(String),\n    rule: Option(Nil),\n    most_recent_instance: Option(Nil),\n    fixed_at: Option(String),\n  )\n}\n\nCodeScanningAlert(\n  dismissed_comment: Option(String),\n  number: Option(Int),\n  dismissed_at: Option(String),\n  created_at: Option(String),\n  dismissed_by: Option(Nil),\n  instances_url: Option(String),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  tool: Option(Nil),\n  dismissed_reason: Option(String),\n  html_url: Option(String),\n  rule: Option(Nil),\n  most_recent_instance: Option(Nil),\n  fixed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlert\nmidas/sdk/github/schema CodeScanningAlert","url":"midas/sdk/github/schema.html#CodeScanningAlert"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertClassification","content":"pub type CodeScanningAlertClassification {\n  CodeScanningAlertClassification\n}\n\nCodeScanningAlertClassification\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertClassification\nmidas/sdk/github/schema CodeScanningAlertClassification","url":"midas/sdk/github/schema.html#CodeScanningAlertClassification"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertDismissedComment","content":"pub type CodeScanningAlertDismissedComment {\n  CodeScanningAlertDismissedComment\n}\n\nCodeScanningAlertDismissedComment\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertDismissedComment\nmidas/sdk/github/schema CodeScanningAlertDismissedComment","url":"midas/sdk/github/schema.html#CodeScanningAlertDismissedComment"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertDismissedReason","content":"pub type CodeScanningAlertDismissedReason {\n  CodeScanningAlertDismissedReason\n}\n\nCodeScanningAlertDismissedReason\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertDismissedReason\nmidas/sdk/github/schema CodeScanningAlertDismissedReason","url":"midas/sdk/github/schema.html#CodeScanningAlertDismissedReason"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertEnvironment","content":"pub type CodeScanningAlertEnvironment {\n  CodeScanningAlertEnvironment\n}\n\nCodeScanningAlertEnvironment\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertEnvironment\nmidas/sdk/github/schema CodeScanningAlertEnvironment","url":"midas/sdk/github/schema.html#CodeScanningAlertEnvironment"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertInstance","content":"pub type CodeScanningAlertInstance {\n  CodeScanningAlertInstance(\n    commit_sha: Option(String),\n    message: Option(Nil),\n    classifications: Option(Nil),\n    state: Option(String),\n    ref: Option(String),\n    environment: Option(String),\n    location: Option(Nil),\n    html_url: Option(String),\n    analysis_key: Option(String),\n    category: Option(String),\n  )\n}\n\nCodeScanningAlertInstance(\n  commit_sha: Option(String),\n  message: Option(Nil),\n  classifications: Option(Nil),\n  state: Option(String),\n  ref: Option(String),\n  environment: Option(String),\n  location: Option(Nil),\n  html_url: Option(String),\n  analysis_key: Option(String),\n  category: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertInstance\nmidas/sdk/github/schema CodeScanningAlertInstance","url":"midas/sdk/github/schema.html#CodeScanningAlertInstance"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertItems","content":"pub type CodeScanningAlertItems {\n  CodeScanningAlertItems(\n    dismissed_comment: Option(String),\n    number: Option(Int),\n    dismissed_at: Option(String),\n    created_at: Option(String),\n    dismissed_by: Option(Nil),\n    instances_url: Option(String),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    tool: Option(Nil),\n    dismissed_reason: Option(String),\n    html_url: Option(String),\n    rule: Option(Nil),\n    most_recent_instance: Option(Nil),\n    fixed_at: Option(String),\n  )\n}\n\nCodeScanningAlertItems(\n  dismissed_comment: Option(String),\n  number: Option(Int),\n  dismissed_at: Option(String),\n  created_at: Option(String),\n  dismissed_by: Option(Nil),\n  instances_url: Option(String),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  tool: Option(Nil),\n  dismissed_reason: Option(String),\n  html_url: Option(String),\n  rule: Option(Nil),\n  most_recent_instance: Option(Nil),\n  fixed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertItems\nmidas/sdk/github/schema CodeScanningAlertItems","url":"midas/sdk/github/schema.html#CodeScanningAlertItems"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertLocation","content":"pub type CodeScanningAlertLocation {\n  CodeScanningAlertLocation(\n    path_: Option(String),\n    start_line: Option(Int),\n    start_column: Option(Int),\n    end_line: Option(Int),\n    end_column: Option(Int),\n  )\n}\n\nCodeScanningAlertLocation(\n  path_: Option(String),\n  start_line: Option(Int),\n  start_column: Option(Int),\n  end_line: Option(Int),\n  end_column: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertLocation\nmidas/sdk/github/schema CodeScanningAlertLocation","url":"midas/sdk/github/schema.html#CodeScanningAlertLocation"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertRule","content":"pub type CodeScanningAlertRule {\n  CodeScanningAlertRule(\n    security_severity_level: Option(String),\n    help: Option(String),\n    name: Option(String),\n    full_description: Option(String),\n    help_uri: Option(String),\n    tags: Option(List(String)),\n    id: Option(String),\n    description: Option(String),\n    severity: Option(String),\n  )\n}\n\nCodeScanningAlertRule(\n  security_severity_level: Option(String),\n  help: Option(String),\n  name: Option(String),\n  full_description: Option(String),\n  help_uri: Option(String),\n  tags: Option(List(String)),\n  id: Option(String),\n  description: Option(String),\n  severity: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertRule\nmidas/sdk/github/schema CodeScanningAlertRule","url":"midas/sdk/github/schema.html#CodeScanningAlertRule"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertRuleSummary","content":"pub type CodeScanningAlertRuleSummary {\n  CodeScanningAlertRuleSummary(\n    security_severity_level: Option(String),\n    help: Option(String),\n    name: Option(String),\n    full_description: Option(String),\n    help_uri: Option(String),\n    tags: Option(List(String)),\n    id: Option(String),\n    description: Option(String),\n    severity: Option(String),\n  )\n}\n\nCodeScanningAlertRuleSummary(\n  security_severity_level: Option(String),\n  help: Option(String),\n  name: Option(String),\n  full_description: Option(String),\n  help_uri: Option(String),\n  tags: Option(List(String)),\n  id: Option(String),\n  description: Option(String),\n  severity: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertRuleSummary\nmidas/sdk/github/schema CodeScanningAlertRuleSummary","url":"midas/sdk/github/schema.html#CodeScanningAlertRuleSummary"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertSetState","content":"pub type CodeScanningAlertSetState {\n  CodeScanningAlertSetState\n}\n\nCodeScanningAlertSetState\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertSetState\nmidas/sdk/github/schema CodeScanningAlertSetState","url":"midas/sdk/github/schema.html#CodeScanningAlertSetState"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertSeverity","content":"pub type CodeScanningAlertSeverity {\n  CodeScanningAlertSeverity\n}\n\nCodeScanningAlertSeverity\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertSeverity\nmidas/sdk/github/schema CodeScanningAlertSeverity","url":"midas/sdk/github/schema.html#CodeScanningAlertSeverity"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertState","content":"pub type CodeScanningAlertState {\n  CodeScanningAlertState\n}\n\nCodeScanningAlertState\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertState\nmidas/sdk/github/schema CodeScanningAlertState","url":"midas/sdk/github/schema.html#CodeScanningAlertState"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAlertStateQuery","content":"pub type CodeScanningAlertStateQuery {\n  CodeScanningAlertStateQuery\n}\n\nCodeScanningAlertStateQuery\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAlertStateQuery\nmidas/sdk/github/schema CodeScanningAlertStateQuery","url":"midas/sdk/github/schema.html#CodeScanningAlertStateQuery"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysis","content":"pub type CodeScanningAnalysis {\n  CodeScanningAnalysis(\n    commit_sha: Option(String),\n    results_count: Option(Int),\n    rules_count: Option(Int),\n    error: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    ref: Option(String),\n    environment: Option(String),\n    deletable: Option(Bool),\n    tool: Option(Nil),\n    sarif_id: Option(String),\n    id: Option(Int),\n    analysis_key: Option(String),\n    warning: Option(String),\n    category: Option(String),\n  )\n}\n\nCodeScanningAnalysis(\n  commit_sha: Option(String),\n  results_count: Option(Int),\n  rules_count: Option(Int),\n  error: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  ref: Option(String),\n  environment: Option(String),\n  deletable: Option(Bool),\n  tool: Option(Nil),\n  sarif_id: Option(String),\n  id: Option(Int),\n  analysis_key: Option(String),\n  warning: Option(String),\n  category: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysis\nmidas/sdk/github/schema CodeScanningAnalysis","url":"midas/sdk/github/schema.html#CodeScanningAnalysis"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisAnalysisKey","content":"pub type CodeScanningAnalysisAnalysisKey {\n  CodeScanningAnalysisAnalysisKey\n}\n\nCodeScanningAnalysisAnalysisKey\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisAnalysisKey\nmidas/sdk/github/schema CodeScanningAnalysisAnalysisKey","url":"midas/sdk/github/schema.html#CodeScanningAnalysisAnalysisKey"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisCategory","content":"pub type CodeScanningAnalysisCategory {\n  CodeScanningAnalysisCategory\n}\n\nCodeScanningAnalysisCategory\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisCategory\nmidas/sdk/github/schema CodeScanningAnalysisCategory","url":"midas/sdk/github/schema.html#CodeScanningAnalysisCategory"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisCommitSha","content":"pub type CodeScanningAnalysisCommitSha {\n  CodeScanningAnalysisCommitSha\n}\n\nCodeScanningAnalysisCommitSha\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisCommitSha\nmidas/sdk/github/schema CodeScanningAnalysisCommitSha","url":"midas/sdk/github/schema.html#CodeScanningAnalysisCommitSha"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisCreatedAt","content":"pub type CodeScanningAnalysisCreatedAt {\n  CodeScanningAnalysisCreatedAt\n}\n\nCodeScanningAnalysisCreatedAt\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisCreatedAt\nmidas/sdk/github/schema CodeScanningAnalysisCreatedAt","url":"midas/sdk/github/schema.html#CodeScanningAnalysisCreatedAt"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisDeletion","content":"pub type CodeScanningAnalysisDeletion {\n  CodeScanningAnalysisDeletion(\n    next_analysis_url: Option(String),\n    confirm_delete_url: Option(String),\n  )\n}\n\nCodeScanningAnalysisDeletion(\n  next_analysis_url: Option(String),\n  confirm_delete_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisDeletion\nmidas/sdk/github/schema CodeScanningAnalysisDeletion","url":"midas/sdk/github/schema.html#CodeScanningAnalysisDeletion"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisEnvironment","content":"pub type CodeScanningAnalysisEnvironment {\n  CodeScanningAnalysisEnvironment\n}\n\nCodeScanningAnalysisEnvironment\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisEnvironment\nmidas/sdk/github/schema CodeScanningAnalysisEnvironment","url":"midas/sdk/github/schema.html#CodeScanningAnalysisEnvironment"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisSarifFile","content":"pub type CodeScanningAnalysisSarifFile {\n  CodeScanningAnalysisSarifFile\n}\n\nCodeScanningAnalysisSarifFile\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisSarifFile\nmidas/sdk/github/schema CodeScanningAnalysisSarifFile","url":"midas/sdk/github/schema.html#CodeScanningAnalysisSarifFile"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisSarifId","content":"pub type CodeScanningAnalysisSarifId {\n  CodeScanningAnalysisSarifId\n}\n\nCodeScanningAnalysisSarifId\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisSarifId\nmidas/sdk/github/schema CodeScanningAnalysisSarifId","url":"midas/sdk/github/schema.html#CodeScanningAnalysisSarifId"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisTool","content":"pub type CodeScanningAnalysisTool {\n  CodeScanningAnalysisTool(\n    guid: Option(String),\n    name: Option(String),\n    version: Option(String),\n  )\n}\n\nCodeScanningAnalysisTool(\n  guid: Option(String),\n  name: Option(String),\n  version: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisTool\nmidas/sdk/github/schema CodeScanningAnalysisTool","url":"midas/sdk/github/schema.html#CodeScanningAnalysisTool"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisToolGuid","content":"pub type CodeScanningAnalysisToolGuid {\n  CodeScanningAnalysisToolGuid\n}\n\nCodeScanningAnalysisToolGuid\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisToolGuid\nmidas/sdk/github/schema CodeScanningAnalysisToolGuid","url":"midas/sdk/github/schema.html#CodeScanningAnalysisToolGuid"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisToolName","content":"pub type CodeScanningAnalysisToolName {\n  CodeScanningAnalysisToolName\n}\n\nCodeScanningAnalysisToolName\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisToolName\nmidas/sdk/github/schema CodeScanningAnalysisToolName","url":"midas/sdk/github/schema.html#CodeScanningAnalysisToolName"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisToolVersion","content":"pub type CodeScanningAnalysisToolVersion {\n  CodeScanningAnalysisToolVersion\n}\n\nCodeScanningAnalysisToolVersion\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisToolVersion\nmidas/sdk/github/schema CodeScanningAnalysisToolVersion","url":"midas/sdk/github/schema.html#CodeScanningAnalysisToolVersion"},{"doc":"midas/sdk/github/schema","title":"CodeScanningAnalysisUrl","content":"pub type CodeScanningAnalysisUrl {\n  CodeScanningAnalysisUrl\n}\n\nCodeScanningAnalysisUrl\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningAnalysisUrl\nmidas/sdk/github/schema CodeScanningAnalysisUrl","url":"midas/sdk/github/schema.html#CodeScanningAnalysisUrl"},{"doc":"midas/sdk/github/schema","title":"CodeScanningCodeqlDatabase","content":"pub type CodeScanningCodeqlDatabase {\n  CodeScanningCodeqlDatabase(\n    content_type: Option(String),\n    size: Option(Int),\n    commit_oid: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    uploader: Option(Nil),\n    url: Option(String),\n    updated_at: Option(String),\n    language: Option(String),\n    id: Option(Int),\n  )\n}\n\nCodeScanningCodeqlDatabase(\n  content_type: Option(String),\n  size: Option(Int),\n  commit_oid: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  uploader: Option(Nil),\n  url: Option(String),\n  updated_at: Option(String),\n  language: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningCodeqlDatabase\nmidas/sdk/github/schema CodeScanningCodeqlDatabase","url":"midas/sdk/github/schema.html#CodeScanningCodeqlDatabase"},{"doc":"midas/sdk/github/schema","title":"CodeScanningDefaultSetup","content":"pub type CodeScanningDefaultSetup {\n  CodeScanningDefaultSetup(\n    query_suite: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    schedule: Option(String),\n    languages: Option(List(String)),\n  )\n}\n\nCodeScanningDefaultSetup(\n  query_suite: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  schedule: Option(String),\n  languages: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningDefaultSetup\nmidas/sdk/github/schema CodeScanningDefaultSetup","url":"midas/sdk/github/schema.html#CodeScanningDefaultSetup"},{"doc":"midas/sdk/github/schema","title":"CodeScanningDefaultSetupUpdate","content":"pub type CodeScanningDefaultSetupUpdate {\n  CodeScanningDefaultSetupUpdate(\n    query_suite: Option(String),\n    state: Option(String),\n    languages: Option(List(String)),\n  )\n}\n\nCodeScanningDefaultSetupUpdate(\n  query_suite: Option(String),\n  state: Option(String),\n  languages: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningDefaultSetupUpdate\nmidas/sdk/github/schema CodeScanningDefaultSetupUpdate","url":"midas/sdk/github/schema.html#CodeScanningDefaultSetupUpdate"},{"doc":"midas/sdk/github/schema","title":"CodeScanningDefaultSetupUpdateResponse","content":"pub type CodeScanningDefaultSetupUpdateResponse {\n  CodeScanningDefaultSetupUpdateResponse(\n    run_id: Option(Int),\n    run_url: Option(String),\n  )\n}\n\nCodeScanningDefaultSetupUpdateResponse(\n  run_id: Option(Int),\n  run_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningDefaultSetupUpdateResponse\nmidas/sdk/github/schema CodeScanningDefaultSetupUpdateResponse","url":"midas/sdk/github/schema.html#CodeScanningDefaultSetupUpdateResponse"},{"doc":"midas/sdk/github/schema","title":"CodeScanningOrganizationAlertItems","content":"pub type CodeScanningOrganizationAlertItems {\n  CodeScanningOrganizationAlertItems(\n    dismissed_comment: Option(String),\n    number: Option(Int),\n    dismissed_at: Option(String),\n    created_at: Option(String),\n    repository: Option(Nil),\n    dismissed_by: Option(Nil),\n    instances_url: Option(String),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    tool: Option(Nil),\n    dismissed_reason: Option(String),\n    html_url: Option(String),\n    rule: Option(Nil),\n    most_recent_instance: Option(Nil),\n    fixed_at: Option(String),\n  )\n}\n\nCodeScanningOrganizationAlertItems(\n  dismissed_comment: Option(String),\n  number: Option(Int),\n  dismissed_at: Option(String),\n  created_at: Option(String),\n  repository: Option(Nil),\n  dismissed_by: Option(Nil),\n  instances_url: Option(String),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  tool: Option(Nil),\n  dismissed_reason: Option(String),\n  html_url: Option(String),\n  rule: Option(Nil),\n  most_recent_instance: Option(Nil),\n  fixed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningOrganizationAlertItems\nmidas/sdk/github/schema CodeScanningOrganizationAlertItems","url":"midas/sdk/github/schema.html#CodeScanningOrganizationAlertItems"},{"doc":"midas/sdk/github/schema","title":"CodeScanningRef","content":"pub type CodeScanningRef {\n  CodeScanningRef\n}\n\nCodeScanningRef\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningRef\nmidas/sdk/github/schema CodeScanningRef","url":"midas/sdk/github/schema.html#CodeScanningRef"},{"doc":"midas/sdk/github/schema","title":"CodeScanningRefFull","content":"pub type CodeScanningRefFull {\n  CodeScanningRefFull\n}\n\nCodeScanningRefFull\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningRefFull\nmidas/sdk/github/schema CodeScanningRefFull","url":"midas/sdk/github/schema.html#CodeScanningRefFull"},{"doc":"midas/sdk/github/schema","title":"CodeScanningSarifsReceipt","content":"pub type CodeScanningSarifsReceipt {\n  CodeScanningSarifsReceipt(\n    url: Option(String),\n    id: Option(String),\n  )\n}\n\nCodeScanningSarifsReceipt(\n  url: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningSarifsReceipt\nmidas/sdk/github/schema CodeScanningSarifsReceipt","url":"midas/sdk/github/schema.html#CodeScanningSarifsReceipt"},{"doc":"midas/sdk/github/schema","title":"CodeScanningSarifsStatus","content":"pub type CodeScanningSarifsStatus {\n  CodeScanningSarifsStatus(\n    errors: Option(List(String)),\n    analyses_url: Option(String),\n    processing_status: Option(String),\n  )\n}\n\nCodeScanningSarifsStatus(\n  errors: Option(List(String)),\n  analyses_url: Option(String),\n  processing_status: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningSarifsStatus\nmidas/sdk/github/schema CodeScanningSarifsStatus","url":"midas/sdk/github/schema.html#CodeScanningSarifsStatus"},{"doc":"midas/sdk/github/schema","title":"CodeScanningVariantAnalysis","content":"pub type CodeScanningVariantAnalysis {\n  CodeScanningVariantAnalysis(\n    query_pack_url: Option(String),\n    completed_at: Option(String),\n    created_at: Option(String),\n    actions_workflow_run_id: Option(Int),\n    query_language: Option(String),\n    status: Option(String),\n    actor: Option(Nil),\n    controller_repo: Option(Nil),\n    skipped_repositories: Option(Nil),\n    updated_at: Option(String),\n    scanned_repositories: Option(Nil),\n    failure_reason: Option(String),\n    id: Option(Int),\n  )\n}\n\nCodeScanningVariantAnalysis(\n  query_pack_url: Option(String),\n  completed_at: Option(String),\n  created_at: Option(String),\n  actions_workflow_run_id: Option(Int),\n  query_language: Option(String),\n  status: Option(String),\n  actor: Option(Nil),\n  controller_repo: Option(Nil),\n  skipped_repositories: Option(Nil),\n  updated_at: Option(String),\n  scanned_repositories: Option(Nil),\n  failure_reason: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningVariantAnalysis\nmidas/sdk/github/schema CodeScanningVariantAnalysis","url":"midas/sdk/github/schema.html#CodeScanningVariantAnalysis"},{"doc":"midas/sdk/github/schema","title":"CodeScanningVariantAnalysisLanguage","content":"pub type CodeScanningVariantAnalysisLanguage {\n  CodeScanningVariantAnalysisLanguage\n}\n\nCodeScanningVariantAnalysisLanguage\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningVariantAnalysisLanguage\nmidas/sdk/github/schema CodeScanningVariantAnalysisLanguage","url":"midas/sdk/github/schema.html#CodeScanningVariantAnalysisLanguage"},{"doc":"midas/sdk/github/schema","title":"CodeScanningVariantAnalysisRepoTask","content":"pub type CodeScanningVariantAnalysisRepoTask {\n  CodeScanningVariantAnalysisRepoTask(\n    artifact_url: Option(String),\n    artifact_size_in_bytes: Option(Int),\n    database_commit_sha: Option(String),\n    repository: Option(Nil),\n    result_count: Option(Int),\n    failure_message: Option(String),\n    analysis_status: Option(String),\n    source_location_prefix: Option(String),\n  )\n}\n\nCodeScanningVariantAnalysisRepoTask(\n  artifact_url: Option(String),\n  artifact_size_in_bytes: Option(Int),\n  database_commit_sha: Option(String),\n  repository: Option(Nil),\n  result_count: Option(Int),\n  failure_message: Option(String),\n  analysis_status: Option(String),\n  source_location_prefix: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningVariantAnalysisRepoTask\nmidas/sdk/github/schema CodeScanningVariantAnalysisRepoTask","url":"midas/sdk/github/schema.html#CodeScanningVariantAnalysisRepoTask"},{"doc":"midas/sdk/github/schema","title":"CodeScanningVariantAnalysisRepository","content":"pub type CodeScanningVariantAnalysisRepository {\n  CodeScanningVariantAnalysisRepository(\n    private: Option(Bool),\n    stargazers_count: Option(Int),\n    name: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    full_name: Option(String),\n  )\n}\n\nCodeScanningVariantAnalysisRepository(\n  private: Option(Bool),\n  stargazers_count: Option(Int),\n  name: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  full_name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningVariantAnalysisRepository\nmidas/sdk/github/schema CodeScanningVariantAnalysisRepository","url":"midas/sdk/github/schema.html#CodeScanningVariantAnalysisRepository"},{"doc":"midas/sdk/github/schema","title":"CodeScanningVariantAnalysisSkippedRepoGroup","content":"pub type CodeScanningVariantAnalysisSkippedRepoGroup {\n  CodeScanningVariantAnalysisSkippedRepoGroup(\n    repositories: Option(Nil),\n    repository_count: Option(Int),\n  )\n}\n\nCodeScanningVariantAnalysisSkippedRepoGroup(\n  repositories: Option(Nil),\n  repository_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningVariantAnalysisSkippedRepoGroup\nmidas/sdk/github/schema CodeScanningVariantAnalysisSkippedRepoGroup","url":"midas/sdk/github/schema.html#CodeScanningVariantAnalysisSkippedRepoGroup"},{"doc":"midas/sdk/github/schema","title":"CodeScanningVariantAnalysisStatus","content":"pub type CodeScanningVariantAnalysisStatus {\n  CodeScanningVariantAnalysisStatus\n}\n\nCodeScanningVariantAnalysisStatus\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeScanningVariantAnalysisStatus\nmidas/sdk/github/schema CodeScanningVariantAnalysisStatus","url":"midas/sdk/github/schema.html#CodeScanningVariantAnalysisStatus"},{"doc":"midas/sdk/github/schema","title":"CodeSearchResultItem","content":"pub type CodeSearchResultItem {\n  CodeSearchResultItem(\n    last_modified_at: Option(String),\n    text_matches: Option(Nil),\n    git_url: Option(String),\n    file_size: Option(Int),\n    path_: Option(String),\n    repository: Option(Nil),\n    name: Option(String),\n    sha: Option(String),\n    url: Option(String),\n    score: Option(Float),\n    language: Option(String),\n    html_url: Option(String),\n    line_numbers: Option(List(String)),\n  )\n}\n\nCodeSearchResultItem(\n  last_modified_at: Option(String),\n  text_matches: Option(Nil),\n  git_url: Option(String),\n  file_size: Option(Int),\n  path_: Option(String),\n  repository: Option(Nil),\n  name: Option(String),\n  sha: Option(String),\n  url: Option(String),\n  score: Option(Float),\n  language: Option(String),\n  html_url: Option(String),\n  line_numbers: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeSearchResultItem\nmidas/sdk/github/schema CodeSearchResultItem","url":"midas/sdk/github/schema.html#CodeSearchResultItem"},{"doc":"midas/sdk/github/schema","title":"CodeSecurityConfiguration","content":"pub type CodeSecurityConfiguration {\n  CodeSecurityConfiguration(\n    enforcement: Option(String),\n    secret_scanning: Option(String),\n    secret_scanning_non_provider_patterns: Option(String),\n    code_scanning_default_setup: Option(String),\n    dependabot_alerts: Option(String),\n    secret_scanning_delegated_bypass_options: Option(Nil),\n    secret_scanning_delegated_bypass: Option(String),\n    target_type: Option(String),\n    dependency_graph_autosubmit_action_options: Option(Nil),\n    dependency_graph_autosubmit_action: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    private_vulnerability_reporting: Option(String),\n    updated_at: Option(String),\n    dependabot_security_updates: Option(String),\n    secret_scanning_validity_checks: Option(String),\n    dependency_graph: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n    advanced_security: Option(String),\n    secret_scanning_push_protection: Option(String),\n  )\n}\n\nCodeSecurityConfiguration(\n  enforcement: Option(String),\n  secret_scanning: Option(String),\n  secret_scanning_non_provider_patterns: Option(String),\n  code_scanning_default_setup: Option(String),\n  dependabot_alerts: Option(String),\n  secret_scanning_delegated_bypass_options: Option(Nil),\n  secret_scanning_delegated_bypass: Option(String),\n  target_type: Option(String),\n  dependency_graph_autosubmit_action_options: Option(Nil),\n  dependency_graph_autosubmit_action: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  private_vulnerability_reporting: Option(String),\n  updated_at: Option(String),\n  dependabot_security_updates: Option(String),\n  secret_scanning_validity_checks: Option(String),\n  dependency_graph: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n  advanced_security: Option(String),\n  secret_scanning_push_protection: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeSecurityConfiguration\nmidas/sdk/github/schema CodeSecurityConfiguration","url":"midas/sdk/github/schema.html#CodeSecurityConfiguration"},{"doc":"midas/sdk/github/schema","title":"CodeSecurityConfigurationForRepository","content":"pub type CodeSecurityConfigurationForRepository {\n  CodeSecurityConfigurationForRepository(\n    status: Option(String),\n    configuration: Option(Nil),\n  )\n}\n\nCodeSecurityConfigurationForRepository(\n  status: Option(String),\n  configuration: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeSecurityConfigurationForRepository\nmidas/sdk/github/schema CodeSecurityConfigurationForRepository","url":"midas/sdk/github/schema.html#CodeSecurityConfigurationForRepository"},{"doc":"midas/sdk/github/schema","title":"CodeSecurityConfigurationRepositories","content":"pub type CodeSecurityConfigurationRepositories {\n  CodeSecurityConfigurationRepositories(\n    repository: Option(Nil),\n    status: Option(String),\n  )\n}\n\nCodeSecurityConfigurationRepositories(\n  repository: Option(Nil),\n  status: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeSecurityConfigurationRepositories\nmidas/sdk/github/schema CodeSecurityConfigurationRepositories","url":"midas/sdk/github/schema.html#CodeSecurityConfigurationRepositories"},{"doc":"midas/sdk/github/schema","title":"CodeSecurityDefaultConfigurations","content":"pub type CodeSecurityDefaultConfigurations {\n  CodeSecurityDefaultConfigurations\n}\n\nCodeSecurityDefaultConfigurations\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeSecurityDefaultConfigurations\nmidas/sdk/github/schema CodeSecurityDefaultConfigurations","url":"midas/sdk/github/schema.html#CodeSecurityDefaultConfigurations"},{"doc":"midas/sdk/github/schema","title":"CodeownersErrors","content":"pub type CodeownersErrors {\n  CodeownersErrors(errors: Option(Nil))\n}\n\nCodeownersErrors(errors: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.CodeownersErrors\nmidas/sdk/github/schema CodeownersErrors","url":"midas/sdk/github/schema.html#CodeownersErrors"},{"doc":"midas/sdk/github/schema","title":"Codespace","content":"pub type Codespace {\n  Codespace(\n    idle_timeout_notice: Option(String),\n    recent_folders: Option(List(String)),\n    retention_period_minutes: Option(Int),\n    web_url: Option(String),\n    machine: Option(Nil),\n    pending_operation_disabled_reason: Option(String),\n    environment_id: Option(String),\n    display_name: Option(String),\n    created_at: Option(String),\n    repository: Option(Nil),\n    prebuild: Option(Bool),\n    name: Option(String),\n    last_used_at: Option(String),\n    runtime_constraints: Option(Nil),\n    url: Option(String),\n    last_known_stop_notice: Option(String),\n    state: Option(String),\n    start_url: Option(String),\n    stop_url: Option(String),\n    owner: Option(Nil),\n    billable_owner: Option(Nil),\n    location: Option(String),\n    idle_timeout_minutes: Option(Int),\n    updated_at: Option(String),\n    devcontainer_path: Option(String),\n    id: Option(Int),\n    machines_url: Option(String),\n    pulls_url: Option(String),\n    pending_operation: Option(Bool),\n    retention_expires_at: Option(String),\n    git_status: Option(Nil),\n    publish_url: Option(String),\n  )\n}\n\nCodespace(\n  idle_timeout_notice: Option(String),\n  recent_folders: Option(List(String)),\n  retention_period_minutes: Option(Int),\n  web_url: Option(String),\n  machine: Option(Nil),\n  pending_operation_disabled_reason: Option(String),\n  environment_id: Option(String),\n  display_name: Option(String),\n  created_at: Option(String),\n  repository: Option(Nil),\n  prebuild: Option(Bool),\n  name: Option(String),\n  last_used_at: Option(String),\n  runtime_constraints: Option(Nil),\n  url: Option(String),\n  last_known_stop_notice: Option(String),\n  state: Option(String),\n  start_url: Option(String),\n  stop_url: Option(String),\n  owner: Option(Nil),\n  billable_owner: Option(Nil),\n  location: Option(String),\n  idle_timeout_minutes: Option(Int),\n  updated_at: Option(String),\n  devcontainer_path: Option(String),\n  id: Option(Int),\n  machines_url: Option(String),\n  pulls_url: Option(String),\n  pending_operation: Option(Bool),\n  retention_expires_at: Option(String),\n  git_status: Option(Nil),\n  publish_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Codespace\nmidas/sdk/github/schema Codespace","url":"midas/sdk/github/schema.html#Codespace"},{"doc":"midas/sdk/github/schema","title":"CodespaceExportDetails","content":"pub type CodespaceExportDetails {\n  CodespaceExportDetails(\n    branch: Option(String),\n    export_url: Option(String),\n    completed_at: Option(String),\n    sha: Option(String),\n    state: Option(String),\n    id: Option(String),\n    html_url: Option(String),\n  )\n}\n\nCodespaceExportDetails(\n  branch: Option(String),\n  export_url: Option(String),\n  completed_at: Option(String),\n  sha: Option(String),\n  state: Option(String),\n  id: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespaceExportDetails\nmidas/sdk/github/schema CodespaceExportDetails","url":"midas/sdk/github/schema.html#CodespaceExportDetails"},{"doc":"midas/sdk/github/schema","title":"CodespaceMachine","content":"pub type CodespaceMachine {\n  CodespaceMachine(\n    display_name: Option(String),\n    name: Option(String),\n    cpus: Option(Int),\n    operating_system: Option(String),\n    memory_in_bytes: Option(Int),\n    prebuild_availability: Option(String),\n    storage_in_bytes: Option(Int),\n  )\n}\n\nCodespaceMachine(\n  display_name: Option(String),\n  name: Option(String),\n  cpus: Option(Int),\n  operating_system: Option(String),\n  memory_in_bytes: Option(Int),\n  prebuild_availability: Option(String),\n  storage_in_bytes: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespaceMachine\nmidas/sdk/github/schema CodespaceMachine","url":"midas/sdk/github/schema.html#CodespaceMachine"},{"doc":"midas/sdk/github/schema","title":"CodespaceWithFullRepository","content":"pub type CodespaceWithFullRepository {\n  CodespaceWithFullRepository(\n    idle_timeout_notice: Option(String),\n    recent_folders: Option(List(String)),\n    retention_period_minutes: Option(Int),\n    web_url: Option(String),\n    machine: Option(Nil),\n    pending_operation_disabled_reason: Option(String),\n    environment_id: Option(String),\n    display_name: Option(String),\n    created_at: Option(String),\n    repository: Option(Nil),\n    prebuild: Option(Bool),\n    name: Option(String),\n    last_used_at: Option(String),\n    runtime_constraints: Option(Nil),\n    url: Option(String),\n    state: Option(String),\n    start_url: Option(String),\n    stop_url: Option(String),\n    owner: Option(Nil),\n    billable_owner: Option(Nil),\n    location: Option(String),\n    idle_timeout_minutes: Option(Int),\n    updated_at: Option(String),\n    devcontainer_path: Option(String),\n    id: Option(Int),\n    machines_url: Option(String),\n    pulls_url: Option(String),\n    pending_operation: Option(Bool),\n    retention_expires_at: Option(String),\n    git_status: Option(Nil),\n    publish_url: Option(String),\n  )\n}\n\nCodespaceWithFullRepository(\n  idle_timeout_notice: Option(String),\n  recent_folders: Option(List(String)),\n  retention_period_minutes: Option(Int),\n  web_url: Option(String),\n  machine: Option(Nil),\n  pending_operation_disabled_reason: Option(String),\n  environment_id: Option(String),\n  display_name: Option(String),\n  created_at: Option(String),\n  repository: Option(Nil),\n  prebuild: Option(Bool),\n  name: Option(String),\n  last_used_at: Option(String),\n  runtime_constraints: Option(Nil),\n  url: Option(String),\n  state: Option(String),\n  start_url: Option(String),\n  stop_url: Option(String),\n  owner: Option(Nil),\n  billable_owner: Option(Nil),\n  location: Option(String),\n  idle_timeout_minutes: Option(Int),\n  updated_at: Option(String),\n  devcontainer_path: Option(String),\n  id: Option(Int),\n  machines_url: Option(String),\n  pulls_url: Option(String),\n  pending_operation: Option(Bool),\n  retention_expires_at: Option(String),\n  git_status: Option(Nil),\n  publish_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespaceWithFullRepository\nmidas/sdk/github/schema CodespaceWithFullRepository","url":"midas/sdk/github/schema.html#CodespaceWithFullRepository"},{"doc":"midas/sdk/github/schema","title":"CodespacesOrgSecret","content":"pub type CodespacesOrgSecret {\n  CodespacesOrgSecret(\n    created_at: Option(String),\n    name: Option(String),\n    visibility: Option(String),\n    updated_at: Option(String),\n    selected_repositories_url: Option(String),\n  )\n}\n\nCodespacesOrgSecret(\n  created_at: Option(String),\n  name: Option(String),\n  visibility: Option(String),\n  updated_at: Option(String),\n  selected_repositories_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespacesOrgSecret\nmidas/sdk/github/schema CodespacesOrgSecret","url":"midas/sdk/github/schema.html#CodespacesOrgSecret"},{"doc":"midas/sdk/github/schema","title":"CodespacesPermissionsCheckForDevcontainer","content":"pub type CodespacesPermissionsCheckForDevcontainer {\n  CodespacesPermissionsCheckForDevcontainer(\n    accepted: Option(Bool),\n  )\n}\n\nCodespacesPermissionsCheckForDevcontainer(accepted: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespacesPermissionsCheckForDevcontainer\nmidas/sdk/github/schema CodespacesPermissionsCheckForDevcontainer","url":"midas/sdk/github/schema.html#CodespacesPermissionsCheckForDevcontainer"},{"doc":"midas/sdk/github/schema","title":"CodespacesPublicKey","content":"pub type CodespacesPublicKey {\n  CodespacesPublicKey(\n    created_at: Option(String),\n    url: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    key_id: Option(String),\n    key: Option(String),\n  )\n}\n\nCodespacesPublicKey(\n  created_at: Option(String),\n  url: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  key_id: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespacesPublicKey\nmidas/sdk/github/schema CodespacesPublicKey","url":"midas/sdk/github/schema.html#CodespacesPublicKey"},{"doc":"midas/sdk/github/schema","title":"CodespacesSecret","content":"pub type CodespacesSecret {\n  CodespacesSecret(\n    created_at: Option(String),\n    name: Option(String),\n    visibility: Option(String),\n    updated_at: Option(String),\n    selected_repositories_url: Option(String),\n  )\n}\n\nCodespacesSecret(\n  created_at: Option(String),\n  name: Option(String),\n  visibility: Option(String),\n  updated_at: Option(String),\n  selected_repositories_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespacesSecret\nmidas/sdk/github/schema CodespacesSecret","url":"midas/sdk/github/schema.html#CodespacesSecret"},{"doc":"midas/sdk/github/schema","title":"CodespacesUserPublicKey","content":"pub type CodespacesUserPublicKey {\n  CodespacesUserPublicKey(\n    key_id: Option(String),\n    key: Option(String),\n  )\n}\n\nCodespacesUserPublicKey(\n  key_id: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CodespacesUserPublicKey\nmidas/sdk/github/schema CodespacesUserPublicKey","url":"midas/sdk/github/schema.html#CodespacesUserPublicKey"},{"doc":"midas/sdk/github/schema","title":"Collaborator","content":"pub type Collaborator {\n  Collaborator(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    permissions: Option(Nil),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    role_name: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nCollaborator(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  permissions: Option(Nil),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  role_name: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Collaborator\nmidas/sdk/github/schema Collaborator","url":"midas/sdk/github/schema.html#Collaborator"},{"doc":"midas/sdk/github/schema","title":"CombinedBillingUsage","content":"pub type CombinedBillingUsage {\n  CombinedBillingUsage(\n    estimated_storage_for_month: Option(Int),\n    estimated_paid_storage_for_month: Option(Int),\n    days_left_in_billing_cycle: Option(Int),\n  )\n}\n\nCombinedBillingUsage(\n  estimated_storage_for_month: Option(Int),\n  estimated_paid_storage_for_month: Option(Int),\n  days_left_in_billing_cycle: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CombinedBillingUsage\nmidas/sdk/github/schema CombinedBillingUsage","url":"midas/sdk/github/schema.html#CombinedBillingUsage"},{"doc":"midas/sdk/github/schema","title":"CombinedCommitStatus","content":"pub type CombinedCommitStatus {\n  CombinedCommitStatus(\n    statuses: Option(Nil),\n    commit_url: Option(String),\n    repository: Option(Nil),\n    sha: Option(String),\n    url: Option(String),\n    state: Option(String),\n    total_count: Option(Int),\n  )\n}\n\nCombinedCommitStatus(\n  statuses: Option(Nil),\n  commit_url: Option(String),\n  repository: Option(Nil),\n  sha: Option(String),\n  url: Option(String),\n  state: Option(String),\n  total_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CombinedCommitStatus\nmidas/sdk/github/schema CombinedCommitStatus","url":"midas/sdk/github/schema.html#CombinedCommitStatus"},{"doc":"midas/sdk/github/schema","title":"Commit","content":"pub type Commit {\n  Commit(\n    comments_url: Option(String),\n    parents: Option(Nil),\n    committer: Option(Nil),\n    author: Option(Nil),\n    sha: Option(String),\n    url: Option(String),\n    commit: Option(Nil),\n    files: Option(Nil),\n    node_id: Option(String),\n    html_url: Option(String),\n    stats: Option(Nil),\n  )\n}\n\nCommit(\n  comments_url: Option(String),\n  parents: Option(Nil),\n  committer: Option(Nil),\n  author: Option(Nil),\n  sha: Option(String),\n  url: Option(String),\n  commit: Option(Nil),\n  files: Option(Nil),\n  node_id: Option(String),\n  html_url: Option(String),\n  stats: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Commit\nmidas/sdk/github/schema Commit","url":"midas/sdk/github/schema.html#Commit"},{"doc":"midas/sdk/github/schema","title":"CommitActivity","content":"pub type CommitActivity {\n  CommitActivity(\n    total: Option(Int),\n    week: Option(Int),\n    days: Option(Nil),\n  )\n}\n\nCommitActivity(\n  total: Option(Int),\n  week: Option(Int),\n  days: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CommitActivity\nmidas/sdk/github/schema CommitActivity","url":"midas/sdk/github/schema.html#CommitActivity"},{"doc":"midas/sdk/github/schema","title":"CommitComment","content":"pub type CommitComment {\n  CommitComment(\n    body: Option(String),\n    commit_id: Option(String),\n    path_: Option(String),\n    position: Option(Int),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    url: Option(String),\n    line: Option(Int),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nCommitComment(\n  body: Option(String),\n  commit_id: Option(String),\n  path_: Option(String),\n  position: Option(Int),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  url: Option(String),\n  line: Option(Int),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CommitComment\nmidas/sdk/github/schema CommitComment","url":"midas/sdk/github/schema.html#CommitComment"},{"doc":"midas/sdk/github/schema","title":"CommitComparison","content":"pub type CommitComparison {\n  CommitComparison(\n    total_commits: Option(Int),\n    base_commit: Option(Nil),\n    url: Option(String),\n    status: Option(String),\n    diff_url: Option(String),\n    ahead_by: Option(Int),\n    files: Option(Nil),\n    patch_url: Option(String),\n    permalink_url: Option(String),\n    html_url: Option(String),\n    behind_by: Option(Int),\n    commits: Option(Nil),\n    merge_base_commit: Option(Nil),\n  )\n}\n\nCommitComparison(\n  total_commits: Option(Int),\n  base_commit: Option(Nil),\n  url: Option(String),\n  status: Option(String),\n  diff_url: Option(String),\n  ahead_by: Option(Int),\n  files: Option(Nil),\n  patch_url: Option(String),\n  permalink_url: Option(String),\n  html_url: Option(String),\n  behind_by: Option(Int),\n  commits: Option(Nil),\n  merge_base_commit: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CommitComparison\nmidas/sdk/github/schema CommitComparison","url":"midas/sdk/github/schema.html#CommitComparison"},{"doc":"midas/sdk/github/schema","title":"CommitSearchResultItem","content":"pub type CommitSearchResultItem {\n  CommitSearchResultItem(\n    text_matches: Option(Nil),\n    comments_url: Option(String),\n    parents: Option(Nil),\n    repository: Option(Nil),\n    committer: Option(Nil),\n    author: Option(Nil),\n    sha: Option(String),\n    url: Option(String),\n    score: Option(Float),\n    commit: Option(Nil),\n    node_id: Option(String),\n    html_url: Option(String),\n  )\n}\n\nCommitSearchResultItem(\n  text_matches: Option(Nil),\n  comments_url: Option(String),\n  parents: Option(Nil),\n  repository: Option(Nil),\n  committer: Option(Nil),\n  author: Option(Nil),\n  sha: Option(String),\n  url: Option(String),\n  score: Option(Float),\n  commit: Option(Nil),\n  node_id: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CommitSearchResultItem\nmidas/sdk/github/schema CommitSearchResultItem","url":"midas/sdk/github/schema.html#CommitSearchResultItem"},{"doc":"midas/sdk/github/schema","title":"CommunityProfile","content":"pub type CommunityProfile {\n  CommunityProfile(\n    updated_at: Option(String),\n    files: Option(Nil),\n    documentation: Option(String),\n    content_reports_enabled: Option(Bool),\n    description: Option(String),\n    health_percentage: Option(Int),\n  )\n}\n\nCommunityProfile(\n  updated_at: Option(String),\n  files: Option(Nil),\n  documentation: Option(String),\n  content_reports_enabled: Option(Bool),\n  description: Option(String),\n  health_percentage: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CommunityProfile\nmidas/sdk/github/schema CommunityProfile","url":"midas/sdk/github/schema.html#CommunityProfile"},{"doc":"midas/sdk/github/schema","title":"ContentDirectory","content":"pub type ContentDirectory {\n  ContentDirectory\n}\n\nContentDirectory\n\n\nSynonyms:\nmidas/sdk/github/schema.ContentDirectory\nmidas/sdk/github/schema ContentDirectory","url":"midas/sdk/github/schema.html#ContentDirectory"},{"doc":"midas/sdk/github/schema","title":"ContentFile","content":"pub type ContentFile {\n  ContentFile(\n    size: Option(Int),\n    git_url: Option(String),\n    path_: Option(String),\n    name: Option(String),\n    sha: Option(String),\n    url: Option(String),\n    submodule_git_url: Option(String),\n    target: Option(String),\n    encoding: Option(String),\n    download_url: Option(String),\n    content: Option(String),\n    links: Option(Nil),\n    type_: Option(String),\n    html_url: Option(String),\n  )\n}\n\nContentFile(\n  size: Option(Int),\n  git_url: Option(String),\n  path_: Option(String),\n  name: Option(String),\n  sha: Option(String),\n  url: Option(String),\n  submodule_git_url: Option(String),\n  target: Option(String),\n  encoding: Option(String),\n  download_url: Option(String),\n  content: Option(String),\n  links: Option(Nil),\n  type_: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ContentFile\nmidas/sdk/github/schema ContentFile","url":"midas/sdk/github/schema.html#ContentFile"},{"doc":"midas/sdk/github/schema","title":"ContentSubmodule","content":"pub type ContentSubmodule {\n  ContentSubmodule(\n    size: Option(Int),\n    git_url: Option(String),\n    path_: Option(String),\n    name: Option(String),\n    sha: Option(String),\n    url: Option(String),\n    submodule_git_url: Option(String),\n    download_url: Option(String),\n    links: Option(Nil),\n    type_: Option(String),\n    html_url: Option(String),\n  )\n}\n\nContentSubmodule(\n  size: Option(Int),\n  git_url: Option(String),\n  path_: Option(String),\n  name: Option(String),\n  sha: Option(String),\n  url: Option(String),\n  submodule_git_url: Option(String),\n  download_url: Option(String),\n  links: Option(Nil),\n  type_: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ContentSubmodule\nmidas/sdk/github/schema ContentSubmodule","url":"midas/sdk/github/schema.html#ContentSubmodule"},{"doc":"midas/sdk/github/schema","title":"ContentSymlink","content":"pub type ContentSymlink {\n  ContentSymlink(\n    size: Option(Int),\n    git_url: Option(String),\n    path_: Option(String),\n    name: Option(String),\n    sha: Option(String),\n    url: Option(String),\n    target: Option(String),\n    download_url: Option(String),\n    links: Option(Nil),\n    type_: Option(String),\n    html_url: Option(String),\n  )\n}\n\nContentSymlink(\n  size: Option(Int),\n  git_url: Option(String),\n  path_: Option(String),\n  name: Option(String),\n  sha: Option(String),\n  url: Option(String),\n  target: Option(String),\n  download_url: Option(String),\n  links: Option(Nil),\n  type_: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ContentSymlink\nmidas/sdk/github/schema ContentSymlink","url":"midas/sdk/github/schema.html#ContentSymlink"},{"doc":"midas/sdk/github/schema","title":"ContentTraffic","content":"pub type ContentTraffic {\n  ContentTraffic(\n    uniques: Option(Int),\n    path_: Option(String),\n    count: Option(Int),\n    title: Option(String),\n  )\n}\n\nContentTraffic(\n  uniques: Option(Int),\n  path_: Option(String),\n  count: Option(Int),\n  title: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ContentTraffic\nmidas/sdk/github/schema ContentTraffic","url":"midas/sdk/github/schema.html#ContentTraffic"},{"doc":"midas/sdk/github/schema","title":"ContentTree","content":"pub type ContentTree {\n  ContentTree(\n    size: Option(Int),\n    git_url: Option(String),\n    path_: Option(String),\n    name: Option(String),\n    sha: Option(String),\n    url: Option(String),\n    entries: Option(Nil),\n    download_url: Option(String),\n    content: Option(String),\n    links: Option(Nil),\n    type_: Option(String),\n    html_url: Option(String),\n  )\n}\n\nContentTree(\n  size: Option(Int),\n  git_url: Option(String),\n  path_: Option(String),\n  name: Option(String),\n  sha: Option(String),\n  url: Option(String),\n  entries: Option(Nil),\n  download_url: Option(String),\n  content: Option(String),\n  links: Option(Nil),\n  type_: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ContentTree\nmidas/sdk/github/schema ContentTree","url":"midas/sdk/github/schema.html#ContentTree"},{"doc":"midas/sdk/github/schema","title":"Contributor","content":"pub type Contributor {\n  Contributor(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    contributions: Option(Int),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nContributor(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  contributions: Option(Int),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Contributor\nmidas/sdk/github/schema Contributor","url":"midas/sdk/github/schema.html#Contributor"},{"doc":"midas/sdk/github/schema","title":"ContributorActivity","content":"pub type ContributorActivity {\n  ContributorActivity(\n    total: Option(Int),\n    author: Option(Nil),\n    weeks: Option(Nil),\n  )\n}\n\nContributorActivity(\n  total: Option(Int),\n  author: Option(Nil),\n  weeks: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ContributorActivity\nmidas/sdk/github/schema ContributorActivity","url":"midas/sdk/github/schema.html#ContributorActivity"},{"doc":"midas/sdk/github/schema","title":"ConvertedNoteToIssueIssueEvent","content":"pub type ConvertedNoteToIssueIssueEvent {\n  ConvertedNoteToIssueIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    project_card: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nConvertedNoteToIssueIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  project_card: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ConvertedNoteToIssueIssueEvent\nmidas/sdk/github/schema ConvertedNoteToIssueIssueEvent","url":"midas/sdk/github/schema.html#ConvertedNoteToIssueIssueEvent"},{"doc":"midas/sdk/github/schema","title":"CopilotDotcomChat","content":"pub type CopilotDotcomChat {\n  CopilotDotcomChat(\n    models: Option(Nil),\n    total_engaged_users: Option(Int),\n  )\n}\n\nCopilotDotcomChat(\n  models: Option(Nil),\n  total_engaged_users: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotDotcomChat\nmidas/sdk/github/schema CopilotDotcomChat","url":"midas/sdk/github/schema.html#CopilotDotcomChat"},{"doc":"midas/sdk/github/schema","title":"CopilotDotcomPullRequests","content":"pub type CopilotDotcomPullRequests {\n  CopilotDotcomPullRequests(\n    repositories: Option(Nil),\n    total_engaged_users: Option(Int),\n  )\n}\n\nCopilotDotcomPullRequests(\n  repositories: Option(Nil),\n  total_engaged_users: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotDotcomPullRequests\nmidas/sdk/github/schema CopilotDotcomPullRequests","url":"midas/sdk/github/schema.html#CopilotDotcomPullRequests"},{"doc":"midas/sdk/github/schema","title":"CopilotIdeChat","content":"pub type CopilotIdeChat {\n  CopilotIdeChat(\n    editors: Option(Nil),\n    total_engaged_users: Option(Int),\n  )\n}\n\nCopilotIdeChat(\n  editors: Option(Nil),\n  total_engaged_users: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotIdeChat\nmidas/sdk/github/schema CopilotIdeChat","url":"midas/sdk/github/schema.html#CopilotIdeChat"},{"doc":"midas/sdk/github/schema","title":"CopilotIdeCodeCompletions","content":"pub type CopilotIdeCodeCompletions {\n  CopilotIdeCodeCompletions(\n    editors: Option(Nil),\n    total_engaged_users: Option(Int),\n    languages: Option(Nil),\n  )\n}\n\nCopilotIdeCodeCompletions(\n  editors: Option(Nil),\n  total_engaged_users: Option(Int),\n  languages: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotIdeCodeCompletions\nmidas/sdk/github/schema CopilotIdeCodeCompletions","url":"midas/sdk/github/schema.html#CopilotIdeCodeCompletions"},{"doc":"midas/sdk/github/schema","title":"CopilotOrganizationDetails","content":"pub type CopilotOrganizationDetails {\n  CopilotOrganizationDetails(\n    cli: Option(String),\n    platform_chat: Option(String),\n    seat_breakdown: Option(Nil),\n    ide_chat: Option(String),\n    seat_management_setting: Option(String),\n    plan_type: Option(String),\n    public_code_suggestions: Option(String),\n  )\n}\n\nCopilotOrganizationDetails(\n  cli: Option(String),\n  platform_chat: Option(String),\n  seat_breakdown: Option(Nil),\n  ide_chat: Option(String),\n  seat_management_setting: Option(String),\n  plan_type: Option(String),\n  public_code_suggestions: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotOrganizationDetails\nmidas/sdk/github/schema CopilotOrganizationDetails","url":"midas/sdk/github/schema.html#CopilotOrganizationDetails"},{"doc":"midas/sdk/github/schema","title":"CopilotSeatBreakdown","content":"pub type CopilotSeatBreakdown {\n  CopilotSeatBreakdown(\n    pending_invitation: Option(Int),\n    added_this_cycle: Option(Int),\n    total: Option(Int),\n    pending_cancellation: Option(Int),\n    inactive_this_cycle: Option(Int),\n    active_this_cycle: Option(Int),\n  )\n}\n\nCopilotSeatBreakdown(\n  pending_invitation: Option(Int),\n  added_this_cycle: Option(Int),\n  total: Option(Int),\n  pending_cancellation: Option(Int),\n  inactive_this_cycle: Option(Int),\n  active_this_cycle: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotSeatBreakdown\nmidas/sdk/github/schema CopilotSeatBreakdown","url":"midas/sdk/github/schema.html#CopilotSeatBreakdown"},{"doc":"midas/sdk/github/schema","title":"CopilotSeatDetails","content":"pub type CopilotSeatDetails {\n  CopilotSeatDetails(\n    pending_cancellation_date: Option(String),\n    assigning_team: Option(Nil),\n    created_at: Option(String),\n    assignee: Option(Nil),\n    plan_type: Option(String),\n    organization: Option(Nil),\n    last_activity_editor: Option(String),\n    updated_at: Option(String),\n    last_activity_at: Option(String),\n  )\n}\n\nCopilotSeatDetails(\n  pending_cancellation_date: Option(String),\n  assigning_team: Option(Nil),\n  created_at: Option(String),\n  assignee: Option(Nil),\n  plan_type: Option(String),\n  organization: Option(Nil),\n  last_activity_editor: Option(String),\n  updated_at: Option(String),\n  last_activity_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotSeatDetails\nmidas/sdk/github/schema CopilotSeatDetails","url":"midas/sdk/github/schema.html#CopilotSeatDetails"},{"doc":"midas/sdk/github/schema","title":"CopilotUsageMetrics","content":"pub type CopilotUsageMetrics {\n  CopilotUsageMetrics(\n    breakdown: Option(Nil),\n    total_lines_accepted: Option(Int),\n    total_suggestions_count: Option(Int),\n    total_lines_suggested: Option(Int),\n    total_active_users: Option(Int),\n    total_chat_turns: Option(Int),\n    total_chat_acceptances: Option(Int),\n    total_acceptances_count: Option(Int),\n    day: Option(String),\n    total_active_chat_users: Option(Int),\n  )\n}\n\nCopilotUsageMetrics(\n  breakdown: Option(Nil),\n  total_lines_accepted: Option(Int),\n  total_suggestions_count: Option(Int),\n  total_lines_suggested: Option(Int),\n  total_active_users: Option(Int),\n  total_chat_turns: Option(Int),\n  total_chat_acceptances: Option(Int),\n  total_acceptances_count: Option(Int),\n  day: Option(String),\n  total_active_chat_users: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotUsageMetrics\nmidas/sdk/github/schema CopilotUsageMetrics","url":"midas/sdk/github/schema.html#CopilotUsageMetrics"},{"doc":"midas/sdk/github/schema","title":"CopilotUsageMetricsDay","content":"pub type CopilotUsageMetricsDay {\n  CopilotUsageMetricsDay(\n    copilot_ide_chat: Option(Nil),\n    total_active_users: Option(Int),\n    copilot_dotcom_pull_requests: Option(Nil),\n    copilot_dotcom_chat: Option(Nil),\n    copilot_ide_code_completions: Option(Nil),\n    date: Option(String),\n    total_engaged_users: Option(Int),\n  )\n}\n\nCopilotUsageMetricsDay(\n  copilot_ide_chat: Option(Nil),\n  total_active_users: Option(Int),\n  copilot_dotcom_pull_requests: Option(Nil),\n  copilot_dotcom_chat: Option(Nil),\n  copilot_ide_code_completions: Option(Nil),\n  date: Option(String),\n  total_engaged_users: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CopilotUsageMetricsDay\nmidas/sdk/github/schema CopilotUsageMetricsDay","url":"midas/sdk/github/schema.html#CopilotUsageMetricsDay"},{"doc":"midas/sdk/github/schema","title":"CustomDeploymentRuleApp","content":"pub type CustomDeploymentRuleApp {\n  CustomDeploymentRuleApp(\n    integration_url: Option(String),\n    slug: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n  )\n}\n\nCustomDeploymentRuleApp(\n  integration_url: Option(String),\n  slug: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CustomDeploymentRuleApp\nmidas/sdk/github/schema CustomDeploymentRuleApp","url":"midas/sdk/github/schema.html#CustomDeploymentRuleApp"},{"doc":"midas/sdk/github/schema","title":"CustomProperty","content":"pub type CustomProperty {\n  CustomProperty(\n    value_type: Option(String),\n    url: Option(String),\n    default_value: Option(Nil),\n    values_editable_by: Option(String),\n    property_name: Option(String),\n    allowed_values: Option(List(String)),\n    description: Option(String),\n    source_type: Option(String),\n    required: Option(Bool),\n  )\n}\n\nCustomProperty(\n  value_type: Option(String),\n  url: Option(String),\n  default_value: Option(Nil),\n  values_editable_by: Option(String),\n  property_name: Option(String),\n  allowed_values: Option(List(String)),\n  description: Option(String),\n  source_type: Option(String),\n  required: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CustomProperty\nmidas/sdk/github/schema CustomProperty","url":"midas/sdk/github/schema.html#CustomProperty"},{"doc":"midas/sdk/github/schema","title":"CustomPropertyValue","content":"pub type CustomPropertyValue {\n  CustomPropertyValue(\n    value: Option(Nil),\n    property_name: Option(String),\n  )\n}\n\nCustomPropertyValue(\n  value: Option(Nil),\n  property_name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.CustomPropertyValue\nmidas/sdk/github/schema CustomPropertyValue","url":"midas/sdk/github/schema.html#CustomPropertyValue"},{"doc":"midas/sdk/github/schema","title":"CvssSeverities","content":"pub type CvssSeverities {\n  CvssSeverities(cvss_v3: Option(Nil), cvss_v4: Option(Nil))\n}\n\nCvssSeverities(cvss_v3: Option(Nil), cvss_v4: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.CvssSeverities\nmidas/sdk/github/schema CvssSeverities","url":"midas/sdk/github/schema.html#CvssSeverities"},{"doc":"midas/sdk/github/schema","title":"DemilestonedIssueEvent","content":"pub type DemilestonedIssueEvent {\n  DemilestonedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    milestone: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nDemilestonedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  milestone: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DemilestonedIssueEvent\nmidas/sdk/github/schema DemilestonedIssueEvent","url":"midas/sdk/github/schema.html#DemilestonedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"DependabotAlert","content":"pub type DependabotAlert {\n  DependabotAlert(\n    dismissed_comment: Option(String),\n    number: Option(Int),\n    dismissed_at: Option(String),\n    created_at: Option(String),\n    dependency: Option(Nil),\n    dismissed_by: Option(Nil),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    security_advisory: Option(Nil),\n    auto_dismissed_at: Option(String),\n    dismissed_reason: Option(String),\n    html_url: Option(String),\n    security_vulnerability: Option(Nil),\n    fixed_at: Option(String),\n  )\n}\n\nDependabotAlert(\n  dismissed_comment: Option(String),\n  number: Option(Int),\n  dismissed_at: Option(String),\n  created_at: Option(String),\n  dependency: Option(Nil),\n  dismissed_by: Option(Nil),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  security_advisory: Option(Nil),\n  auto_dismissed_at: Option(String),\n  dismissed_reason: Option(String),\n  html_url: Option(String),\n  security_vulnerability: Option(Nil),\n  fixed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DependabotAlert\nmidas/sdk/github/schema DependabotAlert","url":"midas/sdk/github/schema.html#DependabotAlert"},{"doc":"midas/sdk/github/schema","title":"DependabotAlertPackage","content":"pub type DependabotAlertPackage {\n  DependabotAlertPackage(\n    ecosystem: Option(String),\n    name: Option(String),\n  )\n}\n\nDependabotAlertPackage(\n  ecosystem: Option(String),\n  name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DependabotAlertPackage\nmidas/sdk/github/schema DependabotAlertPackage","url":"midas/sdk/github/schema.html#DependabotAlertPackage"},{"doc":"midas/sdk/github/schema","title":"DependabotAlertSecurityAdvisory","content":"pub type DependabotAlertSecurityAdvisory {\n  DependabotAlertSecurityAdvisory(\n    cwes: Option(Nil),\n    published_at: Option(String),\n    summary: Option(String),\n    cvss_severities: Option(Nil),\n    cve_id: Option(String),\n    references: Option(Nil),\n    identifiers: Option(Nil),\n    ghsa_id: Option(String),\n    withdrawn_at: Option(String),\n    cvss: Option(Nil),\n    updated_at: Option(String),\n    vulnerabilities: Option(Nil),\n    description: Option(String),\n    severity: Option(String),\n  )\n}\n\nDependabotAlertSecurityAdvisory(\n  cwes: Option(Nil),\n  published_at: Option(String),\n  summary: Option(String),\n  cvss_severities: Option(Nil),\n  cve_id: Option(String),\n  references: Option(Nil),\n  identifiers: Option(Nil),\n  ghsa_id: Option(String),\n  withdrawn_at: Option(String),\n  cvss: Option(Nil),\n  updated_at: Option(String),\n  vulnerabilities: Option(Nil),\n  description: Option(String),\n  severity: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DependabotAlertSecurityAdvisory\nmidas/sdk/github/schema DependabotAlertSecurityAdvisory","url":"midas/sdk/github/schema.html#DependabotAlertSecurityAdvisory"},{"doc":"midas/sdk/github/schema","title":"DependabotAlertSecurityVulnerability","content":"pub type DependabotAlertSecurityVulnerability {\n  DependabotAlertSecurityVulnerability(\n    package: Option(Nil),\n    first_patched_version: Option(Nil),\n    severity: Option(String),\n    vulnerable_version_range: Option(String),\n  )\n}\n\nDependabotAlertSecurityVulnerability(\n  package: Option(Nil),\n  first_patched_version: Option(Nil),\n  severity: Option(String),\n  vulnerable_version_range: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DependabotAlertSecurityVulnerability\nmidas/sdk/github/schema DependabotAlertSecurityVulnerability","url":"midas/sdk/github/schema.html#DependabotAlertSecurityVulnerability"},{"doc":"midas/sdk/github/schema","title":"DependabotAlertWithRepository","content":"pub type DependabotAlertWithRepository {\n  DependabotAlertWithRepository(\n    dismissed_comment: Option(String),\n    number: Option(Int),\n    dismissed_at: Option(String),\n    created_at: Option(String),\n    repository: Option(Nil),\n    dependency: Option(Nil),\n    dismissed_by: Option(Nil),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    security_advisory: Option(Nil),\n    auto_dismissed_at: Option(String),\n    dismissed_reason: Option(String),\n    html_url: Option(String),\n    security_vulnerability: Option(Nil),\n    fixed_at: Option(String),\n  )\n}\n\nDependabotAlertWithRepository(\n  dismissed_comment: Option(String),\n  number: Option(Int),\n  dismissed_at: Option(String),\n  created_at: Option(String),\n  repository: Option(Nil),\n  dependency: Option(Nil),\n  dismissed_by: Option(Nil),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  security_advisory: Option(Nil),\n  auto_dismissed_at: Option(String),\n  dismissed_reason: Option(String),\n  html_url: Option(String),\n  security_vulnerability: Option(Nil),\n  fixed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DependabotAlertWithRepository\nmidas/sdk/github/schema DependabotAlertWithRepository","url":"midas/sdk/github/schema.html#DependabotAlertWithRepository"},{"doc":"midas/sdk/github/schema","title":"DependabotPublicKey","content":"pub type DependabotPublicKey {\n  DependabotPublicKey(\n    key_id: Option(String),\n    key: Option(String),\n  )\n}\n\nDependabotPublicKey(key_id: Option(String), key: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.DependabotPublicKey\nmidas/sdk/github/schema DependabotPublicKey","url":"midas/sdk/github/schema.html#DependabotPublicKey"},{"doc":"midas/sdk/github/schema","title":"DependabotSecret","content":"pub type DependabotSecret {\n  DependabotSecret(\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n  )\n}\n\nDependabotSecret(\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DependabotSecret\nmidas/sdk/github/schema DependabotSecret","url":"midas/sdk/github/schema.html#DependabotSecret"},{"doc":"midas/sdk/github/schema","title":"Dependency","content":"pub type Dependency {\n  Dependency(\n    dependencies: Option(List(String)),\n    metadata: Option(Nil),\n    scope: Option(String),\n    package_url: Option(String),\n    relationship: Option(String),\n  )\n}\n\nDependency(\n  dependencies: Option(List(String)),\n  metadata: Option(Nil),\n  scope: Option(String),\n  package_url: Option(String),\n  relationship: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Dependency\nmidas/sdk/github/schema Dependency","url":"midas/sdk/github/schema.html#Dependency"},{"doc":"midas/sdk/github/schema","title":"DependencyGraphDiff","content":"pub type DependencyGraphDiff {\n  DependencyGraphDiff\n}\n\nDependencyGraphDiff\n\n\nSynonyms:\nmidas/sdk/github/schema.DependencyGraphDiff\nmidas/sdk/github/schema DependencyGraphDiff","url":"midas/sdk/github/schema.html#DependencyGraphDiff"},{"doc":"midas/sdk/github/schema","title":"DependencyGraphSpdxSbom","content":"pub type DependencyGraphSpdxSbom {\n  DependencyGraphSpdxSbom(sbom: Option(Nil))\n}\n\nDependencyGraphSpdxSbom(sbom: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.DependencyGraphSpdxSbom\nmidas/sdk/github/schema DependencyGraphSpdxSbom","url":"midas/sdk/github/schema.html#DependencyGraphSpdxSbom"},{"doc":"midas/sdk/github/schema","title":"DeployKey","content":"pub type DeployKey {\n  DeployKey(\n    enabled: Option(Bool),\n    last_used: Option(String),\n    verified: Option(Bool),\n    created_at: Option(String),\n    url: Option(String),\n    read_only: Option(Bool),\n    added_by: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    key: Option(String),\n  )\n}\n\nDeployKey(\n  enabled: Option(Bool),\n  last_used: Option(String),\n  verified: Option(Bool),\n  created_at: Option(String),\n  url: Option(String),\n  read_only: Option(Bool),\n  added_by: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DeployKey\nmidas/sdk/github/schema DeployKey","url":"midas/sdk/github/schema.html#DeployKey"},{"doc":"midas/sdk/github/schema","title":"Deployment","content":"pub type Deployment {\n  Deployment(\n    original_environment: Option(String),\n    task: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    sha: Option(String),\n    production_environment: Option(Bool),\n    payload: Option(Nil),\n    url: Option(String),\n    statuses_url: Option(String),\n    ref: Option(String),\n    environment: Option(String),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    description: Option(String),\n    transient_environment: Option(Bool),\n  )\n}\n\nDeployment(\n  original_environment: Option(String),\n  task: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  sha: Option(String),\n  production_environment: Option(Bool),\n  payload: Option(Nil),\n  url: Option(String),\n  statuses_url: Option(String),\n  ref: Option(String),\n  environment: Option(String),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  description: Option(String),\n  transient_environment: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Deployment\nmidas/sdk/github/schema Deployment","url":"midas/sdk/github/schema.html#Deployment"},{"doc":"midas/sdk/github/schema","title":"DeploymentBranchPolicy","content":"pub type DeploymentBranchPolicy {\n  DeploymentBranchPolicy(\n    name: Option(String),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n  )\n}\n\nDeploymentBranchPolicy(\n  name: Option(String),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentBranchPolicy\nmidas/sdk/github/schema DeploymentBranchPolicy","url":"midas/sdk/github/schema.html#DeploymentBranchPolicy"},{"doc":"midas/sdk/github/schema","title":"DeploymentBranchPolicyNamePattern","content":"pub type DeploymentBranchPolicyNamePattern {\n  DeploymentBranchPolicyNamePattern(name: Option(String))\n}\n\nDeploymentBranchPolicyNamePattern(name: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentBranchPolicyNamePattern\nmidas/sdk/github/schema DeploymentBranchPolicyNamePattern","url":"midas/sdk/github/schema.html#DeploymentBranchPolicyNamePattern"},{"doc":"midas/sdk/github/schema","title":"DeploymentBranchPolicyNamePatternWithType","content":"pub type DeploymentBranchPolicyNamePatternWithType {\n  DeploymentBranchPolicyNamePatternWithType(\n    name: Option(String),\n    type_: Option(String),\n  )\n}\n\nDeploymentBranchPolicyNamePatternWithType(\n  name: Option(String),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentBranchPolicyNamePatternWithType\nmidas/sdk/github/schema DeploymentBranchPolicyNamePatternWithType","url":"midas/sdk/github/schema.html#DeploymentBranchPolicyNamePatternWithType"},{"doc":"midas/sdk/github/schema","title":"DeploymentBranchPolicySettings","content":"pub type DeploymentBranchPolicySettings {\n  DeploymentBranchPolicySettings(\n    protected_branches: Option(Bool),\n    custom_branch_policies: Option(Bool),\n  )\n}\n\nDeploymentBranchPolicySettings(\n  protected_branches: Option(Bool),\n  custom_branch_policies: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentBranchPolicySettings\nmidas/sdk/github/schema DeploymentBranchPolicySettings","url":"midas/sdk/github/schema.html#DeploymentBranchPolicySettings"},{"doc":"midas/sdk/github/schema","title":"DeploymentProtectionRule","content":"pub type DeploymentProtectionRule {\n  DeploymentProtectionRule(\n    app: Option(Nil),\n    enabled: Option(Bool),\n    node_id: Option(String),\n    id: Option(Int),\n  )\n}\n\nDeploymentProtectionRule(\n  app: Option(Nil),\n  enabled: Option(Bool),\n  node_id: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentProtectionRule\nmidas/sdk/github/schema DeploymentProtectionRule","url":"midas/sdk/github/schema.html#DeploymentProtectionRule"},{"doc":"midas/sdk/github/schema","title":"DeploymentReviewerType","content":"pub type DeploymentReviewerType {\n  DeploymentReviewerType\n}\n\nDeploymentReviewerType\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentReviewerType\nmidas/sdk/github/schema DeploymentReviewerType","url":"midas/sdk/github/schema.html#DeploymentReviewerType"},{"doc":"midas/sdk/github/schema","title":"DeploymentSimple","content":"pub type DeploymentSimple {\n  DeploymentSimple(\n    original_environment: Option(String),\n    task: Option(String),\n    created_at: Option(String),\n    production_environment: Option(Bool),\n    url: Option(String),\n    statuses_url: Option(String),\n    environment: Option(String),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    description: Option(String),\n    transient_environment: Option(Bool),\n  )\n}\n\nDeploymentSimple(\n  original_environment: Option(String),\n  task: Option(String),\n  created_at: Option(String),\n  production_environment: Option(Bool),\n  url: Option(String),\n  statuses_url: Option(String),\n  environment: Option(String),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  description: Option(String),\n  transient_environment: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentSimple\nmidas/sdk/github/schema DeploymentSimple","url":"midas/sdk/github/schema.html#DeploymentSimple"},{"doc":"midas/sdk/github/schema","title":"DeploymentStatus","content":"pub type DeploymentStatus {\n  DeploymentStatus(\n    target_url: Option(String),\n    environment_url: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    url: Option(String),\n    state: Option(String),\n    environment: Option(String),\n    log_url: Option(String),\n    deployment_url: Option(String),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nDeploymentStatus(\n  target_url: Option(String),\n  environment_url: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  url: Option(String),\n  state: Option(String),\n  environment: Option(String),\n  log_url: Option(String),\n  deployment_url: Option(String),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DeploymentStatus\nmidas/sdk/github/schema DeploymentStatus","url":"midas/sdk/github/schema.html#DeploymentStatus"},{"doc":"midas/sdk/github/schema","title":"DiffEntry","content":"pub type DiffEntry {\n  DiffEntry(\n    changes: Option(Int),\n    deletions: Option(Int),\n    filename: Option(String),\n    patch: Option(String),\n    contents_url: Option(String),\n    sha: Option(String),\n    blob_url: Option(String),\n    previous_filename: Option(String),\n    status: Option(String),\n    additions: Option(Int),\n    raw_url: Option(String),\n  )\n}\n\nDiffEntry(\n  changes: Option(Int),\n  deletions: Option(Int),\n  filename: Option(String),\n  patch: Option(String),\n  contents_url: Option(String),\n  sha: Option(String),\n  blob_url: Option(String),\n  previous_filename: Option(String),\n  status: Option(String),\n  additions: Option(Int),\n  raw_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.DiffEntry\nmidas/sdk/github/schema DiffEntry","url":"midas/sdk/github/schema.html#DiffEntry"},{"doc":"midas/sdk/github/schema","title":"Discussion","content":"pub type Discussion {\n  Discussion(\n    body: Option(String),\n    answer_chosen_by: Option(Nil),\n    number: Option(Int),\n    created_at: Option(String),\n    locked: Option(Bool),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    timeline_url: Option(String),\n    state: Option(String),\n    state_reason: Option(String),\n    comments: Option(Int),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    answer_html_url: Option(String),\n    category: Option(Nil),\n    active_lock_reason: Option(String),\n    answer_chosen_at: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nDiscussion(\n  body: Option(String),\n  answer_chosen_by: Option(Nil),\n  number: Option(Int),\n  created_at: Option(String),\n  locked: Option(Bool),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  timeline_url: Option(String),\n  state: Option(String),\n  state_reason: Option(String),\n  comments: Option(Int),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  answer_html_url: Option(String),\n  category: Option(Nil),\n  active_lock_reason: Option(String),\n  answer_chosen_at: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Discussion\nmidas/sdk/github/schema Discussion","url":"midas/sdk/github/schema.html#Discussion"},{"doc":"midas/sdk/github/schema","title":"Email","content":"pub type Email {\n  Email(\n    primary: Option(Bool),\n    verified: Option(Bool),\n    visibility: Option(String),\n    email: Option(String),\n  )\n}\n\nEmail(\n  primary: Option(Bool),\n  verified: Option(Bool),\n  visibility: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Email\nmidas/sdk/github/schema Email","url":"midas/sdk/github/schema.html#Email"},{"doc":"midas/sdk/github/schema","title":"EmptyObject","content":"pub type EmptyObject {\n  EmptyObject\n}\n\nEmptyObject\n\n\nSynonyms:\nmidas/sdk/github/schema.EmptyObject\nmidas/sdk/github/schema EmptyObject","url":"midas/sdk/github/schema.html#EmptyObject"},{"doc":"midas/sdk/github/schema","title":"EnabledRepositories","content":"pub type EnabledRepositories {\n  EnabledRepositories\n}\n\nEnabledRepositories\n\n\nSynonyms:\nmidas/sdk/github/schema.EnabledRepositories\nmidas/sdk/github/schema EnabledRepositories","url":"midas/sdk/github/schema.html#EnabledRepositories"},{"doc":"midas/sdk/github/schema","title":"Enterprise","content":"pub type Enterprise {\n  Enterprise(\n    avatar_url: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    website_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n  )\n}\n\nEnterprise(\n  avatar_url: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  website_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Enterprise\nmidas/sdk/github/schema Enterprise","url":"midas/sdk/github/schema.html#Enterprise"},{"doc":"midas/sdk/github/schema","title":"EnterpriseTeam","content":"pub type EnterpriseTeam {\n  EnterpriseTeam(\n    sync_to_organizations: Option(String),\n    members_url: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    group_id: Option(String),\n  )\n}\n\nEnterpriseTeam(\n  sync_to_organizations: Option(String),\n  members_url: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  group_id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.EnterpriseTeam\nmidas/sdk/github/schema EnterpriseTeam","url":"midas/sdk/github/schema.html#EnterpriseTeam"},{"doc":"midas/sdk/github/schema","title":"EnterpriseWebhooks","content":"pub type EnterpriseWebhooks {\n  EnterpriseWebhooks(\n    avatar_url: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    website_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n  )\n}\n\nEnterpriseWebhooks(\n  avatar_url: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  website_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.EnterpriseWebhooks\nmidas/sdk/github/schema EnterpriseWebhooks","url":"midas/sdk/github/schema.html#EnterpriseWebhooks"},{"doc":"midas/sdk/github/schema","title":"Environment","content":"pub type Environment {\n  Environment(\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    protection_rules: Option(Nil),\n    deployment_branch_policy: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nEnvironment(\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  protection_rules: Option(Nil),\n  deployment_branch_policy: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Environment\nmidas/sdk/github/schema Environment","url":"midas/sdk/github/schema.html#Environment"},{"doc":"midas/sdk/github/schema","title":"EnvironmentApprovals","content":"pub type EnvironmentApprovals {\n  EnvironmentApprovals(\n    environments: Option(Nil),\n    user: Option(Nil),\n    state: Option(String),\n    comment: Option(String),\n  )\n}\n\nEnvironmentApprovals(\n  environments: Option(Nil),\n  user: Option(Nil),\n  state: Option(String),\n  comment: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.EnvironmentApprovals\nmidas/sdk/github/schema EnvironmentApprovals","url":"midas/sdk/github/schema.html#EnvironmentApprovals"},{"doc":"midas/sdk/github/schema","title":"Event","content":"pub type Event {\n  Event(\n    org: Option(Nil),\n    public: Option(Bool),\n    created_at: Option(String),\n    payload: Option(Nil),\n    repo: Option(Nil),\n    actor: Option(Nil),\n    type_: Option(String),\n    id: Option(String),\n  )\n}\n\nEvent(\n  org: Option(Nil),\n  public: Option(Bool),\n  created_at: Option(String),\n  payload: Option(Nil),\n  repo: Option(Nil),\n  actor: Option(Nil),\n  type_: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Event\nmidas/sdk/github/schema Event","url":"midas/sdk/github/schema.html#Event"},{"doc":"midas/sdk/github/schema","title":"Feed","content":"pub type Feed {\n  Feed(\n    current_user_url: Option(String),\n    current_user_organization_urls: Option(List(String)),\n    repository_discussions_url: Option(String),\n    security_advisories_url: Option(String),\n    current_user_public_url: Option(String),\n    current_user_organization_url: Option(String),\n    timeline_url: Option(String),\n    current_user_actor_url: Option(String),\n    repository_discussions_category_url: Option(String),\n    links: Option(Nil),\n    user_url: Option(String),\n  )\n}\n\nFeed(\n  current_user_url: Option(String),\n  current_user_organization_urls: Option(List(String)),\n  repository_discussions_url: Option(String),\n  security_advisories_url: Option(String),\n  current_user_public_url: Option(String),\n  current_user_organization_url: Option(String),\n  timeline_url: Option(String),\n  current_user_actor_url: Option(String),\n  repository_discussions_category_url: Option(String),\n  links: Option(Nil),\n  user_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Feed\nmidas/sdk/github/schema Feed","url":"midas/sdk/github/schema.html#Feed"},{"doc":"midas/sdk/github/schema","title":"FileCommit","content":"pub type FileCommit {\n  FileCommit(commit: Option(Nil), content: Option(Nil))\n}\n\nFileCommit(commit: Option(Nil), content: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.FileCommit\nmidas/sdk/github/schema FileCommit","url":"midas/sdk/github/schema.html#FileCommit"},{"doc":"midas/sdk/github/schema","title":"FullRepository","content":"pub type FullRepository {\n  FullRepository(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    custom_properties: Option(Nil),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    allow_update_branch: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    security_and_analysis: Option(Nil),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    squash_merge_commit_message: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    merge_commit_message: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    parent: Option(Nil),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    code_of_conduct: Option(Nil),\n    allow_squash_merge: Option(Bool),\n    homepage: Option(String),\n    template_repository: Option(Nil),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    use_squash_pr_title_as_default: Option(Bool),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    allow_rebase_merge: Option(Bool),\n    organization: Option(Nil),\n    owner: Option(Nil),\n    allow_merge_commit: Option(Bool),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    squash_merge_commit_title: Option(String),\n    merge_commit_title: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    anonymous_access_enabled: Option(Bool),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    source: Option(Nil),\n    subscribers_url: Option(String),\n    subscribers_count: Option(Int),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    allow_auto_merge: Option(Bool),\n    pulls_url: Option(String),\n    network_count: Option(Int),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    master_branch: Option(String),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nFullRepository(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  custom_properties: Option(Nil),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  allow_update_branch: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  security_and_analysis: Option(Nil),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  squash_merge_commit_message: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  merge_commit_message: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  parent: Option(Nil),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  code_of_conduct: Option(Nil),\n  allow_squash_merge: Option(Bool),\n  homepage: Option(String),\n  template_repository: Option(Nil),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  use_squash_pr_title_as_default: Option(Bool),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  allow_rebase_merge: Option(Bool),\n  organization: Option(Nil),\n  owner: Option(Nil),\n  allow_merge_commit: Option(Bool),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  squash_merge_commit_title: Option(String),\n  merge_commit_title: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  anonymous_access_enabled: Option(Bool),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  source: Option(Nil),\n  subscribers_url: Option(String),\n  subscribers_count: Option(Int),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  allow_auto_merge: Option(Bool),\n  pulls_url: Option(String),\n  network_count: Option(Int),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  master_branch: Option(String),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.FullRepository\nmidas/sdk/github/schema FullRepository","url":"midas/sdk/github/schema.html#FullRepository"},{"doc":"midas/sdk/github/schema","title":"GistComment","content":"pub type GistComment {\n  GistComment(\n    body: Option(String),\n    created_at: Option(String),\n    user: Option(Nil),\n    author_association: Option(String),\n    url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n  )\n}\n\nGistComment(\n  body: Option(String),\n  created_at: Option(String),\n  user: Option(Nil),\n  author_association: Option(String),\n  url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GistComment\nmidas/sdk/github/schema GistComment","url":"midas/sdk/github/schema.html#GistComment"},{"doc":"midas/sdk/github/schema","title":"GistCommit","content":"pub type GistCommit {\n  GistCommit(\n    change_status: Option(Nil),\n    user: Option(Nil),\n    url: Option(String),\n    committed_at: Option(String),\n    version: Option(String),\n  )\n}\n\nGistCommit(\n  change_status: Option(Nil),\n  user: Option(Nil),\n  url: Option(String),\n  committed_at: Option(String),\n  version: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GistCommit\nmidas/sdk/github/schema GistCommit","url":"midas/sdk/github/schema.html#GistCommit"},{"doc":"midas/sdk/github/schema","title":"GistHistory","content":"pub type GistHistory {\n  GistHistory(\n    change_status: Option(Nil),\n    user: Option(Nil),\n    url: Option(String),\n    committed_at: Option(String),\n    version: Option(String),\n  )\n}\n\nGistHistory(\n  change_status: Option(Nil),\n  user: Option(Nil),\n  url: Option(String),\n  committed_at: Option(String),\n  version: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GistHistory\nmidas/sdk/github/schema GistHistory","url":"midas/sdk/github/schema.html#GistHistory"},{"doc":"midas/sdk/github/schema","title":"GistSimple","content":"pub type GistSimple {\n  GistSimple(\n    forks_url: Option(String),\n    git_pull_url: Option(String),\n    comments_url: Option(String),\n    public: Option(Bool),\n    created_at: Option(String),\n    user: Option(String),\n    commits_url: Option(String),\n    url: Option(String),\n    forks: Option(Nil),\n    owner: Option(Nil),\n    history: Option(Nil),\n    comments: Option(Int),\n    fork_of: Option(Nil),\n    git_push_url: Option(String),\n    updated_at: Option(String),\n    files: Option(Nil),\n    node_id: Option(String),\n    id: Option(String),\n    html_url: Option(String),\n    description: Option(String),\n    truncated: Option(Bool),\n  )\n}\n\nGistSimple(\n  forks_url: Option(String),\n  git_pull_url: Option(String),\n  comments_url: Option(String),\n  public: Option(Bool),\n  created_at: Option(String),\n  user: Option(String),\n  commits_url: Option(String),\n  url: Option(String),\n  forks: Option(Nil),\n  owner: Option(Nil),\n  history: Option(Nil),\n  comments: Option(Int),\n  fork_of: Option(Nil),\n  git_push_url: Option(String),\n  updated_at: Option(String),\n  files: Option(Nil),\n  node_id: Option(String),\n  id: Option(String),\n  html_url: Option(String),\n  description: Option(String),\n  truncated: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GistSimple\nmidas/sdk/github/schema GistSimple","url":"midas/sdk/github/schema.html#GistSimple"},{"doc":"midas/sdk/github/schema","title":"GitCommit","content":"pub type GitCommit {\n  GitCommit(\n    message: Option(String),\n    parents: Option(Nil),\n    committer: Option(Nil),\n    author: Option(Nil),\n    sha: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    verification: Option(Nil),\n    html_url: Option(String),\n    tree: Option(Nil),\n  )\n}\n\nGitCommit(\n  message: Option(String),\n  parents: Option(Nil),\n  committer: Option(Nil),\n  author: Option(Nil),\n  sha: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  verification: Option(Nil),\n  html_url: Option(String),\n  tree: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GitCommit\nmidas/sdk/github/schema GitCommit","url":"midas/sdk/github/schema.html#GitCommit"},{"doc":"midas/sdk/github/schema","title":"GitRef","content":"pub type GitRef {\n  GitRef(\n    url: Option(String),\n    ref: Option(String),\n    node_id: Option(String),\n    object: Option(Nil),\n  )\n}\n\nGitRef(\n  url: Option(String),\n  ref: Option(String),\n  node_id: Option(String),\n  object: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GitRef\nmidas/sdk/github/schema GitRef","url":"midas/sdk/github/schema.html#GitRef"},{"doc":"midas/sdk/github/schema","title":"GitTag","content":"pub type GitTag {\n  GitTag(\n    message: Option(String),\n    sha: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    tagger: Option(Nil),\n    tag: Option(String),\n    verification: Option(Nil),\n    object: Option(Nil),\n  )\n}\n\nGitTag(\n  message: Option(String),\n  sha: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  tagger: Option(Nil),\n  tag: Option(String),\n  verification: Option(Nil),\n  object: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GitTag\nmidas/sdk/github/schema GitTag","url":"midas/sdk/github/schema.html#GitTag"},{"doc":"midas/sdk/github/schema","title":"GitTree","content":"pub type GitTree {\n  GitTree(\n    sha: Option(String),\n    url: Option(String),\n    tree: Option(Nil),\n    truncated: Option(Bool),\n  )\n}\n\nGitTree(\n  sha: Option(String),\n  url: Option(String),\n  tree: Option(Nil),\n  truncated: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GitTree\nmidas/sdk/github/schema GitTree","url":"midas/sdk/github/schema.html#GitTree"},{"doc":"midas/sdk/github/schema","title":"GitignoreTemplate","content":"pub type GitignoreTemplate {\n  GitignoreTemplate(name: Option(String), source: Option(String))\n}\n\nGitignoreTemplate(name: Option(String), source: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.GitignoreTemplate\nmidas/sdk/github/schema GitignoreTemplate","url":"midas/sdk/github/schema.html#GitignoreTemplate"},{"doc":"midas/sdk/github/schema","title":"GlobalAdvisory","content":"pub type GlobalAdvisory {\n  GlobalAdvisory(\n    cwes: Option(Nil),\n    source_code_location: Option(String),\n    published_at: Option(String),\n    summary: Option(String),\n    cvss_severities: Option(Nil),\n    nvd_published_at: Option(String),\n    cve_id: Option(String),\n    references: Option(List(String)),\n    identifiers: Option(Nil),\n    epss: Option(Nil),\n    ghsa_id: Option(String),\n    withdrawn_at: Option(String),\n    url: Option(String),\n    cvss: Option(Nil),\n    updated_at: Option(String),\n    credits: Option(Nil),\n    vulnerabilities: Option(Nil),\n    type_: Option(String),\n    html_url: Option(String),\n    description: Option(String),\n    severity: Option(String),\n    repository_advisory_url: Option(String),\n    github_reviewed_at: Option(String),\n  )\n}\n\nGlobalAdvisory(\n  cwes: Option(Nil),\n  source_code_location: Option(String),\n  published_at: Option(String),\n  summary: Option(String),\n  cvss_severities: Option(Nil),\n  nvd_published_at: Option(String),\n  cve_id: Option(String),\n  references: Option(List(String)),\n  identifiers: Option(Nil),\n  epss: Option(Nil),\n  ghsa_id: Option(String),\n  withdrawn_at: Option(String),\n  url: Option(String),\n  cvss: Option(Nil),\n  updated_at: Option(String),\n  credits: Option(Nil),\n  vulnerabilities: Option(Nil),\n  type_: Option(String),\n  html_url: Option(String),\n  description: Option(String),\n  severity: Option(String),\n  repository_advisory_url: Option(String),\n  github_reviewed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GlobalAdvisory\nmidas/sdk/github/schema GlobalAdvisory","url":"midas/sdk/github/schema.html#GlobalAdvisory"},{"doc":"midas/sdk/github/schema","title":"GpgKey","content":"pub type GpgKey {\n  GpgKey(\n    raw_key: Option(String),\n    can_certify: Option(Bool),\n    public_key: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    can_sign: Option(Bool),\n    can_encrypt_storage: Option(Bool),\n    subkeys: Option(Nil),\n    emails: Option(Nil),\n    primary_key_id: Option(Int),\n    id: Option(Int),\n    key_id: Option(String),\n    expires_at: Option(String),\n    can_encrypt_comms: Option(Bool),\n    revoked: Option(Bool),\n  )\n}\n\nGpgKey(\n  raw_key: Option(String),\n  can_certify: Option(Bool),\n  public_key: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  can_sign: Option(Bool),\n  can_encrypt_storage: Option(Bool),\n  subkeys: Option(Nil),\n  emails: Option(Nil),\n  primary_key_id: Option(Int),\n  id: Option(Int),\n  key_id: Option(String),\n  expires_at: Option(String),\n  can_encrypt_comms: Option(Bool),\n  revoked: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.GpgKey\nmidas/sdk/github/schema GpgKey","url":"midas/sdk/github/schema.html#GpgKey"},{"doc":"midas/sdk/github/schema","title":"Hook","content":"pub type Hook {\n  Hook(\n    test_url: Option(String),\n    ping_url: Option(String),\n    config: Option(Nil),\n    deliveries_url: Option(String),\n    active: Option(Bool),\n    created_at: Option(String),\n    last_response: Option(Nil),\n    name: Option(String),\n    url: Option(String),\n    updated_at: Option(String),\n    events: Option(List(String)),\n    type_: Option(String),\n    id: Option(Int),\n  )\n}\n\nHook(\n  test_url: Option(String),\n  ping_url: Option(String),\n  config: Option(Nil),\n  deliveries_url: Option(String),\n  active: Option(Bool),\n  created_at: Option(String),\n  last_response: Option(Nil),\n  name: Option(String),\n  url: Option(String),\n  updated_at: Option(String),\n  events: Option(List(String)),\n  type_: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Hook\nmidas/sdk/github/schema Hook","url":"midas/sdk/github/schema.html#Hook"},{"doc":"midas/sdk/github/schema","title":"HookDelivery","content":"pub type HookDelivery {\n  HookDelivery(\n    installation_id: Option(Int),\n    response: Option(Nil),\n    redelivery: Option(Bool),\n    guid: Option(String),\n    delivered_at: Option(String),\n    url: Option(String),\n    request: Option(Nil),\n    repository_id: Option(Int),\n    status: Option(String),\n    duration: Option(Float),\n    action: Option(String),\n    throttled_at: Option(String),\n    status_code: Option(Int),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nHookDelivery(\n  installation_id: Option(Int),\n  response: Option(Nil),\n  redelivery: Option(Bool),\n  guid: Option(String),\n  delivered_at: Option(String),\n  url: Option(String),\n  request: Option(Nil),\n  repository_id: Option(Int),\n  status: Option(String),\n  duration: Option(Float),\n  action: Option(String),\n  throttled_at: Option(String),\n  status_code: Option(Int),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.HookDelivery\nmidas/sdk/github/schema HookDelivery","url":"midas/sdk/github/schema.html#HookDelivery"},{"doc":"midas/sdk/github/schema","title":"HookDeliveryItem","content":"pub type HookDeliveryItem {\n  HookDeliveryItem(\n    installation_id: Option(Int),\n    redelivery: Option(Bool),\n    guid: Option(String),\n    delivered_at: Option(String),\n    repository_id: Option(Int),\n    status: Option(String),\n    duration: Option(Float),\n    action: Option(String),\n    throttled_at: Option(String),\n    status_code: Option(Int),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nHookDeliveryItem(\n  installation_id: Option(Int),\n  redelivery: Option(Bool),\n  guid: Option(String),\n  delivered_at: Option(String),\n  repository_id: Option(Int),\n  status: Option(String),\n  duration: Option(Float),\n  action: Option(String),\n  throttled_at: Option(String),\n  status_code: Option(Int),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.HookDeliveryItem\nmidas/sdk/github/schema HookDeliveryItem","url":"midas/sdk/github/schema.html#HookDeliveryItem"},{"doc":"midas/sdk/github/schema","title":"HookResponse","content":"pub type HookResponse {\n  HookResponse(\n    message: Option(String),\n    code: Option(Int),\n    status: Option(String),\n  )\n}\n\nHookResponse(\n  message: Option(String),\n  code: Option(Int),\n  status: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.HookResponse\nmidas/sdk/github/schema HookResponse","url":"midas/sdk/github/schema.html#HookResponse"},{"doc":"midas/sdk/github/schema","title":"Hovercard","content":"pub type Hovercard {\n  Hovercard(contexts: Option(Nil))\n}\n\nHovercard(contexts: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.Hovercard\nmidas/sdk/github/schema Hovercard","url":"midas/sdk/github/schema.html#Hovercard"},{"doc":"midas/sdk/github/schema","title":"Import","content":"pub type Import {\n  Import(\n    push_percent: Option(Int),\n    svc_root: Option(String),\n    use_lfs: Option(Bool),\n    large_files_count: Option(Int),\n    vcs: Option(String),\n    message: Option(String),\n    commit_count: Option(Int),\n    import_percent: Option(Int),\n    project_choices: Option(Nil),\n    large_files_size: Option(Int),\n    failed_step: Option(String),\n    has_large_files: Option(Bool),\n    url: Option(String),\n    error_message: Option(String),\n    status: Option(String),\n    vcs_url: Option(String),\n    svn_root: Option(String),\n    authors_url: Option(String),\n    authors_count: Option(Int),\n    tfvc_project: Option(String),\n    status_text: Option(String),\n    repository_url: Option(String),\n    html_url: Option(String),\n  )\n}\n\nImport(\n  push_percent: Option(Int),\n  svc_root: Option(String),\n  use_lfs: Option(Bool),\n  large_files_count: Option(Int),\n  vcs: Option(String),\n  message: Option(String),\n  commit_count: Option(Int),\n  import_percent: Option(Int),\n  project_choices: Option(Nil),\n  large_files_size: Option(Int),\n  failed_step: Option(String),\n  has_large_files: Option(Bool),\n  url: Option(String),\n  error_message: Option(String),\n  status: Option(String),\n  vcs_url: Option(String),\n  svn_root: Option(String),\n  authors_url: Option(String),\n  authors_count: Option(Int),\n  tfvc_project: Option(String),\n  status_text: Option(String),\n  repository_url: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Import\nmidas/sdk/github/schema Import","url":"midas/sdk/github/schema.html#Import"},{"doc":"midas/sdk/github/schema","title":"Installation","content":"pub type Installation {\n  Installation(\n    single_file_paths: Option(List(String)),\n    permissions: Option(Nil),\n    access_tokens_url: Option(String),\n    target_type: Option(String),\n    app_slug: Option(String),\n    target_id: Option(Int),\n    created_at: Option(String),\n    has_multiple_single_files: Option(Bool),\n    account: Option(Nil),\n    single_file_name: Option(String),\n    suspended_at: Option(String),\n    updated_at: Option(String),\n    repository_selection: Option(String),\n    repositories_url: Option(String),\n    events: Option(List(String)),\n    app_id: Option(Int),\n    id: Option(Int),\n    suspended_by: Option(Nil),\n    html_url: Option(String),\n    contact_email: Option(String),\n  )\n}\n\nInstallation(\n  single_file_paths: Option(List(String)),\n  permissions: Option(Nil),\n  access_tokens_url: Option(String),\n  target_type: Option(String),\n  app_slug: Option(String),\n  target_id: Option(Int),\n  created_at: Option(String),\n  has_multiple_single_files: Option(Bool),\n  account: Option(Nil),\n  single_file_name: Option(String),\n  suspended_at: Option(String),\n  updated_at: Option(String),\n  repository_selection: Option(String),\n  repositories_url: Option(String),\n  events: Option(List(String)),\n  app_id: Option(Int),\n  id: Option(Int),\n  suspended_by: Option(Nil),\n  html_url: Option(String),\n  contact_email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Installation\nmidas/sdk/github/schema Installation","url":"midas/sdk/github/schema.html#Installation"},{"doc":"midas/sdk/github/schema","title":"InstallationToken","content":"pub type InstallationToken {\n  InstallationToken(\n    single_file_paths: Option(List(String)),\n    permissions: Option(Nil),\n    repositories: Option(Nil),\n    has_multiple_single_files: Option(Bool),\n    single_file: Option(String),\n    repository_selection: Option(String),\n    token_: Option(String),\n    expires_at: Option(String),\n  )\n}\n\nInstallationToken(\n  single_file_paths: Option(List(String)),\n  permissions: Option(Nil),\n  repositories: Option(Nil),\n  has_multiple_single_files: Option(Bool),\n  single_file: Option(String),\n  repository_selection: Option(String),\n  token_: Option(String),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.InstallationToken\nmidas/sdk/github/schema InstallationToken","url":"midas/sdk/github/schema.html#InstallationToken"},{"doc":"midas/sdk/github/schema","title":"Integration","content":"pub type Integration {\n  Integration(\n    permissions: Option(Nil),\n    client_secret: Option(String),\n    installations_count: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    client_id: Option(String),\n    owner: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    pem: Option(String),\n    webhook_secret: Option(String),\n    events: Option(List(String)),\n    id: Option(Int),\n    html_url: Option(String),\n    external_url: Option(String),\n    description: Option(String),\n  )\n}\n\nIntegration(\n  permissions: Option(Nil),\n  client_secret: Option(String),\n  installations_count: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  client_id: Option(String),\n  owner: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  pem: Option(String),\n  webhook_secret: Option(String),\n  events: Option(List(String)),\n  id: Option(Int),\n  html_url: Option(String),\n  external_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Integration\nmidas/sdk/github/schema Integration","url":"midas/sdk/github/schema.html#Integration"},{"doc":"midas/sdk/github/schema","title":"IntegrationInstallationRequest","content":"pub type IntegrationInstallationRequest {\n  IntegrationInstallationRequest(\n    created_at: Option(String),\n    account: Option(Nil),\n    node_id: Option(String),\n    id: Option(Int),\n    requester: Option(Nil),\n  )\n}\n\nIntegrationInstallationRequest(\n  created_at: Option(String),\n  account: Option(Nil),\n  node_id: Option(String),\n  id: Option(Int),\n  requester: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.IntegrationInstallationRequest\nmidas/sdk/github/schema IntegrationInstallationRequest","url":"midas/sdk/github/schema.html#IntegrationInstallationRequest"},{"doc":"midas/sdk/github/schema","title":"InteractionExpiry","content":"pub type InteractionExpiry {\n  InteractionExpiry\n}\n\nInteractionExpiry\n\n\nSynonyms:\nmidas/sdk/github/schema.InteractionExpiry\nmidas/sdk/github/schema InteractionExpiry","url":"midas/sdk/github/schema.html#InteractionExpiry"},{"doc":"midas/sdk/github/schema","title":"InteractionGroup","content":"pub type InteractionGroup {\n  InteractionGroup\n}\n\nInteractionGroup\n\n\nSynonyms:\nmidas/sdk/github/schema.InteractionGroup\nmidas/sdk/github/schema InteractionGroup","url":"midas/sdk/github/schema.html#InteractionGroup"},{"doc":"midas/sdk/github/schema","title":"InteractionLimit","content":"pub type InteractionLimit {\n  InteractionLimit(expiry: Option(String), limit: Option(String))\n}\n\nInteractionLimit(expiry: Option(String), limit: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.InteractionLimit\nmidas/sdk/github/schema InteractionLimit","url":"midas/sdk/github/schema.html#InteractionLimit"},{"doc":"midas/sdk/github/schema","title":"InteractionLimitResponse","content":"pub type InteractionLimitResponse {\n  InteractionLimitResponse(\n    origin: Option(String),\n    limit: Option(String),\n    expires_at: Option(String),\n  )\n}\n\nInteractionLimitResponse(\n  origin: Option(String),\n  limit: Option(String),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.InteractionLimitResponse\nmidas/sdk/github/schema InteractionLimitResponse","url":"midas/sdk/github/schema.html#InteractionLimitResponse"},{"doc":"midas/sdk/github/schema","title":"Issue","content":"pub type Issue {\n  Issue(\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    closed_at: Option(String),\n    body_html: Option(String),\n    events_url: Option(String),\n    number: Option(Int),\n    closed_by: Option(Nil),\n    created_at: Option(String),\n    body_text: Option(String),\n    locked: Option(Bool),\n    repository: Option(Nil),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    milestone: Option(Nil),\n    timeline_url: Option(String),\n    state: Option(String),\n    state_reason: Option(String),\n    comments: Option(Int),\n    pull_request: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nIssue(\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  closed_at: Option(String),\n  body_html: Option(String),\n  events_url: Option(String),\n  number: Option(Int),\n  closed_by: Option(Nil),\n  created_at: Option(String),\n  body_text: Option(String),\n  locked: Option(Bool),\n  repository: Option(Nil),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  milestone: Option(Nil),\n  timeline_url: Option(String),\n  state: Option(String),\n  state_reason: Option(String),\n  comments: Option(Int),\n  pull_request: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Issue\nmidas/sdk/github/schema Issue","url":"midas/sdk/github/schema.html#Issue"},{"doc":"midas/sdk/github/schema","title":"IssueComment","content":"pub type IssueComment {\n  IssueComment(\n    body: Option(String),\n    body_html: Option(String),\n    issue_url: Option(String),\n    created_at: Option(String),\n    body_text: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    url: Option(String),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nIssueComment(\n  body: Option(String),\n  body_html: Option(String),\n  issue_url: Option(String),\n  created_at: Option(String),\n  body_text: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  url: Option(String),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueComment\nmidas/sdk/github/schema IssueComment","url":"midas/sdk/github/schema.html#IssueComment"},{"doc":"midas/sdk/github/schema","title":"IssueEvent","content":"pub type IssueEvent {\n  IssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    author_association: Option(String),\n    requested_team: Option(Nil),\n    dismissed_review: Option(Nil),\n    url: Option(String),\n    assignee: Option(Nil),\n    milestone: Option(Nil),\n    label: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    review_requester: Option(Nil),\n    project_card: Option(Nil),\n    requested_reviewer: Option(Nil),\n    node_id: Option(String),\n    lock_reason: Option(String),\n    issue: Option(Nil),\n    event: Option(String),\n    id: Option(Int),\n    assigner: Option(Nil),\n    rename: Option(Nil),\n  )\n}\n\nIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  author_association: Option(String),\n  requested_team: Option(Nil),\n  dismissed_review: Option(Nil),\n  url: Option(String),\n  assignee: Option(Nil),\n  milestone: Option(Nil),\n  label: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  review_requester: Option(Nil),\n  project_card: Option(Nil),\n  requested_reviewer: Option(Nil),\n  node_id: Option(String),\n  lock_reason: Option(String),\n  issue: Option(Nil),\n  event: Option(String),\n  id: Option(Int),\n  assigner: Option(Nil),\n  rename: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueEvent\nmidas/sdk/github/schema IssueEvent","url":"midas/sdk/github/schema.html#IssueEvent"},{"doc":"midas/sdk/github/schema","title":"IssueEventDismissedReview","content":"pub type IssueEventDismissedReview {\n  IssueEventDismissedReview(\n    review_id: Option(Int),\n    state: Option(String),\n    dismissal_commit_id: Option(String),\n    dismissal_message: Option(String),\n  )\n}\n\nIssueEventDismissedReview(\n  review_id: Option(Int),\n  state: Option(String),\n  dismissal_commit_id: Option(String),\n  dismissal_message: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueEventDismissedReview\nmidas/sdk/github/schema IssueEventDismissedReview","url":"midas/sdk/github/schema.html#IssueEventDismissedReview"},{"doc":"midas/sdk/github/schema","title":"IssueEventForIssue","content":"pub type IssueEventForIssue {\n  IssueEventForIssue\n}\n\nIssueEventForIssue\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueEventForIssue\nmidas/sdk/github/schema IssueEventForIssue","url":"midas/sdk/github/schema.html#IssueEventForIssue"},{"doc":"midas/sdk/github/schema","title":"IssueEventLabel","content":"pub type IssueEventLabel {\n  IssueEventLabel(color: Option(String), name: Option(String))\n}\n\nIssueEventLabel(color: Option(String), name: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueEventLabel\nmidas/sdk/github/schema IssueEventLabel","url":"midas/sdk/github/schema.html#IssueEventLabel"},{"doc":"midas/sdk/github/schema","title":"IssueEventMilestone","content":"pub type IssueEventMilestone {\n  IssueEventMilestone(title: Option(String))\n}\n\nIssueEventMilestone(title: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueEventMilestone\nmidas/sdk/github/schema IssueEventMilestone","url":"midas/sdk/github/schema.html#IssueEventMilestone"},{"doc":"midas/sdk/github/schema","title":"IssueEventProjectCard","content":"pub type IssueEventProjectCard {\n  IssueEventProjectCard(\n    project_id: Option(Int),\n    project_url: Option(String),\n    previous_column_name: Option(String),\n    url: Option(String),\n    column_name: Option(String),\n    id: Option(Int),\n  )\n}\n\nIssueEventProjectCard(\n  project_id: Option(Int),\n  project_url: Option(String),\n  previous_column_name: Option(String),\n  url: Option(String),\n  column_name: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueEventProjectCard\nmidas/sdk/github/schema IssueEventProjectCard","url":"midas/sdk/github/schema.html#IssueEventProjectCard"},{"doc":"midas/sdk/github/schema","title":"IssueEventRename","content":"pub type IssueEventRename {\n  IssueEventRename(from: Option(String), to: Option(String))\n}\n\nIssueEventRename(from: Option(String), to: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueEventRename\nmidas/sdk/github/schema IssueEventRename","url":"midas/sdk/github/schema.html#IssueEventRename"},{"doc":"midas/sdk/github/schema","title":"IssueSearchResultItem","content":"pub type IssueSearchResultItem {\n  IssueSearchResultItem(\n    text_matches: Option(Nil),\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    closed_at: Option(String),\n    body_html: Option(String),\n    events_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    body_text: Option(String),\n    locked: Option(Bool),\n    repository: Option(Nil),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    milestone: Option(Nil),\n    timeline_url: Option(String),\n    state: Option(String),\n    state_reason: Option(String),\n    score: Option(Float),\n    comments: Option(Int),\n    pull_request: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nIssueSearchResultItem(\n  text_matches: Option(Nil),\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  closed_at: Option(String),\n  body_html: Option(String),\n  events_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  body_text: Option(String),\n  locked: Option(Bool),\n  repository: Option(Nil),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  milestone: Option(Nil),\n  timeline_url: Option(String),\n  state: Option(String),\n  state_reason: Option(String),\n  score: Option(Float),\n  comments: Option(Int),\n  pull_request: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.IssueSearchResultItem\nmidas/sdk/github/schema IssueSearchResultItem","url":"midas/sdk/github/schema.html#IssueSearchResultItem"},{"doc":"midas/sdk/github/schema","title":"Job","content":"pub type Job {\n  Job(\n    head_branch: Option(String),\n    check_run_url: Option(String),\n    completed_at: Option(String),\n    steps: Option(Nil),\n    runner_id: Option(Int),\n    created_at: Option(String),\n    runner_group_id: Option(Int),\n    name: Option(String),\n    workflow_name: Option(String),\n    head_sha: Option(String),\n    url: Option(String),\n    run_id: Option(Int),\n    started_at: Option(String),\n    status: Option(String),\n    node_id: Option(String),\n    run_attempt: Option(Int),\n    runner_group_name: Option(String),\n    runner_name: Option(String),\n    id: Option(Int),\n    run_url: Option(String),\n    html_url: Option(String),\n    conclusion: Option(String),\n    labels: Option(List(String)),\n  )\n}\n\nJob(\n  head_branch: Option(String),\n  check_run_url: Option(String),\n  completed_at: Option(String),\n  steps: Option(Nil),\n  runner_id: Option(Int),\n  created_at: Option(String),\n  runner_group_id: Option(Int),\n  name: Option(String),\n  workflow_name: Option(String),\n  head_sha: Option(String),\n  url: Option(String),\n  run_id: Option(Int),\n  started_at: Option(String),\n  status: Option(String),\n  node_id: Option(String),\n  run_attempt: Option(Int),\n  runner_group_name: Option(String),\n  runner_name: Option(String),\n  id: Option(Int),\n  run_url: Option(String),\n  html_url: Option(String),\n  conclusion: Option(String),\n  labels: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Job\nmidas/sdk/github/schema Job","url":"midas/sdk/github/schema.html#Job"},{"doc":"midas/sdk/github/schema","title":"Key","content":"pub type Key {\n  Key(\n    verified: Option(Bool),\n    created_at: Option(String),\n    url: Option(String),\n    read_only: Option(Bool),\n    title: Option(String),\n    id: Option(Int),\n    key: Option(String),\n  )\n}\n\nKey(\n  verified: Option(Bool),\n  created_at: Option(String),\n  url: Option(String),\n  read_only: Option(Bool),\n  title: Option(String),\n  id: Option(Int),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Key\nmidas/sdk/github/schema Key","url":"midas/sdk/github/schema.html#Key"},{"doc":"midas/sdk/github/schema","title":"KeySimple","content":"pub type KeySimple {\n  KeySimple(id: Option(Int), key: Option(String))\n}\n\nKeySimple(id: Option(Int), key: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.KeySimple\nmidas/sdk/github/schema KeySimple","url":"midas/sdk/github/schema.html#KeySimple"},{"doc":"midas/sdk/github/schema","title":"Label","content":"pub type Label {\n  Label(\n    default: Option(Bool),\n    color: Option(String),\n    name: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nLabel(\n  default: Option(Bool),\n  color: Option(String),\n  name: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Label\nmidas/sdk/github/schema Label","url":"midas/sdk/github/schema.html#Label"},{"doc":"midas/sdk/github/schema","title":"LabelSearchResultItem","content":"pub type LabelSearchResultItem {\n  LabelSearchResultItem(\n    text_matches: Option(Nil),\n    default: Option(Bool),\n    color: Option(String),\n    name: Option(String),\n    url: Option(String),\n    score: Option(Float),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nLabelSearchResultItem(\n  text_matches: Option(Nil),\n  default: Option(Bool),\n  color: Option(String),\n  name: Option(String),\n  url: Option(String),\n  score: Option(Float),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.LabelSearchResultItem\nmidas/sdk/github/schema LabelSearchResultItem","url":"midas/sdk/github/schema.html#LabelSearchResultItem"},{"doc":"midas/sdk/github/schema","title":"LabeledIssueEvent","content":"pub type LabeledIssueEvent {\n  LabeledIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    label: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nLabeledIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  label: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.LabeledIssueEvent\nmidas/sdk/github/schema LabeledIssueEvent","url":"midas/sdk/github/schema.html#LabeledIssueEvent"},{"doc":"midas/sdk/github/schema","title":"Language","content":"pub type Language {\n  Language\n}\n\nLanguage\n\n\nSynonyms:\nmidas/sdk/github/schema.Language\nmidas/sdk/github/schema Language","url":"midas/sdk/github/schema.html#Language"},{"doc":"midas/sdk/github/schema","title":"License","content":"pub type License {\n  License(\n    body: Option(String),\n    permissions: Option(List(String)),\n    spdx_id: Option(String),\n    name: Option(String),\n    featured: Option(Bool),\n    url: Option(String),\n    implementation: Option(String),\n    node_id: Option(String),\n    conditions: Option(List(String)),\n    limitations: Option(List(String)),\n    html_url: Option(String),\n    description: Option(String),\n    key: Option(String),\n  )\n}\n\nLicense(\n  body: Option(String),\n  permissions: Option(List(String)),\n  spdx_id: Option(String),\n  name: Option(String),\n  featured: Option(Bool),\n  url: Option(String),\n  implementation: Option(String),\n  node_id: Option(String),\n  conditions: Option(List(String)),\n  limitations: Option(List(String)),\n  html_url: Option(String),\n  description: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.License\nmidas/sdk/github/schema License","url":"midas/sdk/github/schema.html#License"},{"doc":"midas/sdk/github/schema","title":"LicenseContent","content":"pub type LicenseContent {\n  LicenseContent(\n    size: Option(Int),\n    license: Option(Nil),\n    git_url: Option(String),\n    path_: Option(String),\n    name: Option(String),\n    sha: Option(String),\n    url: Option(String),\n    encoding: Option(String),\n    download_url: Option(String),\n    content: Option(String),\n    links: Option(Nil),\n    type_: Option(String),\n    html_url: Option(String),\n  )\n}\n\nLicenseContent(\n  size: Option(Int),\n  license: Option(Nil),\n  git_url: Option(String),\n  path_: Option(String),\n  name: Option(String),\n  sha: Option(String),\n  url: Option(String),\n  encoding: Option(String),\n  download_url: Option(String),\n  content: Option(String),\n  links: Option(Nil),\n  type_: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.LicenseContent\nmidas/sdk/github/schema LicenseContent","url":"midas/sdk/github/schema.html#LicenseContent"},{"doc":"midas/sdk/github/schema","title":"LicenseSimple","content":"pub type LicenseSimple {\n  LicenseSimple(\n    spdx_id: Option(String),\n    name: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    html_url: Option(String),\n    key: Option(String),\n  )\n}\n\nLicenseSimple(\n  spdx_id: Option(String),\n  name: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  html_url: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.LicenseSimple\nmidas/sdk/github/schema LicenseSimple","url":"midas/sdk/github/schema.html#LicenseSimple"},{"doc":"midas/sdk/github/schema","title":"Link","content":"pub type Link {\n  Link(href: Option(String))\n}\n\nLink(href: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.Link\nmidas/sdk/github/schema Link","url":"midas/sdk/github/schema.html#Link"},{"doc":"midas/sdk/github/schema","title":"LinkWithType","content":"pub type LinkWithType {\n  LinkWithType(href: Option(String), type_: Option(String))\n}\n\nLinkWithType(href: Option(String), type_: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.LinkWithType\nmidas/sdk/github/schema LinkWithType","url":"midas/sdk/github/schema.html#LinkWithType"},{"doc":"midas/sdk/github/schema","title":"LockedIssueEvent","content":"pub type LockedIssueEvent {\n  LockedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    lock_reason: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nLockedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  lock_reason: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.LockedIssueEvent\nmidas/sdk/github/schema LockedIssueEvent","url":"midas/sdk/github/schema.html#LockedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"Manifest","content":"pub type Manifest {\n  Manifest(\n    name: Option(String),\n    metadata: Option(Nil),\n    resolved: Option(Nil),\n    file: Option(Nil),\n  )\n}\n\nManifest(\n  name: Option(String),\n  metadata: Option(Nil),\n  resolved: Option(Nil),\n  file: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Manifest\nmidas/sdk/github/schema Manifest","url":"midas/sdk/github/schema.html#Manifest"},{"doc":"midas/sdk/github/schema","title":"MarketplaceAccount","content":"pub type MarketplaceAccount {\n  MarketplaceAccount(\n    login: Option(String),\n    organization_billing_email: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nMarketplaceAccount(\n  login: Option(String),\n  organization_billing_email: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MarketplaceAccount\nmidas/sdk/github/schema MarketplaceAccount","url":"midas/sdk/github/schema.html#MarketplaceAccount"},{"doc":"midas/sdk/github/schema","title":"MarketplaceListingPlan","content":"pub type MarketplaceListingPlan {\n  MarketplaceListingPlan(\n    unit_name: Option(String),\n    has_free_trial: Option(Bool),\n    number: Option(Int),\n    name: Option(String),\n    url: Option(String),\n    state: Option(String),\n    bullets: Option(List(String)),\n    price_model: Option(String),\n    accounts_url: Option(String),\n    monthly_price_in_cents: Option(Int),\n    id: Option(Int),\n    yearly_price_in_cents: Option(Int),\n    description: Option(String),\n  )\n}\n\nMarketplaceListingPlan(\n  unit_name: Option(String),\n  has_free_trial: Option(Bool),\n  number: Option(Int),\n  name: Option(String),\n  url: Option(String),\n  state: Option(String),\n  bullets: Option(List(String)),\n  price_model: Option(String),\n  accounts_url: Option(String),\n  monthly_price_in_cents: Option(Int),\n  id: Option(Int),\n  yearly_price_in_cents: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MarketplaceListingPlan\nmidas/sdk/github/schema MarketplaceListingPlan","url":"midas/sdk/github/schema.html#MarketplaceListingPlan"},{"doc":"midas/sdk/github/schema","title":"MarketplacePurchase","content":"pub type MarketplacePurchase {\n  MarketplacePurchase(\n    login: Option(String),\n    organization_billing_email: Option(String),\n    marketplace_pending_change: Option(Nil),\n    url: Option(String),\n    marketplace_purchase: Option(Nil),\n    type_: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nMarketplacePurchase(\n  login: Option(String),\n  organization_billing_email: Option(String),\n  marketplace_pending_change: Option(Nil),\n  url: Option(String),\n  marketplace_purchase: Option(Nil),\n  type_: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MarketplacePurchase\nmidas/sdk/github/schema MarketplacePurchase","url":"midas/sdk/github/schema.html#MarketplacePurchase"},{"doc":"midas/sdk/github/schema","title":"MergeGroup","content":"pub type MergeGroup {\n  MergeGroup(\n    base_ref: Option(String),\n    head_sha: Option(String),\n    head_ref: Option(String),\n    head_commit: Option(Nil),\n    base_sha: Option(String),\n  )\n}\n\nMergeGroup(\n  base_ref: Option(String),\n  head_sha: Option(String),\n  head_ref: Option(String),\n  head_commit: Option(Nil),\n  base_sha: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MergeGroup\nmidas/sdk/github/schema MergeGroup","url":"midas/sdk/github/schema.html#MergeGroup"},{"doc":"midas/sdk/github/schema","title":"MergedUpstream","content":"pub type MergedUpstream {\n  MergedUpstream(\n    merge_type: Option(String),\n    message: Option(String),\n    base_branch: Option(String),\n  )\n}\n\nMergedUpstream(\n  merge_type: Option(String),\n  message: Option(String),\n  base_branch: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MergedUpstream\nmidas/sdk/github/schema MergedUpstream","url":"midas/sdk/github/schema.html#MergedUpstream"},{"doc":"midas/sdk/github/schema","title":"Metadata","content":"pub type Metadata {\n  Metadata\n}\n\nMetadata\n\n\nSynonyms:\nmidas/sdk/github/schema.Metadata\nmidas/sdk/github/schema Metadata","url":"midas/sdk/github/schema.html#Metadata"},{"doc":"midas/sdk/github/schema","title":"Migration","content":"pub type Migration {\n  Migration(\n    org_metadata_only: Option(Bool),\n    repositories: Option(Nil),\n    guid: Option(String),\n    created_at: Option(String),\n    exclude_attachments: Option(Bool),\n    exclude_owner_projects: Option(Bool),\n    url: Option(String),\n    state: Option(String),\n    exclude_releases: Option(Bool),\n    archive_url: Option(String),\n    owner: Option(Nil),\n    exclude_metadata: Option(Bool),\n    updated_at: Option(String),\n    node_id: Option(String),\n    exclude: Option(List(String)),\n    id: Option(Int),\n    exclude_git_data: Option(Bool),\n    lock_repositories: Option(Bool),\n  )\n}\n\nMigration(\n  org_metadata_only: Option(Bool),\n  repositories: Option(Nil),\n  guid: Option(String),\n  created_at: Option(String),\n  exclude_attachments: Option(Bool),\n  exclude_owner_projects: Option(Bool),\n  url: Option(String),\n  state: Option(String),\n  exclude_releases: Option(Bool),\n  archive_url: Option(String),\n  owner: Option(Nil),\n  exclude_metadata: Option(Bool),\n  updated_at: Option(String),\n  node_id: Option(String),\n  exclude: Option(List(String)),\n  id: Option(Int),\n  exclude_git_data: Option(Bool),\n  lock_repositories: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Migration\nmidas/sdk/github/schema Migration","url":"midas/sdk/github/schema.html#Migration"},{"doc":"midas/sdk/github/schema","title":"Milestone","content":"pub type Milestone {\n  Milestone(\n    closed_at: Option(String),\n    number: Option(Int),\n    due_on: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    closed_issues: Option(Int),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n  )\n}\n\nMilestone(\n  closed_at: Option(String),\n  number: Option(Int),\n  due_on: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  closed_issues: Option(Int),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Milestone\nmidas/sdk/github/schema Milestone","url":"midas/sdk/github/schema.html#Milestone"},{"doc":"midas/sdk/github/schema","title":"MilestonedIssueEvent","content":"pub type MilestonedIssueEvent {\n  MilestonedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    milestone: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nMilestonedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  milestone: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MilestonedIssueEvent\nmidas/sdk/github/schema MilestonedIssueEvent","url":"midas/sdk/github/schema.html#MilestonedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"MinimalRepository","content":"pub type MinimalRepository {\n  MinimalRepository(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    security_and_analysis: Option(Nil),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    code_of_conduct: Option(Nil),\n    homepage: Option(String),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    owner: Option(Nil),\n    role_name: Option(String),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    subscribers_count: Option(Int),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    pulls_url: Option(String),\n    network_count: Option(Int),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nMinimalRepository(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  security_and_analysis: Option(Nil),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  code_of_conduct: Option(Nil),\n  homepage: Option(String),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  owner: Option(Nil),\n  role_name: Option(String),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  subscribers_count: Option(Int),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  pulls_url: Option(String),\n  network_count: Option(Int),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MinimalRepository\nmidas/sdk/github/schema MinimalRepository","url":"midas/sdk/github/schema.html#MinimalRepository"},{"doc":"midas/sdk/github/schema","title":"MovedColumnInProjectIssueEvent","content":"pub type MovedColumnInProjectIssueEvent {\n  MovedColumnInProjectIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    project_card: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nMovedColumnInProjectIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  project_card: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.MovedColumnInProjectIssueEvent\nmidas/sdk/github/schema MovedColumnInProjectIssueEvent","url":"midas/sdk/github/schema.html#MovedColumnInProjectIssueEvent"},{"doc":"midas/sdk/github/schema","title":"NullableAlertUpdatedAt","content":"pub type NullableAlertUpdatedAt {\n  NullableAlertUpdatedAt\n}\n\nNullableAlertUpdatedAt\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableAlertUpdatedAt\nmidas/sdk/github/schema NullableAlertUpdatedAt","url":"midas/sdk/github/schema.html#NullableAlertUpdatedAt"},{"doc":"midas/sdk/github/schema","title":"NullableCodeOfConductSimple","content":"pub type NullableCodeOfConductSimple {\n  NullableCodeOfConductSimple(\n    name: Option(String),\n    url: Option(String),\n    html_url: Option(String),\n    key: Option(String),\n  )\n}\n\nNullableCodeOfConductSimple(\n  name: Option(String),\n  url: Option(String),\n  html_url: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableCodeOfConductSimple\nmidas/sdk/github/schema NullableCodeOfConductSimple","url":"midas/sdk/github/schema.html#NullableCodeOfConductSimple"},{"doc":"midas/sdk/github/schema","title":"NullableCodespaceMachine","content":"pub type NullableCodespaceMachine {\n  NullableCodespaceMachine(\n    display_name: Option(String),\n    name: Option(String),\n    cpus: Option(Int),\n    operating_system: Option(String),\n    memory_in_bytes: Option(Int),\n    prebuild_availability: Option(String),\n    storage_in_bytes: Option(Int),\n  )\n}\n\nNullableCodespaceMachine(\n  display_name: Option(String),\n  name: Option(String),\n  cpus: Option(Int),\n  operating_system: Option(String),\n  memory_in_bytes: Option(Int),\n  prebuild_availability: Option(String),\n  storage_in_bytes: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableCodespaceMachine\nmidas/sdk/github/schema NullableCodespaceMachine","url":"midas/sdk/github/schema.html#NullableCodespaceMachine"},{"doc":"midas/sdk/github/schema","title":"NullableCollaborator","content":"pub type NullableCollaborator {\n  NullableCollaborator(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    permissions: Option(Nil),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    role_name: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nNullableCollaborator(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  permissions: Option(Nil),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  role_name: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableCollaborator\nmidas/sdk/github/schema NullableCollaborator","url":"midas/sdk/github/schema.html#NullableCollaborator"},{"doc":"midas/sdk/github/schema","title":"NullableCommunityHealthFile","content":"pub type NullableCommunityHealthFile {\n  NullableCommunityHealthFile(\n    url: Option(String),\n    html_url: Option(String),\n  )\n}\n\nNullableCommunityHealthFile(\n  url: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableCommunityHealthFile\nmidas/sdk/github/schema NullableCommunityHealthFile","url":"midas/sdk/github/schema.html#NullableCommunityHealthFile"},{"doc":"midas/sdk/github/schema","title":"NullableGitUser","content":"pub type NullableGitUser {\n  NullableGitUser(\n    name: Option(String),\n    date: Option(String),\n    email: Option(String),\n  )\n}\n\nNullableGitUser(\n  name: Option(String),\n  date: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableGitUser\nmidas/sdk/github/schema NullableGitUser","url":"midas/sdk/github/schema.html#NullableGitUser"},{"doc":"midas/sdk/github/schema","title":"NullableIntegration","content":"pub type NullableIntegration {\n  NullableIntegration(\n    permissions: Option(Nil),\n    client_secret: Option(String),\n    installations_count: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    client_id: Option(String),\n    owner: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    pem: Option(String),\n    webhook_secret: Option(String),\n    events: Option(List(String)),\n    id: Option(Int),\n    html_url: Option(String),\n    external_url: Option(String),\n    description: Option(String),\n  )\n}\n\nNullableIntegration(\n  permissions: Option(Nil),\n  client_secret: Option(String),\n  installations_count: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  client_id: Option(String),\n  owner: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  pem: Option(String),\n  webhook_secret: Option(String),\n  events: Option(List(String)),\n  id: Option(Int),\n  html_url: Option(String),\n  external_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableIntegration\nmidas/sdk/github/schema NullableIntegration","url":"midas/sdk/github/schema.html#NullableIntegration"},{"doc":"midas/sdk/github/schema","title":"NullableIssue","content":"pub type NullableIssue {\n  NullableIssue(\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    closed_at: Option(String),\n    body_html: Option(String),\n    events_url: Option(String),\n    number: Option(Int),\n    closed_by: Option(Nil),\n    created_at: Option(String),\n    body_text: Option(String),\n    locked: Option(Bool),\n    repository: Option(Nil),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    milestone: Option(Nil),\n    timeline_url: Option(String),\n    state: Option(String),\n    state_reason: Option(String),\n    comments: Option(Int),\n    pull_request: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nNullableIssue(\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  closed_at: Option(String),\n  body_html: Option(String),\n  events_url: Option(String),\n  number: Option(Int),\n  closed_by: Option(Nil),\n  created_at: Option(String),\n  body_text: Option(String),\n  locked: Option(Bool),\n  repository: Option(Nil),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  milestone: Option(Nil),\n  timeline_url: Option(String),\n  state: Option(String),\n  state_reason: Option(String),\n  comments: Option(Int),\n  pull_request: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableIssue\nmidas/sdk/github/schema NullableIssue","url":"midas/sdk/github/schema.html#NullableIssue"},{"doc":"midas/sdk/github/schema","title":"NullableLicenseSimple","content":"pub type NullableLicenseSimple {\n  NullableLicenseSimple(\n    spdx_id: Option(String),\n    name: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    html_url: Option(String),\n    key: Option(String),\n  )\n}\n\nNullableLicenseSimple(\n  spdx_id: Option(String),\n  name: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  html_url: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableLicenseSimple\nmidas/sdk/github/schema NullableLicenseSimple","url":"midas/sdk/github/schema.html#NullableLicenseSimple"},{"doc":"midas/sdk/github/schema","title":"NullableMilestone","content":"pub type NullableMilestone {\n  NullableMilestone(\n    closed_at: Option(String),\n    number: Option(Int),\n    due_on: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    closed_issues: Option(Int),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n  )\n}\n\nNullableMilestone(\n  closed_at: Option(String),\n  number: Option(Int),\n  due_on: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  closed_issues: Option(Int),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableMilestone\nmidas/sdk/github/schema NullableMilestone","url":"midas/sdk/github/schema.html#NullableMilestone"},{"doc":"midas/sdk/github/schema","title":"NullableMinimalRepository","content":"pub type NullableMinimalRepository {\n  NullableMinimalRepository(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    security_and_analysis: Option(Nil),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    code_of_conduct: Option(Nil),\n    homepage: Option(String),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    owner: Option(Nil),\n    role_name: Option(String),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    subscribers_count: Option(Int),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    pulls_url: Option(String),\n    network_count: Option(Int),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nNullableMinimalRepository(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  security_and_analysis: Option(Nil),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  code_of_conduct: Option(Nil),\n  homepage: Option(String),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  owner: Option(Nil),\n  role_name: Option(String),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  subscribers_count: Option(Int),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  pulls_url: Option(String),\n  network_count: Option(Int),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableMinimalRepository\nmidas/sdk/github/schema NullableMinimalRepository","url":"midas/sdk/github/schema.html#NullableMinimalRepository"},{"doc":"midas/sdk/github/schema","title":"NullableOrganizationSimple","content":"pub type NullableOrganizationSimple {\n  NullableOrganizationSimple(\n    hooks_url: Option(String),\n    members_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    issues_url: Option(String),\n    url: Option(String),\n    repos_url: Option(String),\n    public_members_url: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nNullableOrganizationSimple(\n  hooks_url: Option(String),\n  members_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  issues_url: Option(String),\n  url: Option(String),\n  repos_url: Option(String),\n  public_members_url: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableOrganizationSimple\nmidas/sdk/github/schema NullableOrganizationSimple","url":"midas/sdk/github/schema.html#NullableOrganizationSimple"},{"doc":"midas/sdk/github/schema","title":"NullableRepository","content":"pub type NullableRepository {\n  NullableRepository(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    allow_update_branch: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    squash_merge_commit_message: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    merge_commit_message: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    allow_squash_merge: Option(Bool),\n    homepage: Option(String),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    use_squash_pr_title_as_default: Option(Bool),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    allow_rebase_merge: Option(Bool),\n    owner: Option(Nil),\n    starred_at: Option(String),\n    allow_merge_commit: Option(Bool),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    squash_merge_commit_title: Option(String),\n    merge_commit_title: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    anonymous_access_enabled: Option(Bool),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    allow_auto_merge: Option(Bool),\n    pulls_url: Option(String),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    master_branch: Option(String),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nNullableRepository(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  allow_update_branch: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  squash_merge_commit_message: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  merge_commit_message: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  allow_squash_merge: Option(Bool),\n  homepage: Option(String),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  use_squash_pr_title_as_default: Option(Bool),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  allow_rebase_merge: Option(Bool),\n  owner: Option(Nil),\n  starred_at: Option(String),\n  allow_merge_commit: Option(Bool),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  squash_merge_commit_title: Option(String),\n  merge_commit_title: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  anonymous_access_enabled: Option(Bool),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  allow_auto_merge: Option(Bool),\n  pulls_url: Option(String),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  master_branch: Option(String),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableRepository\nmidas/sdk/github/schema NullableRepository","url":"midas/sdk/github/schema.html#NullableRepository"},{"doc":"midas/sdk/github/schema","title":"NullableRepositoryWebhooks","content":"pub type NullableRepositoryWebhooks {\n  NullableRepositoryWebhooks(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    custom_properties: Option(Nil),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    allow_update_branch: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    squash_merge_commit_message: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    merge_commit_message: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    allow_squash_merge: Option(Bool),\n    homepage: Option(String),\n    template_repository: Option(Nil),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    use_squash_pr_title_as_default: Option(Bool),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    allow_rebase_merge: Option(Bool),\n    organization: Option(Nil),\n    owner: Option(Nil),\n    starred_at: Option(String),\n    allow_merge_commit: Option(Bool),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    squash_merge_commit_title: Option(String),\n    merge_commit_title: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    anonymous_access_enabled: Option(Bool),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    subscribers_count: Option(Int),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    allow_auto_merge: Option(Bool),\n    pulls_url: Option(String),\n    network_count: Option(Int),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    master_branch: Option(String),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nNullableRepositoryWebhooks(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  custom_properties: Option(Nil),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  allow_update_branch: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  squash_merge_commit_message: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  merge_commit_message: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  allow_squash_merge: Option(Bool),\n  homepage: Option(String),\n  template_repository: Option(Nil),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  use_squash_pr_title_as_default: Option(Bool),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  allow_rebase_merge: Option(Bool),\n  organization: Option(Nil),\n  owner: Option(Nil),\n  starred_at: Option(String),\n  allow_merge_commit: Option(Bool),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  squash_merge_commit_title: Option(String),\n  merge_commit_title: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  anonymous_access_enabled: Option(Bool),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  subscribers_count: Option(Int),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  allow_auto_merge: Option(Bool),\n  pulls_url: Option(String),\n  network_count: Option(Int),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  master_branch: Option(String),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableRepositoryWebhooks\nmidas/sdk/github/schema NullableRepositoryWebhooks","url":"midas/sdk/github/schema.html#NullableRepositoryWebhooks"},{"doc":"midas/sdk/github/schema","title":"NullableScopedInstallation","content":"pub type NullableScopedInstallation {\n  NullableScopedInstallation(\n    single_file_paths: Option(List(String)),\n    permissions: Option(Nil),\n    has_multiple_single_files: Option(Bool),\n    account: Option(Nil),\n    single_file_name: Option(String),\n    repository_selection: Option(String),\n    repositories_url: Option(String),\n  )\n}\n\nNullableScopedInstallation(\n  single_file_paths: Option(List(String)),\n  permissions: Option(Nil),\n  has_multiple_single_files: Option(Bool),\n  account: Option(Nil),\n  single_file_name: Option(String),\n  repository_selection: Option(String),\n  repositories_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableScopedInstallation\nmidas/sdk/github/schema NullableScopedInstallation","url":"midas/sdk/github/schema.html#NullableScopedInstallation"},{"doc":"midas/sdk/github/schema","title":"NullableSimpleCommit","content":"pub type NullableSimpleCommit {\n  NullableSimpleCommit(\n    message: Option(String),\n    committer: Option(Nil),\n    author: Option(Nil),\n    timestamp: Option(String),\n    id: Option(String),\n    tree_id: Option(String),\n  )\n}\n\nNullableSimpleCommit(\n  message: Option(String),\n  committer: Option(Nil),\n  author: Option(Nil),\n  timestamp: Option(String),\n  id: Option(String),\n  tree_id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableSimpleCommit\nmidas/sdk/github/schema NullableSimpleCommit","url":"midas/sdk/github/schema.html#NullableSimpleCommit"},{"doc":"midas/sdk/github/schema","title":"NullableSimpleUser","content":"pub type NullableSimpleUser {\n  NullableSimpleUser(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    starred_at: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nNullableSimpleUser(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  starred_at: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableSimpleUser\nmidas/sdk/github/schema NullableSimpleUser","url":"midas/sdk/github/schema.html#NullableSimpleUser"},{"doc":"midas/sdk/github/schema","title":"NullableTeamSimple","content":"pub type NullableTeamSimple {\n  NullableTeamSimple(\n    ldap_dn: Option(String),\n    privacy: Option(String),\n    members_url: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    permission: Option(String),\n    node_id: Option(String),\n    repositories_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    notification_setting: Option(String),\n    description: Option(String),\n  )\n}\n\nNullableTeamSimple(\n  ldap_dn: Option(String),\n  privacy: Option(String),\n  members_url: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  permission: Option(String),\n  node_id: Option(String),\n  repositories_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  notification_setting: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.NullableTeamSimple\nmidas/sdk/github/schema NullableTeamSimple","url":"midas/sdk/github/schema.html#NullableTeamSimple"},{"doc":"midas/sdk/github/schema","title":"OidcCustomSub","content":"pub type OidcCustomSub {\n  OidcCustomSub(include_claim_keys: Option(List(String)))\n}\n\nOidcCustomSub(include_claim_keys: Option(List(String)))\n\n\nSynonyms:\nmidas/sdk/github/schema.OidcCustomSub\nmidas/sdk/github/schema OidcCustomSub","url":"midas/sdk/github/schema.html#OidcCustomSub"},{"doc":"midas/sdk/github/schema","title":"OidcCustomSubRepo","content":"pub type OidcCustomSubRepo {\n  OidcCustomSubRepo(\n    use_default: Option(Bool),\n    include_claim_keys: Option(List(String)),\n  )\n}\n\nOidcCustomSubRepo(\n  use_default: Option(Bool),\n  include_claim_keys: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OidcCustomSubRepo\nmidas/sdk/github/schema OidcCustomSubRepo","url":"midas/sdk/github/schema.html#OidcCustomSubRepo"},{"doc":"midas/sdk/github/schema","title":"OrgHook","content":"pub type OrgHook {\n  OrgHook(\n    ping_url: Option(String),\n    config: Option(Nil),\n    deliveries_url: Option(String),\n    active: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    updated_at: Option(String),\n    events: Option(List(String)),\n    type_: Option(String),\n    id: Option(Int),\n  )\n}\n\nOrgHook(\n  ping_url: Option(String),\n  config: Option(Nil),\n  deliveries_url: Option(String),\n  active: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  updated_at: Option(String),\n  events: Option(List(String)),\n  type_: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrgHook\nmidas/sdk/github/schema OrgHook","url":"midas/sdk/github/schema.html#OrgHook"},{"doc":"midas/sdk/github/schema","title":"OrgMembership","content":"pub type OrgMembership {\n  OrgMembership(\n    organization_url: Option(String),\n    permissions: Option(Nil),\n    user: Option(Nil),\n    url: Option(String),\n    state: Option(String),\n    organization: Option(Nil),\n    role: Option(String),\n  )\n}\n\nOrgMembership(\n  organization_url: Option(String),\n  permissions: Option(Nil),\n  user: Option(Nil),\n  url: Option(String),\n  state: Option(String),\n  organization: Option(Nil),\n  role: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrgMembership\nmidas/sdk/github/schema OrgMembership","url":"midas/sdk/github/schema.html#OrgMembership"},{"doc":"midas/sdk/github/schema","title":"OrgRepoCustomPropertyValues","content":"pub type OrgRepoCustomPropertyValues {\n  OrgRepoCustomPropertyValues(\n    repository_name: Option(String),\n    repository_full_name: Option(String),\n    repository_id: Option(Int),\n    properties: Option(Nil),\n  )\n}\n\nOrgRepoCustomPropertyValues(\n  repository_name: Option(String),\n  repository_full_name: Option(String),\n  repository_id: Option(Int),\n  properties: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrgRepoCustomPropertyValues\nmidas/sdk/github/schema OrgRepoCustomPropertyValues","url":"midas/sdk/github/schema.html#OrgRepoCustomPropertyValues"},{"doc":"midas/sdk/github/schema","title":"OrgRulesetConditions","content":"pub type OrgRulesetConditions {\n  OrgRulesetConditions\n}\n\nOrgRulesetConditions\n\n\nSynonyms:\nmidas/sdk/github/schema.OrgRulesetConditions\nmidas/sdk/github/schema OrgRulesetConditions","url":"midas/sdk/github/schema.html#OrgRulesetConditions"},{"doc":"midas/sdk/github/schema","title":"OrganizationActionsSecret","content":"pub type OrganizationActionsSecret {\n  OrganizationActionsSecret(\n    created_at: Option(String),\n    name: Option(String),\n    visibility: Option(String),\n    updated_at: Option(String),\n    selected_repositories_url: Option(String),\n  )\n}\n\nOrganizationActionsSecret(\n  created_at: Option(String),\n  name: Option(String),\n  visibility: Option(String),\n  updated_at: Option(String),\n  selected_repositories_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationActionsSecret\nmidas/sdk/github/schema OrganizationActionsSecret","url":"midas/sdk/github/schema.html#OrganizationActionsSecret"},{"doc":"midas/sdk/github/schema","title":"OrganizationActionsVariable","content":"pub type OrganizationActionsVariable {\n  OrganizationActionsVariable(\n    created_at: Option(String),\n    name: Option(String),\n    value: Option(String),\n    visibility: Option(String),\n    updated_at: Option(String),\n    selected_repositories_url: Option(String),\n  )\n}\n\nOrganizationActionsVariable(\n  created_at: Option(String),\n  name: Option(String),\n  value: Option(String),\n  visibility: Option(String),\n  updated_at: Option(String),\n  selected_repositories_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationActionsVariable\nmidas/sdk/github/schema OrganizationActionsVariable","url":"midas/sdk/github/schema.html#OrganizationActionsVariable"},{"doc":"midas/sdk/github/schema","title":"OrganizationDependabotSecret","content":"pub type OrganizationDependabotSecret {\n  OrganizationDependabotSecret(\n    created_at: Option(String),\n    name: Option(String),\n    visibility: Option(String),\n    updated_at: Option(String),\n    selected_repositories_url: Option(String),\n  )\n}\n\nOrganizationDependabotSecret(\n  created_at: Option(String),\n  name: Option(String),\n  visibility: Option(String),\n  updated_at: Option(String),\n  selected_repositories_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationDependabotSecret\nmidas/sdk/github/schema OrganizationDependabotSecret","url":"midas/sdk/github/schema.html#OrganizationDependabotSecret"},{"doc":"midas/sdk/github/schema","title":"OrganizationFull","content":"pub type OrganizationFull {\n  OrganizationFull(\n    hooks_url: Option(String),\n    dependency_graph_enabled_for_new_repositories: Option(Bool),\n    has_organization_projects: Option(Bool),\n    twitter_username: Option(String),\n    members_allowed_repository_creation_type: Option(String),\n    dependabot_security_updates_enabled_for_new_repositories: Option(\n      Bool,\n    ),\n    blog: Option(String),\n    default_repository_permission: Option(String),\n    secret_scanning_push_protection_custom_link: Option(String),\n    two_factor_requirement_enabled: Option(Bool),\n    web_commit_signoff_required: Option(Bool),\n    members_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    plan: Option(Nil),\n    login: Option(String),\n    has_repository_projects: Option(Bool),\n    created_at: Option(String),\n    secret_scanning_push_protection_custom_link_enabled: Option(\n      Bool,\n    ),\n    issues_url: Option(String),\n    total_private_repos: Option(Int),\n    owned_private_repos: Option(Int),\n    public_repos: Option(Int),\n    name: Option(String),\n    members_can_fork_private_repositories: Option(Bool),\n    collaborators: Option(Int),\n    deploy_keys_enabled_for_repositories: Option(Bool),\n    url: Option(String),\n    members_can_create_public_repositories: Option(Bool),\n    archived_at: Option(String),\n    following: Option(Int),\n    repos_url: Option(String),\n    members_can_create_private_repositories: Option(Bool),\n    public_members_url: Option(String),\n    private_gists: Option(Int),\n    followers: Option(Int),\n    location: Option(String),\n    members_can_create_pages: Option(Bool),\n    dependabot_alerts_enabled_for_new_repositories: Option(Bool),\n    members_can_create_repositories: Option(Bool),\n    updated_at: Option(String),\n    node_id: Option(String),\n    billing_email: Option(String),\n    public_gists: Option(Int),\n    members_can_create_private_pages: Option(Bool),\n    secret_scanning_enabled_for_new_repositories: Option(Bool),\n    type_: Option(String),\n    secret_scanning_push_protection_enabled_for_new_repositories: Option(\n      Bool,\n    ),\n    id: Option(Int),\n    html_url: Option(String),\n    members_can_create_public_pages: Option(Bool),\n    members_can_create_internal_repositories: Option(Bool),\n    email: Option(String),\n    description: Option(String),\n    company: Option(String),\n    is_verified: Option(Bool),\n    advanced_security_enabled_for_new_repositories: Option(Bool),\n    disk_usage: Option(Int),\n  )\n}\n\nOrganizationFull(\n  hooks_url: Option(String),\n  dependency_graph_enabled_for_new_repositories: Option(Bool),\n  has_organization_projects: Option(Bool),\n  twitter_username: Option(String),\n  members_allowed_repository_creation_type: Option(String),\n  dependabot_security_updates_enabled_for_new_repositories: Option(\n    Bool,\n  ),\n  blog: Option(String),\n  default_repository_permission: Option(String),\n  secret_scanning_push_protection_custom_link: Option(String),\n  two_factor_requirement_enabled: Option(Bool),\n  web_commit_signoff_required: Option(Bool),\n  members_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  plan: Option(Nil),\n  login: Option(String),\n  has_repository_projects: Option(Bool),\n  created_at: Option(String),\n  secret_scanning_push_protection_custom_link_enabled: Option(\n    Bool,\n  ),\n  issues_url: Option(String),\n  total_private_repos: Option(Int),\n  owned_private_repos: Option(Int),\n  public_repos: Option(Int),\n  name: Option(String),\n  members_can_fork_private_repositories: Option(Bool),\n  collaborators: Option(Int),\n  deploy_keys_enabled_for_repositories: Option(Bool),\n  url: Option(String),\n  members_can_create_public_repositories: Option(Bool),\n  archived_at: Option(String),\n  following: Option(Int),\n  repos_url: Option(String),\n  members_can_create_private_repositories: Option(Bool),\n  public_members_url: Option(String),\n  private_gists: Option(Int),\n  followers: Option(Int),\n  location: Option(String),\n  members_can_create_pages: Option(Bool),\n  dependabot_alerts_enabled_for_new_repositories: Option(Bool),\n  members_can_create_repositories: Option(Bool),\n  updated_at: Option(String),\n  node_id: Option(String),\n  billing_email: Option(String),\n  public_gists: Option(Int),\n  members_can_create_private_pages: Option(Bool),\n  secret_scanning_enabled_for_new_repositories: Option(Bool),\n  type_: Option(String),\n  secret_scanning_push_protection_enabled_for_new_repositories: Option(\n    Bool,\n  ),\n  id: Option(Int),\n  html_url: Option(String),\n  members_can_create_public_pages: Option(Bool),\n  members_can_create_internal_repositories: Option(Bool),\n  email: Option(String),\n  description: Option(String),\n  company: Option(String),\n  is_verified: Option(Bool),\n  advanced_security_enabled_for_new_repositories: Option(Bool),\n  disk_usage: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationFull\nmidas/sdk/github/schema OrganizationFull","url":"midas/sdk/github/schema.html#OrganizationFull"},{"doc":"midas/sdk/github/schema","title":"OrganizationInvitation","content":"pub type OrganizationInvitation {\n  OrganizationInvitation(\n    invitation_teams_url: Option(String),\n    invitation_source: Option(String),\n    failed_reason: Option(String),\n    inviter: Option(Nil),\n    login: Option(String),\n    created_at: Option(String),\n    team_count: Option(Int),\n    failed_at: Option(String),\n    role: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nOrganizationInvitation(\n  invitation_teams_url: Option(String),\n  invitation_source: Option(String),\n  failed_reason: Option(String),\n  inviter: Option(Nil),\n  login: Option(String),\n  created_at: Option(String),\n  team_count: Option(Int),\n  failed_at: Option(String),\n  role: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationInvitation\nmidas/sdk/github/schema OrganizationInvitation","url":"midas/sdk/github/schema.html#OrganizationInvitation"},{"doc":"midas/sdk/github/schema","title":"OrganizationProgrammaticAccessGrant","content":"pub type OrganizationProgrammaticAccessGrant {\n  OrganizationProgrammaticAccessGrant(\n    token_id: Option(Int),\n    permissions: Option(Nil),\n    token_expires_at: Option(String),\n    token_name: Option(String),\n    access_granted_at: Option(String),\n    token_last_used_at: Option(String),\n    owner: Option(Nil),\n    repository_selection: Option(String),\n    repositories_url: Option(String),\n    id: Option(Int),\n    token_expired: Option(Bool),\n  )\n}\n\nOrganizationProgrammaticAccessGrant(\n  token_id: Option(Int),\n  permissions: Option(Nil),\n  token_expires_at: Option(String),\n  token_name: Option(String),\n  access_granted_at: Option(String),\n  token_last_used_at: Option(String),\n  owner: Option(Nil),\n  repository_selection: Option(String),\n  repositories_url: Option(String),\n  id: Option(Int),\n  token_expired: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationProgrammaticAccessGrant\nmidas/sdk/github/schema OrganizationProgrammaticAccessGrant","url":"midas/sdk/github/schema.html#OrganizationProgrammaticAccessGrant"},{"doc":"midas/sdk/github/schema","title":"OrganizationProgrammaticAccessGrantRequest","content":"pub type OrganizationProgrammaticAccessGrantRequest {\n  OrganizationProgrammaticAccessGrantRequest(\n    token_id: Option(Int),\n    permissions: Option(Nil),\n    reason: Option(String),\n    token_expires_at: Option(String),\n    created_at: Option(String),\n    token_name: Option(String),\n    token_last_used_at: Option(String),\n    owner: Option(Nil),\n    repository_selection: Option(String),\n    repositories_url: Option(String),\n    id: Option(Int),\n    token_expired: Option(Bool),\n  )\n}\n\nOrganizationProgrammaticAccessGrantRequest(\n  token_id: Option(Int),\n  permissions: Option(Nil),\n  reason: Option(String),\n  token_expires_at: Option(String),\n  created_at: Option(String),\n  token_name: Option(String),\n  token_last_used_at: Option(String),\n  owner: Option(Nil),\n  repository_selection: Option(String),\n  repositories_url: Option(String),\n  id: Option(Int),\n  token_expired: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationProgrammaticAccessGrantRequest\nmidas/sdk/github/schema OrganizationProgrammaticAccessGrantRequest","url":"midas/sdk/github/schema.html#OrganizationProgrammaticAccessGrantRequest"},{"doc":"midas/sdk/github/schema","title":"OrganizationRole","content":"pub type OrganizationRole {\n  OrganizationRole(\n    permissions: Option(List(String)),\n    base_role: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    organization: Option(Nil),\n    updated_at: Option(String),\n    source: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nOrganizationRole(\n  permissions: Option(List(String)),\n  base_role: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  organization: Option(Nil),\n  updated_at: Option(String),\n  source: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationRole\nmidas/sdk/github/schema OrganizationRole","url":"midas/sdk/github/schema.html#OrganizationRole"},{"doc":"midas/sdk/github/schema","title":"OrganizationSecretScanningAlert","content":"pub type OrganizationSecretScanningAlert {\n  OrganizationSecretScanningAlert(\n    push_protection_bypass_request_html_url: Option(String),\n    push_protection_bypassed: Option(Bool),\n    number: Option(Int),\n    secret_type: Option(String),\n    created_at: Option(String),\n    push_protection_bypassed_at: Option(String),\n    repository: Option(Nil),\n    push_protection_bypass_request_reviewer: Option(Nil),\n    publicly_leaked: Option(Bool),\n    resolution: Option(String),\n    resolution_comment: Option(String),\n    locations_url: Option(String),\n    push_protection_bypassed_by: Option(Nil),\n    url: Option(String),\n    secret: Option(String),\n    state: Option(String),\n    validity: Option(String),\n    updated_at: Option(String),\n    multi_repo: Option(Bool),\n    push_protection_bypass_request_comment: Option(String),\n    resolved_at: Option(String),\n    html_url: Option(String),\n    secret_type_display_name: Option(String),\n    resolved_by: Option(Nil),\n  )\n}\n\nOrganizationSecretScanningAlert(\n  push_protection_bypass_request_html_url: Option(String),\n  push_protection_bypassed: Option(Bool),\n  number: Option(Int),\n  secret_type: Option(String),\n  created_at: Option(String),\n  push_protection_bypassed_at: Option(String),\n  repository: Option(Nil),\n  push_protection_bypass_request_reviewer: Option(Nil),\n  publicly_leaked: Option(Bool),\n  resolution: Option(String),\n  resolution_comment: Option(String),\n  locations_url: Option(String),\n  push_protection_bypassed_by: Option(Nil),\n  url: Option(String),\n  secret: Option(String),\n  state: Option(String),\n  validity: Option(String),\n  updated_at: Option(String),\n  multi_repo: Option(Bool),\n  push_protection_bypass_request_comment: Option(String),\n  resolved_at: Option(String),\n  html_url: Option(String),\n  secret_type_display_name: Option(String),\n  resolved_by: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationSecretScanningAlert\nmidas/sdk/github/schema OrganizationSecretScanningAlert","url":"midas/sdk/github/schema.html#OrganizationSecretScanningAlert"},{"doc":"midas/sdk/github/schema","title":"OrganizationSimple","content":"pub type OrganizationSimple {\n  OrganizationSimple(\n    hooks_url: Option(String),\n    members_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    issues_url: Option(String),\n    url: Option(String),\n    repos_url: Option(String),\n    public_members_url: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nOrganizationSimple(\n  hooks_url: Option(String),\n  members_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  issues_url: Option(String),\n  url: Option(String),\n  repos_url: Option(String),\n  public_members_url: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationSimple\nmidas/sdk/github/schema OrganizationSimple","url":"midas/sdk/github/schema.html#OrganizationSimple"},{"doc":"midas/sdk/github/schema","title":"OrganizationSimpleWebhooks","content":"pub type OrganizationSimpleWebhooks {\n  OrganizationSimpleWebhooks(\n    hooks_url: Option(String),\n    members_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    issues_url: Option(String),\n    url: Option(String),\n    repos_url: Option(String),\n    public_members_url: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nOrganizationSimpleWebhooks(\n  hooks_url: Option(String),\n  members_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  issues_url: Option(String),\n  url: Option(String),\n  repos_url: Option(String),\n  public_members_url: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.OrganizationSimpleWebhooks\nmidas/sdk/github/schema OrganizationSimpleWebhooks","url":"midas/sdk/github/schema.html#OrganizationSimpleWebhooks"},{"doc":"midas/sdk/github/schema","title":"Package","content":"pub type Package {\n  Package(\n    version_count: Option(Int),\n    created_at: Option(String),\n    repository: Option(Nil),\n    name: Option(String),\n    url: Option(String),\n    visibility: Option(String),\n    owner: Option(Nil),\n    package_type: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nPackage(\n  version_count: Option(Int),\n  created_at: Option(String),\n  repository: Option(Nil),\n  name: Option(String),\n  url: Option(String),\n  visibility: Option(String),\n  owner: Option(Nil),\n  package_type: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Package\nmidas/sdk/github/schema Package","url":"midas/sdk/github/schema.html#Package"},{"doc":"midas/sdk/github/schema","title":"PackageVersion","content":"pub type PackageVersion {\n  PackageVersion(\n    license: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    metadata: Option(Nil),\n    package_html_url: Option(String),\n    updated_at: Option(String),\n    deleted_at: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n  )\n}\n\nPackageVersion(\n  license: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  metadata: Option(Nil),\n  package_html_url: Option(String),\n  updated_at: Option(String),\n  deleted_at: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PackageVersion\nmidas/sdk/github/schema PackageVersion","url":"midas/sdk/github/schema.html#PackageVersion"},{"doc":"midas/sdk/github/schema","title":"PackagesBillingUsage","content":"pub type PackagesBillingUsage {\n  PackagesBillingUsage(\n    total_paid_gigabytes_bandwidth_used: Option(Int),\n    total_gigabytes_bandwidth_used: Option(Int),\n    included_gigabytes_bandwidth: Option(Int),\n  )\n}\n\nPackagesBillingUsage(\n  total_paid_gigabytes_bandwidth_used: Option(Int),\n  total_gigabytes_bandwidth_used: Option(Int),\n  included_gigabytes_bandwidth: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PackagesBillingUsage\nmidas/sdk/github/schema PackagesBillingUsage","url":"midas/sdk/github/schema.html#PackagesBillingUsage"},{"doc":"midas/sdk/github/schema","title":"Page","content":"pub type Page {\n  Page(\n    https_certificate: Option(Nil),\n    protected_domain_state: Option(String),\n    public: Option(Bool),\n    custom_404: Option(Bool),\n    build_type: Option(String),\n    cname: Option(String),\n    url: Option(String),\n    status: Option(String),\n    https_enforced: Option(Bool),\n    source: Option(Nil),\n    html_url: Option(String),\n    pending_domain_unverified_at: Option(String),\n  )\n}\n\nPage(\n  https_certificate: Option(Nil),\n  protected_domain_state: Option(String),\n  public: Option(Bool),\n  custom_404: Option(Bool),\n  build_type: Option(String),\n  cname: Option(String),\n  url: Option(String),\n  status: Option(String),\n  https_enforced: Option(Bool),\n  source: Option(Nil),\n  html_url: Option(String),\n  pending_domain_unverified_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Page\nmidas/sdk/github/schema Page","url":"midas/sdk/github/schema.html#Page"},{"doc":"midas/sdk/github/schema","title":"PageBuild","content":"pub type PageBuild {\n  PageBuild(\n    pusher: Option(Nil),\n    error: Option(Nil),\n    created_at: Option(String),\n    url: Option(String),\n    status: Option(String),\n    duration: Option(Int),\n    commit: Option(String),\n    updated_at: Option(String),\n  )\n}\n\nPageBuild(\n  pusher: Option(Nil),\n  error: Option(Nil),\n  created_at: Option(String),\n  url: Option(String),\n  status: Option(String),\n  duration: Option(Int),\n  commit: Option(String),\n  updated_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PageBuild\nmidas/sdk/github/schema PageBuild","url":"midas/sdk/github/schema.html#PageBuild"},{"doc":"midas/sdk/github/schema","title":"PageBuildStatus","content":"pub type PageBuildStatus {\n  PageBuildStatus(url: Option(String), status: Option(String))\n}\n\nPageBuildStatus(url: Option(String), status: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.PageBuildStatus\nmidas/sdk/github/schema PageBuildStatus","url":"midas/sdk/github/schema.html#PageBuildStatus"},{"doc":"midas/sdk/github/schema","title":"PageDeployment","content":"pub type PageDeployment {\n  PageDeployment(\n    status_url: Option(String),\n    preview_url: Option(String),\n    id: Option(Nil),\n    page_url: Option(String),\n  )\n}\n\nPageDeployment(\n  status_url: Option(String),\n  preview_url: Option(String),\n  id: Option(Nil),\n  page_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PageDeployment\nmidas/sdk/github/schema PageDeployment","url":"midas/sdk/github/schema.html#PageDeployment"},{"doc":"midas/sdk/github/schema","title":"PagesDeploymentStatus","content":"pub type PagesDeploymentStatus {\n  PagesDeploymentStatus(status: Option(String))\n}\n\nPagesDeploymentStatus(status: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.PagesDeploymentStatus\nmidas/sdk/github/schema PagesDeploymentStatus","url":"midas/sdk/github/schema.html#PagesDeploymentStatus"},{"doc":"midas/sdk/github/schema","title":"PagesHealthCheck","content":"pub type PagesHealthCheck {\n  PagesHealthCheck(domain: Option(Nil), alt_domain: Option(Nil))\n}\n\nPagesHealthCheck(domain: Option(Nil), alt_domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.PagesHealthCheck\nmidas/sdk/github/schema PagesHealthCheck","url":"midas/sdk/github/schema.html#PagesHealthCheck"},{"doc":"midas/sdk/github/schema","title":"PagesHttpsCertificate","content":"pub type PagesHttpsCertificate {\n  PagesHttpsCertificate(\n    domains: Option(List(String)),\n    state: Option(String),\n    description: Option(String),\n    expires_at: Option(String),\n  )\n}\n\nPagesHttpsCertificate(\n  domains: Option(List(String)),\n  state: Option(String),\n  description: Option(String),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PagesHttpsCertificate\nmidas/sdk/github/schema PagesHttpsCertificate","url":"midas/sdk/github/schema.html#PagesHttpsCertificate"},{"doc":"midas/sdk/github/schema","title":"PagesSourceHash","content":"pub type PagesSourceHash {\n  PagesSourceHash(branch: Option(String), path_: Option(String))\n}\n\nPagesSourceHash(branch: Option(String), path_: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.PagesSourceHash\nmidas/sdk/github/schema PagesSourceHash","url":"midas/sdk/github/schema.html#PagesSourceHash"},{"doc":"midas/sdk/github/schema","title":"ParticipationStats","content":"pub type ParticipationStats {\n  ParticipationStats(all: Option(Nil), owner: Option(Nil))\n}\n\nParticipationStats(all: Option(Nil), owner: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.ParticipationStats\nmidas/sdk/github/schema ParticipationStats","url":"midas/sdk/github/schema.html#ParticipationStats"},{"doc":"midas/sdk/github/schema","title":"PendingDeployment","content":"pub type PendingDeployment {\n  PendingDeployment(\n    reviewers: Option(Nil),\n    current_user_can_approve: Option(Bool),\n    environment: Option(Nil),\n    wait_timer_started_at: Option(String),\n    wait_timer: Option(Int),\n  )\n}\n\nPendingDeployment(\n  reviewers: Option(Nil),\n  current_user_can_approve: Option(Bool),\n  environment: Option(Nil),\n  wait_timer_started_at: Option(String),\n  wait_timer: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PendingDeployment\nmidas/sdk/github/schema PendingDeployment","url":"midas/sdk/github/schema.html#PendingDeployment"},{"doc":"midas/sdk/github/schema","title":"PersonalAccessTokenRequest","content":"pub type PersonalAccessTokenRequest {\n  PersonalAccessTokenRequest(\n    token_id: Option(Int),\n    permissions_upgraded: Option(Nil),\n    token_expires_at: Option(String),\n    permissions_added: Option(Nil),\n    repositories: Option(Nil),\n    created_at: Option(String),\n    token_name: Option(String),\n    token_last_used_at: Option(String),\n    owner: Option(Nil),\n    repository_selection: Option(String),\n    permissions_result: Option(Nil),\n    repository_count: Option(Int),\n    id: Option(Int),\n    token_expired: Option(Bool),\n  )\n}\n\nPersonalAccessTokenRequest(\n  token_id: Option(Int),\n  permissions_upgraded: Option(Nil),\n  token_expires_at: Option(String),\n  permissions_added: Option(Nil),\n  repositories: Option(Nil),\n  created_at: Option(String),\n  token_name: Option(String),\n  token_last_used_at: Option(String),\n  owner: Option(Nil),\n  repository_selection: Option(String),\n  permissions_result: Option(Nil),\n  repository_count: Option(Int),\n  id: Option(Int),\n  token_expired: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PersonalAccessTokenRequest\nmidas/sdk/github/schema PersonalAccessTokenRequest","url":"midas/sdk/github/schema.html#PersonalAccessTokenRequest"},{"doc":"midas/sdk/github/schema","title":"PorterAuthor","content":"pub type PorterAuthor {\n  PorterAuthor(\n    remote_name: Option(String),\n    name: Option(String),\n    url: Option(String),\n    remote_id: Option(String),\n    import_url: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nPorterAuthor(\n  remote_name: Option(String),\n  name: Option(String),\n  url: Option(String),\n  remote_id: Option(String),\n  import_url: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PorterAuthor\nmidas/sdk/github/schema PorterAuthor","url":"midas/sdk/github/schema.html#PorterAuthor"},{"doc":"midas/sdk/github/schema","title":"PorterLargeFile","content":"pub type PorterLargeFile {\n  PorterLargeFile(\n    size: Option(Int),\n    path_: Option(String),\n    oid: Option(String),\n    ref_name: Option(String),\n  )\n}\n\nPorterLargeFile(\n  size: Option(Int),\n  path_: Option(String),\n  oid: Option(String),\n  ref_name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PorterLargeFile\nmidas/sdk/github/schema PorterLargeFile","url":"midas/sdk/github/schema.html#PorterLargeFile"},{"doc":"midas/sdk/github/schema","title":"PreventSelfReview","content":"pub type PreventSelfReview {\n  PreventSelfReview\n}\n\nPreventSelfReview\n\n\nSynonyms:\nmidas/sdk/github/schema.PreventSelfReview\nmidas/sdk/github/schema PreventSelfReview","url":"midas/sdk/github/schema.html#PreventSelfReview"},{"doc":"midas/sdk/github/schema","title":"PrivateUser","content":"pub type PrivateUser {\n  PrivateUser(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    ldap_dn: Option(String),\n    twitter_username: Option(String),\n    blog: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    bio: Option(String),\n    notification_email: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    plan: Option(Nil),\n    login: Option(String),\n    created_at: Option(String),\n    total_private_repos: Option(Int),\n    owned_private_repos: Option(Int),\n    public_repos: Option(Int),\n    name: Option(String),\n    collaborators: Option(Int),\n    hireable: Option(Bool),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    following: Option(Int),\n    repos_url: Option(String),\n    private_gists: Option(Int),\n    followers: Option(Int),\n    two_factor_authentication: Option(Bool),\n    location: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    updated_at: Option(String),\n    node_id: Option(String),\n    business_plus: Option(Bool),\n    public_gists: Option(Int),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n    company: Option(String),\n    disk_usage: Option(Int),\n  )\n}\n\nPrivateUser(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  ldap_dn: Option(String),\n  twitter_username: Option(String),\n  blog: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  bio: Option(String),\n  notification_email: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  plan: Option(Nil),\n  login: Option(String),\n  created_at: Option(String),\n  total_private_repos: Option(Int),\n  owned_private_repos: Option(Int),\n  public_repos: Option(Int),\n  name: Option(String),\n  collaborators: Option(Int),\n  hireable: Option(Bool),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  following: Option(Int),\n  repos_url: Option(String),\n  private_gists: Option(Int),\n  followers: Option(Int),\n  two_factor_authentication: Option(Bool),\n  location: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  updated_at: Option(String),\n  node_id: Option(String),\n  business_plus: Option(Bool),\n  public_gists: Option(Int),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n  company: Option(String),\n  disk_usage: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PrivateUser\nmidas/sdk/github/schema PrivateUser","url":"midas/sdk/github/schema.html#PrivateUser"},{"doc":"midas/sdk/github/schema","title":"PrivateVulnerabilityReportCreate","content":"pub type PrivateVulnerabilityReportCreate {\n  PrivateVulnerabilityReportCreate(\n    cvss_vector_string: Option(String),\n    summary: Option(String),\n    cwe_ids: Option(List(String)),\n    vulnerabilities: Option(Nil),\n    start_private_fork: Option(Bool),\n    description: Option(String),\n    severity: Option(String),\n  )\n}\n\nPrivateVulnerabilityReportCreate(\n  cvss_vector_string: Option(String),\n  summary: Option(String),\n  cwe_ids: Option(List(String)),\n  vulnerabilities: Option(Nil),\n  start_private_fork: Option(Bool),\n  description: Option(String),\n  severity: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PrivateVulnerabilityReportCreate\nmidas/sdk/github/schema PrivateVulnerabilityReportCreate","url":"midas/sdk/github/schema.html#PrivateVulnerabilityReportCreate"},{"doc":"midas/sdk/github/schema","title":"Project","content":"pub type Project {\n  Project(\n    body: Option(String),\n    private: Option(Bool),\n    owner_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    creator: Option(Nil),\n    columns_url: Option(String),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    organization_permission: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nProject(\n  body: Option(String),\n  private: Option(Bool),\n  owner_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  creator: Option(Nil),\n  columns_url: Option(String),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  organization_permission: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Project\nmidas/sdk/github/schema Project","url":"midas/sdk/github/schema.html#Project"},{"doc":"midas/sdk/github/schema","title":"ProjectCard","content":"pub type ProjectCard {\n  ProjectCard(\n    project_id: Option(String),\n    archived: Option(Bool),\n    column_url: Option(String),\n    content_url: Option(String),\n    project_url: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    url: Option(String),\n    note: Option(String),\n    column_name: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n  )\n}\n\nProjectCard(\n  project_id: Option(String),\n  archived: Option(Bool),\n  column_url: Option(String),\n  content_url: Option(String),\n  project_url: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  url: Option(String),\n  note: Option(String),\n  column_name: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectCard\nmidas/sdk/github/schema ProjectCard","url":"midas/sdk/github/schema.html#ProjectCard"},{"doc":"midas/sdk/github/schema","title":"ProjectCollaboratorPermission","content":"pub type ProjectCollaboratorPermission {\n  ProjectCollaboratorPermission(\n    user: Option(Nil),\n    permission: Option(String),\n  )\n}\n\nProjectCollaboratorPermission(\n  user: Option(Nil),\n  permission: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectCollaboratorPermission\nmidas/sdk/github/schema ProjectCollaboratorPermission","url":"midas/sdk/github/schema.html#ProjectCollaboratorPermission"},{"doc":"midas/sdk/github/schema","title":"ProjectColumn","content":"pub type ProjectColumn {\n  ProjectColumn(\n    project_url: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    cards_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n  )\n}\n\nProjectColumn(\n  project_url: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  cards_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectColumn\nmidas/sdk/github/schema ProjectColumn","url":"midas/sdk/github/schema.html#ProjectColumn"},{"doc":"midas/sdk/github/schema","title":"ProjectsV2","content":"pub type ProjectsV2 {\n  ProjectsV2(\n    closed_at: Option(String),\n    public: Option(Bool),\n    number: Option(Int),\n    created_at: Option(String),\n    creator: Option(Nil),\n    owner: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    short_description: Option(String),\n    deleted_at: Option(String),\n    id: Option(Float),\n    description: Option(String),\n    deleted_by: Option(Nil),\n  )\n}\n\nProjectsV2(\n  closed_at: Option(String),\n  public: Option(Bool),\n  number: Option(Int),\n  created_at: Option(String),\n  creator: Option(Nil),\n  owner: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  short_description: Option(String),\n  deleted_at: Option(String),\n  id: Option(Float),\n  description: Option(String),\n  deleted_by: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectsV2\nmidas/sdk/github/schema ProjectsV2","url":"midas/sdk/github/schema.html#ProjectsV2"},{"doc":"midas/sdk/github/schema","title":"ProjectsV2Item","content":"pub type ProjectsV2Item {\n  ProjectsV2Item(\n    content_type: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    archived_at: Option(String),\n    project_node_id: Option(String),\n    content_node_id: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Float),\n  )\n}\n\nProjectsV2Item(\n  content_type: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  archived_at: Option(String),\n  project_node_id: Option(String),\n  content_node_id: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Float),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectsV2Item\nmidas/sdk/github/schema ProjectsV2Item","url":"midas/sdk/github/schema.html#ProjectsV2Item"},{"doc":"midas/sdk/github/schema","title":"ProjectsV2ItemContentType","content":"pub type ProjectsV2ItemContentType {\n  ProjectsV2ItemContentType\n}\n\nProjectsV2ItemContentType\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectsV2ItemContentType\nmidas/sdk/github/schema ProjectsV2ItemContentType","url":"midas/sdk/github/schema.html#ProjectsV2ItemContentType"},{"doc":"midas/sdk/github/schema","title":"ProjectsV2IterationSetting","content":"pub type ProjectsV2IterationSetting {\n  ProjectsV2IterationSetting(\n    start_date: Option(String),\n    duration: Option(Float),\n    title: Option(String),\n    id: Option(String),\n  )\n}\n\nProjectsV2IterationSetting(\n  start_date: Option(String),\n  duration: Option(Float),\n  title: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectsV2IterationSetting\nmidas/sdk/github/schema ProjectsV2IterationSetting","url":"midas/sdk/github/schema.html#ProjectsV2IterationSetting"},{"doc":"midas/sdk/github/schema","title":"ProjectsV2SingleSelectOption","content":"pub type ProjectsV2SingleSelectOption {\n  ProjectsV2SingleSelectOption(\n    color: Option(String),\n    name: Option(String),\n    id: Option(String),\n    description: Option(String),\n  )\n}\n\nProjectsV2SingleSelectOption(\n  color: Option(String),\n  name: Option(String),\n  id: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectsV2SingleSelectOption\nmidas/sdk/github/schema ProjectsV2SingleSelectOption","url":"midas/sdk/github/schema.html#ProjectsV2SingleSelectOption"},{"doc":"midas/sdk/github/schema","title":"ProjectsV2StatusUpdate","content":"pub type ProjectsV2StatusUpdate {\n  ProjectsV2StatusUpdate(\n    body: Option(String),\n    created_at: Option(String),\n    start_date: Option(String),\n    creator: Option(Nil),\n    project_node_id: Option(String),\n    status: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Float),\n    target_date: Option(String),\n  )\n}\n\nProjectsV2StatusUpdate(\n  body: Option(String),\n  created_at: Option(String),\n  start_date: Option(String),\n  creator: Option(Nil),\n  project_node_id: Option(String),\n  status: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Float),\n  target_date: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProjectsV2StatusUpdate\nmidas/sdk/github/schema ProjectsV2StatusUpdate","url":"midas/sdk/github/schema.html#ProjectsV2StatusUpdate"},{"doc":"midas/sdk/github/schema","title":"ProtectedBranch","content":"pub type ProtectedBranch {\n  ProtectedBranch(\n    allow_fork_syncing: Option(Nil),\n    enforce_admins: Option(Nil),\n    block_creations: Option(Nil),\n    restrictions: Option(Nil),\n    required_conversation_resolution: Option(Nil),\n    allow_deletions: Option(Nil),\n    url: Option(String),\n    required_pull_request_reviews: Option(Nil),\n    allow_force_pushes: Option(Nil),\n    lock_branch: Option(Nil),\n    required_status_checks: Option(Nil),\n    required_linear_history: Option(Nil),\n    required_signatures: Option(Nil),\n  )\n}\n\nProtectedBranch(\n  allow_fork_syncing: Option(Nil),\n  enforce_admins: Option(Nil),\n  block_creations: Option(Nil),\n  restrictions: Option(Nil),\n  required_conversation_resolution: Option(Nil),\n  allow_deletions: Option(Nil),\n  url: Option(String),\n  required_pull_request_reviews: Option(Nil),\n  allow_force_pushes: Option(Nil),\n  lock_branch: Option(Nil),\n  required_status_checks: Option(Nil),\n  required_linear_history: Option(Nil),\n  required_signatures: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProtectedBranch\nmidas/sdk/github/schema ProtectedBranch","url":"midas/sdk/github/schema.html#ProtectedBranch"},{"doc":"midas/sdk/github/schema","title":"ProtectedBranchAdminEnforced","content":"pub type ProtectedBranchAdminEnforced {\n  ProtectedBranchAdminEnforced(\n    enabled: Option(Bool),\n    url: Option(String),\n  )\n}\n\nProtectedBranchAdminEnforced(\n  enabled: Option(Bool),\n  url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProtectedBranchAdminEnforced\nmidas/sdk/github/schema ProtectedBranchAdminEnforced","url":"midas/sdk/github/schema.html#ProtectedBranchAdminEnforced"},{"doc":"midas/sdk/github/schema","title":"ProtectedBranchPullRequestReview","content":"pub type ProtectedBranchPullRequestReview {\n  ProtectedBranchPullRequestReview(\n    dismiss_stale_reviews: Option(Bool),\n    bypass_pull_request_allowances: Option(Nil),\n    url: Option(String),\n    dismissal_restrictions: Option(Nil),\n    require_code_owner_reviews: Option(Bool),\n    require_last_push_approval: Option(Bool),\n    required_approving_review_count: Option(Int),\n  )\n}\n\nProtectedBranchPullRequestReview(\n  dismiss_stale_reviews: Option(Bool),\n  bypass_pull_request_allowances: Option(Nil),\n  url: Option(String),\n  dismissal_restrictions: Option(Nil),\n  require_code_owner_reviews: Option(Bool),\n  require_last_push_approval: Option(Bool),\n  required_approving_review_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProtectedBranchPullRequestReview\nmidas/sdk/github/schema ProtectedBranchPullRequestReview","url":"midas/sdk/github/schema.html#ProtectedBranchPullRequestReview"},{"doc":"midas/sdk/github/schema","title":"ProtectedBranchRequiredStatusCheck","content":"pub type ProtectedBranchRequiredStatusCheck {\n  ProtectedBranchRequiredStatusCheck(\n    contexts: Option(List(String)),\n    enforcement_level: Option(String),\n    strict: Option(Bool),\n    checks: Option(Nil),\n    url: Option(String),\n    contexts_url: Option(String),\n  )\n}\n\nProtectedBranchRequiredStatusCheck(\n  contexts: Option(List(String)),\n  enforcement_level: Option(String),\n  strict: Option(Bool),\n  checks: Option(Nil),\n  url: Option(String),\n  contexts_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ProtectedBranchRequiredStatusCheck\nmidas/sdk/github/schema ProtectedBranchRequiredStatusCheck","url":"midas/sdk/github/schema.html#ProtectedBranchRequiredStatusCheck"},{"doc":"midas/sdk/github/schema","title":"PublicUser","content":"pub type PublicUser {\n  PublicUser(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    twitter_username: Option(String),\n    blog: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    bio: Option(String),\n    notification_email: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    plan: Option(Nil),\n    login: Option(String),\n    created_at: Option(String),\n    total_private_repos: Option(Int),\n    owned_private_repos: Option(Int),\n    public_repos: Option(Int),\n    name: Option(String),\n    collaborators: Option(Int),\n    hireable: Option(Bool),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    following: Option(Int),\n    repos_url: Option(String),\n    private_gists: Option(Int),\n    followers: Option(Int),\n    location: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    updated_at: Option(String),\n    node_id: Option(String),\n    public_gists: Option(Int),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n    company: Option(String),\n    disk_usage: Option(Int),\n  )\n}\n\nPublicUser(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  twitter_username: Option(String),\n  blog: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  bio: Option(String),\n  notification_email: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  plan: Option(Nil),\n  login: Option(String),\n  created_at: Option(String),\n  total_private_repos: Option(Int),\n  owned_private_repos: Option(Int),\n  public_repos: Option(Int),\n  name: Option(String),\n  collaborators: Option(Int),\n  hireable: Option(Bool),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  following: Option(Int),\n  repos_url: Option(String),\n  private_gists: Option(Int),\n  followers: Option(Int),\n  location: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  updated_at: Option(String),\n  node_id: Option(String),\n  public_gists: Option(Int),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n  company: Option(String),\n  disk_usage: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PublicUser\nmidas/sdk/github/schema PublicUser","url":"midas/sdk/github/schema.html#PublicUser"},{"doc":"midas/sdk/github/schema","title":"PullRequest","content":"pub type PullRequest {\n  PullRequest(\n    head: Option(Nil),\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    mergeable_state: Option(String),\n    requested_teams: Option(Nil),\n    deletions: Option(Int),\n    merged_at: Option(String),\n    closed_at: Option(String),\n    review_comment_url: Option(String),\n    auto_merge: Option(Nil),\n    issue_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    merged_by: Option(Nil),\n    locked: Option(Bool),\n    merge_commit_sha: Option(String),\n    review_comments_url: Option(String),\n    user: Option(Nil),\n    commits_url: Option(String),\n    changed_files: Option(Int),\n    merged: Option(Bool),\n    author_association: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    statuses_url: Option(String),\n    milestone: Option(Nil),\n    maintainer_can_modify: Option(Bool),\n    state: Option(String),\n    base_: Option(Nil),\n    mergeable: Option(Bool),\n    comments: Option(Int),\n    diff_url: Option(String),\n    additions: Option(Int),\n    updated_at: Option(String),\n    node_id: Option(String),\n    patch_url: Option(String),\n    title: Option(String),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n    review_comments: Option(Int),\n    commits: Option(Int),\n    requested_reviewers: Option(Nil),\n    rebaseable: Option(Bool),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nPullRequest(\n  head: Option(Nil),\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  mergeable_state: Option(String),\n  requested_teams: Option(Nil),\n  deletions: Option(Int),\n  merged_at: Option(String),\n  closed_at: Option(String),\n  review_comment_url: Option(String),\n  auto_merge: Option(Nil),\n  issue_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  merged_by: Option(Nil),\n  locked: Option(Bool),\n  merge_commit_sha: Option(String),\n  review_comments_url: Option(String),\n  user: Option(Nil),\n  commits_url: Option(String),\n  changed_files: Option(Int),\n  merged: Option(Bool),\n  author_association: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  statuses_url: Option(String),\n  milestone: Option(Nil),\n  maintainer_can_modify: Option(Bool),\n  state: Option(String),\n  base_: Option(Nil),\n  mergeable: Option(Bool),\n  comments: Option(Int),\n  diff_url: Option(String),\n  additions: Option(Int),\n  updated_at: Option(String),\n  node_id: Option(String),\n  patch_url: Option(String),\n  title: Option(String),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n  review_comments: Option(Int),\n  commits: Option(Int),\n  requested_reviewers: Option(Nil),\n  rebaseable: Option(Bool),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequest\nmidas/sdk/github/schema PullRequest","url":"midas/sdk/github/schema.html#PullRequest"},{"doc":"midas/sdk/github/schema","title":"PullRequestMergeResult","content":"pub type PullRequestMergeResult {\n  PullRequestMergeResult(\n    message: Option(String),\n    sha: Option(String),\n    merged: Option(Bool),\n  )\n}\n\nPullRequestMergeResult(\n  message: Option(String),\n  sha: Option(String),\n  merged: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequestMergeResult\nmidas/sdk/github/schema PullRequestMergeResult","url":"midas/sdk/github/schema.html#PullRequestMergeResult"},{"doc":"midas/sdk/github/schema","title":"PullRequestMinimal","content":"pub type PullRequestMinimal {\n  PullRequestMinimal(\n    head: Option(Nil),\n    number: Option(Int),\n    url: Option(String),\n    base_: Option(Nil),\n    id: Option(Int),\n  )\n}\n\nPullRequestMinimal(\n  head: Option(Nil),\n  number: Option(Int),\n  url: Option(String),\n  base_: Option(Nil),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequestMinimal\nmidas/sdk/github/schema PullRequestMinimal","url":"midas/sdk/github/schema.html#PullRequestMinimal"},{"doc":"midas/sdk/github/schema","title":"PullRequestReview","content":"pub type PullRequestReview {\n  PullRequestReview(\n    body: Option(String),\n    commit_id: Option(String),\n    pull_request_url: Option(String),\n    body_html: Option(String),\n    body_text: Option(String),\n    user: Option(Nil),\n    author_association: Option(String),\n    state: Option(String),\n    submitted_at: Option(String),\n    node_id: Option(String),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nPullRequestReview(\n  body: Option(String),\n  commit_id: Option(String),\n  pull_request_url: Option(String),\n  body_html: Option(String),\n  body_text: Option(String),\n  user: Option(Nil),\n  author_association: Option(String),\n  state: Option(String),\n  submitted_at: Option(String),\n  node_id: Option(String),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequestReview\nmidas/sdk/github/schema PullRequestReview","url":"midas/sdk/github/schema.html#PullRequestReview"},{"doc":"midas/sdk/github/schema","title":"PullRequestReviewComment","content":"pub type PullRequestReviewComment {\n  PullRequestReviewComment(\n    body: Option(String),\n    original_line: Option(Int),\n    commit_id: Option(String),\n    diff_hunk: Option(String),\n    path_: Option(String),\n    pull_request_url: Option(String),\n    body_html: Option(String),\n    position: Option(Int),\n    created_at: Option(String),\n    body_text: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    subject_type: Option(String),\n    author_association: Option(String),\n    url: Option(String),\n    in_reply_to_id: Option(Int),\n    start_line: Option(Int),\n    start_side: Option(String),\n    line: Option(Int),\n    original_commit_id: Option(String),\n    side: Option(String),\n    updated_at: Option(String),\n    original_position: Option(Int),\n    node_id: Option(String),\n    pull_request_review_id: Option(Int),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n    original_start_line: Option(Int),\n  )\n}\n\nPullRequestReviewComment(\n  body: Option(String),\n  original_line: Option(Int),\n  commit_id: Option(String),\n  diff_hunk: Option(String),\n  path_: Option(String),\n  pull_request_url: Option(String),\n  body_html: Option(String),\n  position: Option(Int),\n  created_at: Option(String),\n  body_text: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  subject_type: Option(String),\n  author_association: Option(String),\n  url: Option(String),\n  in_reply_to_id: Option(Int),\n  start_line: Option(Int),\n  start_side: Option(String),\n  line: Option(Int),\n  original_commit_id: Option(String),\n  side: Option(String),\n  updated_at: Option(String),\n  original_position: Option(Int),\n  node_id: Option(String),\n  pull_request_review_id: Option(Int),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n  original_start_line: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequestReviewComment\nmidas/sdk/github/schema PullRequestReviewComment","url":"midas/sdk/github/schema.html#PullRequestReviewComment"},{"doc":"midas/sdk/github/schema","title":"PullRequestReviewRequest","content":"pub type PullRequestReviewRequest {\n  PullRequestReviewRequest(\n    users: Option(Nil),\n    teams: Option(Nil),\n  )\n}\n\nPullRequestReviewRequest(users: Option(Nil), teams: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequestReviewRequest\nmidas/sdk/github/schema PullRequestReviewRequest","url":"midas/sdk/github/schema.html#PullRequestReviewRequest"},{"doc":"midas/sdk/github/schema","title":"PullRequestSimple","content":"pub type PullRequestSimple {\n  PullRequestSimple(\n    head: Option(Nil),\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    requested_teams: Option(Nil),\n    merged_at: Option(String),\n    closed_at: Option(String),\n    review_comment_url: Option(String),\n    auto_merge: Option(Nil),\n    issue_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    locked: Option(Bool),\n    merge_commit_sha: Option(String),\n    review_comments_url: Option(String),\n    user: Option(Nil),\n    commits_url: Option(String),\n    author_association: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    statuses_url: Option(String),\n    milestone: Option(Nil),\n    state: Option(String),\n    base_: Option(Nil),\n    diff_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    patch_url: Option(String),\n    title: Option(String),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n    requested_reviewers: Option(Nil),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nPullRequestSimple(\n  head: Option(Nil),\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  requested_teams: Option(Nil),\n  merged_at: Option(String),\n  closed_at: Option(String),\n  review_comment_url: Option(String),\n  auto_merge: Option(Nil),\n  issue_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  locked: Option(Bool),\n  merge_commit_sha: Option(String),\n  review_comments_url: Option(String),\n  user: Option(Nil),\n  commits_url: Option(String),\n  author_association: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  statuses_url: Option(String),\n  milestone: Option(Nil),\n  state: Option(String),\n  base_: Option(Nil),\n  diff_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  patch_url: Option(String),\n  title: Option(String),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n  requested_reviewers: Option(Nil),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequestSimple\nmidas/sdk/github/schema PullRequestSimple","url":"midas/sdk/github/schema.html#PullRequestSimple"},{"doc":"midas/sdk/github/schema","title":"PullRequestWebhook","content":"pub type PullRequestWebhook {\n  PullRequestWebhook(\n    head: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    draft: Option(Bool),\n    body: Option(String),\n    allow_update_branch: Option(Bool),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    mergeable_state: Option(String),\n    requested_teams: Option(Nil),\n    deletions: Option(Int),\n    merged_at: Option(String),\n    squash_merge_commit_message: Option(String),\n    closed_at: Option(String),\n    merge_commit_message: Option(String),\n    review_comment_url: Option(String),\n    auto_merge: Option(Nil),\n    issue_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    merged_by: Option(Nil),\n    locked: Option(Bool),\n    merge_commit_sha: Option(String),\n    review_comments_url: Option(String),\n    user: Option(Nil),\n    commits_url: Option(String),\n    changed_files: Option(Int),\n    merged: Option(Bool),\n    author_association: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    statuses_url: Option(String),\n    milestone: Option(Nil),\n    use_squash_pr_title_as_default: Option(Bool),\n    maintainer_can_modify: Option(Bool),\n    state: Option(String),\n    base_: Option(Nil),\n    mergeable: Option(Bool),\n    comments: Option(Int),\n    diff_url: Option(String),\n    squash_merge_commit_title: Option(String),\n    additions: Option(Int),\n    merge_commit_title: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    patch_url: Option(String),\n    title: Option(String),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n    review_comments: Option(Int),\n    commits: Option(Int),\n    requested_reviewers: Option(Nil),\n    allow_auto_merge: Option(Bool),\n    rebaseable: Option(Bool),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nPullRequestWebhook(\n  head: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  draft: Option(Bool),\n  body: Option(String),\n  allow_update_branch: Option(Bool),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  mergeable_state: Option(String),\n  requested_teams: Option(Nil),\n  deletions: Option(Int),\n  merged_at: Option(String),\n  squash_merge_commit_message: Option(String),\n  closed_at: Option(String),\n  merge_commit_message: Option(String),\n  review_comment_url: Option(String),\n  auto_merge: Option(Nil),\n  issue_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  merged_by: Option(Nil),\n  locked: Option(Bool),\n  merge_commit_sha: Option(String),\n  review_comments_url: Option(String),\n  user: Option(Nil),\n  commits_url: Option(String),\n  changed_files: Option(Int),\n  merged: Option(Bool),\n  author_association: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  statuses_url: Option(String),\n  milestone: Option(Nil),\n  use_squash_pr_title_as_default: Option(Bool),\n  maintainer_can_modify: Option(Bool),\n  state: Option(String),\n  base_: Option(Nil),\n  mergeable: Option(Bool),\n  comments: Option(Int),\n  diff_url: Option(String),\n  squash_merge_commit_title: Option(String),\n  additions: Option(Int),\n  merge_commit_title: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  patch_url: Option(String),\n  title: Option(String),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n  review_comments: Option(Int),\n  commits: Option(Int),\n  requested_reviewers: Option(Nil),\n  allow_auto_merge: Option(Bool),\n  rebaseable: Option(Bool),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.PullRequestWebhook\nmidas/sdk/github/schema PullRequestWebhook","url":"midas/sdk/github/schema.html#PullRequestWebhook"},{"doc":"midas/sdk/github/schema","title":"RateLimit","content":"pub type RateLimit {\n  RateLimit(\n    reset: Option(Int),\n    remaining: Option(Int),\n    limit: Option(Int),\n    used: Option(Int),\n  )\n}\n\nRateLimit(\n  reset: Option(Int),\n  remaining: Option(Int),\n  limit: Option(Int),\n  used: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RateLimit\nmidas/sdk/github/schema RateLimit","url":"midas/sdk/github/schema.html#RateLimit"},{"doc":"midas/sdk/github/schema","title":"RateLimitOverview","content":"pub type RateLimitOverview {\n  RateLimitOverview(rate: Option(Nil), resources: Option(Nil))\n}\n\nRateLimitOverview(rate: Option(Nil), resources: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.RateLimitOverview\nmidas/sdk/github/schema RateLimitOverview","url":"midas/sdk/github/schema.html#RateLimitOverview"},{"doc":"midas/sdk/github/schema","title":"Reaction","content":"pub type Reaction {\n  Reaction(\n    created_at: Option(String),\n    user: Option(Nil),\n    node_id: Option(String),\n    content: Option(String),\n    id: Option(Int),\n  )\n}\n\nReaction(\n  created_at: Option(String),\n  user: Option(Nil),\n  node_id: Option(String),\n  content: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Reaction\nmidas/sdk/github/schema Reaction","url":"midas/sdk/github/schema.html#Reaction"},{"doc":"midas/sdk/github/schema","title":"ReactionRollup","content":"pub type ReactionRollup {\n  ReactionRollup(\n    confused: Option(Int),\n    laugh: Option(Int),\n    eyes: Option(Int),\n    hooray: Option(Int),\n    one: Option(Int),\n    heart: Option(Int),\n    plusone: Option(Int),\n    url: Option(String),\n    total_count: Option(Int),\n    rocket: Option(Int),\n  )\n}\n\nReactionRollup(\n  confused: Option(Int),\n  laugh: Option(Int),\n  eyes: Option(Int),\n  hooray: Option(Int),\n  one: Option(Int),\n  heart: Option(Int),\n  plusone: Option(Int),\n  url: Option(String),\n  total_count: Option(Int),\n  rocket: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReactionRollup\nmidas/sdk/github/schema ReactionRollup","url":"midas/sdk/github/schema.html#ReactionRollup"},{"doc":"midas/sdk/github/schema","title":"ReferencedWorkflow","content":"pub type ReferencedWorkflow {\n  ReferencedWorkflow(\n    path_: Option(String),\n    sha: Option(String),\n    ref: Option(String),\n  )\n}\n\nReferencedWorkflow(\n  path_: Option(String),\n  sha: Option(String),\n  ref: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReferencedWorkflow\nmidas/sdk/github/schema ReferencedWorkflow","url":"midas/sdk/github/schema.html#ReferencedWorkflow"},{"doc":"midas/sdk/github/schema","title":"ReferrerTraffic","content":"pub type ReferrerTraffic {\n  ReferrerTraffic(\n    uniques: Option(Int),\n    count: Option(Int),\n    referrer: Option(String),\n  )\n}\n\nReferrerTraffic(\n  uniques: Option(Int),\n  count: Option(Int),\n  referrer: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReferrerTraffic\nmidas/sdk/github/schema ReferrerTraffic","url":"midas/sdk/github/schema.html#ReferrerTraffic"},{"doc":"midas/sdk/github/schema","title":"Release","content":"pub type Release {\n  Release(\n    draft: Option(Bool),\n    body: Option(String),\n    assets: Option(Nil),\n    prerelease: Option(Bool),\n    published_at: Option(String),\n    body_html: Option(String),\n    created_at: Option(String),\n    body_text: Option(String),\n    reactions: Option(Nil),\n    author: Option(Nil),\n    name: Option(String),\n    url: Option(String),\n    tag_name: Option(String),\n    zipball_url: Option(String),\n    upload_url: Option(String),\n    assets_url: Option(String),\n    tarball_url: Option(String),\n    node_id: Option(String),\n    discussion_url: Option(String),\n    mentions_count: Option(Int),\n    target_commitish: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nRelease(\n  draft: Option(Bool),\n  body: Option(String),\n  assets: Option(Nil),\n  prerelease: Option(Bool),\n  published_at: Option(String),\n  body_html: Option(String),\n  created_at: Option(String),\n  body_text: Option(String),\n  reactions: Option(Nil),\n  author: Option(Nil),\n  name: Option(String),\n  url: Option(String),\n  tag_name: Option(String),\n  zipball_url: Option(String),\n  upload_url: Option(String),\n  assets_url: Option(String),\n  tarball_url: Option(String),\n  node_id: Option(String),\n  discussion_url: Option(String),\n  mentions_count: Option(Int),\n  target_commitish: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Release\nmidas/sdk/github/schema Release","url":"midas/sdk/github/schema.html#Release"},{"doc":"midas/sdk/github/schema","title":"ReleaseAsset","content":"pub type ReleaseAsset {\n  ReleaseAsset(\n    content_type: Option(String),\n    size: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    uploader: Option(Nil),\n    browser_download_url: Option(String),\n    url: Option(String),\n    state: Option(String),\n    label: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    download_count: Option(Int),\n    id: Option(Int),\n  )\n}\n\nReleaseAsset(\n  content_type: Option(String),\n  size: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  uploader: Option(Nil),\n  browser_download_url: Option(String),\n  url: Option(String),\n  state: Option(String),\n  label: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  download_count: Option(Int),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReleaseAsset\nmidas/sdk/github/schema ReleaseAsset","url":"midas/sdk/github/schema.html#ReleaseAsset"},{"doc":"midas/sdk/github/schema","title":"ReleaseNotesContent","content":"pub type ReleaseNotesContent {\n  ReleaseNotesContent(body: Option(String), name: Option(String))\n}\n\nReleaseNotesContent(body: Option(String), name: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.ReleaseNotesContent\nmidas/sdk/github/schema ReleaseNotesContent","url":"midas/sdk/github/schema.html#ReleaseNotesContent"},{"doc":"midas/sdk/github/schema","title":"RemovedFromProjectIssueEvent","content":"pub type RemovedFromProjectIssueEvent {\n  RemovedFromProjectIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    project_card: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nRemovedFromProjectIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  project_card: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RemovedFromProjectIssueEvent\nmidas/sdk/github/schema RemovedFromProjectIssueEvent","url":"midas/sdk/github/schema.html#RemovedFromProjectIssueEvent"},{"doc":"midas/sdk/github/schema","title":"RenamedIssueEvent","content":"pub type RenamedIssueEvent {\n  RenamedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n    rename: Option(Nil),\n  )\n}\n\nRenamedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n  rename: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RenamedIssueEvent\nmidas/sdk/github/schema RenamedIssueEvent","url":"midas/sdk/github/schema.html#RenamedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"RepoCodespacesSecret","content":"pub type RepoCodespacesSecret {\n  RepoCodespacesSecret(\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n  )\n}\n\nRepoCodespacesSecret(\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepoCodespacesSecret\nmidas/sdk/github/schema RepoCodespacesSecret","url":"midas/sdk/github/schema.html#RepoCodespacesSecret"},{"doc":"midas/sdk/github/schema","title":"RepoSearchResultItem","content":"pub type RepoSearchResultItem {\n  RepoSearchResultItem(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    text_matches: Option(Nil),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    allow_squash_merge: Option(Bool),\n    homepage: Option(String),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    forks: Option(Int),\n    archive_url: Option(String),\n    score: Option(Float),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    allow_rebase_merge: Option(Bool),\n    owner: Option(Nil),\n    allow_merge_commit: Option(Bool),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    allow_auto_merge: Option(Bool),\n    pulls_url: Option(String),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    master_branch: Option(String),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nRepoSearchResultItem(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  text_matches: Option(Nil),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  allow_squash_merge: Option(Bool),\n  homepage: Option(String),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  forks: Option(Int),\n  archive_url: Option(String),\n  score: Option(Float),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  allow_rebase_merge: Option(Bool),\n  owner: Option(Nil),\n  allow_merge_commit: Option(Bool),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  allow_auto_merge: Option(Bool),\n  pulls_url: Option(String),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  master_branch: Option(String),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepoSearchResultItem\nmidas/sdk/github/schema RepoSearchResultItem","url":"midas/sdk/github/schema.html#RepoSearchResultItem"},{"doc":"midas/sdk/github/schema","title":"Repository","content":"pub type Repository {\n  Repository(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    allow_update_branch: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    squash_merge_commit_message: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    merge_commit_message: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    allow_squash_merge: Option(Bool),\n    homepage: Option(String),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    use_squash_pr_title_as_default: Option(Bool),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    allow_rebase_merge: Option(Bool),\n    owner: Option(Nil),\n    starred_at: Option(String),\n    allow_merge_commit: Option(Bool),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    squash_merge_commit_title: Option(String),\n    merge_commit_title: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    anonymous_access_enabled: Option(Bool),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    allow_auto_merge: Option(Bool),\n    pulls_url: Option(String),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    master_branch: Option(String),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nRepository(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  allow_update_branch: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  squash_merge_commit_message: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  merge_commit_message: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  allow_squash_merge: Option(Bool),\n  homepage: Option(String),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  use_squash_pr_title_as_default: Option(Bool),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  allow_rebase_merge: Option(Bool),\n  owner: Option(Nil),\n  starred_at: Option(String),\n  allow_merge_commit: Option(Bool),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  squash_merge_commit_title: Option(String),\n  merge_commit_title: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  anonymous_access_enabled: Option(Bool),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  allow_auto_merge: Option(Bool),\n  pulls_url: Option(String),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  master_branch: Option(String),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Repository\nmidas/sdk/github/schema Repository","url":"midas/sdk/github/schema.html#Repository"},{"doc":"midas/sdk/github/schema","title":"RepositoryAdvisory","content":"pub type RepositoryAdvisory {\n  RepositoryAdvisory(\n    cwes: Option(Nil),\n    published_at: Option(String),\n    summary: Option(String),\n    closed_at: Option(String),\n    cvss_severities: Option(Nil),\n    cve_id: Option(String),\n    collaborating_users: Option(Nil),\n    created_at: Option(String),\n    identifiers: Option(Nil),\n    cwe_ids: Option(List(String)),\n    ghsa_id: Option(String),\n    author: Option(Nil),\n    submission: Option(Nil),\n    withdrawn_at: Option(String),\n    url: Option(String),\n    state: Option(String),\n    cvss: Option(Nil),\n    credits_detailed: Option(Nil),\n    collaborating_teams: Option(Nil),\n    updated_at: Option(String),\n    credits: Option(Nil),\n    vulnerabilities: Option(Nil),\n    html_url: Option(String),\n    publisher: Option(Nil),\n    description: Option(String),\n    severity: Option(String),\n    private_fork: Option(Nil),\n  )\n}\n\nRepositoryAdvisory(\n  cwes: Option(Nil),\n  published_at: Option(String),\n  summary: Option(String),\n  closed_at: Option(String),\n  cvss_severities: Option(Nil),\n  cve_id: Option(String),\n  collaborating_users: Option(Nil),\n  created_at: Option(String),\n  identifiers: Option(Nil),\n  cwe_ids: Option(List(String)),\n  ghsa_id: Option(String),\n  author: Option(Nil),\n  submission: Option(Nil),\n  withdrawn_at: Option(String),\n  url: Option(String),\n  state: Option(String),\n  cvss: Option(Nil),\n  credits_detailed: Option(Nil),\n  collaborating_teams: Option(Nil),\n  updated_at: Option(String),\n  credits: Option(Nil),\n  vulnerabilities: Option(Nil),\n  html_url: Option(String),\n  publisher: Option(Nil),\n  description: Option(String),\n  severity: Option(String),\n  private_fork: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryAdvisory\nmidas/sdk/github/schema RepositoryAdvisory","url":"midas/sdk/github/schema.html#RepositoryAdvisory"},{"doc":"midas/sdk/github/schema","title":"RepositoryAdvisoryCreate","content":"pub type RepositoryAdvisoryCreate {\n  RepositoryAdvisoryCreate(\n    cvss_vector_string: Option(String),\n    summary: Option(String),\n    cve_id: Option(String),\n    cwe_ids: Option(List(String)),\n    credits: Option(Nil),\n    vulnerabilities: Option(Nil),\n    start_private_fork: Option(Bool),\n    description: Option(String),\n    severity: Option(String),\n  )\n}\n\nRepositoryAdvisoryCreate(\n  cvss_vector_string: Option(String),\n  summary: Option(String),\n  cve_id: Option(String),\n  cwe_ids: Option(List(String)),\n  credits: Option(Nil),\n  vulnerabilities: Option(Nil),\n  start_private_fork: Option(Bool),\n  description: Option(String),\n  severity: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryAdvisoryCreate\nmidas/sdk/github/schema RepositoryAdvisoryCreate","url":"midas/sdk/github/schema.html#RepositoryAdvisoryCreate"},{"doc":"midas/sdk/github/schema","title":"RepositoryAdvisoryCredit","content":"pub type RepositoryAdvisoryCredit {\n  RepositoryAdvisoryCredit(\n    user: Option(Nil),\n    state: Option(String),\n    type_: Option(String),\n  )\n}\n\nRepositoryAdvisoryCredit(\n  user: Option(Nil),\n  state: Option(String),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryAdvisoryCredit\nmidas/sdk/github/schema RepositoryAdvisoryCredit","url":"midas/sdk/github/schema.html#RepositoryAdvisoryCredit"},{"doc":"midas/sdk/github/schema","title":"RepositoryAdvisoryUpdate","content":"pub type RepositoryAdvisoryUpdate {\n  RepositoryAdvisoryUpdate(\n    cvss_vector_string: Option(String),\n    summary: Option(String),\n    cve_id: Option(String),\n    collaborating_users: Option(List(String)),\n    cwe_ids: Option(List(String)),\n    state: Option(String),\n    collaborating_teams: Option(List(String)),\n    credits: Option(Nil),\n    vulnerabilities: Option(Nil),\n    description: Option(String),\n    severity: Option(String),\n  )\n}\n\nRepositoryAdvisoryUpdate(\n  cvss_vector_string: Option(String),\n  summary: Option(String),\n  cve_id: Option(String),\n  collaborating_users: Option(List(String)),\n  cwe_ids: Option(List(String)),\n  state: Option(String),\n  collaborating_teams: Option(List(String)),\n  credits: Option(Nil),\n  vulnerabilities: Option(Nil),\n  description: Option(String),\n  severity: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryAdvisoryUpdate\nmidas/sdk/github/schema RepositoryAdvisoryUpdate","url":"midas/sdk/github/schema.html#RepositoryAdvisoryUpdate"},{"doc":"midas/sdk/github/schema","title":"RepositoryAdvisoryVulnerability","content":"pub type RepositoryAdvisoryVulnerability {\n  RepositoryAdvisoryVulnerability(\n    vulnerable_functions: Option(List(String)),\n    package: Option(Nil),\n    patched_versions: Option(String),\n    vulnerable_version_range: Option(String),\n  )\n}\n\nRepositoryAdvisoryVulnerability(\n  vulnerable_functions: Option(List(String)),\n  package: Option(Nil),\n  patched_versions: Option(String),\n  vulnerable_version_range: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryAdvisoryVulnerability\nmidas/sdk/github/schema RepositoryAdvisoryVulnerability","url":"midas/sdk/github/schema.html#RepositoryAdvisoryVulnerability"},{"doc":"midas/sdk/github/schema","title":"RepositoryCollaboratorPermission","content":"pub type RepositoryCollaboratorPermission {\n  RepositoryCollaboratorPermission(\n    user: Option(Nil),\n    permission: Option(String),\n    role_name: Option(String),\n  )\n}\n\nRepositoryCollaboratorPermission(\n  user: Option(Nil),\n  permission: Option(String),\n  role_name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryCollaboratorPermission\nmidas/sdk/github/schema RepositoryCollaboratorPermission","url":"midas/sdk/github/schema.html#RepositoryCollaboratorPermission"},{"doc":"midas/sdk/github/schema","title":"RepositoryInvitation","content":"pub type RepositoryInvitation {\n  RepositoryInvitation(\n    permissions: Option(String),\n    expired: Option(Bool),\n    inviter: Option(Nil),\n    created_at: Option(String),\n    repository: Option(Nil),\n    url: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    invitee: Option(Nil),\n  )\n}\n\nRepositoryInvitation(\n  permissions: Option(String),\n  expired: Option(Bool),\n  inviter: Option(Nil),\n  created_at: Option(String),\n  repository: Option(Nil),\n  url: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  invitee: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryInvitation\nmidas/sdk/github/schema RepositoryInvitation","url":"midas/sdk/github/schema.html#RepositoryInvitation"},{"doc":"midas/sdk/github/schema","title":"RepositoryRule","content":"pub type RepositoryRule {\n  RepositoryRule\n}\n\nRepositoryRule\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRule\nmidas/sdk/github/schema RepositoryRule","url":"midas/sdk/github/schema.html#RepositoryRule"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleBranchNamePattern","content":"pub type RepositoryRuleBranchNamePattern {\n  RepositoryRuleBranchNamePattern(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleBranchNamePattern(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleBranchNamePattern\nmidas/sdk/github/schema RepositoryRuleBranchNamePattern","url":"midas/sdk/github/schema.html#RepositoryRuleBranchNamePattern"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleCodeScanning","content":"pub type RepositoryRuleCodeScanning {\n  RepositoryRuleCodeScanning(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleCodeScanning(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleCodeScanning\nmidas/sdk/github/schema RepositoryRuleCodeScanning","url":"midas/sdk/github/schema.html#RepositoryRuleCodeScanning"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleCommitAuthorEmailPattern","content":"pub type RepositoryRuleCommitAuthorEmailPattern {\n  RepositoryRuleCommitAuthorEmailPattern(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleCommitAuthorEmailPattern(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleCommitAuthorEmailPattern\nmidas/sdk/github/schema RepositoryRuleCommitAuthorEmailPattern","url":"midas/sdk/github/schema.html#RepositoryRuleCommitAuthorEmailPattern"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleCommitMessagePattern","content":"pub type RepositoryRuleCommitMessagePattern {\n  RepositoryRuleCommitMessagePattern(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleCommitMessagePattern(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleCommitMessagePattern\nmidas/sdk/github/schema RepositoryRuleCommitMessagePattern","url":"midas/sdk/github/schema.html#RepositoryRuleCommitMessagePattern"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleCommitterEmailPattern","content":"pub type RepositoryRuleCommitterEmailPattern {\n  RepositoryRuleCommitterEmailPattern(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleCommitterEmailPattern(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleCommitterEmailPattern\nmidas/sdk/github/schema RepositoryRuleCommitterEmailPattern","url":"midas/sdk/github/schema.html#RepositoryRuleCommitterEmailPattern"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleCreation","content":"pub type RepositoryRuleCreation {\n  RepositoryRuleCreation(type_: Option(String))\n}\n\nRepositoryRuleCreation(type_: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleCreation\nmidas/sdk/github/schema RepositoryRuleCreation","url":"midas/sdk/github/schema.html#RepositoryRuleCreation"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleDeletion","content":"pub type RepositoryRuleDeletion {\n  RepositoryRuleDeletion(type_: Option(String))\n}\n\nRepositoryRuleDeletion(type_: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleDeletion\nmidas/sdk/github/schema RepositoryRuleDeletion","url":"midas/sdk/github/schema.html#RepositoryRuleDeletion"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleDetailed","content":"pub type RepositoryRuleDetailed {\n  RepositoryRuleDetailed\n}\n\nRepositoryRuleDetailed\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleDetailed\nmidas/sdk/github/schema RepositoryRuleDetailed","url":"midas/sdk/github/schema.html#RepositoryRuleDetailed"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleEnforcement","content":"pub type RepositoryRuleEnforcement {\n  RepositoryRuleEnforcement\n}\n\nRepositoryRuleEnforcement\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleEnforcement\nmidas/sdk/github/schema RepositoryRuleEnforcement","url":"midas/sdk/github/schema.html#RepositoryRuleEnforcement"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleMergeQueue","content":"pub type RepositoryRuleMergeQueue {\n  RepositoryRuleMergeQueue(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleMergeQueue(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleMergeQueue\nmidas/sdk/github/schema RepositoryRuleMergeQueue","url":"midas/sdk/github/schema.html#RepositoryRuleMergeQueue"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleNonFastForward","content":"pub type RepositoryRuleNonFastForward {\n  RepositoryRuleNonFastForward(type_: Option(String))\n}\n\nRepositoryRuleNonFastForward(type_: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleNonFastForward\nmidas/sdk/github/schema RepositoryRuleNonFastForward","url":"midas/sdk/github/schema.html#RepositoryRuleNonFastForward"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleParamsCodeScanningTool","content":"pub type RepositoryRuleParamsCodeScanningTool {\n  RepositoryRuleParamsCodeScanningTool(\n    security_alerts_threshold: Option(String),\n    alerts_threshold: Option(String),\n    tool: Option(String),\n  )\n}\n\nRepositoryRuleParamsCodeScanningTool(\n  security_alerts_threshold: Option(String),\n  alerts_threshold: Option(String),\n  tool: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleParamsCodeScanningTool\nmidas/sdk/github/schema RepositoryRuleParamsCodeScanningTool","url":"midas/sdk/github/schema.html#RepositoryRuleParamsCodeScanningTool"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleParamsRequiredReviewerConfiguration","content":"pub type RepositoryRuleParamsRequiredReviewerConfiguration {\n  RepositoryRuleParamsRequiredReviewerConfiguration(\n    file_patterns: Option(List(String)),\n    reviewer_id: Option(String),\n    minimum_approvals: Option(Int),\n  )\n}\n\nRepositoryRuleParamsRequiredReviewerConfiguration(\n  file_patterns: Option(List(String)),\n  reviewer_id: Option(String),\n  minimum_approvals: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleParamsRequiredReviewerConfiguration\nmidas/sdk/github/schema RepositoryRuleParamsRequiredReviewerConfiguration","url":"midas/sdk/github/schema.html#RepositoryRuleParamsRequiredReviewerConfiguration"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleParamsRestrictedCommits","content":"pub type RepositoryRuleParamsRestrictedCommits {\n  RepositoryRuleParamsRestrictedCommits(\n    reason: Option(String),\n    oid: Option(String),\n  )\n}\n\nRepositoryRuleParamsRestrictedCommits(\n  reason: Option(String),\n  oid: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleParamsRestrictedCommits\nmidas/sdk/github/schema RepositoryRuleParamsRestrictedCommits","url":"midas/sdk/github/schema.html#RepositoryRuleParamsRestrictedCommits"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleParamsStatusCheckConfiguration","content":"pub type RepositoryRuleParamsStatusCheckConfiguration {\n  RepositoryRuleParamsStatusCheckConfiguration(\n    integration_id: Option(Int),\n    context: Option(String),\n  )\n}\n\nRepositoryRuleParamsStatusCheckConfiguration(\n  integration_id: Option(Int),\n  context: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleParamsStatusCheckConfiguration\nmidas/sdk/github/schema RepositoryRuleParamsStatusCheckConfiguration","url":"midas/sdk/github/schema.html#RepositoryRuleParamsStatusCheckConfiguration"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleParamsWorkflowFileReference","content":"pub type RepositoryRuleParamsWorkflowFileReference {\n  RepositoryRuleParamsWorkflowFileReference(\n    path_: Option(String),\n    sha: Option(String),\n    repository_id: Option(Int),\n    ref: Option(String),\n  )\n}\n\nRepositoryRuleParamsWorkflowFileReference(\n  path_: Option(String),\n  sha: Option(String),\n  repository_id: Option(Int),\n  ref: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleParamsWorkflowFileReference\nmidas/sdk/github/schema RepositoryRuleParamsWorkflowFileReference","url":"midas/sdk/github/schema.html#RepositoryRuleParamsWorkflowFileReference"},{"doc":"midas/sdk/github/schema","title":"RepositoryRulePullRequest","content":"pub type RepositoryRulePullRequest {\n  RepositoryRulePullRequest(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRulePullRequest(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRulePullRequest\nmidas/sdk/github/schema RepositoryRulePullRequest","url":"midas/sdk/github/schema.html#RepositoryRulePullRequest"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleRequiredDeployments","content":"pub type RepositoryRuleRequiredDeployments {\n  RepositoryRuleRequiredDeployments(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleRequiredDeployments(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleRequiredDeployments\nmidas/sdk/github/schema RepositoryRuleRequiredDeployments","url":"midas/sdk/github/schema.html#RepositoryRuleRequiredDeployments"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleRequiredLinearHistory","content":"pub type RepositoryRuleRequiredLinearHistory {\n  RepositoryRuleRequiredLinearHistory(type_: Option(String))\n}\n\nRepositoryRuleRequiredLinearHistory(type_: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleRequiredLinearHistory\nmidas/sdk/github/schema RepositoryRuleRequiredLinearHistory","url":"midas/sdk/github/schema.html#RepositoryRuleRequiredLinearHistory"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleRequiredSignatures","content":"pub type RepositoryRuleRequiredSignatures {\n  RepositoryRuleRequiredSignatures(type_: Option(String))\n}\n\nRepositoryRuleRequiredSignatures(type_: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleRequiredSignatures\nmidas/sdk/github/schema RepositoryRuleRequiredSignatures","url":"midas/sdk/github/schema.html#RepositoryRuleRequiredSignatures"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleRequiredStatusChecks","content":"pub type RepositoryRuleRequiredStatusChecks {\n  RepositoryRuleRequiredStatusChecks(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleRequiredStatusChecks(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleRequiredStatusChecks\nmidas/sdk/github/schema RepositoryRuleRequiredStatusChecks","url":"midas/sdk/github/schema.html#RepositoryRuleRequiredStatusChecks"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleRulesetInfo","content":"pub type RepositoryRuleRulesetInfo {\n  RepositoryRuleRulesetInfo(\n    ruleset_source_type: Option(String),\n    ruleset_id: Option(Int),\n    ruleset_source: Option(String),\n  )\n}\n\nRepositoryRuleRulesetInfo(\n  ruleset_source_type: Option(String),\n  ruleset_id: Option(Int),\n  ruleset_source: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleRulesetInfo\nmidas/sdk/github/schema RepositoryRuleRulesetInfo","url":"midas/sdk/github/schema.html#RepositoryRuleRulesetInfo"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleTagNamePattern","content":"pub type RepositoryRuleTagNamePattern {\n  RepositoryRuleTagNamePattern(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleTagNamePattern(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleTagNamePattern\nmidas/sdk/github/schema RepositoryRuleTagNamePattern","url":"midas/sdk/github/schema.html#RepositoryRuleTagNamePattern"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleUpdate","content":"pub type RepositoryRuleUpdate {\n  RepositoryRuleUpdate(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleUpdate(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleUpdate\nmidas/sdk/github/schema RepositoryRuleUpdate","url":"midas/sdk/github/schema.html#RepositoryRuleUpdate"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleViolationError","content":"pub type RepositoryRuleViolationError {\n  RepositoryRuleViolationError(\n    message: Option(String),\n    documentation_url: Option(String),\n    metadata: Option(Nil),\n    status: Option(String),\n  )\n}\n\nRepositoryRuleViolationError(\n  message: Option(String),\n  documentation_url: Option(String),\n  metadata: Option(Nil),\n  status: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleViolationError\nmidas/sdk/github/schema RepositoryRuleViolationError","url":"midas/sdk/github/schema.html#RepositoryRuleViolationError"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleWorkflows","content":"pub type RepositoryRuleWorkflows {\n  RepositoryRuleWorkflows(\n    parameters: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nRepositoryRuleWorkflows(\n  parameters: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleWorkflows\nmidas/sdk/github/schema RepositoryRuleWorkflows","url":"midas/sdk/github/schema.html#RepositoryRuleWorkflows"},{"doc":"midas/sdk/github/schema","title":"RepositoryRuleset","content":"pub type RepositoryRuleset {\n  RepositoryRuleset(\n    enforcement: Option(String),\n    current_user_can_bypass: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    target: Option(String),\n    bypass_actors: Option(Nil),\n    rules: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    conditions: Option(Nil),\n    links: Option(Nil),\n    source: Option(String),\n    id: Option(Int),\n    source_type: Option(String),\n  )\n}\n\nRepositoryRuleset(\n  enforcement: Option(String),\n  current_user_can_bypass: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  target: Option(String),\n  bypass_actors: Option(Nil),\n  rules: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  conditions: Option(Nil),\n  links: Option(Nil),\n  source: Option(String),\n  id: Option(Int),\n  source_type: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRuleset\nmidas/sdk/github/schema RepositoryRuleset","url":"midas/sdk/github/schema.html#RepositoryRuleset"},{"doc":"midas/sdk/github/schema","title":"RepositoryRulesetBypassActor","content":"pub type RepositoryRulesetBypassActor {\n  RepositoryRulesetBypassActor(\n    actor_type: Option(String),\n    actor_id: Option(Int),\n    bypass_mode: Option(String),\n  )\n}\n\nRepositoryRulesetBypassActor(\n  actor_type: Option(String),\n  actor_id: Option(Int),\n  bypass_mode: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRulesetBypassActor\nmidas/sdk/github/schema RepositoryRulesetBypassActor","url":"midas/sdk/github/schema.html#RepositoryRulesetBypassActor"},{"doc":"midas/sdk/github/schema","title":"RepositoryRulesetConditions","content":"pub type RepositoryRulesetConditions {\n  RepositoryRulesetConditions(ref_name: Option(Nil))\n}\n\nRepositoryRulesetConditions(ref_name: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRulesetConditions\nmidas/sdk/github/schema RepositoryRulesetConditions","url":"midas/sdk/github/schema.html#RepositoryRulesetConditions"},{"doc":"midas/sdk/github/schema","title":"RepositoryRulesetConditionsRepositoryIdTarget","content":"pub type RepositoryRulesetConditionsRepositoryIdTarget {\n  RepositoryRulesetConditionsRepositoryIdTarget(\n    repository_id: Option(Nil),\n  )\n}\n\nRepositoryRulesetConditionsRepositoryIdTarget(\n  repository_id: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRulesetConditionsRepositoryIdTarget\nmidas/sdk/github/schema RepositoryRulesetConditionsRepositoryIdTarget","url":"midas/sdk/github/schema.html#RepositoryRulesetConditionsRepositoryIdTarget"},{"doc":"midas/sdk/github/schema","title":"RepositoryRulesetConditionsRepositoryNameTarget","content":"pub type RepositoryRulesetConditionsRepositoryNameTarget {\n  RepositoryRulesetConditionsRepositoryNameTarget(\n    repository_name: Option(Nil),\n  )\n}\n\nRepositoryRulesetConditionsRepositoryNameTarget(\n  repository_name: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRulesetConditionsRepositoryNameTarget\nmidas/sdk/github/schema RepositoryRulesetConditionsRepositoryNameTarget","url":"midas/sdk/github/schema.html#RepositoryRulesetConditionsRepositoryNameTarget"},{"doc":"midas/sdk/github/schema","title":"RepositoryRulesetConditionsRepositoryPropertySpec","content":"pub type RepositoryRulesetConditionsRepositoryPropertySpec {\n  RepositoryRulesetConditionsRepositoryPropertySpec(\n    name: Option(String),\n    property_values: Option(List(String)),\n    source: Option(String),\n  )\n}\n\nRepositoryRulesetConditionsRepositoryPropertySpec(\n  name: Option(String),\n  property_values: Option(List(String)),\n  source: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRulesetConditionsRepositoryPropertySpec\nmidas/sdk/github/schema RepositoryRulesetConditionsRepositoryPropertySpec","url":"midas/sdk/github/schema.html#RepositoryRulesetConditionsRepositoryPropertySpec"},{"doc":"midas/sdk/github/schema","title":"RepositoryRulesetConditionsRepositoryPropertyTarget","content":"pub type RepositoryRulesetConditionsRepositoryPropertyTarget {\n  RepositoryRulesetConditionsRepositoryPropertyTarget(\n    repository_property: Option(Nil),\n  )\n}\n\nRepositoryRulesetConditionsRepositoryPropertyTarget(\n  repository_property: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryRulesetConditionsRepositoryPropertyTarget\nmidas/sdk/github/schema RepositoryRulesetConditionsRepositoryPropertyTarget","url":"midas/sdk/github/schema.html#RepositoryRulesetConditionsRepositoryPropertyTarget"},{"doc":"midas/sdk/github/schema","title":"RepositorySubscription","content":"pub type RepositorySubscription {\n  RepositorySubscription(\n    reason: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    ignored: Option(Bool),\n    subscribed: Option(Bool),\n    repository_url: Option(String),\n  )\n}\n\nRepositorySubscription(\n  reason: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  ignored: Option(Bool),\n  subscribed: Option(Bool),\n  repository_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositorySubscription\nmidas/sdk/github/schema RepositorySubscription","url":"midas/sdk/github/schema.html#RepositorySubscription"},{"doc":"midas/sdk/github/schema","title":"RepositoryWebhooks","content":"pub type RepositoryWebhooks {\n  RepositoryWebhooks(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    custom_properties: Option(Nil),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    allow_update_branch: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    squash_merge_commit_message: Option(String),\n    has_discussions: Option(Bool),\n    teams_url: Option(String),\n    merge_commit_message: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    allow_squash_merge: Option(Bool),\n    homepage: Option(String),\n    template_repository: Option(Nil),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    use_squash_pr_title_as_default: Option(Bool),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    allow_rebase_merge: Option(Bool),\n    organization: Option(Nil),\n    owner: Option(Nil),\n    starred_at: Option(String),\n    allow_merge_commit: Option(Bool),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    squash_merge_commit_title: Option(String),\n    merge_commit_title: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    anonymous_access_enabled: Option(Bool),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    subscribers_count: Option(Int),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    allow_auto_merge: Option(Bool),\n    pulls_url: Option(String),\n    network_count: Option(Int),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    master_branch: Option(String),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nRepositoryWebhooks(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  custom_properties: Option(Nil),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  allow_update_branch: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  squash_merge_commit_message: Option(String),\n  has_discussions: Option(Bool),\n  teams_url: Option(String),\n  merge_commit_message: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  allow_squash_merge: Option(Bool),\n  homepage: Option(String),\n  template_repository: Option(Nil),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  use_squash_pr_title_as_default: Option(Bool),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  allow_rebase_merge: Option(Bool),\n  organization: Option(Nil),\n  owner: Option(Nil),\n  starred_at: Option(String),\n  allow_merge_commit: Option(Bool),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  squash_merge_commit_title: Option(String),\n  merge_commit_title: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  anonymous_access_enabled: Option(Bool),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  subscribers_count: Option(Int),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  allow_auto_merge: Option(Bool),\n  pulls_url: Option(String),\n  network_count: Option(Int),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  master_branch: Option(String),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RepositoryWebhooks\nmidas/sdk/github/schema RepositoryWebhooks","url":"midas/sdk/github/schema.html#RepositoryWebhooks"},{"doc":"midas/sdk/github/schema","title":"ReviewComment","content":"pub type ReviewComment {\n  ReviewComment(\n    body: Option(String),\n    original_line: Option(Int),\n    commit_id: Option(String),\n    diff_hunk: Option(String),\n    path_: Option(String),\n    pull_request_url: Option(String),\n    body_html: Option(String),\n    position: Option(Int),\n    created_at: Option(String),\n    body_text: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    url: Option(String),\n    in_reply_to_id: Option(Int),\n    start_line: Option(Int),\n    start_side: Option(String),\n    line: Option(Int),\n    original_commit_id: Option(String),\n    side: Option(String),\n    updated_at: Option(String),\n    original_position: Option(Int),\n    node_id: Option(String),\n    pull_request_review_id: Option(Int),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n    original_start_line: Option(Int),\n  )\n}\n\nReviewComment(\n  body: Option(String),\n  original_line: Option(Int),\n  commit_id: Option(String),\n  diff_hunk: Option(String),\n  path_: Option(String),\n  pull_request_url: Option(String),\n  body_html: Option(String),\n  position: Option(Int),\n  created_at: Option(String),\n  body_text: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  url: Option(String),\n  in_reply_to_id: Option(Int),\n  start_line: Option(Int),\n  start_side: Option(String),\n  line: Option(Int),\n  original_commit_id: Option(String),\n  side: Option(String),\n  updated_at: Option(String),\n  original_position: Option(Int),\n  node_id: Option(String),\n  pull_request_review_id: Option(Int),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n  original_start_line: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReviewComment\nmidas/sdk/github/schema ReviewComment","url":"midas/sdk/github/schema.html#ReviewComment"},{"doc":"midas/sdk/github/schema","title":"ReviewCustomGatesCommentRequired","content":"pub type ReviewCustomGatesCommentRequired {\n  ReviewCustomGatesCommentRequired(\n    environment_name: Option(String),\n    comment: Option(String),\n  )\n}\n\nReviewCustomGatesCommentRequired(\n  environment_name: Option(String),\n  comment: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReviewCustomGatesCommentRequired\nmidas/sdk/github/schema ReviewCustomGatesCommentRequired","url":"midas/sdk/github/schema.html#ReviewCustomGatesCommentRequired"},{"doc":"midas/sdk/github/schema","title":"ReviewCustomGatesStateRequired","content":"pub type ReviewCustomGatesStateRequired {\n  ReviewCustomGatesStateRequired(\n    state: Option(String),\n    environment_name: Option(String),\n    comment: Option(String),\n  )\n}\n\nReviewCustomGatesStateRequired(\n  state: Option(String),\n  environment_name: Option(String),\n  comment: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReviewCustomGatesStateRequired\nmidas/sdk/github/schema ReviewCustomGatesStateRequired","url":"midas/sdk/github/schema.html#ReviewCustomGatesStateRequired"},{"doc":"midas/sdk/github/schema","title":"ReviewDismissedIssueEvent","content":"pub type ReviewDismissedIssueEvent {\n  ReviewDismissedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    dismissed_review: Option(Nil),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nReviewDismissedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  dismissed_review: Option(Nil),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReviewDismissedIssueEvent\nmidas/sdk/github/schema ReviewDismissedIssueEvent","url":"midas/sdk/github/schema.html#ReviewDismissedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"ReviewRequestRemovedIssueEvent","content":"pub type ReviewRequestRemovedIssueEvent {\n  ReviewRequestRemovedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    requested_team: Option(Nil),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    review_requester: Option(Nil),\n    requested_reviewer: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nReviewRequestRemovedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  requested_team: Option(Nil),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  review_requester: Option(Nil),\n  requested_reviewer: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReviewRequestRemovedIssueEvent\nmidas/sdk/github/schema ReviewRequestRemovedIssueEvent","url":"midas/sdk/github/schema.html#ReviewRequestRemovedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"ReviewRequestedIssueEvent","content":"pub type ReviewRequestedIssueEvent {\n  ReviewRequestedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    requested_team: Option(Nil),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    review_requester: Option(Nil),\n    requested_reviewer: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nReviewRequestedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  requested_team: Option(Nil),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  review_requester: Option(Nil),\n  requested_reviewer: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ReviewRequestedIssueEvent\nmidas/sdk/github/schema ReviewRequestedIssueEvent","url":"midas/sdk/github/schema.html#ReviewRequestedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"Root","content":"pub type Root {\n  Root(\n    commit_search_url: Option(String),\n    gists_url: Option(String),\n    starred_gists_url: Option(String),\n    following_url: Option(String),\n    current_user_url: Option(String),\n    organization_url: Option(String),\n    label_search_url: Option(String),\n    keys_url: Option(String),\n    organization_repositories_url: Option(String),\n    feeds_url: Option(String),\n    followers_url: Option(String),\n    hub_url: Option(String),\n    current_user_repositories_url: Option(String),\n    emails_url: Option(String),\n    topic_search_url: Option(String),\n    events_url: Option(String),\n    public_gists_url: Option(String),\n    issues_url: Option(String),\n    authorizations_url: Option(String),\n    code_search_url: Option(String),\n    user_repositories_url: Option(String),\n    rate_limit_url: Option(String),\n    user_search_url: Option(String),\n    repository_search_url: Option(String),\n    starred_url: Option(String),\n    current_user_authorizations_html_url: Option(String),\n    notifications_url: Option(String),\n    repository_url: Option(String),\n    organization_teams_url: Option(String),\n    user_url: Option(String),\n    user_organizations_url: Option(String),\n    emojis_url: Option(String),\n    issue_search_url: Option(String),\n  )\n}\n\nRoot(\n  commit_search_url: Option(String),\n  gists_url: Option(String),\n  starred_gists_url: Option(String),\n  following_url: Option(String),\n  current_user_url: Option(String),\n  organization_url: Option(String),\n  label_search_url: Option(String),\n  keys_url: Option(String),\n  organization_repositories_url: Option(String),\n  feeds_url: Option(String),\n  followers_url: Option(String),\n  hub_url: Option(String),\n  current_user_repositories_url: Option(String),\n  emails_url: Option(String),\n  topic_search_url: Option(String),\n  events_url: Option(String),\n  public_gists_url: Option(String),\n  issues_url: Option(String),\n  authorizations_url: Option(String),\n  code_search_url: Option(String),\n  user_repositories_url: Option(String),\n  rate_limit_url: Option(String),\n  user_search_url: Option(String),\n  repository_search_url: Option(String),\n  starred_url: Option(String),\n  current_user_authorizations_html_url: Option(String),\n  notifications_url: Option(String),\n  repository_url: Option(String),\n  organization_teams_url: Option(String),\n  user_url: Option(String),\n  user_organizations_url: Option(String),\n  emojis_url: Option(String),\n  issue_search_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Root\nmidas/sdk/github/schema Root","url":"midas/sdk/github/schema.html#Root"},{"doc":"midas/sdk/github/schema","title":"RuleSuite","content":"pub type RuleSuite {\n  RuleSuite(\n    repository_name: Option(String),\n    evaluation_result: Option(String),\n    actor_id: Option(Int),\n    after_sha: Option(String),\n    before_sha: Option(String),\n    repository_id: Option(Int),\n    ref: Option(String),\n    rule_evaluations: Option(Nil),\n    actor_name: Option(String),\n    pushed_at: Option(String),\n    id: Option(Int),\n    result: Option(String),\n  )\n}\n\nRuleSuite(\n  repository_name: Option(String),\n  evaluation_result: Option(String),\n  actor_id: Option(Int),\n  after_sha: Option(String),\n  before_sha: Option(String),\n  repository_id: Option(Int),\n  ref: Option(String),\n  rule_evaluations: Option(Nil),\n  actor_name: Option(String),\n  pushed_at: Option(String),\n  id: Option(Int),\n  result: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RuleSuite\nmidas/sdk/github/schema RuleSuite","url":"midas/sdk/github/schema.html#RuleSuite"},{"doc":"midas/sdk/github/schema","title":"RuleSuites","content":"pub type RuleSuites {\n  RuleSuites\n}\n\nRuleSuites\n\n\nSynonyms:\nmidas/sdk/github/schema.RuleSuites\nmidas/sdk/github/schema RuleSuites","url":"midas/sdk/github/schema.html#RuleSuites"},{"doc":"midas/sdk/github/schema","title":"Runner","content":"pub type Runner {\n  Runner(\n    os: Option(String),\n    runner_group_id: Option(Int),\n    name: Option(String),\n    status: Option(String),\n    busy: Option(Bool),\n    id: Option(Int),\n    labels: Option(Nil),\n  )\n}\n\nRunner(\n  os: Option(String),\n  runner_group_id: Option(Int),\n  name: Option(String),\n  status: Option(String),\n  busy: Option(Bool),\n  id: Option(Int),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Runner\nmidas/sdk/github/schema Runner","url":"midas/sdk/github/schema.html#Runner"},{"doc":"midas/sdk/github/schema","title":"RunnerApplication","content":"pub type RunnerApplication {\n  RunnerApplication(\n    os: Option(String),\n    filename: Option(String),\n    temp_download_token: Option(String),\n    architecture: Option(String),\n    download_url: Option(String),\n    sha256_checksum: Option(String),\n  )\n}\n\nRunnerApplication(\n  os: Option(String),\n  filename: Option(String),\n  temp_download_token: Option(String),\n  architecture: Option(String),\n  download_url: Option(String),\n  sha256_checksum: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RunnerApplication\nmidas/sdk/github/schema RunnerApplication","url":"midas/sdk/github/schema.html#RunnerApplication"},{"doc":"midas/sdk/github/schema","title":"RunnerGroupsOrg","content":"pub type RunnerGroupsOrg {\n  RunnerGroupsOrg(\n    default: Option(Bool),\n    allows_public_repositories: Option(Bool),\n    name: Option(String),\n    inherited_allows_public_repositories: Option(Bool),\n    selected_workflows: Option(List(String)),\n    visibility: Option(String),\n    runners_url: Option(String),\n    restricted_to_workflows: Option(Bool),\n    inherited: Option(Bool),\n    id: Option(Float),\n    hosted_runners_url: Option(String),\n    selected_repositories_url: Option(String),\n    workflow_restrictions_read_only: Option(Bool),\n  )\n}\n\nRunnerGroupsOrg(\n  default: Option(Bool),\n  allows_public_repositories: Option(Bool),\n  name: Option(String),\n  inherited_allows_public_repositories: Option(Bool),\n  selected_workflows: Option(List(String)),\n  visibility: Option(String),\n  runners_url: Option(String),\n  restricted_to_workflows: Option(Bool),\n  inherited: Option(Bool),\n  id: Option(Float),\n  hosted_runners_url: Option(String),\n  selected_repositories_url: Option(String),\n  workflow_restrictions_read_only: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RunnerGroupsOrg\nmidas/sdk/github/schema RunnerGroupsOrg","url":"midas/sdk/github/schema.html#RunnerGroupsOrg"},{"doc":"midas/sdk/github/schema","title":"RunnerLabel","content":"pub type RunnerLabel {\n  RunnerLabel(\n    name: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n  )\n}\n\nRunnerLabel(\n  name: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.RunnerLabel\nmidas/sdk/github/schema RunnerLabel","url":"midas/sdk/github/schema.html#RunnerLabel"},{"doc":"midas/sdk/github/schema","title":"ScimError","content":"pub type ScimError {\n  ScimError(\n    message: Option(String),\n    documentation_url: Option(String),\n    scim_type: Option(String),\n    detail: Option(String),\n    schemas: Option(List(String)),\n    status: Option(Int),\n  )\n}\n\nScimError(\n  message: Option(String),\n  documentation_url: Option(String),\n  scim_type: Option(String),\n  detail: Option(String),\n  schemas: Option(List(String)),\n  status: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ScimError\nmidas/sdk/github/schema ScimError","url":"midas/sdk/github/schema.html#ScimError"},{"doc":"midas/sdk/github/schema","title":"SearchResultTextMatches","content":"pub type SearchResultTextMatches {\n  SearchResultTextMatches\n}\n\nSearchResultTextMatches\n\n\nSynonyms:\nmidas/sdk/github/schema.SearchResultTextMatches\nmidas/sdk/github/schema SearchResultTextMatches","url":"midas/sdk/github/schema.html#SearchResultTextMatches"},{"doc":"midas/sdk/github/schema","title":"SecretScanningAlert","content":"pub type SecretScanningAlert {\n  SecretScanningAlert(\n    push_protection_bypass_request_html_url: Option(String),\n    push_protection_bypassed: Option(Bool),\n    number: Option(Int),\n    secret_type: Option(String),\n    created_at: Option(String),\n    push_protection_bypassed_at: Option(String),\n    push_protection_bypass_request_reviewer: Option(Nil),\n    publicly_leaked: Option(Bool),\n    resolution: Option(String),\n    resolution_comment: Option(String),\n    locations_url: Option(String),\n    push_protection_bypassed_by: Option(Nil),\n    url: Option(String),\n    secret: Option(String),\n    state: Option(String),\n    validity: Option(String),\n    updated_at: Option(String),\n    multi_repo: Option(Bool),\n    push_protection_bypass_request_comment: Option(String),\n    resolved_at: Option(String),\n    html_url: Option(String),\n    secret_type_display_name: Option(String),\n    resolved_by: Option(Nil),\n  )\n}\n\nSecretScanningAlert(\n  push_protection_bypass_request_html_url: Option(String),\n  push_protection_bypassed: Option(Bool),\n  number: Option(Int),\n  secret_type: Option(String),\n  created_at: Option(String),\n  push_protection_bypassed_at: Option(String),\n  push_protection_bypass_request_reviewer: Option(Nil),\n  publicly_leaked: Option(Bool),\n  resolution: Option(String),\n  resolution_comment: Option(String),\n  locations_url: Option(String),\n  push_protection_bypassed_by: Option(Nil),\n  url: Option(String),\n  secret: Option(String),\n  state: Option(String),\n  validity: Option(String),\n  updated_at: Option(String),\n  multi_repo: Option(Bool),\n  push_protection_bypass_request_comment: Option(String),\n  resolved_at: Option(String),\n  html_url: Option(String),\n  secret_type_display_name: Option(String),\n  resolved_by: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningAlert\nmidas/sdk/github/schema SecretScanningAlert","url":"midas/sdk/github/schema.html#SecretScanningAlert"},{"doc":"midas/sdk/github/schema","title":"SecretScanningAlertResolution","content":"pub type SecretScanningAlertResolution {\n  SecretScanningAlertResolution\n}\n\nSecretScanningAlertResolution\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningAlertResolution\nmidas/sdk/github/schema SecretScanningAlertResolution","url":"midas/sdk/github/schema.html#SecretScanningAlertResolution"},{"doc":"midas/sdk/github/schema","title":"SecretScanningAlertResolutionComment","content":"pub type SecretScanningAlertResolutionComment {\n  SecretScanningAlertResolutionComment\n}\n\nSecretScanningAlertResolutionComment\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningAlertResolutionComment\nmidas/sdk/github/schema SecretScanningAlertResolutionComment","url":"midas/sdk/github/schema.html#SecretScanningAlertResolutionComment"},{"doc":"midas/sdk/github/schema","title":"SecretScanningAlertResolutionWebhook","content":"pub type SecretScanningAlertResolutionWebhook {\n  SecretScanningAlertResolutionWebhook\n}\n\nSecretScanningAlertResolutionWebhook\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningAlertResolutionWebhook\nmidas/sdk/github/schema SecretScanningAlertResolutionWebhook","url":"midas/sdk/github/schema.html#SecretScanningAlertResolutionWebhook"},{"doc":"midas/sdk/github/schema","title":"SecretScanningAlertState","content":"pub type SecretScanningAlertState {\n  SecretScanningAlertState\n}\n\nSecretScanningAlertState\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningAlertState\nmidas/sdk/github/schema SecretScanningAlertState","url":"midas/sdk/github/schema.html#SecretScanningAlertState"},{"doc":"midas/sdk/github/schema","title":"SecretScanningAlertWebhook","content":"pub type SecretScanningAlertWebhook {\n  SecretScanningAlertWebhook(\n    push_protection_bypass_request_html_url: Option(String),\n    push_protection_bypassed: Option(Bool),\n    number: Option(Int),\n    secret_type: Option(String),\n    created_at: Option(String),\n    push_protection_bypassed_at: Option(String),\n    push_protection_bypass_request_reviewer: Option(Nil),\n    publicly_leaked: Option(Bool),\n    resolution: Option(String),\n    resolution_comment: Option(String),\n    locations_url: Option(String),\n    push_protection_bypassed_by: Option(Nil),\n    url: Option(String),\n    validity: Option(String),\n    updated_at: Option(String),\n    multi_repo: Option(Bool),\n    push_protection_bypass_request_comment: Option(String),\n    resolved_at: Option(String),\n    html_url: Option(String),\n    secret_type_display_name: Option(String),\n    resolved_by: Option(Nil),\n  )\n}\n\nSecretScanningAlertWebhook(\n  push_protection_bypass_request_html_url: Option(String),\n  push_protection_bypassed: Option(Bool),\n  number: Option(Int),\n  secret_type: Option(String),\n  created_at: Option(String),\n  push_protection_bypassed_at: Option(String),\n  push_protection_bypass_request_reviewer: Option(Nil),\n  publicly_leaked: Option(Bool),\n  resolution: Option(String),\n  resolution_comment: Option(String),\n  locations_url: Option(String),\n  push_protection_bypassed_by: Option(Nil),\n  url: Option(String),\n  validity: Option(String),\n  updated_at: Option(String),\n  multi_repo: Option(Bool),\n  push_protection_bypass_request_comment: Option(String),\n  resolved_at: Option(String),\n  html_url: Option(String),\n  secret_type_display_name: Option(String),\n  resolved_by: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningAlertWebhook\nmidas/sdk/github/schema SecretScanningAlertWebhook","url":"midas/sdk/github/schema.html#SecretScanningAlertWebhook"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocation","content":"pub type SecretScanningLocation {\n  SecretScanningLocation(\n    details: Option(Nil),\n    type_: Option(String),\n  )\n}\n\nSecretScanningLocation(\n  details: Option(Nil),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocation\nmidas/sdk/github/schema SecretScanningLocation","url":"midas/sdk/github/schema.html#SecretScanningLocation"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationCommit","content":"pub type SecretScanningLocationCommit {\n  SecretScanningLocationCommit(\n    commit_sha: Option(String),\n    path_: Option(String),\n    commit_url: Option(String),\n    blob_sha: Option(String),\n    blob_url: Option(String),\n    start_line: Option(Float),\n    start_column: Option(Float),\n    end_line: Option(Float),\n    end_column: Option(Float),\n  )\n}\n\nSecretScanningLocationCommit(\n  commit_sha: Option(String),\n  path_: Option(String),\n  commit_url: Option(String),\n  blob_sha: Option(String),\n  blob_url: Option(String),\n  start_line: Option(Float),\n  start_column: Option(Float),\n  end_line: Option(Float),\n  end_column: Option(Float),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationCommit\nmidas/sdk/github/schema SecretScanningLocationCommit","url":"midas/sdk/github/schema.html#SecretScanningLocationCommit"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationDiscussionBody","content":"pub type SecretScanningLocationDiscussionBody {\n  SecretScanningLocationDiscussionBody(\n    discussion_body_url: Option(String),\n  )\n}\n\nSecretScanningLocationDiscussionBody(\n  discussion_body_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationDiscussionBody\nmidas/sdk/github/schema SecretScanningLocationDiscussionBody","url":"midas/sdk/github/schema.html#SecretScanningLocationDiscussionBody"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationDiscussionComment","content":"pub type SecretScanningLocationDiscussionComment {\n  SecretScanningLocationDiscussionComment(\n    discussion_comment_url: Option(String),\n  )\n}\n\nSecretScanningLocationDiscussionComment(\n  discussion_comment_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationDiscussionComment\nmidas/sdk/github/schema SecretScanningLocationDiscussionComment","url":"midas/sdk/github/schema.html#SecretScanningLocationDiscussionComment"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationDiscussionTitle","content":"pub type SecretScanningLocationDiscussionTitle {\n  SecretScanningLocationDiscussionTitle(\n    discussion_title_url: Option(String),\n  )\n}\n\nSecretScanningLocationDiscussionTitle(\n  discussion_title_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationDiscussionTitle\nmidas/sdk/github/schema SecretScanningLocationDiscussionTitle","url":"midas/sdk/github/schema.html#SecretScanningLocationDiscussionTitle"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationIssueBody","content":"pub type SecretScanningLocationIssueBody {\n  SecretScanningLocationIssueBody(issue_body_url: Option(String))\n}\n\nSecretScanningLocationIssueBody(issue_body_url: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationIssueBody\nmidas/sdk/github/schema SecretScanningLocationIssueBody","url":"midas/sdk/github/schema.html#SecretScanningLocationIssueBody"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationIssueComment","content":"pub type SecretScanningLocationIssueComment {\n  SecretScanningLocationIssueComment(\n    issue_comment_url: Option(String),\n  )\n}\n\nSecretScanningLocationIssueComment(\n  issue_comment_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationIssueComment\nmidas/sdk/github/schema SecretScanningLocationIssueComment","url":"midas/sdk/github/schema.html#SecretScanningLocationIssueComment"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationIssueTitle","content":"pub type SecretScanningLocationIssueTitle {\n  SecretScanningLocationIssueTitle(\n    issue_title_url: Option(String),\n  )\n}\n\nSecretScanningLocationIssueTitle(issue_title_url: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationIssueTitle\nmidas/sdk/github/schema SecretScanningLocationIssueTitle","url":"midas/sdk/github/schema.html#SecretScanningLocationIssueTitle"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationPullRequestBody","content":"pub type SecretScanningLocationPullRequestBody {\n  SecretScanningLocationPullRequestBody(\n    pull_request_body_url: Option(String),\n  )\n}\n\nSecretScanningLocationPullRequestBody(\n  pull_request_body_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationPullRequestBody\nmidas/sdk/github/schema SecretScanningLocationPullRequestBody","url":"midas/sdk/github/schema.html#SecretScanningLocationPullRequestBody"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationPullRequestComment","content":"pub type SecretScanningLocationPullRequestComment {\n  SecretScanningLocationPullRequestComment(\n    pull_request_comment_url: Option(String),\n  )\n}\n\nSecretScanningLocationPullRequestComment(\n  pull_request_comment_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationPullRequestComment\nmidas/sdk/github/schema SecretScanningLocationPullRequestComment","url":"midas/sdk/github/schema.html#SecretScanningLocationPullRequestComment"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationPullRequestReview","content":"pub type SecretScanningLocationPullRequestReview {\n  SecretScanningLocationPullRequestReview(\n    pull_request_review_url: Option(String),\n  )\n}\n\nSecretScanningLocationPullRequestReview(\n  pull_request_review_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationPullRequestReview\nmidas/sdk/github/schema SecretScanningLocationPullRequestReview","url":"midas/sdk/github/schema.html#SecretScanningLocationPullRequestReview"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationPullRequestReviewComment","content":"pub type SecretScanningLocationPullRequestReviewComment {\n  SecretScanningLocationPullRequestReviewComment(\n    pull_request_review_comment_url: Option(String),\n  )\n}\n\nSecretScanningLocationPullRequestReviewComment(\n  pull_request_review_comment_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationPullRequestReviewComment\nmidas/sdk/github/schema SecretScanningLocationPullRequestReviewComment","url":"midas/sdk/github/schema.html#SecretScanningLocationPullRequestReviewComment"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationPullRequestTitle","content":"pub type SecretScanningLocationPullRequestTitle {\n  SecretScanningLocationPullRequestTitle(\n    pull_request_title_url: Option(String),\n  )\n}\n\nSecretScanningLocationPullRequestTitle(\n  pull_request_title_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationPullRequestTitle\nmidas/sdk/github/schema SecretScanningLocationPullRequestTitle","url":"midas/sdk/github/schema.html#SecretScanningLocationPullRequestTitle"},{"doc":"midas/sdk/github/schema","title":"SecretScanningLocationWikiCommit","content":"pub type SecretScanningLocationWikiCommit {\n  SecretScanningLocationWikiCommit(\n    commit_sha: Option(String),\n    path_: Option(String),\n    commit_url: Option(String),\n    blob_sha: Option(String),\n    start_line: Option(Float),\n    start_column: Option(Float),\n    end_line: Option(Float),\n    end_column: Option(Float),\n    page_url: Option(String),\n  )\n}\n\nSecretScanningLocationWikiCommit(\n  commit_sha: Option(String),\n  path_: Option(String),\n  commit_url: Option(String),\n  blob_sha: Option(String),\n  start_line: Option(Float),\n  start_column: Option(Float),\n  end_line: Option(Float),\n  end_column: Option(Float),\n  page_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningLocationWikiCommit\nmidas/sdk/github/schema SecretScanningLocationWikiCommit","url":"midas/sdk/github/schema.html#SecretScanningLocationWikiCommit"},{"doc":"midas/sdk/github/schema","title":"SecretScanningPushProtectionBypass","content":"pub type SecretScanningPushProtectionBypass {\n  SecretScanningPushProtectionBypass(\n    token_type: Option(String),\n    reason: Option(String),\n    expire_at: Option(String),\n  )\n}\n\nSecretScanningPushProtectionBypass(\n  token_type: Option(String),\n  reason: Option(String),\n  expire_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningPushProtectionBypass\nmidas/sdk/github/schema SecretScanningPushProtectionBypass","url":"midas/sdk/github/schema.html#SecretScanningPushProtectionBypass"},{"doc":"midas/sdk/github/schema","title":"SecretScanningPushProtectionBypassPlaceholderId","content":"pub type SecretScanningPushProtectionBypassPlaceholderId {\n  SecretScanningPushProtectionBypassPlaceholderId\n}\n\nSecretScanningPushProtectionBypassPlaceholderId\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningPushProtectionBypassPlaceholderId\nmidas/sdk/github/schema SecretScanningPushProtectionBypassPlaceholderId","url":"midas/sdk/github/schema.html#SecretScanningPushProtectionBypassPlaceholderId"},{"doc":"midas/sdk/github/schema","title":"SecretScanningPushProtectionBypassReason","content":"pub type SecretScanningPushProtectionBypassReason {\n  SecretScanningPushProtectionBypassReason\n}\n\nSecretScanningPushProtectionBypassReason\n\n\nSynonyms:\nmidas/sdk/github/schema.SecretScanningPushProtectionBypassReason\nmidas/sdk/github/schema SecretScanningPushProtectionBypassReason","url":"midas/sdk/github/schema.html#SecretScanningPushProtectionBypassReason"},{"doc":"midas/sdk/github/schema","title":"SecurityAdvisoryCreditTypes","content":"pub type SecurityAdvisoryCreditTypes {\n  SecurityAdvisoryCreditTypes\n}\n\nSecurityAdvisoryCreditTypes\n\n\nSynonyms:\nmidas/sdk/github/schema.SecurityAdvisoryCreditTypes\nmidas/sdk/github/schema SecurityAdvisoryCreditTypes","url":"midas/sdk/github/schema.html#SecurityAdvisoryCreditTypes"},{"doc":"midas/sdk/github/schema","title":"SecurityAdvisoryEcosystems","content":"pub type SecurityAdvisoryEcosystems {\n  SecurityAdvisoryEcosystems\n}\n\nSecurityAdvisoryEcosystems\n\n\nSynonyms:\nmidas/sdk/github/schema.SecurityAdvisoryEcosystems\nmidas/sdk/github/schema SecurityAdvisoryEcosystems","url":"midas/sdk/github/schema.html#SecurityAdvisoryEcosystems"},{"doc":"midas/sdk/github/schema","title":"SecurityAndAnalysis","content":"pub type SecurityAndAnalysis {\n  SecurityAndAnalysis(\n    secret_scanning: Option(Nil),\n    secret_scanning_non_provider_patterns: Option(Nil),\n    secret_scanning_ai_detection: Option(Nil),\n    dependabot_security_updates: Option(Nil),\n    advanced_security: Option(Nil),\n    secret_scanning_push_protection: Option(Nil),\n  )\n}\n\nSecurityAndAnalysis(\n  secret_scanning: Option(Nil),\n  secret_scanning_non_provider_patterns: Option(Nil),\n  secret_scanning_ai_detection: Option(Nil),\n  dependabot_security_updates: Option(Nil),\n  advanced_security: Option(Nil),\n  secret_scanning_push_protection: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SecurityAndAnalysis\nmidas/sdk/github/schema SecurityAndAnalysis","url":"midas/sdk/github/schema.html#SecurityAndAnalysis"},{"doc":"midas/sdk/github/schema","title":"SelectedActions","content":"pub type SelectedActions {\n  SelectedActions(\n    patterns_allowed: Option(List(String)),\n    verified_allowed: Option(Bool),\n    github_owned_allowed: Option(Bool),\n  )\n}\n\nSelectedActions(\n  patterns_allowed: Option(List(String)),\n  verified_allowed: Option(Bool),\n  github_owned_allowed: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SelectedActions\nmidas/sdk/github/schema SelectedActions","url":"midas/sdk/github/schema.html#SelectedActions"},{"doc":"midas/sdk/github/schema","title":"SelectedActionsUrl","content":"pub type SelectedActionsUrl {\n  SelectedActionsUrl\n}\n\nSelectedActionsUrl\n\n\nSynonyms:\nmidas/sdk/github/schema.SelectedActionsUrl\nmidas/sdk/github/schema SelectedActionsUrl","url":"midas/sdk/github/schema.html#SelectedActionsUrl"},{"doc":"midas/sdk/github/schema","title":"ShortBlob","content":"pub type ShortBlob {\n  ShortBlob(sha: Option(String), url: Option(String))\n}\n\nShortBlob(sha: Option(String), url: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.ShortBlob\nmidas/sdk/github/schema ShortBlob","url":"midas/sdk/github/schema.html#ShortBlob"},{"doc":"midas/sdk/github/schema","title":"ShortBranch","content":"pub type ShortBranch {\n  ShortBranch(\n    protection_url: Option(String),\n    name: Option(String),\n    protected: Option(Bool),\n    commit: Option(Nil),\n    protection: Option(Nil),\n  )\n}\n\nShortBranch(\n  protection_url: Option(String),\n  name: Option(String),\n  protected: Option(Bool),\n  commit: Option(Nil),\n  protection: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ShortBranch\nmidas/sdk/github/schema ShortBranch","url":"midas/sdk/github/schema.html#ShortBranch"},{"doc":"midas/sdk/github/schema","title":"SigstoreBundle0","content":"pub type SigstoreBundle0 {\n  SigstoreBundle0(\n    verification_material: Option(Nil),\n    dsse_envelope: Option(Nil),\n    media_type: Option(String),\n  )\n}\n\nSigstoreBundle0(\n  verification_material: Option(Nil),\n  dsse_envelope: Option(Nil),\n  media_type: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SigstoreBundle0\nmidas/sdk/github/schema SigstoreBundle0","url":"midas/sdk/github/schema.html#SigstoreBundle0"},{"doc":"midas/sdk/github/schema","title":"SimpleCheckSuite","content":"pub type SimpleCheckSuite {\n  SimpleCheckSuite(\n    head_branch: Option(String),\n    app: Option(Nil),\n    created_at: Option(String),\n    repository: Option(Nil),\n    head_sha: Option(String),\n    url: Option(String),\n    status: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    after: Option(String),\n    pull_requests: Option(Nil),\n    conclusion: Option(String),\n    before: Option(String),\n  )\n}\n\nSimpleCheckSuite(\n  head_branch: Option(String),\n  app: Option(Nil),\n  created_at: Option(String),\n  repository: Option(Nil),\n  head_sha: Option(String),\n  url: Option(String),\n  status: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  after: Option(String),\n  pull_requests: Option(Nil),\n  conclusion: Option(String),\n  before: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleCheckSuite\nmidas/sdk/github/schema SimpleCheckSuite","url":"midas/sdk/github/schema.html#SimpleCheckSuite"},{"doc":"midas/sdk/github/schema","title":"SimpleClassroom","content":"pub type SimpleClassroom {\n  SimpleClassroom(\n    archived: Option(Bool),\n    name: Option(String),\n    url: Option(String),\n    id: Option(Int),\n  )\n}\n\nSimpleClassroom(\n  archived: Option(Bool),\n  name: Option(String),\n  url: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleClassroom\nmidas/sdk/github/schema SimpleClassroom","url":"midas/sdk/github/schema.html#SimpleClassroom"},{"doc":"midas/sdk/github/schema","title":"SimpleClassroomAssignment","content":"pub type SimpleClassroomAssignment {\n  SimpleClassroomAssignment(\n    feedback_pull_requests_enabled: Option(Bool),\n    accepted: Option(Int),\n    public_repo: Option(Bool),\n    slug: Option(String),\n    editor: Option(String),\n    invite_link: Option(String),\n    passing: Option(Int),\n    classroom: Option(Nil),\n    title: Option(String),\n    deadline: Option(String),\n    language: Option(String),\n    type_: Option(String),\n    submitted: Option(Int),\n    id: Option(Int),\n    max_teams: Option(Int),\n    invitations_enabled: Option(Bool),\n    max_members: Option(Int),\n    students_are_repo_admins: Option(Bool),\n  )\n}\n\nSimpleClassroomAssignment(\n  feedback_pull_requests_enabled: Option(Bool),\n  accepted: Option(Int),\n  public_repo: Option(Bool),\n  slug: Option(String),\n  editor: Option(String),\n  invite_link: Option(String),\n  passing: Option(Int),\n  classroom: Option(Nil),\n  title: Option(String),\n  deadline: Option(String),\n  language: Option(String),\n  type_: Option(String),\n  submitted: Option(Int),\n  id: Option(Int),\n  max_teams: Option(Int),\n  invitations_enabled: Option(Bool),\n  max_members: Option(Int),\n  students_are_repo_admins: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleClassroomAssignment\nmidas/sdk/github/schema SimpleClassroomAssignment","url":"midas/sdk/github/schema.html#SimpleClassroomAssignment"},{"doc":"midas/sdk/github/schema","title":"SimpleClassroomOrganization","content":"pub type SimpleClassroomOrganization {\n  SimpleClassroomOrganization(\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nSimpleClassroomOrganization(\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleClassroomOrganization\nmidas/sdk/github/schema SimpleClassroomOrganization","url":"midas/sdk/github/schema.html#SimpleClassroomOrganization"},{"doc":"midas/sdk/github/schema","title":"SimpleClassroomRepository","content":"pub type SimpleClassroomRepository {\n  SimpleClassroomRepository(\n    default_branch: Option(String),\n    private: Option(Bool),\n    node_id: Option(String),\n    id: Option(Int),\n    full_name: Option(String),\n    html_url: Option(String),\n  )\n}\n\nSimpleClassroomRepository(\n  default_branch: Option(String),\n  private: Option(Bool),\n  node_id: Option(String),\n  id: Option(Int),\n  full_name: Option(String),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleClassroomRepository\nmidas/sdk/github/schema SimpleClassroomRepository","url":"midas/sdk/github/schema.html#SimpleClassroomRepository"},{"doc":"midas/sdk/github/schema","title":"SimpleClassroomUser","content":"pub type SimpleClassroomUser {\n  SimpleClassroomUser(\n    avatar_url: Option(String),\n    login: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nSimpleClassroomUser(\n  avatar_url: Option(String),\n  login: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleClassroomUser\nmidas/sdk/github/schema SimpleClassroomUser","url":"midas/sdk/github/schema.html#SimpleClassroomUser"},{"doc":"midas/sdk/github/schema","title":"SimpleCommit","content":"pub type SimpleCommit {\n  SimpleCommit(\n    message: Option(String),\n    committer: Option(Nil),\n    author: Option(Nil),\n    timestamp: Option(String),\n    id: Option(String),\n    tree_id: Option(String),\n  )\n}\n\nSimpleCommit(\n  message: Option(String),\n  committer: Option(Nil),\n  author: Option(Nil),\n  timestamp: Option(String),\n  id: Option(String),\n  tree_id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleCommit\nmidas/sdk/github/schema SimpleCommit","url":"midas/sdk/github/schema.html#SimpleCommit"},{"doc":"midas/sdk/github/schema","title":"SimpleCommitStatus","content":"pub type SimpleCommitStatus {\n  SimpleCommitStatus(\n    target_url: Option(String),\n    avatar_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    context: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n    required: Option(Bool),\n  )\n}\n\nSimpleCommitStatus(\n  target_url: Option(String),\n  avatar_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  context: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n  required: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleCommitStatus\nmidas/sdk/github/schema SimpleCommitStatus","url":"midas/sdk/github/schema.html#SimpleCommitStatus"},{"doc":"midas/sdk/github/schema","title":"SimpleInstallation","content":"pub type SimpleInstallation {\n  SimpleInstallation(node_id: Option(String), id: Option(Int))\n}\n\nSimpleInstallation(node_id: Option(String), id: Option(Int))\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleInstallation\nmidas/sdk/github/schema SimpleInstallation","url":"midas/sdk/github/schema.html#SimpleInstallation"},{"doc":"midas/sdk/github/schema","title":"SimpleRepository","content":"pub type SimpleRepository {\n  SimpleRepository(\n    hooks_url: Option(String),\n    branches_url: Option(String),\n    forks_url: Option(String),\n    fork: Option(Bool),\n    private: Option(Bool),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    trees_url: Option(String),\n    blobs_url: Option(String),\n    teams_url: Option(String),\n    stargazers_url: Option(String),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    issue_events_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    statuses_url: Option(String),\n    archive_url: Option(String),\n    milestones_url: Option(String),\n    owner: Option(Nil),\n    assignees_url: Option(String),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    node_id: Option(String),\n    notifications_url: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    id: Option(Int),\n    full_name: Option(String),\n    html_url: Option(String),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    pulls_url: Option(String),\n    deployments_url: Option(String),\n    git_commits_url: Option(String),\n  )\n}\n\nSimpleRepository(\n  hooks_url: Option(String),\n  branches_url: Option(String),\n  forks_url: Option(String),\n  fork: Option(Bool),\n  private: Option(Bool),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  trees_url: Option(String),\n  blobs_url: Option(String),\n  teams_url: Option(String),\n  stargazers_url: Option(String),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  issue_events_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  statuses_url: Option(String),\n  archive_url: Option(String),\n  milestones_url: Option(String),\n  owner: Option(Nil),\n  assignees_url: Option(String),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  node_id: Option(String),\n  notifications_url: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  id: Option(Int),\n  full_name: Option(String),\n  html_url: Option(String),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  pulls_url: Option(String),\n  deployments_url: Option(String),\n  git_commits_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleRepository\nmidas/sdk/github/schema SimpleRepository","url":"midas/sdk/github/schema.html#SimpleRepository"},{"doc":"midas/sdk/github/schema","title":"SimpleUser","content":"pub type SimpleUser {\n  SimpleUser(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    starred_at: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nSimpleUser(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  starred_at: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SimpleUser\nmidas/sdk/github/schema SimpleUser","url":"midas/sdk/github/schema.html#SimpleUser"},{"doc":"midas/sdk/github/schema","title":"Snapshot","content":"pub type Snapshot {\n  Snapshot(\n    manifests: Option(Nil),\n    detector: Option(Nil),\n    sha: Option(String),\n    metadata: Option(Nil),\n    scanned: Option(String),\n    ref: Option(String),\n    version: Option(Int),\n    job: Option(Nil),\n  )\n}\n\nSnapshot(\n  manifests: Option(Nil),\n  detector: Option(Nil),\n  sha: Option(String),\n  metadata: Option(Nil),\n  scanned: Option(String),\n  ref: Option(String),\n  version: Option(Int),\n  job: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Snapshot\nmidas/sdk/github/schema Snapshot","url":"midas/sdk/github/schema.html#Snapshot"},{"doc":"midas/sdk/github/schema","title":"SocialAccount","content":"pub type SocialAccount {\n  SocialAccount(url: Option(String), provider: Option(String))\n}\n\nSocialAccount(url: Option(String), provider: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.SocialAccount\nmidas/sdk/github/schema SocialAccount","url":"midas/sdk/github/schema.html#SocialAccount"},{"doc":"midas/sdk/github/schema","title":"SshSigningKey","content":"pub type SshSigningKey {\n  SshSigningKey(\n    created_at: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    key: Option(String),\n  )\n}\n\nSshSigningKey(\n  created_at: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.SshSigningKey\nmidas/sdk/github/schema SshSigningKey","url":"midas/sdk/github/schema.html#SshSigningKey"},{"doc":"midas/sdk/github/schema","title":"Stargazer","content":"pub type Stargazer {\n  Stargazer(user: Option(Nil), starred_at: Option(String))\n}\n\nStargazer(user: Option(Nil), starred_at: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.Stargazer\nmidas/sdk/github/schema Stargazer","url":"midas/sdk/github/schema.html#Stargazer"},{"doc":"midas/sdk/github/schema","title":"StarredRepository","content":"pub type StarredRepository {\n  StarredRepository(\n    repo: Option(Nil),\n    starred_at: Option(String),\n  )\n}\n\nStarredRepository(repo: Option(Nil), starred_at: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.StarredRepository\nmidas/sdk/github/schema StarredRepository","url":"midas/sdk/github/schema.html#StarredRepository"},{"doc":"midas/sdk/github/schema","title":"StateChangeIssueEvent","content":"pub type StateChangeIssueEvent {\n  StateChangeIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    state_reason: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nStateChangeIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  state_reason: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.StateChangeIssueEvent\nmidas/sdk/github/schema StateChangeIssueEvent","url":"midas/sdk/github/schema.html#StateChangeIssueEvent"},{"doc":"midas/sdk/github/schema","title":"Status","content":"pub type Status {\n  Status(\n    target_url: Option(String),\n    avatar_url: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    url: Option(String),\n    context: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nStatus(\n  target_url: Option(String),\n  avatar_url: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  url: Option(String),\n  context: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Status\nmidas/sdk/github/schema Status","url":"midas/sdk/github/schema.html#Status"},{"doc":"midas/sdk/github/schema","title":"StatusCheckPolicy","content":"pub type StatusCheckPolicy {\n  StatusCheckPolicy(\n    contexts: Option(List(String)),\n    strict: Option(Bool),\n    checks: Option(Nil),\n    url: Option(String),\n    contexts_url: Option(String),\n  )\n}\n\nStatusCheckPolicy(\n  contexts: Option(List(String)),\n  strict: Option(Bool),\n  checks: Option(Nil),\n  url: Option(String),\n  contexts_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.StatusCheckPolicy\nmidas/sdk/github/schema StatusCheckPolicy","url":"midas/sdk/github/schema.html#StatusCheckPolicy"},{"doc":"midas/sdk/github/schema","title":"Tag","content":"pub type Tag {\n  Tag(\n    name: Option(String),\n    zipball_url: Option(String),\n    tarball_url: Option(String),\n    commit: Option(Nil),\n    node_id: Option(String),\n  )\n}\n\nTag(\n  name: Option(String),\n  zipball_url: Option(String),\n  tarball_url: Option(String),\n  commit: Option(Nil),\n  node_id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Tag\nmidas/sdk/github/schema Tag","url":"midas/sdk/github/schema.html#Tag"},{"doc":"midas/sdk/github/schema","title":"TagProtection","content":"pub type TagProtection {\n  TagProtection(\n    enabled: Option(Bool),\n    created_at: Option(String),\n    pattern: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nTagProtection(\n  enabled: Option(Bool),\n  created_at: Option(String),\n  pattern: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TagProtection\nmidas/sdk/github/schema TagProtection","url":"midas/sdk/github/schema.html#TagProtection"},{"doc":"midas/sdk/github/schema","title":"Team","content":"pub type Team {\n  Team(\n    permissions: Option(Nil),\n    privacy: Option(String),\n    members_url: Option(String),\n    parent: Option(Nil),\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    permission: Option(String),\n    node_id: Option(String),\n    repositories_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    notification_setting: Option(String),\n    description: Option(String),\n  )\n}\n\nTeam(\n  permissions: Option(Nil),\n  privacy: Option(String),\n  members_url: Option(String),\n  parent: Option(Nil),\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  permission: Option(String),\n  node_id: Option(String),\n  repositories_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  notification_setting: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Team\nmidas/sdk/github/schema Team","url":"midas/sdk/github/schema.html#Team"},{"doc":"midas/sdk/github/schema","title":"TeamDiscussion","content":"pub type TeamDiscussion {\n  TeamDiscussion(\n    last_edited_at: Option(String),\n    body: Option(String),\n    private: Option(Bool),\n    comments_url: Option(String),\n    comments_count: Option(Int),\n    body_html: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    author: Option(Nil),\n    team_url: Option(String),\n    url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    pinned: Option(Bool),\n    html_url: Option(String),\n    body_version: Option(String),\n  )\n}\n\nTeamDiscussion(\n  last_edited_at: Option(String),\n  body: Option(String),\n  private: Option(Bool),\n  comments_url: Option(String),\n  comments_count: Option(Int),\n  body_html: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  author: Option(Nil),\n  team_url: Option(String),\n  url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  pinned: Option(Bool),\n  html_url: Option(String),\n  body_version: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamDiscussion\nmidas/sdk/github/schema TeamDiscussion","url":"midas/sdk/github/schema.html#TeamDiscussion"},{"doc":"midas/sdk/github/schema","title":"TeamDiscussionComment","content":"pub type TeamDiscussionComment {\n  TeamDiscussionComment(\n    last_edited_at: Option(String),\n    body: Option(String),\n    body_html: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    author: Option(Nil),\n    url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    discussion_url: Option(String),\n    html_url: Option(String),\n    body_version: Option(String),\n  )\n}\n\nTeamDiscussionComment(\n  last_edited_at: Option(String),\n  body: Option(String),\n  body_html: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  author: Option(Nil),\n  url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  discussion_url: Option(String),\n  html_url: Option(String),\n  body_version: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamDiscussionComment\nmidas/sdk/github/schema TeamDiscussionComment","url":"midas/sdk/github/schema.html#TeamDiscussionComment"},{"doc":"midas/sdk/github/schema","title":"TeamFull","content":"pub type TeamFull {\n  TeamFull(\n    ldap_dn: Option(String),\n    privacy: Option(String),\n    members_url: Option(String),\n    members_count: Option(Int),\n    parent: Option(Nil),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    permission: Option(String),\n    repos_count: Option(Int),\n    organization: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    repositories_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    notification_setting: Option(String),\n    description: Option(String),\n  )\n}\n\nTeamFull(\n  ldap_dn: Option(String),\n  privacy: Option(String),\n  members_url: Option(String),\n  members_count: Option(Int),\n  parent: Option(Nil),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  permission: Option(String),\n  repos_count: Option(Int),\n  organization: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  repositories_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  notification_setting: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamFull\nmidas/sdk/github/schema TeamFull","url":"midas/sdk/github/schema.html#TeamFull"},{"doc":"midas/sdk/github/schema","title":"TeamMembership","content":"pub type TeamMembership {\n  TeamMembership(\n    url: Option(String),\n    state: Option(String),\n    role: Option(String),\n  )\n}\n\nTeamMembership(\n  url: Option(String),\n  state: Option(String),\n  role: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamMembership\nmidas/sdk/github/schema TeamMembership","url":"midas/sdk/github/schema.html#TeamMembership"},{"doc":"midas/sdk/github/schema","title":"TeamOrganization","content":"pub type TeamOrganization {\n  TeamOrganization(\n    hooks_url: Option(String),\n    has_organization_projects: Option(Bool),\n    twitter_username: Option(String),\n    members_allowed_repository_creation_type: Option(String),\n    blog: Option(String),\n    default_repository_permission: Option(String),\n    two_factor_requirement_enabled: Option(Bool),\n    web_commit_signoff_required: Option(Bool),\n    members_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    plan: Option(Nil),\n    login: Option(String),\n    has_repository_projects: Option(Bool),\n    created_at: Option(String),\n    issues_url: Option(String),\n    total_private_repos: Option(Int),\n    owned_private_repos: Option(Int),\n    public_repos: Option(Int),\n    name: Option(String),\n    members_can_fork_private_repositories: Option(Bool),\n    collaborators: Option(Int),\n    url: Option(String),\n    members_can_create_public_repositories: Option(Bool),\n    archived_at: Option(String),\n    following: Option(Int),\n    repos_url: Option(String),\n    members_can_create_private_repositories: Option(Bool),\n    public_members_url: Option(String),\n    private_gists: Option(Int),\n    followers: Option(Int),\n    location: Option(String),\n    members_can_create_pages: Option(Bool),\n    members_can_create_repositories: Option(Bool),\n    updated_at: Option(String),\n    node_id: Option(String),\n    billing_email: Option(String),\n    public_gists: Option(Int),\n    members_can_create_private_pages: Option(Bool),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    members_can_create_public_pages: Option(Bool),\n    members_can_create_internal_repositories: Option(Bool),\n    email: Option(String),\n    description: Option(String),\n    company: Option(String),\n    is_verified: Option(Bool),\n    disk_usage: Option(Int),\n  )\n}\n\nTeamOrganization(\n  hooks_url: Option(String),\n  has_organization_projects: Option(Bool),\n  twitter_username: Option(String),\n  members_allowed_repository_creation_type: Option(String),\n  blog: Option(String),\n  default_repository_permission: Option(String),\n  two_factor_requirement_enabled: Option(Bool),\n  web_commit_signoff_required: Option(Bool),\n  members_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  plan: Option(Nil),\n  login: Option(String),\n  has_repository_projects: Option(Bool),\n  created_at: Option(String),\n  issues_url: Option(String),\n  total_private_repos: Option(Int),\n  owned_private_repos: Option(Int),\n  public_repos: Option(Int),\n  name: Option(String),\n  members_can_fork_private_repositories: Option(Bool),\n  collaborators: Option(Int),\n  url: Option(String),\n  members_can_create_public_repositories: Option(Bool),\n  archived_at: Option(String),\n  following: Option(Int),\n  repos_url: Option(String),\n  members_can_create_private_repositories: Option(Bool),\n  public_members_url: Option(String),\n  private_gists: Option(Int),\n  followers: Option(Int),\n  location: Option(String),\n  members_can_create_pages: Option(Bool),\n  members_can_create_repositories: Option(Bool),\n  updated_at: Option(String),\n  node_id: Option(String),\n  billing_email: Option(String),\n  public_gists: Option(Int),\n  members_can_create_private_pages: Option(Bool),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  members_can_create_public_pages: Option(Bool),\n  members_can_create_internal_repositories: Option(Bool),\n  email: Option(String),\n  description: Option(String),\n  company: Option(String),\n  is_verified: Option(Bool),\n  disk_usage: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamOrganization\nmidas/sdk/github/schema TeamOrganization","url":"midas/sdk/github/schema.html#TeamOrganization"},{"doc":"midas/sdk/github/schema","title":"TeamProject","content":"pub type TeamProject {\n  TeamProject(\n    body: Option(String),\n    private: Option(Bool),\n    owner_url: Option(String),\n    permissions: Option(Nil),\n    number: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    creator: Option(Nil),\n    columns_url: Option(String),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    organization_permission: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nTeamProject(\n  body: Option(String),\n  private: Option(Bool),\n  owner_url: Option(String),\n  permissions: Option(Nil),\n  number: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  creator: Option(Nil),\n  columns_url: Option(String),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  organization_permission: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamProject\nmidas/sdk/github/schema TeamProject","url":"midas/sdk/github/schema.html#TeamProject"},{"doc":"midas/sdk/github/schema","title":"TeamRepository","content":"pub type TeamRepository {\n  TeamRepository(\n    hooks_url: Option(String),\n    default_branch: Option(String),\n    branches_url: Option(String),\n    size: Option(Int),\n    forks_url: Option(String),\n    license: Option(Nil),\n    delete_branch_on_merge: Option(Bool),\n    forks_count: Option(Int),\n    fork: Option(Bool),\n    git_url: Option(String),\n    archived: Option(Bool),\n    private: Option(Bool),\n    permissions: Option(Nil),\n    keys_url: Option(String),\n    comments_url: Option(String),\n    topics: Option(List(String)),\n    trees_url: Option(String),\n    has_downloads: Option(Bool),\n    blobs_url: Option(String),\n    teams_url: Option(String),\n    watchers_count: Option(Int),\n    stargazers_url: Option(String),\n    stargazers_count: Option(Int),\n    contributors_url: Option(String),\n    tags_url: Option(String),\n    web_commit_signoff_required: Option(Bool),\n    issue_comment_url: Option(String),\n    events_url: Option(String),\n    created_at: Option(String),\n    allow_forking: Option(Bool),\n    issues_url: Option(String),\n    contents_url: Option(String),\n    merges_url: Option(String),\n    name: Option(String),\n    languages_url: Option(String),\n    temp_clone_token: Option(String),\n    commits_url: Option(String),\n    subscription_url: Option(String),\n    clone_url: Option(String),\n    allow_squash_merge: Option(Bool),\n    homepage: Option(String),\n    issue_events_url: Option(String),\n    mirror_url: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    is_template: Option(Bool),\n    statuses_url: Option(String),\n    forks: Option(Int),\n    archive_url: Option(String),\n    visibility: Option(String),\n    milestones_url: Option(String),\n    allow_rebase_merge: Option(Bool),\n    owner: Option(Nil),\n    allow_merge_commit: Option(Bool),\n    role_name: Option(String),\n    assignees_url: Option(String),\n    has_wiki: Option(Bool),\n    compare_url: Option(String),\n    git_tags_url: Option(String),\n    updated_at: Option(String),\n    watchers: Option(Int),\n    node_id: Option(String),\n    notifications_url: Option(String),\n    ssh_url: Option(String),\n    language: Option(String),\n    pushed_at: Option(String),\n    downloads_url: Option(String),\n    subscribers_url: Option(String),\n    subscribers_count: Option(Int),\n    id: Option(Int),\n    svn_url: Option(String),\n    full_name: Option(String),\n    html_url: Option(String),\n    disabled: Option(Bool),\n    description: Option(String),\n    releases_url: Option(String),\n    git_refs_url: Option(String),\n    collaborators_url: Option(String),\n    allow_auto_merge: Option(Bool),\n    pulls_url: Option(String),\n    network_count: Option(Int),\n    deployments_url: Option(String),\n    has_projects: Option(Bool),\n    has_pages: Option(Bool),\n    master_branch: Option(String),\n    open_issues_count: Option(Int),\n    git_commits_url: Option(String),\n    has_issues: Option(Bool),\n  )\n}\n\nTeamRepository(\n  hooks_url: Option(String),\n  default_branch: Option(String),\n  branches_url: Option(String),\n  size: Option(Int),\n  forks_url: Option(String),\n  license: Option(Nil),\n  delete_branch_on_merge: Option(Bool),\n  forks_count: Option(Int),\n  fork: Option(Bool),\n  git_url: Option(String),\n  archived: Option(Bool),\n  private: Option(Bool),\n  permissions: Option(Nil),\n  keys_url: Option(String),\n  comments_url: Option(String),\n  topics: Option(List(String)),\n  trees_url: Option(String),\n  has_downloads: Option(Bool),\n  blobs_url: Option(String),\n  teams_url: Option(String),\n  watchers_count: Option(Int),\n  stargazers_url: Option(String),\n  stargazers_count: Option(Int),\n  contributors_url: Option(String),\n  tags_url: Option(String),\n  web_commit_signoff_required: Option(Bool),\n  issue_comment_url: Option(String),\n  events_url: Option(String),\n  created_at: Option(String),\n  allow_forking: Option(Bool),\n  issues_url: Option(String),\n  contents_url: Option(String),\n  merges_url: Option(String),\n  name: Option(String),\n  languages_url: Option(String),\n  temp_clone_token: Option(String),\n  commits_url: Option(String),\n  subscription_url: Option(String),\n  clone_url: Option(String),\n  allow_squash_merge: Option(Bool),\n  homepage: Option(String),\n  issue_events_url: Option(String),\n  mirror_url: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  is_template: Option(Bool),\n  statuses_url: Option(String),\n  forks: Option(Int),\n  archive_url: Option(String),\n  visibility: Option(String),\n  milestones_url: Option(String),\n  allow_rebase_merge: Option(Bool),\n  owner: Option(Nil),\n  allow_merge_commit: Option(Bool),\n  role_name: Option(String),\n  assignees_url: Option(String),\n  has_wiki: Option(Bool),\n  compare_url: Option(String),\n  git_tags_url: Option(String),\n  updated_at: Option(String),\n  watchers: Option(Int),\n  node_id: Option(String),\n  notifications_url: Option(String),\n  ssh_url: Option(String),\n  language: Option(String),\n  pushed_at: Option(String),\n  downloads_url: Option(String),\n  subscribers_url: Option(String),\n  subscribers_count: Option(Int),\n  id: Option(Int),\n  svn_url: Option(String),\n  full_name: Option(String),\n  html_url: Option(String),\n  disabled: Option(Bool),\n  description: Option(String),\n  releases_url: Option(String),\n  git_refs_url: Option(String),\n  collaborators_url: Option(String),\n  allow_auto_merge: Option(Bool),\n  pulls_url: Option(String),\n  network_count: Option(Int),\n  deployments_url: Option(String),\n  has_projects: Option(Bool),\n  has_pages: Option(Bool),\n  master_branch: Option(String),\n  open_issues_count: Option(Int),\n  git_commits_url: Option(String),\n  has_issues: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamRepository\nmidas/sdk/github/schema TeamRepository","url":"midas/sdk/github/schema.html#TeamRepository"},{"doc":"midas/sdk/github/schema","title":"TeamRoleAssignment","content":"pub type TeamRoleAssignment {\n  TeamRoleAssignment(\n    permissions: Option(Nil),\n    privacy: Option(String),\n    members_url: Option(String),\n    parent: Option(Nil),\n    name: Option(String),\n    slug: Option(String),\n    assignment: Option(String),\n    url: Option(String),\n    permission: Option(String),\n    node_id: Option(String),\n    repositories_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    notification_setting: Option(String),\n    description: Option(String),\n  )\n}\n\nTeamRoleAssignment(\n  permissions: Option(Nil),\n  privacy: Option(String),\n  members_url: Option(String),\n  parent: Option(Nil),\n  name: Option(String),\n  slug: Option(String),\n  assignment: Option(String),\n  url: Option(String),\n  permission: Option(String),\n  node_id: Option(String),\n  repositories_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  notification_setting: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamRoleAssignment\nmidas/sdk/github/schema TeamRoleAssignment","url":"midas/sdk/github/schema.html#TeamRoleAssignment"},{"doc":"midas/sdk/github/schema","title":"TeamSimple","content":"pub type TeamSimple {\n  TeamSimple(\n    ldap_dn: Option(String),\n    privacy: Option(String),\n    members_url: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    permission: Option(String),\n    node_id: Option(String),\n    repositories_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    notification_setting: Option(String),\n    description: Option(String),\n  )\n}\n\nTeamSimple(\n  ldap_dn: Option(String),\n  privacy: Option(String),\n  members_url: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  permission: Option(String),\n  node_id: Option(String),\n  repositories_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  notification_setting: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TeamSimple\nmidas/sdk/github/schema TeamSimple","url":"midas/sdk/github/schema.html#TeamSimple"},{"doc":"midas/sdk/github/schema","title":"Thread","content":"pub type Thread {\n  Thread(\n    reason: Option(String),\n    repository: Option(Nil),\n    subject: Option(Nil),\n    subscription_url: Option(String),\n    url: Option(String),\n    unread: Option(Bool),\n    last_read_at: Option(String),\n    updated_at: Option(String),\n    id: Option(String),\n  )\n}\n\nThread(\n  reason: Option(String),\n  repository: Option(Nil),\n  subject: Option(Nil),\n  subscription_url: Option(String),\n  url: Option(String),\n  unread: Option(Bool),\n  last_read_at: Option(String),\n  updated_at: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Thread\nmidas/sdk/github/schema Thread","url":"midas/sdk/github/schema.html#Thread"},{"doc":"midas/sdk/github/schema","title":"ThreadSubscription","content":"pub type ThreadSubscription {\n  ThreadSubscription(\n    reason: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    ignored: Option(Bool),\n    subscribed: Option(Bool),\n    thread_url: Option(String),\n    repository_url: Option(String),\n  )\n}\n\nThreadSubscription(\n  reason: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  ignored: Option(Bool),\n  subscribed: Option(Bool),\n  thread_url: Option(String),\n  repository_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ThreadSubscription\nmidas/sdk/github/schema ThreadSubscription","url":"midas/sdk/github/schema.html#ThreadSubscription"},{"doc":"midas/sdk/github/schema","title":"TimelineAssignedIssueEvent","content":"pub type TimelineAssignedIssueEvent {\n  TimelineAssignedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nTimelineAssignedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineAssignedIssueEvent\nmidas/sdk/github/schema TimelineAssignedIssueEvent","url":"midas/sdk/github/schema.html#TimelineAssignedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"TimelineCommentEvent","content":"pub type TimelineCommentEvent {\n  TimelineCommentEvent(\n    body: Option(String),\n    body_html: Option(String),\n    issue_url: Option(String),\n    created_at: Option(String),\n    body_text: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    url: Option(String),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nTimelineCommentEvent(\n  body: Option(String),\n  body_html: Option(String),\n  issue_url: Option(String),\n  created_at: Option(String),\n  body_text: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  url: Option(String),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineCommentEvent\nmidas/sdk/github/schema TimelineCommentEvent","url":"midas/sdk/github/schema.html#TimelineCommentEvent"},{"doc":"midas/sdk/github/schema","title":"TimelineCommitCommentedEvent","content":"pub type TimelineCommitCommentedEvent {\n  TimelineCommitCommentedEvent(\n    commit_id: Option(String),\n    comments: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n  )\n}\n\nTimelineCommitCommentedEvent(\n  commit_id: Option(String),\n  comments: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineCommitCommentedEvent\nmidas/sdk/github/schema TimelineCommitCommentedEvent","url":"midas/sdk/github/schema.html#TimelineCommitCommentedEvent"},{"doc":"midas/sdk/github/schema","title":"TimelineCommittedEvent","content":"pub type TimelineCommittedEvent {\n  TimelineCommittedEvent(\n    message: Option(String),\n    parents: Option(Nil),\n    committer: Option(Nil),\n    author: Option(Nil),\n    sha: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    event: Option(String),\n    verification: Option(Nil),\n    html_url: Option(String),\n    tree: Option(Nil),\n  )\n}\n\nTimelineCommittedEvent(\n  message: Option(String),\n  parents: Option(Nil),\n  committer: Option(Nil),\n  author: Option(Nil),\n  sha: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  event: Option(String),\n  verification: Option(Nil),\n  html_url: Option(String),\n  tree: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineCommittedEvent\nmidas/sdk/github/schema TimelineCommittedEvent","url":"midas/sdk/github/schema.html#TimelineCommittedEvent"},{"doc":"midas/sdk/github/schema","title":"TimelineCrossReferencedEvent","content":"pub type TimelineCrossReferencedEvent {\n  TimelineCrossReferencedEvent(\n    created_at: Option(String),\n    actor: Option(Nil),\n    updated_at: Option(String),\n    event: Option(String),\n    source: Option(Nil),\n  )\n}\n\nTimelineCrossReferencedEvent(\n  created_at: Option(String),\n  actor: Option(Nil),\n  updated_at: Option(String),\n  event: Option(String),\n  source: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineCrossReferencedEvent\nmidas/sdk/github/schema TimelineCrossReferencedEvent","url":"midas/sdk/github/schema.html#TimelineCrossReferencedEvent"},{"doc":"midas/sdk/github/schema","title":"TimelineIssueEvents","content":"pub type TimelineIssueEvents {\n  TimelineIssueEvents\n}\n\nTimelineIssueEvents\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineIssueEvents\nmidas/sdk/github/schema TimelineIssueEvents","url":"midas/sdk/github/schema.html#TimelineIssueEvents"},{"doc":"midas/sdk/github/schema","title":"TimelineLineCommentedEvent","content":"pub type TimelineLineCommentedEvent {\n  TimelineLineCommentedEvent(\n    comments: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n  )\n}\n\nTimelineLineCommentedEvent(\n  comments: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineLineCommentedEvent\nmidas/sdk/github/schema TimelineLineCommentedEvent","url":"midas/sdk/github/schema.html#TimelineLineCommentedEvent"},{"doc":"midas/sdk/github/schema","title":"TimelineReviewedEvent","content":"pub type TimelineReviewedEvent {\n  TimelineReviewedEvent(\n    body: Option(String),\n    commit_id: Option(String),\n    pull_request_url: Option(String),\n    body_html: Option(String),\n    body_text: Option(String),\n    user: Option(Nil),\n    author_association: Option(String),\n    state: Option(String),\n    submitted_at: Option(String),\n    node_id: Option(String),\n    event: Option(String),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nTimelineReviewedEvent(\n  body: Option(String),\n  commit_id: Option(String),\n  pull_request_url: Option(String),\n  body_html: Option(String),\n  body_text: Option(String),\n  user: Option(Nil),\n  author_association: Option(String),\n  state: Option(String),\n  submitted_at: Option(String),\n  node_id: Option(String),\n  event: Option(String),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineReviewedEvent\nmidas/sdk/github/schema TimelineReviewedEvent","url":"midas/sdk/github/schema.html#TimelineReviewedEvent"},{"doc":"midas/sdk/github/schema","title":"TimelineUnassignedIssueEvent","content":"pub type TimelineUnassignedIssueEvent {\n  TimelineUnassignedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nTimelineUnassignedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TimelineUnassignedIssueEvent\nmidas/sdk/github/schema TimelineUnassignedIssueEvent","url":"midas/sdk/github/schema.html#TimelineUnassignedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"Topic","content":"pub type Topic {\n  Topic(names: Option(List(String)))\n}\n\nTopic(names: Option(List(String)))\n\n\nSynonyms:\nmidas/sdk/github/schema.Topic\nmidas/sdk/github/schema Topic","url":"midas/sdk/github/schema.html#Topic"},{"doc":"midas/sdk/github/schema","title":"TopicSearchResultItem","content":"pub type TopicSearchResultItem {\n  TopicSearchResultItem(\n    text_matches: Option(Nil),\n    display_name: Option(String),\n    created_at: Option(String),\n    related: Option(Nil),\n    name: Option(String),\n    featured: Option(Bool),\n    created_by: Option(String),\n    curated: Option(Bool),\n    score: Option(Float),\n    updated_at: Option(String),\n    short_description: Option(String),\n    repository_count: Option(Int),\n    logo_url: Option(String),\n    description: Option(String),\n    released: Option(String),\n    aliases: Option(Nil),\n  )\n}\n\nTopicSearchResultItem(\n  text_matches: Option(Nil),\n  display_name: Option(String),\n  created_at: Option(String),\n  related: Option(Nil),\n  name: Option(String),\n  featured: Option(Bool),\n  created_by: Option(String),\n  curated: Option(Bool),\n  score: Option(Float),\n  updated_at: Option(String),\n  short_description: Option(String),\n  repository_count: Option(Int),\n  logo_url: Option(String),\n  description: Option(String),\n  released: Option(String),\n  aliases: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.TopicSearchResultItem\nmidas/sdk/github/schema TopicSearchResultItem","url":"midas/sdk/github/schema.html#TopicSearchResultItem"},{"doc":"midas/sdk/github/schema","title":"Traffic","content":"pub type Traffic {\n  Traffic(\n    uniques: Option(Int),\n    count: Option(Int),\n    timestamp: Option(String),\n  )\n}\n\nTraffic(\n  uniques: Option(Int),\n  count: Option(Int),\n  timestamp: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Traffic\nmidas/sdk/github/schema Traffic","url":"midas/sdk/github/schema.html#Traffic"},{"doc":"midas/sdk/github/schema","title":"UnassignedIssueEvent","content":"pub type UnassignedIssueEvent {\n  UnassignedIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n    assigner: Option(Nil),\n  )\n}\n\nUnassignedIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n  assigner: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.UnassignedIssueEvent\nmidas/sdk/github/schema UnassignedIssueEvent","url":"midas/sdk/github/schema.html#UnassignedIssueEvent"},{"doc":"midas/sdk/github/schema","title":"UnlabeledIssueEvent","content":"pub type UnlabeledIssueEvent {\n  UnlabeledIssueEvent(\n    commit_id: Option(String),\n    commit_url: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    label: Option(Nil),\n    actor: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    node_id: Option(String),\n    event: Option(String),\n    id: Option(Int),\n  )\n}\n\nUnlabeledIssueEvent(\n  commit_id: Option(String),\n  commit_url: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  label: Option(Nil),\n  actor: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  node_id: Option(String),\n  event: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.UnlabeledIssueEvent\nmidas/sdk/github/schema UnlabeledIssueEvent","url":"midas/sdk/github/schema.html#UnlabeledIssueEvent"},{"doc":"midas/sdk/github/schema","title":"UserMarketplacePurchase","content":"pub type UserMarketplacePurchase {\n  UserMarketplacePurchase(\n    billing_cycle: Option(String),\n    on_free_trial: Option(Bool),\n    plan: Option(Nil),\n    free_trial_ends_on: Option(String),\n    account: Option(Nil),\n    unit_count: Option(Int),\n    updated_at: Option(String),\n    next_billing_date: Option(String),\n  )\n}\n\nUserMarketplacePurchase(\n  billing_cycle: Option(String),\n  on_free_trial: Option(Bool),\n  plan: Option(Nil),\n  free_trial_ends_on: Option(String),\n  account: Option(Nil),\n  unit_count: Option(Int),\n  updated_at: Option(String),\n  next_billing_date: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.UserMarketplacePurchase\nmidas/sdk/github/schema UserMarketplacePurchase","url":"midas/sdk/github/schema.html#UserMarketplacePurchase"},{"doc":"midas/sdk/github/schema","title":"UserRoleAssignment","content":"pub type UserRoleAssignment {\n  UserRoleAssignment(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    assignment: Option(String),\n    url: Option(String),\n    inherited_from: Option(Nil),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    starred_at: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nUserRoleAssignment(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  assignment: Option(String),\n  url: Option(String),\n  inherited_from: Option(Nil),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  starred_at: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.UserRoleAssignment\nmidas/sdk/github/schema UserRoleAssignment","url":"midas/sdk/github/schema.html#UserRoleAssignment"},{"doc":"midas/sdk/github/schema","title":"UserSearchResultItem","content":"pub type UserSearchResultItem {\n  UserSearchResultItem(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    text_matches: Option(Nil),\n    following_url: Option(String),\n    blog: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    bio: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    created_at: Option(String),\n    public_repos: Option(Int),\n    name: Option(String),\n    hireable: Option(Bool),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    following: Option(Int),\n    repos_url: Option(String),\n    score: Option(Float),\n    followers: Option(Int),\n    location: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    suspended_at: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    public_gists: Option(Int),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n    company: Option(String),\n  )\n}\n\nUserSearchResultItem(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  text_matches: Option(Nil),\n  following_url: Option(String),\n  blog: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  bio: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  created_at: Option(String),\n  public_repos: Option(Int),\n  name: Option(String),\n  hireable: Option(Bool),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  following: Option(Int),\n  repos_url: Option(String),\n  score: Option(Float),\n  followers: Option(Int),\n  location: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  suspended_at: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  public_gists: Option(Int),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n  company: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.UserSearchResultItem\nmidas/sdk/github/schema UserSearchResultItem","url":"midas/sdk/github/schema.html#UserSearchResultItem"},{"doc":"midas/sdk/github/schema","title":"ValidationError","content":"pub type ValidationError {\n  ValidationError(\n    message: Option(String),\n    documentation_url: Option(String),\n    errors: Option(Nil),\n  )\n}\n\nValidationError(\n  message: Option(String),\n  documentation_url: Option(String),\n  errors: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ValidationError\nmidas/sdk/github/schema ValidationError","url":"midas/sdk/github/schema.html#ValidationError"},{"doc":"midas/sdk/github/schema","title":"ValidationErrorSimple","content":"pub type ValidationErrorSimple {\n  ValidationErrorSimple(\n    message: Option(String),\n    documentation_url: Option(String),\n    errors: Option(List(String)),\n  )\n}\n\nValidationErrorSimple(\n  message: Option(String),\n  documentation_url: Option(String),\n  errors: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ValidationErrorSimple\nmidas/sdk/github/schema ValidationErrorSimple","url":"midas/sdk/github/schema.html#ValidationErrorSimple"},{"doc":"midas/sdk/github/schema","title":"Verification","content":"pub type Verification {\n  Verification(\n    reason: Option(String),\n    verified: Option(Bool),\n    payload: Option(String),\n    signature: Option(String),\n  )\n}\n\nVerification(\n  reason: Option(String),\n  verified: Option(Bool),\n  payload: Option(String),\n  signature: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Verification\nmidas/sdk/github/schema Verification","url":"midas/sdk/github/schema.html#Verification"},{"doc":"midas/sdk/github/schema","title":"ViewTraffic","content":"pub type ViewTraffic {\n  ViewTraffic(\n    uniques: Option(Int),\n    views: Option(Nil),\n    count: Option(Int),\n  )\n}\n\nViewTraffic(\n  uniques: Option(Int),\n  views: Option(Nil),\n  count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.ViewTraffic\nmidas/sdk/github/schema ViewTraffic","url":"midas/sdk/github/schema.html#ViewTraffic"},{"doc":"midas/sdk/github/schema","title":"Vulnerability","content":"pub type Vulnerability {\n  Vulnerability(\n    vulnerable_functions: Option(List(String)),\n    package: Option(Nil),\n    first_patched_version: Option(String),\n    vulnerable_version_range: Option(String),\n  )\n}\n\nVulnerability(\n  vulnerable_functions: Option(List(String)),\n  package: Option(Nil),\n  first_patched_version: Option(String),\n  vulnerable_version_range: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Vulnerability\nmidas/sdk/github/schema Vulnerability","url":"midas/sdk/github/schema.html#Vulnerability"},{"doc":"midas/sdk/github/schema","title":"WaitTimer","content":"pub type WaitTimer {\n  WaitTimer\n}\n\nWaitTimer\n\n\nSynonyms:\nmidas/sdk/github/schema.WaitTimer\nmidas/sdk/github/schema WaitTimer","url":"midas/sdk/github/schema.html#WaitTimer"},{"doc":"midas/sdk/github/schema","title":"WebhookBranchProtectionConfigurationDisabled","content":"pub type WebhookBranchProtectionConfigurationDisabled {\n  WebhookBranchProtectionConfigurationDisabled(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookBranchProtectionConfigurationDisabled(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookBranchProtectionConfigurationDisabled\nmidas/sdk/github/schema WebhookBranchProtectionConfigurationDisabled","url":"midas/sdk/github/schema.html#WebhookBranchProtectionConfigurationDisabled"},{"doc":"midas/sdk/github/schema","title":"WebhookBranchProtectionConfigurationEnabled","content":"pub type WebhookBranchProtectionConfigurationEnabled {\n  WebhookBranchProtectionConfigurationEnabled(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookBranchProtectionConfigurationEnabled(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookBranchProtectionConfigurationEnabled\nmidas/sdk/github/schema WebhookBranchProtectionConfigurationEnabled","url":"midas/sdk/github/schema.html#WebhookBranchProtectionConfigurationEnabled"},{"doc":"midas/sdk/github/schema","title":"WebhookBranchProtectionRuleCreated","content":"pub type WebhookBranchProtectionRuleCreated {\n  WebhookBranchProtectionRuleCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    rule: Option(Nil),\n  )\n}\n\nWebhookBranchProtectionRuleCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  rule: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookBranchProtectionRuleCreated\nmidas/sdk/github/schema WebhookBranchProtectionRuleCreated","url":"midas/sdk/github/schema.html#WebhookBranchProtectionRuleCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookBranchProtectionRuleDeleted","content":"pub type WebhookBranchProtectionRuleDeleted {\n  WebhookBranchProtectionRuleDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    rule: Option(Nil),\n  )\n}\n\nWebhookBranchProtectionRuleDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  rule: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookBranchProtectionRuleDeleted\nmidas/sdk/github/schema WebhookBranchProtectionRuleDeleted","url":"midas/sdk/github/schema.html#WebhookBranchProtectionRuleDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookBranchProtectionRuleEdited","content":"pub type WebhookBranchProtectionRuleEdited {\n  WebhookBranchProtectionRuleEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    rule: Option(Nil),\n  )\n}\n\nWebhookBranchProtectionRuleEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  rule: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookBranchProtectionRuleEdited\nmidas/sdk/github/schema WebhookBranchProtectionRuleEdited","url":"midas/sdk/github/schema.html#WebhookBranchProtectionRuleEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunCompleted","content":"pub type WebhookCheckRunCompleted {\n  WebhookCheckRunCompleted(\n    repository: Option(Nil),\n    organization: Option(Nil),\n    check_run: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCheckRunCompleted(\n  repository: Option(Nil),\n  organization: Option(Nil),\n  check_run: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunCompleted\nmidas/sdk/github/schema WebhookCheckRunCompleted","url":"midas/sdk/github/schema.html#WebhookCheckRunCompleted"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunCompletedFormEncoded","content":"pub type WebhookCheckRunCompletedFormEncoded {\n  WebhookCheckRunCompletedFormEncoded(payload: Option(String))\n}\n\nWebhookCheckRunCompletedFormEncoded(payload: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunCompletedFormEncoded\nmidas/sdk/github/schema WebhookCheckRunCompletedFormEncoded","url":"midas/sdk/github/schema.html#WebhookCheckRunCompletedFormEncoded"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunCreated","content":"pub type WebhookCheckRunCreated {\n  WebhookCheckRunCreated(\n    repository: Option(Nil),\n    organization: Option(Nil),\n    check_run: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCheckRunCreated(\n  repository: Option(Nil),\n  organization: Option(Nil),\n  check_run: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunCreated\nmidas/sdk/github/schema WebhookCheckRunCreated","url":"midas/sdk/github/schema.html#WebhookCheckRunCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunCreatedFormEncoded","content":"pub type WebhookCheckRunCreatedFormEncoded {\n  WebhookCheckRunCreatedFormEncoded(payload: Option(String))\n}\n\nWebhookCheckRunCreatedFormEncoded(payload: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunCreatedFormEncoded\nmidas/sdk/github/schema WebhookCheckRunCreatedFormEncoded","url":"midas/sdk/github/schema.html#WebhookCheckRunCreatedFormEncoded"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunRequestedAction","content":"pub type WebhookCheckRunRequestedAction {\n  WebhookCheckRunRequestedAction(\n    requested_action: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    check_run: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCheckRunRequestedAction(\n  requested_action: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  check_run: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunRequestedAction\nmidas/sdk/github/schema WebhookCheckRunRequestedAction","url":"midas/sdk/github/schema.html#WebhookCheckRunRequestedAction"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunRequestedActionFormEncoded","content":"pub type WebhookCheckRunRequestedActionFormEncoded {\n  WebhookCheckRunRequestedActionFormEncoded(\n    payload: Option(String),\n  )\n}\n\nWebhookCheckRunRequestedActionFormEncoded(\n  payload: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunRequestedActionFormEncoded\nmidas/sdk/github/schema WebhookCheckRunRequestedActionFormEncoded","url":"midas/sdk/github/schema.html#WebhookCheckRunRequestedActionFormEncoded"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunRerequested","content":"pub type WebhookCheckRunRerequested {\n  WebhookCheckRunRerequested(\n    repository: Option(Nil),\n    organization: Option(Nil),\n    check_run: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCheckRunRerequested(\n  repository: Option(Nil),\n  organization: Option(Nil),\n  check_run: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunRerequested\nmidas/sdk/github/schema WebhookCheckRunRerequested","url":"midas/sdk/github/schema.html#WebhookCheckRunRerequested"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckRunRerequestedFormEncoded","content":"pub type WebhookCheckRunRerequestedFormEncoded {\n  WebhookCheckRunRerequestedFormEncoded(payload: Option(String))\n}\n\nWebhookCheckRunRerequestedFormEncoded(payload: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckRunRerequestedFormEncoded\nmidas/sdk/github/schema WebhookCheckRunRerequestedFormEncoded","url":"midas/sdk/github/schema.html#WebhookCheckRunRerequestedFormEncoded"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckSuiteCompleted","content":"pub type WebhookCheckSuiteCompleted {\n  WebhookCheckSuiteCompleted(\n    check_suite: Option(Nil),\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCheckSuiteCompleted(\n  check_suite: Option(Nil),\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckSuiteCompleted\nmidas/sdk/github/schema WebhookCheckSuiteCompleted","url":"midas/sdk/github/schema.html#WebhookCheckSuiteCompleted"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckSuiteRequested","content":"pub type WebhookCheckSuiteRequested {\n  WebhookCheckSuiteRequested(\n    check_suite: Option(Nil),\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCheckSuiteRequested(\n  check_suite: Option(Nil),\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckSuiteRequested\nmidas/sdk/github/schema WebhookCheckSuiteRequested","url":"midas/sdk/github/schema.html#WebhookCheckSuiteRequested"},{"doc":"midas/sdk/github/schema","title":"WebhookCheckSuiteRerequested","content":"pub type WebhookCheckSuiteRerequested {\n  WebhookCheckSuiteRerequested(\n    check_suite: Option(Nil),\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCheckSuiteRerequested(\n  check_suite: Option(Nil),\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCheckSuiteRerequested\nmidas/sdk/github/schema WebhookCheckSuiteRerequested","url":"midas/sdk/github/schema.html#WebhookCheckSuiteRerequested"},{"doc":"midas/sdk/github/schema","title":"WebhookCodeScanningAlertAppearedInBranch","content":"pub type WebhookCodeScanningAlertAppearedInBranch {\n  WebhookCodeScanningAlertAppearedInBranch(\n    enterprise: Option(Nil),\n    commit_oid: Option(String),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookCodeScanningAlertAppearedInBranch(\n  enterprise: Option(Nil),\n  commit_oid: Option(String),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCodeScanningAlertAppearedInBranch\nmidas/sdk/github/schema WebhookCodeScanningAlertAppearedInBranch","url":"midas/sdk/github/schema.html#WebhookCodeScanningAlertAppearedInBranch"},{"doc":"midas/sdk/github/schema","title":"WebhookCodeScanningAlertClosedByUser","content":"pub type WebhookCodeScanningAlertClosedByUser {\n  WebhookCodeScanningAlertClosedByUser(\n    enterprise: Option(Nil),\n    commit_oid: Option(String),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookCodeScanningAlertClosedByUser(\n  enterprise: Option(Nil),\n  commit_oid: Option(String),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCodeScanningAlertClosedByUser\nmidas/sdk/github/schema WebhookCodeScanningAlertClosedByUser","url":"midas/sdk/github/schema.html#WebhookCodeScanningAlertClosedByUser"},{"doc":"midas/sdk/github/schema","title":"WebhookCodeScanningAlertCreated","content":"pub type WebhookCodeScanningAlertCreated {\n  WebhookCodeScanningAlertCreated(\n    enterprise: Option(Nil),\n    commit_oid: Option(String),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookCodeScanningAlertCreated(\n  enterprise: Option(Nil),\n  commit_oid: Option(String),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCodeScanningAlertCreated\nmidas/sdk/github/schema WebhookCodeScanningAlertCreated","url":"midas/sdk/github/schema.html#WebhookCodeScanningAlertCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookCodeScanningAlertFixed","content":"pub type WebhookCodeScanningAlertFixed {\n  WebhookCodeScanningAlertFixed(\n    enterprise: Option(Nil),\n    commit_oid: Option(String),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookCodeScanningAlertFixed(\n  enterprise: Option(Nil),\n  commit_oid: Option(String),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCodeScanningAlertFixed\nmidas/sdk/github/schema WebhookCodeScanningAlertFixed","url":"midas/sdk/github/schema.html#WebhookCodeScanningAlertFixed"},{"doc":"midas/sdk/github/schema","title":"WebhookCodeScanningAlertReopened","content":"pub type WebhookCodeScanningAlertReopened {\n  WebhookCodeScanningAlertReopened(\n    enterprise: Option(Nil),\n    commit_oid: Option(String),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookCodeScanningAlertReopened(\n  enterprise: Option(Nil),\n  commit_oid: Option(String),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCodeScanningAlertReopened\nmidas/sdk/github/schema WebhookCodeScanningAlertReopened","url":"midas/sdk/github/schema.html#WebhookCodeScanningAlertReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookCodeScanningAlertReopenedByUser","content":"pub type WebhookCodeScanningAlertReopenedByUser {\n  WebhookCodeScanningAlertReopenedByUser(\n    enterprise: Option(Nil),\n    commit_oid: Option(String),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookCodeScanningAlertReopenedByUser(\n  enterprise: Option(Nil),\n  commit_oid: Option(String),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCodeScanningAlertReopenedByUser\nmidas/sdk/github/schema WebhookCodeScanningAlertReopenedByUser","url":"midas/sdk/github/schema.html#WebhookCodeScanningAlertReopenedByUser"},{"doc":"midas/sdk/github/schema","title":"WebhookCommitCommentCreated","content":"pub type WebhookCommitCommentCreated {\n  WebhookCommitCommentCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookCommitCommentCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCommitCommentCreated\nmidas/sdk/github/schema WebhookCommitCommentCreated","url":"midas/sdk/github/schema.html#WebhookCommitCommentCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookConfig","content":"pub type WebhookConfig {\n  WebhookConfig(\n    content_type: Option(String),\n    insecure_ssl: Option(Nil),\n    url: Option(String),\n    secret: Option(String),\n  )\n}\n\nWebhookConfig(\n  content_type: Option(String),\n  insecure_ssl: Option(Nil),\n  url: Option(String),\n  secret: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookConfig\nmidas/sdk/github/schema WebhookConfig","url":"midas/sdk/github/schema.html#WebhookConfig"},{"doc":"midas/sdk/github/schema","title":"WebhookConfigContentType","content":"pub type WebhookConfigContentType {\n  WebhookConfigContentType\n}\n\nWebhookConfigContentType\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookConfigContentType\nmidas/sdk/github/schema WebhookConfigContentType","url":"midas/sdk/github/schema.html#WebhookConfigContentType"},{"doc":"midas/sdk/github/schema","title":"WebhookConfigInsecureSsl","content":"pub type WebhookConfigInsecureSsl {\n  WebhookConfigInsecureSsl\n}\n\nWebhookConfigInsecureSsl\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookConfigInsecureSsl\nmidas/sdk/github/schema WebhookConfigInsecureSsl","url":"midas/sdk/github/schema.html#WebhookConfigInsecureSsl"},{"doc":"midas/sdk/github/schema","title":"WebhookConfigSecret","content":"pub type WebhookConfigSecret {\n  WebhookConfigSecret\n}\n\nWebhookConfigSecret\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookConfigSecret\nmidas/sdk/github/schema WebhookConfigSecret","url":"midas/sdk/github/schema.html#WebhookConfigSecret"},{"doc":"midas/sdk/github/schema","title":"WebhookConfigUrl","content":"pub type WebhookConfigUrl {\n  WebhookConfigUrl\n}\n\nWebhookConfigUrl\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookConfigUrl\nmidas/sdk/github/schema WebhookConfigUrl","url":"midas/sdk/github/schema.html#WebhookConfigUrl"},{"doc":"midas/sdk/github/schema","title":"WebhookCreate","content":"pub type WebhookCreate {\n  WebhookCreate(\n    enterprise: Option(Nil),\n    ref_type: Option(String),\n    repository: Option(Nil),\n    pusher_type: Option(String),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n    description: Option(String),\n    master_branch: Option(String),\n  )\n}\n\nWebhookCreate(\n  enterprise: Option(Nil),\n  ref_type: Option(String),\n  repository: Option(Nil),\n  pusher_type: Option(String),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n  description: Option(String),\n  master_branch: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCreate\nmidas/sdk/github/schema WebhookCreate","url":"midas/sdk/github/schema.html#WebhookCreate"},{"doc":"midas/sdk/github/schema","title":"WebhookCustomPropertyCreated","content":"pub type WebhookCustomPropertyCreated {\n  WebhookCustomPropertyCreated(\n    enterprise: Option(Nil),\n    organization: Option(Nil),\n    definition: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCustomPropertyCreated(\n  enterprise: Option(Nil),\n  organization: Option(Nil),\n  definition: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCustomPropertyCreated\nmidas/sdk/github/schema WebhookCustomPropertyCreated","url":"midas/sdk/github/schema.html#WebhookCustomPropertyCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookCustomPropertyDeleted","content":"pub type WebhookCustomPropertyDeleted {\n  WebhookCustomPropertyDeleted(\n    enterprise: Option(Nil),\n    organization: Option(Nil),\n    definition: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCustomPropertyDeleted(\n  enterprise: Option(Nil),\n  organization: Option(Nil),\n  definition: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCustomPropertyDeleted\nmidas/sdk/github/schema WebhookCustomPropertyDeleted","url":"midas/sdk/github/schema.html#WebhookCustomPropertyDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookCustomPropertyUpdated","content":"pub type WebhookCustomPropertyUpdated {\n  WebhookCustomPropertyUpdated(\n    enterprise: Option(Nil),\n    organization: Option(Nil),\n    definition: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCustomPropertyUpdated(\n  enterprise: Option(Nil),\n  organization: Option(Nil),\n  definition: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCustomPropertyUpdated\nmidas/sdk/github/schema WebhookCustomPropertyUpdated","url":"midas/sdk/github/schema.html#WebhookCustomPropertyUpdated"},{"doc":"midas/sdk/github/schema","title":"WebhookCustomPropertyValuesUpdated","content":"pub type WebhookCustomPropertyValuesUpdated {\n  WebhookCustomPropertyValuesUpdated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    new_property_values: Option(Nil),\n    organization: Option(Nil),\n    old_property_values: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookCustomPropertyValuesUpdated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  new_property_values: Option(Nil),\n  organization: Option(Nil),\n  old_property_values: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookCustomPropertyValuesUpdated\nmidas/sdk/github/schema WebhookCustomPropertyValuesUpdated","url":"midas/sdk/github/schema.html#WebhookCustomPropertyValuesUpdated"},{"doc":"midas/sdk/github/schema","title":"WebhookDelete","content":"pub type WebhookDelete {\n  WebhookDelete(\n    enterprise: Option(Nil),\n    ref_type: Option(String),\n    repository: Option(Nil),\n    pusher_type: Option(String),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDelete(\n  enterprise: Option(Nil),\n  ref_type: Option(String),\n  repository: Option(Nil),\n  pusher_type: Option(String),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDelete\nmidas/sdk/github/schema WebhookDelete","url":"midas/sdk/github/schema.html#WebhookDelete"},{"doc":"midas/sdk/github/schema","title":"WebhookDependabotAlertAutoDismissed","content":"pub type WebhookDependabotAlertAutoDismissed {\n  WebhookDependabotAlertAutoDismissed(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookDependabotAlertAutoDismissed(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDependabotAlertAutoDismissed\nmidas/sdk/github/schema WebhookDependabotAlertAutoDismissed","url":"midas/sdk/github/schema.html#WebhookDependabotAlertAutoDismissed"},{"doc":"midas/sdk/github/schema","title":"WebhookDependabotAlertAutoReopened","content":"pub type WebhookDependabotAlertAutoReopened {\n  WebhookDependabotAlertAutoReopened(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookDependabotAlertAutoReopened(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDependabotAlertAutoReopened\nmidas/sdk/github/schema WebhookDependabotAlertAutoReopened","url":"midas/sdk/github/schema.html#WebhookDependabotAlertAutoReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookDependabotAlertCreated","content":"pub type WebhookDependabotAlertCreated {\n  WebhookDependabotAlertCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookDependabotAlertCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDependabotAlertCreated\nmidas/sdk/github/schema WebhookDependabotAlertCreated","url":"midas/sdk/github/schema.html#WebhookDependabotAlertCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookDependabotAlertDismissed","content":"pub type WebhookDependabotAlertDismissed {\n  WebhookDependabotAlertDismissed(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookDependabotAlertDismissed(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDependabotAlertDismissed\nmidas/sdk/github/schema WebhookDependabotAlertDismissed","url":"midas/sdk/github/schema.html#WebhookDependabotAlertDismissed"},{"doc":"midas/sdk/github/schema","title":"WebhookDependabotAlertFixed","content":"pub type WebhookDependabotAlertFixed {\n  WebhookDependabotAlertFixed(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookDependabotAlertFixed(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDependabotAlertFixed\nmidas/sdk/github/schema WebhookDependabotAlertFixed","url":"midas/sdk/github/schema.html#WebhookDependabotAlertFixed"},{"doc":"midas/sdk/github/schema","title":"WebhookDependabotAlertReintroduced","content":"pub type WebhookDependabotAlertReintroduced {\n  WebhookDependabotAlertReintroduced(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookDependabotAlertReintroduced(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDependabotAlertReintroduced\nmidas/sdk/github/schema WebhookDependabotAlertReintroduced","url":"midas/sdk/github/schema.html#WebhookDependabotAlertReintroduced"},{"doc":"midas/sdk/github/schema","title":"WebhookDependabotAlertReopened","content":"pub type WebhookDependabotAlertReopened {\n  WebhookDependabotAlertReopened(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookDependabotAlertReopened(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDependabotAlertReopened\nmidas/sdk/github/schema WebhookDependabotAlertReopened","url":"midas/sdk/github/schema.html#WebhookDependabotAlertReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookDeployKeyCreated","content":"pub type WebhookDeployKeyCreated {\n  WebhookDeployKeyCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    key: Option(Nil),\n  )\n}\n\nWebhookDeployKeyCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  key: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeployKeyCreated\nmidas/sdk/github/schema WebhookDeployKeyCreated","url":"midas/sdk/github/schema.html#WebhookDeployKeyCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookDeployKeyDeleted","content":"pub type WebhookDeployKeyDeleted {\n  WebhookDeployKeyDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    key: Option(Nil),\n  )\n}\n\nWebhookDeployKeyDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  key: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeployKeyDeleted\nmidas/sdk/github/schema WebhookDeployKeyDeleted","url":"midas/sdk/github/schema.html#WebhookDeployKeyDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookDeploymentCreated","content":"pub type WebhookDeploymentCreated {\n  WebhookDeploymentCreated(\n    enterprise: Option(Nil),\n    deployment: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow: Option(Nil),\n  )\n}\n\nWebhookDeploymentCreated(\n  enterprise: Option(Nil),\n  deployment: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeploymentCreated\nmidas/sdk/github/schema WebhookDeploymentCreated","url":"midas/sdk/github/schema.html#WebhookDeploymentCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookDeploymentProtectionRuleRequested","content":"pub type WebhookDeploymentProtectionRuleRequested {\n  WebhookDeploymentProtectionRuleRequested(\n    deployment: Option(Nil),\n    repository: Option(Nil),\n    deployment_callback_url: Option(String),\n    organization: Option(Nil),\n    environment: Option(String),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    event: Option(String),\n    pull_requests: Option(Nil),\n  )\n}\n\nWebhookDeploymentProtectionRuleRequested(\n  deployment: Option(Nil),\n  repository: Option(Nil),\n  deployment_callback_url: Option(String),\n  organization: Option(Nil),\n  environment: Option(String),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  event: Option(String),\n  pull_requests: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeploymentProtectionRuleRequested\nmidas/sdk/github/schema WebhookDeploymentProtectionRuleRequested","url":"midas/sdk/github/schema.html#WebhookDeploymentProtectionRuleRequested"},{"doc":"midas/sdk/github/schema","title":"WebhookDeploymentReviewApproved","content":"pub type WebhookDeploymentReviewApproved {\n  WebhookDeploymentReviewApproved(\n    enterprise: Option(Nil),\n    approver: Option(Nil),\n    workflow_job_run: Option(Nil),\n    workflow_job_runs: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    reviewers: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    since: Option(String),\n    comment: Option(String),\n  )\n}\n\nWebhookDeploymentReviewApproved(\n  enterprise: Option(Nil),\n  approver: Option(Nil),\n  workflow_job_run: Option(Nil),\n  workflow_job_runs: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  reviewers: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  since: Option(String),\n  comment: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeploymentReviewApproved\nmidas/sdk/github/schema WebhookDeploymentReviewApproved","url":"midas/sdk/github/schema.html#WebhookDeploymentReviewApproved"},{"doc":"midas/sdk/github/schema","title":"WebhookDeploymentReviewRejected","content":"pub type WebhookDeploymentReviewRejected {\n  WebhookDeploymentReviewRejected(\n    enterprise: Option(Nil),\n    approver: Option(Nil),\n    workflow_job_run: Option(Nil),\n    workflow_job_runs: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    reviewers: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    since: Option(String),\n    comment: Option(String),\n  )\n}\n\nWebhookDeploymentReviewRejected(\n  enterprise: Option(Nil),\n  approver: Option(Nil),\n  workflow_job_run: Option(Nil),\n  workflow_job_runs: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  reviewers: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  since: Option(String),\n  comment: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeploymentReviewRejected\nmidas/sdk/github/schema WebhookDeploymentReviewRejected","url":"midas/sdk/github/schema.html#WebhookDeploymentReviewRejected"},{"doc":"midas/sdk/github/schema","title":"WebhookDeploymentReviewRequested","content":"pub type WebhookDeploymentReviewRequested {\n  WebhookDeploymentReviewRequested(\n    enterprise: Option(Nil),\n    workflow_job_run: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    reviewers: Option(Nil),\n    requestor: Option(Nil),\n    organization: Option(Nil),\n    environment: Option(String),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    since: Option(String),\n  )\n}\n\nWebhookDeploymentReviewRequested(\n  enterprise: Option(Nil),\n  workflow_job_run: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  reviewers: Option(Nil),\n  requestor: Option(Nil),\n  organization: Option(Nil),\n  environment: Option(String),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  since: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeploymentReviewRequested\nmidas/sdk/github/schema WebhookDeploymentReviewRequested","url":"midas/sdk/github/schema.html#WebhookDeploymentReviewRequested"},{"doc":"midas/sdk/github/schema","title":"WebhookDeploymentStatusCreated","content":"pub type WebhookDeploymentStatusCreated {\n  WebhookDeploymentStatusCreated(\n    enterprise: Option(Nil),\n    deployment: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    deployment_status: Option(Nil),\n    organization: Option(Nil),\n    check_run: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow: Option(Nil),\n  )\n}\n\nWebhookDeploymentStatusCreated(\n  enterprise: Option(Nil),\n  deployment: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  deployment_status: Option(Nil),\n  organization: Option(Nil),\n  check_run: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDeploymentStatusCreated\nmidas/sdk/github/schema WebhookDeploymentStatusCreated","url":"midas/sdk/github/schema.html#WebhookDeploymentStatusCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionAnswered","content":"pub type WebhookDiscussionAnswered {\n  WebhookDiscussionAnswered(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    answer: Option(Nil),\n  )\n}\n\nWebhookDiscussionAnswered(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  answer: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionAnswered\nmidas/sdk/github/schema WebhookDiscussionAnswered","url":"midas/sdk/github/schema.html#WebhookDiscussionAnswered"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionCategoryChanged","content":"pub type WebhookDiscussionCategoryChanged {\n  WebhookDiscussionCategoryChanged(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionCategoryChanged(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionCategoryChanged\nmidas/sdk/github/schema WebhookDiscussionCategoryChanged","url":"midas/sdk/github/schema.html#WebhookDiscussionCategoryChanged"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionClosed","content":"pub type WebhookDiscussionClosed {\n  WebhookDiscussionClosed(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionClosed(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionClosed\nmidas/sdk/github/schema WebhookDiscussionClosed","url":"midas/sdk/github/schema.html#WebhookDiscussionClosed"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionCommentCreated","content":"pub type WebhookDiscussionCommentCreated {\n  WebhookDiscussionCommentCreated(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookDiscussionCommentCreated(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionCommentCreated\nmidas/sdk/github/schema WebhookDiscussionCommentCreated","url":"midas/sdk/github/schema.html#WebhookDiscussionCommentCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionCommentDeleted","content":"pub type WebhookDiscussionCommentDeleted {\n  WebhookDiscussionCommentDeleted(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookDiscussionCommentDeleted(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionCommentDeleted\nmidas/sdk/github/schema WebhookDiscussionCommentDeleted","url":"midas/sdk/github/schema.html#WebhookDiscussionCommentDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionCommentEdited","content":"pub type WebhookDiscussionCommentEdited {\n  WebhookDiscussionCommentEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookDiscussionCommentEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionCommentEdited\nmidas/sdk/github/schema WebhookDiscussionCommentEdited","url":"midas/sdk/github/schema.html#WebhookDiscussionCommentEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionCreated","content":"pub type WebhookDiscussionCreated {\n  WebhookDiscussionCreated(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionCreated(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionCreated\nmidas/sdk/github/schema WebhookDiscussionCreated","url":"midas/sdk/github/schema.html#WebhookDiscussionCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionDeleted","content":"pub type WebhookDiscussionDeleted {\n  WebhookDiscussionDeleted(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionDeleted(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionDeleted\nmidas/sdk/github/schema WebhookDiscussionDeleted","url":"midas/sdk/github/schema.html#WebhookDiscussionDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionEdited","content":"pub type WebhookDiscussionEdited {\n  WebhookDiscussionEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionEdited\nmidas/sdk/github/schema WebhookDiscussionEdited","url":"midas/sdk/github/schema.html#WebhookDiscussionEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionLabeled","content":"pub type WebhookDiscussionLabeled {\n  WebhookDiscussionLabeled(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionLabeled(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionLabeled\nmidas/sdk/github/schema WebhookDiscussionLabeled","url":"midas/sdk/github/schema.html#WebhookDiscussionLabeled"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionLocked","content":"pub type WebhookDiscussionLocked {\n  WebhookDiscussionLocked(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionLocked(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionLocked\nmidas/sdk/github/schema WebhookDiscussionLocked","url":"midas/sdk/github/schema.html#WebhookDiscussionLocked"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionPinned","content":"pub type WebhookDiscussionPinned {\n  WebhookDiscussionPinned(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionPinned(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionPinned\nmidas/sdk/github/schema WebhookDiscussionPinned","url":"midas/sdk/github/schema.html#WebhookDiscussionPinned"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionReopened","content":"pub type WebhookDiscussionReopened {\n  WebhookDiscussionReopened(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionReopened(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionReopened\nmidas/sdk/github/schema WebhookDiscussionReopened","url":"midas/sdk/github/schema.html#WebhookDiscussionReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionTransferred","content":"pub type WebhookDiscussionTransferred {\n  WebhookDiscussionTransferred(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionTransferred(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionTransferred\nmidas/sdk/github/schema WebhookDiscussionTransferred","url":"midas/sdk/github/schema.html#WebhookDiscussionTransferred"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionUnanswered","content":"pub type WebhookDiscussionUnanswered {\n  WebhookDiscussionUnanswered(\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    old_answer: Option(Nil),\n    action: Option(String),\n  )\n}\n\nWebhookDiscussionUnanswered(\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  old_answer: Option(Nil),\n  action: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionUnanswered\nmidas/sdk/github/schema WebhookDiscussionUnanswered","url":"midas/sdk/github/schema.html#WebhookDiscussionUnanswered"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionUnlabeled","content":"pub type WebhookDiscussionUnlabeled {\n  WebhookDiscussionUnlabeled(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionUnlabeled(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionUnlabeled\nmidas/sdk/github/schema WebhookDiscussionUnlabeled","url":"midas/sdk/github/schema.html#WebhookDiscussionUnlabeled"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionUnlocked","content":"pub type WebhookDiscussionUnlocked {\n  WebhookDiscussionUnlocked(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionUnlocked(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionUnlocked\nmidas/sdk/github/schema WebhookDiscussionUnlocked","url":"midas/sdk/github/schema.html#WebhookDiscussionUnlocked"},{"doc":"midas/sdk/github/schema","title":"WebhookDiscussionUnpinned","content":"pub type WebhookDiscussionUnpinned {\n  WebhookDiscussionUnpinned(\n    enterprise: Option(Nil),\n    discussion: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookDiscussionUnpinned(\n  enterprise: Option(Nil),\n  discussion: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookDiscussionUnpinned\nmidas/sdk/github/schema WebhookDiscussionUnpinned","url":"midas/sdk/github/schema.html#WebhookDiscussionUnpinned"},{"doc":"midas/sdk/github/schema","title":"WebhookFork","content":"pub type WebhookFork {\n  WebhookFork(\n    enterprise: Option(Nil),\n    forkee: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookFork(\n  enterprise: Option(Nil),\n  forkee: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookFork\nmidas/sdk/github/schema WebhookFork","url":"midas/sdk/github/schema.html#WebhookFork"},{"doc":"midas/sdk/github/schema","title":"WebhookGithubAppAuthorizationRevoked","content":"pub type WebhookGithubAppAuthorizationRevoked {\n  WebhookGithubAppAuthorizationRevoked(\n    sender: Option(Nil),\n    action: Option(String),\n  )\n}\n\nWebhookGithubAppAuthorizationRevoked(\n  sender: Option(Nil),\n  action: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookGithubAppAuthorizationRevoked\nmidas/sdk/github/schema WebhookGithubAppAuthorizationRevoked","url":"midas/sdk/github/schema.html#WebhookGithubAppAuthorizationRevoked"},{"doc":"midas/sdk/github/schema","title":"WebhookGollum","content":"pub type WebhookGollum {\n  WebhookGollum(\n    enterprise: Option(Nil),\n    pages: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookGollum(\n  enterprise: Option(Nil),\n  pages: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookGollum\nmidas/sdk/github/schema WebhookGollum","url":"midas/sdk/github/schema.html#WebhookGollum"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationCreated","content":"pub type WebhookInstallationCreated {\n  WebhookInstallationCreated(\n    enterprise: Option(Nil),\n    repositories: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    requester: Option(Nil),\n  )\n}\n\nWebhookInstallationCreated(\n  enterprise: Option(Nil),\n  repositories: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  requester: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationCreated\nmidas/sdk/github/schema WebhookInstallationCreated","url":"midas/sdk/github/schema.html#WebhookInstallationCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationDeleted","content":"pub type WebhookInstallationDeleted {\n  WebhookInstallationDeleted(\n    enterprise: Option(Nil),\n    repositories: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookInstallationDeleted(\n  enterprise: Option(Nil),\n  repositories: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationDeleted\nmidas/sdk/github/schema WebhookInstallationDeleted","url":"midas/sdk/github/schema.html#WebhookInstallationDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationNewPermissionsAccepted","content":"pub type WebhookInstallationNewPermissionsAccepted {\n  WebhookInstallationNewPermissionsAccepted(\n    enterprise: Option(Nil),\n    repositories: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookInstallationNewPermissionsAccepted(\n  enterprise: Option(Nil),\n  repositories: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationNewPermissionsAccepted\nmidas/sdk/github/schema WebhookInstallationNewPermissionsAccepted","url":"midas/sdk/github/schema.html#WebhookInstallationNewPermissionsAccepted"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationRepositoriesAdded","content":"pub type WebhookInstallationRepositoriesAdded {\n  WebhookInstallationRepositoriesAdded(\n    enterprise: Option(Nil),\n    repositories_removed: Option(Nil),\n    repositories_added: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    repository_selection: Option(String),\n    installation: Option(Nil),\n    requester: Option(Nil),\n  )\n}\n\nWebhookInstallationRepositoriesAdded(\n  enterprise: Option(Nil),\n  repositories_removed: Option(Nil),\n  repositories_added: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  repository_selection: Option(String),\n  installation: Option(Nil),\n  requester: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationRepositoriesAdded\nmidas/sdk/github/schema WebhookInstallationRepositoriesAdded","url":"midas/sdk/github/schema.html#WebhookInstallationRepositoriesAdded"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationRepositoriesRemoved","content":"pub type WebhookInstallationRepositoriesRemoved {\n  WebhookInstallationRepositoriesRemoved(\n    enterprise: Option(Nil),\n    repositories_removed: Option(Nil),\n    repositories_added: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    repository_selection: Option(String),\n    installation: Option(Nil),\n    requester: Option(Nil),\n  )\n}\n\nWebhookInstallationRepositoriesRemoved(\n  enterprise: Option(Nil),\n  repositories_removed: Option(Nil),\n  repositories_added: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  repository_selection: Option(String),\n  installation: Option(Nil),\n  requester: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationRepositoriesRemoved\nmidas/sdk/github/schema WebhookInstallationRepositoriesRemoved","url":"midas/sdk/github/schema.html#WebhookInstallationRepositoriesRemoved"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationSuspend","content":"pub type WebhookInstallationSuspend {\n  WebhookInstallationSuspend(\n    enterprise: Option(Nil),\n    repositories: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookInstallationSuspend(\n  enterprise: Option(Nil),\n  repositories: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationSuspend\nmidas/sdk/github/schema WebhookInstallationSuspend","url":"midas/sdk/github/schema.html#WebhookInstallationSuspend"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationTargetRenamed","content":"pub type WebhookInstallationTargetRenamed {\n  WebhookInstallationTargetRenamed(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    target_type: Option(String),\n    repository: Option(Nil),\n    account: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookInstallationTargetRenamed(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  target_type: Option(String),\n  repository: Option(Nil),\n  account: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationTargetRenamed\nmidas/sdk/github/schema WebhookInstallationTargetRenamed","url":"midas/sdk/github/schema.html#WebhookInstallationTargetRenamed"},{"doc":"midas/sdk/github/schema","title":"WebhookInstallationUnsuspend","content":"pub type WebhookInstallationUnsuspend {\n  WebhookInstallationUnsuspend(\n    enterprise: Option(Nil),\n    repositories: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookInstallationUnsuspend(\n  enterprise: Option(Nil),\n  repositories: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookInstallationUnsuspend\nmidas/sdk/github/schema WebhookInstallationUnsuspend","url":"midas/sdk/github/schema.html#WebhookInstallationUnsuspend"},{"doc":"midas/sdk/github/schema","title":"WebhookIssueCommentCreated","content":"pub type WebhookIssueCommentCreated {\n  WebhookIssueCommentCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookIssueCommentCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssueCommentCreated\nmidas/sdk/github/schema WebhookIssueCommentCreated","url":"midas/sdk/github/schema.html#WebhookIssueCommentCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookIssueCommentDeleted","content":"pub type WebhookIssueCommentDeleted {\n  WebhookIssueCommentDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookIssueCommentDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssueCommentDeleted\nmidas/sdk/github/schema WebhookIssueCommentDeleted","url":"midas/sdk/github/schema.html#WebhookIssueCommentDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookIssueCommentEdited","content":"pub type WebhookIssueCommentEdited {\n  WebhookIssueCommentEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookIssueCommentEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssueCommentEdited\nmidas/sdk/github/schema WebhookIssueCommentEdited","url":"midas/sdk/github/schema.html#WebhookIssueCommentEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesAssigned","content":"pub type WebhookIssuesAssigned {\n  WebhookIssuesAssigned(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    assignee: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesAssigned(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  assignee: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesAssigned\nmidas/sdk/github/schema WebhookIssuesAssigned","url":"midas/sdk/github/schema.html#WebhookIssuesAssigned"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesClosed","content":"pub type WebhookIssuesClosed {\n  WebhookIssuesClosed(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesClosed(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesClosed\nmidas/sdk/github/schema WebhookIssuesClosed","url":"midas/sdk/github/schema.html#WebhookIssuesClosed"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesDeleted","content":"pub type WebhookIssuesDeleted {\n  WebhookIssuesDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesDeleted\nmidas/sdk/github/schema WebhookIssuesDeleted","url":"midas/sdk/github/schema.html#WebhookIssuesDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesDemilestoned","content":"pub type WebhookIssuesDemilestoned {\n  WebhookIssuesDemilestoned(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesDemilestoned(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesDemilestoned\nmidas/sdk/github/schema WebhookIssuesDemilestoned","url":"midas/sdk/github/schema.html#WebhookIssuesDemilestoned"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesEdited","content":"pub type WebhookIssuesEdited {\n  WebhookIssuesEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesEdited\nmidas/sdk/github/schema WebhookIssuesEdited","url":"midas/sdk/github/schema.html#WebhookIssuesEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesLabeled","content":"pub type WebhookIssuesLabeled {\n  WebhookIssuesLabeled(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesLabeled(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesLabeled\nmidas/sdk/github/schema WebhookIssuesLabeled","url":"midas/sdk/github/schema.html#WebhookIssuesLabeled"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesLocked","content":"pub type WebhookIssuesLocked {\n  WebhookIssuesLocked(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesLocked(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesLocked\nmidas/sdk/github/schema WebhookIssuesLocked","url":"midas/sdk/github/schema.html#WebhookIssuesLocked"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesMilestoned","content":"pub type WebhookIssuesMilestoned {\n  WebhookIssuesMilestoned(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesMilestoned(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesMilestoned\nmidas/sdk/github/schema WebhookIssuesMilestoned","url":"midas/sdk/github/schema.html#WebhookIssuesMilestoned"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesOpened","content":"pub type WebhookIssuesOpened {\n  WebhookIssuesOpened(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesOpened(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesOpened\nmidas/sdk/github/schema WebhookIssuesOpened","url":"midas/sdk/github/schema.html#WebhookIssuesOpened"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesPinned","content":"pub type WebhookIssuesPinned {\n  WebhookIssuesPinned(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesPinned(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesPinned\nmidas/sdk/github/schema WebhookIssuesPinned","url":"midas/sdk/github/schema.html#WebhookIssuesPinned"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesReopened","content":"pub type WebhookIssuesReopened {\n  WebhookIssuesReopened(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesReopened(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesReopened\nmidas/sdk/github/schema WebhookIssuesReopened","url":"midas/sdk/github/schema.html#WebhookIssuesReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesTransferred","content":"pub type WebhookIssuesTransferred {\n  WebhookIssuesTransferred(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesTransferred(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesTransferred\nmidas/sdk/github/schema WebhookIssuesTransferred","url":"midas/sdk/github/schema.html#WebhookIssuesTransferred"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesUnassigned","content":"pub type WebhookIssuesUnassigned {\n  WebhookIssuesUnassigned(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    assignee: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesUnassigned(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  assignee: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesUnassigned\nmidas/sdk/github/schema WebhookIssuesUnassigned","url":"midas/sdk/github/schema.html#WebhookIssuesUnassigned"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesUnlabeled","content":"pub type WebhookIssuesUnlabeled {\n  WebhookIssuesUnlabeled(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesUnlabeled(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesUnlabeled\nmidas/sdk/github/schema WebhookIssuesUnlabeled","url":"midas/sdk/github/schema.html#WebhookIssuesUnlabeled"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesUnlocked","content":"pub type WebhookIssuesUnlocked {\n  WebhookIssuesUnlocked(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesUnlocked(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesUnlocked\nmidas/sdk/github/schema WebhookIssuesUnlocked","url":"midas/sdk/github/schema.html#WebhookIssuesUnlocked"},{"doc":"midas/sdk/github/schema","title":"WebhookIssuesUnpinned","content":"pub type WebhookIssuesUnpinned {\n  WebhookIssuesUnpinned(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookIssuesUnpinned(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookIssuesUnpinned\nmidas/sdk/github/schema WebhookIssuesUnpinned","url":"midas/sdk/github/schema.html#WebhookIssuesUnpinned"},{"doc":"midas/sdk/github/schema","title":"WebhookLabelCreated","content":"pub type WebhookLabelCreated {\n  WebhookLabelCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookLabelCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookLabelCreated\nmidas/sdk/github/schema WebhookLabelCreated","url":"midas/sdk/github/schema.html#WebhookLabelCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookLabelDeleted","content":"pub type WebhookLabelDeleted {\n  WebhookLabelDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookLabelDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookLabelDeleted\nmidas/sdk/github/schema WebhookLabelDeleted","url":"midas/sdk/github/schema.html#WebhookLabelDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookLabelEdited","content":"pub type WebhookLabelEdited {\n  WebhookLabelEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookLabelEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookLabelEdited\nmidas/sdk/github/schema WebhookLabelEdited","url":"midas/sdk/github/schema.html#WebhookLabelEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookMarketplacePurchaseCancelled","content":"pub type WebhookMarketplacePurchaseCancelled {\n  WebhookMarketplacePurchaseCancelled(\n    enterprise: Option(Nil),\n    effective_date: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    marketplace_purchase: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    previous_marketplace_purchase: Option(Nil),\n  )\n}\n\nWebhookMarketplacePurchaseCancelled(\n  enterprise: Option(Nil),\n  effective_date: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  marketplace_purchase: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  previous_marketplace_purchase: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMarketplacePurchaseCancelled\nmidas/sdk/github/schema WebhookMarketplacePurchaseCancelled","url":"midas/sdk/github/schema.html#WebhookMarketplacePurchaseCancelled"},{"doc":"midas/sdk/github/schema","title":"WebhookMarketplacePurchaseChanged","content":"pub type WebhookMarketplacePurchaseChanged {\n  WebhookMarketplacePurchaseChanged(\n    enterprise: Option(Nil),\n    effective_date: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    marketplace_purchase: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    previous_marketplace_purchase: Option(Nil),\n  )\n}\n\nWebhookMarketplacePurchaseChanged(\n  enterprise: Option(Nil),\n  effective_date: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  marketplace_purchase: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  previous_marketplace_purchase: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMarketplacePurchaseChanged\nmidas/sdk/github/schema WebhookMarketplacePurchaseChanged","url":"midas/sdk/github/schema.html#WebhookMarketplacePurchaseChanged"},{"doc":"midas/sdk/github/schema","title":"WebhookMarketplacePurchasePendingChange","content":"pub type WebhookMarketplacePurchasePendingChange {\n  WebhookMarketplacePurchasePendingChange(\n    enterprise: Option(Nil),\n    effective_date: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    marketplace_purchase: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    previous_marketplace_purchase: Option(Nil),\n  )\n}\n\nWebhookMarketplacePurchasePendingChange(\n  enterprise: Option(Nil),\n  effective_date: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  marketplace_purchase: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  previous_marketplace_purchase: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMarketplacePurchasePendingChange\nmidas/sdk/github/schema WebhookMarketplacePurchasePendingChange","url":"midas/sdk/github/schema.html#WebhookMarketplacePurchasePendingChange"},{"doc":"midas/sdk/github/schema","title":"WebhookMarketplacePurchasePendingChangeCancelled","content":"pub type WebhookMarketplacePurchasePendingChangeCancelled {\n  WebhookMarketplacePurchasePendingChangeCancelled(\n    enterprise: Option(Nil),\n    effective_date: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    marketplace_purchase: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    previous_marketplace_purchase: Option(Nil),\n  )\n}\n\nWebhookMarketplacePurchasePendingChangeCancelled(\n  enterprise: Option(Nil),\n  effective_date: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  marketplace_purchase: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  previous_marketplace_purchase: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMarketplacePurchasePendingChangeCancelled\nmidas/sdk/github/schema WebhookMarketplacePurchasePendingChangeCancelled","url":"midas/sdk/github/schema.html#WebhookMarketplacePurchasePendingChangeCancelled"},{"doc":"midas/sdk/github/schema","title":"WebhookMarketplacePurchasePurchased","content":"pub type WebhookMarketplacePurchasePurchased {\n  WebhookMarketplacePurchasePurchased(\n    enterprise: Option(Nil),\n    effective_date: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    marketplace_purchase: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    previous_marketplace_purchase: Option(Nil),\n  )\n}\n\nWebhookMarketplacePurchasePurchased(\n  enterprise: Option(Nil),\n  effective_date: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  marketplace_purchase: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  previous_marketplace_purchase: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMarketplacePurchasePurchased\nmidas/sdk/github/schema WebhookMarketplacePurchasePurchased","url":"midas/sdk/github/schema.html#WebhookMarketplacePurchasePurchased"},{"doc":"midas/sdk/github/schema","title":"WebhookMemberAdded","content":"pub type WebhookMemberAdded {\n  WebhookMemberAdded(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    member: Option(Nil),\n  )\n}\n\nWebhookMemberAdded(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  member: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMemberAdded\nmidas/sdk/github/schema WebhookMemberAdded","url":"midas/sdk/github/schema.html#WebhookMemberAdded"},{"doc":"midas/sdk/github/schema","title":"WebhookMemberEdited","content":"pub type WebhookMemberEdited {\n  WebhookMemberEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    member: Option(Nil),\n  )\n}\n\nWebhookMemberEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  member: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMemberEdited\nmidas/sdk/github/schema WebhookMemberEdited","url":"midas/sdk/github/schema.html#WebhookMemberEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookMemberRemoved","content":"pub type WebhookMemberRemoved {\n  WebhookMemberRemoved(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    member: Option(Nil),\n  )\n}\n\nWebhookMemberRemoved(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  member: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMemberRemoved\nmidas/sdk/github/schema WebhookMemberRemoved","url":"midas/sdk/github/schema.html#WebhookMemberRemoved"},{"doc":"midas/sdk/github/schema","title":"WebhookMembershipAdded","content":"pub type WebhookMembershipAdded {\n  WebhookMembershipAdded(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    scope: Option(String),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    member: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookMembershipAdded(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  scope: Option(String),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  member: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMembershipAdded\nmidas/sdk/github/schema WebhookMembershipAdded","url":"midas/sdk/github/schema.html#WebhookMembershipAdded"},{"doc":"midas/sdk/github/schema","title":"WebhookMembershipRemoved","content":"pub type WebhookMembershipRemoved {\n  WebhookMembershipRemoved(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    scope: Option(String),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    member: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookMembershipRemoved(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  scope: Option(String),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  member: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMembershipRemoved\nmidas/sdk/github/schema WebhookMembershipRemoved","url":"midas/sdk/github/schema.html#WebhookMembershipRemoved"},{"doc":"midas/sdk/github/schema","title":"WebhookMergeGroupChecksRequested","content":"pub type WebhookMergeGroupChecksRequested {\n  WebhookMergeGroupChecksRequested(\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    merge_group: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMergeGroupChecksRequested(\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  merge_group: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMergeGroupChecksRequested\nmidas/sdk/github/schema WebhookMergeGroupChecksRequested","url":"midas/sdk/github/schema.html#WebhookMergeGroupChecksRequested"},{"doc":"midas/sdk/github/schema","title":"WebhookMergeGroupDestroyed","content":"pub type WebhookMergeGroupDestroyed {\n  WebhookMergeGroupDestroyed(\n    reason: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    merge_group: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMergeGroupDestroyed(\n  reason: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  merge_group: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMergeGroupDestroyed\nmidas/sdk/github/schema WebhookMergeGroupDestroyed","url":"midas/sdk/github/schema.html#WebhookMergeGroupDestroyed"},{"doc":"midas/sdk/github/schema","title":"WebhookMetaDeleted","content":"pub type WebhookMetaDeleted {\n  WebhookMetaDeleted(\n    enterprise: Option(Nil),\n    hook: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    hook_id: Option(Int),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMetaDeleted(\n  enterprise: Option(Nil),\n  hook: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  hook_id: Option(Int),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMetaDeleted\nmidas/sdk/github/schema WebhookMetaDeleted","url":"midas/sdk/github/schema.html#WebhookMetaDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookMilestoneClosed","content":"pub type WebhookMilestoneClosed {\n  WebhookMilestoneClosed(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMilestoneClosed(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMilestoneClosed\nmidas/sdk/github/schema WebhookMilestoneClosed","url":"midas/sdk/github/schema.html#WebhookMilestoneClosed"},{"doc":"midas/sdk/github/schema","title":"WebhookMilestoneCreated","content":"pub type WebhookMilestoneCreated {\n  WebhookMilestoneCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMilestoneCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMilestoneCreated\nmidas/sdk/github/schema WebhookMilestoneCreated","url":"midas/sdk/github/schema.html#WebhookMilestoneCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookMilestoneDeleted","content":"pub type WebhookMilestoneDeleted {\n  WebhookMilestoneDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMilestoneDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMilestoneDeleted\nmidas/sdk/github/schema WebhookMilestoneDeleted","url":"midas/sdk/github/schema.html#WebhookMilestoneDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookMilestoneEdited","content":"pub type WebhookMilestoneEdited {\n  WebhookMilestoneEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMilestoneEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMilestoneEdited\nmidas/sdk/github/schema WebhookMilestoneEdited","url":"midas/sdk/github/schema.html#WebhookMilestoneEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookMilestoneOpened","content":"pub type WebhookMilestoneOpened {\n  WebhookMilestoneOpened(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookMilestoneOpened(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookMilestoneOpened\nmidas/sdk/github/schema WebhookMilestoneOpened","url":"midas/sdk/github/schema.html#WebhookMilestoneOpened"},{"doc":"midas/sdk/github/schema","title":"WebhookOrgBlockBlocked","content":"pub type WebhookOrgBlockBlocked {\n  WebhookOrgBlockBlocked(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    blocked_user: Option(Nil),\n  )\n}\n\nWebhookOrgBlockBlocked(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  blocked_user: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookOrgBlockBlocked\nmidas/sdk/github/schema WebhookOrgBlockBlocked","url":"midas/sdk/github/schema.html#WebhookOrgBlockBlocked"},{"doc":"midas/sdk/github/schema","title":"WebhookOrgBlockUnblocked","content":"pub type WebhookOrgBlockUnblocked {\n  WebhookOrgBlockUnblocked(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    blocked_user: Option(Nil),\n  )\n}\n\nWebhookOrgBlockUnblocked(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  blocked_user: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookOrgBlockUnblocked\nmidas/sdk/github/schema WebhookOrgBlockUnblocked","url":"midas/sdk/github/schema.html#WebhookOrgBlockUnblocked"},{"doc":"midas/sdk/github/schema","title":"WebhookOrganizationDeleted","content":"pub type WebhookOrganizationDeleted {\n  WebhookOrganizationDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    membership: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookOrganizationDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  membership: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookOrganizationDeleted\nmidas/sdk/github/schema WebhookOrganizationDeleted","url":"midas/sdk/github/schema.html#WebhookOrganizationDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookOrganizationMemberAdded","content":"pub type WebhookOrganizationMemberAdded {\n  WebhookOrganizationMemberAdded(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    membership: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookOrganizationMemberAdded(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  membership: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookOrganizationMemberAdded\nmidas/sdk/github/schema WebhookOrganizationMemberAdded","url":"midas/sdk/github/schema.html#WebhookOrganizationMemberAdded"},{"doc":"midas/sdk/github/schema","title":"WebhookOrganizationMemberInvited","content":"pub type WebhookOrganizationMemberInvited {\n  WebhookOrganizationMemberInvited(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    user: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    invitation: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookOrganizationMemberInvited(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  user: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  invitation: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookOrganizationMemberInvited\nmidas/sdk/github/schema WebhookOrganizationMemberInvited","url":"midas/sdk/github/schema.html#WebhookOrganizationMemberInvited"},{"doc":"midas/sdk/github/schema","title":"WebhookOrganizationMemberRemoved","content":"pub type WebhookOrganizationMemberRemoved {\n  WebhookOrganizationMemberRemoved(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    membership: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookOrganizationMemberRemoved(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  membership: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookOrganizationMemberRemoved\nmidas/sdk/github/schema WebhookOrganizationMemberRemoved","url":"midas/sdk/github/schema.html#WebhookOrganizationMemberRemoved"},{"doc":"midas/sdk/github/schema","title":"WebhookOrganizationRenamed","content":"pub type WebhookOrganizationRenamed {\n  WebhookOrganizationRenamed(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    membership: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookOrganizationRenamed(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  membership: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookOrganizationRenamed\nmidas/sdk/github/schema WebhookOrganizationRenamed","url":"midas/sdk/github/schema.html#WebhookOrganizationRenamed"},{"doc":"midas/sdk/github/schema","title":"WebhookPackagePublished","content":"pub type WebhookPackagePublished {\n  WebhookPackagePublished(\n    enterprise: Option(Nil),\n    package: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPackagePublished(\n  enterprise: Option(Nil),\n  package: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPackagePublished\nmidas/sdk/github/schema WebhookPackagePublished","url":"midas/sdk/github/schema.html#WebhookPackagePublished"},{"doc":"midas/sdk/github/schema","title":"WebhookPackageUpdated","content":"pub type WebhookPackageUpdated {\n  WebhookPackageUpdated(\n    enterprise: Option(Nil),\n    package: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPackageUpdated(\n  enterprise: Option(Nil),\n  package: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPackageUpdated\nmidas/sdk/github/schema WebhookPackageUpdated","url":"midas/sdk/github/schema.html#WebhookPackageUpdated"},{"doc":"midas/sdk/github/schema","title":"WebhookPageBuild","content":"pub type WebhookPageBuild {\n  WebhookPageBuild(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    build: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n    id: Option(Int),\n  )\n}\n\nWebhookPageBuild(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  build: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPageBuild\nmidas/sdk/github/schema WebhookPageBuild","url":"midas/sdk/github/schema.html#WebhookPageBuild"},{"doc":"midas/sdk/github/schema","title":"WebhookPersonalAccessTokenRequestApproved","content":"pub type WebhookPersonalAccessTokenRequestApproved {\n  WebhookPersonalAccessTokenRequestApproved(\n    enterprise: Option(Nil),\n    personal_access_token_request: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPersonalAccessTokenRequestApproved(\n  enterprise: Option(Nil),\n  personal_access_token_request: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPersonalAccessTokenRequestApproved\nmidas/sdk/github/schema WebhookPersonalAccessTokenRequestApproved","url":"midas/sdk/github/schema.html#WebhookPersonalAccessTokenRequestApproved"},{"doc":"midas/sdk/github/schema","title":"WebhookPersonalAccessTokenRequestCancelled","content":"pub type WebhookPersonalAccessTokenRequestCancelled {\n  WebhookPersonalAccessTokenRequestCancelled(\n    enterprise: Option(Nil),\n    personal_access_token_request: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPersonalAccessTokenRequestCancelled(\n  enterprise: Option(Nil),\n  personal_access_token_request: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPersonalAccessTokenRequestCancelled\nmidas/sdk/github/schema WebhookPersonalAccessTokenRequestCancelled","url":"midas/sdk/github/schema.html#WebhookPersonalAccessTokenRequestCancelled"},{"doc":"midas/sdk/github/schema","title":"WebhookPersonalAccessTokenRequestCreated","content":"pub type WebhookPersonalAccessTokenRequestCreated {\n  WebhookPersonalAccessTokenRequestCreated(\n    enterprise: Option(Nil),\n    personal_access_token_request: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPersonalAccessTokenRequestCreated(\n  enterprise: Option(Nil),\n  personal_access_token_request: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPersonalAccessTokenRequestCreated\nmidas/sdk/github/schema WebhookPersonalAccessTokenRequestCreated","url":"midas/sdk/github/schema.html#WebhookPersonalAccessTokenRequestCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookPersonalAccessTokenRequestDenied","content":"pub type WebhookPersonalAccessTokenRequestDenied {\n  WebhookPersonalAccessTokenRequestDenied(\n    enterprise: Option(Nil),\n    personal_access_token_request: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPersonalAccessTokenRequestDenied(\n  enterprise: Option(Nil),\n  personal_access_token_request: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPersonalAccessTokenRequestDenied\nmidas/sdk/github/schema WebhookPersonalAccessTokenRequestDenied","url":"midas/sdk/github/schema.html#WebhookPersonalAccessTokenRequestDenied"},{"doc":"midas/sdk/github/schema","title":"WebhookPing","content":"pub type WebhookPing {\n  WebhookPing(\n    hook: Option(Nil),\n    zen: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    hook_id: Option(Int),\n  )\n}\n\nWebhookPing(\n  hook: Option(Nil),\n  zen: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  hook_id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPing\nmidas/sdk/github/schema WebhookPing","url":"midas/sdk/github/schema.html#WebhookPing"},{"doc":"midas/sdk/github/schema","title":"WebhookPingFormEncoded","content":"pub type WebhookPingFormEncoded {\n  WebhookPingFormEncoded(payload: Option(String))\n}\n\nWebhookPingFormEncoded(payload: Option(String))\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPingFormEncoded\nmidas/sdk/github/schema WebhookPingFormEncoded","url":"midas/sdk/github/schema.html#WebhookPingFormEncoded"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectCardConverted","content":"pub type WebhookProjectCardConverted {\n  WebhookProjectCardConverted(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    project_card: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectCardConverted(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  project_card: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectCardConverted\nmidas/sdk/github/schema WebhookProjectCardConverted","url":"midas/sdk/github/schema.html#WebhookProjectCardConverted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectCardCreated","content":"pub type WebhookProjectCardCreated {\n  WebhookProjectCardCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    project_card: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectCardCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  project_card: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectCardCreated\nmidas/sdk/github/schema WebhookProjectCardCreated","url":"midas/sdk/github/schema.html#WebhookProjectCardCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectCardDeleted","content":"pub type WebhookProjectCardDeleted {\n  WebhookProjectCardDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    project_card: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectCardDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  project_card: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectCardDeleted\nmidas/sdk/github/schema WebhookProjectCardDeleted","url":"midas/sdk/github/schema.html#WebhookProjectCardDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectCardEdited","content":"pub type WebhookProjectCardEdited {\n  WebhookProjectCardEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    project_card: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectCardEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  project_card: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectCardEdited\nmidas/sdk/github/schema WebhookProjectCardEdited","url":"midas/sdk/github/schema.html#WebhookProjectCardEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectCardMoved","content":"pub type WebhookProjectCardMoved {\n  WebhookProjectCardMoved(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    project_card: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectCardMoved(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  project_card: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectCardMoved\nmidas/sdk/github/schema WebhookProjectCardMoved","url":"midas/sdk/github/schema.html#WebhookProjectCardMoved"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectClosed","content":"pub type WebhookProjectClosed {\n  WebhookProjectClosed(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    project: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectClosed(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  project: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectClosed\nmidas/sdk/github/schema WebhookProjectClosed","url":"midas/sdk/github/schema.html#WebhookProjectClosed"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectColumnCreated","content":"pub type WebhookProjectColumnCreated {\n  WebhookProjectColumnCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    project_column: Option(Nil),\n  )\n}\n\nWebhookProjectColumnCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  project_column: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectColumnCreated\nmidas/sdk/github/schema WebhookProjectColumnCreated","url":"midas/sdk/github/schema.html#WebhookProjectColumnCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectColumnDeleted","content":"pub type WebhookProjectColumnDeleted {\n  WebhookProjectColumnDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    project_column: Option(Nil),\n  )\n}\n\nWebhookProjectColumnDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  project_column: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectColumnDeleted\nmidas/sdk/github/schema WebhookProjectColumnDeleted","url":"midas/sdk/github/schema.html#WebhookProjectColumnDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectColumnEdited","content":"pub type WebhookProjectColumnEdited {\n  WebhookProjectColumnEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    project_column: Option(Nil),\n  )\n}\n\nWebhookProjectColumnEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  project_column: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectColumnEdited\nmidas/sdk/github/schema WebhookProjectColumnEdited","url":"midas/sdk/github/schema.html#WebhookProjectColumnEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectColumnMoved","content":"pub type WebhookProjectColumnMoved {\n  WebhookProjectColumnMoved(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    project_column: Option(Nil),\n  )\n}\n\nWebhookProjectColumnMoved(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  project_column: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectColumnMoved\nmidas/sdk/github/schema WebhookProjectColumnMoved","url":"midas/sdk/github/schema.html#WebhookProjectColumnMoved"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectCreated","content":"pub type WebhookProjectCreated {\n  WebhookProjectCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    project: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  project: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectCreated\nmidas/sdk/github/schema WebhookProjectCreated","url":"midas/sdk/github/schema.html#WebhookProjectCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectDeleted","content":"pub type WebhookProjectDeleted {\n  WebhookProjectDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    project: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  project: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectDeleted\nmidas/sdk/github/schema WebhookProjectDeleted","url":"midas/sdk/github/schema.html#WebhookProjectDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectEdited","content":"pub type WebhookProjectEdited {\n  WebhookProjectEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    project: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  project: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectEdited\nmidas/sdk/github/schema WebhookProjectEdited","url":"midas/sdk/github/schema.html#WebhookProjectEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectReopened","content":"pub type WebhookProjectReopened {\n  WebhookProjectReopened(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    project: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectReopened(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  project: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectReopened\nmidas/sdk/github/schema WebhookProjectReopened","url":"midas/sdk/github/schema.html#WebhookProjectReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ItemArchived","content":"pub type WebhookProjectsV2ItemArchived {\n  WebhookProjectsV2ItemArchived(\n    changes: Option(Nil),\n    projects_v2_item: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ItemArchived(\n  changes: Option(Nil),\n  projects_v2_item: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ItemArchived\nmidas/sdk/github/schema WebhookProjectsV2ItemArchived","url":"midas/sdk/github/schema.html#WebhookProjectsV2ItemArchived"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ItemConverted","content":"pub type WebhookProjectsV2ItemConverted {\n  WebhookProjectsV2ItemConverted(\n    changes: Option(Nil),\n    projects_v2_item: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ItemConverted(\n  changes: Option(Nil),\n  projects_v2_item: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ItemConverted\nmidas/sdk/github/schema WebhookProjectsV2ItemConverted","url":"midas/sdk/github/schema.html#WebhookProjectsV2ItemConverted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ItemCreated","content":"pub type WebhookProjectsV2ItemCreated {\n  WebhookProjectsV2ItemCreated(\n    projects_v2_item: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ItemCreated(\n  projects_v2_item: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ItemCreated\nmidas/sdk/github/schema WebhookProjectsV2ItemCreated","url":"midas/sdk/github/schema.html#WebhookProjectsV2ItemCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ItemDeleted","content":"pub type WebhookProjectsV2ItemDeleted {\n  WebhookProjectsV2ItemDeleted(\n    projects_v2_item: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ItemDeleted(\n  projects_v2_item: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ItemDeleted\nmidas/sdk/github/schema WebhookProjectsV2ItemDeleted","url":"midas/sdk/github/schema.html#WebhookProjectsV2ItemDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ItemEdited","content":"pub type WebhookProjectsV2ItemEdited {\n  WebhookProjectsV2ItemEdited(\n    changes: Option(Nil),\n    projects_v2_item: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ItemEdited(\n  changes: Option(Nil),\n  projects_v2_item: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ItemEdited\nmidas/sdk/github/schema WebhookProjectsV2ItemEdited","url":"midas/sdk/github/schema.html#WebhookProjectsV2ItemEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ItemReordered","content":"pub type WebhookProjectsV2ItemReordered {\n  WebhookProjectsV2ItemReordered(\n    changes: Option(Nil),\n    projects_v2_item: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ItemReordered(\n  changes: Option(Nil),\n  projects_v2_item: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ItemReordered\nmidas/sdk/github/schema WebhookProjectsV2ItemReordered","url":"midas/sdk/github/schema.html#WebhookProjectsV2ItemReordered"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ItemRestored","content":"pub type WebhookProjectsV2ItemRestored {\n  WebhookProjectsV2ItemRestored(\n    changes: Option(Nil),\n    projects_v2_item: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ItemRestored(\n  changes: Option(Nil),\n  projects_v2_item: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ItemRestored\nmidas/sdk/github/schema WebhookProjectsV2ItemRestored","url":"midas/sdk/github/schema.html#WebhookProjectsV2ItemRestored"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ProjectClosed","content":"pub type WebhookProjectsV2ProjectClosed {\n  WebhookProjectsV2ProjectClosed(\n    projects_v2: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ProjectClosed(\n  projects_v2: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ProjectClosed\nmidas/sdk/github/schema WebhookProjectsV2ProjectClosed","url":"midas/sdk/github/schema.html#WebhookProjectsV2ProjectClosed"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ProjectCreated","content":"pub type WebhookProjectsV2ProjectCreated {\n  WebhookProjectsV2ProjectCreated(\n    projects_v2: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ProjectCreated(\n  projects_v2: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ProjectCreated\nmidas/sdk/github/schema WebhookProjectsV2ProjectCreated","url":"midas/sdk/github/schema.html#WebhookProjectsV2ProjectCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ProjectDeleted","content":"pub type WebhookProjectsV2ProjectDeleted {\n  WebhookProjectsV2ProjectDeleted(\n    projects_v2: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ProjectDeleted(\n  projects_v2: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ProjectDeleted\nmidas/sdk/github/schema WebhookProjectsV2ProjectDeleted","url":"midas/sdk/github/schema.html#WebhookProjectsV2ProjectDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ProjectEdited","content":"pub type WebhookProjectsV2ProjectEdited {\n  WebhookProjectsV2ProjectEdited(\n    projects_v2: Option(Nil),\n    changes: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ProjectEdited(\n  projects_v2: Option(Nil),\n  changes: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ProjectEdited\nmidas/sdk/github/schema WebhookProjectsV2ProjectEdited","url":"midas/sdk/github/schema.html#WebhookProjectsV2ProjectEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2ProjectReopened","content":"pub type WebhookProjectsV2ProjectReopened {\n  WebhookProjectsV2ProjectReopened(\n    projects_v2: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2ProjectReopened(\n  projects_v2: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2ProjectReopened\nmidas/sdk/github/schema WebhookProjectsV2ProjectReopened","url":"midas/sdk/github/schema.html#WebhookProjectsV2ProjectReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2StatusUpdateCreated","content":"pub type WebhookProjectsV2StatusUpdateCreated {\n  WebhookProjectsV2StatusUpdateCreated(\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    projects_v2_status_update: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2StatusUpdateCreated(\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  projects_v2_status_update: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2StatusUpdateCreated\nmidas/sdk/github/schema WebhookProjectsV2StatusUpdateCreated","url":"midas/sdk/github/schema.html#WebhookProjectsV2StatusUpdateCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2StatusUpdateDeleted","content":"pub type WebhookProjectsV2StatusUpdateDeleted {\n  WebhookProjectsV2StatusUpdateDeleted(\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    projects_v2_status_update: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2StatusUpdateDeleted(\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  projects_v2_status_update: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2StatusUpdateDeleted\nmidas/sdk/github/schema WebhookProjectsV2StatusUpdateDeleted","url":"midas/sdk/github/schema.html#WebhookProjectsV2StatusUpdateDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookProjectsV2StatusUpdateEdited","content":"pub type WebhookProjectsV2StatusUpdateEdited {\n  WebhookProjectsV2StatusUpdateEdited(\n    changes: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    projects_v2_status_update: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookProjectsV2StatusUpdateEdited(\n  changes: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  projects_v2_status_update: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookProjectsV2StatusUpdateEdited\nmidas/sdk/github/schema WebhookProjectsV2StatusUpdateEdited","url":"midas/sdk/github/schema.html#WebhookProjectsV2StatusUpdateEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookPublic","content":"pub type WebhookPublic {\n  WebhookPublic(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPublic(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPublic\nmidas/sdk/github/schema WebhookPublic","url":"midas/sdk/github/schema.html#WebhookPublic"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestAssigned","content":"pub type WebhookPullRequestAssigned {\n  WebhookPullRequestAssigned(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    assignee: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestAssigned(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  assignee: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestAssigned\nmidas/sdk/github/schema WebhookPullRequestAssigned","url":"midas/sdk/github/schema.html#WebhookPullRequestAssigned"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestAutoMergeDisabled","content":"pub type WebhookPullRequestAutoMergeDisabled {\n  WebhookPullRequestAutoMergeDisabled(\n    enterprise: Option(Nil),\n    reason: Option(String),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestAutoMergeDisabled(\n  enterprise: Option(Nil),\n  reason: Option(String),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestAutoMergeDisabled\nmidas/sdk/github/schema WebhookPullRequestAutoMergeDisabled","url":"midas/sdk/github/schema.html#WebhookPullRequestAutoMergeDisabled"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestAutoMergeEnabled","content":"pub type WebhookPullRequestAutoMergeEnabled {\n  WebhookPullRequestAutoMergeEnabled(\n    enterprise: Option(Nil),\n    reason: Option(String),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestAutoMergeEnabled(\n  enterprise: Option(Nil),\n  reason: Option(String),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestAutoMergeEnabled\nmidas/sdk/github/schema WebhookPullRequestAutoMergeEnabled","url":"midas/sdk/github/schema.html#WebhookPullRequestAutoMergeEnabled"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestClosed","content":"pub type WebhookPullRequestClosed {\n  WebhookPullRequestClosed(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestClosed(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestClosed\nmidas/sdk/github/schema WebhookPullRequestClosed","url":"midas/sdk/github/schema.html#WebhookPullRequestClosed"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestConvertedToDraft","content":"pub type WebhookPullRequestConvertedToDraft {\n  WebhookPullRequestConvertedToDraft(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestConvertedToDraft(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestConvertedToDraft\nmidas/sdk/github/schema WebhookPullRequestConvertedToDraft","url":"midas/sdk/github/schema.html#WebhookPullRequestConvertedToDraft"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestDemilestoned","content":"pub type WebhookPullRequestDemilestoned {\n  WebhookPullRequestDemilestoned(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n  )\n}\n\nWebhookPullRequestDemilestoned(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestDemilestoned\nmidas/sdk/github/schema WebhookPullRequestDemilestoned","url":"midas/sdk/github/schema.html#WebhookPullRequestDemilestoned"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestDequeued","content":"pub type WebhookPullRequestDequeued {\n  WebhookPullRequestDequeued(\n    enterprise: Option(Nil),\n    reason: Option(String),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestDequeued(\n  enterprise: Option(Nil),\n  reason: Option(String),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestDequeued\nmidas/sdk/github/schema WebhookPullRequestDequeued","url":"midas/sdk/github/schema.html#WebhookPullRequestDequeued"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestEdited","content":"pub type WebhookPullRequestEdited {\n  WebhookPullRequestEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestEdited\nmidas/sdk/github/schema WebhookPullRequestEdited","url":"midas/sdk/github/schema.html#WebhookPullRequestEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestEnqueued","content":"pub type WebhookPullRequestEnqueued {\n  WebhookPullRequestEnqueued(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestEnqueued(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestEnqueued\nmidas/sdk/github/schema WebhookPullRequestEnqueued","url":"midas/sdk/github/schema.html#WebhookPullRequestEnqueued"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestLabeled","content":"pub type WebhookPullRequestLabeled {\n  WebhookPullRequestLabeled(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestLabeled(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestLabeled\nmidas/sdk/github/schema WebhookPullRequestLabeled","url":"midas/sdk/github/schema.html#WebhookPullRequestLabeled"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestLocked","content":"pub type WebhookPullRequestLocked {\n  WebhookPullRequestLocked(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestLocked(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestLocked\nmidas/sdk/github/schema WebhookPullRequestLocked","url":"midas/sdk/github/schema.html#WebhookPullRequestLocked"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestMilestoned","content":"pub type WebhookPullRequestMilestoned {\n  WebhookPullRequestMilestoned(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    milestone: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n  )\n}\n\nWebhookPullRequestMilestoned(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  milestone: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestMilestoned\nmidas/sdk/github/schema WebhookPullRequestMilestoned","url":"midas/sdk/github/schema.html#WebhookPullRequestMilestoned"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestOpened","content":"pub type WebhookPullRequestOpened {\n  WebhookPullRequestOpened(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestOpened(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestOpened\nmidas/sdk/github/schema WebhookPullRequestOpened","url":"midas/sdk/github/schema.html#WebhookPullRequestOpened"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReadyForReview","content":"pub type WebhookPullRequestReadyForReview {\n  WebhookPullRequestReadyForReview(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestReadyForReview(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReadyForReview\nmidas/sdk/github/schema WebhookPullRequestReadyForReview","url":"midas/sdk/github/schema.html#WebhookPullRequestReadyForReview"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReopened","content":"pub type WebhookPullRequestReopened {\n  WebhookPullRequestReopened(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestReopened(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReopened\nmidas/sdk/github/schema WebhookPullRequestReopened","url":"midas/sdk/github/schema.html#WebhookPullRequestReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewCommentCreated","content":"pub type WebhookPullRequestReviewCommentCreated {\n  WebhookPullRequestReviewCommentCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewCommentCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewCommentCreated\nmidas/sdk/github/schema WebhookPullRequestReviewCommentCreated","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewCommentCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewCommentDeleted","content":"pub type WebhookPullRequestReviewCommentDeleted {\n  WebhookPullRequestReviewCommentDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewCommentDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewCommentDeleted\nmidas/sdk/github/schema WebhookPullRequestReviewCommentDeleted","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewCommentDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewCommentEdited","content":"pub type WebhookPullRequestReviewCommentEdited {\n  WebhookPullRequestReviewCommentEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    comment: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewCommentEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  comment: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewCommentEdited\nmidas/sdk/github/schema WebhookPullRequestReviewCommentEdited","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewCommentEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewDismissed","content":"pub type WebhookPullRequestReviewDismissed {\n  WebhookPullRequestReviewDismissed(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    review: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewDismissed(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  review: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewDismissed\nmidas/sdk/github/schema WebhookPullRequestReviewDismissed","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewDismissed"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewEdited","content":"pub type WebhookPullRequestReviewEdited {\n  WebhookPullRequestReviewEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    review: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  review: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewEdited\nmidas/sdk/github/schema WebhookPullRequestReviewEdited","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewRequestRemoved","content":"pub type WebhookPullRequestReviewRequestRemoved {\n  WebhookPullRequestReviewRequestRemoved\n}\n\nWebhookPullRequestReviewRequestRemoved\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewRequestRemoved\nmidas/sdk/github/schema WebhookPullRequestReviewRequestRemoved","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewRequestRemoved"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewRequested","content":"pub type WebhookPullRequestReviewRequested {\n  WebhookPullRequestReviewRequested\n}\n\nWebhookPullRequestReviewRequested\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewRequested\nmidas/sdk/github/schema WebhookPullRequestReviewRequested","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewRequested"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewSubmitted","content":"pub type WebhookPullRequestReviewSubmitted {\n  WebhookPullRequestReviewSubmitted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    review: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewSubmitted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  review: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewSubmitted\nmidas/sdk/github/schema WebhookPullRequestReviewSubmitted","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewSubmitted"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewThreadResolved","content":"pub type WebhookPullRequestReviewThreadResolved {\n  WebhookPullRequestReviewThreadResolved(\n    enterprise: Option(Nil),\n    thread: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewThreadResolved(\n  enterprise: Option(Nil),\n  thread: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewThreadResolved\nmidas/sdk/github/schema WebhookPullRequestReviewThreadResolved","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewThreadResolved"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestReviewThreadUnresolved","content":"pub type WebhookPullRequestReviewThreadUnresolved {\n  WebhookPullRequestReviewThreadUnresolved(\n    enterprise: Option(Nil),\n    thread: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestReviewThreadUnresolved(\n  enterprise: Option(Nil),\n  thread: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestReviewThreadUnresolved\nmidas/sdk/github/schema WebhookPullRequestReviewThreadUnresolved","url":"midas/sdk/github/schema.html#WebhookPullRequestReviewThreadUnresolved"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestSynchronize","content":"pub type WebhookPullRequestSynchronize {\n  WebhookPullRequestSynchronize(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    after: Option(String),\n    before: Option(String),\n  )\n}\n\nWebhookPullRequestSynchronize(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  after: Option(String),\n  before: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestSynchronize\nmidas/sdk/github/schema WebhookPullRequestSynchronize","url":"midas/sdk/github/schema.html#WebhookPullRequestSynchronize"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestUnassigned","content":"pub type WebhookPullRequestUnassigned {\n  WebhookPullRequestUnassigned(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    assignee: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestUnassigned(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  assignee: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestUnassigned\nmidas/sdk/github/schema WebhookPullRequestUnassigned","url":"midas/sdk/github/schema.html#WebhookPullRequestUnassigned"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestUnlabeled","content":"pub type WebhookPullRequestUnlabeled {\n  WebhookPullRequestUnlabeled(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    label: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestUnlabeled(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  label: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestUnlabeled\nmidas/sdk/github/schema WebhookPullRequestUnlabeled","url":"midas/sdk/github/schema.html#WebhookPullRequestUnlabeled"},{"doc":"midas/sdk/github/schema","title":"WebhookPullRequestUnlocked","content":"pub type WebhookPullRequestUnlocked {\n  WebhookPullRequestUnlocked(\n    enterprise: Option(Nil),\n    number: Option(Int),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    pull_request: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookPullRequestUnlocked(\n  enterprise: Option(Nil),\n  number: Option(Int),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  pull_request: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPullRequestUnlocked\nmidas/sdk/github/schema WebhookPullRequestUnlocked","url":"midas/sdk/github/schema.html#WebhookPullRequestUnlocked"},{"doc":"midas/sdk/github/schema","title":"WebhookPush","content":"pub type WebhookPush {\n  WebhookPush(\n    enterprise: Option(Nil),\n    compare: Option(String),\n    base_ref: Option(String),\n    pusher: Option(Nil),\n    created: Option(Bool),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    head_commit: Option(Nil),\n    deleted: Option(Bool),\n    forced: Option(Bool),\n    installation: Option(Nil),\n    after: Option(String),\n    commits: Option(Nil),\n    before: Option(String),\n  )\n}\n\nWebhookPush(\n  enterprise: Option(Nil),\n  compare: Option(String),\n  base_ref: Option(String),\n  pusher: Option(Nil),\n  created: Option(Bool),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  head_commit: Option(Nil),\n  deleted: Option(Bool),\n  forced: Option(Bool),\n  installation: Option(Nil),\n  after: Option(String),\n  commits: Option(Nil),\n  before: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookPush\nmidas/sdk/github/schema WebhookPush","url":"midas/sdk/github/schema.html#WebhookPush"},{"doc":"midas/sdk/github/schema","title":"WebhookRegistryPackagePublished","content":"pub type WebhookRegistryPackagePublished {\n  WebhookRegistryPackagePublished(\n    enterprise: Option(Nil),\n    registry_package: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRegistryPackagePublished(\n  enterprise: Option(Nil),\n  registry_package: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRegistryPackagePublished\nmidas/sdk/github/schema WebhookRegistryPackagePublished","url":"midas/sdk/github/schema.html#WebhookRegistryPackagePublished"},{"doc":"midas/sdk/github/schema","title":"WebhookRegistryPackageUpdated","content":"pub type WebhookRegistryPackageUpdated {\n  WebhookRegistryPackageUpdated(\n    enterprise: Option(Nil),\n    registry_package: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRegistryPackageUpdated(\n  enterprise: Option(Nil),\n  registry_package: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRegistryPackageUpdated\nmidas/sdk/github/schema WebhookRegistryPackageUpdated","url":"midas/sdk/github/schema.html#WebhookRegistryPackageUpdated"},{"doc":"midas/sdk/github/schema","title":"WebhookReleaseCreated","content":"pub type WebhookReleaseCreated {\n  WebhookReleaseCreated(\n    enterprise: Option(Nil),\n    release: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookReleaseCreated(\n  enterprise: Option(Nil),\n  release: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookReleaseCreated\nmidas/sdk/github/schema WebhookReleaseCreated","url":"midas/sdk/github/schema.html#WebhookReleaseCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookReleaseDeleted","content":"pub type WebhookReleaseDeleted {\n  WebhookReleaseDeleted(\n    enterprise: Option(Nil),\n    release: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookReleaseDeleted(\n  enterprise: Option(Nil),\n  release: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookReleaseDeleted\nmidas/sdk/github/schema WebhookReleaseDeleted","url":"midas/sdk/github/schema.html#WebhookReleaseDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookReleaseEdited","content":"pub type WebhookReleaseEdited {\n  WebhookReleaseEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    release: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookReleaseEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  release: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookReleaseEdited\nmidas/sdk/github/schema WebhookReleaseEdited","url":"midas/sdk/github/schema.html#WebhookReleaseEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookReleasePrereleased","content":"pub type WebhookReleasePrereleased {\n  WebhookReleasePrereleased(\n    enterprise: Option(Nil),\n    release: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookReleasePrereleased(\n  enterprise: Option(Nil),\n  release: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookReleasePrereleased\nmidas/sdk/github/schema WebhookReleasePrereleased","url":"midas/sdk/github/schema.html#WebhookReleasePrereleased"},{"doc":"midas/sdk/github/schema","title":"WebhookReleasePublished","content":"pub type WebhookReleasePublished {\n  WebhookReleasePublished(\n    enterprise: Option(Nil),\n    release: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookReleasePublished(\n  enterprise: Option(Nil),\n  release: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookReleasePublished\nmidas/sdk/github/schema WebhookReleasePublished","url":"midas/sdk/github/schema.html#WebhookReleasePublished"},{"doc":"midas/sdk/github/schema","title":"WebhookReleaseReleased","content":"pub type WebhookReleaseReleased {\n  WebhookReleaseReleased(\n    enterprise: Option(Nil),\n    release: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookReleaseReleased(\n  enterprise: Option(Nil),\n  release: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookReleaseReleased\nmidas/sdk/github/schema WebhookReleaseReleased","url":"midas/sdk/github/schema.html#WebhookReleaseReleased"},{"doc":"midas/sdk/github/schema","title":"WebhookReleaseUnpublished","content":"pub type WebhookReleaseUnpublished {\n  WebhookReleaseUnpublished(\n    enterprise: Option(Nil),\n    release: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookReleaseUnpublished(\n  enterprise: Option(Nil),\n  release: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookReleaseUnpublished\nmidas/sdk/github/schema WebhookReleaseUnpublished","url":"midas/sdk/github/schema.html#WebhookReleaseUnpublished"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryAdvisoryPublished","content":"pub type WebhookRepositoryAdvisoryPublished {\n  WebhookRepositoryAdvisoryPublished(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    repository_advisory: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryAdvisoryPublished(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  repository_advisory: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryAdvisoryPublished\nmidas/sdk/github/schema WebhookRepositoryAdvisoryPublished","url":"midas/sdk/github/schema.html#WebhookRepositoryAdvisoryPublished"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryAdvisoryReported","content":"pub type WebhookRepositoryAdvisoryReported {\n  WebhookRepositoryAdvisoryReported(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    repository_advisory: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryAdvisoryReported(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  repository_advisory: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryAdvisoryReported\nmidas/sdk/github/schema WebhookRepositoryAdvisoryReported","url":"midas/sdk/github/schema.html#WebhookRepositoryAdvisoryReported"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryArchived","content":"pub type WebhookRepositoryArchived {\n  WebhookRepositoryArchived(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryArchived(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryArchived\nmidas/sdk/github/schema WebhookRepositoryArchived","url":"midas/sdk/github/schema.html#WebhookRepositoryArchived"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryCreated","content":"pub type WebhookRepositoryCreated {\n  WebhookRepositoryCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryCreated\nmidas/sdk/github/schema WebhookRepositoryCreated","url":"midas/sdk/github/schema.html#WebhookRepositoryCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryDeleted","content":"pub type WebhookRepositoryDeleted {\n  WebhookRepositoryDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryDeleted\nmidas/sdk/github/schema WebhookRepositoryDeleted","url":"midas/sdk/github/schema.html#WebhookRepositoryDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryDispatchSample","content":"pub type WebhookRepositoryDispatchSample {\n  WebhookRepositoryDispatchSample(\n    enterprise: Option(Nil),\n    branch: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    client_payload: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryDispatchSample(\n  enterprise: Option(Nil),\n  branch: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  client_payload: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryDispatchSample\nmidas/sdk/github/schema WebhookRepositoryDispatchSample","url":"midas/sdk/github/schema.html#WebhookRepositoryDispatchSample"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryEdited","content":"pub type WebhookRepositoryEdited {\n  WebhookRepositoryEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryEdited\nmidas/sdk/github/schema WebhookRepositoryEdited","url":"midas/sdk/github/schema.html#WebhookRepositoryEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryImport","content":"pub type WebhookRepositoryImport {\n  WebhookRepositoryImport(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    status: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryImport(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  status: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryImport\nmidas/sdk/github/schema WebhookRepositoryImport","url":"midas/sdk/github/schema.html#WebhookRepositoryImport"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryPrivatized","content":"pub type WebhookRepositoryPrivatized {\n  WebhookRepositoryPrivatized(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryPrivatized(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryPrivatized\nmidas/sdk/github/schema WebhookRepositoryPrivatized","url":"midas/sdk/github/schema.html#WebhookRepositoryPrivatized"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryPublicized","content":"pub type WebhookRepositoryPublicized {\n  WebhookRepositoryPublicized(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryPublicized(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryPublicized\nmidas/sdk/github/schema WebhookRepositoryPublicized","url":"midas/sdk/github/schema.html#WebhookRepositoryPublicized"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryRenamed","content":"pub type WebhookRepositoryRenamed {\n  WebhookRepositoryRenamed(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryRenamed(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryRenamed\nmidas/sdk/github/schema WebhookRepositoryRenamed","url":"midas/sdk/github/schema.html#WebhookRepositoryRenamed"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryRulesetCreated","content":"pub type WebhookRepositoryRulesetCreated {\n  WebhookRepositoryRulesetCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    repository_ruleset: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryRulesetCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  repository_ruleset: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryRulesetCreated\nmidas/sdk/github/schema WebhookRepositoryRulesetCreated","url":"midas/sdk/github/schema.html#WebhookRepositoryRulesetCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryRulesetDeleted","content":"pub type WebhookRepositoryRulesetDeleted {\n  WebhookRepositoryRulesetDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    repository_ruleset: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryRulesetDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  repository_ruleset: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryRulesetDeleted\nmidas/sdk/github/schema WebhookRepositoryRulesetDeleted","url":"midas/sdk/github/schema.html#WebhookRepositoryRulesetDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryRulesetEdited","content":"pub type WebhookRepositoryRulesetEdited {\n  WebhookRepositoryRulesetEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    repository_ruleset: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryRulesetEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  repository_ruleset: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryRulesetEdited\nmidas/sdk/github/schema WebhookRepositoryRulesetEdited","url":"midas/sdk/github/schema.html#WebhookRepositoryRulesetEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryTransferred","content":"pub type WebhookRepositoryTransferred {\n  WebhookRepositoryTransferred(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryTransferred(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryTransferred\nmidas/sdk/github/schema WebhookRepositoryTransferred","url":"midas/sdk/github/schema.html#WebhookRepositoryTransferred"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryUnarchived","content":"pub type WebhookRepositoryUnarchived {\n  WebhookRepositoryUnarchived(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookRepositoryUnarchived(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryUnarchived\nmidas/sdk/github/schema WebhookRepositoryUnarchived","url":"midas/sdk/github/schema.html#WebhookRepositoryUnarchived"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryVulnerabilityAlertCreate","content":"pub type WebhookRepositoryVulnerabilityAlertCreate {\n  WebhookRepositoryVulnerabilityAlertCreate(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookRepositoryVulnerabilityAlertCreate(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryVulnerabilityAlertCreate\nmidas/sdk/github/schema WebhookRepositoryVulnerabilityAlertCreate","url":"midas/sdk/github/schema.html#WebhookRepositoryVulnerabilityAlertCreate"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryVulnerabilityAlertDismiss","content":"pub type WebhookRepositoryVulnerabilityAlertDismiss {\n  WebhookRepositoryVulnerabilityAlertDismiss(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookRepositoryVulnerabilityAlertDismiss(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryVulnerabilityAlertDismiss\nmidas/sdk/github/schema WebhookRepositoryVulnerabilityAlertDismiss","url":"midas/sdk/github/schema.html#WebhookRepositoryVulnerabilityAlertDismiss"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryVulnerabilityAlertReopen","content":"pub type WebhookRepositoryVulnerabilityAlertReopen {\n  WebhookRepositoryVulnerabilityAlertReopen(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookRepositoryVulnerabilityAlertReopen(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryVulnerabilityAlertReopen\nmidas/sdk/github/schema WebhookRepositoryVulnerabilityAlertReopen","url":"midas/sdk/github/schema.html#WebhookRepositoryVulnerabilityAlertReopen"},{"doc":"midas/sdk/github/schema","title":"WebhookRepositoryVulnerabilityAlertResolve","content":"pub type WebhookRepositoryVulnerabilityAlertResolve {\n  WebhookRepositoryVulnerabilityAlertResolve(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookRepositoryVulnerabilityAlertResolve(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRepositoryVulnerabilityAlertResolve\nmidas/sdk/github/schema WebhookRepositoryVulnerabilityAlertResolve","url":"midas/sdk/github/schema.html#WebhookRepositoryVulnerabilityAlertResolve"},{"doc":"midas/sdk/github/schema","title":"WebhookRubygemsMetadata","content":"pub type WebhookRubygemsMetadata {\n  WebhookRubygemsMetadata(\n    commit_oid: Option(String),\n    dependencies: Option(Nil),\n    name: Option(String),\n    readme: Option(String),\n    homepage: Option(String),\n    metadata: Option(Nil),\n    repo: Option(String),\n    platform: Option(String),\n    version_info: Option(Nil),\n    description: Option(String),\n  )\n}\n\nWebhookRubygemsMetadata(\n  commit_oid: Option(String),\n  dependencies: Option(Nil),\n  name: Option(String),\n  readme: Option(String),\n  homepage: Option(String),\n  metadata: Option(Nil),\n  repo: Option(String),\n  platform: Option(String),\n  version_info: Option(Nil),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookRubygemsMetadata\nmidas/sdk/github/schema WebhookRubygemsMetadata","url":"midas/sdk/github/schema.html#WebhookRubygemsMetadata"},{"doc":"midas/sdk/github/schema","title":"WebhookSecretScanningAlertCreated","content":"pub type WebhookSecretScanningAlertCreated {\n  WebhookSecretScanningAlertCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookSecretScanningAlertCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecretScanningAlertCreated\nmidas/sdk/github/schema WebhookSecretScanningAlertCreated","url":"midas/sdk/github/schema.html#WebhookSecretScanningAlertCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookSecretScanningAlertLocationCreated","content":"pub type WebhookSecretScanningAlertLocationCreated {\n  WebhookSecretScanningAlertLocationCreated(\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    location: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookSecretScanningAlertLocationCreated(\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  location: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecretScanningAlertLocationCreated\nmidas/sdk/github/schema WebhookSecretScanningAlertLocationCreated","url":"midas/sdk/github/schema.html#WebhookSecretScanningAlertLocationCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookSecretScanningAlertLocationCreatedFormEncoded","content":"pub type WebhookSecretScanningAlertLocationCreatedFormEncoded {\n  WebhookSecretScanningAlertLocationCreatedFormEncoded(\n    payload: Option(String),\n  )\n}\n\nWebhookSecretScanningAlertLocationCreatedFormEncoded(\n  payload: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecretScanningAlertLocationCreatedFormEncoded\nmidas/sdk/github/schema WebhookSecretScanningAlertLocationCreatedFormEncoded","url":"midas/sdk/github/schema.html#WebhookSecretScanningAlertLocationCreatedFormEncoded"},{"doc":"midas/sdk/github/schema","title":"WebhookSecretScanningAlertPubliclyLeaked","content":"pub type WebhookSecretScanningAlertPubliclyLeaked {\n  WebhookSecretScanningAlertPubliclyLeaked(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookSecretScanningAlertPubliclyLeaked(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecretScanningAlertPubliclyLeaked\nmidas/sdk/github/schema WebhookSecretScanningAlertPubliclyLeaked","url":"midas/sdk/github/schema.html#WebhookSecretScanningAlertPubliclyLeaked"},{"doc":"midas/sdk/github/schema","title":"WebhookSecretScanningAlertReopened","content":"pub type WebhookSecretScanningAlertReopened {\n  WebhookSecretScanningAlertReopened(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookSecretScanningAlertReopened(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecretScanningAlertReopened\nmidas/sdk/github/schema WebhookSecretScanningAlertReopened","url":"midas/sdk/github/schema.html#WebhookSecretScanningAlertReopened"},{"doc":"midas/sdk/github/schema","title":"WebhookSecretScanningAlertResolved","content":"pub type WebhookSecretScanningAlertResolved {\n  WebhookSecretScanningAlertResolved(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookSecretScanningAlertResolved(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecretScanningAlertResolved\nmidas/sdk/github/schema WebhookSecretScanningAlertResolved","url":"midas/sdk/github/schema.html#WebhookSecretScanningAlertResolved"},{"doc":"midas/sdk/github/schema","title":"WebhookSecretScanningAlertValidated","content":"pub type WebhookSecretScanningAlertValidated {\n  WebhookSecretScanningAlertValidated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    alert: Option(Nil),\n  )\n}\n\nWebhookSecretScanningAlertValidated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  alert: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecretScanningAlertValidated\nmidas/sdk/github/schema WebhookSecretScanningAlertValidated","url":"midas/sdk/github/schema.html#WebhookSecretScanningAlertValidated"},{"doc":"midas/sdk/github/schema","title":"WebhookSecurityAdvisoryPublished","content":"pub type WebhookSecurityAdvisoryPublished {\n  WebhookSecurityAdvisoryPublished(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    security_advisory: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSecurityAdvisoryPublished(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  security_advisory: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecurityAdvisoryPublished\nmidas/sdk/github/schema WebhookSecurityAdvisoryPublished","url":"midas/sdk/github/schema.html#WebhookSecurityAdvisoryPublished"},{"doc":"midas/sdk/github/schema","title":"WebhookSecurityAdvisoryUpdated","content":"pub type WebhookSecurityAdvisoryUpdated {\n  WebhookSecurityAdvisoryUpdated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    security_advisory: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSecurityAdvisoryUpdated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  security_advisory: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecurityAdvisoryUpdated\nmidas/sdk/github/schema WebhookSecurityAdvisoryUpdated","url":"midas/sdk/github/schema.html#WebhookSecurityAdvisoryUpdated"},{"doc":"midas/sdk/github/schema","title":"WebhookSecurityAdvisoryWithdrawn","content":"pub type WebhookSecurityAdvisoryWithdrawn {\n  WebhookSecurityAdvisoryWithdrawn(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    security_advisory: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSecurityAdvisoryWithdrawn(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  security_advisory: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecurityAdvisoryWithdrawn\nmidas/sdk/github/schema WebhookSecurityAdvisoryWithdrawn","url":"midas/sdk/github/schema.html#WebhookSecurityAdvisoryWithdrawn"},{"doc":"midas/sdk/github/schema","title":"WebhookSecurityAndAnalysis","content":"pub type WebhookSecurityAndAnalysis {\n  WebhookSecurityAndAnalysis(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSecurityAndAnalysis(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSecurityAndAnalysis\nmidas/sdk/github/schema WebhookSecurityAndAnalysis","url":"midas/sdk/github/schema.html#WebhookSecurityAndAnalysis"},{"doc":"midas/sdk/github/schema","title":"WebhookSponsorshipCancelled","content":"pub type WebhookSponsorshipCancelled {\n  WebhookSponsorshipCancelled(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    sponsorship: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSponsorshipCancelled(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  sponsorship: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSponsorshipCancelled\nmidas/sdk/github/schema WebhookSponsorshipCancelled","url":"midas/sdk/github/schema.html#WebhookSponsorshipCancelled"},{"doc":"midas/sdk/github/schema","title":"WebhookSponsorshipCreated","content":"pub type WebhookSponsorshipCreated {\n  WebhookSponsorshipCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    sponsorship: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSponsorshipCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  sponsorship: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSponsorshipCreated\nmidas/sdk/github/schema WebhookSponsorshipCreated","url":"midas/sdk/github/schema.html#WebhookSponsorshipCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookSponsorshipEdited","content":"pub type WebhookSponsorshipEdited {\n  WebhookSponsorshipEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    sponsorship: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSponsorshipEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  sponsorship: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSponsorshipEdited\nmidas/sdk/github/schema WebhookSponsorshipEdited","url":"midas/sdk/github/schema.html#WebhookSponsorshipEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookSponsorshipPendingCancellation","content":"pub type WebhookSponsorshipPendingCancellation {\n  WebhookSponsorshipPendingCancellation(\n    enterprise: Option(Nil),\n    effective_date: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    sponsorship: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSponsorshipPendingCancellation(\n  enterprise: Option(Nil),\n  effective_date: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  sponsorship: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSponsorshipPendingCancellation\nmidas/sdk/github/schema WebhookSponsorshipPendingCancellation","url":"midas/sdk/github/schema.html#WebhookSponsorshipPendingCancellation"},{"doc":"midas/sdk/github/schema","title":"WebhookSponsorshipPendingTierChange","content":"pub type WebhookSponsorshipPendingTierChange {\n  WebhookSponsorshipPendingTierChange(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    effective_date: Option(String),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    sponsorship: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSponsorshipPendingTierChange(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  effective_date: Option(String),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  sponsorship: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSponsorshipPendingTierChange\nmidas/sdk/github/schema WebhookSponsorshipPendingTierChange","url":"midas/sdk/github/schema.html#WebhookSponsorshipPendingTierChange"},{"doc":"midas/sdk/github/schema","title":"WebhookSponsorshipTierChanged","content":"pub type WebhookSponsorshipTierChanged {\n  WebhookSponsorshipTierChanged(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    sponsorship: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSponsorshipTierChanged(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  sponsorship: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSponsorshipTierChanged\nmidas/sdk/github/schema WebhookSponsorshipTierChanged","url":"midas/sdk/github/schema.html#WebhookSponsorshipTierChanged"},{"doc":"midas/sdk/github/schema","title":"WebhookStarCreated","content":"pub type WebhookStarCreated {\n  WebhookStarCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    starred_at: Option(String),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookStarCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  starred_at: Option(String),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookStarCreated\nmidas/sdk/github/schema WebhookStarCreated","url":"midas/sdk/github/schema.html#WebhookStarCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookStarDeleted","content":"pub type WebhookStarDeleted {\n  WebhookStarDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookStarDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookStarDeleted\nmidas/sdk/github/schema WebhookStarDeleted","url":"midas/sdk/github/schema.html#WebhookStarDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookStatus","content":"pub type WebhookStatus {\n  WebhookStatus(\n    target_url: Option(String),\n    enterprise: Option(Nil),\n    avatar_url: Option(String),\n    created_at: Option(String),\n    repository: Option(Nil),\n    name: Option(String),\n    sha: Option(String),\n    context: Option(String),\n    branches: Option(Nil),\n    state: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    commit: Option(Nil),\n    updated_at: Option(String),\n    installation: Option(Nil),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nWebhookStatus(\n  target_url: Option(String),\n  enterprise: Option(Nil),\n  avatar_url: Option(String),\n  created_at: Option(String),\n  repository: Option(Nil),\n  name: Option(String),\n  sha: Option(String),\n  context: Option(String),\n  branches: Option(Nil),\n  state: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  commit: Option(Nil),\n  updated_at: Option(String),\n  installation: Option(Nil),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookStatus\nmidas/sdk/github/schema WebhookStatus","url":"midas/sdk/github/schema.html#WebhookStatus"},{"doc":"midas/sdk/github/schema","title":"WebhookSubIssuesParentIssueAdded","content":"pub type WebhookSubIssuesParentIssueAdded {\n  WebhookSubIssuesParentIssueAdded(\n    sub_issue_id: Option(Float),\n    parent_issue: Option(Nil),\n    repository: Option(Nil),\n    parent_issue_repo: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    parent_issue_id: Option(Float),\n    action: Option(String),\n    sub_issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSubIssuesParentIssueAdded(\n  sub_issue_id: Option(Float),\n  parent_issue: Option(Nil),\n  repository: Option(Nil),\n  parent_issue_repo: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  parent_issue_id: Option(Float),\n  action: Option(String),\n  sub_issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSubIssuesParentIssueAdded\nmidas/sdk/github/schema WebhookSubIssuesParentIssueAdded","url":"midas/sdk/github/schema.html#WebhookSubIssuesParentIssueAdded"},{"doc":"midas/sdk/github/schema","title":"WebhookSubIssuesParentIssueRemoved","content":"pub type WebhookSubIssuesParentIssueRemoved {\n  WebhookSubIssuesParentIssueRemoved(\n    sub_issue_id: Option(Float),\n    parent_issue: Option(Nil),\n    repository: Option(Nil),\n    parent_issue_repo: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    parent_issue_id: Option(Float),\n    action: Option(String),\n    sub_issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSubIssuesParentIssueRemoved(\n  sub_issue_id: Option(Float),\n  parent_issue: Option(Nil),\n  repository: Option(Nil),\n  parent_issue_repo: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  parent_issue_id: Option(Float),\n  action: Option(String),\n  sub_issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSubIssuesParentIssueRemoved\nmidas/sdk/github/schema WebhookSubIssuesParentIssueRemoved","url":"midas/sdk/github/schema.html#WebhookSubIssuesParentIssueRemoved"},{"doc":"midas/sdk/github/schema","title":"WebhookSubIssuesSubIssueAdded","content":"pub type WebhookSubIssuesSubIssueAdded {\n  WebhookSubIssuesSubIssueAdded(\n    sub_issue_id: Option(Float),\n    parent_issue: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    parent_issue_id: Option(Float),\n    action: Option(String),\n    sub_issue_repo: Option(Nil),\n    sub_issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSubIssuesSubIssueAdded(\n  sub_issue_id: Option(Float),\n  parent_issue: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  parent_issue_id: Option(Float),\n  action: Option(String),\n  sub_issue_repo: Option(Nil),\n  sub_issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSubIssuesSubIssueAdded\nmidas/sdk/github/schema WebhookSubIssuesSubIssueAdded","url":"midas/sdk/github/schema.html#WebhookSubIssuesSubIssueAdded"},{"doc":"midas/sdk/github/schema","title":"WebhookSubIssuesSubIssueRemoved","content":"pub type WebhookSubIssuesSubIssueRemoved {\n  WebhookSubIssuesSubIssueRemoved(\n    sub_issue_id: Option(Float),\n    parent_issue: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    parent_issue_id: Option(Float),\n    action: Option(String),\n    sub_issue_repo: Option(Nil),\n    sub_issue: Option(Nil),\n    installation: Option(Nil),\n  )\n}\n\nWebhookSubIssuesSubIssueRemoved(\n  sub_issue_id: Option(Float),\n  parent_issue: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  parent_issue_id: Option(Float),\n  action: Option(String),\n  sub_issue_repo: Option(Nil),\n  sub_issue: Option(Nil),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookSubIssuesSubIssueRemoved\nmidas/sdk/github/schema WebhookSubIssuesSubIssueRemoved","url":"midas/sdk/github/schema.html#WebhookSubIssuesSubIssueRemoved"},{"doc":"midas/sdk/github/schema","title":"WebhookTeamAdd","content":"pub type WebhookTeamAdd {\n  WebhookTeamAdd(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookTeamAdd(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookTeamAdd\nmidas/sdk/github/schema WebhookTeamAdd","url":"midas/sdk/github/schema.html#WebhookTeamAdd"},{"doc":"midas/sdk/github/schema","title":"WebhookTeamAddedToRepository","content":"pub type WebhookTeamAddedToRepository {\n  WebhookTeamAddedToRepository(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookTeamAddedToRepository(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookTeamAddedToRepository\nmidas/sdk/github/schema WebhookTeamAddedToRepository","url":"midas/sdk/github/schema.html#WebhookTeamAddedToRepository"},{"doc":"midas/sdk/github/schema","title":"WebhookTeamCreated","content":"pub type WebhookTeamCreated {\n  WebhookTeamCreated(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookTeamCreated(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookTeamCreated\nmidas/sdk/github/schema WebhookTeamCreated","url":"midas/sdk/github/schema.html#WebhookTeamCreated"},{"doc":"midas/sdk/github/schema","title":"WebhookTeamDeleted","content":"pub type WebhookTeamDeleted {\n  WebhookTeamDeleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookTeamDeleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookTeamDeleted\nmidas/sdk/github/schema WebhookTeamDeleted","url":"midas/sdk/github/schema.html#WebhookTeamDeleted"},{"doc":"midas/sdk/github/schema","title":"WebhookTeamEdited","content":"pub type WebhookTeamEdited {\n  WebhookTeamEdited(\n    enterprise: Option(Nil),\n    changes: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookTeamEdited(\n  enterprise: Option(Nil),\n  changes: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookTeamEdited\nmidas/sdk/github/schema WebhookTeamEdited","url":"midas/sdk/github/schema.html#WebhookTeamEdited"},{"doc":"midas/sdk/github/schema","title":"WebhookTeamRemovedFromRepository","content":"pub type WebhookTeamRemovedFromRepository {\n  WebhookTeamRemovedFromRepository(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    team: Option(Nil),\n  )\n}\n\nWebhookTeamRemovedFromRepository(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  team: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookTeamRemovedFromRepository\nmidas/sdk/github/schema WebhookTeamRemovedFromRepository","url":"midas/sdk/github/schema.html#WebhookTeamRemovedFromRepository"},{"doc":"midas/sdk/github/schema","title":"WebhookWatchStarted","content":"pub type WebhookWatchStarted {\n  WebhookWatchStarted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n  )\n}\n\nWebhookWatchStarted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWatchStarted\nmidas/sdk/github/schema WebhookWatchStarted","url":"midas/sdk/github/schema.html#WebhookWatchStarted"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowDispatch","content":"pub type WebhookWorkflowDispatch {\n  WebhookWorkflowDispatch(\n    enterprise: Option(Nil),\n    inputs: Option(Nil),\n    repository: Option(Nil),\n    ref: Option(String),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    installation: Option(Nil),\n    workflow: Option(String),\n  )\n}\n\nWebhookWorkflowDispatch(\n  enterprise: Option(Nil),\n  inputs: Option(Nil),\n  repository: Option(Nil),\n  ref: Option(String),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  installation: Option(Nil),\n  workflow: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowDispatch\nmidas/sdk/github/schema WebhookWorkflowDispatch","url":"midas/sdk/github/schema.html#WebhookWorkflowDispatch"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowJobCompleted","content":"pub type WebhookWorkflowJobCompleted {\n  WebhookWorkflowJobCompleted(\n    enterprise: Option(Nil),\n    deployment: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow_job: Option(Nil),\n  )\n}\n\nWebhookWorkflowJobCompleted(\n  enterprise: Option(Nil),\n  deployment: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow_job: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowJobCompleted\nmidas/sdk/github/schema WebhookWorkflowJobCompleted","url":"midas/sdk/github/schema.html#WebhookWorkflowJobCompleted"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowJobInProgress","content":"pub type WebhookWorkflowJobInProgress {\n  WebhookWorkflowJobInProgress(\n    enterprise: Option(Nil),\n    deployment: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow_job: Option(Nil),\n  )\n}\n\nWebhookWorkflowJobInProgress(\n  enterprise: Option(Nil),\n  deployment: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow_job: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowJobInProgress\nmidas/sdk/github/schema WebhookWorkflowJobInProgress","url":"midas/sdk/github/schema.html#WebhookWorkflowJobInProgress"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowJobQueued","content":"pub type WebhookWorkflowJobQueued {\n  WebhookWorkflowJobQueued(\n    enterprise: Option(Nil),\n    deployment: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow_job: Option(Nil),\n  )\n}\n\nWebhookWorkflowJobQueued(\n  enterprise: Option(Nil),\n  deployment: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow_job: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowJobQueued\nmidas/sdk/github/schema WebhookWorkflowJobQueued","url":"midas/sdk/github/schema.html#WebhookWorkflowJobQueued"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowJobWaiting","content":"pub type WebhookWorkflowJobWaiting {\n  WebhookWorkflowJobWaiting(\n    enterprise: Option(Nil),\n    deployment: Option(Nil),\n    repository: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow_job: Option(Nil),\n  )\n}\n\nWebhookWorkflowJobWaiting(\n  enterprise: Option(Nil),\n  deployment: Option(Nil),\n  repository: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow_job: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowJobWaiting\nmidas/sdk/github/schema WebhookWorkflowJobWaiting","url":"midas/sdk/github/schema.html#WebhookWorkflowJobWaiting"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowRunCompleted","content":"pub type WebhookWorkflowRunCompleted {\n  WebhookWorkflowRunCompleted(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow: Option(Nil),\n  )\n}\n\nWebhookWorkflowRunCompleted(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowRunCompleted\nmidas/sdk/github/schema WebhookWorkflowRunCompleted","url":"midas/sdk/github/schema.html#WebhookWorkflowRunCompleted"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowRunInProgress","content":"pub type WebhookWorkflowRunInProgress {\n  WebhookWorkflowRunInProgress(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow: Option(Nil),\n  )\n}\n\nWebhookWorkflowRunInProgress(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowRunInProgress\nmidas/sdk/github/schema WebhookWorkflowRunInProgress","url":"midas/sdk/github/schema.html#WebhookWorkflowRunInProgress"},{"doc":"midas/sdk/github/schema","title":"WebhookWorkflowRunRequested","content":"pub type WebhookWorkflowRunRequested {\n  WebhookWorkflowRunRequested(\n    enterprise: Option(Nil),\n    repository: Option(Nil),\n    workflow_run: Option(Nil),\n    organization: Option(Nil),\n    sender: Option(Nil),\n    action: Option(String),\n    installation: Option(Nil),\n    workflow: Option(Nil),\n  )\n}\n\nWebhookWorkflowRunRequested(\n  enterprise: Option(Nil),\n  repository: Option(Nil),\n  workflow_run: Option(Nil),\n  organization: Option(Nil),\n  sender: Option(Nil),\n  action: Option(String),\n  installation: Option(Nil),\n  workflow: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhookWorkflowRunRequested\nmidas/sdk/github/schema WebhookWorkflowRunRequested","url":"midas/sdk/github/schema.html#WebhookWorkflowRunRequested"},{"doc":"midas/sdk/github/schema","title":"WebhooksAlert","content":"pub type WebhooksAlert {\n  WebhooksAlert(\n    number: Option(Int),\n    dismissed_at: Option(String),\n    created_at: Option(String),\n    ghsa_id: Option(String),\n    fix_reason: Option(String),\n    affected_package_name: Option(String),\n    fixed_in: Option(String),\n    state: Option(String),\n    affected_range: Option(String),\n    dismisser: Option(Nil),\n    external_reference: Option(String),\n    node_id: Option(String),\n    dismiss_reason: Option(String),\n    id: Option(Int),\n    external_identifier: Option(String),\n    severity: Option(String),\n    fixed_at: Option(String),\n  )\n}\n\nWebhooksAlert(\n  number: Option(Int),\n  dismissed_at: Option(String),\n  created_at: Option(String),\n  ghsa_id: Option(String),\n  fix_reason: Option(String),\n  affected_package_name: Option(String),\n  fixed_in: Option(String),\n  state: Option(String),\n  affected_range: Option(String),\n  dismisser: Option(Nil),\n  external_reference: Option(String),\n  node_id: Option(String),\n  dismiss_reason: Option(String),\n  id: Option(Int),\n  external_identifier: Option(String),\n  severity: Option(String),\n  fixed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksAlert\nmidas/sdk/github/schema WebhooksAlert","url":"midas/sdk/github/schema.html#WebhooksAlert"},{"doc":"midas/sdk/github/schema","title":"WebhooksAnswer","content":"pub type WebhooksAnswer {\n  WebhooksAnswer(\n    body: Option(String),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    child_comment_count: Option(Int),\n    author_association: Option(String),\n    discussion_id: Option(Int),\n    updated_at: Option(String),\n    node_id: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksAnswer(\n  body: Option(String),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  child_comment_count: Option(Int),\n  author_association: Option(String),\n  discussion_id: Option(Int),\n  updated_at: Option(String),\n  node_id: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksAnswer\nmidas/sdk/github/schema WebhooksAnswer","url":"midas/sdk/github/schema.html#WebhooksAnswer"},{"doc":"midas/sdk/github/schema","title":"WebhooksApprover","content":"pub type WebhooksApprover {\n  WebhooksApprover(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksApprover(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksApprover\nmidas/sdk/github/schema WebhooksApprover","url":"midas/sdk/github/schema.html#WebhooksApprover"},{"doc":"midas/sdk/github/schema","title":"WebhooksChanges","content":"pub type WebhooksChanges {\n  WebhooksChanges(body: Option(Nil))\n}\n\nWebhooksChanges(body: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksChanges\nmidas/sdk/github/schema WebhooksChanges","url":"midas/sdk/github/schema.html#WebhooksChanges"},{"doc":"midas/sdk/github/schema","title":"WebhooksChanges8","content":"pub type WebhooksChanges8 {\n  WebhooksChanges8(tier: Option(Nil))\n}\n\nWebhooksChanges8(tier: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksChanges8\nmidas/sdk/github/schema WebhooksChanges8","url":"midas/sdk/github/schema.html#WebhooksChanges8"},{"doc":"midas/sdk/github/schema","title":"WebhooksCodeScanningCommitOid","content":"pub type WebhooksCodeScanningCommitOid {\n  WebhooksCodeScanningCommitOid\n}\n\nWebhooksCodeScanningCommitOid\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksCodeScanningCommitOid\nmidas/sdk/github/schema WebhooksCodeScanningCommitOid","url":"midas/sdk/github/schema.html#WebhooksCodeScanningCommitOid"},{"doc":"midas/sdk/github/schema","title":"WebhooksCodeScanningRef","content":"pub type WebhooksCodeScanningRef {\n  WebhooksCodeScanningRef\n}\n\nWebhooksCodeScanningRef\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksCodeScanningRef\nmidas/sdk/github/schema WebhooksCodeScanningRef","url":"midas/sdk/github/schema.html#WebhooksCodeScanningRef"},{"doc":"midas/sdk/github/schema","title":"WebhooksComment","content":"pub type WebhooksComment {\n  WebhooksComment(\n    body: Option(String),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    child_comment_count: Option(Int),\n    author_association: Option(String),\n    parent_id: Option(Int),\n    discussion_id: Option(Int),\n    updated_at: Option(String),\n    node_id: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksComment(\n  body: Option(String),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  child_comment_count: Option(Int),\n  author_association: Option(String),\n  parent_id: Option(Int),\n  discussion_id: Option(Int),\n  updated_at: Option(String),\n  node_id: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksComment\nmidas/sdk/github/schema WebhooksComment","url":"midas/sdk/github/schema.html#WebhooksComment"},{"doc":"midas/sdk/github/schema","title":"WebhooksDeployKey","content":"pub type WebhooksDeployKey {\n  WebhooksDeployKey(\n    enabled: Option(Bool),\n    last_used: Option(String),\n    verified: Option(Bool),\n    created_at: Option(String),\n    url: Option(String),\n    read_only: Option(Bool),\n    added_by: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    key: Option(String),\n  )\n}\n\nWebhooksDeployKey(\n  enabled: Option(Bool),\n  last_used: Option(String),\n  verified: Option(Bool),\n  created_at: Option(String),\n  url: Option(String),\n  read_only: Option(Bool),\n  added_by: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksDeployKey\nmidas/sdk/github/schema WebhooksDeployKey","url":"midas/sdk/github/schema.html#WebhooksDeployKey"},{"doc":"midas/sdk/github/schema","title":"WebhooksDeployPusherType","content":"pub type WebhooksDeployPusherType {\n  WebhooksDeployPusherType\n}\n\nWebhooksDeployPusherType\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksDeployPusherType\nmidas/sdk/github/schema WebhooksDeployPusherType","url":"midas/sdk/github/schema.html#WebhooksDeployPusherType"},{"doc":"midas/sdk/github/schema","title":"WebhooksEffectiveDate","content":"pub type WebhooksEffectiveDate {\n  WebhooksEffectiveDate\n}\n\nWebhooksEffectiveDate\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksEffectiveDate\nmidas/sdk/github/schema WebhooksEffectiveDate","url":"midas/sdk/github/schema.html#WebhooksEffectiveDate"},{"doc":"midas/sdk/github/schema","title":"WebhooksIssue","content":"pub type WebhooksIssue {\n  WebhooksIssue(\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    closed_at: Option(String),\n    events_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    locked: Option(Bool),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    milestone: Option(Nil),\n    timeline_url: Option(String),\n    state: Option(String),\n    state_reason: Option(String),\n    comments: Option(Int),\n    pull_request: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nWebhooksIssue(\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  closed_at: Option(String),\n  events_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  locked: Option(Bool),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  milestone: Option(Nil),\n  timeline_url: Option(String),\n  state: Option(String),\n  state_reason: Option(String),\n  comments: Option(Int),\n  pull_request: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksIssue\nmidas/sdk/github/schema WebhooksIssue","url":"midas/sdk/github/schema.html#WebhooksIssue"},{"doc":"midas/sdk/github/schema","title":"WebhooksIssue2","content":"pub type WebhooksIssue2 {\n  WebhooksIssue2(\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    closed_at: Option(String),\n    events_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    locked: Option(Bool),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    labels_url: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    milestone: Option(Nil),\n    timeline_url: Option(String),\n    state: Option(String),\n    state_reason: Option(String),\n    comments: Option(Int),\n    pull_request: Option(Nil),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    repository_url: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nWebhooksIssue2(\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  closed_at: Option(String),\n  events_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  locked: Option(Bool),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  labels_url: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  milestone: Option(Nil),\n  timeline_url: Option(String),\n  state: Option(String),\n  state_reason: Option(String),\n  comments: Option(Int),\n  pull_request: Option(Nil),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  repository_url: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksIssue2\nmidas/sdk/github/schema WebhooksIssue2","url":"midas/sdk/github/schema.html#WebhooksIssue2"},{"doc":"midas/sdk/github/schema","title":"WebhooksIssueComment","content":"pub type WebhooksIssueComment {\n  WebhooksIssueComment(\n    body: Option(String),\n    issue_url: Option(String),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    author_association: Option(String),\n    url: Option(String),\n    performed_via_github_app: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksIssueComment(\n  body: Option(String),\n  issue_url: Option(String),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  author_association: Option(String),\n  url: Option(String),\n  performed_via_github_app: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksIssueComment\nmidas/sdk/github/schema WebhooksIssueComment","url":"midas/sdk/github/schema.html#WebhooksIssueComment"},{"doc":"midas/sdk/github/schema","title":"WebhooksLabel","content":"pub type WebhooksLabel {\n  WebhooksLabel(\n    default: Option(Bool),\n    color: Option(String),\n    name: Option(String),\n    url: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nWebhooksLabel(\n  default: Option(Bool),\n  color: Option(String),\n  name: Option(String),\n  url: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksLabel\nmidas/sdk/github/schema WebhooksLabel","url":"midas/sdk/github/schema.html#WebhooksLabel"},{"doc":"midas/sdk/github/schema","title":"WebhooksMarketplacePurchase","content":"pub type WebhooksMarketplacePurchase {\n  WebhooksMarketplacePurchase(\n    billing_cycle: Option(String),\n    on_free_trial: Option(Bool),\n    plan: Option(Nil),\n    free_trial_ends_on: Option(String),\n    account: Option(Nil),\n    unit_count: Option(Int),\n    next_billing_date: Option(String),\n  )\n}\n\nWebhooksMarketplacePurchase(\n  billing_cycle: Option(String),\n  on_free_trial: Option(Bool),\n  plan: Option(Nil),\n  free_trial_ends_on: Option(String),\n  account: Option(Nil),\n  unit_count: Option(Int),\n  next_billing_date: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksMarketplacePurchase\nmidas/sdk/github/schema WebhooksMarketplacePurchase","url":"midas/sdk/github/schema.html#WebhooksMarketplacePurchase"},{"doc":"midas/sdk/github/schema","title":"WebhooksMembership","content":"pub type WebhooksMembership {\n  WebhooksMembership(\n    organization_url: Option(String),\n    user: Option(Nil),\n    url: Option(String),\n    state: Option(String),\n    role: Option(String),\n  )\n}\n\nWebhooksMembership(\n  organization_url: Option(String),\n  user: Option(Nil),\n  url: Option(String),\n  state: Option(String),\n  role: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksMembership\nmidas/sdk/github/schema WebhooksMembership","url":"midas/sdk/github/schema.html#WebhooksMembership"},{"doc":"midas/sdk/github/schema","title":"WebhooksMilestone","content":"pub type WebhooksMilestone {\n  WebhooksMilestone(\n    closed_at: Option(String),\n    number: Option(Int),\n    due_on: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    closed_issues: Option(Int),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n  )\n}\n\nWebhooksMilestone(\n  closed_at: Option(String),\n  number: Option(Int),\n  due_on: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  closed_issues: Option(Int),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksMilestone\nmidas/sdk/github/schema WebhooksMilestone","url":"midas/sdk/github/schema.html#WebhooksMilestone"},{"doc":"midas/sdk/github/schema","title":"WebhooksMilestone3","content":"pub type WebhooksMilestone3 {\n  WebhooksMilestone3(\n    closed_at: Option(String),\n    number: Option(Int),\n    due_on: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    closed_issues: Option(Int),\n    labels_url: Option(String),\n    url: Option(String),\n    open_issues: Option(Int),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    title: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    description: Option(String),\n  )\n}\n\nWebhooksMilestone3(\n  closed_at: Option(String),\n  number: Option(Int),\n  due_on: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  closed_issues: Option(Int),\n  labels_url: Option(String),\n  url: Option(String),\n  open_issues: Option(Int),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  title: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksMilestone3\nmidas/sdk/github/schema WebhooksMilestone3","url":"midas/sdk/github/schema.html#WebhooksMilestone3"},{"doc":"midas/sdk/github/schema","title":"WebhooksNullableString","content":"pub type WebhooksNullableString {\n  WebhooksNullableString\n}\n\nWebhooksNullableString\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksNullableString\nmidas/sdk/github/schema WebhooksNullableString","url":"midas/sdk/github/schema.html#WebhooksNullableString"},{"doc":"midas/sdk/github/schema","title":"WebhooksNumber","content":"pub type WebhooksNumber {\n  WebhooksNumber\n}\n\nWebhooksNumber\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksNumber\nmidas/sdk/github/schema WebhooksNumber","url":"midas/sdk/github/schema.html#WebhooksNumber"},{"doc":"midas/sdk/github/schema","title":"WebhooksPreviousMarketplacePurchase","content":"pub type WebhooksPreviousMarketplacePurchase {\n  WebhooksPreviousMarketplacePurchase(\n    billing_cycle: Option(String),\n    on_free_trial: Option(Bool),\n    plan: Option(Nil),\n    account: Option(Nil),\n    unit_count: Option(Int),\n    next_billing_date: Option(String),\n  )\n}\n\nWebhooksPreviousMarketplacePurchase(\n  billing_cycle: Option(String),\n  on_free_trial: Option(Bool),\n  plan: Option(Nil),\n  account: Option(Nil),\n  unit_count: Option(Int),\n  next_billing_date: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksPreviousMarketplacePurchase\nmidas/sdk/github/schema WebhooksPreviousMarketplacePurchase","url":"midas/sdk/github/schema.html#WebhooksPreviousMarketplacePurchase"},{"doc":"midas/sdk/github/schema","title":"WebhooksProject","content":"pub type WebhooksProject {\n  WebhooksProject(\n    body: Option(String),\n    owner_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    creator: Option(Nil),\n    columns_url: Option(String),\n    url: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksProject(\n  body: Option(String),\n  owner_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  creator: Option(Nil),\n  columns_url: Option(String),\n  url: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksProject\nmidas/sdk/github/schema WebhooksProject","url":"midas/sdk/github/schema.html#WebhooksProject"},{"doc":"midas/sdk/github/schema","title":"WebhooksProjectCard","content":"pub type WebhooksProjectCard {\n  WebhooksProjectCard(\n    archived: Option(Bool),\n    column_id: Option(Int),\n    column_url: Option(String),\n    content_url: Option(String),\n    project_url: Option(String),\n    created_at: Option(String),\n    creator: Option(Nil),\n    url: Option(String),\n    note: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    after_id: Option(Int),\n  )\n}\n\nWebhooksProjectCard(\n  archived: Option(Bool),\n  column_id: Option(Int),\n  column_url: Option(String),\n  content_url: Option(String),\n  project_url: Option(String),\n  created_at: Option(String),\n  creator: Option(Nil),\n  url: Option(String),\n  note: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  after_id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksProjectCard\nmidas/sdk/github/schema WebhooksProjectCard","url":"midas/sdk/github/schema.html#WebhooksProjectCard"},{"doc":"midas/sdk/github/schema","title":"WebhooksProjectChanges","content":"pub type WebhooksProjectChanges {\n  WebhooksProjectChanges(archived_at: Option(Nil))\n}\n\nWebhooksProjectChanges(archived_at: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksProjectChanges\nmidas/sdk/github/schema WebhooksProjectChanges","url":"midas/sdk/github/schema.html#WebhooksProjectChanges"},{"doc":"midas/sdk/github/schema","title":"WebhooksProjectColumn","content":"pub type WebhooksProjectColumn {\n  WebhooksProjectColumn(\n    project_url: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    cards_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    after_id: Option(Int),\n  )\n}\n\nWebhooksProjectColumn(\n  project_url: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  cards_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  after_id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksProjectColumn\nmidas/sdk/github/schema WebhooksProjectColumn","url":"midas/sdk/github/schema.html#WebhooksProjectColumn"},{"doc":"midas/sdk/github/schema","title":"WebhooksPullRequest5","content":"pub type WebhooksPullRequest5 {\n  WebhooksPullRequest5(\n    head: Option(Nil),\n    draft: Option(Bool),\n    body: Option(String),\n    assignees: Option(Nil),\n    comments_url: Option(String),\n    mergeable_state: Option(String),\n    requested_teams: Option(Nil),\n    deletions: Option(Int),\n    merged_at: Option(String),\n    closed_at: Option(String),\n    review_comment_url: Option(String),\n    auto_merge: Option(Nil),\n    issue_url: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    merged_by: Option(Nil),\n    locked: Option(Bool),\n    merge_commit_sha: Option(String),\n    review_comments_url: Option(String),\n    user: Option(Nil),\n    commits_url: Option(String),\n    changed_files: Option(Int),\n    merged: Option(Bool),\n    author_association: Option(String),\n    url: Option(String),\n    assignee: Option(Nil),\n    statuses_url: Option(String),\n    milestone: Option(Nil),\n    maintainer_can_modify: Option(Bool),\n    state: Option(String),\n    base_: Option(Nil),\n    mergeable: Option(Bool),\n    comments: Option(Int),\n    diff_url: Option(String),\n    additions: Option(Int),\n    updated_at: Option(String),\n    node_id: Option(String),\n    patch_url: Option(String),\n    title: Option(String),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n    review_comments: Option(Int),\n    commits: Option(Int),\n    requested_reviewers: Option(Nil),\n    rebaseable: Option(Bool),\n    active_lock_reason: Option(String),\n    labels: Option(Nil),\n  )\n}\n\nWebhooksPullRequest5(\n  head: Option(Nil),\n  draft: Option(Bool),\n  body: Option(String),\n  assignees: Option(Nil),\n  comments_url: Option(String),\n  mergeable_state: Option(String),\n  requested_teams: Option(Nil),\n  deletions: Option(Int),\n  merged_at: Option(String),\n  closed_at: Option(String),\n  review_comment_url: Option(String),\n  auto_merge: Option(Nil),\n  issue_url: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  merged_by: Option(Nil),\n  locked: Option(Bool),\n  merge_commit_sha: Option(String),\n  review_comments_url: Option(String),\n  user: Option(Nil),\n  commits_url: Option(String),\n  changed_files: Option(Int),\n  merged: Option(Bool),\n  author_association: Option(String),\n  url: Option(String),\n  assignee: Option(Nil),\n  statuses_url: Option(String),\n  milestone: Option(Nil),\n  maintainer_can_modify: Option(Bool),\n  state: Option(String),\n  base_: Option(Nil),\n  mergeable: Option(Bool),\n  comments: Option(Int),\n  diff_url: Option(String),\n  additions: Option(Int),\n  updated_at: Option(String),\n  node_id: Option(String),\n  patch_url: Option(String),\n  title: Option(String),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n  review_comments: Option(Int),\n  commits: Option(Int),\n  requested_reviewers: Option(Nil),\n  rebaseable: Option(Bool),\n  active_lock_reason: Option(String),\n  labels: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksPullRequest5\nmidas/sdk/github/schema WebhooksPullRequest5","url":"midas/sdk/github/schema.html#WebhooksPullRequest5"},{"doc":"midas/sdk/github/schema","title":"WebhooksRef0","content":"pub type WebhooksRef0 {\n  WebhooksRef0\n}\n\nWebhooksRef0\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksRef0\nmidas/sdk/github/schema WebhooksRef0","url":"midas/sdk/github/schema.html#WebhooksRef0"},{"doc":"midas/sdk/github/schema","title":"WebhooksRelease","content":"pub type WebhooksRelease {\n  WebhooksRelease(\n    draft: Option(Bool),\n    body: Option(String),\n    assets: Option(Nil),\n    prerelease: Option(Bool),\n    published_at: Option(String),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    author: Option(Nil),\n    name: Option(String),\n    url: Option(String),\n    tag_name: Option(String),\n    zipball_url: Option(String),\n    upload_url: Option(String),\n    assets_url: Option(String),\n    tarball_url: Option(String),\n    node_id: Option(String),\n    discussion_url: Option(String),\n    target_commitish: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksRelease(\n  draft: Option(Bool),\n  body: Option(String),\n  assets: Option(Nil),\n  prerelease: Option(Bool),\n  published_at: Option(String),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  author: Option(Nil),\n  name: Option(String),\n  url: Option(String),\n  tag_name: Option(String),\n  zipball_url: Option(String),\n  upload_url: Option(String),\n  assets_url: Option(String),\n  tarball_url: Option(String),\n  node_id: Option(String),\n  discussion_url: Option(String),\n  target_commitish: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksRelease\nmidas/sdk/github/schema WebhooksRelease","url":"midas/sdk/github/schema.html#WebhooksRelease"},{"doc":"midas/sdk/github/schema","title":"WebhooksRelease1","content":"pub type WebhooksRelease1 {\n  WebhooksRelease1(\n    draft: Option(Bool),\n    body: Option(String),\n    assets: Option(Nil),\n    prerelease: Option(Bool),\n    published_at: Option(String),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    author: Option(Nil),\n    name: Option(String),\n    url: Option(String),\n    tag_name: Option(String),\n    zipball_url: Option(String),\n    upload_url: Option(String),\n    assets_url: Option(String),\n    tarball_url: Option(String),\n    node_id: Option(String),\n    discussion_url: Option(String),\n    target_commitish: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksRelease1(\n  draft: Option(Bool),\n  body: Option(String),\n  assets: Option(Nil),\n  prerelease: Option(Bool),\n  published_at: Option(String),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  author: Option(Nil),\n  name: Option(String),\n  url: Option(String),\n  tag_name: Option(String),\n  zipball_url: Option(String),\n  upload_url: Option(String),\n  assets_url: Option(String),\n  tarball_url: Option(String),\n  node_id: Option(String),\n  discussion_url: Option(String),\n  target_commitish: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksRelease1\nmidas/sdk/github/schema WebhooksRelease1","url":"midas/sdk/github/schema.html#WebhooksRelease1"},{"doc":"midas/sdk/github/schema","title":"WebhooksRepositories","content":"pub type WebhooksRepositories {\n  WebhooksRepositories\n}\n\nWebhooksRepositories\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksRepositories\nmidas/sdk/github/schema WebhooksRepositories","url":"midas/sdk/github/schema.html#WebhooksRepositories"},{"doc":"midas/sdk/github/schema","title":"WebhooksRepositoriesAdded","content":"pub type WebhooksRepositoriesAdded {\n  WebhooksRepositoriesAdded\n}\n\nWebhooksRepositoriesAdded\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksRepositoriesAdded\nmidas/sdk/github/schema WebhooksRepositoriesAdded","url":"midas/sdk/github/schema.html#WebhooksRepositoriesAdded"},{"doc":"midas/sdk/github/schema","title":"WebhooksRepositorySelection","content":"pub type WebhooksRepositorySelection {\n  WebhooksRepositorySelection\n}\n\nWebhooksRepositorySelection\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksRepositorySelection\nmidas/sdk/github/schema WebhooksRepositorySelection","url":"midas/sdk/github/schema.html#WebhooksRepositorySelection"},{"doc":"midas/sdk/github/schema","title":"WebhooksReview","content":"pub type WebhooksReview {\n  WebhooksReview(\n    body: Option(String),\n    commit_id: Option(String),\n    pull_request_url: Option(String),\n    user: Option(Nil),\n    author_association: Option(String),\n    state: Option(String),\n    submitted_at: Option(String),\n    node_id: Option(String),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksReview(\n  body: Option(String),\n  commit_id: Option(String),\n  pull_request_url: Option(String),\n  user: Option(Nil),\n  author_association: Option(String),\n  state: Option(String),\n  submitted_at: Option(String),\n  node_id: Option(String),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksReview\nmidas/sdk/github/schema WebhooksReview","url":"midas/sdk/github/schema.html#WebhooksReview"},{"doc":"midas/sdk/github/schema","title":"WebhooksReviewComment","content":"pub type WebhooksReviewComment {\n  WebhooksReviewComment(\n    body: Option(String),\n    original_line: Option(Int),\n    commit_id: Option(String),\n    diff_hunk: Option(String),\n    path_: Option(String),\n    pull_request_url: Option(String),\n    position: Option(Int),\n    created_at: Option(String),\n    reactions: Option(Nil),\n    user: Option(Nil),\n    subject_type: Option(String),\n    author_association: Option(String),\n    url: Option(String),\n    in_reply_to_id: Option(Int),\n    start_line: Option(Int),\n    start_side: Option(String),\n    line: Option(Int),\n    original_commit_id: Option(String),\n    side: Option(String),\n    updated_at: Option(String),\n    original_position: Option(Int),\n    node_id: Option(String),\n    pull_request_review_id: Option(Int),\n    links: Option(Nil),\n    id: Option(Int),\n    html_url: Option(String),\n    original_start_line: Option(Int),\n  )\n}\n\nWebhooksReviewComment(\n  body: Option(String),\n  original_line: Option(Int),\n  commit_id: Option(String),\n  diff_hunk: Option(String),\n  path_: Option(String),\n  pull_request_url: Option(String),\n  position: Option(Int),\n  created_at: Option(String),\n  reactions: Option(Nil),\n  user: Option(Nil),\n  subject_type: Option(String),\n  author_association: Option(String),\n  url: Option(String),\n  in_reply_to_id: Option(Int),\n  start_line: Option(Int),\n  start_side: Option(String),\n  line: Option(Int),\n  original_commit_id: Option(String),\n  side: Option(String),\n  updated_at: Option(String),\n  original_position: Option(Int),\n  node_id: Option(String),\n  pull_request_review_id: Option(Int),\n  links: Option(Nil),\n  id: Option(Int),\n  html_url: Option(String),\n  original_start_line: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksReviewComment\nmidas/sdk/github/schema WebhooksReviewComment","url":"midas/sdk/github/schema.html#WebhooksReviewComment"},{"doc":"midas/sdk/github/schema","title":"WebhooksReviewers","content":"pub type WebhooksReviewers {\n  WebhooksReviewers\n}\n\nWebhooksReviewers\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksReviewers\nmidas/sdk/github/schema WebhooksReviewers","url":"midas/sdk/github/schema.html#WebhooksReviewers"},{"doc":"midas/sdk/github/schema","title":"WebhooksRule","content":"pub type WebhooksRule {\n  WebhooksRule(\n    signature_requirement_enforcement_level: Option(String),\n    strict_required_status_checks_policy: Option(Bool),\n    linear_history_requirement_enforcement_level: Option(String),\n    authorized_actors_only: Option(Bool),\n    created_at: Option(String),\n    create_protected: Option(Bool),\n    name: Option(String),\n    required_conversation_resolution_level: Option(String),\n    merge_queue_enforcement_level: Option(String),\n    repository_id: Option(Int),\n    ignore_approvals_from_contributors: Option(Bool),\n    admin_enforced: Option(Bool),\n    required_deployments_enforcement_level: Option(String),\n    allow_deletions_enforcement_level: Option(String),\n    lock_allows_fork_sync: Option(Bool),\n    updated_at: Option(String),\n    pull_request_reviews_enforcement_level: Option(String),\n    required_status_checks: Option(List(String)),\n    allow_force_pushes_enforcement_level: Option(String),\n    require_last_push_approval: Option(Bool),\n    authorized_actor_names: Option(List(String)),\n    dismiss_stale_reviews_on_push: Option(Bool),\n    id: Option(Int),\n    lock_branch_enforcement_level: Option(String),\n    require_code_owner_review: Option(Bool),\n    required_approving_review_count: Option(Int),\n    required_status_checks_enforcement_level: Option(String),\n    authorized_dismissal_actors_only: Option(Bool),\n  )\n}\n\nWebhooksRule(\n  signature_requirement_enforcement_level: Option(String),\n  strict_required_status_checks_policy: Option(Bool),\n  linear_history_requirement_enforcement_level: Option(String),\n  authorized_actors_only: Option(Bool),\n  created_at: Option(String),\n  create_protected: Option(Bool),\n  name: Option(String),\n  required_conversation_resolution_level: Option(String),\n  merge_queue_enforcement_level: Option(String),\n  repository_id: Option(Int),\n  ignore_approvals_from_contributors: Option(Bool),\n  admin_enforced: Option(Bool),\n  required_deployments_enforcement_level: Option(String),\n  allow_deletions_enforcement_level: Option(String),\n  lock_allows_fork_sync: Option(Bool),\n  updated_at: Option(String),\n  pull_request_reviews_enforcement_level: Option(String),\n  required_status_checks: Option(List(String)),\n  allow_force_pushes_enforcement_level: Option(String),\n  require_last_push_approval: Option(Bool),\n  authorized_actor_names: Option(List(String)),\n  dismiss_stale_reviews_on_push: Option(Bool),\n  id: Option(Int),\n  lock_branch_enforcement_level: Option(String),\n  require_code_owner_review: Option(Bool),\n  required_approving_review_count: Option(Int),\n  required_status_checks_enforcement_level: Option(String),\n  authorized_dismissal_actors_only: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksRule\nmidas/sdk/github/schema WebhooksRule","url":"midas/sdk/github/schema.html#WebhooksRule"},{"doc":"midas/sdk/github/schema","title":"WebhooksSecurityAdvisory","content":"pub type WebhooksSecurityAdvisory {\n  WebhooksSecurityAdvisory(\n    cwes: Option(Nil),\n    published_at: Option(String),\n    summary: Option(String),\n    cvss_severities: Option(Nil),\n    references: Option(Nil),\n    identifiers: Option(Nil),\n    ghsa_id: Option(String),\n    withdrawn_at: Option(String),\n    cvss: Option(Nil),\n    updated_at: Option(String),\n    vulnerabilities: Option(Nil),\n    description: Option(String),\n    severity: Option(String),\n  )\n}\n\nWebhooksSecurityAdvisory(\n  cwes: Option(Nil),\n  published_at: Option(String),\n  summary: Option(String),\n  cvss_severities: Option(Nil),\n  references: Option(Nil),\n  identifiers: Option(Nil),\n  ghsa_id: Option(String),\n  withdrawn_at: Option(String),\n  cvss: Option(Nil),\n  updated_at: Option(String),\n  vulnerabilities: Option(Nil),\n  description: Option(String),\n  severity: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksSecurityAdvisory\nmidas/sdk/github/schema WebhooksSecurityAdvisory","url":"midas/sdk/github/schema.html#WebhooksSecurityAdvisory"},{"doc":"midas/sdk/github/schema","title":"WebhooksSponsorship","content":"pub type WebhooksSponsorship {\n  WebhooksSponsorship(\n    tier: Option(Nil),\n    created_at: Option(String),\n    privacy_level: Option(String),\n    sponsorable: Option(Nil),\n    node_id: Option(String),\n    maintainer: Option(Nil),\n    sponsor: Option(Nil),\n  )\n}\n\nWebhooksSponsorship(\n  tier: Option(Nil),\n  created_at: Option(String),\n  privacy_level: Option(String),\n  sponsorable: Option(Nil),\n  node_id: Option(String),\n  maintainer: Option(Nil),\n  sponsor: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksSponsorship\nmidas/sdk/github/schema WebhooksSponsorship","url":"midas/sdk/github/schema.html#WebhooksSponsorship"},{"doc":"midas/sdk/github/schema","title":"WebhooksTeam","content":"pub type WebhooksTeam {\n  WebhooksTeam(\n    privacy: Option(String),\n    members_url: Option(String),\n    parent: Option(Nil),\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    permission: Option(String),\n    node_id: Option(String),\n    repositories_url: Option(String),\n    deleted: Option(Bool),\n    id: Option(Int),\n    html_url: Option(String),\n    notification_setting: Option(String),\n    description: Option(String),\n  )\n}\n\nWebhooksTeam(\n  privacy: Option(String),\n  members_url: Option(String),\n  parent: Option(Nil),\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  permission: Option(String),\n  node_id: Option(String),\n  repositories_url: Option(String),\n  deleted: Option(Bool),\n  id: Option(Int),\n  html_url: Option(String),\n  notification_setting: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksTeam\nmidas/sdk/github/schema WebhooksTeam","url":"midas/sdk/github/schema.html#WebhooksTeam"},{"doc":"midas/sdk/github/schema","title":"WebhooksTeam1","content":"pub type WebhooksTeam1 {\n  WebhooksTeam1(\n    privacy: Option(String),\n    members_url: Option(String),\n    parent: Option(Nil),\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    permission: Option(String),\n    node_id: Option(String),\n    repositories_url: Option(String),\n    deleted: Option(Bool),\n    id: Option(Int),\n    html_url: Option(String),\n    notification_setting: Option(String),\n    description: Option(String),\n  )\n}\n\nWebhooksTeam1(\n  privacy: Option(String),\n  members_url: Option(String),\n  parent: Option(Nil),\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  permission: Option(String),\n  node_id: Option(String),\n  repositories_url: Option(String),\n  deleted: Option(Bool),\n  id: Option(Int),\n  html_url: Option(String),\n  notification_setting: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksTeam1\nmidas/sdk/github/schema WebhooksTeam1","url":"midas/sdk/github/schema.html#WebhooksTeam1"},{"doc":"midas/sdk/github/schema","title":"WebhooksUser","content":"pub type WebhooksUser {\n  WebhooksUser(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    deleted: Option(Bool),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nWebhooksUser(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  deleted: Option(Bool),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksUser\nmidas/sdk/github/schema WebhooksUser","url":"midas/sdk/github/schema.html#WebhooksUser"},{"doc":"midas/sdk/github/schema","title":"WebhooksUserMannequin","content":"pub type WebhooksUserMannequin {\n  WebhooksUserMannequin(\n    user_view_type: Option(String),\n    gists_url: Option(String),\n    following_url: Option(String),\n    followers_url: Option(String),\n    subscriptions_url: Option(String),\n    received_events_url: Option(String),\n    events_url: Option(String),\n    avatar_url: Option(String),\n    login: Option(String),\n    name: Option(String),\n    url: Option(String),\n    starred_url: Option(String),\n    organizations_url: Option(String),\n    repos_url: Option(String),\n    gravatar_id: Option(String),\n    site_admin: Option(Bool),\n    node_id: Option(String),\n    deleted: Option(Bool),\n    type_: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n    email: Option(String),\n  )\n}\n\nWebhooksUserMannequin(\n  user_view_type: Option(String),\n  gists_url: Option(String),\n  following_url: Option(String),\n  followers_url: Option(String),\n  subscriptions_url: Option(String),\n  received_events_url: Option(String),\n  events_url: Option(String),\n  avatar_url: Option(String),\n  login: Option(String),\n  name: Option(String),\n  url: Option(String),\n  starred_url: Option(String),\n  organizations_url: Option(String),\n  repos_url: Option(String),\n  gravatar_id: Option(String),\n  site_admin: Option(Bool),\n  node_id: Option(String),\n  deleted: Option(Bool),\n  type_: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksUserMannequin\nmidas/sdk/github/schema WebhooksUserMannequin","url":"midas/sdk/github/schema.html#WebhooksUserMannequin"},{"doc":"midas/sdk/github/schema","title":"WebhooksWorkflow","content":"pub type WebhooksWorkflow {\n  WebhooksWorkflow(\n    path_: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    state: Option(String),\n    badge_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksWorkflow(\n  path_: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  state: Option(String),\n  badge_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksWorkflow\nmidas/sdk/github/schema WebhooksWorkflow","url":"midas/sdk/github/schema.html#WebhooksWorkflow"},{"doc":"midas/sdk/github/schema","title":"WebhooksWorkflowJobRun","content":"pub type WebhooksWorkflowJobRun {\n  WebhooksWorkflowJobRun(\n    created_at: Option(String),\n    status: Option(String),\n    environment: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWebhooksWorkflowJobRun(\n  created_at: Option(String),\n  status: Option(String),\n  environment: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WebhooksWorkflowJobRun\nmidas/sdk/github/schema WebhooksWorkflowJobRun","url":"midas/sdk/github/schema.html#WebhooksWorkflowJobRun"},{"doc":"midas/sdk/github/schema","title":"Workflow","content":"pub type Workflow {\n  Workflow(\n    path_: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    url: Option(String),\n    state: Option(String),\n    badge_url: Option(String),\n    updated_at: Option(String),\n    node_id: Option(String),\n    deleted_at: Option(String),\n    id: Option(Int),\n    html_url: Option(String),\n  )\n}\n\nWorkflow(\n  path_: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  url: Option(String),\n  state: Option(String),\n  badge_url: Option(String),\n  updated_at: Option(String),\n  node_id: Option(String),\n  deleted_at: Option(String),\n  id: Option(Int),\n  html_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.Workflow\nmidas/sdk/github/schema Workflow","url":"midas/sdk/github/schema.html#Workflow"},{"doc":"midas/sdk/github/schema","title":"WorkflowRun","content":"pub type WorkflowRun {\n  WorkflowRun(\n    triggering_actor: Option(Nil),\n    head_branch: Option(String),\n    path_: Option(String),\n    run_started_at: Option(String),\n    jobs_url: Option(String),\n    rerun_url: Option(String),\n    head_repository: Option(Nil),\n    created_at: Option(String),\n    cancel_url: Option(String),\n    repository: Option(Nil),\n    name: Option(String),\n    head_sha: Option(String),\n    referenced_workflows: Option(Nil),\n    workflow_url: Option(String),\n    url: Option(String),\n    artifacts_url: Option(String),\n    check_suite_url: Option(String),\n    head_repository_id: Option(Int),\n    status: Option(String),\n    actor: Option(Nil),\n    previous_attempt_url: Option(String),\n    head_commit: Option(Nil),\n    updated_at: Option(String),\n    node_id: Option(String),\n    check_suite_id: Option(Int),\n    run_attempt: Option(Int),\n    event: Option(String),\n    check_suite_node_id: Option(String),\n    display_title: Option(String),\n    id: Option(Int),\n    workflow_id: Option(Int),\n    html_url: Option(String),\n    run_number: Option(Int),\n    pull_requests: Option(Nil),\n    conclusion: Option(String),\n    logs_url: Option(String),\n  )\n}\n\nWorkflowRun(\n  triggering_actor: Option(Nil),\n  head_branch: Option(String),\n  path_: Option(String),\n  run_started_at: Option(String),\n  jobs_url: Option(String),\n  rerun_url: Option(String),\n  head_repository: Option(Nil),\n  created_at: Option(String),\n  cancel_url: Option(String),\n  repository: Option(Nil),\n  name: Option(String),\n  head_sha: Option(String),\n  referenced_workflows: Option(Nil),\n  workflow_url: Option(String),\n  url: Option(String),\n  artifacts_url: Option(String),\n  check_suite_url: Option(String),\n  head_repository_id: Option(Int),\n  status: Option(String),\n  actor: Option(Nil),\n  previous_attempt_url: Option(String),\n  head_commit: Option(Nil),\n  updated_at: Option(String),\n  node_id: Option(String),\n  check_suite_id: Option(Int),\n  run_attempt: Option(Int),\n  event: Option(String),\n  check_suite_node_id: Option(String),\n  display_title: Option(String),\n  id: Option(Int),\n  workflow_id: Option(Int),\n  html_url: Option(String),\n  run_number: Option(Int),\n  pull_requests: Option(Nil),\n  conclusion: Option(String),\n  logs_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WorkflowRun\nmidas/sdk/github/schema WorkflowRun","url":"midas/sdk/github/schema.html#WorkflowRun"},{"doc":"midas/sdk/github/schema","title":"WorkflowRunUsage","content":"pub type WorkflowRunUsage {\n  WorkflowRunUsage(\n    billable: Option(Nil),\n    run_duration_ms: Option(Int),\n  )\n}\n\nWorkflowRunUsage(\n  billable: Option(Nil),\n  run_duration_ms: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/github/schema.WorkflowRunUsage\nmidas/sdk/github/schema WorkflowRunUsage","url":"midas/sdk/github/schema.html#WorkflowRunUsage"},{"doc":"midas/sdk/github/schema","title":"WorkflowUsage","content":"pub type WorkflowUsage {\n  WorkflowUsage(billable: Option(Nil))\n}\n\nWorkflowUsage(billable: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/github/schema.WorkflowUsage\nmidas/sdk/github/schema WorkflowUsage","url":"midas/sdk/github/schema.html#WorkflowUsage"},{"doc":"midas/sdk/github/schema","title":"actions_billing_usage","content":"pub const actions_billing_usage: ActionsBillingUsage\n\nSynonyms:\nmidas/sdk/github/schema.actions_billing_usage\nmidas/sdk/github/schema actions_billing_usage","url":"midas/sdk/github/schema.html#actions_billing_usage"},{"doc":"midas/sdk/github/schema","title":"actions_cache_list","content":"pub const actions_cache_list: ActionsCacheList\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_list\nmidas/sdk/github/schema actions_cache_list","url":"midas/sdk/github/schema.html#actions_cache_list"},{"doc":"midas/sdk/github/schema","title":"actions_cache_usage_by_repository","content":"pub const actions_cache_usage_by_repository: ActionsCacheUsageByRepository\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_usage_by_repository\nmidas/sdk/github/schema actions_cache_usage_by_repository","url":"midas/sdk/github/schema.html#actions_cache_usage_by_repository"},{"doc":"midas/sdk/github/schema","title":"actions_cache_usage_org_enterprise","content":"pub const actions_cache_usage_org_enterprise: ActionsCacheUsageOrgEnterprise\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_usage_org_enterprise\nmidas/sdk/github/schema actions_cache_usage_org_enterprise","url":"midas/sdk/github/schema.html#actions_cache_usage_org_enterprise"},{"doc":"midas/sdk/github/schema","title":"actions_get_default_workflow_permissions","content":"pub const actions_get_default_workflow_permissions: ActionsGetDefaultWorkflowPermissions\n\nSynonyms:\nmidas/sdk/github/schema.actions_get_default_workflow_permissions\nmidas/sdk/github/schema actions_get_default_workflow_permissions","url":"midas/sdk/github/schema.html#actions_get_default_workflow_permissions"},{"doc":"midas/sdk/github/schema","title":"actions_organization_permissions","content":"pub const actions_organization_permissions: ActionsOrganizationPermissions\n\nSynonyms:\nmidas/sdk/github/schema.actions_organization_permissions\nmidas/sdk/github/schema actions_organization_permissions","url":"midas/sdk/github/schema.html#actions_organization_permissions"},{"doc":"midas/sdk/github/schema","title":"actions_public_key","content":"pub const actions_public_key: ActionsPublicKey\n\nSynonyms:\nmidas/sdk/github/schema.actions_public_key\nmidas/sdk/github/schema actions_public_key","url":"midas/sdk/github/schema.html#actions_public_key"},{"doc":"midas/sdk/github/schema","title":"actions_repository_permissions","content":"pub const actions_repository_permissions: ActionsRepositoryPermissions\n\nSynonyms:\nmidas/sdk/github/schema.actions_repository_permissions\nmidas/sdk/github/schema actions_repository_permissions","url":"midas/sdk/github/schema.html#actions_repository_permissions"},{"doc":"midas/sdk/github/schema","title":"actions_secret","content":"pub const actions_secret: ActionsSecret\n\nSynonyms:\nmidas/sdk/github/schema.actions_secret\nmidas/sdk/github/schema actions_secret","url":"midas/sdk/github/schema.html#actions_secret"},{"doc":"midas/sdk/github/schema","title":"actions_set_default_workflow_permissions","content":"pub const actions_set_default_workflow_permissions: ActionsSetDefaultWorkflowPermissions\n\nSynonyms:\nmidas/sdk/github/schema.actions_set_default_workflow_permissions\nmidas/sdk/github/schema actions_set_default_workflow_permissions","url":"midas/sdk/github/schema.html#actions_set_default_workflow_permissions"},{"doc":"midas/sdk/github/schema","title":"actions_variable","content":"pub const actions_variable: ActionsVariable\n\nSynonyms:\nmidas/sdk/github/schema.actions_variable\nmidas/sdk/github/schema actions_variable","url":"midas/sdk/github/schema.html#actions_variable"},{"doc":"midas/sdk/github/schema","title":"actions_workflow_access_to_repository","content":"pub const actions_workflow_access_to_repository: ActionsWorkflowAccessToRepository\n\nSynonyms:\nmidas/sdk/github/schema.actions_workflow_access_to_repository\nmidas/sdk/github/schema actions_workflow_access_to_repository","url":"midas/sdk/github/schema.html#actions_workflow_access_to_repository"},{"doc":"midas/sdk/github/schema","title":"activity","content":"pub const activity: Activity\n\nSynonyms:\nmidas/sdk/github/schema.activity\nmidas/sdk/github/schema activity","url":"midas/sdk/github/schema.html#activity"},{"doc":"midas/sdk/github/schema","title":"actor","content":"pub const actor: Actor\n\nSynonyms:\nmidas/sdk/github/schema.actor\nmidas/sdk/github/schema actor","url":"midas/sdk/github/schema.html#actor"},{"doc":"midas/sdk/github/schema","title":"added_to_project_issue_event","content":"pub const added_to_project_issue_event: AddedToProjectIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.added_to_project_issue_event\nmidas/sdk/github/schema added_to_project_issue_event","url":"midas/sdk/github/schema.html#added_to_project_issue_event"},{"doc":"midas/sdk/github/schema","title":"api_insights_route_stats","content":"pub const api_insights_route_stats: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_route_stats\nmidas/sdk/github/schema api_insights_route_stats","url":"midas/sdk/github/schema.html#api_insights_route_stats"},{"doc":"midas/sdk/github/schema","title":"api_insights_subject_stats","content":"pub const api_insights_subject_stats: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_subject_stats\nmidas/sdk/github/schema api_insights_subject_stats","url":"midas/sdk/github/schema.html#api_insights_subject_stats"},{"doc":"midas/sdk/github/schema","title":"api_insights_summary_stats","content":"pub const api_insights_summary_stats: ApiInsightsSummaryStats\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_summary_stats\nmidas/sdk/github/schema api_insights_summary_stats","url":"midas/sdk/github/schema.html#api_insights_summary_stats"},{"doc":"midas/sdk/github/schema","title":"api_insights_time_stats","content":"pub const api_insights_time_stats: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_time_stats\nmidas/sdk/github/schema api_insights_time_stats","url":"midas/sdk/github/schema.html#api_insights_time_stats"},{"doc":"midas/sdk/github/schema","title":"api_insights_user_stats","content":"pub const api_insights_user_stats: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_user_stats\nmidas/sdk/github/schema api_insights_user_stats","url":"midas/sdk/github/schema.html#api_insights_user_stats"},{"doc":"midas/sdk/github/schema","title":"api_overview","content":"pub const api_overview: ApiOverview\n\nSynonyms:\nmidas/sdk/github/schema.api_overview\nmidas/sdk/github/schema api_overview","url":"midas/sdk/github/schema.html#api_overview"},{"doc":"midas/sdk/github/schema","title":"app_permissions","content":"pub const app_permissions: AppPermissions\n\nSynonyms:\nmidas/sdk/github/schema.app_permissions\nmidas/sdk/github/schema app_permissions","url":"midas/sdk/github/schema.html#app_permissions"},{"doc":"midas/sdk/github/schema","title":"artifact","content":"pub const artifact: Artifact\n\nSynonyms:\nmidas/sdk/github/schema.artifact\nmidas/sdk/github/schema artifact","url":"midas/sdk/github/schema.html#artifact"},{"doc":"midas/sdk/github/schema","title":"assigned_issue_event","content":"pub const assigned_issue_event: AssignedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.assigned_issue_event\nmidas/sdk/github/schema assigned_issue_event","url":"midas/sdk/github/schema.html#assigned_issue_event"},{"doc":"midas/sdk/github/schema","title":"authentication_token","content":"pub const authentication_token: AuthenticationToken\n\nSynonyms:\nmidas/sdk/github/schema.authentication_token\nmidas/sdk/github/schema authentication_token","url":"midas/sdk/github/schema.html#authentication_token"},{"doc":"midas/sdk/github/schema","title":"authorization","content":"pub const authorization: Authorization\n\nSynonyms:\nmidas/sdk/github/schema.authorization\nmidas/sdk/github/schema authorization","url":"midas/sdk/github/schema.html#authorization"},{"doc":"midas/sdk/github/schema","title":"auto_merge","content":"pub const auto_merge: AutoMerge\n\nSynonyms:\nmidas/sdk/github/schema.auto_merge\nmidas/sdk/github/schema auto_merge","url":"midas/sdk/github/schema.html#auto_merge"},{"doc":"midas/sdk/github/schema","title":"autolink","content":"pub const autolink: Autolink\n\nSynonyms:\nmidas/sdk/github/schema.autolink\nmidas/sdk/github/schema autolink","url":"midas/sdk/github/schema.html#autolink"},{"doc":"midas/sdk/github/schema","title":"base_gist","content":"pub const base_gist: BaseGist\n\nSynonyms:\nmidas/sdk/github/schema.base_gist\nmidas/sdk/github/schema base_gist","url":"midas/sdk/github/schema.html#base_gist"},{"doc":"midas/sdk/github/schema","title":"basic_error","content":"pub const basic_error: BasicError\n\nSynonyms:\nmidas/sdk/github/schema.basic_error\nmidas/sdk/github/schema basic_error","url":"midas/sdk/github/schema.html#basic_error"},{"doc":"midas/sdk/github/schema","title":"blob","content":"pub const blob: Blob\n\nSynonyms:\nmidas/sdk/github/schema.blob\nmidas/sdk/github/schema blob","url":"midas/sdk/github/schema.html#blob"},{"doc":"midas/sdk/github/schema","title":"branch_protection","content":"pub const branch_protection: BranchProtection\n\nSynonyms:\nmidas/sdk/github/schema.branch_protection\nmidas/sdk/github/schema branch_protection","url":"midas/sdk/github/schema.html#branch_protection"},{"doc":"midas/sdk/github/schema","title":"branch_restriction_policy","content":"pub const branch_restriction_policy: BranchRestrictionPolicy\n\nSynonyms:\nmidas/sdk/github/schema.branch_restriction_policy\nmidas/sdk/github/schema branch_restriction_policy","url":"midas/sdk/github/schema.html#branch_restriction_policy"},{"doc":"midas/sdk/github/schema","title":"branch_short","content":"pub const branch_short: BranchShort\n\nSynonyms:\nmidas/sdk/github/schema.branch_short\nmidas/sdk/github/schema branch_short","url":"midas/sdk/github/schema.html#branch_short"},{"doc":"midas/sdk/github/schema","title":"branch_with_protection","content":"pub const branch_with_protection: BranchWithProtection\n\nSynonyms:\nmidas/sdk/github/schema.branch_with_protection\nmidas/sdk/github/schema branch_with_protection","url":"midas/sdk/github/schema.html#branch_with_protection"},{"doc":"midas/sdk/github/schema","title":"check_annotation","content":"pub const check_annotation: CheckAnnotation\n\nSynonyms:\nmidas/sdk/github/schema.check_annotation\nmidas/sdk/github/schema check_annotation","url":"midas/sdk/github/schema.html#check_annotation"},{"doc":"midas/sdk/github/schema","title":"check_automated_security_fixes","content":"pub const check_automated_security_fixes: CheckAutomatedSecurityFixes\n\nSynonyms:\nmidas/sdk/github/schema.check_automated_security_fixes\nmidas/sdk/github/schema check_automated_security_fixes","url":"midas/sdk/github/schema.html#check_automated_security_fixes"},{"doc":"midas/sdk/github/schema","title":"check_run","content":"pub const check_run: CheckRun\n\nSynonyms:\nmidas/sdk/github/schema.check_run\nmidas/sdk/github/schema check_run","url":"midas/sdk/github/schema.html#check_run"},{"doc":"midas/sdk/github/schema","title":"check_run_with_simple_check_suite","content":"pub const check_run_with_simple_check_suite: CheckRunWithSimpleCheckSuite\n\nSynonyms:\nmidas/sdk/github/schema.check_run_with_simple_check_suite\nmidas/sdk/github/schema check_run_with_simple_check_suite","url":"midas/sdk/github/schema.html#check_run_with_simple_check_suite"},{"doc":"midas/sdk/github/schema","title":"check_suite","content":"pub const check_suite: CheckSuite\n\nSynonyms:\nmidas/sdk/github/schema.check_suite\nmidas/sdk/github/schema check_suite","url":"midas/sdk/github/schema.html#check_suite"},{"doc":"midas/sdk/github/schema","title":"check_suite_preference","content":"pub const check_suite_preference: CheckSuitePreference\n\nSynonyms:\nmidas/sdk/github/schema.check_suite_preference\nmidas/sdk/github/schema check_suite_preference","url":"midas/sdk/github/schema.html#check_suite_preference"},{"doc":"midas/sdk/github/schema","title":"classroom","content":"pub const classroom: Classroom\n\nSynonyms:\nmidas/sdk/github/schema.classroom\nmidas/sdk/github/schema classroom","url":"midas/sdk/github/schema.html#classroom"},{"doc":"midas/sdk/github/schema","title":"classroom_accepted_assignment","content":"pub const classroom_accepted_assignment: ClassroomAcceptedAssignment\n\nSynonyms:\nmidas/sdk/github/schema.classroom_accepted_assignment\nmidas/sdk/github/schema classroom_accepted_assignment","url":"midas/sdk/github/schema.html#classroom_accepted_assignment"},{"doc":"midas/sdk/github/schema","title":"classroom_assignment","content":"pub const classroom_assignment: ClassroomAssignment\n\nSynonyms:\nmidas/sdk/github/schema.classroom_assignment\nmidas/sdk/github/schema classroom_assignment","url":"midas/sdk/github/schema.html#classroom_assignment"},{"doc":"midas/sdk/github/schema","title":"classroom_assignment_grade","content":"pub const classroom_assignment_grade: ClassroomAssignmentGrade\n\nSynonyms:\nmidas/sdk/github/schema.classroom_assignment_grade\nmidas/sdk/github/schema classroom_assignment_grade","url":"midas/sdk/github/schema.html#classroom_assignment_grade"},{"doc":"midas/sdk/github/schema","title":"clone_traffic","content":"pub const clone_traffic: CloneTraffic\n\nSynonyms:\nmidas/sdk/github/schema.clone_traffic\nmidas/sdk/github/schema clone_traffic","url":"midas/sdk/github/schema.html#clone_traffic"},{"doc":"midas/sdk/github/schema","title":"code_frequency_stat","content":"pub const code_frequency_stat: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.code_frequency_stat\nmidas/sdk/github/schema code_frequency_stat","url":"midas/sdk/github/schema.html#code_frequency_stat"},{"doc":"midas/sdk/github/schema","title":"code_of_conduct","content":"pub const code_of_conduct: CodeOfConduct\n\nSynonyms:\nmidas/sdk/github/schema.code_of_conduct\nmidas/sdk/github/schema code_of_conduct","url":"midas/sdk/github/schema.html#code_of_conduct"},{"doc":"midas/sdk/github/schema","title":"code_of_conduct_simple","content":"pub const code_of_conduct_simple: CodeOfConductSimple\n\nSynonyms:\nmidas/sdk/github/schema.code_of_conduct_simple\nmidas/sdk/github/schema code_of_conduct_simple","url":"midas/sdk/github/schema.html#code_of_conduct_simple"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert","content":"pub const code_scanning_alert: CodeScanningAlert\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert\nmidas/sdk/github/schema code_scanning_alert","url":"midas/sdk/github/schema.html#code_scanning_alert"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_instance","content":"pub const code_scanning_alert_instance: CodeScanningAlertInstance\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_instance\nmidas/sdk/github/schema code_scanning_alert_instance","url":"midas/sdk/github/schema.html#code_scanning_alert_instance"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_items","content":"pub const code_scanning_alert_items: CodeScanningAlertItems\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_items\nmidas/sdk/github/schema code_scanning_alert_items","url":"midas/sdk/github/schema.html#code_scanning_alert_items"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_location","content":"pub const code_scanning_alert_location: CodeScanningAlertLocation\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_location\nmidas/sdk/github/schema code_scanning_alert_location","url":"midas/sdk/github/schema.html#code_scanning_alert_location"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_rule","content":"pub const code_scanning_alert_rule: CodeScanningAlertRule\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_rule\nmidas/sdk/github/schema code_scanning_alert_rule","url":"midas/sdk/github/schema.html#code_scanning_alert_rule"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_rule_summary","content":"pub const code_scanning_alert_rule_summary: CodeScanningAlertRuleSummary\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_rule_summary\nmidas/sdk/github/schema code_scanning_alert_rule_summary","url":"midas/sdk/github/schema.html#code_scanning_alert_rule_summary"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis","content":"pub const code_scanning_analysis: CodeScanningAnalysis\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis\nmidas/sdk/github/schema code_scanning_analysis","url":"midas/sdk/github/schema.html#code_scanning_analysis"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_deletion","content":"pub const code_scanning_analysis_deletion: CodeScanningAnalysisDeletion\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_deletion\nmidas/sdk/github/schema code_scanning_analysis_deletion","url":"midas/sdk/github/schema.html#code_scanning_analysis_deletion"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_tool","content":"pub const code_scanning_analysis_tool: CodeScanningAnalysisTool\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_tool\nmidas/sdk/github/schema code_scanning_analysis_tool","url":"midas/sdk/github/schema.html#code_scanning_analysis_tool"},{"doc":"midas/sdk/github/schema","title":"code_scanning_codeql_database","content":"pub const code_scanning_codeql_database: CodeScanningCodeqlDatabase\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_codeql_database\nmidas/sdk/github/schema code_scanning_codeql_database","url":"midas/sdk/github/schema.html#code_scanning_codeql_database"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup","content":"pub const code_scanning_default_setup: CodeScanningDefaultSetup\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup\nmidas/sdk/github/schema code_scanning_default_setup","url":"midas/sdk/github/schema.html#code_scanning_default_setup"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_update","content":"pub const code_scanning_default_setup_update: CodeScanningDefaultSetupUpdate\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_update\nmidas/sdk/github/schema code_scanning_default_setup_update","url":"midas/sdk/github/schema.html#code_scanning_default_setup_update"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_update_response","content":"pub const code_scanning_default_setup_update_response: CodeScanningDefaultSetupUpdateResponse\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_update_response\nmidas/sdk/github/schema code_scanning_default_setup_update_response","url":"midas/sdk/github/schema.html#code_scanning_default_setup_update_response"},{"doc":"midas/sdk/github/schema","title":"code_scanning_organization_alert_items","content":"pub const code_scanning_organization_alert_items: CodeScanningOrganizationAlertItems\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_organization_alert_items\nmidas/sdk/github/schema code_scanning_organization_alert_items","url":"midas/sdk/github/schema.html#code_scanning_organization_alert_items"},{"doc":"midas/sdk/github/schema","title":"code_scanning_sarifs_receipt","content":"pub const code_scanning_sarifs_receipt: CodeScanningSarifsReceipt\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_sarifs_receipt\nmidas/sdk/github/schema code_scanning_sarifs_receipt","url":"midas/sdk/github/schema.html#code_scanning_sarifs_receipt"},{"doc":"midas/sdk/github/schema","title":"code_scanning_sarifs_status","content":"pub const code_scanning_sarifs_status: CodeScanningSarifsStatus\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_sarifs_status\nmidas/sdk/github/schema code_scanning_sarifs_status","url":"midas/sdk/github/schema.html#code_scanning_sarifs_status"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis","content":"pub const code_scanning_variant_analysis: CodeScanningVariantAnalysis\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis\nmidas/sdk/github/schema code_scanning_variant_analysis","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_repo_task","content":"pub const code_scanning_variant_analysis_repo_task: CodeScanningVariantAnalysisRepoTask\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_repo_task\nmidas/sdk/github/schema code_scanning_variant_analysis_repo_task","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_repo_task"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_repository","content":"pub const code_scanning_variant_analysis_repository: CodeScanningVariantAnalysisRepository\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_repository\nmidas/sdk/github/schema code_scanning_variant_analysis_repository","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_repository"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_skipped_repo_group","content":"pub const code_scanning_variant_analysis_skipped_repo_group: CodeScanningVariantAnalysisSkippedRepoGroup\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_skipped_repo_group\nmidas/sdk/github/schema code_scanning_variant_analysis_skipped_repo_group","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_skipped_repo_group"},{"doc":"midas/sdk/github/schema","title":"code_search_result_item","content":"pub const code_search_result_item: CodeSearchResultItem\n\nSynonyms:\nmidas/sdk/github/schema.code_search_result_item\nmidas/sdk/github/schema code_search_result_item","url":"midas/sdk/github/schema.html#code_search_result_item"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration","content":"pub const code_security_configuration: CodeSecurityConfiguration\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration\nmidas/sdk/github/schema code_security_configuration","url":"midas/sdk/github/schema.html#code_security_configuration"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_for_repository","content":"pub const code_security_configuration_for_repository: CodeSecurityConfigurationForRepository\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_for_repository\nmidas/sdk/github/schema code_security_configuration_for_repository","url":"midas/sdk/github/schema.html#code_security_configuration_for_repository"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_repositories","content":"pub const code_security_configuration_repositories: CodeSecurityConfigurationRepositories\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_repositories\nmidas/sdk/github/schema code_security_configuration_repositories","url":"midas/sdk/github/schema.html#code_security_configuration_repositories"},{"doc":"midas/sdk/github/schema","title":"code_security_default_configurations","content":"pub const code_security_default_configurations: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.code_security_default_configurations\nmidas/sdk/github/schema code_security_default_configurations","url":"midas/sdk/github/schema.html#code_security_default_configurations"},{"doc":"midas/sdk/github/schema","title":"codeowners_errors","content":"pub const codeowners_errors: CodeownersErrors\n\nSynonyms:\nmidas/sdk/github/schema.codeowners_errors\nmidas/sdk/github/schema codeowners_errors","url":"midas/sdk/github/schema.html#codeowners_errors"},{"doc":"midas/sdk/github/schema","title":"codespace","content":"pub const codespace: Codespace\n\nSynonyms:\nmidas/sdk/github/schema.codespace\nmidas/sdk/github/schema codespace","url":"midas/sdk/github/schema.html#codespace"},{"doc":"midas/sdk/github/schema","title":"codespace_export_details","content":"pub const codespace_export_details: CodespaceExportDetails\n\nSynonyms:\nmidas/sdk/github/schema.codespace_export_details\nmidas/sdk/github/schema codespace_export_details","url":"midas/sdk/github/schema.html#codespace_export_details"},{"doc":"midas/sdk/github/schema","title":"codespace_machine","content":"pub const codespace_machine: CodespaceMachine\n\nSynonyms:\nmidas/sdk/github/schema.codespace_machine\nmidas/sdk/github/schema codespace_machine","url":"midas/sdk/github/schema.html#codespace_machine"},{"doc":"midas/sdk/github/schema","title":"codespace_with_full_repository","content":"pub const codespace_with_full_repository: CodespaceWithFullRepository\n\nSynonyms:\nmidas/sdk/github/schema.codespace_with_full_repository\nmidas/sdk/github/schema codespace_with_full_repository","url":"midas/sdk/github/schema.html#codespace_with_full_repository"},{"doc":"midas/sdk/github/schema","title":"codespaces_org_secret","content":"pub const codespaces_org_secret: CodespacesOrgSecret\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_org_secret\nmidas/sdk/github/schema codespaces_org_secret","url":"midas/sdk/github/schema.html#codespaces_org_secret"},{"doc":"midas/sdk/github/schema","title":"codespaces_permissions_check_for_devcontainer","content":"pub const codespaces_permissions_check_for_devcontainer: CodespacesPermissionsCheckForDevcontainer\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_permissions_check_for_devcontainer\nmidas/sdk/github/schema codespaces_permissions_check_for_devcontainer","url":"midas/sdk/github/schema.html#codespaces_permissions_check_for_devcontainer"},{"doc":"midas/sdk/github/schema","title":"codespaces_public_key","content":"pub const codespaces_public_key: CodespacesPublicKey\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_public_key\nmidas/sdk/github/schema codespaces_public_key","url":"midas/sdk/github/schema.html#codespaces_public_key"},{"doc":"midas/sdk/github/schema","title":"codespaces_secret","content":"pub const codespaces_secret: CodespacesSecret\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_secret\nmidas/sdk/github/schema codespaces_secret","url":"midas/sdk/github/schema.html#codespaces_secret"},{"doc":"midas/sdk/github/schema","title":"codespaces_user_public_key","content":"pub const codespaces_user_public_key: CodespacesUserPublicKey\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_user_public_key\nmidas/sdk/github/schema codespaces_user_public_key","url":"midas/sdk/github/schema.html#codespaces_user_public_key"},{"doc":"midas/sdk/github/schema","title":"collaborator","content":"pub const collaborator: Collaborator\n\nSynonyms:\nmidas/sdk/github/schema.collaborator\nmidas/sdk/github/schema collaborator","url":"midas/sdk/github/schema.html#collaborator"},{"doc":"midas/sdk/github/schema","title":"combined_billing_usage","content":"pub const combined_billing_usage: CombinedBillingUsage\n\nSynonyms:\nmidas/sdk/github/schema.combined_billing_usage\nmidas/sdk/github/schema combined_billing_usage","url":"midas/sdk/github/schema.html#combined_billing_usage"},{"doc":"midas/sdk/github/schema","title":"combined_commit_status","content":"pub const combined_commit_status: CombinedCommitStatus\n\nSynonyms:\nmidas/sdk/github/schema.combined_commit_status\nmidas/sdk/github/schema combined_commit_status","url":"midas/sdk/github/schema.html#combined_commit_status"},{"doc":"midas/sdk/github/schema","title":"commit","content":"pub const commit: Commit\n\nSynonyms:\nmidas/sdk/github/schema.commit\nmidas/sdk/github/schema commit","url":"midas/sdk/github/schema.html#commit"},{"doc":"midas/sdk/github/schema","title":"commit_activity","content":"pub const commit_activity: CommitActivity\n\nSynonyms:\nmidas/sdk/github/schema.commit_activity\nmidas/sdk/github/schema commit_activity","url":"midas/sdk/github/schema.html#commit_activity"},{"doc":"midas/sdk/github/schema","title":"commit_comment","content":"pub const commit_comment: CommitComment\n\nSynonyms:\nmidas/sdk/github/schema.commit_comment\nmidas/sdk/github/schema commit_comment","url":"midas/sdk/github/schema.html#commit_comment"},{"doc":"midas/sdk/github/schema","title":"commit_comparison","content":"pub const commit_comparison: CommitComparison\n\nSynonyms:\nmidas/sdk/github/schema.commit_comparison\nmidas/sdk/github/schema commit_comparison","url":"midas/sdk/github/schema.html#commit_comparison"},{"doc":"midas/sdk/github/schema","title":"commit_search_result_item","content":"pub const commit_search_result_item: CommitSearchResultItem\n\nSynonyms:\nmidas/sdk/github/schema.commit_search_result_item\nmidas/sdk/github/schema commit_search_result_item","url":"midas/sdk/github/schema.html#commit_search_result_item"},{"doc":"midas/sdk/github/schema","title":"community_profile","content":"pub const community_profile: CommunityProfile\n\nSynonyms:\nmidas/sdk/github/schema.community_profile\nmidas/sdk/github/schema community_profile","url":"midas/sdk/github/schema.html#community_profile"},{"doc":"midas/sdk/github/schema","title":"content_directory","content":"pub const content_directory: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.content_directory\nmidas/sdk/github/schema content_directory","url":"midas/sdk/github/schema.html#content_directory"},{"doc":"midas/sdk/github/schema","title":"content_file","content":"pub const content_file: ContentFile\n\nSynonyms:\nmidas/sdk/github/schema.content_file\nmidas/sdk/github/schema content_file","url":"midas/sdk/github/schema.html#content_file"},{"doc":"midas/sdk/github/schema","title":"content_submodule","content":"pub const content_submodule: ContentSubmodule\n\nSynonyms:\nmidas/sdk/github/schema.content_submodule\nmidas/sdk/github/schema content_submodule","url":"midas/sdk/github/schema.html#content_submodule"},{"doc":"midas/sdk/github/schema","title":"content_symlink","content":"pub const content_symlink: ContentSymlink\n\nSynonyms:\nmidas/sdk/github/schema.content_symlink\nmidas/sdk/github/schema content_symlink","url":"midas/sdk/github/schema.html#content_symlink"},{"doc":"midas/sdk/github/schema","title":"content_traffic","content":"pub const content_traffic: ContentTraffic\n\nSynonyms:\nmidas/sdk/github/schema.content_traffic\nmidas/sdk/github/schema content_traffic","url":"midas/sdk/github/schema.html#content_traffic"},{"doc":"midas/sdk/github/schema","title":"content_tree","content":"pub const content_tree: ContentTree\n\nSynonyms:\nmidas/sdk/github/schema.content_tree\nmidas/sdk/github/schema content_tree","url":"midas/sdk/github/schema.html#content_tree"},{"doc":"midas/sdk/github/schema","title":"contributor","content":"pub const contributor: Contributor\n\nSynonyms:\nmidas/sdk/github/schema.contributor\nmidas/sdk/github/schema contributor","url":"midas/sdk/github/schema.html#contributor"},{"doc":"midas/sdk/github/schema","title":"contributor_activity","content":"pub const contributor_activity: ContributorActivity\n\nSynonyms:\nmidas/sdk/github/schema.contributor_activity\nmidas/sdk/github/schema contributor_activity","url":"midas/sdk/github/schema.html#contributor_activity"},{"doc":"midas/sdk/github/schema","title":"converted_note_to_issue_issue_event","content":"pub const converted_note_to_issue_issue_event: ConvertedNoteToIssueIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.converted_note_to_issue_issue_event\nmidas/sdk/github/schema converted_note_to_issue_issue_event","url":"midas/sdk/github/schema.html#converted_note_to_issue_issue_event"},{"doc":"midas/sdk/github/schema","title":"copilot_dotcom_chat","content":"pub const copilot_dotcom_chat: CopilotDotcomChat\n\nSynonyms:\nmidas/sdk/github/schema.copilot_dotcom_chat\nmidas/sdk/github/schema copilot_dotcom_chat","url":"midas/sdk/github/schema.html#copilot_dotcom_chat"},{"doc":"midas/sdk/github/schema","title":"copilot_dotcom_pull_requests","content":"pub const copilot_dotcom_pull_requests: CopilotDotcomPullRequests\n\nSynonyms:\nmidas/sdk/github/schema.copilot_dotcom_pull_requests\nmidas/sdk/github/schema copilot_dotcom_pull_requests","url":"midas/sdk/github/schema.html#copilot_dotcom_pull_requests"},{"doc":"midas/sdk/github/schema","title":"copilot_ide_chat","content":"pub const copilot_ide_chat: CopilotIdeChat\n\nSynonyms:\nmidas/sdk/github/schema.copilot_ide_chat\nmidas/sdk/github/schema copilot_ide_chat","url":"midas/sdk/github/schema.html#copilot_ide_chat"},{"doc":"midas/sdk/github/schema","title":"copilot_ide_code_completions","content":"pub const copilot_ide_code_completions: CopilotIdeCodeCompletions\n\nSynonyms:\nmidas/sdk/github/schema.copilot_ide_code_completions\nmidas/sdk/github/schema copilot_ide_code_completions","url":"midas/sdk/github/schema.html#copilot_ide_code_completions"},{"doc":"midas/sdk/github/schema","title":"copilot_organization_details","content":"pub const copilot_organization_details: CopilotOrganizationDetails\n\nSynonyms:\nmidas/sdk/github/schema.copilot_organization_details\nmidas/sdk/github/schema copilot_organization_details","url":"midas/sdk/github/schema.html#copilot_organization_details"},{"doc":"midas/sdk/github/schema","title":"copilot_seat_breakdown","content":"pub const copilot_seat_breakdown: CopilotSeatBreakdown\n\nSynonyms:\nmidas/sdk/github/schema.copilot_seat_breakdown\nmidas/sdk/github/schema copilot_seat_breakdown","url":"midas/sdk/github/schema.html#copilot_seat_breakdown"},{"doc":"midas/sdk/github/schema","title":"copilot_seat_details","content":"pub const copilot_seat_details: CopilotSeatDetails\n\nSynonyms:\nmidas/sdk/github/schema.copilot_seat_details\nmidas/sdk/github/schema copilot_seat_details","url":"midas/sdk/github/schema.html#copilot_seat_details"},{"doc":"midas/sdk/github/schema","title":"copilot_usage_metrics","content":"pub const copilot_usage_metrics: CopilotUsageMetrics\n\nSynonyms:\nmidas/sdk/github/schema.copilot_usage_metrics\nmidas/sdk/github/schema copilot_usage_metrics","url":"midas/sdk/github/schema.html#copilot_usage_metrics"},{"doc":"midas/sdk/github/schema","title":"copilot_usage_metrics_day","content":"pub const copilot_usage_metrics_day: CopilotUsageMetricsDay\n\nSynonyms:\nmidas/sdk/github/schema.copilot_usage_metrics_day\nmidas/sdk/github/schema copilot_usage_metrics_day","url":"midas/sdk/github/schema.html#copilot_usage_metrics_day"},{"doc":"midas/sdk/github/schema","title":"custom_deployment_rule_app","content":"pub const custom_deployment_rule_app: CustomDeploymentRuleApp\n\nSynonyms:\nmidas/sdk/github/schema.custom_deployment_rule_app\nmidas/sdk/github/schema custom_deployment_rule_app","url":"midas/sdk/github/schema.html#custom_deployment_rule_app"},{"doc":"midas/sdk/github/schema","title":"custom_property","content":"pub const custom_property: CustomProperty\n\nSynonyms:\nmidas/sdk/github/schema.custom_property\nmidas/sdk/github/schema custom_property","url":"midas/sdk/github/schema.html#custom_property"},{"doc":"midas/sdk/github/schema","title":"custom_property_value","content":"pub const custom_property_value: CustomPropertyValue\n\nSynonyms:\nmidas/sdk/github/schema.custom_property_value\nmidas/sdk/github/schema custom_property_value","url":"midas/sdk/github/schema.html#custom_property_value"},{"doc":"midas/sdk/github/schema","title":"cvss_severities","content":"pub const cvss_severities: CvssSeverities\n\nSynonyms:\nmidas/sdk/github/schema.cvss_severities\nmidas/sdk/github/schema cvss_severities","url":"midas/sdk/github/schema.html#cvss_severities"},{"doc":"midas/sdk/github/schema","title":"demilestoned_issue_event","content":"pub const demilestoned_issue_event: DemilestonedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.demilestoned_issue_event\nmidas/sdk/github/schema demilestoned_issue_event","url":"midas/sdk/github/schema.html#demilestoned_issue_event"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert","content":"pub const dependabot_alert: DependabotAlert\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert\nmidas/sdk/github/schema dependabot_alert","url":"midas/sdk/github/schema.html#dependabot_alert"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_package","content":"pub const dependabot_alert_package: DependabotAlertPackage\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_package\nmidas/sdk/github/schema dependabot_alert_package","url":"midas/sdk/github/schema.html#dependabot_alert_package"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_security_advisory","content":"pub const dependabot_alert_security_advisory: DependabotAlertSecurityAdvisory\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_security_advisory\nmidas/sdk/github/schema dependabot_alert_security_advisory","url":"midas/sdk/github/schema.html#dependabot_alert_security_advisory"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_security_vulnerability","content":"pub const dependabot_alert_security_vulnerability: DependabotAlertSecurityVulnerability\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_security_vulnerability\nmidas/sdk/github/schema dependabot_alert_security_vulnerability","url":"midas/sdk/github/schema.html#dependabot_alert_security_vulnerability"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_with_repository","content":"pub const dependabot_alert_with_repository: DependabotAlertWithRepository\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_with_repository\nmidas/sdk/github/schema dependabot_alert_with_repository","url":"midas/sdk/github/schema.html#dependabot_alert_with_repository"},{"doc":"midas/sdk/github/schema","title":"dependabot_public_key","content":"pub const dependabot_public_key: DependabotPublicKey\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_public_key\nmidas/sdk/github/schema dependabot_public_key","url":"midas/sdk/github/schema.html#dependabot_public_key"},{"doc":"midas/sdk/github/schema","title":"dependabot_secret","content":"pub const dependabot_secret: DependabotSecret\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_secret\nmidas/sdk/github/schema dependabot_secret","url":"midas/sdk/github/schema.html#dependabot_secret"},{"doc":"midas/sdk/github/schema","title":"dependency","content":"pub const dependency: Dependency\n\nSynonyms:\nmidas/sdk/github/schema.dependency\nmidas/sdk/github/schema dependency","url":"midas/sdk/github/schema.html#dependency"},{"doc":"midas/sdk/github/schema","title":"dependency_graph_diff","content":"pub const dependency_graph_diff: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.dependency_graph_diff\nmidas/sdk/github/schema dependency_graph_diff","url":"midas/sdk/github/schema.html#dependency_graph_diff"},{"doc":"midas/sdk/github/schema","title":"dependency_graph_spdx_sbom","content":"pub const dependency_graph_spdx_sbom: DependencyGraphSpdxSbom\n\nSynonyms:\nmidas/sdk/github/schema.dependency_graph_spdx_sbom\nmidas/sdk/github/schema dependency_graph_spdx_sbom","url":"midas/sdk/github/schema.html#dependency_graph_spdx_sbom"},{"doc":"midas/sdk/github/schema","title":"deploy_key","content":"pub const deploy_key: DeployKey\n\nSynonyms:\nmidas/sdk/github/schema.deploy_key\nmidas/sdk/github/schema deploy_key","url":"midas/sdk/github/schema.html#deploy_key"},{"doc":"midas/sdk/github/schema","title":"deployment","content":"pub const deployment: Deployment\n\nSynonyms:\nmidas/sdk/github/schema.deployment\nmidas/sdk/github/schema deployment","url":"midas/sdk/github/schema.html#deployment"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy","content":"pub const deployment_branch_policy: DeploymentBranchPolicy\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy\nmidas/sdk/github/schema deployment_branch_policy","url":"midas/sdk/github/schema.html#deployment_branch_policy"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_name_pattern","content":"pub const deployment_branch_policy_name_pattern: DeploymentBranchPolicyNamePattern\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_name_pattern\nmidas/sdk/github/schema deployment_branch_policy_name_pattern","url":"midas/sdk/github/schema.html#deployment_branch_policy_name_pattern"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_name_pattern_with_type","content":"pub const deployment_branch_policy_name_pattern_with_type: DeploymentBranchPolicyNamePatternWithType\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_name_pattern_with_type\nmidas/sdk/github/schema deployment_branch_policy_name_pattern_with_type","url":"midas/sdk/github/schema.html#deployment_branch_policy_name_pattern_with_type"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_settings","content":"pub const deployment_branch_policy_settings: DeploymentBranchPolicySettings\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_settings\nmidas/sdk/github/schema deployment_branch_policy_settings","url":"midas/sdk/github/schema.html#deployment_branch_policy_settings"},{"doc":"midas/sdk/github/schema","title":"deployment_protection_rule","content":"pub const deployment_protection_rule: DeploymentProtectionRule\n\nSynonyms:\nmidas/sdk/github/schema.deployment_protection_rule\nmidas/sdk/github/schema deployment_protection_rule","url":"midas/sdk/github/schema.html#deployment_protection_rule"},{"doc":"midas/sdk/github/schema","title":"deployment_simple","content":"pub const deployment_simple: DeploymentSimple\n\nSynonyms:\nmidas/sdk/github/schema.deployment_simple\nmidas/sdk/github/schema deployment_simple","url":"midas/sdk/github/schema.html#deployment_simple"},{"doc":"midas/sdk/github/schema","title":"deployment_status","content":"pub const deployment_status: DeploymentStatus\n\nSynonyms:\nmidas/sdk/github/schema.deployment_status\nmidas/sdk/github/schema deployment_status","url":"midas/sdk/github/schema.html#deployment_status"},{"doc":"midas/sdk/github/schema","title":"diff_entry","content":"pub const diff_entry: DiffEntry\n\nSynonyms:\nmidas/sdk/github/schema.diff_entry\nmidas/sdk/github/schema diff_entry","url":"midas/sdk/github/schema.html#diff_entry"},{"doc":"midas/sdk/github/schema","title":"discussion","content":"pub const discussion: Discussion\n\nSynonyms:\nmidas/sdk/github/schema.discussion\nmidas/sdk/github/schema discussion","url":"midas/sdk/github/schema.html#discussion"},{"doc":"midas/sdk/github/schema","title":"email","content":"pub const email: Email\n\nSynonyms:\nmidas/sdk/github/schema.email\nmidas/sdk/github/schema email","url":"midas/sdk/github/schema.html#email"},{"doc":"midas/sdk/github/schema","title":"empty_object","content":"pub const empty_object: EmptyObject\n\nSynonyms:\nmidas/sdk/github/schema.empty_object\nmidas/sdk/github/schema empty_object","url":"midas/sdk/github/schema.html#empty_object"},{"doc":"midas/sdk/github/schema","title":"enterprise","content":"pub const enterprise: Enterprise\n\nSynonyms:\nmidas/sdk/github/schema.enterprise\nmidas/sdk/github/schema enterprise","url":"midas/sdk/github/schema.html#enterprise"},{"doc":"midas/sdk/github/schema","title":"enterprise_team","content":"pub const enterprise_team: EnterpriseTeam\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_team\nmidas/sdk/github/schema enterprise_team","url":"midas/sdk/github/schema.html#enterprise_team"},{"doc":"midas/sdk/github/schema","title":"enterprise_webhooks","content":"pub const enterprise_webhooks: EnterpriseWebhooks\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_webhooks\nmidas/sdk/github/schema enterprise_webhooks","url":"midas/sdk/github/schema.html#enterprise_webhooks"},{"doc":"midas/sdk/github/schema","title":"environment","content":"pub const environment: Environment\n\nSynonyms:\nmidas/sdk/github/schema.environment\nmidas/sdk/github/schema environment","url":"midas/sdk/github/schema.html#environment"},{"doc":"midas/sdk/github/schema","title":"environment_approvals","content":"pub const environment_approvals: EnvironmentApprovals\n\nSynonyms:\nmidas/sdk/github/schema.environment_approvals\nmidas/sdk/github/schema environment_approvals","url":"midas/sdk/github/schema.html#environment_approvals"},{"doc":"midas/sdk/github/schema","title":"event","content":"pub const event: Event\n\nSynonyms:\nmidas/sdk/github/schema.event\nmidas/sdk/github/schema event","url":"midas/sdk/github/schema.html#event"},{"doc":"midas/sdk/github/schema","title":"feed","content":"pub const feed: Feed\n\nSynonyms:\nmidas/sdk/github/schema.feed\nmidas/sdk/github/schema feed","url":"midas/sdk/github/schema.html#feed"},{"doc":"midas/sdk/github/schema","title":"file_commit","content":"pub const file_commit: FileCommit\n\nSynonyms:\nmidas/sdk/github/schema.file_commit\nmidas/sdk/github/schema file_commit","url":"midas/sdk/github/schema.html#file_commit"},{"doc":"midas/sdk/github/schema","title":"full_repository","content":"pub const full_repository: FullRepository\n\nSynonyms:\nmidas/sdk/github/schema.full_repository\nmidas/sdk/github/schema full_repository","url":"midas/sdk/github/schema.html#full_repository"},{"doc":"midas/sdk/github/schema","title":"gist_comment","content":"pub const gist_comment: GistComment\n\nSynonyms:\nmidas/sdk/github/schema.gist_comment\nmidas/sdk/github/schema gist_comment","url":"midas/sdk/github/schema.html#gist_comment"},{"doc":"midas/sdk/github/schema","title":"gist_commit","content":"pub const gist_commit: GistCommit\n\nSynonyms:\nmidas/sdk/github/schema.gist_commit\nmidas/sdk/github/schema gist_commit","url":"midas/sdk/github/schema.html#gist_commit"},{"doc":"midas/sdk/github/schema","title":"gist_history","content":"pub const gist_history: GistHistory\n\nSynonyms:\nmidas/sdk/github/schema.gist_history\nmidas/sdk/github/schema gist_history","url":"midas/sdk/github/schema.html#gist_history"},{"doc":"midas/sdk/github/schema","title":"gist_simple","content":"pub const gist_simple: GistSimple\n\nSynonyms:\nmidas/sdk/github/schema.gist_simple\nmidas/sdk/github/schema gist_simple","url":"midas/sdk/github/schema.html#gist_simple"},{"doc":"midas/sdk/github/schema","title":"git_commit","content":"pub const git_commit: GitCommit\n\nSynonyms:\nmidas/sdk/github/schema.git_commit\nmidas/sdk/github/schema git_commit","url":"midas/sdk/github/schema.html#git_commit"},{"doc":"midas/sdk/github/schema","title":"git_ref","content":"pub const git_ref: GitRef\n\nSynonyms:\nmidas/sdk/github/schema.git_ref\nmidas/sdk/github/schema git_ref","url":"midas/sdk/github/schema.html#git_ref"},{"doc":"midas/sdk/github/schema","title":"git_tag","content":"pub const git_tag: GitTag\n\nSynonyms:\nmidas/sdk/github/schema.git_tag\nmidas/sdk/github/schema git_tag","url":"midas/sdk/github/schema.html#git_tag"},{"doc":"midas/sdk/github/schema","title":"git_tree","content":"pub const git_tree: GitTree\n\nSynonyms:\nmidas/sdk/github/schema.git_tree\nmidas/sdk/github/schema git_tree","url":"midas/sdk/github/schema.html#git_tree"},{"doc":"midas/sdk/github/schema","title":"gitignore_template","content":"pub const gitignore_template: GitignoreTemplate\n\nSynonyms:\nmidas/sdk/github/schema.gitignore_template\nmidas/sdk/github/schema gitignore_template","url":"midas/sdk/github/schema.html#gitignore_template"},{"doc":"midas/sdk/github/schema","title":"global_advisory","content":"pub const global_advisory: GlobalAdvisory\n\nSynonyms:\nmidas/sdk/github/schema.global_advisory\nmidas/sdk/github/schema global_advisory","url":"midas/sdk/github/schema.html#global_advisory"},{"doc":"midas/sdk/github/schema","title":"gpg_key","content":"pub const gpg_key: GpgKey\n\nSynonyms:\nmidas/sdk/github/schema.gpg_key\nmidas/sdk/github/schema gpg_key","url":"midas/sdk/github/schema.html#gpg_key"},{"doc":"midas/sdk/github/schema","title":"hook","content":"pub const hook: Hook\n\nSynonyms:\nmidas/sdk/github/schema.hook\nmidas/sdk/github/schema hook","url":"midas/sdk/github/schema.html#hook"},{"doc":"midas/sdk/github/schema","title":"hook_delivery","content":"pub const hook_delivery: HookDelivery\n\nSynonyms:\nmidas/sdk/github/schema.hook_delivery\nmidas/sdk/github/schema hook_delivery","url":"midas/sdk/github/schema.html#hook_delivery"},{"doc":"midas/sdk/github/schema","title":"hook_delivery_item","content":"pub const hook_delivery_item: HookDeliveryItem\n\nSynonyms:\nmidas/sdk/github/schema.hook_delivery_item\nmidas/sdk/github/schema hook_delivery_item","url":"midas/sdk/github/schema.html#hook_delivery_item"},{"doc":"midas/sdk/github/schema","title":"hook_response","content":"pub const hook_response: HookResponse\n\nSynonyms:\nmidas/sdk/github/schema.hook_response\nmidas/sdk/github/schema hook_response","url":"midas/sdk/github/schema.html#hook_response"},{"doc":"midas/sdk/github/schema","title":"hovercard","content":"pub const hovercard: Hovercard\n\nSynonyms:\nmidas/sdk/github/schema.hovercard\nmidas/sdk/github/schema hovercard","url":"midas/sdk/github/schema.html#hovercard"},{"doc":"midas/sdk/github/schema","title":"import_","content":"pub const import_: Import\n\nSynonyms:\nmidas/sdk/github/schema.import_\nmidas/sdk/github/schema import_","url":"midas/sdk/github/schema.html#import_"},{"doc":"midas/sdk/github/schema","title":"installation","content":"pub const installation: Installation\n\nSynonyms:\nmidas/sdk/github/schema.installation\nmidas/sdk/github/schema installation","url":"midas/sdk/github/schema.html#installation"},{"doc":"midas/sdk/github/schema","title":"installation_token","content":"pub const installation_token: InstallationToken\n\nSynonyms:\nmidas/sdk/github/schema.installation_token\nmidas/sdk/github/schema installation_token","url":"midas/sdk/github/schema.html#installation_token"},{"doc":"midas/sdk/github/schema","title":"integration","content":"pub const integration: Integration\n\nSynonyms:\nmidas/sdk/github/schema.integration\nmidas/sdk/github/schema integration","url":"midas/sdk/github/schema.html#integration"},{"doc":"midas/sdk/github/schema","title":"integration_installation_request","content":"pub const integration_installation_request: IntegrationInstallationRequest\n\nSynonyms:\nmidas/sdk/github/schema.integration_installation_request\nmidas/sdk/github/schema integration_installation_request","url":"midas/sdk/github/schema.html#integration_installation_request"},{"doc":"midas/sdk/github/schema","title":"interaction_limit","content":"pub const interaction_limit: InteractionLimit\n\nSynonyms:\nmidas/sdk/github/schema.interaction_limit\nmidas/sdk/github/schema interaction_limit","url":"midas/sdk/github/schema.html#interaction_limit"},{"doc":"midas/sdk/github/schema","title":"interaction_limit_response","content":"pub const interaction_limit_response: InteractionLimitResponse\n\nSynonyms:\nmidas/sdk/github/schema.interaction_limit_response\nmidas/sdk/github/schema interaction_limit_response","url":"midas/sdk/github/schema.html#interaction_limit_response"},{"doc":"midas/sdk/github/schema","title":"issue","content":"pub const issue: Issue\n\nSynonyms:\nmidas/sdk/github/schema.issue\nmidas/sdk/github/schema issue","url":"midas/sdk/github/schema.html#issue"},{"doc":"midas/sdk/github/schema","title":"issue_comment","content":"pub const issue_comment: IssueComment\n\nSynonyms:\nmidas/sdk/github/schema.issue_comment\nmidas/sdk/github/schema issue_comment","url":"midas/sdk/github/schema.html#issue_comment"},{"doc":"midas/sdk/github/schema","title":"issue_event","content":"pub const issue_event: IssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.issue_event\nmidas/sdk/github/schema issue_event","url":"midas/sdk/github/schema.html#issue_event"},{"doc":"midas/sdk/github/schema","title":"issue_event_dismissed_review","content":"pub const issue_event_dismissed_review: IssueEventDismissedReview\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_dismissed_review\nmidas/sdk/github/schema issue_event_dismissed_review","url":"midas/sdk/github/schema.html#issue_event_dismissed_review"},{"doc":"midas/sdk/github/schema","title":"issue_event_label","content":"pub const issue_event_label: IssueEventLabel\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_label\nmidas/sdk/github/schema issue_event_label","url":"midas/sdk/github/schema.html#issue_event_label"},{"doc":"midas/sdk/github/schema","title":"issue_event_milestone","content":"pub const issue_event_milestone: IssueEventMilestone\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_milestone\nmidas/sdk/github/schema issue_event_milestone","url":"midas/sdk/github/schema.html#issue_event_milestone"},{"doc":"midas/sdk/github/schema","title":"issue_event_project_card","content":"pub const issue_event_project_card: IssueEventProjectCard\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_project_card\nmidas/sdk/github/schema issue_event_project_card","url":"midas/sdk/github/schema.html#issue_event_project_card"},{"doc":"midas/sdk/github/schema","title":"issue_event_rename","content":"pub const issue_event_rename: IssueEventRename\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_rename\nmidas/sdk/github/schema issue_event_rename","url":"midas/sdk/github/schema.html#issue_event_rename"},{"doc":"midas/sdk/github/schema","title":"issue_search_result_item","content":"pub const issue_search_result_item: IssueSearchResultItem\n\nSynonyms:\nmidas/sdk/github/schema.issue_search_result_item\nmidas/sdk/github/schema issue_search_result_item","url":"midas/sdk/github/schema.html#issue_search_result_item"},{"doc":"midas/sdk/github/schema","title":"job","content":"pub const job: Job\n\nSynonyms:\nmidas/sdk/github/schema.job\nmidas/sdk/github/schema job","url":"midas/sdk/github/schema.html#job"},{"doc":"midas/sdk/github/schema","title":"key","content":"pub const key: Key\n\nSynonyms:\nmidas/sdk/github/schema.key\nmidas/sdk/github/schema key","url":"midas/sdk/github/schema.html#key"},{"doc":"midas/sdk/github/schema","title":"key_simple","content":"pub const key_simple: KeySimple\n\nSynonyms:\nmidas/sdk/github/schema.key_simple\nmidas/sdk/github/schema key_simple","url":"midas/sdk/github/schema.html#key_simple"},{"doc":"midas/sdk/github/schema","title":"label","content":"pub const label: Label\n\nSynonyms:\nmidas/sdk/github/schema.label\nmidas/sdk/github/schema label","url":"midas/sdk/github/schema.html#label"},{"doc":"midas/sdk/github/schema","title":"label_search_result_item","content":"pub const label_search_result_item: LabelSearchResultItem\n\nSynonyms:\nmidas/sdk/github/schema.label_search_result_item\nmidas/sdk/github/schema label_search_result_item","url":"midas/sdk/github/schema.html#label_search_result_item"},{"doc":"midas/sdk/github/schema","title":"labeled_issue_event","content":"pub const labeled_issue_event: LabeledIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.labeled_issue_event\nmidas/sdk/github/schema labeled_issue_event","url":"midas/sdk/github/schema.html#labeled_issue_event"},{"doc":"midas/sdk/github/schema","title":"language","content":"pub const language: Language\n\nSynonyms:\nmidas/sdk/github/schema.language\nmidas/sdk/github/schema language","url":"midas/sdk/github/schema.html#language"},{"doc":"midas/sdk/github/schema","title":"license","content":"pub const license: License\n\nSynonyms:\nmidas/sdk/github/schema.license\nmidas/sdk/github/schema license","url":"midas/sdk/github/schema.html#license"},{"doc":"midas/sdk/github/schema","title":"license_content","content":"pub const license_content: LicenseContent\n\nSynonyms:\nmidas/sdk/github/schema.license_content\nmidas/sdk/github/schema license_content","url":"midas/sdk/github/schema.html#license_content"},{"doc":"midas/sdk/github/schema","title":"license_simple","content":"pub const license_simple: LicenseSimple\n\nSynonyms:\nmidas/sdk/github/schema.license_simple\nmidas/sdk/github/schema license_simple","url":"midas/sdk/github/schema.html#license_simple"},{"doc":"midas/sdk/github/schema","title":"link","content":"pub const link: Link\n\nSynonyms:\nmidas/sdk/github/schema.link\nmidas/sdk/github/schema link","url":"midas/sdk/github/schema.html#link"},{"doc":"midas/sdk/github/schema","title":"link_with_type","content":"pub const link_with_type: LinkWithType\n\nSynonyms:\nmidas/sdk/github/schema.link_with_type\nmidas/sdk/github/schema link_with_type","url":"midas/sdk/github/schema.html#link_with_type"},{"doc":"midas/sdk/github/schema","title":"locked_issue_event","content":"pub const locked_issue_event: LockedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.locked_issue_event\nmidas/sdk/github/schema locked_issue_event","url":"midas/sdk/github/schema.html#locked_issue_event"},{"doc":"midas/sdk/github/schema","title":"manifest","content":"pub const manifest: Manifest\n\nSynonyms:\nmidas/sdk/github/schema.manifest\nmidas/sdk/github/schema manifest","url":"midas/sdk/github/schema.html#manifest"},{"doc":"midas/sdk/github/schema","title":"marketplace_account","content":"pub const marketplace_account: MarketplaceAccount\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_account\nmidas/sdk/github/schema marketplace_account","url":"midas/sdk/github/schema.html#marketplace_account"},{"doc":"midas/sdk/github/schema","title":"marketplace_listing_plan","content":"pub const marketplace_listing_plan: MarketplaceListingPlan\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_listing_plan\nmidas/sdk/github/schema marketplace_listing_plan","url":"midas/sdk/github/schema.html#marketplace_listing_plan"},{"doc":"midas/sdk/github/schema","title":"marketplace_purchase","content":"pub const marketplace_purchase: MarketplacePurchase\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_purchase\nmidas/sdk/github/schema marketplace_purchase","url":"midas/sdk/github/schema.html#marketplace_purchase"},{"doc":"midas/sdk/github/schema","title":"merge_group","content":"pub const merge_group: MergeGroup\n\nSynonyms:\nmidas/sdk/github/schema.merge_group\nmidas/sdk/github/schema merge_group","url":"midas/sdk/github/schema.html#merge_group"},{"doc":"midas/sdk/github/schema","title":"merged_upstream","content":"pub const merged_upstream: MergedUpstream\n\nSynonyms:\nmidas/sdk/github/schema.merged_upstream\nmidas/sdk/github/schema merged_upstream","url":"midas/sdk/github/schema.html#merged_upstream"},{"doc":"midas/sdk/github/schema","title":"metadata","content":"pub const metadata: Metadata\n\nSynonyms:\nmidas/sdk/github/schema.metadata\nmidas/sdk/github/schema metadata","url":"midas/sdk/github/schema.html#metadata"},{"doc":"midas/sdk/github/schema","title":"migration","content":"pub const migration: Migration\n\nSynonyms:\nmidas/sdk/github/schema.migration\nmidas/sdk/github/schema migration","url":"midas/sdk/github/schema.html#migration"},{"doc":"midas/sdk/github/schema","title":"milestone","content":"pub const milestone: Milestone\n\nSynonyms:\nmidas/sdk/github/schema.milestone\nmidas/sdk/github/schema milestone","url":"midas/sdk/github/schema.html#milestone"},{"doc":"midas/sdk/github/schema","title":"milestoned_issue_event","content":"pub const milestoned_issue_event: MilestonedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.milestoned_issue_event\nmidas/sdk/github/schema milestoned_issue_event","url":"midas/sdk/github/schema.html#milestoned_issue_event"},{"doc":"midas/sdk/github/schema","title":"minimal_repository","content":"pub const minimal_repository: MinimalRepository\n\nSynonyms:\nmidas/sdk/github/schema.minimal_repository\nmidas/sdk/github/schema minimal_repository","url":"midas/sdk/github/schema.html#minimal_repository"},{"doc":"midas/sdk/github/schema","title":"moved_column_in_project_issue_event","content":"pub const moved_column_in_project_issue_event: MovedColumnInProjectIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.moved_column_in_project_issue_event\nmidas/sdk/github/schema moved_column_in_project_issue_event","url":"midas/sdk/github/schema.html#moved_column_in_project_issue_event"},{"doc":"midas/sdk/github/schema","title":"nullable_code_of_conduct_simple","content":"pub const nullable_code_of_conduct_simple: NullableCodeOfConductSimple\n\nSynonyms:\nmidas/sdk/github/schema.nullable_code_of_conduct_simple\nmidas/sdk/github/schema nullable_code_of_conduct_simple","url":"midas/sdk/github/schema.html#nullable_code_of_conduct_simple"},{"doc":"midas/sdk/github/schema","title":"nullable_codespace_machine","content":"pub const nullable_codespace_machine: NullableCodespaceMachine\n\nSynonyms:\nmidas/sdk/github/schema.nullable_codespace_machine\nmidas/sdk/github/schema nullable_codespace_machine","url":"midas/sdk/github/schema.html#nullable_codespace_machine"},{"doc":"midas/sdk/github/schema","title":"nullable_collaborator","content":"pub const nullable_collaborator: NullableCollaborator\n\nSynonyms:\nmidas/sdk/github/schema.nullable_collaborator\nmidas/sdk/github/schema nullable_collaborator","url":"midas/sdk/github/schema.html#nullable_collaborator"},{"doc":"midas/sdk/github/schema","title":"nullable_community_health_file","content":"pub const nullable_community_health_file: NullableCommunityHealthFile\n\nSynonyms:\nmidas/sdk/github/schema.nullable_community_health_file\nmidas/sdk/github/schema nullable_community_health_file","url":"midas/sdk/github/schema.html#nullable_community_health_file"},{"doc":"midas/sdk/github/schema","title":"nullable_git_user","content":"pub const nullable_git_user: NullableGitUser\n\nSynonyms:\nmidas/sdk/github/schema.nullable_git_user\nmidas/sdk/github/schema nullable_git_user","url":"midas/sdk/github/schema.html#nullable_git_user"},{"doc":"midas/sdk/github/schema","title":"nullable_integration","content":"pub const nullable_integration: NullableIntegration\n\nSynonyms:\nmidas/sdk/github/schema.nullable_integration\nmidas/sdk/github/schema nullable_integration","url":"midas/sdk/github/schema.html#nullable_integration"},{"doc":"midas/sdk/github/schema","title":"nullable_issue","content":"pub const nullable_issue: NullableIssue\n\nSynonyms:\nmidas/sdk/github/schema.nullable_issue\nmidas/sdk/github/schema nullable_issue","url":"midas/sdk/github/schema.html#nullable_issue"},{"doc":"midas/sdk/github/schema","title":"nullable_license_simple","content":"pub const nullable_license_simple: NullableLicenseSimple\n\nSynonyms:\nmidas/sdk/github/schema.nullable_license_simple\nmidas/sdk/github/schema nullable_license_simple","url":"midas/sdk/github/schema.html#nullable_license_simple"},{"doc":"midas/sdk/github/schema","title":"nullable_milestone","content":"pub const nullable_milestone: NullableMilestone\n\nSynonyms:\nmidas/sdk/github/schema.nullable_milestone\nmidas/sdk/github/schema nullable_milestone","url":"midas/sdk/github/schema.html#nullable_milestone"},{"doc":"midas/sdk/github/schema","title":"nullable_minimal_repository","content":"pub const nullable_minimal_repository: NullableMinimalRepository\n\nSynonyms:\nmidas/sdk/github/schema.nullable_minimal_repository\nmidas/sdk/github/schema nullable_minimal_repository","url":"midas/sdk/github/schema.html#nullable_minimal_repository"},{"doc":"midas/sdk/github/schema","title":"nullable_organization_simple","content":"pub const nullable_organization_simple: NullableOrganizationSimple\n\nSynonyms:\nmidas/sdk/github/schema.nullable_organization_simple\nmidas/sdk/github/schema nullable_organization_simple","url":"midas/sdk/github/schema.html#nullable_organization_simple"},{"doc":"midas/sdk/github/schema","title":"nullable_repository","content":"pub const nullable_repository: NullableRepository\n\nSynonyms:\nmidas/sdk/github/schema.nullable_repository\nmidas/sdk/github/schema nullable_repository","url":"midas/sdk/github/schema.html#nullable_repository"},{"doc":"midas/sdk/github/schema","title":"nullable_repository_webhooks","content":"pub const nullable_repository_webhooks: NullableRepositoryWebhooks\n\nSynonyms:\nmidas/sdk/github/schema.nullable_repository_webhooks\nmidas/sdk/github/schema nullable_repository_webhooks","url":"midas/sdk/github/schema.html#nullable_repository_webhooks"},{"doc":"midas/sdk/github/schema","title":"nullable_scoped_installation","content":"pub const nullable_scoped_installation: NullableScopedInstallation\n\nSynonyms:\nmidas/sdk/github/schema.nullable_scoped_installation\nmidas/sdk/github/schema nullable_scoped_installation","url":"midas/sdk/github/schema.html#nullable_scoped_installation"},{"doc":"midas/sdk/github/schema","title":"nullable_simple_commit","content":"pub const nullable_simple_commit: NullableSimpleCommit\n\nSynonyms:\nmidas/sdk/github/schema.nullable_simple_commit\nmidas/sdk/github/schema nullable_simple_commit","url":"midas/sdk/github/schema.html#nullable_simple_commit"},{"doc":"midas/sdk/github/schema","title":"nullable_simple_user","content":"pub const nullable_simple_user: NullableSimpleUser\n\nSynonyms:\nmidas/sdk/github/schema.nullable_simple_user\nmidas/sdk/github/schema nullable_simple_user","url":"midas/sdk/github/schema.html#nullable_simple_user"},{"doc":"midas/sdk/github/schema","title":"nullable_team_simple","content":"pub const nullable_team_simple: NullableTeamSimple\n\nSynonyms:\nmidas/sdk/github/schema.nullable_team_simple\nmidas/sdk/github/schema nullable_team_simple","url":"midas/sdk/github/schema.html#nullable_team_simple"},{"doc":"midas/sdk/github/schema","title":"oidc_custom_sub","content":"pub const oidc_custom_sub: OidcCustomSub\n\nSynonyms:\nmidas/sdk/github/schema.oidc_custom_sub\nmidas/sdk/github/schema oidc_custom_sub","url":"midas/sdk/github/schema.html#oidc_custom_sub"},{"doc":"midas/sdk/github/schema","title":"oidc_custom_sub_repo","content":"pub const oidc_custom_sub_repo: OidcCustomSubRepo\n\nSynonyms:\nmidas/sdk/github/schema.oidc_custom_sub_repo\nmidas/sdk/github/schema oidc_custom_sub_repo","url":"midas/sdk/github/schema.html#oidc_custom_sub_repo"},{"doc":"midas/sdk/github/schema","title":"org_hook","content":"pub const org_hook: OrgHook\n\nSynonyms:\nmidas/sdk/github/schema.org_hook\nmidas/sdk/github/schema org_hook","url":"midas/sdk/github/schema.html#org_hook"},{"doc":"midas/sdk/github/schema","title":"org_membership","content":"pub const org_membership: OrgMembership\n\nSynonyms:\nmidas/sdk/github/schema.org_membership\nmidas/sdk/github/schema org_membership","url":"midas/sdk/github/schema.html#org_membership"},{"doc":"midas/sdk/github/schema","title":"org_repo_custom_property_values","content":"pub const org_repo_custom_property_values: OrgRepoCustomPropertyValues\n\nSynonyms:\nmidas/sdk/github/schema.org_repo_custom_property_values\nmidas/sdk/github/schema org_repo_custom_property_values","url":"midas/sdk/github/schema.html#org_repo_custom_property_values"},{"doc":"midas/sdk/github/schema","title":"org_ruleset_conditions","content":"pub const org_ruleset_conditions: OrgRulesetConditions\n\nSynonyms:\nmidas/sdk/github/schema.org_ruleset_conditions\nmidas/sdk/github/schema org_ruleset_conditions","url":"midas/sdk/github/schema.html#org_ruleset_conditions"},{"doc":"midas/sdk/github/schema","title":"organization_actions_secret","content":"pub const organization_actions_secret: OrganizationActionsSecret\n\nSynonyms:\nmidas/sdk/github/schema.organization_actions_secret\nmidas/sdk/github/schema organization_actions_secret","url":"midas/sdk/github/schema.html#organization_actions_secret"},{"doc":"midas/sdk/github/schema","title":"organization_actions_variable","content":"pub const organization_actions_variable: OrganizationActionsVariable\n\nSynonyms:\nmidas/sdk/github/schema.organization_actions_variable\nmidas/sdk/github/schema organization_actions_variable","url":"midas/sdk/github/schema.html#organization_actions_variable"},{"doc":"midas/sdk/github/schema","title":"organization_dependabot_secret","content":"pub const organization_dependabot_secret: OrganizationDependabotSecret\n\nSynonyms:\nmidas/sdk/github/schema.organization_dependabot_secret\nmidas/sdk/github/schema organization_dependabot_secret","url":"midas/sdk/github/schema.html#organization_dependabot_secret"},{"doc":"midas/sdk/github/schema","title":"organization_full","content":"pub const organization_full: OrganizationFull\n\nSynonyms:\nmidas/sdk/github/schema.organization_full\nmidas/sdk/github/schema organization_full","url":"midas/sdk/github/schema.html#organization_full"},{"doc":"midas/sdk/github/schema","title":"organization_invitation","content":"pub const organization_invitation: OrganizationInvitation\n\nSynonyms:\nmidas/sdk/github/schema.organization_invitation\nmidas/sdk/github/schema organization_invitation","url":"midas/sdk/github/schema.html#organization_invitation"},{"doc":"midas/sdk/github/schema","title":"organization_programmatic_access_grant","content":"pub const organization_programmatic_access_grant: OrganizationProgrammaticAccessGrant\n\nSynonyms:\nmidas/sdk/github/schema.organization_programmatic_access_grant\nmidas/sdk/github/schema organization_programmatic_access_grant","url":"midas/sdk/github/schema.html#organization_programmatic_access_grant"},{"doc":"midas/sdk/github/schema","title":"organization_programmatic_access_grant_request","content":"pub const organization_programmatic_access_grant_request: OrganizationProgrammaticAccessGrantRequest\n\nSynonyms:\nmidas/sdk/github/schema.organization_programmatic_access_grant_request\nmidas/sdk/github/schema organization_programmatic_access_grant_request","url":"midas/sdk/github/schema.html#organization_programmatic_access_grant_request"},{"doc":"midas/sdk/github/schema","title":"organization_role","content":"pub const organization_role: OrganizationRole\n\nSynonyms:\nmidas/sdk/github/schema.organization_role\nmidas/sdk/github/schema organization_role","url":"midas/sdk/github/schema.html#organization_role"},{"doc":"midas/sdk/github/schema","title":"organization_secret_scanning_alert","content":"pub const organization_secret_scanning_alert: OrganizationSecretScanningAlert\n\nSynonyms:\nmidas/sdk/github/schema.organization_secret_scanning_alert\nmidas/sdk/github/schema organization_secret_scanning_alert","url":"midas/sdk/github/schema.html#organization_secret_scanning_alert"},{"doc":"midas/sdk/github/schema","title":"organization_simple","content":"pub const organization_simple: OrganizationSimple\n\nSynonyms:\nmidas/sdk/github/schema.organization_simple\nmidas/sdk/github/schema organization_simple","url":"midas/sdk/github/schema.html#organization_simple"},{"doc":"midas/sdk/github/schema","title":"organization_simple_webhooks","content":"pub const organization_simple_webhooks: OrganizationSimpleWebhooks\n\nSynonyms:\nmidas/sdk/github/schema.organization_simple_webhooks\nmidas/sdk/github/schema organization_simple_webhooks","url":"midas/sdk/github/schema.html#organization_simple_webhooks"},{"doc":"midas/sdk/github/schema","title":"package","content":"pub const package: Package\n\nSynonyms:\nmidas/sdk/github/schema.package\nmidas/sdk/github/schema package","url":"midas/sdk/github/schema.html#package"},{"doc":"midas/sdk/github/schema","title":"package_version","content":"pub const package_version: PackageVersion\n\nSynonyms:\nmidas/sdk/github/schema.package_version\nmidas/sdk/github/schema package_version","url":"midas/sdk/github/schema.html#package_version"},{"doc":"midas/sdk/github/schema","title":"packages_billing_usage","content":"pub const packages_billing_usage: PackagesBillingUsage\n\nSynonyms:\nmidas/sdk/github/schema.packages_billing_usage\nmidas/sdk/github/schema packages_billing_usage","url":"midas/sdk/github/schema.html#packages_billing_usage"},{"doc":"midas/sdk/github/schema","title":"page","content":"pub const page: Page\n\nSynonyms:\nmidas/sdk/github/schema.page\nmidas/sdk/github/schema page","url":"midas/sdk/github/schema.html#page"},{"doc":"midas/sdk/github/schema","title":"page_build","content":"pub const page_build: PageBuild\n\nSynonyms:\nmidas/sdk/github/schema.page_build\nmidas/sdk/github/schema page_build","url":"midas/sdk/github/schema.html#page_build"},{"doc":"midas/sdk/github/schema","title":"page_build_status","content":"pub const page_build_status: PageBuildStatus\n\nSynonyms:\nmidas/sdk/github/schema.page_build_status\nmidas/sdk/github/schema page_build_status","url":"midas/sdk/github/schema.html#page_build_status"},{"doc":"midas/sdk/github/schema","title":"page_deployment","content":"pub const page_deployment: PageDeployment\n\nSynonyms:\nmidas/sdk/github/schema.page_deployment\nmidas/sdk/github/schema page_deployment","url":"midas/sdk/github/schema.html#page_deployment"},{"doc":"midas/sdk/github/schema","title":"pages_deployment_status","content":"pub const pages_deployment_status: PagesDeploymentStatus\n\nSynonyms:\nmidas/sdk/github/schema.pages_deployment_status\nmidas/sdk/github/schema pages_deployment_status","url":"midas/sdk/github/schema.html#pages_deployment_status"},{"doc":"midas/sdk/github/schema","title":"pages_health_check","content":"pub const pages_health_check: PagesHealthCheck\n\nSynonyms:\nmidas/sdk/github/schema.pages_health_check\nmidas/sdk/github/schema pages_health_check","url":"midas/sdk/github/schema.html#pages_health_check"},{"doc":"midas/sdk/github/schema","title":"pages_https_certificate","content":"pub const pages_https_certificate: PagesHttpsCertificate\n\nSynonyms:\nmidas/sdk/github/schema.pages_https_certificate\nmidas/sdk/github/schema pages_https_certificate","url":"midas/sdk/github/schema.html#pages_https_certificate"},{"doc":"midas/sdk/github/schema","title":"pages_source_hash","content":"pub const pages_source_hash: PagesSourceHash\n\nSynonyms:\nmidas/sdk/github/schema.pages_source_hash\nmidas/sdk/github/schema pages_source_hash","url":"midas/sdk/github/schema.html#pages_source_hash"},{"doc":"midas/sdk/github/schema","title":"participation_stats","content":"pub const participation_stats: ParticipationStats\n\nSynonyms:\nmidas/sdk/github/schema.participation_stats\nmidas/sdk/github/schema participation_stats","url":"midas/sdk/github/schema.html#participation_stats"},{"doc":"midas/sdk/github/schema","title":"pending_deployment","content":"pub const pending_deployment: PendingDeployment\n\nSynonyms:\nmidas/sdk/github/schema.pending_deployment\nmidas/sdk/github/schema pending_deployment","url":"midas/sdk/github/schema.html#pending_deployment"},{"doc":"midas/sdk/github/schema","title":"personal_access_token_request","content":"pub const personal_access_token_request: PersonalAccessTokenRequest\n\nSynonyms:\nmidas/sdk/github/schema.personal_access_token_request\nmidas/sdk/github/schema personal_access_token_request","url":"midas/sdk/github/schema.html#personal_access_token_request"},{"doc":"midas/sdk/github/schema","title":"porter_author","content":"pub const porter_author: PorterAuthor\n\nSynonyms:\nmidas/sdk/github/schema.porter_author\nmidas/sdk/github/schema porter_author","url":"midas/sdk/github/schema.html#porter_author"},{"doc":"midas/sdk/github/schema","title":"porter_large_file","content":"pub const porter_large_file: PorterLargeFile\n\nSynonyms:\nmidas/sdk/github/schema.porter_large_file\nmidas/sdk/github/schema porter_large_file","url":"midas/sdk/github/schema.html#porter_large_file"},{"doc":"midas/sdk/github/schema","title":"private_user","content":"pub const private_user: PrivateUser\n\nSynonyms:\nmidas/sdk/github/schema.private_user\nmidas/sdk/github/schema private_user","url":"midas/sdk/github/schema.html#private_user"},{"doc":"midas/sdk/github/schema","title":"private_vulnerability_report_create","content":"pub const private_vulnerability_report_create: PrivateVulnerabilityReportCreate\n\nSynonyms:\nmidas/sdk/github/schema.private_vulnerability_report_create\nmidas/sdk/github/schema private_vulnerability_report_create","url":"midas/sdk/github/schema.html#private_vulnerability_report_create"},{"doc":"midas/sdk/github/schema","title":"project","content":"pub const project: Project\n\nSynonyms:\nmidas/sdk/github/schema.project\nmidas/sdk/github/schema project","url":"midas/sdk/github/schema.html#project"},{"doc":"midas/sdk/github/schema","title":"project_card","content":"pub const project_card: ProjectCard\n\nSynonyms:\nmidas/sdk/github/schema.project_card\nmidas/sdk/github/schema project_card","url":"midas/sdk/github/schema.html#project_card"},{"doc":"midas/sdk/github/schema","title":"project_collaborator_permission","content":"pub const project_collaborator_permission: ProjectCollaboratorPermission\n\nSynonyms:\nmidas/sdk/github/schema.project_collaborator_permission\nmidas/sdk/github/schema project_collaborator_permission","url":"midas/sdk/github/schema.html#project_collaborator_permission"},{"doc":"midas/sdk/github/schema","title":"project_column","content":"pub const project_column: ProjectColumn\n\nSynonyms:\nmidas/sdk/github/schema.project_column\nmidas/sdk/github/schema project_column","url":"midas/sdk/github/schema.html#project_column"},{"doc":"midas/sdk/github/schema","title":"projects_v2","content":"pub const projects_v2: ProjectsV2\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2\nmidas/sdk/github/schema projects_v2","url":"midas/sdk/github/schema.html#projects_v2"},{"doc":"midas/sdk/github/schema","title":"projects_v2_item","content":"pub const projects_v2_item: ProjectsV2Item\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_item\nmidas/sdk/github/schema projects_v2_item","url":"midas/sdk/github/schema.html#projects_v2_item"},{"doc":"midas/sdk/github/schema","title":"projects_v2_iteration_setting","content":"pub const projects_v2_iteration_setting: ProjectsV2IterationSetting\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_iteration_setting\nmidas/sdk/github/schema projects_v2_iteration_setting","url":"midas/sdk/github/schema.html#projects_v2_iteration_setting"},{"doc":"midas/sdk/github/schema","title":"projects_v2_single_select_option","content":"pub const projects_v2_single_select_option: ProjectsV2SingleSelectOption\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_single_select_option\nmidas/sdk/github/schema projects_v2_single_select_option","url":"midas/sdk/github/schema.html#projects_v2_single_select_option"},{"doc":"midas/sdk/github/schema","title":"projects_v2_status_update","content":"pub const projects_v2_status_update: ProjectsV2StatusUpdate\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_status_update\nmidas/sdk/github/schema projects_v2_status_update","url":"midas/sdk/github/schema.html#projects_v2_status_update"},{"doc":"midas/sdk/github/schema","title":"protected_branch","content":"pub const protected_branch: ProtectedBranch\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch\nmidas/sdk/github/schema protected_branch","url":"midas/sdk/github/schema.html#protected_branch"},{"doc":"midas/sdk/github/schema","title":"protected_branch_admin_enforced","content":"pub const protected_branch_admin_enforced: ProtectedBranchAdminEnforced\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_admin_enforced\nmidas/sdk/github/schema protected_branch_admin_enforced","url":"midas/sdk/github/schema.html#protected_branch_admin_enforced"},{"doc":"midas/sdk/github/schema","title":"protected_branch_pull_request_review","content":"pub const protected_branch_pull_request_review: ProtectedBranchPullRequestReview\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_pull_request_review\nmidas/sdk/github/schema protected_branch_pull_request_review","url":"midas/sdk/github/schema.html#protected_branch_pull_request_review"},{"doc":"midas/sdk/github/schema","title":"protected_branch_required_status_check","content":"pub const protected_branch_required_status_check: ProtectedBranchRequiredStatusCheck\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_required_status_check\nmidas/sdk/github/schema protected_branch_required_status_check","url":"midas/sdk/github/schema.html#protected_branch_required_status_check"},{"doc":"midas/sdk/github/schema","title":"public_user","content":"pub const public_user: PublicUser\n\nSynonyms:\nmidas/sdk/github/schema.public_user\nmidas/sdk/github/schema public_user","url":"midas/sdk/github/schema.html#public_user"},{"doc":"midas/sdk/github/schema","title":"pull_request","content":"pub const pull_request: PullRequest\n\nSynonyms:\nmidas/sdk/github/schema.pull_request\nmidas/sdk/github/schema pull_request","url":"midas/sdk/github/schema.html#pull_request"},{"doc":"midas/sdk/github/schema","title":"pull_request_merge_result","content":"pub const pull_request_merge_result: PullRequestMergeResult\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_merge_result\nmidas/sdk/github/schema pull_request_merge_result","url":"midas/sdk/github/schema.html#pull_request_merge_result"},{"doc":"midas/sdk/github/schema","title":"pull_request_minimal","content":"pub const pull_request_minimal: PullRequestMinimal\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_minimal\nmidas/sdk/github/schema pull_request_minimal","url":"midas/sdk/github/schema.html#pull_request_minimal"},{"doc":"midas/sdk/github/schema","title":"pull_request_review","content":"pub const pull_request_review: PullRequestReview\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review\nmidas/sdk/github/schema pull_request_review","url":"midas/sdk/github/schema.html#pull_request_review"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_comment","content":"pub const pull_request_review_comment: PullRequestReviewComment\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_comment\nmidas/sdk/github/schema pull_request_review_comment","url":"midas/sdk/github/schema.html#pull_request_review_comment"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_request","content":"pub const pull_request_review_request: PullRequestReviewRequest\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_request\nmidas/sdk/github/schema pull_request_review_request","url":"midas/sdk/github/schema.html#pull_request_review_request"},{"doc":"midas/sdk/github/schema","title":"pull_request_simple","content":"pub const pull_request_simple: PullRequestSimple\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_simple\nmidas/sdk/github/schema pull_request_simple","url":"midas/sdk/github/schema.html#pull_request_simple"},{"doc":"midas/sdk/github/schema","title":"pull_request_webhook","content":"pub const pull_request_webhook: PullRequestWebhook\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_webhook\nmidas/sdk/github/schema pull_request_webhook","url":"midas/sdk/github/schema.html#pull_request_webhook"},{"doc":"midas/sdk/github/schema","title":"rate_limit","content":"pub const rate_limit: RateLimit\n\nSynonyms:\nmidas/sdk/github/schema.rate_limit\nmidas/sdk/github/schema rate_limit","url":"midas/sdk/github/schema.html#rate_limit"},{"doc":"midas/sdk/github/schema","title":"rate_limit_overview","content":"pub const rate_limit_overview: RateLimitOverview\n\nSynonyms:\nmidas/sdk/github/schema.rate_limit_overview\nmidas/sdk/github/schema rate_limit_overview","url":"midas/sdk/github/schema.html#rate_limit_overview"},{"doc":"midas/sdk/github/schema","title":"reaction","content":"pub const reaction: Reaction\n\nSynonyms:\nmidas/sdk/github/schema.reaction\nmidas/sdk/github/schema reaction","url":"midas/sdk/github/schema.html#reaction"},{"doc":"midas/sdk/github/schema","title":"reaction_rollup","content":"pub const reaction_rollup: ReactionRollup\n\nSynonyms:\nmidas/sdk/github/schema.reaction_rollup\nmidas/sdk/github/schema reaction_rollup","url":"midas/sdk/github/schema.html#reaction_rollup"},{"doc":"midas/sdk/github/schema","title":"referenced_workflow","content":"pub const referenced_workflow: ReferencedWorkflow\n\nSynonyms:\nmidas/sdk/github/schema.referenced_workflow\nmidas/sdk/github/schema referenced_workflow","url":"midas/sdk/github/schema.html#referenced_workflow"},{"doc":"midas/sdk/github/schema","title":"referrer_traffic","content":"pub const referrer_traffic: ReferrerTraffic\n\nSynonyms:\nmidas/sdk/github/schema.referrer_traffic\nmidas/sdk/github/schema referrer_traffic","url":"midas/sdk/github/schema.html#referrer_traffic"},{"doc":"midas/sdk/github/schema","title":"release","content":"pub const release: Release\n\nSynonyms:\nmidas/sdk/github/schema.release\nmidas/sdk/github/schema release","url":"midas/sdk/github/schema.html#release"},{"doc":"midas/sdk/github/schema","title":"release_asset","content":"pub const release_asset: ReleaseAsset\n\nSynonyms:\nmidas/sdk/github/schema.release_asset\nmidas/sdk/github/schema release_asset","url":"midas/sdk/github/schema.html#release_asset"},{"doc":"midas/sdk/github/schema","title":"release_notes_content","content":"pub const release_notes_content: ReleaseNotesContent\n\nSynonyms:\nmidas/sdk/github/schema.release_notes_content\nmidas/sdk/github/schema release_notes_content","url":"midas/sdk/github/schema.html#release_notes_content"},{"doc":"midas/sdk/github/schema","title":"removed_from_project_issue_event","content":"pub const removed_from_project_issue_event: RemovedFromProjectIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.removed_from_project_issue_event\nmidas/sdk/github/schema removed_from_project_issue_event","url":"midas/sdk/github/schema.html#removed_from_project_issue_event"},{"doc":"midas/sdk/github/schema","title":"renamed_issue_event","content":"pub const renamed_issue_event: RenamedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.renamed_issue_event\nmidas/sdk/github/schema renamed_issue_event","url":"midas/sdk/github/schema.html#renamed_issue_event"},{"doc":"midas/sdk/github/schema","title":"repo_codespaces_secret","content":"pub const repo_codespaces_secret: RepoCodespacesSecret\n\nSynonyms:\nmidas/sdk/github/schema.repo_codespaces_secret\nmidas/sdk/github/schema repo_codespaces_secret","url":"midas/sdk/github/schema.html#repo_codespaces_secret"},{"doc":"midas/sdk/github/schema","title":"repo_search_result_item","content":"pub const repo_search_result_item: RepoSearchResultItem\n\nSynonyms:\nmidas/sdk/github/schema.repo_search_result_item\nmidas/sdk/github/schema repo_search_result_item","url":"midas/sdk/github/schema.html#repo_search_result_item"},{"doc":"midas/sdk/github/schema","title":"repository","content":"pub const repository: Repository\n\nSynonyms:\nmidas/sdk/github/schema.repository\nmidas/sdk/github/schema repository","url":"midas/sdk/github/schema.html#repository"},{"doc":"midas/sdk/github/schema","title":"repository_advisory","content":"pub const repository_advisory: RepositoryAdvisory\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory\nmidas/sdk/github/schema repository_advisory","url":"midas/sdk/github/schema.html#repository_advisory"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_create","content":"pub const repository_advisory_create: RepositoryAdvisoryCreate\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_create\nmidas/sdk/github/schema repository_advisory_create","url":"midas/sdk/github/schema.html#repository_advisory_create"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_credit","content":"pub const repository_advisory_credit: RepositoryAdvisoryCredit\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_credit\nmidas/sdk/github/schema repository_advisory_credit","url":"midas/sdk/github/schema.html#repository_advisory_credit"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_update","content":"pub const repository_advisory_update: RepositoryAdvisoryUpdate\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_update\nmidas/sdk/github/schema repository_advisory_update","url":"midas/sdk/github/schema.html#repository_advisory_update"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_vulnerability","content":"pub const repository_advisory_vulnerability: RepositoryAdvisoryVulnerability\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_vulnerability\nmidas/sdk/github/schema repository_advisory_vulnerability","url":"midas/sdk/github/schema.html#repository_advisory_vulnerability"},{"doc":"midas/sdk/github/schema","title":"repository_collaborator_permission","content":"pub const repository_collaborator_permission: RepositoryCollaboratorPermission\n\nSynonyms:\nmidas/sdk/github/schema.repository_collaborator_permission\nmidas/sdk/github/schema repository_collaborator_permission","url":"midas/sdk/github/schema.html#repository_collaborator_permission"},{"doc":"midas/sdk/github/schema","title":"repository_invitation","content":"pub const repository_invitation: RepositoryInvitation\n\nSynonyms:\nmidas/sdk/github/schema.repository_invitation\nmidas/sdk/github/schema repository_invitation","url":"midas/sdk/github/schema.html#repository_invitation"},{"doc":"midas/sdk/github/schema","title":"repository_rule","content":"pub const repository_rule: RepositoryRule\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule\nmidas/sdk/github/schema repository_rule","url":"midas/sdk/github/schema.html#repository_rule"},{"doc":"midas/sdk/github/schema","title":"repository_rule_branch_name_pattern","content":"pub const repository_rule_branch_name_pattern: RepositoryRuleBranchNamePattern\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_branch_name_pattern\nmidas/sdk/github/schema repository_rule_branch_name_pattern","url":"midas/sdk/github/schema.html#repository_rule_branch_name_pattern"},{"doc":"midas/sdk/github/schema","title":"repository_rule_code_scanning","content":"pub const repository_rule_code_scanning: RepositoryRuleCodeScanning\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_code_scanning\nmidas/sdk/github/schema repository_rule_code_scanning","url":"midas/sdk/github/schema.html#repository_rule_code_scanning"},{"doc":"midas/sdk/github/schema","title":"repository_rule_commit_author_email_pattern","content":"pub const repository_rule_commit_author_email_pattern: RepositoryRuleCommitAuthorEmailPattern\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_commit_author_email_pattern\nmidas/sdk/github/schema repository_rule_commit_author_email_pattern","url":"midas/sdk/github/schema.html#repository_rule_commit_author_email_pattern"},{"doc":"midas/sdk/github/schema","title":"repository_rule_commit_message_pattern","content":"pub const repository_rule_commit_message_pattern: RepositoryRuleCommitMessagePattern\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_commit_message_pattern\nmidas/sdk/github/schema repository_rule_commit_message_pattern","url":"midas/sdk/github/schema.html#repository_rule_commit_message_pattern"},{"doc":"midas/sdk/github/schema","title":"repository_rule_committer_email_pattern","content":"pub const repository_rule_committer_email_pattern: RepositoryRuleCommitterEmailPattern\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_committer_email_pattern\nmidas/sdk/github/schema repository_rule_committer_email_pattern","url":"midas/sdk/github/schema.html#repository_rule_committer_email_pattern"},{"doc":"midas/sdk/github/schema","title":"repository_rule_creation","content":"pub const repository_rule_creation: RepositoryRuleCreation\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_creation\nmidas/sdk/github/schema repository_rule_creation","url":"midas/sdk/github/schema.html#repository_rule_creation"},{"doc":"midas/sdk/github/schema","title":"repository_rule_deletion","content":"pub const repository_rule_deletion: RepositoryRuleDeletion\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_deletion\nmidas/sdk/github/schema repository_rule_deletion","url":"midas/sdk/github/schema.html#repository_rule_deletion"},{"doc":"midas/sdk/github/schema","title":"repository_rule_detailed","content":"pub const repository_rule_detailed: RepositoryRuleDetailed\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_detailed\nmidas/sdk/github/schema repository_rule_detailed","url":"midas/sdk/github/schema.html#repository_rule_detailed"},{"doc":"midas/sdk/github/schema","title":"repository_rule_merge_queue","content":"pub const repository_rule_merge_queue: RepositoryRuleMergeQueue\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_merge_queue\nmidas/sdk/github/schema repository_rule_merge_queue","url":"midas/sdk/github/schema.html#repository_rule_merge_queue"},{"doc":"midas/sdk/github/schema","title":"repository_rule_non_fast_forward","content":"pub const repository_rule_non_fast_forward: RepositoryRuleNonFastForward\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_non_fast_forward\nmidas/sdk/github/schema repository_rule_non_fast_forward","url":"midas/sdk/github/schema.html#repository_rule_non_fast_forward"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_code_scanning_tool","content":"pub const repository_rule_params_code_scanning_tool: RepositoryRuleParamsCodeScanningTool\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_code_scanning_tool\nmidas/sdk/github/schema repository_rule_params_code_scanning_tool","url":"midas/sdk/github/schema.html#repository_rule_params_code_scanning_tool"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_required_reviewer_configuration","content":"pub const repository_rule_params_required_reviewer_configuration: RepositoryRuleParamsRequiredReviewerConfiguration\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_required_reviewer_configuration\nmidas/sdk/github/schema repository_rule_params_required_reviewer_configuration","url":"midas/sdk/github/schema.html#repository_rule_params_required_reviewer_configuration"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_restricted_commits","content":"pub const repository_rule_params_restricted_commits: RepositoryRuleParamsRestrictedCommits\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_restricted_commits\nmidas/sdk/github/schema repository_rule_params_restricted_commits","url":"midas/sdk/github/schema.html#repository_rule_params_restricted_commits"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_status_check_configuration","content":"pub const repository_rule_params_status_check_configuration: RepositoryRuleParamsStatusCheckConfiguration\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_status_check_configuration\nmidas/sdk/github/schema repository_rule_params_status_check_configuration","url":"midas/sdk/github/schema.html#repository_rule_params_status_check_configuration"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_workflow_file_reference","content":"pub const repository_rule_params_workflow_file_reference: RepositoryRuleParamsWorkflowFileReference\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_workflow_file_reference\nmidas/sdk/github/schema repository_rule_params_workflow_file_reference","url":"midas/sdk/github/schema.html#repository_rule_params_workflow_file_reference"},{"doc":"midas/sdk/github/schema","title":"repository_rule_pull_request","content":"pub const repository_rule_pull_request: RepositoryRulePullRequest\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_pull_request\nmidas/sdk/github/schema repository_rule_pull_request","url":"midas/sdk/github/schema.html#repository_rule_pull_request"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_deployments","content":"pub const repository_rule_required_deployments: RepositoryRuleRequiredDeployments\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_deployments\nmidas/sdk/github/schema repository_rule_required_deployments","url":"midas/sdk/github/schema.html#repository_rule_required_deployments"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_linear_history","content":"pub const repository_rule_required_linear_history: RepositoryRuleRequiredLinearHistory\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_linear_history\nmidas/sdk/github/schema repository_rule_required_linear_history","url":"midas/sdk/github/schema.html#repository_rule_required_linear_history"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_signatures","content":"pub const repository_rule_required_signatures: RepositoryRuleRequiredSignatures\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_signatures\nmidas/sdk/github/schema repository_rule_required_signatures","url":"midas/sdk/github/schema.html#repository_rule_required_signatures"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_status_checks","content":"pub const repository_rule_required_status_checks: RepositoryRuleRequiredStatusChecks\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_status_checks\nmidas/sdk/github/schema repository_rule_required_status_checks","url":"midas/sdk/github/schema.html#repository_rule_required_status_checks"},{"doc":"midas/sdk/github/schema","title":"repository_rule_ruleset_info","content":"pub const repository_rule_ruleset_info: RepositoryRuleRulesetInfo\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_ruleset_info\nmidas/sdk/github/schema repository_rule_ruleset_info","url":"midas/sdk/github/schema.html#repository_rule_ruleset_info"},{"doc":"midas/sdk/github/schema","title":"repository_rule_tag_name_pattern","content":"pub const repository_rule_tag_name_pattern: RepositoryRuleTagNamePattern\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_tag_name_pattern\nmidas/sdk/github/schema repository_rule_tag_name_pattern","url":"midas/sdk/github/schema.html#repository_rule_tag_name_pattern"},{"doc":"midas/sdk/github/schema","title":"repository_rule_update","content":"pub const repository_rule_update: RepositoryRuleUpdate\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_update\nmidas/sdk/github/schema repository_rule_update","url":"midas/sdk/github/schema.html#repository_rule_update"},{"doc":"midas/sdk/github/schema","title":"repository_rule_violation_error","content":"pub const repository_rule_violation_error: RepositoryRuleViolationError\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_violation_error\nmidas/sdk/github/schema repository_rule_violation_error","url":"midas/sdk/github/schema.html#repository_rule_violation_error"},{"doc":"midas/sdk/github/schema","title":"repository_rule_workflows","content":"pub const repository_rule_workflows: RepositoryRuleWorkflows\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_workflows\nmidas/sdk/github/schema repository_rule_workflows","url":"midas/sdk/github/schema.html#repository_rule_workflows"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset","content":"pub const repository_ruleset: RepositoryRuleset\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset\nmidas/sdk/github/schema repository_ruleset","url":"midas/sdk/github/schema.html#repository_ruleset"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_bypass_actor","content":"pub const repository_ruleset_bypass_actor: RepositoryRulesetBypassActor\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_bypass_actor\nmidas/sdk/github/schema repository_ruleset_bypass_actor","url":"midas/sdk/github/schema.html#repository_ruleset_bypass_actor"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions","content":"pub const repository_ruleset_conditions: RepositoryRulesetConditions\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions\nmidas/sdk/github/schema repository_ruleset_conditions","url":"midas/sdk/github/schema.html#repository_ruleset_conditions"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_id_target","content":"pub const repository_ruleset_conditions_repository_id_target: RepositoryRulesetConditionsRepositoryIdTarget\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_id_target\nmidas/sdk/github/schema repository_ruleset_conditions_repository_id_target","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_id_target"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_name_target","content":"pub const repository_ruleset_conditions_repository_name_target: RepositoryRulesetConditionsRepositoryNameTarget\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_name_target\nmidas/sdk/github/schema repository_ruleset_conditions_repository_name_target","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_name_target"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_property_spec","content":"pub const repository_ruleset_conditions_repository_property_spec: RepositoryRulesetConditionsRepositoryPropertySpec\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_property_spec\nmidas/sdk/github/schema repository_ruleset_conditions_repository_property_spec","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_property_spec"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_property_target","content":"pub const repository_ruleset_conditions_repository_property_target: RepositoryRulesetConditionsRepositoryPropertyTarget\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_property_target\nmidas/sdk/github/schema repository_ruleset_conditions_repository_property_target","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_property_target"},{"doc":"midas/sdk/github/schema","title":"repository_subscription","content":"pub const repository_subscription: RepositorySubscription\n\nSynonyms:\nmidas/sdk/github/schema.repository_subscription\nmidas/sdk/github/schema repository_subscription","url":"midas/sdk/github/schema.html#repository_subscription"},{"doc":"midas/sdk/github/schema","title":"repository_webhooks","content":"pub const repository_webhooks: RepositoryWebhooks\n\nSynonyms:\nmidas/sdk/github/schema.repository_webhooks\nmidas/sdk/github/schema repository_webhooks","url":"midas/sdk/github/schema.html#repository_webhooks"},{"doc":"midas/sdk/github/schema","title":"review_comment","content":"pub const review_comment: ReviewComment\n\nSynonyms:\nmidas/sdk/github/schema.review_comment\nmidas/sdk/github/schema review_comment","url":"midas/sdk/github/schema.html#review_comment"},{"doc":"midas/sdk/github/schema","title":"review_custom_gates_comment_required","content":"pub const review_custom_gates_comment_required: ReviewCustomGatesCommentRequired\n\nSynonyms:\nmidas/sdk/github/schema.review_custom_gates_comment_required\nmidas/sdk/github/schema review_custom_gates_comment_required","url":"midas/sdk/github/schema.html#review_custom_gates_comment_required"},{"doc":"midas/sdk/github/schema","title":"review_custom_gates_state_required","content":"pub const review_custom_gates_state_required: ReviewCustomGatesStateRequired\n\nSynonyms:\nmidas/sdk/github/schema.review_custom_gates_state_required\nmidas/sdk/github/schema review_custom_gates_state_required","url":"midas/sdk/github/schema.html#review_custom_gates_state_required"},{"doc":"midas/sdk/github/schema","title":"review_dismissed_issue_event","content":"pub const review_dismissed_issue_event: ReviewDismissedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.review_dismissed_issue_event\nmidas/sdk/github/schema review_dismissed_issue_event","url":"midas/sdk/github/schema.html#review_dismissed_issue_event"},{"doc":"midas/sdk/github/schema","title":"review_request_removed_issue_event","content":"pub const review_request_removed_issue_event: ReviewRequestRemovedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.review_request_removed_issue_event\nmidas/sdk/github/schema review_request_removed_issue_event","url":"midas/sdk/github/schema.html#review_request_removed_issue_event"},{"doc":"midas/sdk/github/schema","title":"review_requested_issue_event","content":"pub const review_requested_issue_event: ReviewRequestedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.review_requested_issue_event\nmidas/sdk/github/schema review_requested_issue_event","url":"midas/sdk/github/schema.html#review_requested_issue_event"},{"doc":"midas/sdk/github/schema","title":"root","content":"pub const root: Root\n\nSynonyms:\nmidas/sdk/github/schema.root\nmidas/sdk/github/schema root","url":"midas/sdk/github/schema.html#root"},{"doc":"midas/sdk/github/schema","title":"rule_suite","content":"pub const rule_suite: RuleSuite\n\nSynonyms:\nmidas/sdk/github/schema.rule_suite\nmidas/sdk/github/schema rule_suite","url":"midas/sdk/github/schema.html#rule_suite"},{"doc":"midas/sdk/github/schema","title":"rule_suites","content":"pub const rule_suites: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.rule_suites\nmidas/sdk/github/schema rule_suites","url":"midas/sdk/github/schema.html#rule_suites"},{"doc":"midas/sdk/github/schema","title":"runner","content":"pub const runner: Runner\n\nSynonyms:\nmidas/sdk/github/schema.runner\nmidas/sdk/github/schema runner","url":"midas/sdk/github/schema.html#runner"},{"doc":"midas/sdk/github/schema","title":"runner_application","content":"pub const runner_application: RunnerApplication\n\nSynonyms:\nmidas/sdk/github/schema.runner_application\nmidas/sdk/github/schema runner_application","url":"midas/sdk/github/schema.html#runner_application"},{"doc":"midas/sdk/github/schema","title":"runner_groups_org","content":"pub const runner_groups_org: RunnerGroupsOrg\n\nSynonyms:\nmidas/sdk/github/schema.runner_groups_org\nmidas/sdk/github/schema runner_groups_org","url":"midas/sdk/github/schema.html#runner_groups_org"},{"doc":"midas/sdk/github/schema","title":"runner_label","content":"pub const runner_label: RunnerLabel\n\nSynonyms:\nmidas/sdk/github/schema.runner_label\nmidas/sdk/github/schema runner_label","url":"midas/sdk/github/schema.html#runner_label"},{"doc":"midas/sdk/github/schema","title":"scim_error","content":"pub const scim_error: ScimError\n\nSynonyms:\nmidas/sdk/github/schema.scim_error\nmidas/sdk/github/schema scim_error","url":"midas/sdk/github/schema.html#scim_error"},{"doc":"midas/sdk/github/schema","title":"search_result_text_matches","content":"pub const search_result_text_matches: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.search_result_text_matches\nmidas/sdk/github/schema search_result_text_matches","url":"midas/sdk/github/schema.html#search_result_text_matches"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert","content":"pub const secret_scanning_alert: SecretScanningAlert\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert\nmidas/sdk/github/schema secret_scanning_alert","url":"midas/sdk/github/schema.html#secret_scanning_alert"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_webhook","content":"pub const secret_scanning_alert_webhook: SecretScanningAlertWebhook\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_webhook\nmidas/sdk/github/schema secret_scanning_alert_webhook","url":"midas/sdk/github/schema.html#secret_scanning_alert_webhook"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location","content":"pub const secret_scanning_location: SecretScanningLocation\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location\nmidas/sdk/github/schema secret_scanning_location","url":"midas/sdk/github/schema.html#secret_scanning_location"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_commit","content":"pub const secret_scanning_location_commit: SecretScanningLocationCommit\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_commit\nmidas/sdk/github/schema secret_scanning_location_commit","url":"midas/sdk/github/schema.html#secret_scanning_location_commit"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_body","content":"pub const secret_scanning_location_discussion_body: SecretScanningLocationDiscussionBody\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_body\nmidas/sdk/github/schema secret_scanning_location_discussion_body","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_body"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_comment","content":"pub const secret_scanning_location_discussion_comment: SecretScanningLocationDiscussionComment\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_comment\nmidas/sdk/github/schema secret_scanning_location_discussion_comment","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_comment"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_title","content":"pub const secret_scanning_location_discussion_title: SecretScanningLocationDiscussionTitle\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_title\nmidas/sdk/github/schema secret_scanning_location_discussion_title","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_title"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_body","content":"pub const secret_scanning_location_issue_body: SecretScanningLocationIssueBody\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_body\nmidas/sdk/github/schema secret_scanning_location_issue_body","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_body"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_comment","content":"pub const secret_scanning_location_issue_comment: SecretScanningLocationIssueComment\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_comment\nmidas/sdk/github/schema secret_scanning_location_issue_comment","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_comment"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_title","content":"pub const secret_scanning_location_issue_title: SecretScanningLocationIssueTitle\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_title\nmidas/sdk/github/schema secret_scanning_location_issue_title","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_title"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_body","content":"pub const secret_scanning_location_pull_request_body: SecretScanningLocationPullRequestBody\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_body\nmidas/sdk/github/schema secret_scanning_location_pull_request_body","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_body"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_comment","content":"pub const secret_scanning_location_pull_request_comment: SecretScanningLocationPullRequestComment\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_comment\nmidas/sdk/github/schema secret_scanning_location_pull_request_comment","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_comment"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_review","content":"pub const secret_scanning_location_pull_request_review: SecretScanningLocationPullRequestReview\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_review\nmidas/sdk/github/schema secret_scanning_location_pull_request_review","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_review"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_review_comment","content":"pub const secret_scanning_location_pull_request_review_comment: SecretScanningLocationPullRequestReviewComment\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_review_comment\nmidas/sdk/github/schema secret_scanning_location_pull_request_review_comment","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_review_comment"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_title","content":"pub const secret_scanning_location_pull_request_title: SecretScanningLocationPullRequestTitle\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_title\nmidas/sdk/github/schema secret_scanning_location_pull_request_title","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_title"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_wiki_commit","content":"pub const secret_scanning_location_wiki_commit: SecretScanningLocationWikiCommit\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_wiki_commit\nmidas/sdk/github/schema secret_scanning_location_wiki_commit","url":"midas/sdk/github/schema.html#secret_scanning_location_wiki_commit"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_push_protection_bypass","content":"pub const secret_scanning_push_protection_bypass: SecretScanningPushProtectionBypass\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_push_protection_bypass\nmidas/sdk/github/schema secret_scanning_push_protection_bypass","url":"midas/sdk/github/schema.html#secret_scanning_push_protection_bypass"},{"doc":"midas/sdk/github/schema","title":"security_and_analysis","content":"pub const security_and_analysis: SecurityAndAnalysis\n\nSynonyms:\nmidas/sdk/github/schema.security_and_analysis\nmidas/sdk/github/schema security_and_analysis","url":"midas/sdk/github/schema.html#security_and_analysis"},{"doc":"midas/sdk/github/schema","title":"selected_actions","content":"pub const selected_actions: SelectedActions\n\nSynonyms:\nmidas/sdk/github/schema.selected_actions\nmidas/sdk/github/schema selected_actions","url":"midas/sdk/github/schema.html#selected_actions"},{"doc":"midas/sdk/github/schema","title":"short_blob","content":"pub const short_blob: ShortBlob\n\nSynonyms:\nmidas/sdk/github/schema.short_blob\nmidas/sdk/github/schema short_blob","url":"midas/sdk/github/schema.html#short_blob"},{"doc":"midas/sdk/github/schema","title":"short_branch","content":"pub const short_branch: ShortBranch\n\nSynonyms:\nmidas/sdk/github/schema.short_branch\nmidas/sdk/github/schema short_branch","url":"midas/sdk/github/schema.html#short_branch"},{"doc":"midas/sdk/github/schema","title":"sigstore_bundle_0","content":"pub const sigstore_bundle_0: SigstoreBundle0\n\nSynonyms:\nmidas/sdk/github/schema.sigstore_bundle_0\nmidas/sdk/github/schema sigstore_bundle_0","url":"midas/sdk/github/schema.html#sigstore_bundle_0"},{"doc":"midas/sdk/github/schema","title":"simple_check_suite","content":"pub const simple_check_suite: SimpleCheckSuite\n\nSynonyms:\nmidas/sdk/github/schema.simple_check_suite\nmidas/sdk/github/schema simple_check_suite","url":"midas/sdk/github/schema.html#simple_check_suite"},{"doc":"midas/sdk/github/schema","title":"simple_classroom","content":"pub const simple_classroom: SimpleClassroom\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom\nmidas/sdk/github/schema simple_classroom","url":"midas/sdk/github/schema.html#simple_classroom"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_assignment","content":"pub const simple_classroom_assignment: SimpleClassroomAssignment\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_assignment\nmidas/sdk/github/schema simple_classroom_assignment","url":"midas/sdk/github/schema.html#simple_classroom_assignment"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_organization","content":"pub const simple_classroom_organization: SimpleClassroomOrganization\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_organization\nmidas/sdk/github/schema simple_classroom_organization","url":"midas/sdk/github/schema.html#simple_classroom_organization"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_repository","content":"pub const simple_classroom_repository: SimpleClassroomRepository\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_repository\nmidas/sdk/github/schema simple_classroom_repository","url":"midas/sdk/github/schema.html#simple_classroom_repository"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_user","content":"pub const simple_classroom_user: SimpleClassroomUser\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_user\nmidas/sdk/github/schema simple_classroom_user","url":"midas/sdk/github/schema.html#simple_classroom_user"},{"doc":"midas/sdk/github/schema","title":"simple_commit","content":"pub const simple_commit: SimpleCommit\n\nSynonyms:\nmidas/sdk/github/schema.simple_commit\nmidas/sdk/github/schema simple_commit","url":"midas/sdk/github/schema.html#simple_commit"},{"doc":"midas/sdk/github/schema","title":"simple_commit_status","content":"pub const simple_commit_status: SimpleCommitStatus\n\nSynonyms:\nmidas/sdk/github/schema.simple_commit_status\nmidas/sdk/github/schema simple_commit_status","url":"midas/sdk/github/schema.html#simple_commit_status"},{"doc":"midas/sdk/github/schema","title":"simple_installation","content":"pub const simple_installation: SimpleInstallation\n\nSynonyms:\nmidas/sdk/github/schema.simple_installation\nmidas/sdk/github/schema simple_installation","url":"midas/sdk/github/schema.html#simple_installation"},{"doc":"midas/sdk/github/schema","title":"simple_repository","content":"pub const simple_repository: SimpleRepository\n\nSynonyms:\nmidas/sdk/github/schema.simple_repository\nmidas/sdk/github/schema simple_repository","url":"midas/sdk/github/schema.html#simple_repository"},{"doc":"midas/sdk/github/schema","title":"simple_user","content":"pub const simple_user: SimpleUser\n\nSynonyms:\nmidas/sdk/github/schema.simple_user\nmidas/sdk/github/schema simple_user","url":"midas/sdk/github/schema.html#simple_user"},{"doc":"midas/sdk/github/schema","title":"snapshot","content":"pub const snapshot: Snapshot\n\nSynonyms:\nmidas/sdk/github/schema.snapshot\nmidas/sdk/github/schema snapshot","url":"midas/sdk/github/schema.html#snapshot"},{"doc":"midas/sdk/github/schema","title":"social_account","content":"pub const social_account: SocialAccount\n\nSynonyms:\nmidas/sdk/github/schema.social_account\nmidas/sdk/github/schema social_account","url":"midas/sdk/github/schema.html#social_account"},{"doc":"midas/sdk/github/schema","title":"ssh_signing_key","content":"pub const ssh_signing_key: SshSigningKey\n\nSynonyms:\nmidas/sdk/github/schema.ssh_signing_key\nmidas/sdk/github/schema ssh_signing_key","url":"midas/sdk/github/schema.html#ssh_signing_key"},{"doc":"midas/sdk/github/schema","title":"stargazer","content":"pub const stargazer: Stargazer\n\nSynonyms:\nmidas/sdk/github/schema.stargazer\nmidas/sdk/github/schema stargazer","url":"midas/sdk/github/schema.html#stargazer"},{"doc":"midas/sdk/github/schema","title":"starred_repository","content":"pub const starred_repository: StarredRepository\n\nSynonyms:\nmidas/sdk/github/schema.starred_repository\nmidas/sdk/github/schema starred_repository","url":"midas/sdk/github/schema.html#starred_repository"},{"doc":"midas/sdk/github/schema","title":"state_change_issue_event","content":"pub const state_change_issue_event: StateChangeIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.state_change_issue_event\nmidas/sdk/github/schema state_change_issue_event","url":"midas/sdk/github/schema.html#state_change_issue_event"},{"doc":"midas/sdk/github/schema","title":"status","content":"pub const status: Status\n\nSynonyms:\nmidas/sdk/github/schema.status\nmidas/sdk/github/schema status","url":"midas/sdk/github/schema.html#status"},{"doc":"midas/sdk/github/schema","title":"status_check_policy","content":"pub const status_check_policy: StatusCheckPolicy\n\nSynonyms:\nmidas/sdk/github/schema.status_check_policy\nmidas/sdk/github/schema status_check_policy","url":"midas/sdk/github/schema.html#status_check_policy"},{"doc":"midas/sdk/github/schema","title":"tag","content":"pub const tag: Tag\n\nSynonyms:\nmidas/sdk/github/schema.tag\nmidas/sdk/github/schema tag","url":"midas/sdk/github/schema.html#tag"},{"doc":"midas/sdk/github/schema","title":"tag_protection","content":"pub const tag_protection: TagProtection\n\nSynonyms:\nmidas/sdk/github/schema.tag_protection\nmidas/sdk/github/schema tag_protection","url":"midas/sdk/github/schema.html#tag_protection"},{"doc":"midas/sdk/github/schema","title":"team","content":"pub const team: Team\n\nSynonyms:\nmidas/sdk/github/schema.team\nmidas/sdk/github/schema team","url":"midas/sdk/github/schema.html#team"},{"doc":"midas/sdk/github/schema","title":"team_discussion","content":"pub const team_discussion: TeamDiscussion\n\nSynonyms:\nmidas/sdk/github/schema.team_discussion\nmidas/sdk/github/schema team_discussion","url":"midas/sdk/github/schema.html#team_discussion"},{"doc":"midas/sdk/github/schema","title":"team_discussion_comment","content":"pub const team_discussion_comment: TeamDiscussionComment\n\nSynonyms:\nmidas/sdk/github/schema.team_discussion_comment\nmidas/sdk/github/schema team_discussion_comment","url":"midas/sdk/github/schema.html#team_discussion_comment"},{"doc":"midas/sdk/github/schema","title":"team_full","content":"pub const team_full: TeamFull\n\nSynonyms:\nmidas/sdk/github/schema.team_full\nmidas/sdk/github/schema team_full","url":"midas/sdk/github/schema.html#team_full"},{"doc":"midas/sdk/github/schema","title":"team_membership","content":"pub const team_membership: TeamMembership\n\nSynonyms:\nmidas/sdk/github/schema.team_membership\nmidas/sdk/github/schema team_membership","url":"midas/sdk/github/schema.html#team_membership"},{"doc":"midas/sdk/github/schema","title":"team_organization","content":"pub const team_organization: TeamOrganization\n\nSynonyms:\nmidas/sdk/github/schema.team_organization\nmidas/sdk/github/schema team_organization","url":"midas/sdk/github/schema.html#team_organization"},{"doc":"midas/sdk/github/schema","title":"team_project","content":"pub const team_project: TeamProject\n\nSynonyms:\nmidas/sdk/github/schema.team_project\nmidas/sdk/github/schema team_project","url":"midas/sdk/github/schema.html#team_project"},{"doc":"midas/sdk/github/schema","title":"team_repository","content":"pub const team_repository: TeamRepository\n\nSynonyms:\nmidas/sdk/github/schema.team_repository\nmidas/sdk/github/schema team_repository","url":"midas/sdk/github/schema.html#team_repository"},{"doc":"midas/sdk/github/schema","title":"team_role_assignment","content":"pub const team_role_assignment: TeamRoleAssignment\n\nSynonyms:\nmidas/sdk/github/schema.team_role_assignment\nmidas/sdk/github/schema team_role_assignment","url":"midas/sdk/github/schema.html#team_role_assignment"},{"doc":"midas/sdk/github/schema","title":"team_simple","content":"pub const team_simple: TeamSimple\n\nSynonyms:\nmidas/sdk/github/schema.team_simple\nmidas/sdk/github/schema team_simple","url":"midas/sdk/github/schema.html#team_simple"},{"doc":"midas/sdk/github/schema","title":"thread","content":"pub const thread: Thread\n\nSynonyms:\nmidas/sdk/github/schema.thread\nmidas/sdk/github/schema thread","url":"midas/sdk/github/schema.html#thread"},{"doc":"midas/sdk/github/schema","title":"thread_subscription","content":"pub const thread_subscription: ThreadSubscription\n\nSynonyms:\nmidas/sdk/github/schema.thread_subscription\nmidas/sdk/github/schema thread_subscription","url":"midas/sdk/github/schema.html#thread_subscription"},{"doc":"midas/sdk/github/schema","title":"timeline_assigned_issue_event","content":"pub const timeline_assigned_issue_event: TimelineAssignedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_assigned_issue_event\nmidas/sdk/github/schema timeline_assigned_issue_event","url":"midas/sdk/github/schema.html#timeline_assigned_issue_event"},{"doc":"midas/sdk/github/schema","title":"timeline_comment_event","content":"pub const timeline_comment_event: TimelineCommentEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_comment_event\nmidas/sdk/github/schema timeline_comment_event","url":"midas/sdk/github/schema.html#timeline_comment_event"},{"doc":"midas/sdk/github/schema","title":"timeline_commit_commented_event","content":"pub const timeline_commit_commented_event: TimelineCommitCommentedEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_commit_commented_event\nmidas/sdk/github/schema timeline_commit_commented_event","url":"midas/sdk/github/schema.html#timeline_commit_commented_event"},{"doc":"midas/sdk/github/schema","title":"timeline_committed_event","content":"pub const timeline_committed_event: TimelineCommittedEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_committed_event\nmidas/sdk/github/schema timeline_committed_event","url":"midas/sdk/github/schema.html#timeline_committed_event"},{"doc":"midas/sdk/github/schema","title":"timeline_cross_referenced_event","content":"pub const timeline_cross_referenced_event: TimelineCrossReferencedEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_cross_referenced_event\nmidas/sdk/github/schema timeline_cross_referenced_event","url":"midas/sdk/github/schema.html#timeline_cross_referenced_event"},{"doc":"midas/sdk/github/schema","title":"timeline_issue_events","content":"pub const timeline_issue_events: TimelineIssueEvents\n\nSynonyms:\nmidas/sdk/github/schema.timeline_issue_events\nmidas/sdk/github/schema timeline_issue_events","url":"midas/sdk/github/schema.html#timeline_issue_events"},{"doc":"midas/sdk/github/schema","title":"timeline_line_commented_event","content":"pub const timeline_line_commented_event: TimelineLineCommentedEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_line_commented_event\nmidas/sdk/github/schema timeline_line_commented_event","url":"midas/sdk/github/schema.html#timeline_line_commented_event"},{"doc":"midas/sdk/github/schema","title":"timeline_reviewed_event","content":"pub const timeline_reviewed_event: TimelineReviewedEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_reviewed_event\nmidas/sdk/github/schema timeline_reviewed_event","url":"midas/sdk/github/schema.html#timeline_reviewed_event"},{"doc":"midas/sdk/github/schema","title":"timeline_unassigned_issue_event","content":"pub const timeline_unassigned_issue_event: TimelineUnassignedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.timeline_unassigned_issue_event\nmidas/sdk/github/schema timeline_unassigned_issue_event","url":"midas/sdk/github/schema.html#timeline_unassigned_issue_event"},{"doc":"midas/sdk/github/schema","title":"topic","content":"pub const topic: Topic\n\nSynonyms:\nmidas/sdk/github/schema.topic\nmidas/sdk/github/schema topic","url":"midas/sdk/github/schema.html#topic"},{"doc":"midas/sdk/github/schema","title":"topic_search_result_item","content":"pub const topic_search_result_item: TopicSearchResultItem\n\nSynonyms:\nmidas/sdk/github/schema.topic_search_result_item\nmidas/sdk/github/schema topic_search_result_item","url":"midas/sdk/github/schema.html#topic_search_result_item"},{"doc":"midas/sdk/github/schema","title":"traffic","content":"pub const traffic: Traffic\n\nSynonyms:\nmidas/sdk/github/schema.traffic\nmidas/sdk/github/schema traffic","url":"midas/sdk/github/schema.html#traffic"},{"doc":"midas/sdk/github/schema","title":"unassigned_issue_event","content":"pub const unassigned_issue_event: UnassignedIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.unassigned_issue_event\nmidas/sdk/github/schema unassigned_issue_event","url":"midas/sdk/github/schema.html#unassigned_issue_event"},{"doc":"midas/sdk/github/schema","title":"unlabeled_issue_event","content":"pub const unlabeled_issue_event: UnlabeledIssueEvent\n\nSynonyms:\nmidas/sdk/github/schema.unlabeled_issue_event\nmidas/sdk/github/schema unlabeled_issue_event","url":"midas/sdk/github/schema.html#unlabeled_issue_event"},{"doc":"midas/sdk/github/schema","title":"user_marketplace_purchase","content":"pub const user_marketplace_purchase: UserMarketplacePurchase\n\nSynonyms:\nmidas/sdk/github/schema.user_marketplace_purchase\nmidas/sdk/github/schema user_marketplace_purchase","url":"midas/sdk/github/schema.html#user_marketplace_purchase"},{"doc":"midas/sdk/github/schema","title":"user_role_assignment","content":"pub const user_role_assignment: UserRoleAssignment\n\nSynonyms:\nmidas/sdk/github/schema.user_role_assignment\nmidas/sdk/github/schema user_role_assignment","url":"midas/sdk/github/schema.html#user_role_assignment"},{"doc":"midas/sdk/github/schema","title":"user_search_result_item","content":"pub const user_search_result_item: UserSearchResultItem\n\nSynonyms:\nmidas/sdk/github/schema.user_search_result_item\nmidas/sdk/github/schema user_search_result_item","url":"midas/sdk/github/schema.html#user_search_result_item"},{"doc":"midas/sdk/github/schema","title":"validation_error","content":"pub const validation_error: ValidationError\n\nSynonyms:\nmidas/sdk/github/schema.validation_error\nmidas/sdk/github/schema validation_error","url":"midas/sdk/github/schema.html#validation_error"},{"doc":"midas/sdk/github/schema","title":"validation_error_simple","content":"pub const validation_error_simple: ValidationErrorSimple\n\nSynonyms:\nmidas/sdk/github/schema.validation_error_simple\nmidas/sdk/github/schema validation_error_simple","url":"midas/sdk/github/schema.html#validation_error_simple"},{"doc":"midas/sdk/github/schema","title":"verification","content":"pub const verification: Verification\n\nSynonyms:\nmidas/sdk/github/schema.verification\nmidas/sdk/github/schema verification","url":"midas/sdk/github/schema.html#verification"},{"doc":"midas/sdk/github/schema","title":"view_traffic","content":"pub const view_traffic: ViewTraffic\n\nSynonyms:\nmidas/sdk/github/schema.view_traffic\nmidas/sdk/github/schema view_traffic","url":"midas/sdk/github/schema.html#view_traffic"},{"doc":"midas/sdk/github/schema","title":"vulnerability","content":"pub const vulnerability: Vulnerability\n\nSynonyms:\nmidas/sdk/github/schema.vulnerability\nmidas/sdk/github/schema vulnerability","url":"midas/sdk/github/schema.html#vulnerability"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_configuration_disabled","content":"pub const webhook_branch_protection_configuration_disabled: WebhookBranchProtectionConfigurationDisabled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_configuration_disabled\nmidas/sdk/github/schema webhook_branch_protection_configuration_disabled","url":"midas/sdk/github/schema.html#webhook_branch_protection_configuration_disabled"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_configuration_enabled","content":"pub const webhook_branch_protection_configuration_enabled: WebhookBranchProtectionConfigurationEnabled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_configuration_enabled\nmidas/sdk/github/schema webhook_branch_protection_configuration_enabled","url":"midas/sdk/github/schema.html#webhook_branch_protection_configuration_enabled"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_created","content":"pub const webhook_branch_protection_rule_created: WebhookBranchProtectionRuleCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_created\nmidas/sdk/github/schema webhook_branch_protection_rule_created","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_created"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_deleted","content":"pub const webhook_branch_protection_rule_deleted: WebhookBranchProtectionRuleDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_deleted\nmidas/sdk/github/schema webhook_branch_protection_rule_deleted","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_edited","content":"pub const webhook_branch_protection_rule_edited: WebhookBranchProtectionRuleEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_edited\nmidas/sdk/github/schema webhook_branch_protection_rule_edited","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_completed","content":"pub const webhook_check_run_completed: WebhookCheckRunCompleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_completed\nmidas/sdk/github/schema webhook_check_run_completed","url":"midas/sdk/github/schema.html#webhook_check_run_completed"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_completed_form_encoded","content":"pub const webhook_check_run_completed_form_encoded: WebhookCheckRunCompletedFormEncoded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_completed_form_encoded\nmidas/sdk/github/schema webhook_check_run_completed_form_encoded","url":"midas/sdk/github/schema.html#webhook_check_run_completed_form_encoded"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_created","content":"pub const webhook_check_run_created: WebhookCheckRunCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_created\nmidas/sdk/github/schema webhook_check_run_created","url":"midas/sdk/github/schema.html#webhook_check_run_created"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_created_form_encoded","content":"pub const webhook_check_run_created_form_encoded: WebhookCheckRunCreatedFormEncoded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_created_form_encoded\nmidas/sdk/github/schema webhook_check_run_created_form_encoded","url":"midas/sdk/github/schema.html#webhook_check_run_created_form_encoded"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_requested_action","content":"pub const webhook_check_run_requested_action: WebhookCheckRunRequestedAction\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_requested_action\nmidas/sdk/github/schema webhook_check_run_requested_action","url":"midas/sdk/github/schema.html#webhook_check_run_requested_action"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_requested_action_form_encoded","content":"pub const webhook_check_run_requested_action_form_encoded: WebhookCheckRunRequestedActionFormEncoded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_requested_action_form_encoded\nmidas/sdk/github/schema webhook_check_run_requested_action_form_encoded","url":"midas/sdk/github/schema.html#webhook_check_run_requested_action_form_encoded"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_rerequested","content":"pub const webhook_check_run_rerequested: WebhookCheckRunRerequested\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_rerequested\nmidas/sdk/github/schema webhook_check_run_rerequested","url":"midas/sdk/github/schema.html#webhook_check_run_rerequested"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_rerequested_form_encoded","content":"pub const webhook_check_run_rerequested_form_encoded: WebhookCheckRunRerequestedFormEncoded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_rerequested_form_encoded\nmidas/sdk/github/schema webhook_check_run_rerequested_form_encoded","url":"midas/sdk/github/schema.html#webhook_check_run_rerequested_form_encoded"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_completed","content":"pub const webhook_check_suite_completed: WebhookCheckSuiteCompleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_completed\nmidas/sdk/github/schema webhook_check_suite_completed","url":"midas/sdk/github/schema.html#webhook_check_suite_completed"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_requested","content":"pub const webhook_check_suite_requested: WebhookCheckSuiteRequested\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_requested\nmidas/sdk/github/schema webhook_check_suite_requested","url":"midas/sdk/github/schema.html#webhook_check_suite_requested"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_rerequested","content":"pub const webhook_check_suite_rerequested: WebhookCheckSuiteRerequested\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_rerequested\nmidas/sdk/github/schema webhook_check_suite_rerequested","url":"midas/sdk/github/schema.html#webhook_check_suite_rerequested"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_appeared_in_branch","content":"pub const webhook_code_scanning_alert_appeared_in_branch: WebhookCodeScanningAlertAppearedInBranch\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_appeared_in_branch\nmidas/sdk/github/schema webhook_code_scanning_alert_appeared_in_branch","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_appeared_in_branch"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_closed_by_user","content":"pub const webhook_code_scanning_alert_closed_by_user: WebhookCodeScanningAlertClosedByUser\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_closed_by_user\nmidas/sdk/github/schema webhook_code_scanning_alert_closed_by_user","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_closed_by_user"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_created","content":"pub const webhook_code_scanning_alert_created: WebhookCodeScanningAlertCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_created\nmidas/sdk/github/schema webhook_code_scanning_alert_created","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_created"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_fixed","content":"pub const webhook_code_scanning_alert_fixed: WebhookCodeScanningAlertFixed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_fixed\nmidas/sdk/github/schema webhook_code_scanning_alert_fixed","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_fixed"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_reopened","content":"pub const webhook_code_scanning_alert_reopened: WebhookCodeScanningAlertReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_reopened\nmidas/sdk/github/schema webhook_code_scanning_alert_reopened","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_reopened_by_user","content":"pub const webhook_code_scanning_alert_reopened_by_user: WebhookCodeScanningAlertReopenedByUser\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_reopened_by_user\nmidas/sdk/github/schema webhook_code_scanning_alert_reopened_by_user","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_reopened_by_user"},{"doc":"midas/sdk/github/schema","title":"webhook_commit_comment_created","content":"pub const webhook_commit_comment_created: WebhookCommitCommentCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_commit_comment_created\nmidas/sdk/github/schema webhook_commit_comment_created","url":"midas/sdk/github/schema.html#webhook_commit_comment_created"},{"doc":"midas/sdk/github/schema","title":"webhook_config","content":"pub const webhook_config: WebhookConfig\n\nSynonyms:\nmidas/sdk/github/schema.webhook_config\nmidas/sdk/github/schema webhook_config","url":"midas/sdk/github/schema.html#webhook_config"},{"doc":"midas/sdk/github/schema","title":"webhook_create","content":"pub const webhook_create: WebhookCreate\n\nSynonyms:\nmidas/sdk/github/schema.webhook_create\nmidas/sdk/github/schema webhook_create","url":"midas/sdk/github/schema.html#webhook_create"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_created","content":"pub const webhook_custom_property_created: WebhookCustomPropertyCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_created\nmidas/sdk/github/schema webhook_custom_property_created","url":"midas/sdk/github/schema.html#webhook_custom_property_created"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_deleted","content":"pub const webhook_custom_property_deleted: WebhookCustomPropertyDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_deleted\nmidas/sdk/github/schema webhook_custom_property_deleted","url":"midas/sdk/github/schema.html#webhook_custom_property_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_updated","content":"pub const webhook_custom_property_updated: WebhookCustomPropertyUpdated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_updated\nmidas/sdk/github/schema webhook_custom_property_updated","url":"midas/sdk/github/schema.html#webhook_custom_property_updated"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_values_updated","content":"pub const webhook_custom_property_values_updated: WebhookCustomPropertyValuesUpdated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_values_updated\nmidas/sdk/github/schema webhook_custom_property_values_updated","url":"midas/sdk/github/schema.html#webhook_custom_property_values_updated"},{"doc":"midas/sdk/github/schema","title":"webhook_delete","content":"pub const webhook_delete: WebhookDelete\n\nSynonyms:\nmidas/sdk/github/schema.webhook_delete\nmidas/sdk/github/schema webhook_delete","url":"midas/sdk/github/schema.html#webhook_delete"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_auto_dismissed","content":"pub const webhook_dependabot_alert_auto_dismissed: WebhookDependabotAlertAutoDismissed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_auto_dismissed\nmidas/sdk/github/schema webhook_dependabot_alert_auto_dismissed","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_auto_dismissed"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_auto_reopened","content":"pub const webhook_dependabot_alert_auto_reopened: WebhookDependabotAlertAutoReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_auto_reopened\nmidas/sdk/github/schema webhook_dependabot_alert_auto_reopened","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_auto_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_created","content":"pub const webhook_dependabot_alert_created: WebhookDependabotAlertCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_created\nmidas/sdk/github/schema webhook_dependabot_alert_created","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_created"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_dismissed","content":"pub const webhook_dependabot_alert_dismissed: WebhookDependabotAlertDismissed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_dismissed\nmidas/sdk/github/schema webhook_dependabot_alert_dismissed","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_dismissed"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_fixed","content":"pub const webhook_dependabot_alert_fixed: WebhookDependabotAlertFixed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_fixed\nmidas/sdk/github/schema webhook_dependabot_alert_fixed","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_fixed"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_reintroduced","content":"pub const webhook_dependabot_alert_reintroduced: WebhookDependabotAlertReintroduced\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_reintroduced\nmidas/sdk/github/schema webhook_dependabot_alert_reintroduced","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_reintroduced"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_reopened","content":"pub const webhook_dependabot_alert_reopened: WebhookDependabotAlertReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_reopened\nmidas/sdk/github/schema webhook_dependabot_alert_reopened","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_deploy_key_created","content":"pub const webhook_deploy_key_created: WebhookDeployKeyCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deploy_key_created\nmidas/sdk/github/schema webhook_deploy_key_created","url":"midas/sdk/github/schema.html#webhook_deploy_key_created"},{"doc":"midas/sdk/github/schema","title":"webhook_deploy_key_deleted","content":"pub const webhook_deploy_key_deleted: WebhookDeployKeyDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deploy_key_deleted\nmidas/sdk/github/schema webhook_deploy_key_deleted","url":"midas/sdk/github/schema.html#webhook_deploy_key_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_created","content":"pub const webhook_deployment_created: WebhookDeploymentCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_created\nmidas/sdk/github/schema webhook_deployment_created","url":"midas/sdk/github/schema.html#webhook_deployment_created"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_protection_rule_requested","content":"pub const webhook_deployment_protection_rule_requested: WebhookDeploymentProtectionRuleRequested\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_protection_rule_requested\nmidas/sdk/github/schema webhook_deployment_protection_rule_requested","url":"midas/sdk/github/schema.html#webhook_deployment_protection_rule_requested"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_approved","content":"pub const webhook_deployment_review_approved: WebhookDeploymentReviewApproved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_approved\nmidas/sdk/github/schema webhook_deployment_review_approved","url":"midas/sdk/github/schema.html#webhook_deployment_review_approved"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_rejected","content":"pub const webhook_deployment_review_rejected: WebhookDeploymentReviewRejected\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_rejected\nmidas/sdk/github/schema webhook_deployment_review_rejected","url":"midas/sdk/github/schema.html#webhook_deployment_review_rejected"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_requested","content":"pub const webhook_deployment_review_requested: WebhookDeploymentReviewRequested\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_requested\nmidas/sdk/github/schema webhook_deployment_review_requested","url":"midas/sdk/github/schema.html#webhook_deployment_review_requested"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_status_created","content":"pub const webhook_deployment_status_created: WebhookDeploymentStatusCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_status_created\nmidas/sdk/github/schema webhook_deployment_status_created","url":"midas/sdk/github/schema.html#webhook_deployment_status_created"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_answered","content":"pub const webhook_discussion_answered: WebhookDiscussionAnswered\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_answered\nmidas/sdk/github/schema webhook_discussion_answered","url":"midas/sdk/github/schema.html#webhook_discussion_answered"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_category_changed","content":"pub const webhook_discussion_category_changed: WebhookDiscussionCategoryChanged\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_category_changed\nmidas/sdk/github/schema webhook_discussion_category_changed","url":"midas/sdk/github/schema.html#webhook_discussion_category_changed"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_closed","content":"pub const webhook_discussion_closed: WebhookDiscussionClosed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_closed\nmidas/sdk/github/schema webhook_discussion_closed","url":"midas/sdk/github/schema.html#webhook_discussion_closed"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_created","content":"pub const webhook_discussion_comment_created: WebhookDiscussionCommentCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_created\nmidas/sdk/github/schema webhook_discussion_comment_created","url":"midas/sdk/github/schema.html#webhook_discussion_comment_created"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_deleted","content":"pub const webhook_discussion_comment_deleted: WebhookDiscussionCommentDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_deleted\nmidas/sdk/github/schema webhook_discussion_comment_deleted","url":"midas/sdk/github/schema.html#webhook_discussion_comment_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_edited","content":"pub const webhook_discussion_comment_edited: WebhookDiscussionCommentEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_edited\nmidas/sdk/github/schema webhook_discussion_comment_edited","url":"midas/sdk/github/schema.html#webhook_discussion_comment_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_created","content":"pub const webhook_discussion_created: WebhookDiscussionCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_created\nmidas/sdk/github/schema webhook_discussion_created","url":"midas/sdk/github/schema.html#webhook_discussion_created"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_deleted","content":"pub const webhook_discussion_deleted: WebhookDiscussionDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_deleted\nmidas/sdk/github/schema webhook_discussion_deleted","url":"midas/sdk/github/schema.html#webhook_discussion_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_edited","content":"pub const webhook_discussion_edited: WebhookDiscussionEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_edited\nmidas/sdk/github/schema webhook_discussion_edited","url":"midas/sdk/github/schema.html#webhook_discussion_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_labeled","content":"pub const webhook_discussion_labeled: WebhookDiscussionLabeled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_labeled\nmidas/sdk/github/schema webhook_discussion_labeled","url":"midas/sdk/github/schema.html#webhook_discussion_labeled"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_locked","content":"pub const webhook_discussion_locked: WebhookDiscussionLocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_locked\nmidas/sdk/github/schema webhook_discussion_locked","url":"midas/sdk/github/schema.html#webhook_discussion_locked"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_pinned","content":"pub const webhook_discussion_pinned: WebhookDiscussionPinned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_pinned\nmidas/sdk/github/schema webhook_discussion_pinned","url":"midas/sdk/github/schema.html#webhook_discussion_pinned"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_reopened","content":"pub const webhook_discussion_reopened: WebhookDiscussionReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_reopened\nmidas/sdk/github/schema webhook_discussion_reopened","url":"midas/sdk/github/schema.html#webhook_discussion_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_transferred","content":"pub const webhook_discussion_transferred: WebhookDiscussionTransferred\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_transferred\nmidas/sdk/github/schema webhook_discussion_transferred","url":"midas/sdk/github/schema.html#webhook_discussion_transferred"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unanswered","content":"pub const webhook_discussion_unanswered: WebhookDiscussionUnanswered\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unanswered\nmidas/sdk/github/schema webhook_discussion_unanswered","url":"midas/sdk/github/schema.html#webhook_discussion_unanswered"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unlabeled","content":"pub const webhook_discussion_unlabeled: WebhookDiscussionUnlabeled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unlabeled\nmidas/sdk/github/schema webhook_discussion_unlabeled","url":"midas/sdk/github/schema.html#webhook_discussion_unlabeled"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unlocked","content":"pub const webhook_discussion_unlocked: WebhookDiscussionUnlocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unlocked\nmidas/sdk/github/schema webhook_discussion_unlocked","url":"midas/sdk/github/schema.html#webhook_discussion_unlocked"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unpinned","content":"pub const webhook_discussion_unpinned: WebhookDiscussionUnpinned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unpinned\nmidas/sdk/github/schema webhook_discussion_unpinned","url":"midas/sdk/github/schema.html#webhook_discussion_unpinned"},{"doc":"midas/sdk/github/schema","title":"webhook_fork","content":"pub const webhook_fork: WebhookFork\n\nSynonyms:\nmidas/sdk/github/schema.webhook_fork\nmidas/sdk/github/schema webhook_fork","url":"midas/sdk/github/schema.html#webhook_fork"},{"doc":"midas/sdk/github/schema","title":"webhook_github_app_authorization_revoked","content":"pub const webhook_github_app_authorization_revoked: WebhookGithubAppAuthorizationRevoked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_github_app_authorization_revoked\nmidas/sdk/github/schema webhook_github_app_authorization_revoked","url":"midas/sdk/github/schema.html#webhook_github_app_authorization_revoked"},{"doc":"midas/sdk/github/schema","title":"webhook_gollum","content":"pub const webhook_gollum: WebhookGollum\n\nSynonyms:\nmidas/sdk/github/schema.webhook_gollum\nmidas/sdk/github/schema webhook_gollum","url":"midas/sdk/github/schema.html#webhook_gollum"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_created","content":"pub const webhook_installation_created: WebhookInstallationCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_created\nmidas/sdk/github/schema webhook_installation_created","url":"midas/sdk/github/schema.html#webhook_installation_created"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_deleted","content":"pub const webhook_installation_deleted: WebhookInstallationDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_deleted\nmidas/sdk/github/schema webhook_installation_deleted","url":"midas/sdk/github/schema.html#webhook_installation_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_new_permissions_accepted","content":"pub const webhook_installation_new_permissions_accepted: WebhookInstallationNewPermissionsAccepted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_new_permissions_accepted\nmidas/sdk/github/schema webhook_installation_new_permissions_accepted","url":"midas/sdk/github/schema.html#webhook_installation_new_permissions_accepted"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_repositories_added","content":"pub const webhook_installation_repositories_added: WebhookInstallationRepositoriesAdded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_repositories_added\nmidas/sdk/github/schema webhook_installation_repositories_added","url":"midas/sdk/github/schema.html#webhook_installation_repositories_added"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_repositories_removed","content":"pub const webhook_installation_repositories_removed: WebhookInstallationRepositoriesRemoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_repositories_removed\nmidas/sdk/github/schema webhook_installation_repositories_removed","url":"midas/sdk/github/schema.html#webhook_installation_repositories_removed"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_suspend","content":"pub const webhook_installation_suspend: WebhookInstallationSuspend\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_suspend\nmidas/sdk/github/schema webhook_installation_suspend","url":"midas/sdk/github/schema.html#webhook_installation_suspend"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_target_renamed","content":"pub const webhook_installation_target_renamed: WebhookInstallationTargetRenamed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_target_renamed\nmidas/sdk/github/schema webhook_installation_target_renamed","url":"midas/sdk/github/schema.html#webhook_installation_target_renamed"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_unsuspend","content":"pub const webhook_installation_unsuspend: WebhookInstallationUnsuspend\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_unsuspend\nmidas/sdk/github/schema webhook_installation_unsuspend","url":"midas/sdk/github/schema.html#webhook_installation_unsuspend"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_created","content":"pub const webhook_issue_comment_created: WebhookIssueCommentCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_created\nmidas/sdk/github/schema webhook_issue_comment_created","url":"midas/sdk/github/schema.html#webhook_issue_comment_created"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_deleted","content":"pub const webhook_issue_comment_deleted: WebhookIssueCommentDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_deleted\nmidas/sdk/github/schema webhook_issue_comment_deleted","url":"midas/sdk/github/schema.html#webhook_issue_comment_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_edited","content":"pub const webhook_issue_comment_edited: WebhookIssueCommentEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_edited\nmidas/sdk/github/schema webhook_issue_comment_edited","url":"midas/sdk/github/schema.html#webhook_issue_comment_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_assigned","content":"pub const webhook_issues_assigned: WebhookIssuesAssigned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_assigned\nmidas/sdk/github/schema webhook_issues_assigned","url":"midas/sdk/github/schema.html#webhook_issues_assigned"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_closed","content":"pub const webhook_issues_closed: WebhookIssuesClosed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_closed\nmidas/sdk/github/schema webhook_issues_closed","url":"midas/sdk/github/schema.html#webhook_issues_closed"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_deleted","content":"pub const webhook_issues_deleted: WebhookIssuesDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_deleted\nmidas/sdk/github/schema webhook_issues_deleted","url":"midas/sdk/github/schema.html#webhook_issues_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_demilestoned","content":"pub const webhook_issues_demilestoned: WebhookIssuesDemilestoned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_demilestoned\nmidas/sdk/github/schema webhook_issues_demilestoned","url":"midas/sdk/github/schema.html#webhook_issues_demilestoned"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_edited","content":"pub const webhook_issues_edited: WebhookIssuesEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_edited\nmidas/sdk/github/schema webhook_issues_edited","url":"midas/sdk/github/schema.html#webhook_issues_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_labeled","content":"pub const webhook_issues_labeled: WebhookIssuesLabeled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_labeled\nmidas/sdk/github/schema webhook_issues_labeled","url":"midas/sdk/github/schema.html#webhook_issues_labeled"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_locked","content":"pub const webhook_issues_locked: WebhookIssuesLocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_locked\nmidas/sdk/github/schema webhook_issues_locked","url":"midas/sdk/github/schema.html#webhook_issues_locked"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_milestoned","content":"pub const webhook_issues_milestoned: WebhookIssuesMilestoned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_milestoned\nmidas/sdk/github/schema webhook_issues_milestoned","url":"midas/sdk/github/schema.html#webhook_issues_milestoned"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_opened","content":"pub const webhook_issues_opened: WebhookIssuesOpened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_opened\nmidas/sdk/github/schema webhook_issues_opened","url":"midas/sdk/github/schema.html#webhook_issues_opened"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_pinned","content":"pub const webhook_issues_pinned: WebhookIssuesPinned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_pinned\nmidas/sdk/github/schema webhook_issues_pinned","url":"midas/sdk/github/schema.html#webhook_issues_pinned"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_reopened","content":"pub const webhook_issues_reopened: WebhookIssuesReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_reopened\nmidas/sdk/github/schema webhook_issues_reopened","url":"midas/sdk/github/schema.html#webhook_issues_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_transferred","content":"pub const webhook_issues_transferred: WebhookIssuesTransferred\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_transferred\nmidas/sdk/github/schema webhook_issues_transferred","url":"midas/sdk/github/schema.html#webhook_issues_transferred"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unassigned","content":"pub const webhook_issues_unassigned: WebhookIssuesUnassigned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unassigned\nmidas/sdk/github/schema webhook_issues_unassigned","url":"midas/sdk/github/schema.html#webhook_issues_unassigned"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unlabeled","content":"pub const webhook_issues_unlabeled: WebhookIssuesUnlabeled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unlabeled\nmidas/sdk/github/schema webhook_issues_unlabeled","url":"midas/sdk/github/schema.html#webhook_issues_unlabeled"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unlocked","content":"pub const webhook_issues_unlocked: WebhookIssuesUnlocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unlocked\nmidas/sdk/github/schema webhook_issues_unlocked","url":"midas/sdk/github/schema.html#webhook_issues_unlocked"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unpinned","content":"pub const webhook_issues_unpinned: WebhookIssuesUnpinned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unpinned\nmidas/sdk/github/schema webhook_issues_unpinned","url":"midas/sdk/github/schema.html#webhook_issues_unpinned"},{"doc":"midas/sdk/github/schema","title":"webhook_label_created","content":"pub const webhook_label_created: WebhookLabelCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_created\nmidas/sdk/github/schema webhook_label_created","url":"midas/sdk/github/schema.html#webhook_label_created"},{"doc":"midas/sdk/github/schema","title":"webhook_label_deleted","content":"pub const webhook_label_deleted: WebhookLabelDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_deleted\nmidas/sdk/github/schema webhook_label_deleted","url":"midas/sdk/github/schema.html#webhook_label_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_label_edited","content":"pub const webhook_label_edited: WebhookLabelEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_edited\nmidas/sdk/github/schema webhook_label_edited","url":"midas/sdk/github/schema.html#webhook_label_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_cancelled","content":"pub const webhook_marketplace_purchase_cancelled: WebhookMarketplacePurchaseCancelled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_cancelled\nmidas/sdk/github/schema webhook_marketplace_purchase_cancelled","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_cancelled"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_changed","content":"pub const webhook_marketplace_purchase_changed: WebhookMarketplacePurchaseChanged\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_changed\nmidas/sdk/github/schema webhook_marketplace_purchase_changed","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_changed"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_pending_change","content":"pub const webhook_marketplace_purchase_pending_change: WebhookMarketplacePurchasePendingChange\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_pending_change\nmidas/sdk/github/schema webhook_marketplace_purchase_pending_change","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_pending_change"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_pending_change_cancelled","content":"pub const webhook_marketplace_purchase_pending_change_cancelled: WebhookMarketplacePurchasePendingChangeCancelled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_pending_change_cancelled\nmidas/sdk/github/schema webhook_marketplace_purchase_pending_change_cancelled","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_pending_change_cancelled"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_purchased","content":"pub const webhook_marketplace_purchase_purchased: WebhookMarketplacePurchasePurchased\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_purchased\nmidas/sdk/github/schema webhook_marketplace_purchase_purchased","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_purchased"},{"doc":"midas/sdk/github/schema","title":"webhook_member_added","content":"pub const webhook_member_added: WebhookMemberAdded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_added\nmidas/sdk/github/schema webhook_member_added","url":"midas/sdk/github/schema.html#webhook_member_added"},{"doc":"midas/sdk/github/schema","title":"webhook_member_edited","content":"pub const webhook_member_edited: WebhookMemberEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_edited\nmidas/sdk/github/schema webhook_member_edited","url":"midas/sdk/github/schema.html#webhook_member_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_member_removed","content":"pub const webhook_member_removed: WebhookMemberRemoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_removed\nmidas/sdk/github/schema webhook_member_removed","url":"midas/sdk/github/schema.html#webhook_member_removed"},{"doc":"midas/sdk/github/schema","title":"webhook_membership_added","content":"pub const webhook_membership_added: WebhookMembershipAdded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_membership_added\nmidas/sdk/github/schema webhook_membership_added","url":"midas/sdk/github/schema.html#webhook_membership_added"},{"doc":"midas/sdk/github/schema","title":"webhook_membership_removed","content":"pub const webhook_membership_removed: WebhookMembershipRemoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_membership_removed\nmidas/sdk/github/schema webhook_membership_removed","url":"midas/sdk/github/schema.html#webhook_membership_removed"},{"doc":"midas/sdk/github/schema","title":"webhook_merge_group_checks_requested","content":"pub const webhook_merge_group_checks_requested: WebhookMergeGroupChecksRequested\n\nSynonyms:\nmidas/sdk/github/schema.webhook_merge_group_checks_requested\nmidas/sdk/github/schema webhook_merge_group_checks_requested","url":"midas/sdk/github/schema.html#webhook_merge_group_checks_requested"},{"doc":"midas/sdk/github/schema","title":"webhook_merge_group_destroyed","content":"pub const webhook_merge_group_destroyed: WebhookMergeGroupDestroyed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_merge_group_destroyed\nmidas/sdk/github/schema webhook_merge_group_destroyed","url":"midas/sdk/github/schema.html#webhook_merge_group_destroyed"},{"doc":"midas/sdk/github/schema","title":"webhook_meta_deleted","content":"pub const webhook_meta_deleted: WebhookMetaDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_meta_deleted\nmidas/sdk/github/schema webhook_meta_deleted","url":"midas/sdk/github/schema.html#webhook_meta_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_closed","content":"pub const webhook_milestone_closed: WebhookMilestoneClosed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_closed\nmidas/sdk/github/schema webhook_milestone_closed","url":"midas/sdk/github/schema.html#webhook_milestone_closed"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_created","content":"pub const webhook_milestone_created: WebhookMilestoneCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_created\nmidas/sdk/github/schema webhook_milestone_created","url":"midas/sdk/github/schema.html#webhook_milestone_created"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_deleted","content":"pub const webhook_milestone_deleted: WebhookMilestoneDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_deleted\nmidas/sdk/github/schema webhook_milestone_deleted","url":"midas/sdk/github/schema.html#webhook_milestone_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_edited","content":"pub const webhook_milestone_edited: WebhookMilestoneEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_edited\nmidas/sdk/github/schema webhook_milestone_edited","url":"midas/sdk/github/schema.html#webhook_milestone_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_opened","content":"pub const webhook_milestone_opened: WebhookMilestoneOpened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_opened\nmidas/sdk/github/schema webhook_milestone_opened","url":"midas/sdk/github/schema.html#webhook_milestone_opened"},{"doc":"midas/sdk/github/schema","title":"webhook_org_block_blocked","content":"pub const webhook_org_block_blocked: WebhookOrgBlockBlocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_org_block_blocked\nmidas/sdk/github/schema webhook_org_block_blocked","url":"midas/sdk/github/schema.html#webhook_org_block_blocked"},{"doc":"midas/sdk/github/schema","title":"webhook_org_block_unblocked","content":"pub const webhook_org_block_unblocked: WebhookOrgBlockUnblocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_org_block_unblocked\nmidas/sdk/github/schema webhook_org_block_unblocked","url":"midas/sdk/github/schema.html#webhook_org_block_unblocked"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_deleted","content":"pub const webhook_organization_deleted: WebhookOrganizationDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_deleted\nmidas/sdk/github/schema webhook_organization_deleted","url":"midas/sdk/github/schema.html#webhook_organization_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_added","content":"pub const webhook_organization_member_added: WebhookOrganizationMemberAdded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_added\nmidas/sdk/github/schema webhook_organization_member_added","url":"midas/sdk/github/schema.html#webhook_organization_member_added"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_invited","content":"pub const webhook_organization_member_invited: WebhookOrganizationMemberInvited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_invited\nmidas/sdk/github/schema webhook_organization_member_invited","url":"midas/sdk/github/schema.html#webhook_organization_member_invited"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_removed","content":"pub const webhook_organization_member_removed: WebhookOrganizationMemberRemoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_removed\nmidas/sdk/github/schema webhook_organization_member_removed","url":"midas/sdk/github/schema.html#webhook_organization_member_removed"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_renamed","content":"pub const webhook_organization_renamed: WebhookOrganizationRenamed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_renamed\nmidas/sdk/github/schema webhook_organization_renamed","url":"midas/sdk/github/schema.html#webhook_organization_renamed"},{"doc":"midas/sdk/github/schema","title":"webhook_package_published","content":"pub const webhook_package_published: WebhookPackagePublished\n\nSynonyms:\nmidas/sdk/github/schema.webhook_package_published\nmidas/sdk/github/schema webhook_package_published","url":"midas/sdk/github/schema.html#webhook_package_published"},{"doc":"midas/sdk/github/schema","title":"webhook_package_updated","content":"pub const webhook_package_updated: WebhookPackageUpdated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_package_updated\nmidas/sdk/github/schema webhook_package_updated","url":"midas/sdk/github/schema.html#webhook_package_updated"},{"doc":"midas/sdk/github/schema","title":"webhook_page_build","content":"pub const webhook_page_build: WebhookPageBuild\n\nSynonyms:\nmidas/sdk/github/schema.webhook_page_build\nmidas/sdk/github/schema webhook_page_build","url":"midas/sdk/github/schema.html#webhook_page_build"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_approved","content":"pub const webhook_personal_access_token_request_approved: WebhookPersonalAccessTokenRequestApproved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_approved\nmidas/sdk/github/schema webhook_personal_access_token_request_approved","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_approved"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_cancelled","content":"pub const webhook_personal_access_token_request_cancelled: WebhookPersonalAccessTokenRequestCancelled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_cancelled\nmidas/sdk/github/schema webhook_personal_access_token_request_cancelled","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_cancelled"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_created","content":"pub const webhook_personal_access_token_request_created: WebhookPersonalAccessTokenRequestCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_created\nmidas/sdk/github/schema webhook_personal_access_token_request_created","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_created"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_denied","content":"pub const webhook_personal_access_token_request_denied: WebhookPersonalAccessTokenRequestDenied\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_denied\nmidas/sdk/github/schema webhook_personal_access_token_request_denied","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_denied"},{"doc":"midas/sdk/github/schema","title":"webhook_ping","content":"pub const webhook_ping: WebhookPing\n\nSynonyms:\nmidas/sdk/github/schema.webhook_ping\nmidas/sdk/github/schema webhook_ping","url":"midas/sdk/github/schema.html#webhook_ping"},{"doc":"midas/sdk/github/schema","title":"webhook_ping_form_encoded","content":"pub const webhook_ping_form_encoded: WebhookPingFormEncoded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_ping_form_encoded\nmidas/sdk/github/schema webhook_ping_form_encoded","url":"midas/sdk/github/schema.html#webhook_ping_form_encoded"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_converted","content":"pub const webhook_project_card_converted: WebhookProjectCardConverted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_converted\nmidas/sdk/github/schema webhook_project_card_converted","url":"midas/sdk/github/schema.html#webhook_project_card_converted"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_created","content":"pub const webhook_project_card_created: WebhookProjectCardCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_created\nmidas/sdk/github/schema webhook_project_card_created","url":"midas/sdk/github/schema.html#webhook_project_card_created"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_deleted","content":"pub const webhook_project_card_deleted: WebhookProjectCardDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_deleted\nmidas/sdk/github/schema webhook_project_card_deleted","url":"midas/sdk/github/schema.html#webhook_project_card_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_edited","content":"pub const webhook_project_card_edited: WebhookProjectCardEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_edited\nmidas/sdk/github/schema webhook_project_card_edited","url":"midas/sdk/github/schema.html#webhook_project_card_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_moved","content":"pub const webhook_project_card_moved: WebhookProjectCardMoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_moved\nmidas/sdk/github/schema webhook_project_card_moved","url":"midas/sdk/github/schema.html#webhook_project_card_moved"},{"doc":"midas/sdk/github/schema","title":"webhook_project_closed","content":"pub const webhook_project_closed: WebhookProjectClosed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_closed\nmidas/sdk/github/schema webhook_project_closed","url":"midas/sdk/github/schema.html#webhook_project_closed"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_created","content":"pub const webhook_project_column_created: WebhookProjectColumnCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_created\nmidas/sdk/github/schema webhook_project_column_created","url":"midas/sdk/github/schema.html#webhook_project_column_created"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_deleted","content":"pub const webhook_project_column_deleted: WebhookProjectColumnDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_deleted\nmidas/sdk/github/schema webhook_project_column_deleted","url":"midas/sdk/github/schema.html#webhook_project_column_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_edited","content":"pub const webhook_project_column_edited: WebhookProjectColumnEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_edited\nmidas/sdk/github/schema webhook_project_column_edited","url":"midas/sdk/github/schema.html#webhook_project_column_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_moved","content":"pub const webhook_project_column_moved: WebhookProjectColumnMoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_moved\nmidas/sdk/github/schema webhook_project_column_moved","url":"midas/sdk/github/schema.html#webhook_project_column_moved"},{"doc":"midas/sdk/github/schema","title":"webhook_project_created","content":"pub const webhook_project_created: WebhookProjectCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_created\nmidas/sdk/github/schema webhook_project_created","url":"midas/sdk/github/schema.html#webhook_project_created"},{"doc":"midas/sdk/github/schema","title":"webhook_project_deleted","content":"pub const webhook_project_deleted: WebhookProjectDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_deleted\nmidas/sdk/github/schema webhook_project_deleted","url":"midas/sdk/github/schema.html#webhook_project_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_project_edited","content":"pub const webhook_project_edited: WebhookProjectEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_edited\nmidas/sdk/github/schema webhook_project_edited","url":"midas/sdk/github/schema.html#webhook_project_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_project_reopened","content":"pub const webhook_project_reopened: WebhookProjectReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_reopened\nmidas/sdk/github/schema webhook_project_reopened","url":"midas/sdk/github/schema.html#webhook_project_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_archived","content":"pub const webhook_projects_v2_item_archived: WebhookProjectsV2ItemArchived\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_archived\nmidas/sdk/github/schema webhook_projects_v2_item_archived","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_archived"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_converted","content":"pub const webhook_projects_v2_item_converted: WebhookProjectsV2ItemConverted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_converted\nmidas/sdk/github/schema webhook_projects_v2_item_converted","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_converted"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_created","content":"pub const webhook_projects_v2_item_created: WebhookProjectsV2ItemCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_created\nmidas/sdk/github/schema webhook_projects_v2_item_created","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_created"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_deleted","content":"pub const webhook_projects_v2_item_deleted: WebhookProjectsV2ItemDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_deleted\nmidas/sdk/github/schema webhook_projects_v2_item_deleted","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_edited","content":"pub const webhook_projects_v2_item_edited: WebhookProjectsV2ItemEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_edited\nmidas/sdk/github/schema webhook_projects_v2_item_edited","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_reordered","content":"pub const webhook_projects_v2_item_reordered: WebhookProjectsV2ItemReordered\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_reordered\nmidas/sdk/github/schema webhook_projects_v2_item_reordered","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_reordered"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_restored","content":"pub const webhook_projects_v2_item_restored: WebhookProjectsV2ItemRestored\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_restored\nmidas/sdk/github/schema webhook_projects_v2_item_restored","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_restored"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_closed","content":"pub const webhook_projects_v2_project_closed: WebhookProjectsV2ProjectClosed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_closed\nmidas/sdk/github/schema webhook_projects_v2_project_closed","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_closed"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_created","content":"pub const webhook_projects_v2_project_created: WebhookProjectsV2ProjectCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_created\nmidas/sdk/github/schema webhook_projects_v2_project_created","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_created"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_deleted","content":"pub const webhook_projects_v2_project_deleted: WebhookProjectsV2ProjectDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_deleted\nmidas/sdk/github/schema webhook_projects_v2_project_deleted","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_edited","content":"pub const webhook_projects_v2_project_edited: WebhookProjectsV2ProjectEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_edited\nmidas/sdk/github/schema webhook_projects_v2_project_edited","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_reopened","content":"pub const webhook_projects_v2_project_reopened: WebhookProjectsV2ProjectReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_reopened\nmidas/sdk/github/schema webhook_projects_v2_project_reopened","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_created","content":"pub const webhook_projects_v2_status_update_created: WebhookProjectsV2StatusUpdateCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_created\nmidas/sdk/github/schema webhook_projects_v2_status_update_created","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_created"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_deleted","content":"pub const webhook_projects_v2_status_update_deleted: WebhookProjectsV2StatusUpdateDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_deleted\nmidas/sdk/github/schema webhook_projects_v2_status_update_deleted","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_edited","content":"pub const webhook_projects_v2_status_update_edited: WebhookProjectsV2StatusUpdateEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_edited\nmidas/sdk/github/schema webhook_projects_v2_status_update_edited","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_public","content":"pub const webhook_public: WebhookPublic\n\nSynonyms:\nmidas/sdk/github/schema.webhook_public\nmidas/sdk/github/schema webhook_public","url":"midas/sdk/github/schema.html#webhook_public"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_assigned","content":"pub const webhook_pull_request_assigned: WebhookPullRequestAssigned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_assigned\nmidas/sdk/github/schema webhook_pull_request_assigned","url":"midas/sdk/github/schema.html#webhook_pull_request_assigned"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_auto_merge_disabled","content":"pub const webhook_pull_request_auto_merge_disabled: WebhookPullRequestAutoMergeDisabled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_auto_merge_disabled\nmidas/sdk/github/schema webhook_pull_request_auto_merge_disabled","url":"midas/sdk/github/schema.html#webhook_pull_request_auto_merge_disabled"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_auto_merge_enabled","content":"pub const webhook_pull_request_auto_merge_enabled: WebhookPullRequestAutoMergeEnabled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_auto_merge_enabled\nmidas/sdk/github/schema webhook_pull_request_auto_merge_enabled","url":"midas/sdk/github/schema.html#webhook_pull_request_auto_merge_enabled"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_closed","content":"pub const webhook_pull_request_closed: WebhookPullRequestClosed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_closed\nmidas/sdk/github/schema webhook_pull_request_closed","url":"midas/sdk/github/schema.html#webhook_pull_request_closed"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_converted_to_draft","content":"pub const webhook_pull_request_converted_to_draft: WebhookPullRequestConvertedToDraft\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_converted_to_draft\nmidas/sdk/github/schema webhook_pull_request_converted_to_draft","url":"midas/sdk/github/schema.html#webhook_pull_request_converted_to_draft"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_demilestoned","content":"pub const webhook_pull_request_demilestoned: WebhookPullRequestDemilestoned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_demilestoned\nmidas/sdk/github/schema webhook_pull_request_demilestoned","url":"midas/sdk/github/schema.html#webhook_pull_request_demilestoned"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_dequeued","content":"pub const webhook_pull_request_dequeued: WebhookPullRequestDequeued\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_dequeued\nmidas/sdk/github/schema webhook_pull_request_dequeued","url":"midas/sdk/github/schema.html#webhook_pull_request_dequeued"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_edited","content":"pub const webhook_pull_request_edited: WebhookPullRequestEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_edited\nmidas/sdk/github/schema webhook_pull_request_edited","url":"midas/sdk/github/schema.html#webhook_pull_request_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_enqueued","content":"pub const webhook_pull_request_enqueued: WebhookPullRequestEnqueued\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_enqueued\nmidas/sdk/github/schema webhook_pull_request_enqueued","url":"midas/sdk/github/schema.html#webhook_pull_request_enqueued"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_labeled","content":"pub const webhook_pull_request_labeled: WebhookPullRequestLabeled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_labeled\nmidas/sdk/github/schema webhook_pull_request_labeled","url":"midas/sdk/github/schema.html#webhook_pull_request_labeled"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_locked","content":"pub const webhook_pull_request_locked: WebhookPullRequestLocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_locked\nmidas/sdk/github/schema webhook_pull_request_locked","url":"midas/sdk/github/schema.html#webhook_pull_request_locked"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_milestoned","content":"pub const webhook_pull_request_milestoned: WebhookPullRequestMilestoned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_milestoned\nmidas/sdk/github/schema webhook_pull_request_milestoned","url":"midas/sdk/github/schema.html#webhook_pull_request_milestoned"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_opened","content":"pub const webhook_pull_request_opened: WebhookPullRequestOpened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_opened\nmidas/sdk/github/schema webhook_pull_request_opened","url":"midas/sdk/github/schema.html#webhook_pull_request_opened"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_ready_for_review","content":"pub const webhook_pull_request_ready_for_review: WebhookPullRequestReadyForReview\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_ready_for_review\nmidas/sdk/github/schema webhook_pull_request_ready_for_review","url":"midas/sdk/github/schema.html#webhook_pull_request_ready_for_review"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_reopened","content":"pub const webhook_pull_request_reopened: WebhookPullRequestReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_reopened\nmidas/sdk/github/schema webhook_pull_request_reopened","url":"midas/sdk/github/schema.html#webhook_pull_request_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_created","content":"pub const webhook_pull_request_review_comment_created: WebhookPullRequestReviewCommentCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_created\nmidas/sdk/github/schema webhook_pull_request_review_comment_created","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_created"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_deleted","content":"pub const webhook_pull_request_review_comment_deleted: WebhookPullRequestReviewCommentDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_deleted\nmidas/sdk/github/schema webhook_pull_request_review_comment_deleted","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_edited","content":"pub const webhook_pull_request_review_comment_edited: WebhookPullRequestReviewCommentEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_edited\nmidas/sdk/github/schema webhook_pull_request_review_comment_edited","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_dismissed","content":"pub const webhook_pull_request_review_dismissed: WebhookPullRequestReviewDismissed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_dismissed\nmidas/sdk/github/schema webhook_pull_request_review_dismissed","url":"midas/sdk/github/schema.html#webhook_pull_request_review_dismissed"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_edited","content":"pub const webhook_pull_request_review_edited: WebhookPullRequestReviewEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_edited\nmidas/sdk/github/schema webhook_pull_request_review_edited","url":"midas/sdk/github/schema.html#webhook_pull_request_review_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_submitted","content":"pub const webhook_pull_request_review_submitted: WebhookPullRequestReviewSubmitted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_submitted\nmidas/sdk/github/schema webhook_pull_request_review_submitted","url":"midas/sdk/github/schema.html#webhook_pull_request_review_submitted"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_thread_resolved","content":"pub const webhook_pull_request_review_thread_resolved: WebhookPullRequestReviewThreadResolved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_thread_resolved\nmidas/sdk/github/schema webhook_pull_request_review_thread_resolved","url":"midas/sdk/github/schema.html#webhook_pull_request_review_thread_resolved"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_thread_unresolved","content":"pub const webhook_pull_request_review_thread_unresolved: WebhookPullRequestReviewThreadUnresolved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_thread_unresolved\nmidas/sdk/github/schema webhook_pull_request_review_thread_unresolved","url":"midas/sdk/github/schema.html#webhook_pull_request_review_thread_unresolved"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_synchronize","content":"pub const webhook_pull_request_synchronize: WebhookPullRequestSynchronize\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_synchronize\nmidas/sdk/github/schema webhook_pull_request_synchronize","url":"midas/sdk/github/schema.html#webhook_pull_request_synchronize"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unassigned","content":"pub const webhook_pull_request_unassigned: WebhookPullRequestUnassigned\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unassigned\nmidas/sdk/github/schema webhook_pull_request_unassigned","url":"midas/sdk/github/schema.html#webhook_pull_request_unassigned"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unlabeled","content":"pub const webhook_pull_request_unlabeled: WebhookPullRequestUnlabeled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unlabeled\nmidas/sdk/github/schema webhook_pull_request_unlabeled","url":"midas/sdk/github/schema.html#webhook_pull_request_unlabeled"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unlocked","content":"pub const webhook_pull_request_unlocked: WebhookPullRequestUnlocked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unlocked\nmidas/sdk/github/schema webhook_pull_request_unlocked","url":"midas/sdk/github/schema.html#webhook_pull_request_unlocked"},{"doc":"midas/sdk/github/schema","title":"webhook_push","content":"pub const webhook_push: WebhookPush\n\nSynonyms:\nmidas/sdk/github/schema.webhook_push\nmidas/sdk/github/schema webhook_push","url":"midas/sdk/github/schema.html#webhook_push"},{"doc":"midas/sdk/github/schema","title":"webhook_registry_package_published","content":"pub const webhook_registry_package_published: WebhookRegistryPackagePublished\n\nSynonyms:\nmidas/sdk/github/schema.webhook_registry_package_published\nmidas/sdk/github/schema webhook_registry_package_published","url":"midas/sdk/github/schema.html#webhook_registry_package_published"},{"doc":"midas/sdk/github/schema","title":"webhook_registry_package_updated","content":"pub const webhook_registry_package_updated: WebhookRegistryPackageUpdated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_registry_package_updated\nmidas/sdk/github/schema webhook_registry_package_updated","url":"midas/sdk/github/schema.html#webhook_registry_package_updated"},{"doc":"midas/sdk/github/schema","title":"webhook_release_created","content":"pub const webhook_release_created: WebhookReleaseCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_created\nmidas/sdk/github/schema webhook_release_created","url":"midas/sdk/github/schema.html#webhook_release_created"},{"doc":"midas/sdk/github/schema","title":"webhook_release_deleted","content":"pub const webhook_release_deleted: WebhookReleaseDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_deleted\nmidas/sdk/github/schema webhook_release_deleted","url":"midas/sdk/github/schema.html#webhook_release_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_release_edited","content":"pub const webhook_release_edited: WebhookReleaseEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_edited\nmidas/sdk/github/schema webhook_release_edited","url":"midas/sdk/github/schema.html#webhook_release_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_release_prereleased","content":"pub const webhook_release_prereleased: WebhookReleasePrereleased\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_prereleased\nmidas/sdk/github/schema webhook_release_prereleased","url":"midas/sdk/github/schema.html#webhook_release_prereleased"},{"doc":"midas/sdk/github/schema","title":"webhook_release_published","content":"pub const webhook_release_published: WebhookReleasePublished\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_published\nmidas/sdk/github/schema webhook_release_published","url":"midas/sdk/github/schema.html#webhook_release_published"},{"doc":"midas/sdk/github/schema","title":"webhook_release_released","content":"pub const webhook_release_released: WebhookReleaseReleased\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_released\nmidas/sdk/github/schema webhook_release_released","url":"midas/sdk/github/schema.html#webhook_release_released"},{"doc":"midas/sdk/github/schema","title":"webhook_release_unpublished","content":"pub const webhook_release_unpublished: WebhookReleaseUnpublished\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_unpublished\nmidas/sdk/github/schema webhook_release_unpublished","url":"midas/sdk/github/schema.html#webhook_release_unpublished"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_advisory_published","content":"pub const webhook_repository_advisory_published: WebhookRepositoryAdvisoryPublished\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_advisory_published\nmidas/sdk/github/schema webhook_repository_advisory_published","url":"midas/sdk/github/schema.html#webhook_repository_advisory_published"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_advisory_reported","content":"pub const webhook_repository_advisory_reported: WebhookRepositoryAdvisoryReported\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_advisory_reported\nmidas/sdk/github/schema webhook_repository_advisory_reported","url":"midas/sdk/github/schema.html#webhook_repository_advisory_reported"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_archived","content":"pub const webhook_repository_archived: WebhookRepositoryArchived\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_archived\nmidas/sdk/github/schema webhook_repository_archived","url":"midas/sdk/github/schema.html#webhook_repository_archived"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_created","content":"pub const webhook_repository_created: WebhookRepositoryCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_created\nmidas/sdk/github/schema webhook_repository_created","url":"midas/sdk/github/schema.html#webhook_repository_created"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_deleted","content":"pub const webhook_repository_deleted: WebhookRepositoryDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_deleted\nmidas/sdk/github/schema webhook_repository_deleted","url":"midas/sdk/github/schema.html#webhook_repository_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_dispatch_sample","content":"pub const webhook_repository_dispatch_sample: WebhookRepositoryDispatchSample\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_dispatch_sample\nmidas/sdk/github/schema webhook_repository_dispatch_sample","url":"midas/sdk/github/schema.html#webhook_repository_dispatch_sample"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_edited","content":"pub const webhook_repository_edited: WebhookRepositoryEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_edited\nmidas/sdk/github/schema webhook_repository_edited","url":"midas/sdk/github/schema.html#webhook_repository_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_import","content":"pub const webhook_repository_import: WebhookRepositoryImport\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_import\nmidas/sdk/github/schema webhook_repository_import","url":"midas/sdk/github/schema.html#webhook_repository_import"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_privatized","content":"pub const webhook_repository_privatized: WebhookRepositoryPrivatized\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_privatized\nmidas/sdk/github/schema webhook_repository_privatized","url":"midas/sdk/github/schema.html#webhook_repository_privatized"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_publicized","content":"pub const webhook_repository_publicized: WebhookRepositoryPublicized\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_publicized\nmidas/sdk/github/schema webhook_repository_publicized","url":"midas/sdk/github/schema.html#webhook_repository_publicized"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_renamed","content":"pub const webhook_repository_renamed: WebhookRepositoryRenamed\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_renamed\nmidas/sdk/github/schema webhook_repository_renamed","url":"midas/sdk/github/schema.html#webhook_repository_renamed"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_created","content":"pub const webhook_repository_ruleset_created: WebhookRepositoryRulesetCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_created\nmidas/sdk/github/schema webhook_repository_ruleset_created","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_created"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_deleted","content":"pub const webhook_repository_ruleset_deleted: WebhookRepositoryRulesetDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_deleted\nmidas/sdk/github/schema webhook_repository_ruleset_deleted","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_edited","content":"pub const webhook_repository_ruleset_edited: WebhookRepositoryRulesetEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_edited\nmidas/sdk/github/schema webhook_repository_ruleset_edited","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_transferred","content":"pub const webhook_repository_transferred: WebhookRepositoryTransferred\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_transferred\nmidas/sdk/github/schema webhook_repository_transferred","url":"midas/sdk/github/schema.html#webhook_repository_transferred"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_unarchived","content":"pub const webhook_repository_unarchived: WebhookRepositoryUnarchived\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_unarchived\nmidas/sdk/github/schema webhook_repository_unarchived","url":"midas/sdk/github/schema.html#webhook_repository_unarchived"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_create","content":"pub const webhook_repository_vulnerability_alert_create: WebhookRepositoryVulnerabilityAlertCreate\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_create\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_create","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_create"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_dismiss","content":"pub const webhook_repository_vulnerability_alert_dismiss: WebhookRepositoryVulnerabilityAlertDismiss\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_dismiss\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_dismiss","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_dismiss"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_reopen","content":"pub const webhook_repository_vulnerability_alert_reopen: WebhookRepositoryVulnerabilityAlertReopen\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_reopen\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_reopen","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_reopen"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_resolve","content":"pub const webhook_repository_vulnerability_alert_resolve: WebhookRepositoryVulnerabilityAlertResolve\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_resolve\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_resolve","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_resolve"},{"doc":"midas/sdk/github/schema","title":"webhook_rubygems_metadata","content":"pub const webhook_rubygems_metadata: WebhookRubygemsMetadata\n\nSynonyms:\nmidas/sdk/github/schema.webhook_rubygems_metadata\nmidas/sdk/github/schema webhook_rubygems_metadata","url":"midas/sdk/github/schema.html#webhook_rubygems_metadata"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_created","content":"pub const webhook_secret_scanning_alert_created: WebhookSecretScanningAlertCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_created\nmidas/sdk/github/schema webhook_secret_scanning_alert_created","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_created"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_location_created","content":"pub const webhook_secret_scanning_alert_location_created: WebhookSecretScanningAlertLocationCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_location_created\nmidas/sdk/github/schema webhook_secret_scanning_alert_location_created","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_location_created"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_location_created_form_encoded","content":"pub const webhook_secret_scanning_alert_location_created_form_encoded: WebhookSecretScanningAlertLocationCreatedFormEncoded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_location_created_form_encoded\nmidas/sdk/github/schema webhook_secret_scanning_alert_location_created_form_encoded","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_location_created_form_encoded"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_publicly_leaked","content":"pub const webhook_secret_scanning_alert_publicly_leaked: WebhookSecretScanningAlertPubliclyLeaked\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_publicly_leaked\nmidas/sdk/github/schema webhook_secret_scanning_alert_publicly_leaked","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_publicly_leaked"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_reopened","content":"pub const webhook_secret_scanning_alert_reopened: WebhookSecretScanningAlertReopened\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_reopened\nmidas/sdk/github/schema webhook_secret_scanning_alert_reopened","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_reopened"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_resolved","content":"pub const webhook_secret_scanning_alert_resolved: WebhookSecretScanningAlertResolved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_resolved\nmidas/sdk/github/schema webhook_secret_scanning_alert_resolved","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_resolved"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_validated","content":"pub const webhook_secret_scanning_alert_validated: WebhookSecretScanningAlertValidated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_validated\nmidas/sdk/github/schema webhook_secret_scanning_alert_validated","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_validated"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_published","content":"pub const webhook_security_advisory_published: WebhookSecurityAdvisoryPublished\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_published\nmidas/sdk/github/schema webhook_security_advisory_published","url":"midas/sdk/github/schema.html#webhook_security_advisory_published"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_updated","content":"pub const webhook_security_advisory_updated: WebhookSecurityAdvisoryUpdated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_updated\nmidas/sdk/github/schema webhook_security_advisory_updated","url":"midas/sdk/github/schema.html#webhook_security_advisory_updated"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_withdrawn","content":"pub const webhook_security_advisory_withdrawn: WebhookSecurityAdvisoryWithdrawn\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_withdrawn\nmidas/sdk/github/schema webhook_security_advisory_withdrawn","url":"midas/sdk/github/schema.html#webhook_security_advisory_withdrawn"},{"doc":"midas/sdk/github/schema","title":"webhook_security_and_analysis","content":"pub const webhook_security_and_analysis: WebhookSecurityAndAnalysis\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_and_analysis\nmidas/sdk/github/schema webhook_security_and_analysis","url":"midas/sdk/github/schema.html#webhook_security_and_analysis"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_cancelled","content":"pub const webhook_sponsorship_cancelled: WebhookSponsorshipCancelled\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_cancelled\nmidas/sdk/github/schema webhook_sponsorship_cancelled","url":"midas/sdk/github/schema.html#webhook_sponsorship_cancelled"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_created","content":"pub const webhook_sponsorship_created: WebhookSponsorshipCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_created\nmidas/sdk/github/schema webhook_sponsorship_created","url":"midas/sdk/github/schema.html#webhook_sponsorship_created"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_edited","content":"pub const webhook_sponsorship_edited: WebhookSponsorshipEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_edited\nmidas/sdk/github/schema webhook_sponsorship_edited","url":"midas/sdk/github/schema.html#webhook_sponsorship_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_pending_cancellation","content":"pub const webhook_sponsorship_pending_cancellation: WebhookSponsorshipPendingCancellation\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_pending_cancellation\nmidas/sdk/github/schema webhook_sponsorship_pending_cancellation","url":"midas/sdk/github/schema.html#webhook_sponsorship_pending_cancellation"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_pending_tier_change","content":"pub const webhook_sponsorship_pending_tier_change: WebhookSponsorshipPendingTierChange\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_pending_tier_change\nmidas/sdk/github/schema webhook_sponsorship_pending_tier_change","url":"midas/sdk/github/schema.html#webhook_sponsorship_pending_tier_change"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_tier_changed","content":"pub const webhook_sponsorship_tier_changed: WebhookSponsorshipTierChanged\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_tier_changed\nmidas/sdk/github/schema webhook_sponsorship_tier_changed","url":"midas/sdk/github/schema.html#webhook_sponsorship_tier_changed"},{"doc":"midas/sdk/github/schema","title":"webhook_star_created","content":"pub const webhook_star_created: WebhookStarCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_star_created\nmidas/sdk/github/schema webhook_star_created","url":"midas/sdk/github/schema.html#webhook_star_created"},{"doc":"midas/sdk/github/schema","title":"webhook_star_deleted","content":"pub const webhook_star_deleted: WebhookStarDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_star_deleted\nmidas/sdk/github/schema webhook_star_deleted","url":"midas/sdk/github/schema.html#webhook_star_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_status","content":"pub const webhook_status: WebhookStatus\n\nSynonyms:\nmidas/sdk/github/schema.webhook_status\nmidas/sdk/github/schema webhook_status","url":"midas/sdk/github/schema.html#webhook_status"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_parent_issue_added","content":"pub const webhook_sub_issues_parent_issue_added: WebhookSubIssuesParentIssueAdded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_parent_issue_added\nmidas/sdk/github/schema webhook_sub_issues_parent_issue_added","url":"midas/sdk/github/schema.html#webhook_sub_issues_parent_issue_added"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_parent_issue_removed","content":"pub const webhook_sub_issues_parent_issue_removed: WebhookSubIssuesParentIssueRemoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_parent_issue_removed\nmidas/sdk/github/schema webhook_sub_issues_parent_issue_removed","url":"midas/sdk/github/schema.html#webhook_sub_issues_parent_issue_removed"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_sub_issue_added","content":"pub const webhook_sub_issues_sub_issue_added: WebhookSubIssuesSubIssueAdded\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_sub_issue_added\nmidas/sdk/github/schema webhook_sub_issues_sub_issue_added","url":"midas/sdk/github/schema.html#webhook_sub_issues_sub_issue_added"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_sub_issue_removed","content":"pub const webhook_sub_issues_sub_issue_removed: WebhookSubIssuesSubIssueRemoved\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_sub_issue_removed\nmidas/sdk/github/schema webhook_sub_issues_sub_issue_removed","url":"midas/sdk/github/schema.html#webhook_sub_issues_sub_issue_removed"},{"doc":"midas/sdk/github/schema","title":"webhook_team_add","content":"pub const webhook_team_add: WebhookTeamAdd\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_add\nmidas/sdk/github/schema webhook_team_add","url":"midas/sdk/github/schema.html#webhook_team_add"},{"doc":"midas/sdk/github/schema","title":"webhook_team_added_to_repository","content":"pub const webhook_team_added_to_repository: WebhookTeamAddedToRepository\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_added_to_repository\nmidas/sdk/github/schema webhook_team_added_to_repository","url":"midas/sdk/github/schema.html#webhook_team_added_to_repository"},{"doc":"midas/sdk/github/schema","title":"webhook_team_created","content":"pub const webhook_team_created: WebhookTeamCreated\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_created\nmidas/sdk/github/schema webhook_team_created","url":"midas/sdk/github/schema.html#webhook_team_created"},{"doc":"midas/sdk/github/schema","title":"webhook_team_deleted","content":"pub const webhook_team_deleted: WebhookTeamDeleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_deleted\nmidas/sdk/github/schema webhook_team_deleted","url":"midas/sdk/github/schema.html#webhook_team_deleted"},{"doc":"midas/sdk/github/schema","title":"webhook_team_edited","content":"pub const webhook_team_edited: WebhookTeamEdited\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_edited\nmidas/sdk/github/schema webhook_team_edited","url":"midas/sdk/github/schema.html#webhook_team_edited"},{"doc":"midas/sdk/github/schema","title":"webhook_team_removed_from_repository","content":"pub const webhook_team_removed_from_repository: WebhookTeamRemovedFromRepository\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_removed_from_repository\nmidas/sdk/github/schema webhook_team_removed_from_repository","url":"midas/sdk/github/schema.html#webhook_team_removed_from_repository"},{"doc":"midas/sdk/github/schema","title":"webhook_watch_started","content":"pub const webhook_watch_started: WebhookWatchStarted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_watch_started\nmidas/sdk/github/schema webhook_watch_started","url":"midas/sdk/github/schema.html#webhook_watch_started"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_dispatch","content":"pub const webhook_workflow_dispatch: WebhookWorkflowDispatch\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_dispatch\nmidas/sdk/github/schema webhook_workflow_dispatch","url":"midas/sdk/github/schema.html#webhook_workflow_dispatch"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_completed","content":"pub const webhook_workflow_job_completed: WebhookWorkflowJobCompleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_completed\nmidas/sdk/github/schema webhook_workflow_job_completed","url":"midas/sdk/github/schema.html#webhook_workflow_job_completed"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_in_progress","content":"pub const webhook_workflow_job_in_progress: WebhookWorkflowJobInProgress\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_in_progress\nmidas/sdk/github/schema webhook_workflow_job_in_progress","url":"midas/sdk/github/schema.html#webhook_workflow_job_in_progress"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_queued","content":"pub const webhook_workflow_job_queued: WebhookWorkflowJobQueued\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_queued\nmidas/sdk/github/schema webhook_workflow_job_queued","url":"midas/sdk/github/schema.html#webhook_workflow_job_queued"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_waiting","content":"pub const webhook_workflow_job_waiting: WebhookWorkflowJobWaiting\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_waiting\nmidas/sdk/github/schema webhook_workflow_job_waiting","url":"midas/sdk/github/schema.html#webhook_workflow_job_waiting"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_completed","content":"pub const webhook_workflow_run_completed: WebhookWorkflowRunCompleted\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_completed\nmidas/sdk/github/schema webhook_workflow_run_completed","url":"midas/sdk/github/schema.html#webhook_workflow_run_completed"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_in_progress","content":"pub const webhook_workflow_run_in_progress: WebhookWorkflowRunInProgress\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_in_progress\nmidas/sdk/github/schema webhook_workflow_run_in_progress","url":"midas/sdk/github/schema.html#webhook_workflow_run_in_progress"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_requested","content":"pub const webhook_workflow_run_requested: WebhookWorkflowRunRequested\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_requested\nmidas/sdk/github/schema webhook_workflow_run_requested","url":"midas/sdk/github/schema.html#webhook_workflow_run_requested"},{"doc":"midas/sdk/github/schema","title":"webhooks_alert","content":"pub const webhooks_alert: WebhooksAlert\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_alert\nmidas/sdk/github/schema webhooks_alert","url":"midas/sdk/github/schema.html#webhooks_alert"},{"doc":"midas/sdk/github/schema","title":"webhooks_answer","content":"pub const webhooks_answer: WebhooksAnswer\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_answer\nmidas/sdk/github/schema webhooks_answer","url":"midas/sdk/github/schema.html#webhooks_answer"},{"doc":"midas/sdk/github/schema","title":"webhooks_approver","content":"pub const webhooks_approver: WebhooksApprover\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_approver\nmidas/sdk/github/schema webhooks_approver","url":"midas/sdk/github/schema.html#webhooks_approver"},{"doc":"midas/sdk/github/schema","title":"webhooks_changes","content":"pub const webhooks_changes: WebhooksChanges\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_changes\nmidas/sdk/github/schema webhooks_changes","url":"midas/sdk/github/schema.html#webhooks_changes"},{"doc":"midas/sdk/github/schema","title":"webhooks_changes_8","content":"pub const webhooks_changes_8: WebhooksChanges8\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_changes_8\nmidas/sdk/github/schema webhooks_changes_8","url":"midas/sdk/github/schema.html#webhooks_changes_8"},{"doc":"midas/sdk/github/schema","title":"webhooks_comment","content":"pub const webhooks_comment: WebhooksComment\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_comment\nmidas/sdk/github/schema webhooks_comment","url":"midas/sdk/github/schema.html#webhooks_comment"},{"doc":"midas/sdk/github/schema","title":"webhooks_deploy_key","content":"pub const webhooks_deploy_key: WebhooksDeployKey\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_deploy_key\nmidas/sdk/github/schema webhooks_deploy_key","url":"midas/sdk/github/schema.html#webhooks_deploy_key"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue","content":"pub const webhooks_issue: WebhooksIssue\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue\nmidas/sdk/github/schema webhooks_issue","url":"midas/sdk/github/schema.html#webhooks_issue"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue_2","content":"pub const webhooks_issue_2: WebhooksIssue2\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue_2\nmidas/sdk/github/schema webhooks_issue_2","url":"midas/sdk/github/schema.html#webhooks_issue_2"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue_comment","content":"pub const webhooks_issue_comment: WebhooksIssueComment\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue_comment\nmidas/sdk/github/schema webhooks_issue_comment","url":"midas/sdk/github/schema.html#webhooks_issue_comment"},{"doc":"midas/sdk/github/schema","title":"webhooks_label","content":"pub const webhooks_label: WebhooksLabel\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_label\nmidas/sdk/github/schema webhooks_label","url":"midas/sdk/github/schema.html#webhooks_label"},{"doc":"midas/sdk/github/schema","title":"webhooks_marketplace_purchase","content":"pub const webhooks_marketplace_purchase: WebhooksMarketplacePurchase\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_marketplace_purchase\nmidas/sdk/github/schema webhooks_marketplace_purchase","url":"midas/sdk/github/schema.html#webhooks_marketplace_purchase"},{"doc":"midas/sdk/github/schema","title":"webhooks_membership","content":"pub const webhooks_membership: WebhooksMembership\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_membership\nmidas/sdk/github/schema webhooks_membership","url":"midas/sdk/github/schema.html#webhooks_membership"},{"doc":"midas/sdk/github/schema","title":"webhooks_milestone","content":"pub const webhooks_milestone: WebhooksMilestone\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_milestone\nmidas/sdk/github/schema webhooks_milestone","url":"midas/sdk/github/schema.html#webhooks_milestone"},{"doc":"midas/sdk/github/schema","title":"webhooks_milestone_3","content":"pub const webhooks_milestone_3: WebhooksMilestone3\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_milestone_3\nmidas/sdk/github/schema webhooks_milestone_3","url":"midas/sdk/github/schema.html#webhooks_milestone_3"},{"doc":"midas/sdk/github/schema","title":"webhooks_previous_marketplace_purchase","content":"pub const webhooks_previous_marketplace_purchase: WebhooksPreviousMarketplacePurchase\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_previous_marketplace_purchase\nmidas/sdk/github/schema webhooks_previous_marketplace_purchase","url":"midas/sdk/github/schema.html#webhooks_previous_marketplace_purchase"},{"doc":"midas/sdk/github/schema","title":"webhooks_project","content":"pub const webhooks_project: WebhooksProject\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project\nmidas/sdk/github/schema webhooks_project","url":"midas/sdk/github/schema.html#webhooks_project"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_card","content":"pub const webhooks_project_card: WebhooksProjectCard\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_card\nmidas/sdk/github/schema webhooks_project_card","url":"midas/sdk/github/schema.html#webhooks_project_card"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_changes","content":"pub const webhooks_project_changes: WebhooksProjectChanges\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_changes\nmidas/sdk/github/schema webhooks_project_changes","url":"midas/sdk/github/schema.html#webhooks_project_changes"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_column","content":"pub const webhooks_project_column: WebhooksProjectColumn\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_column\nmidas/sdk/github/schema webhooks_project_column","url":"midas/sdk/github/schema.html#webhooks_project_column"},{"doc":"midas/sdk/github/schema","title":"webhooks_pull_request_5","content":"pub const webhooks_pull_request_5: WebhooksPullRequest5\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_pull_request_5\nmidas/sdk/github/schema webhooks_pull_request_5","url":"midas/sdk/github/schema.html#webhooks_pull_request_5"},{"doc":"midas/sdk/github/schema","title":"webhooks_release","content":"pub const webhooks_release: WebhooksRelease\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_release\nmidas/sdk/github/schema webhooks_release","url":"midas/sdk/github/schema.html#webhooks_release"},{"doc":"midas/sdk/github/schema","title":"webhooks_release_one","content":"pub const webhooks_release_one: WebhooksRelease1\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_release_one\nmidas/sdk/github/schema webhooks_release_one","url":"midas/sdk/github/schema.html#webhooks_release_one"},{"doc":"midas/sdk/github/schema","title":"webhooks_repositories","content":"pub const webhooks_repositories: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_repositories\nmidas/sdk/github/schema webhooks_repositories","url":"midas/sdk/github/schema.html#webhooks_repositories"},{"doc":"midas/sdk/github/schema","title":"webhooks_repositories_added","content":"pub const webhooks_repositories_added: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_repositories_added\nmidas/sdk/github/schema webhooks_repositories_added","url":"midas/sdk/github/schema.html#webhooks_repositories_added"},{"doc":"midas/sdk/github/schema","title":"webhooks_review","content":"pub const webhooks_review: WebhooksReview\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_review\nmidas/sdk/github/schema webhooks_review","url":"midas/sdk/github/schema.html#webhooks_review"},{"doc":"midas/sdk/github/schema","title":"webhooks_review_comment","content":"pub const webhooks_review_comment: WebhooksReviewComment\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_review_comment\nmidas/sdk/github/schema webhooks_review_comment","url":"midas/sdk/github/schema.html#webhooks_review_comment"},{"doc":"midas/sdk/github/schema","title":"webhooks_reviewers","content":"pub const webhooks_reviewers: List(a)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_reviewers\nmidas/sdk/github/schema webhooks_reviewers","url":"midas/sdk/github/schema.html#webhooks_reviewers"},{"doc":"midas/sdk/github/schema","title":"webhooks_rule","content":"pub const webhooks_rule: WebhooksRule\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_rule\nmidas/sdk/github/schema webhooks_rule","url":"midas/sdk/github/schema.html#webhooks_rule"},{"doc":"midas/sdk/github/schema","title":"webhooks_security_advisory","content":"pub const webhooks_security_advisory: WebhooksSecurityAdvisory\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_security_advisory\nmidas/sdk/github/schema webhooks_security_advisory","url":"midas/sdk/github/schema.html#webhooks_security_advisory"},{"doc":"midas/sdk/github/schema","title":"webhooks_sponsorship","content":"pub const webhooks_sponsorship: WebhooksSponsorship\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_sponsorship\nmidas/sdk/github/schema webhooks_sponsorship","url":"midas/sdk/github/schema.html#webhooks_sponsorship"},{"doc":"midas/sdk/github/schema","title":"webhooks_team","content":"pub const webhooks_team: WebhooksTeam\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_team\nmidas/sdk/github/schema webhooks_team","url":"midas/sdk/github/schema.html#webhooks_team"},{"doc":"midas/sdk/github/schema","title":"webhooks_team_one","content":"pub const webhooks_team_one: WebhooksTeam1\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_team_one\nmidas/sdk/github/schema webhooks_team_one","url":"midas/sdk/github/schema.html#webhooks_team_one"},{"doc":"midas/sdk/github/schema","title":"webhooks_user","content":"pub const webhooks_user: WebhooksUser\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_user\nmidas/sdk/github/schema webhooks_user","url":"midas/sdk/github/schema.html#webhooks_user"},{"doc":"midas/sdk/github/schema","title":"webhooks_user_mannequin","content":"pub const webhooks_user_mannequin: WebhooksUserMannequin\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_user_mannequin\nmidas/sdk/github/schema webhooks_user_mannequin","url":"midas/sdk/github/schema.html#webhooks_user_mannequin"},{"doc":"midas/sdk/github/schema","title":"webhooks_workflow","content":"pub const webhooks_workflow: WebhooksWorkflow\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_workflow\nmidas/sdk/github/schema webhooks_workflow","url":"midas/sdk/github/schema.html#webhooks_workflow"},{"doc":"midas/sdk/github/schema","title":"webhooks_workflow_job_run","content":"pub const webhooks_workflow_job_run: WebhooksWorkflowJobRun\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_workflow_job_run\nmidas/sdk/github/schema webhooks_workflow_job_run","url":"midas/sdk/github/schema.html#webhooks_workflow_job_run"},{"doc":"midas/sdk/github/schema","title":"workflow","content":"pub const workflow: Workflow\n\nSynonyms:\nmidas/sdk/github/schema.workflow\nmidas/sdk/github/schema workflow","url":"midas/sdk/github/schema.html#workflow"},{"doc":"midas/sdk/github/schema","title":"workflow_run","content":"pub const workflow_run: WorkflowRun\n\nSynonyms:\nmidas/sdk/github/schema.workflow_run\nmidas/sdk/github/schema workflow_run","url":"midas/sdk/github/schema.html#workflow_run"},{"doc":"midas/sdk/github/schema","title":"workflow_run_usage","content":"pub const workflow_run_usage: WorkflowRunUsage\n\nSynonyms:\nmidas/sdk/github/schema.workflow_run_usage\nmidas/sdk/github/schema workflow_run_usage","url":"midas/sdk/github/schema.html#workflow_run_usage"},{"doc":"midas/sdk/github/schema","title":"workflow_usage","content":"pub const workflow_usage: WorkflowUsage\n\nSynonyms:\nmidas/sdk/github/schema.workflow_usage\nmidas/sdk/github/schema workflow_usage","url":"midas/sdk/github/schema.html#workflow_usage"},{"doc":"midas/sdk/github/schema","title":"actions_billing_usage_decoder","content":"pub fn actions_billing_usage_decoder() -&gt; Decoder(\n  ActionsBillingUsage,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_billing_usage_decoder\nmidas/sdk/github/schema actions_billing_usage_decoder","url":"midas/sdk/github/schema.html#actions_billing_usage_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_billing_usage_to_json","content":"pub fn actions_billing_usage_to_json(\n  data: ActionsBillingUsage,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_billing_usage_to_json\nmidas/sdk/github/schema actions_billing_usage_to_json","url":"midas/sdk/github/schema.html#actions_billing_usage_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_cache_list_decoder","content":"pub fn actions_cache_list_decoder() -&gt; Decoder(ActionsCacheList)\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_list_decoder\nmidas/sdk/github/schema actions_cache_list_decoder","url":"midas/sdk/github/schema.html#actions_cache_list_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_cache_list_to_json","content":"pub fn actions_cache_list_to_json(data: ActionsCacheList) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_list_to_json\nmidas/sdk/github/schema actions_cache_list_to_json","url":"midas/sdk/github/schema.html#actions_cache_list_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_cache_usage_by_repository_decoder","content":"pub fn actions_cache_usage_by_repository_decoder() -&gt; Decoder(\n  ActionsCacheUsageByRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_usage_by_repository_decoder\nmidas/sdk/github/schema actions_cache_usage_by_repository_decoder","url":"midas/sdk/github/schema.html#actions_cache_usage_by_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_cache_usage_by_repository_to_json","content":"pub fn actions_cache_usage_by_repository_to_json(\n  data: ActionsCacheUsageByRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_usage_by_repository_to_json\nmidas/sdk/github/schema actions_cache_usage_by_repository_to_json","url":"midas/sdk/github/schema.html#actions_cache_usage_by_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_cache_usage_org_enterprise_decoder","content":"pub fn actions_cache_usage_org_enterprise_decoder() -&gt; Decoder(\n  ActionsCacheUsageOrgEnterprise,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_usage_org_enterprise_decoder\nmidas/sdk/github/schema actions_cache_usage_org_enterprise_decoder","url":"midas/sdk/github/schema.html#actions_cache_usage_org_enterprise_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_cache_usage_org_enterprise_to_json","content":"pub fn actions_cache_usage_org_enterprise_to_json(\n  data: ActionsCacheUsageOrgEnterprise,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_cache_usage_org_enterprise_to_json\nmidas/sdk/github/schema actions_cache_usage_org_enterprise_to_json","url":"midas/sdk/github/schema.html#actions_cache_usage_org_enterprise_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_can_approve_pull_request_reviews_decoder","content":"pub fn actions_can_approve_pull_request_reviews_decoder() -&gt; Decoder(\n  Bool,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_can_approve_pull_request_reviews_decoder\nmidas/sdk/github/schema actions_can_approve_pull_request_reviews_decoder","url":"midas/sdk/github/schema.html#actions_can_approve_pull_request_reviews_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_default_workflow_permissions_decoder","content":"pub fn actions_default_workflow_permissions_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_default_workflow_permissions_decoder\nmidas/sdk/github/schema actions_default_workflow_permissions_decoder","url":"midas/sdk/github/schema.html#actions_default_workflow_permissions_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_enabled_decoder","content":"pub fn actions_enabled_decoder() -&gt; Decoder(Bool)\n\nSynonyms:\nmidas/sdk/github/schema.actions_enabled_decoder\nmidas/sdk/github/schema actions_enabled_decoder","url":"midas/sdk/github/schema.html#actions_enabled_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_get_default_workflow_permissions_decoder","content":"pub fn actions_get_default_workflow_permissions_decoder() -&gt; Decoder(\n  ActionsGetDefaultWorkflowPermissions,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_get_default_workflow_permissions_decoder\nmidas/sdk/github/schema actions_get_default_workflow_permissions_decoder","url":"midas/sdk/github/schema.html#actions_get_default_workflow_permissions_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_get_default_workflow_permissions_to_json","content":"pub fn actions_get_default_workflow_permissions_to_json(\n  data: ActionsGetDefaultWorkflowPermissions,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_get_default_workflow_permissions_to_json\nmidas/sdk/github/schema actions_get_default_workflow_permissions_to_json","url":"midas/sdk/github/schema.html#actions_get_default_workflow_permissions_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_organization_permissions_decoder","content":"pub fn actions_organization_permissions_decoder() -&gt; Decoder(\n  ActionsOrganizationPermissions,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_organization_permissions_decoder\nmidas/sdk/github/schema actions_organization_permissions_decoder","url":"midas/sdk/github/schema.html#actions_organization_permissions_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_organization_permissions_to_json","content":"pub fn actions_organization_permissions_to_json(\n  data: ActionsOrganizationPermissions,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_organization_permissions_to_json\nmidas/sdk/github/schema actions_organization_permissions_to_json","url":"midas/sdk/github/schema.html#actions_organization_permissions_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_public_key_decoder","content":"pub fn actions_public_key_decoder() -&gt; Decoder(ActionsPublicKey)\n\nSynonyms:\nmidas/sdk/github/schema.actions_public_key_decoder\nmidas/sdk/github/schema actions_public_key_decoder","url":"midas/sdk/github/schema.html#actions_public_key_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_public_key_to_json","content":"pub fn actions_public_key_to_json(data: ActionsPublicKey) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_public_key_to_json\nmidas/sdk/github/schema actions_public_key_to_json","url":"midas/sdk/github/schema.html#actions_public_key_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_repository_permissions_decoder","content":"pub fn actions_repository_permissions_decoder() -&gt; Decoder(\n  ActionsRepositoryPermissions,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_repository_permissions_decoder\nmidas/sdk/github/schema actions_repository_permissions_decoder","url":"midas/sdk/github/schema.html#actions_repository_permissions_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_repository_permissions_to_json","content":"pub fn actions_repository_permissions_to_json(\n  data: ActionsRepositoryPermissions,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_repository_permissions_to_json\nmidas/sdk/github/schema actions_repository_permissions_to_json","url":"midas/sdk/github/schema.html#actions_repository_permissions_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_secret_decoder","content":"pub fn actions_secret_decoder() -&gt; Decoder(ActionsSecret)\n\nSynonyms:\nmidas/sdk/github/schema.actions_secret_decoder\nmidas/sdk/github/schema actions_secret_decoder","url":"midas/sdk/github/schema.html#actions_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_secret_to_json","content":"pub fn actions_secret_to_json(data: ActionsSecret) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_secret_to_json\nmidas/sdk/github/schema actions_secret_to_json","url":"midas/sdk/github/schema.html#actions_secret_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_set_default_workflow_permissions_decoder","content":"pub fn actions_set_default_workflow_permissions_decoder() -&gt; Decoder(\n  ActionsSetDefaultWorkflowPermissions,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_set_default_workflow_permissions_decoder\nmidas/sdk/github/schema actions_set_default_workflow_permissions_decoder","url":"midas/sdk/github/schema.html#actions_set_default_workflow_permissions_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_set_default_workflow_permissions_to_json","content":"pub fn actions_set_default_workflow_permissions_to_json(\n  data: ActionsSetDefaultWorkflowPermissions,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_set_default_workflow_permissions_to_json\nmidas/sdk/github/schema actions_set_default_workflow_permissions_to_json","url":"midas/sdk/github/schema.html#actions_set_default_workflow_permissions_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_variable_decoder","content":"pub fn actions_variable_decoder() -&gt; Decoder(ActionsVariable)\n\nSynonyms:\nmidas/sdk/github/schema.actions_variable_decoder\nmidas/sdk/github/schema actions_variable_decoder","url":"midas/sdk/github/schema.html#actions_variable_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_variable_to_json","content":"pub fn actions_variable_to_json(data: ActionsVariable) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_variable_to_json\nmidas/sdk/github/schema actions_variable_to_json","url":"midas/sdk/github/schema.html#actions_variable_to_json"},{"doc":"midas/sdk/github/schema","title":"actions_workflow_access_to_repository_decoder","content":"pub fn actions_workflow_access_to_repository_decoder() -&gt; Decoder(\n  ActionsWorkflowAccessToRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.actions_workflow_access_to_repository_decoder\nmidas/sdk/github/schema actions_workflow_access_to_repository_decoder","url":"midas/sdk/github/schema.html#actions_workflow_access_to_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"actions_workflow_access_to_repository_to_json","content":"pub fn actions_workflow_access_to_repository_to_json(\n  data: ActionsWorkflowAccessToRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actions_workflow_access_to_repository_to_json\nmidas/sdk/github/schema actions_workflow_access_to_repository_to_json","url":"midas/sdk/github/schema.html#actions_workflow_access_to_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"activity_decoder","content":"pub fn activity_decoder() -&gt; Decoder(Activity)\n\nSynonyms:\nmidas/sdk/github/schema.activity_decoder\nmidas/sdk/github/schema activity_decoder","url":"midas/sdk/github/schema.html#activity_decoder"},{"doc":"midas/sdk/github/schema","title":"activity_to_json","content":"pub fn activity_to_json(data: Activity) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.activity_to_json\nmidas/sdk/github/schema activity_to_json","url":"midas/sdk/github/schema.html#activity_to_json"},{"doc":"midas/sdk/github/schema","title":"actor_decoder","content":"pub fn actor_decoder() -&gt; Decoder(Actor)\n\nSynonyms:\nmidas/sdk/github/schema.actor_decoder\nmidas/sdk/github/schema actor_decoder","url":"midas/sdk/github/schema.html#actor_decoder"},{"doc":"midas/sdk/github/schema","title":"actor_to_json","content":"pub fn actor_to_json(data: Actor) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.actor_to_json\nmidas/sdk/github/schema actor_to_json","url":"midas/sdk/github/schema.html#actor_to_json"},{"doc":"midas/sdk/github/schema","title":"added_to_project_issue_event_decoder","content":"pub fn added_to_project_issue_event_decoder() -&gt; Decoder(\n  AddedToProjectIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.added_to_project_issue_event_decoder\nmidas/sdk/github/schema added_to_project_issue_event_decoder","url":"midas/sdk/github/schema.html#added_to_project_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"added_to_project_issue_event_to_json","content":"pub fn added_to_project_issue_event_to_json(\n  data: AddedToProjectIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.added_to_project_issue_event_to_json\nmidas/sdk/github/schema added_to_project_issue_event_to_json","url":"midas/sdk/github/schema.html#added_to_project_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"alert_auto_dismissed_at_decoder","content":"pub fn alert_auto_dismissed_at_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_auto_dismissed_at_decoder\nmidas/sdk/github/schema alert_auto_dismissed_at_decoder","url":"midas/sdk/github/schema.html#alert_auto_dismissed_at_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_created_at_decoder","content":"pub fn alert_created_at_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_created_at_decoder\nmidas/sdk/github/schema alert_created_at_decoder","url":"midas/sdk/github/schema.html#alert_created_at_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_dismissed_at_decoder","content":"pub fn alert_dismissed_at_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_dismissed_at_decoder\nmidas/sdk/github/schema alert_dismissed_at_decoder","url":"midas/sdk/github/schema.html#alert_dismissed_at_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_fixed_at_decoder","content":"pub fn alert_fixed_at_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_fixed_at_decoder\nmidas/sdk/github/schema alert_fixed_at_decoder","url":"midas/sdk/github/schema.html#alert_fixed_at_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_html_url_decoder","content":"pub fn alert_html_url_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_html_url_decoder\nmidas/sdk/github/schema alert_html_url_decoder","url":"midas/sdk/github/schema.html#alert_html_url_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_instances_url_decoder","content":"pub fn alert_instances_url_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_instances_url_decoder\nmidas/sdk/github/schema alert_instances_url_decoder","url":"midas/sdk/github/schema.html#alert_instances_url_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_number_decoder","content":"pub fn alert_number_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.alert_number_decoder\nmidas/sdk/github/schema alert_number_decoder","url":"midas/sdk/github/schema.html#alert_number_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_updated_at_decoder","content":"pub fn alert_updated_at_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_updated_at_decoder\nmidas/sdk/github/schema alert_updated_at_decoder","url":"midas/sdk/github/schema.html#alert_updated_at_decoder"},{"doc":"midas/sdk/github/schema","title":"alert_url_decoder","content":"pub fn alert_url_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.alert_url_decoder\nmidas/sdk/github/schema alert_url_decoder","url":"midas/sdk/github/schema.html#alert_url_decoder"},{"doc":"midas/sdk/github/schema","title":"allowed_actions_decoder","content":"pub fn allowed_actions_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.allowed_actions_decoder\nmidas/sdk/github/schema allowed_actions_decoder","url":"midas/sdk/github/schema.html#allowed_actions_decoder"},{"doc":"midas/sdk/github/schema","title":"api_insights_route_stats_decoder","content":"pub fn api_insights_route_stats_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_route_stats_decoder\nmidas/sdk/github/schema api_insights_route_stats_decoder","url":"midas/sdk/github/schema.html#api_insights_route_stats_decoder"},{"doc":"midas/sdk/github/schema","title":"api_insights_subject_stats_decoder","content":"pub fn api_insights_subject_stats_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_subject_stats_decoder\nmidas/sdk/github/schema api_insights_subject_stats_decoder","url":"midas/sdk/github/schema.html#api_insights_subject_stats_decoder"},{"doc":"midas/sdk/github/schema","title":"api_insights_summary_stats_decoder","content":"pub fn api_insights_summary_stats_decoder() -&gt; Decoder(\n  ApiInsightsSummaryStats,\n)\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_summary_stats_decoder\nmidas/sdk/github/schema api_insights_summary_stats_decoder","url":"midas/sdk/github/schema.html#api_insights_summary_stats_decoder"},{"doc":"midas/sdk/github/schema","title":"api_insights_summary_stats_to_json","content":"pub fn api_insights_summary_stats_to_json(\n  data: ApiInsightsSummaryStats,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_summary_stats_to_json\nmidas/sdk/github/schema api_insights_summary_stats_to_json","url":"midas/sdk/github/schema.html#api_insights_summary_stats_to_json"},{"doc":"midas/sdk/github/schema","title":"api_insights_time_stats_decoder","content":"pub fn api_insights_time_stats_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_time_stats_decoder\nmidas/sdk/github/schema api_insights_time_stats_decoder","url":"midas/sdk/github/schema.html#api_insights_time_stats_decoder"},{"doc":"midas/sdk/github/schema","title":"api_insights_user_stats_decoder","content":"pub fn api_insights_user_stats_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.api_insights_user_stats_decoder\nmidas/sdk/github/schema api_insights_user_stats_decoder","url":"midas/sdk/github/schema.html#api_insights_user_stats_decoder"},{"doc":"midas/sdk/github/schema","title":"api_overview_decoder","content":"pub fn api_overview_decoder() -&gt; Decoder(ApiOverview)\n\nSynonyms:\nmidas/sdk/github/schema.api_overview_decoder\nmidas/sdk/github/schema api_overview_decoder","url":"midas/sdk/github/schema.html#api_overview_decoder"},{"doc":"midas/sdk/github/schema","title":"api_overview_to_json","content":"pub fn api_overview_to_json(data: ApiOverview) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.api_overview_to_json\nmidas/sdk/github/schema api_overview_to_json","url":"midas/sdk/github/schema.html#api_overview_to_json"},{"doc":"midas/sdk/github/schema","title":"app_permissions_decoder","content":"pub fn app_permissions_decoder() -&gt; Decoder(AppPermissions)\n\nSynonyms:\nmidas/sdk/github/schema.app_permissions_decoder\nmidas/sdk/github/schema app_permissions_decoder","url":"midas/sdk/github/schema.html#app_permissions_decoder"},{"doc":"midas/sdk/github/schema","title":"app_permissions_to_json","content":"pub fn app_permissions_to_json(data: AppPermissions) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.app_permissions_to_json\nmidas/sdk/github/schema app_permissions_to_json","url":"midas/sdk/github/schema.html#app_permissions_to_json"},{"doc":"midas/sdk/github/schema","title":"artifact_decoder","content":"pub fn artifact_decoder() -&gt; Decoder(Artifact)\n\nSynonyms:\nmidas/sdk/github/schema.artifact_decoder\nmidas/sdk/github/schema artifact_decoder","url":"midas/sdk/github/schema.html#artifact_decoder"},{"doc":"midas/sdk/github/schema","title":"artifact_to_json","content":"pub fn artifact_to_json(data: Artifact) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.artifact_to_json\nmidas/sdk/github/schema artifact_to_json","url":"midas/sdk/github/schema.html#artifact_to_json"},{"doc":"midas/sdk/github/schema","title":"assigned_issue_event_decoder","content":"pub fn assigned_issue_event_decoder() -&gt; Decoder(\n  AssignedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.assigned_issue_event_decoder\nmidas/sdk/github/schema assigned_issue_event_decoder","url":"midas/sdk/github/schema.html#assigned_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"assigned_issue_event_to_json","content":"pub fn assigned_issue_event_to_json(\n  data: AssignedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.assigned_issue_event_to_json\nmidas/sdk/github/schema assigned_issue_event_to_json","url":"midas/sdk/github/schema.html#assigned_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"authentication_token_decoder","content":"pub fn authentication_token_decoder() -&gt; Decoder(\n  AuthenticationToken,\n)\n\nSynonyms:\nmidas/sdk/github/schema.authentication_token_decoder\nmidas/sdk/github/schema authentication_token_decoder","url":"midas/sdk/github/schema.html#authentication_token_decoder"},{"doc":"midas/sdk/github/schema","title":"authentication_token_to_json","content":"pub fn authentication_token_to_json(\n  data: AuthenticationToken,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.authentication_token_to_json\nmidas/sdk/github/schema authentication_token_to_json","url":"midas/sdk/github/schema.html#authentication_token_to_json"},{"doc":"midas/sdk/github/schema","title":"author_association_decoder","content":"pub fn author_association_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.author_association_decoder\nmidas/sdk/github/schema author_association_decoder","url":"midas/sdk/github/schema.html#author_association_decoder"},{"doc":"midas/sdk/github/schema","title":"authorization_decoder","content":"pub fn authorization_decoder() -&gt; Decoder(Authorization)\n\nSynonyms:\nmidas/sdk/github/schema.authorization_decoder\nmidas/sdk/github/schema authorization_decoder","url":"midas/sdk/github/schema.html#authorization_decoder"},{"doc":"midas/sdk/github/schema","title":"authorization_to_json","content":"pub fn authorization_to_json(data: Authorization) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.authorization_to_json\nmidas/sdk/github/schema authorization_to_json","url":"midas/sdk/github/schema.html#authorization_to_json"},{"doc":"midas/sdk/github/schema","title":"auto_merge_decoder","content":"pub fn auto_merge_decoder() -&gt; Decoder(AutoMerge)\n\nSynonyms:\nmidas/sdk/github/schema.auto_merge_decoder\nmidas/sdk/github/schema auto_merge_decoder","url":"midas/sdk/github/schema.html#auto_merge_decoder"},{"doc":"midas/sdk/github/schema","title":"auto_merge_to_json","content":"pub fn auto_merge_to_json(data: AutoMerge) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.auto_merge_to_json\nmidas/sdk/github/schema auto_merge_to_json","url":"midas/sdk/github/schema.html#auto_merge_to_json"},{"doc":"midas/sdk/github/schema","title":"autolink_decoder","content":"pub fn autolink_decoder() -&gt; Decoder(Autolink)\n\nSynonyms:\nmidas/sdk/github/schema.autolink_decoder\nmidas/sdk/github/schema autolink_decoder","url":"midas/sdk/github/schema.html#autolink_decoder"},{"doc":"midas/sdk/github/schema","title":"autolink_to_json","content":"pub fn autolink_to_json(data: Autolink) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.autolink_to_json\nmidas/sdk/github/schema autolink_to_json","url":"midas/sdk/github/schema.html#autolink_to_json"},{"doc":"midas/sdk/github/schema","title":"base_gist_decoder","content":"pub fn base_gist_decoder() -&gt; Decoder(BaseGist)\n\nSynonyms:\nmidas/sdk/github/schema.base_gist_decoder\nmidas/sdk/github/schema base_gist_decoder","url":"midas/sdk/github/schema.html#base_gist_decoder"},{"doc":"midas/sdk/github/schema","title":"base_gist_to_json","content":"pub fn base_gist_to_json(data: BaseGist) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.base_gist_to_json\nmidas/sdk/github/schema base_gist_to_json","url":"midas/sdk/github/schema.html#base_gist_to_json"},{"doc":"midas/sdk/github/schema","title":"basic_error_decoder","content":"pub fn basic_error_decoder() -&gt; Decoder(BasicError)\n\nSynonyms:\nmidas/sdk/github/schema.basic_error_decoder\nmidas/sdk/github/schema basic_error_decoder","url":"midas/sdk/github/schema.html#basic_error_decoder"},{"doc":"midas/sdk/github/schema","title":"basic_error_to_json","content":"pub fn basic_error_to_json(data: BasicError) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.basic_error_to_json\nmidas/sdk/github/schema basic_error_to_json","url":"midas/sdk/github/schema.html#basic_error_to_json"},{"doc":"midas/sdk/github/schema","title":"blob_decoder","content":"pub fn blob_decoder() -&gt; Decoder(Blob)\n\nSynonyms:\nmidas/sdk/github/schema.blob_decoder\nmidas/sdk/github/schema blob_decoder","url":"midas/sdk/github/schema.html#blob_decoder"},{"doc":"midas/sdk/github/schema","title":"blob_to_json","content":"pub fn blob_to_json(data: Blob) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.blob_to_json\nmidas/sdk/github/schema blob_to_json","url":"midas/sdk/github/schema.html#blob_to_json"},{"doc":"midas/sdk/github/schema","title":"branch_protection_decoder","content":"pub fn branch_protection_decoder() -&gt; Decoder(BranchProtection)\n\nSynonyms:\nmidas/sdk/github/schema.branch_protection_decoder\nmidas/sdk/github/schema branch_protection_decoder","url":"midas/sdk/github/schema.html#branch_protection_decoder"},{"doc":"midas/sdk/github/schema","title":"branch_protection_to_json","content":"pub fn branch_protection_to_json(data: BranchProtection) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.branch_protection_to_json\nmidas/sdk/github/schema branch_protection_to_json","url":"midas/sdk/github/schema.html#branch_protection_to_json"},{"doc":"midas/sdk/github/schema","title":"branch_restriction_policy_decoder","content":"pub fn branch_restriction_policy_decoder() -&gt; Decoder(\n  BranchRestrictionPolicy,\n)\n\nSynonyms:\nmidas/sdk/github/schema.branch_restriction_policy_decoder\nmidas/sdk/github/schema branch_restriction_policy_decoder","url":"midas/sdk/github/schema.html#branch_restriction_policy_decoder"},{"doc":"midas/sdk/github/schema","title":"branch_restriction_policy_to_json","content":"pub fn branch_restriction_policy_to_json(\n  data: BranchRestrictionPolicy,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.branch_restriction_policy_to_json\nmidas/sdk/github/schema branch_restriction_policy_to_json","url":"midas/sdk/github/schema.html#branch_restriction_policy_to_json"},{"doc":"midas/sdk/github/schema","title":"branch_short_decoder","content":"pub fn branch_short_decoder() -&gt; Decoder(BranchShort)\n\nSynonyms:\nmidas/sdk/github/schema.branch_short_decoder\nmidas/sdk/github/schema branch_short_decoder","url":"midas/sdk/github/schema.html#branch_short_decoder"},{"doc":"midas/sdk/github/schema","title":"branch_short_to_json","content":"pub fn branch_short_to_json(data: BranchShort) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.branch_short_to_json\nmidas/sdk/github/schema branch_short_to_json","url":"midas/sdk/github/schema.html#branch_short_to_json"},{"doc":"midas/sdk/github/schema","title":"branch_with_protection_decoder","content":"pub fn branch_with_protection_decoder() -&gt; Decoder(\n  BranchWithProtection,\n)\n\nSynonyms:\nmidas/sdk/github/schema.branch_with_protection_decoder\nmidas/sdk/github/schema branch_with_protection_decoder","url":"midas/sdk/github/schema.html#branch_with_protection_decoder"},{"doc":"midas/sdk/github/schema","title":"branch_with_protection_to_json","content":"pub fn branch_with_protection_to_json(\n  data: BranchWithProtection,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.branch_with_protection_to_json\nmidas/sdk/github/schema branch_with_protection_to_json","url":"midas/sdk/github/schema.html#branch_with_protection_to_json"},{"doc":"midas/sdk/github/schema","title":"check_annotation_decoder","content":"pub fn check_annotation_decoder() -&gt; Decoder(CheckAnnotation)\n\nSynonyms:\nmidas/sdk/github/schema.check_annotation_decoder\nmidas/sdk/github/schema check_annotation_decoder","url":"midas/sdk/github/schema.html#check_annotation_decoder"},{"doc":"midas/sdk/github/schema","title":"check_annotation_to_json","content":"pub fn check_annotation_to_json(data: CheckAnnotation) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.check_annotation_to_json\nmidas/sdk/github/schema check_annotation_to_json","url":"midas/sdk/github/schema.html#check_annotation_to_json"},{"doc":"midas/sdk/github/schema","title":"check_automated_security_fixes_decoder","content":"pub fn check_automated_security_fixes_decoder() -&gt; Decoder(\n  CheckAutomatedSecurityFixes,\n)\n\nSynonyms:\nmidas/sdk/github/schema.check_automated_security_fixes_decoder\nmidas/sdk/github/schema check_automated_security_fixes_decoder","url":"midas/sdk/github/schema.html#check_automated_security_fixes_decoder"},{"doc":"midas/sdk/github/schema","title":"check_automated_security_fixes_to_json","content":"pub fn check_automated_security_fixes_to_json(\n  data: CheckAutomatedSecurityFixes,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.check_automated_security_fixes_to_json\nmidas/sdk/github/schema check_automated_security_fixes_to_json","url":"midas/sdk/github/schema.html#check_automated_security_fixes_to_json"},{"doc":"midas/sdk/github/schema","title":"check_run_decoder","content":"pub fn check_run_decoder() -&gt; Decoder(CheckRun)\n\nSynonyms:\nmidas/sdk/github/schema.check_run_decoder\nmidas/sdk/github/schema check_run_decoder","url":"midas/sdk/github/schema.html#check_run_decoder"},{"doc":"midas/sdk/github/schema","title":"check_run_to_json","content":"pub fn check_run_to_json(data: CheckRun) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.check_run_to_json\nmidas/sdk/github/schema check_run_to_json","url":"midas/sdk/github/schema.html#check_run_to_json"},{"doc":"midas/sdk/github/schema","title":"check_run_with_simple_check_suite_decoder","content":"pub fn check_run_with_simple_check_suite_decoder() -&gt; Decoder(\n  CheckRunWithSimpleCheckSuite,\n)\n\nSynonyms:\nmidas/sdk/github/schema.check_run_with_simple_check_suite_decoder\nmidas/sdk/github/schema check_run_with_simple_check_suite_decoder","url":"midas/sdk/github/schema.html#check_run_with_simple_check_suite_decoder"},{"doc":"midas/sdk/github/schema","title":"check_run_with_simple_check_suite_to_json","content":"pub fn check_run_with_simple_check_suite_to_json(\n  data: CheckRunWithSimpleCheckSuite,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.check_run_with_simple_check_suite_to_json\nmidas/sdk/github/schema check_run_with_simple_check_suite_to_json","url":"midas/sdk/github/schema.html#check_run_with_simple_check_suite_to_json"},{"doc":"midas/sdk/github/schema","title":"check_suite_decoder","content":"pub fn check_suite_decoder() -&gt; Decoder(CheckSuite)\n\nSynonyms:\nmidas/sdk/github/schema.check_suite_decoder\nmidas/sdk/github/schema check_suite_decoder","url":"midas/sdk/github/schema.html#check_suite_decoder"},{"doc":"midas/sdk/github/schema","title":"check_suite_preference_decoder","content":"pub fn check_suite_preference_decoder() -&gt; Decoder(\n  CheckSuitePreference,\n)\n\nSynonyms:\nmidas/sdk/github/schema.check_suite_preference_decoder\nmidas/sdk/github/schema check_suite_preference_decoder","url":"midas/sdk/github/schema.html#check_suite_preference_decoder"},{"doc":"midas/sdk/github/schema","title":"check_suite_preference_to_json","content":"pub fn check_suite_preference_to_json(\n  data: CheckSuitePreference,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.check_suite_preference_to_json\nmidas/sdk/github/schema check_suite_preference_to_json","url":"midas/sdk/github/schema.html#check_suite_preference_to_json"},{"doc":"midas/sdk/github/schema","title":"check_suite_to_json","content":"pub fn check_suite_to_json(data: CheckSuite) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.check_suite_to_json\nmidas/sdk/github/schema check_suite_to_json","url":"midas/sdk/github/schema.html#check_suite_to_json"},{"doc":"midas/sdk/github/schema","title":"classroom_accepted_assignment_decoder","content":"pub fn classroom_accepted_assignment_decoder() -&gt; Decoder(\n  ClassroomAcceptedAssignment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.classroom_accepted_assignment_decoder\nmidas/sdk/github/schema classroom_accepted_assignment_decoder","url":"midas/sdk/github/schema.html#classroom_accepted_assignment_decoder"},{"doc":"midas/sdk/github/schema","title":"classroom_accepted_assignment_to_json","content":"pub fn classroom_accepted_assignment_to_json(\n  data: ClassroomAcceptedAssignment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.classroom_accepted_assignment_to_json\nmidas/sdk/github/schema classroom_accepted_assignment_to_json","url":"midas/sdk/github/schema.html#classroom_accepted_assignment_to_json"},{"doc":"midas/sdk/github/schema","title":"classroom_assignment_decoder","content":"pub fn classroom_assignment_decoder() -&gt; Decoder(\n  ClassroomAssignment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.classroom_assignment_decoder\nmidas/sdk/github/schema classroom_assignment_decoder","url":"midas/sdk/github/schema.html#classroom_assignment_decoder"},{"doc":"midas/sdk/github/schema","title":"classroom_assignment_grade_decoder","content":"pub fn classroom_assignment_grade_decoder() -&gt; Decoder(\n  ClassroomAssignmentGrade,\n)\n\nSynonyms:\nmidas/sdk/github/schema.classroom_assignment_grade_decoder\nmidas/sdk/github/schema classroom_assignment_grade_decoder","url":"midas/sdk/github/schema.html#classroom_assignment_grade_decoder"},{"doc":"midas/sdk/github/schema","title":"classroom_assignment_grade_to_json","content":"pub fn classroom_assignment_grade_to_json(\n  data: ClassroomAssignmentGrade,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.classroom_assignment_grade_to_json\nmidas/sdk/github/schema classroom_assignment_grade_to_json","url":"midas/sdk/github/schema.html#classroom_assignment_grade_to_json"},{"doc":"midas/sdk/github/schema","title":"classroom_assignment_to_json","content":"pub fn classroom_assignment_to_json(\n  data: ClassroomAssignment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.classroom_assignment_to_json\nmidas/sdk/github/schema classroom_assignment_to_json","url":"midas/sdk/github/schema.html#classroom_assignment_to_json"},{"doc":"midas/sdk/github/schema","title":"classroom_decoder","content":"pub fn classroom_decoder() -&gt; Decoder(Classroom)\n\nSynonyms:\nmidas/sdk/github/schema.classroom_decoder\nmidas/sdk/github/schema classroom_decoder","url":"midas/sdk/github/schema.html#classroom_decoder"},{"doc":"midas/sdk/github/schema","title":"classroom_to_json","content":"pub fn classroom_to_json(data: Classroom) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.classroom_to_json\nmidas/sdk/github/schema classroom_to_json","url":"midas/sdk/github/schema.html#classroom_to_json"},{"doc":"midas/sdk/github/schema","title":"clone_traffic_decoder","content":"pub fn clone_traffic_decoder() -&gt; Decoder(CloneTraffic)\n\nSynonyms:\nmidas/sdk/github/schema.clone_traffic_decoder\nmidas/sdk/github/schema clone_traffic_decoder","url":"midas/sdk/github/schema.html#clone_traffic_decoder"},{"doc":"midas/sdk/github/schema","title":"clone_traffic_to_json","content":"pub fn clone_traffic_to_json(data: CloneTraffic) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.clone_traffic_to_json\nmidas/sdk/github/schema clone_traffic_to_json","url":"midas/sdk/github/schema.html#clone_traffic_to_json"},{"doc":"midas/sdk/github/schema","title":"code_frequency_stat_decoder","content":"pub fn code_frequency_stat_decoder() -&gt; Decoder(List(Int))\n\nSynonyms:\nmidas/sdk/github/schema.code_frequency_stat_decoder\nmidas/sdk/github/schema code_frequency_stat_decoder","url":"midas/sdk/github/schema.html#code_frequency_stat_decoder"},{"doc":"midas/sdk/github/schema","title":"code_of_conduct_decoder","content":"pub fn code_of_conduct_decoder() -&gt; Decoder(CodeOfConduct)\n\nSynonyms:\nmidas/sdk/github/schema.code_of_conduct_decoder\nmidas/sdk/github/schema code_of_conduct_decoder","url":"midas/sdk/github/schema.html#code_of_conduct_decoder"},{"doc":"midas/sdk/github/schema","title":"code_of_conduct_simple_decoder","content":"pub fn code_of_conduct_simple_decoder() -&gt; Decoder(\n  CodeOfConductSimple,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_of_conduct_simple_decoder\nmidas/sdk/github/schema code_of_conduct_simple_decoder","url":"midas/sdk/github/schema.html#code_of_conduct_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"code_of_conduct_simple_to_json","content":"pub fn code_of_conduct_simple_to_json(\n  data: CodeOfConductSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_of_conduct_simple_to_json\nmidas/sdk/github/schema code_of_conduct_simple_to_json","url":"midas/sdk/github/schema.html#code_of_conduct_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"code_of_conduct_to_json","content":"pub fn code_of_conduct_to_json(data: CodeOfConduct) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_of_conduct_to_json\nmidas/sdk/github/schema code_of_conduct_to_json","url":"midas/sdk/github/schema.html#code_of_conduct_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_classification_decoder","content":"pub fn code_scanning_alert_classification_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_classification_decoder\nmidas/sdk/github/schema code_scanning_alert_classification_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_classification_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_decoder","content":"pub fn code_scanning_alert_decoder() -&gt; Decoder(CodeScanningAlert)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_decoder\nmidas/sdk/github/schema code_scanning_alert_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_dismissed_comment_decoder","content":"pub fn code_scanning_alert_dismissed_comment_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_dismissed_comment_decoder\nmidas/sdk/github/schema code_scanning_alert_dismissed_comment_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_dismissed_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_dismissed_reason_decoder","content":"pub fn code_scanning_alert_dismissed_reason_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_dismissed_reason_decoder\nmidas/sdk/github/schema code_scanning_alert_dismissed_reason_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_dismissed_reason_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_environment_decoder","content":"pub fn code_scanning_alert_environment_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_environment_decoder\nmidas/sdk/github/schema code_scanning_alert_environment_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_environment_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_instance_decoder","content":"pub fn code_scanning_alert_instance_decoder() -&gt; Decoder(\n  CodeScanningAlertInstance,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_instance_decoder\nmidas/sdk/github/schema code_scanning_alert_instance_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_instance_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_instance_to_json","content":"pub fn code_scanning_alert_instance_to_json(\n  data: CodeScanningAlertInstance,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_instance_to_json\nmidas/sdk/github/schema code_scanning_alert_instance_to_json","url":"midas/sdk/github/schema.html#code_scanning_alert_instance_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_items_decoder","content":"pub fn code_scanning_alert_items_decoder() -&gt; Decoder(\n  CodeScanningAlertItems,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_items_decoder\nmidas/sdk/github/schema code_scanning_alert_items_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_items_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_items_to_json","content":"pub fn code_scanning_alert_items_to_json(\n  data: CodeScanningAlertItems,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_items_to_json\nmidas/sdk/github/schema code_scanning_alert_items_to_json","url":"midas/sdk/github/schema.html#code_scanning_alert_items_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_location_decoder","content":"pub fn code_scanning_alert_location_decoder() -&gt; Decoder(\n  CodeScanningAlertLocation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_location_decoder\nmidas/sdk/github/schema code_scanning_alert_location_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_location_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_location_to_json","content":"pub fn code_scanning_alert_location_to_json(\n  data: CodeScanningAlertLocation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_location_to_json\nmidas/sdk/github/schema code_scanning_alert_location_to_json","url":"midas/sdk/github/schema.html#code_scanning_alert_location_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_rule_decoder","content":"pub fn code_scanning_alert_rule_decoder() -&gt; Decoder(\n  CodeScanningAlertRule,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_rule_decoder\nmidas/sdk/github/schema code_scanning_alert_rule_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_rule_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_rule_summary_decoder","content":"pub fn code_scanning_alert_rule_summary_decoder() -&gt; Decoder(\n  CodeScanningAlertRuleSummary,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_rule_summary_decoder\nmidas/sdk/github/schema code_scanning_alert_rule_summary_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_rule_summary_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_rule_summary_to_json","content":"pub fn code_scanning_alert_rule_summary_to_json(\n  data: CodeScanningAlertRuleSummary,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_rule_summary_to_json\nmidas/sdk/github/schema code_scanning_alert_rule_summary_to_json","url":"midas/sdk/github/schema.html#code_scanning_alert_rule_summary_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_rule_to_json","content":"pub fn code_scanning_alert_rule_to_json(\n  data: CodeScanningAlertRule,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_rule_to_json\nmidas/sdk/github/schema code_scanning_alert_rule_to_json","url":"midas/sdk/github/schema.html#code_scanning_alert_rule_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_set_state_decoder","content":"pub fn code_scanning_alert_set_state_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_set_state_decoder\nmidas/sdk/github/schema code_scanning_alert_set_state_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_set_state_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_severity_decoder","content":"pub fn code_scanning_alert_severity_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_severity_decoder\nmidas/sdk/github/schema code_scanning_alert_severity_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_severity_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_state_decoder","content":"pub fn code_scanning_alert_state_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_state_decoder\nmidas/sdk/github/schema code_scanning_alert_state_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_state_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_state_query_decoder","content":"pub fn code_scanning_alert_state_query_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_state_query_decoder\nmidas/sdk/github/schema code_scanning_alert_state_query_decoder","url":"midas/sdk/github/schema.html#code_scanning_alert_state_query_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_alert_to_json","content":"pub fn code_scanning_alert_to_json(\n  data: CodeScanningAlert,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_alert_to_json\nmidas/sdk/github/schema code_scanning_alert_to_json","url":"midas/sdk/github/schema.html#code_scanning_alert_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_analysis_key_decoder","content":"pub fn code_scanning_analysis_analysis_key_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_analysis_key_decoder\nmidas/sdk/github/schema code_scanning_analysis_analysis_key_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_analysis_key_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_category_decoder","content":"pub fn code_scanning_analysis_category_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_category_decoder\nmidas/sdk/github/schema code_scanning_analysis_category_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_category_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_commit_sha_decoder","content":"pub fn code_scanning_analysis_commit_sha_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_commit_sha_decoder\nmidas/sdk/github/schema code_scanning_analysis_commit_sha_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_commit_sha_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_created_at_decoder","content":"pub fn code_scanning_analysis_created_at_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_created_at_decoder\nmidas/sdk/github/schema code_scanning_analysis_created_at_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_created_at_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_decoder","content":"pub fn code_scanning_analysis_decoder() -&gt; Decoder(\n  CodeScanningAnalysis,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_decoder\nmidas/sdk/github/schema code_scanning_analysis_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_deletion_decoder","content":"pub fn code_scanning_analysis_deletion_decoder() -&gt; Decoder(\n  CodeScanningAnalysisDeletion,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_deletion_decoder\nmidas/sdk/github/schema code_scanning_analysis_deletion_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_deletion_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_deletion_to_json","content":"pub fn code_scanning_analysis_deletion_to_json(\n  data: CodeScanningAnalysisDeletion,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_deletion_to_json\nmidas/sdk/github/schema code_scanning_analysis_deletion_to_json","url":"midas/sdk/github/schema.html#code_scanning_analysis_deletion_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_environment_decoder","content":"pub fn code_scanning_analysis_environment_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_environment_decoder\nmidas/sdk/github/schema code_scanning_analysis_environment_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_environment_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_sarif_file_decoder","content":"pub fn code_scanning_analysis_sarif_file_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_sarif_file_decoder\nmidas/sdk/github/schema code_scanning_analysis_sarif_file_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_sarif_file_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_sarif_id_decoder","content":"pub fn code_scanning_analysis_sarif_id_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_sarif_id_decoder\nmidas/sdk/github/schema code_scanning_analysis_sarif_id_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_sarif_id_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_to_json","content":"pub fn code_scanning_analysis_to_json(\n  data: CodeScanningAnalysis,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_to_json\nmidas/sdk/github/schema code_scanning_analysis_to_json","url":"midas/sdk/github/schema.html#code_scanning_analysis_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_tool_decoder","content":"pub fn code_scanning_analysis_tool_decoder() -&gt; Decoder(\n  CodeScanningAnalysisTool,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_tool_decoder\nmidas/sdk/github/schema code_scanning_analysis_tool_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_tool_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_tool_guid_decoder","content":"pub fn code_scanning_analysis_tool_guid_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_tool_guid_decoder\nmidas/sdk/github/schema code_scanning_analysis_tool_guid_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_tool_guid_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_tool_name_decoder","content":"pub fn code_scanning_analysis_tool_name_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_tool_name_decoder\nmidas/sdk/github/schema code_scanning_analysis_tool_name_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_tool_name_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_tool_to_json","content":"pub fn code_scanning_analysis_tool_to_json(\n  data: CodeScanningAnalysisTool,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_tool_to_json\nmidas/sdk/github/schema code_scanning_analysis_tool_to_json","url":"midas/sdk/github/schema.html#code_scanning_analysis_tool_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_tool_version_decoder","content":"pub fn code_scanning_analysis_tool_version_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_tool_version_decoder\nmidas/sdk/github/schema code_scanning_analysis_tool_version_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_tool_version_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_analysis_url_decoder","content":"pub fn code_scanning_analysis_url_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_analysis_url_decoder\nmidas/sdk/github/schema code_scanning_analysis_url_decoder","url":"midas/sdk/github/schema.html#code_scanning_analysis_url_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_codeql_database_decoder","content":"pub fn code_scanning_codeql_database_decoder() -&gt; Decoder(\n  CodeScanningCodeqlDatabase,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_codeql_database_decoder\nmidas/sdk/github/schema code_scanning_codeql_database_decoder","url":"midas/sdk/github/schema.html#code_scanning_codeql_database_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_codeql_database_to_json","content":"pub fn code_scanning_codeql_database_to_json(\n  data: CodeScanningCodeqlDatabase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_codeql_database_to_json\nmidas/sdk/github/schema code_scanning_codeql_database_to_json","url":"midas/sdk/github/schema.html#code_scanning_codeql_database_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_decoder","content":"pub fn code_scanning_default_setup_decoder() -&gt; Decoder(\n  CodeScanningDefaultSetup,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_decoder\nmidas/sdk/github/schema code_scanning_default_setup_decoder","url":"midas/sdk/github/schema.html#code_scanning_default_setup_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_to_json","content":"pub fn code_scanning_default_setup_to_json(\n  data: CodeScanningDefaultSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_to_json\nmidas/sdk/github/schema code_scanning_default_setup_to_json","url":"midas/sdk/github/schema.html#code_scanning_default_setup_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_update_decoder","content":"pub fn code_scanning_default_setup_update_decoder() -&gt; Decoder(\n  CodeScanningDefaultSetupUpdate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_update_decoder\nmidas/sdk/github/schema code_scanning_default_setup_update_decoder","url":"midas/sdk/github/schema.html#code_scanning_default_setup_update_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_update_response_decoder","content":"pub fn code_scanning_default_setup_update_response_decoder() -&gt; Decoder(\n  CodeScanningDefaultSetupUpdateResponse,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_update_response_decoder\nmidas/sdk/github/schema code_scanning_default_setup_update_response_decoder","url":"midas/sdk/github/schema.html#code_scanning_default_setup_update_response_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_update_response_to_json","content":"pub fn code_scanning_default_setup_update_response_to_json(\n  data: CodeScanningDefaultSetupUpdateResponse,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_update_response_to_json\nmidas/sdk/github/schema code_scanning_default_setup_update_response_to_json","url":"midas/sdk/github/schema.html#code_scanning_default_setup_update_response_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_default_setup_update_to_json","content":"pub fn code_scanning_default_setup_update_to_json(\n  data: CodeScanningDefaultSetupUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_default_setup_update_to_json\nmidas/sdk/github/schema code_scanning_default_setup_update_to_json","url":"midas/sdk/github/schema.html#code_scanning_default_setup_update_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_organization_alert_items_decoder","content":"pub fn code_scanning_organization_alert_items_decoder() -&gt; Decoder(\n  CodeScanningOrganizationAlertItems,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_organization_alert_items_decoder\nmidas/sdk/github/schema code_scanning_organization_alert_items_decoder","url":"midas/sdk/github/schema.html#code_scanning_organization_alert_items_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_organization_alert_items_to_json","content":"pub fn code_scanning_organization_alert_items_to_json(\n  data: CodeScanningOrganizationAlertItems,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_organization_alert_items_to_json\nmidas/sdk/github/schema code_scanning_organization_alert_items_to_json","url":"midas/sdk/github/schema.html#code_scanning_organization_alert_items_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_ref_decoder","content":"pub fn code_scanning_ref_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_ref_decoder\nmidas/sdk/github/schema code_scanning_ref_decoder","url":"midas/sdk/github/schema.html#code_scanning_ref_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_ref_full_decoder","content":"pub fn code_scanning_ref_full_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_ref_full_decoder\nmidas/sdk/github/schema code_scanning_ref_full_decoder","url":"midas/sdk/github/schema.html#code_scanning_ref_full_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_sarifs_receipt_decoder","content":"pub fn code_scanning_sarifs_receipt_decoder() -&gt; Decoder(\n  CodeScanningSarifsReceipt,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_sarifs_receipt_decoder\nmidas/sdk/github/schema code_scanning_sarifs_receipt_decoder","url":"midas/sdk/github/schema.html#code_scanning_sarifs_receipt_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_sarifs_receipt_to_json","content":"pub fn code_scanning_sarifs_receipt_to_json(\n  data: CodeScanningSarifsReceipt,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_sarifs_receipt_to_json\nmidas/sdk/github/schema code_scanning_sarifs_receipt_to_json","url":"midas/sdk/github/schema.html#code_scanning_sarifs_receipt_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_sarifs_status_decoder","content":"pub fn code_scanning_sarifs_status_decoder() -&gt; Decoder(\n  CodeScanningSarifsStatus,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_sarifs_status_decoder\nmidas/sdk/github/schema code_scanning_sarifs_status_decoder","url":"midas/sdk/github/schema.html#code_scanning_sarifs_status_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_sarifs_status_to_json","content":"pub fn code_scanning_sarifs_status_to_json(\n  data: CodeScanningSarifsStatus,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_sarifs_status_to_json\nmidas/sdk/github/schema code_scanning_sarifs_status_to_json","url":"midas/sdk/github/schema.html#code_scanning_sarifs_status_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_decoder","content":"pub fn code_scanning_variant_analysis_decoder() -&gt; Decoder(\n  CodeScanningVariantAnalysis,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_decoder\nmidas/sdk/github/schema code_scanning_variant_analysis_decoder","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_language_decoder","content":"pub fn code_scanning_variant_analysis_language_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_language_decoder\nmidas/sdk/github/schema code_scanning_variant_analysis_language_decoder","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_language_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_repo_task_decoder","content":"pub fn code_scanning_variant_analysis_repo_task_decoder() -&gt; Decoder(\n  CodeScanningVariantAnalysisRepoTask,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_repo_task_decoder\nmidas/sdk/github/schema code_scanning_variant_analysis_repo_task_decoder","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_repo_task_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_repo_task_to_json","content":"pub fn code_scanning_variant_analysis_repo_task_to_json(\n  data: CodeScanningVariantAnalysisRepoTask,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_repo_task_to_json\nmidas/sdk/github/schema code_scanning_variant_analysis_repo_task_to_json","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_repo_task_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_repository_decoder","content":"pub fn code_scanning_variant_analysis_repository_decoder() -&gt; Decoder(\n  CodeScanningVariantAnalysisRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_repository_decoder\nmidas/sdk/github/schema code_scanning_variant_analysis_repository_decoder","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_repository_to_json","content":"pub fn code_scanning_variant_analysis_repository_to_json(\n  data: CodeScanningVariantAnalysisRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_repository_to_json\nmidas/sdk/github/schema code_scanning_variant_analysis_repository_to_json","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_skipped_repo_group_decoder","content":"pub fn code_scanning_variant_analysis_skipped_repo_group_decoder() -&gt; Decoder(\n  CodeScanningVariantAnalysisSkippedRepoGroup,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_skipped_repo_group_decoder\nmidas/sdk/github/schema code_scanning_variant_analysis_skipped_repo_group_decoder","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_skipped_repo_group_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_skipped_repo_group_to_json","content":"pub fn code_scanning_variant_analysis_skipped_repo_group_to_json(\n  data: CodeScanningVariantAnalysisSkippedRepoGroup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_skipped_repo_group_to_json\nmidas/sdk/github/schema code_scanning_variant_analysis_skipped_repo_group_to_json","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_skipped_repo_group_to_json"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_status_decoder","content":"pub fn code_scanning_variant_analysis_status_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_status_decoder\nmidas/sdk/github/schema code_scanning_variant_analysis_status_decoder","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_status_decoder"},{"doc":"midas/sdk/github/schema","title":"code_scanning_variant_analysis_to_json","content":"pub fn code_scanning_variant_analysis_to_json(\n  data: CodeScanningVariantAnalysis,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_scanning_variant_analysis_to_json\nmidas/sdk/github/schema code_scanning_variant_analysis_to_json","url":"midas/sdk/github/schema.html#code_scanning_variant_analysis_to_json"},{"doc":"midas/sdk/github/schema","title":"code_search_result_item_decoder","content":"pub fn code_search_result_item_decoder() -&gt; Decoder(\n  CodeSearchResultItem,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_search_result_item_decoder\nmidas/sdk/github/schema code_search_result_item_decoder","url":"midas/sdk/github/schema.html#code_search_result_item_decoder"},{"doc":"midas/sdk/github/schema","title":"code_search_result_item_to_json","content":"pub fn code_search_result_item_to_json(\n  data: CodeSearchResultItem,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_search_result_item_to_json\nmidas/sdk/github/schema code_search_result_item_to_json","url":"midas/sdk/github/schema.html#code_search_result_item_to_json"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_decoder","content":"pub fn code_security_configuration_decoder() -&gt; Decoder(\n  CodeSecurityConfiguration,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_decoder\nmidas/sdk/github/schema code_security_configuration_decoder","url":"midas/sdk/github/schema.html#code_security_configuration_decoder"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_for_repository_decoder","content":"pub fn code_security_configuration_for_repository_decoder() -&gt; Decoder(\n  CodeSecurityConfigurationForRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_for_repository_decoder\nmidas/sdk/github/schema code_security_configuration_for_repository_decoder","url":"midas/sdk/github/schema.html#code_security_configuration_for_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_for_repository_to_json","content":"pub fn code_security_configuration_for_repository_to_json(\n  data: CodeSecurityConfigurationForRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_for_repository_to_json\nmidas/sdk/github/schema code_security_configuration_for_repository_to_json","url":"midas/sdk/github/schema.html#code_security_configuration_for_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_repositories_decoder","content":"pub fn code_security_configuration_repositories_decoder() -&gt; Decoder(\n  CodeSecurityConfigurationRepositories,\n)\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_repositories_decoder\nmidas/sdk/github/schema code_security_configuration_repositories_decoder","url":"midas/sdk/github/schema.html#code_security_configuration_repositories_decoder"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_repositories_to_json","content":"pub fn code_security_configuration_repositories_to_json(\n  data: CodeSecurityConfigurationRepositories,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_repositories_to_json\nmidas/sdk/github/schema code_security_configuration_repositories_to_json","url":"midas/sdk/github/schema.html#code_security_configuration_repositories_to_json"},{"doc":"midas/sdk/github/schema","title":"code_security_configuration_to_json","content":"pub fn code_security_configuration_to_json(\n  data: CodeSecurityConfiguration,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.code_security_configuration_to_json\nmidas/sdk/github/schema code_security_configuration_to_json","url":"midas/sdk/github/schema.html#code_security_configuration_to_json"},{"doc":"midas/sdk/github/schema","title":"code_security_default_configurations_decoder","content":"pub fn code_security_default_configurations_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.code_security_default_configurations_decoder\nmidas/sdk/github/schema code_security_default_configurations_decoder","url":"midas/sdk/github/schema.html#code_security_default_configurations_decoder"},{"doc":"midas/sdk/github/schema","title":"codeowners_errors_decoder","content":"pub fn codeowners_errors_decoder() -&gt; Decoder(CodeownersErrors)\n\nSynonyms:\nmidas/sdk/github/schema.codeowners_errors_decoder\nmidas/sdk/github/schema codeowners_errors_decoder","url":"midas/sdk/github/schema.html#codeowners_errors_decoder"},{"doc":"midas/sdk/github/schema","title":"codeowners_errors_to_json","content":"pub fn codeowners_errors_to_json(data: CodeownersErrors) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codeowners_errors_to_json\nmidas/sdk/github/schema codeowners_errors_to_json","url":"midas/sdk/github/schema.html#codeowners_errors_to_json"},{"doc":"midas/sdk/github/schema","title":"codespace_decoder","content":"pub fn codespace_decoder() -&gt; Decoder(Codespace)\n\nSynonyms:\nmidas/sdk/github/schema.codespace_decoder\nmidas/sdk/github/schema codespace_decoder","url":"midas/sdk/github/schema.html#codespace_decoder"},{"doc":"midas/sdk/github/schema","title":"codespace_export_details_decoder","content":"pub fn codespace_export_details_decoder() -&gt; Decoder(\n  CodespaceExportDetails,\n)\n\nSynonyms:\nmidas/sdk/github/schema.codespace_export_details_decoder\nmidas/sdk/github/schema codespace_export_details_decoder","url":"midas/sdk/github/schema.html#codespace_export_details_decoder"},{"doc":"midas/sdk/github/schema","title":"codespace_export_details_to_json","content":"pub fn codespace_export_details_to_json(\n  data: CodespaceExportDetails,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespace_export_details_to_json\nmidas/sdk/github/schema codespace_export_details_to_json","url":"midas/sdk/github/schema.html#codespace_export_details_to_json"},{"doc":"midas/sdk/github/schema","title":"codespace_machine_decoder","content":"pub fn codespace_machine_decoder() -&gt; Decoder(CodespaceMachine)\n\nSynonyms:\nmidas/sdk/github/schema.codespace_machine_decoder\nmidas/sdk/github/schema codespace_machine_decoder","url":"midas/sdk/github/schema.html#codespace_machine_decoder"},{"doc":"midas/sdk/github/schema","title":"codespace_machine_to_json","content":"pub fn codespace_machine_to_json(data: CodespaceMachine) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespace_machine_to_json\nmidas/sdk/github/schema codespace_machine_to_json","url":"midas/sdk/github/schema.html#codespace_machine_to_json"},{"doc":"midas/sdk/github/schema","title":"codespace_to_json","content":"pub fn codespace_to_json(data: Codespace) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespace_to_json\nmidas/sdk/github/schema codespace_to_json","url":"midas/sdk/github/schema.html#codespace_to_json"},{"doc":"midas/sdk/github/schema","title":"codespace_with_full_repository_decoder","content":"pub fn codespace_with_full_repository_decoder() -&gt; Decoder(\n  CodespaceWithFullRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.codespace_with_full_repository_decoder\nmidas/sdk/github/schema codespace_with_full_repository_decoder","url":"midas/sdk/github/schema.html#codespace_with_full_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"codespace_with_full_repository_to_json","content":"pub fn codespace_with_full_repository_to_json(\n  data: CodespaceWithFullRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespace_with_full_repository_to_json\nmidas/sdk/github/schema codespace_with_full_repository_to_json","url":"midas/sdk/github/schema.html#codespace_with_full_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"codespaces_org_secret_decoder","content":"pub fn codespaces_org_secret_decoder() -&gt; Decoder(\n  CodespacesOrgSecret,\n)\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_org_secret_decoder\nmidas/sdk/github/schema codespaces_org_secret_decoder","url":"midas/sdk/github/schema.html#codespaces_org_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"codespaces_org_secret_to_json","content":"pub fn codespaces_org_secret_to_json(\n  data: CodespacesOrgSecret,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_org_secret_to_json\nmidas/sdk/github/schema codespaces_org_secret_to_json","url":"midas/sdk/github/schema.html#codespaces_org_secret_to_json"},{"doc":"midas/sdk/github/schema","title":"codespaces_permissions_check_for_devcontainer_decoder","content":"pub fn codespaces_permissions_check_for_devcontainer_decoder() -&gt; Decoder(\n  CodespacesPermissionsCheckForDevcontainer,\n)\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_permissions_check_for_devcontainer_decoder\nmidas/sdk/github/schema codespaces_permissions_check_for_devcontainer_decoder","url":"midas/sdk/github/schema.html#codespaces_permissions_check_for_devcontainer_decoder"},{"doc":"midas/sdk/github/schema","title":"codespaces_permissions_check_for_devcontainer_to_json","content":"pub fn codespaces_permissions_check_for_devcontainer_to_json(\n  data: CodespacesPermissionsCheckForDevcontainer,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_permissions_check_for_devcontainer_to_json\nmidas/sdk/github/schema codespaces_permissions_check_for_devcontainer_to_json","url":"midas/sdk/github/schema.html#codespaces_permissions_check_for_devcontainer_to_json"},{"doc":"midas/sdk/github/schema","title":"codespaces_public_key_decoder","content":"pub fn codespaces_public_key_decoder() -&gt; Decoder(\n  CodespacesPublicKey,\n)\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_public_key_decoder\nmidas/sdk/github/schema codespaces_public_key_decoder","url":"midas/sdk/github/schema.html#codespaces_public_key_decoder"},{"doc":"midas/sdk/github/schema","title":"codespaces_public_key_to_json","content":"pub fn codespaces_public_key_to_json(\n  data: CodespacesPublicKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_public_key_to_json\nmidas/sdk/github/schema codespaces_public_key_to_json","url":"midas/sdk/github/schema.html#codespaces_public_key_to_json"},{"doc":"midas/sdk/github/schema","title":"codespaces_secret_decoder","content":"pub fn codespaces_secret_decoder() -&gt; Decoder(CodespacesSecret)\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_secret_decoder\nmidas/sdk/github/schema codespaces_secret_decoder","url":"midas/sdk/github/schema.html#codespaces_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"codespaces_secret_to_json","content":"pub fn codespaces_secret_to_json(data: CodespacesSecret) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_secret_to_json\nmidas/sdk/github/schema codespaces_secret_to_json","url":"midas/sdk/github/schema.html#codespaces_secret_to_json"},{"doc":"midas/sdk/github/schema","title":"codespaces_user_public_key_decoder","content":"pub fn codespaces_user_public_key_decoder() -&gt; Decoder(\n  CodespacesUserPublicKey,\n)\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_user_public_key_decoder\nmidas/sdk/github/schema codespaces_user_public_key_decoder","url":"midas/sdk/github/schema.html#codespaces_user_public_key_decoder"},{"doc":"midas/sdk/github/schema","title":"codespaces_user_public_key_to_json","content":"pub fn codespaces_user_public_key_to_json(\n  data: CodespacesUserPublicKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.codespaces_user_public_key_to_json\nmidas/sdk/github/schema codespaces_user_public_key_to_json","url":"midas/sdk/github/schema.html#codespaces_user_public_key_to_json"},{"doc":"midas/sdk/github/schema","title":"collaborator_decoder","content":"pub fn collaborator_decoder() -&gt; Decoder(Collaborator)\n\nSynonyms:\nmidas/sdk/github/schema.collaborator_decoder\nmidas/sdk/github/schema collaborator_decoder","url":"midas/sdk/github/schema.html#collaborator_decoder"},{"doc":"midas/sdk/github/schema","title":"collaborator_to_json","content":"pub fn collaborator_to_json(data: Collaborator) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.collaborator_to_json\nmidas/sdk/github/schema collaborator_to_json","url":"midas/sdk/github/schema.html#collaborator_to_json"},{"doc":"midas/sdk/github/schema","title":"combined_billing_usage_decoder","content":"pub fn combined_billing_usage_decoder() -&gt; Decoder(\n  CombinedBillingUsage,\n)\n\nSynonyms:\nmidas/sdk/github/schema.combined_billing_usage_decoder\nmidas/sdk/github/schema combined_billing_usage_decoder","url":"midas/sdk/github/schema.html#combined_billing_usage_decoder"},{"doc":"midas/sdk/github/schema","title":"combined_billing_usage_to_json","content":"pub fn combined_billing_usage_to_json(\n  data: CombinedBillingUsage,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.combined_billing_usage_to_json\nmidas/sdk/github/schema combined_billing_usage_to_json","url":"midas/sdk/github/schema.html#combined_billing_usage_to_json"},{"doc":"midas/sdk/github/schema","title":"combined_commit_status_decoder","content":"pub fn combined_commit_status_decoder() -&gt; Decoder(\n  CombinedCommitStatus,\n)\n\nSynonyms:\nmidas/sdk/github/schema.combined_commit_status_decoder\nmidas/sdk/github/schema combined_commit_status_decoder","url":"midas/sdk/github/schema.html#combined_commit_status_decoder"},{"doc":"midas/sdk/github/schema","title":"combined_commit_status_to_json","content":"pub fn combined_commit_status_to_json(\n  data: CombinedCommitStatus,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.combined_commit_status_to_json\nmidas/sdk/github/schema combined_commit_status_to_json","url":"midas/sdk/github/schema.html#combined_commit_status_to_json"},{"doc":"midas/sdk/github/schema","title":"commit_activity_decoder","content":"pub fn commit_activity_decoder() -&gt; Decoder(CommitActivity)\n\nSynonyms:\nmidas/sdk/github/schema.commit_activity_decoder\nmidas/sdk/github/schema commit_activity_decoder","url":"midas/sdk/github/schema.html#commit_activity_decoder"},{"doc":"midas/sdk/github/schema","title":"commit_activity_to_json","content":"pub fn commit_activity_to_json(data: CommitActivity) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.commit_activity_to_json\nmidas/sdk/github/schema commit_activity_to_json","url":"midas/sdk/github/schema.html#commit_activity_to_json"},{"doc":"midas/sdk/github/schema","title":"commit_comment_decoder","content":"pub fn commit_comment_decoder() -&gt; Decoder(CommitComment)\n\nSynonyms:\nmidas/sdk/github/schema.commit_comment_decoder\nmidas/sdk/github/schema commit_comment_decoder","url":"midas/sdk/github/schema.html#commit_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"commit_comment_to_json","content":"pub fn commit_comment_to_json(data: CommitComment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.commit_comment_to_json\nmidas/sdk/github/schema commit_comment_to_json","url":"midas/sdk/github/schema.html#commit_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"commit_comparison_decoder","content":"pub fn commit_comparison_decoder() -&gt; Decoder(CommitComparison)\n\nSynonyms:\nmidas/sdk/github/schema.commit_comparison_decoder\nmidas/sdk/github/schema commit_comparison_decoder","url":"midas/sdk/github/schema.html#commit_comparison_decoder"},{"doc":"midas/sdk/github/schema","title":"commit_comparison_to_json","content":"pub fn commit_comparison_to_json(data: CommitComparison) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.commit_comparison_to_json\nmidas/sdk/github/schema commit_comparison_to_json","url":"midas/sdk/github/schema.html#commit_comparison_to_json"},{"doc":"midas/sdk/github/schema","title":"commit_decoder","content":"pub fn commit_decoder() -&gt; Decoder(Commit)\n\nSynonyms:\nmidas/sdk/github/schema.commit_decoder\nmidas/sdk/github/schema commit_decoder","url":"midas/sdk/github/schema.html#commit_decoder"},{"doc":"midas/sdk/github/schema","title":"commit_search_result_item_decoder","content":"pub fn commit_search_result_item_decoder() -&gt; Decoder(\n  CommitSearchResultItem,\n)\n\nSynonyms:\nmidas/sdk/github/schema.commit_search_result_item_decoder\nmidas/sdk/github/schema commit_search_result_item_decoder","url":"midas/sdk/github/schema.html#commit_search_result_item_decoder"},{"doc":"midas/sdk/github/schema","title":"commit_search_result_item_to_json","content":"pub fn commit_search_result_item_to_json(\n  data: CommitSearchResultItem,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.commit_search_result_item_to_json\nmidas/sdk/github/schema commit_search_result_item_to_json","url":"midas/sdk/github/schema.html#commit_search_result_item_to_json"},{"doc":"midas/sdk/github/schema","title":"commit_to_json","content":"pub fn commit_to_json(data: Commit) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.commit_to_json\nmidas/sdk/github/schema commit_to_json","url":"midas/sdk/github/schema.html#commit_to_json"},{"doc":"midas/sdk/github/schema","title":"community_profile_decoder","content":"pub fn community_profile_decoder() -&gt; Decoder(CommunityProfile)\n\nSynonyms:\nmidas/sdk/github/schema.community_profile_decoder\nmidas/sdk/github/schema community_profile_decoder","url":"midas/sdk/github/schema.html#community_profile_decoder"},{"doc":"midas/sdk/github/schema","title":"community_profile_to_json","content":"pub fn community_profile_to_json(data: CommunityProfile) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.community_profile_to_json\nmidas/sdk/github/schema community_profile_to_json","url":"midas/sdk/github/schema.html#community_profile_to_json"},{"doc":"midas/sdk/github/schema","title":"content_directory_decoder","content":"pub fn content_directory_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.content_directory_decoder\nmidas/sdk/github/schema content_directory_decoder","url":"midas/sdk/github/schema.html#content_directory_decoder"},{"doc":"midas/sdk/github/schema","title":"content_file_decoder","content":"pub fn content_file_decoder() -&gt; Decoder(ContentFile)\n\nSynonyms:\nmidas/sdk/github/schema.content_file_decoder\nmidas/sdk/github/schema content_file_decoder","url":"midas/sdk/github/schema.html#content_file_decoder"},{"doc":"midas/sdk/github/schema","title":"content_file_to_json","content":"pub fn content_file_to_json(data: ContentFile) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.content_file_to_json\nmidas/sdk/github/schema content_file_to_json","url":"midas/sdk/github/schema.html#content_file_to_json"},{"doc":"midas/sdk/github/schema","title":"content_submodule_decoder","content":"pub fn content_submodule_decoder() -&gt; Decoder(ContentSubmodule)\n\nSynonyms:\nmidas/sdk/github/schema.content_submodule_decoder\nmidas/sdk/github/schema content_submodule_decoder","url":"midas/sdk/github/schema.html#content_submodule_decoder"},{"doc":"midas/sdk/github/schema","title":"content_submodule_to_json","content":"pub fn content_submodule_to_json(data: ContentSubmodule) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.content_submodule_to_json\nmidas/sdk/github/schema content_submodule_to_json","url":"midas/sdk/github/schema.html#content_submodule_to_json"},{"doc":"midas/sdk/github/schema","title":"content_symlink_decoder","content":"pub fn content_symlink_decoder() -&gt; Decoder(ContentSymlink)\n\nSynonyms:\nmidas/sdk/github/schema.content_symlink_decoder\nmidas/sdk/github/schema content_symlink_decoder","url":"midas/sdk/github/schema.html#content_symlink_decoder"},{"doc":"midas/sdk/github/schema","title":"content_symlink_to_json","content":"pub fn content_symlink_to_json(data: ContentSymlink) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.content_symlink_to_json\nmidas/sdk/github/schema content_symlink_to_json","url":"midas/sdk/github/schema.html#content_symlink_to_json"},{"doc":"midas/sdk/github/schema","title":"content_traffic_decoder","content":"pub fn content_traffic_decoder() -&gt; Decoder(ContentTraffic)\n\nSynonyms:\nmidas/sdk/github/schema.content_traffic_decoder\nmidas/sdk/github/schema content_traffic_decoder","url":"midas/sdk/github/schema.html#content_traffic_decoder"},{"doc":"midas/sdk/github/schema","title":"content_traffic_to_json","content":"pub fn content_traffic_to_json(data: ContentTraffic) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.content_traffic_to_json\nmidas/sdk/github/schema content_traffic_to_json","url":"midas/sdk/github/schema.html#content_traffic_to_json"},{"doc":"midas/sdk/github/schema","title":"content_tree_decoder","content":"pub fn content_tree_decoder() -&gt; Decoder(ContentTree)\n\nSynonyms:\nmidas/sdk/github/schema.content_tree_decoder\nmidas/sdk/github/schema content_tree_decoder","url":"midas/sdk/github/schema.html#content_tree_decoder"},{"doc":"midas/sdk/github/schema","title":"content_tree_to_json","content":"pub fn content_tree_to_json(data: ContentTree) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.content_tree_to_json\nmidas/sdk/github/schema content_tree_to_json","url":"midas/sdk/github/schema.html#content_tree_to_json"},{"doc":"midas/sdk/github/schema","title":"contributor_activity_decoder","content":"pub fn contributor_activity_decoder() -&gt; Decoder(\n  ContributorActivity,\n)\n\nSynonyms:\nmidas/sdk/github/schema.contributor_activity_decoder\nmidas/sdk/github/schema contributor_activity_decoder","url":"midas/sdk/github/schema.html#contributor_activity_decoder"},{"doc":"midas/sdk/github/schema","title":"contributor_activity_to_json","content":"pub fn contributor_activity_to_json(\n  data: ContributorActivity,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.contributor_activity_to_json\nmidas/sdk/github/schema contributor_activity_to_json","url":"midas/sdk/github/schema.html#contributor_activity_to_json"},{"doc":"midas/sdk/github/schema","title":"contributor_decoder","content":"pub fn contributor_decoder() -&gt; Decoder(Contributor)\n\nSynonyms:\nmidas/sdk/github/schema.contributor_decoder\nmidas/sdk/github/schema contributor_decoder","url":"midas/sdk/github/schema.html#contributor_decoder"},{"doc":"midas/sdk/github/schema","title":"contributor_to_json","content":"pub fn contributor_to_json(data: Contributor) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.contributor_to_json\nmidas/sdk/github/schema contributor_to_json","url":"midas/sdk/github/schema.html#contributor_to_json"},{"doc":"midas/sdk/github/schema","title":"converted_note_to_issue_issue_event_decoder","content":"pub fn converted_note_to_issue_issue_event_decoder() -&gt; Decoder(\n  ConvertedNoteToIssueIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.converted_note_to_issue_issue_event_decoder\nmidas/sdk/github/schema converted_note_to_issue_issue_event_decoder","url":"midas/sdk/github/schema.html#converted_note_to_issue_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"converted_note_to_issue_issue_event_to_json","content":"pub fn converted_note_to_issue_issue_event_to_json(\n  data: ConvertedNoteToIssueIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.converted_note_to_issue_issue_event_to_json\nmidas/sdk/github/schema converted_note_to_issue_issue_event_to_json","url":"midas/sdk/github/schema.html#converted_note_to_issue_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_dotcom_chat_decoder","content":"pub fn copilot_dotcom_chat_decoder() -&gt; Decoder(CopilotDotcomChat)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_dotcom_chat_decoder\nmidas/sdk/github/schema copilot_dotcom_chat_decoder","url":"midas/sdk/github/schema.html#copilot_dotcom_chat_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_dotcom_chat_to_json","content":"pub fn copilot_dotcom_chat_to_json(\n  data: CopilotDotcomChat,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_dotcom_chat_to_json\nmidas/sdk/github/schema copilot_dotcom_chat_to_json","url":"midas/sdk/github/schema.html#copilot_dotcom_chat_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_dotcom_pull_requests_decoder","content":"pub fn copilot_dotcom_pull_requests_decoder() -&gt; Decoder(\n  CopilotDotcomPullRequests,\n)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_dotcom_pull_requests_decoder\nmidas/sdk/github/schema copilot_dotcom_pull_requests_decoder","url":"midas/sdk/github/schema.html#copilot_dotcom_pull_requests_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_dotcom_pull_requests_to_json","content":"pub fn copilot_dotcom_pull_requests_to_json(\n  data: CopilotDotcomPullRequests,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_dotcom_pull_requests_to_json\nmidas/sdk/github/schema copilot_dotcom_pull_requests_to_json","url":"midas/sdk/github/schema.html#copilot_dotcom_pull_requests_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_ide_chat_decoder","content":"pub fn copilot_ide_chat_decoder() -&gt; Decoder(CopilotIdeChat)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_ide_chat_decoder\nmidas/sdk/github/schema copilot_ide_chat_decoder","url":"midas/sdk/github/schema.html#copilot_ide_chat_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_ide_chat_to_json","content":"pub fn copilot_ide_chat_to_json(data: CopilotIdeChat) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_ide_chat_to_json\nmidas/sdk/github/schema copilot_ide_chat_to_json","url":"midas/sdk/github/schema.html#copilot_ide_chat_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_ide_code_completions_decoder","content":"pub fn copilot_ide_code_completions_decoder() -&gt; Decoder(\n  CopilotIdeCodeCompletions,\n)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_ide_code_completions_decoder\nmidas/sdk/github/schema copilot_ide_code_completions_decoder","url":"midas/sdk/github/schema.html#copilot_ide_code_completions_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_ide_code_completions_to_json","content":"pub fn copilot_ide_code_completions_to_json(\n  data: CopilotIdeCodeCompletions,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_ide_code_completions_to_json\nmidas/sdk/github/schema copilot_ide_code_completions_to_json","url":"midas/sdk/github/schema.html#copilot_ide_code_completions_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_organization_details_decoder","content":"pub fn copilot_organization_details_decoder() -&gt; Decoder(\n  CopilotOrganizationDetails,\n)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_organization_details_decoder\nmidas/sdk/github/schema copilot_organization_details_decoder","url":"midas/sdk/github/schema.html#copilot_organization_details_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_organization_details_to_json","content":"pub fn copilot_organization_details_to_json(\n  data: CopilotOrganizationDetails,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_organization_details_to_json\nmidas/sdk/github/schema copilot_organization_details_to_json","url":"midas/sdk/github/schema.html#copilot_organization_details_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_seat_breakdown_decoder","content":"pub fn copilot_seat_breakdown_decoder() -&gt; Decoder(\n  CopilotSeatBreakdown,\n)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_seat_breakdown_decoder\nmidas/sdk/github/schema copilot_seat_breakdown_decoder","url":"midas/sdk/github/schema.html#copilot_seat_breakdown_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_seat_breakdown_to_json","content":"pub fn copilot_seat_breakdown_to_json(\n  data: CopilotSeatBreakdown,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_seat_breakdown_to_json\nmidas/sdk/github/schema copilot_seat_breakdown_to_json","url":"midas/sdk/github/schema.html#copilot_seat_breakdown_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_seat_details_decoder","content":"pub fn copilot_seat_details_decoder() -&gt; Decoder(\n  CopilotSeatDetails,\n)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_seat_details_decoder\nmidas/sdk/github/schema copilot_seat_details_decoder","url":"midas/sdk/github/schema.html#copilot_seat_details_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_seat_details_to_json","content":"pub fn copilot_seat_details_to_json(\n  data: CopilotSeatDetails,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_seat_details_to_json\nmidas/sdk/github/schema copilot_seat_details_to_json","url":"midas/sdk/github/schema.html#copilot_seat_details_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_usage_metrics_day_decoder","content":"pub fn copilot_usage_metrics_day_decoder() -&gt; Decoder(\n  CopilotUsageMetricsDay,\n)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_usage_metrics_day_decoder\nmidas/sdk/github/schema copilot_usage_metrics_day_decoder","url":"midas/sdk/github/schema.html#copilot_usage_metrics_day_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_usage_metrics_day_to_json","content":"pub fn copilot_usage_metrics_day_to_json(\n  data: CopilotUsageMetricsDay,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_usage_metrics_day_to_json\nmidas/sdk/github/schema copilot_usage_metrics_day_to_json","url":"midas/sdk/github/schema.html#copilot_usage_metrics_day_to_json"},{"doc":"midas/sdk/github/schema","title":"copilot_usage_metrics_decoder","content":"pub fn copilot_usage_metrics_decoder() -&gt; Decoder(\n  CopilotUsageMetrics,\n)\n\nSynonyms:\nmidas/sdk/github/schema.copilot_usage_metrics_decoder\nmidas/sdk/github/schema copilot_usage_metrics_decoder","url":"midas/sdk/github/schema.html#copilot_usage_metrics_decoder"},{"doc":"midas/sdk/github/schema","title":"copilot_usage_metrics_to_json","content":"pub fn copilot_usage_metrics_to_json(\n  data: CopilotUsageMetrics,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.copilot_usage_metrics_to_json\nmidas/sdk/github/schema copilot_usage_metrics_to_json","url":"midas/sdk/github/schema.html#copilot_usage_metrics_to_json"},{"doc":"midas/sdk/github/schema","title":"custom_deployment_rule_app_decoder","content":"pub fn custom_deployment_rule_app_decoder() -&gt; Decoder(\n  CustomDeploymentRuleApp,\n)\n\nSynonyms:\nmidas/sdk/github/schema.custom_deployment_rule_app_decoder\nmidas/sdk/github/schema custom_deployment_rule_app_decoder","url":"midas/sdk/github/schema.html#custom_deployment_rule_app_decoder"},{"doc":"midas/sdk/github/schema","title":"custom_deployment_rule_app_to_json","content":"pub fn custom_deployment_rule_app_to_json(\n  data: CustomDeploymentRuleApp,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.custom_deployment_rule_app_to_json\nmidas/sdk/github/schema custom_deployment_rule_app_to_json","url":"midas/sdk/github/schema.html#custom_deployment_rule_app_to_json"},{"doc":"midas/sdk/github/schema","title":"custom_property_decoder","content":"pub fn custom_property_decoder() -&gt; Decoder(CustomProperty)\n\nSynonyms:\nmidas/sdk/github/schema.custom_property_decoder\nmidas/sdk/github/schema custom_property_decoder","url":"midas/sdk/github/schema.html#custom_property_decoder"},{"doc":"midas/sdk/github/schema","title":"custom_property_to_json","content":"pub fn custom_property_to_json(data: CustomProperty) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.custom_property_to_json\nmidas/sdk/github/schema custom_property_to_json","url":"midas/sdk/github/schema.html#custom_property_to_json"},{"doc":"midas/sdk/github/schema","title":"custom_property_value_decoder","content":"pub fn custom_property_value_decoder() -&gt; Decoder(\n  CustomPropertyValue,\n)\n\nSynonyms:\nmidas/sdk/github/schema.custom_property_value_decoder\nmidas/sdk/github/schema custom_property_value_decoder","url":"midas/sdk/github/schema.html#custom_property_value_decoder"},{"doc":"midas/sdk/github/schema","title":"custom_property_value_to_json","content":"pub fn custom_property_value_to_json(\n  data: CustomPropertyValue,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.custom_property_value_to_json\nmidas/sdk/github/schema custom_property_value_to_json","url":"midas/sdk/github/schema.html#custom_property_value_to_json"},{"doc":"midas/sdk/github/schema","title":"cvss_severities_decoder","content":"pub fn cvss_severities_decoder() -&gt; Decoder(CvssSeverities)\n\nSynonyms:\nmidas/sdk/github/schema.cvss_severities_decoder\nmidas/sdk/github/schema cvss_severities_decoder","url":"midas/sdk/github/schema.html#cvss_severities_decoder"},{"doc":"midas/sdk/github/schema","title":"cvss_severities_to_json","content":"pub fn cvss_severities_to_json(data: CvssSeverities) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.cvss_severities_to_json\nmidas/sdk/github/schema cvss_severities_to_json","url":"midas/sdk/github/schema.html#cvss_severities_to_json"},{"doc":"midas/sdk/github/schema","title":"demilestoned_issue_event_decoder","content":"pub fn demilestoned_issue_event_decoder() -&gt; Decoder(\n  DemilestonedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.demilestoned_issue_event_decoder\nmidas/sdk/github/schema demilestoned_issue_event_decoder","url":"midas/sdk/github/schema.html#demilestoned_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"demilestoned_issue_event_to_json","content":"pub fn demilestoned_issue_event_to_json(\n  data: DemilestonedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.demilestoned_issue_event_to_json\nmidas/sdk/github/schema demilestoned_issue_event_to_json","url":"midas/sdk/github/schema.html#demilestoned_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_decoder","content":"pub fn dependabot_alert_decoder() -&gt; Decoder(DependabotAlert)\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_decoder\nmidas/sdk/github/schema dependabot_alert_decoder","url":"midas/sdk/github/schema.html#dependabot_alert_decoder"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_package_decoder","content":"pub fn dependabot_alert_package_decoder() -&gt; Decoder(\n  DependabotAlertPackage,\n)\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_package_decoder\nmidas/sdk/github/schema dependabot_alert_package_decoder","url":"midas/sdk/github/schema.html#dependabot_alert_package_decoder"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_package_to_json","content":"pub fn dependabot_alert_package_to_json(\n  data: DependabotAlertPackage,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_package_to_json\nmidas/sdk/github/schema dependabot_alert_package_to_json","url":"midas/sdk/github/schema.html#dependabot_alert_package_to_json"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_security_advisory_decoder","content":"pub fn dependabot_alert_security_advisory_decoder() -&gt; Decoder(\n  DependabotAlertSecurityAdvisory,\n)\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_security_advisory_decoder\nmidas/sdk/github/schema dependabot_alert_security_advisory_decoder","url":"midas/sdk/github/schema.html#dependabot_alert_security_advisory_decoder"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_security_advisory_to_json","content":"pub fn dependabot_alert_security_advisory_to_json(\n  data: DependabotAlertSecurityAdvisory,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_security_advisory_to_json\nmidas/sdk/github/schema dependabot_alert_security_advisory_to_json","url":"midas/sdk/github/schema.html#dependabot_alert_security_advisory_to_json"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_security_vulnerability_decoder","content":"pub fn dependabot_alert_security_vulnerability_decoder() -&gt; Decoder(\n  DependabotAlertSecurityVulnerability,\n)\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_security_vulnerability_decoder\nmidas/sdk/github/schema dependabot_alert_security_vulnerability_decoder","url":"midas/sdk/github/schema.html#dependabot_alert_security_vulnerability_decoder"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_security_vulnerability_to_json","content":"pub fn dependabot_alert_security_vulnerability_to_json(\n  data: DependabotAlertSecurityVulnerability,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_security_vulnerability_to_json\nmidas/sdk/github/schema dependabot_alert_security_vulnerability_to_json","url":"midas/sdk/github/schema.html#dependabot_alert_security_vulnerability_to_json"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_to_json","content":"pub fn dependabot_alert_to_json(data: DependabotAlert) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_to_json\nmidas/sdk/github/schema dependabot_alert_to_json","url":"midas/sdk/github/schema.html#dependabot_alert_to_json"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_with_repository_decoder","content":"pub fn dependabot_alert_with_repository_decoder() -&gt; Decoder(\n  DependabotAlertWithRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_with_repository_decoder\nmidas/sdk/github/schema dependabot_alert_with_repository_decoder","url":"midas/sdk/github/schema.html#dependabot_alert_with_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"dependabot_alert_with_repository_to_json","content":"pub fn dependabot_alert_with_repository_to_json(\n  data: DependabotAlertWithRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_alert_with_repository_to_json\nmidas/sdk/github/schema dependabot_alert_with_repository_to_json","url":"midas/sdk/github/schema.html#dependabot_alert_with_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"dependabot_public_key_decoder","content":"pub fn dependabot_public_key_decoder() -&gt; Decoder(\n  DependabotPublicKey,\n)\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_public_key_decoder\nmidas/sdk/github/schema dependabot_public_key_decoder","url":"midas/sdk/github/schema.html#dependabot_public_key_decoder"},{"doc":"midas/sdk/github/schema","title":"dependabot_public_key_to_json","content":"pub fn dependabot_public_key_to_json(\n  data: DependabotPublicKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_public_key_to_json\nmidas/sdk/github/schema dependabot_public_key_to_json","url":"midas/sdk/github/schema.html#dependabot_public_key_to_json"},{"doc":"midas/sdk/github/schema","title":"dependabot_secret_decoder","content":"pub fn dependabot_secret_decoder() -&gt; Decoder(DependabotSecret)\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_secret_decoder\nmidas/sdk/github/schema dependabot_secret_decoder","url":"midas/sdk/github/schema.html#dependabot_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"dependabot_secret_to_json","content":"pub fn dependabot_secret_to_json(data: DependabotSecret) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependabot_secret_to_json\nmidas/sdk/github/schema dependabot_secret_to_json","url":"midas/sdk/github/schema.html#dependabot_secret_to_json"},{"doc":"midas/sdk/github/schema","title":"dependency_decoder","content":"pub fn dependency_decoder() -&gt; Decoder(Dependency)\n\nSynonyms:\nmidas/sdk/github/schema.dependency_decoder\nmidas/sdk/github/schema dependency_decoder","url":"midas/sdk/github/schema.html#dependency_decoder"},{"doc":"midas/sdk/github/schema","title":"dependency_graph_diff_decoder","content":"pub fn dependency_graph_diff_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.dependency_graph_diff_decoder\nmidas/sdk/github/schema dependency_graph_diff_decoder","url":"midas/sdk/github/schema.html#dependency_graph_diff_decoder"},{"doc":"midas/sdk/github/schema","title":"dependency_graph_spdx_sbom_decoder","content":"pub fn dependency_graph_spdx_sbom_decoder() -&gt; Decoder(\n  DependencyGraphSpdxSbom,\n)\n\nSynonyms:\nmidas/sdk/github/schema.dependency_graph_spdx_sbom_decoder\nmidas/sdk/github/schema dependency_graph_spdx_sbom_decoder","url":"midas/sdk/github/schema.html#dependency_graph_spdx_sbom_decoder"},{"doc":"midas/sdk/github/schema","title":"dependency_graph_spdx_sbom_to_json","content":"pub fn dependency_graph_spdx_sbom_to_json(\n  data: DependencyGraphSpdxSbom,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependency_graph_spdx_sbom_to_json\nmidas/sdk/github/schema dependency_graph_spdx_sbom_to_json","url":"midas/sdk/github/schema.html#dependency_graph_spdx_sbom_to_json"},{"doc":"midas/sdk/github/schema","title":"dependency_to_json","content":"pub fn dependency_to_json(data: Dependency) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.dependency_to_json\nmidas/sdk/github/schema dependency_to_json","url":"midas/sdk/github/schema.html#dependency_to_json"},{"doc":"midas/sdk/github/schema","title":"deploy_key_decoder","content":"pub fn deploy_key_decoder() -&gt; Decoder(DeployKey)\n\nSynonyms:\nmidas/sdk/github/schema.deploy_key_decoder\nmidas/sdk/github/schema deploy_key_decoder","url":"midas/sdk/github/schema.html#deploy_key_decoder"},{"doc":"midas/sdk/github/schema","title":"deploy_key_to_json","content":"pub fn deploy_key_to_json(data: DeployKey) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deploy_key_to_json\nmidas/sdk/github/schema deploy_key_to_json","url":"midas/sdk/github/schema.html#deploy_key_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_decoder","content":"pub fn deployment_branch_policy_decoder() -&gt; Decoder(\n  DeploymentBranchPolicy,\n)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_decoder\nmidas/sdk/github/schema deployment_branch_policy_decoder","url":"midas/sdk/github/schema.html#deployment_branch_policy_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_name_pattern_decoder","content":"pub fn deployment_branch_policy_name_pattern_decoder() -&gt; Decoder(\n  DeploymentBranchPolicyNamePattern,\n)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_name_pattern_decoder\nmidas/sdk/github/schema deployment_branch_policy_name_pattern_decoder","url":"midas/sdk/github/schema.html#deployment_branch_policy_name_pattern_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_name_pattern_to_json","content":"pub fn deployment_branch_policy_name_pattern_to_json(\n  data: DeploymentBranchPolicyNamePattern,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_name_pattern_to_json\nmidas/sdk/github/schema deployment_branch_policy_name_pattern_to_json","url":"midas/sdk/github/schema.html#deployment_branch_policy_name_pattern_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_name_pattern_with_type_decoder","content":"pub fn deployment_branch_policy_name_pattern_with_type_decoder() -&gt; Decoder(\n  DeploymentBranchPolicyNamePatternWithType,\n)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_name_pattern_with_type_decoder\nmidas/sdk/github/schema deployment_branch_policy_name_pattern_with_type_decoder","url":"midas/sdk/github/schema.html#deployment_branch_policy_name_pattern_with_type_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_name_pattern_with_type_to_json","content":"pub fn deployment_branch_policy_name_pattern_with_type_to_json(\n  data: DeploymentBranchPolicyNamePatternWithType,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_name_pattern_with_type_to_json\nmidas/sdk/github/schema deployment_branch_policy_name_pattern_with_type_to_json","url":"midas/sdk/github/schema.html#deployment_branch_policy_name_pattern_with_type_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_settings_decoder","content":"pub fn deployment_branch_policy_settings_decoder() -&gt; Decoder(\n  DeploymentBranchPolicySettings,\n)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_settings_decoder\nmidas/sdk/github/schema deployment_branch_policy_settings_decoder","url":"midas/sdk/github/schema.html#deployment_branch_policy_settings_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_settings_to_json","content":"pub fn deployment_branch_policy_settings_to_json(\n  data: DeploymentBranchPolicySettings,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_settings_to_json\nmidas/sdk/github/schema deployment_branch_policy_settings_to_json","url":"midas/sdk/github/schema.html#deployment_branch_policy_settings_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_branch_policy_to_json","content":"pub fn deployment_branch_policy_to_json(\n  data: DeploymentBranchPolicy,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_branch_policy_to_json\nmidas/sdk/github/schema deployment_branch_policy_to_json","url":"midas/sdk/github/schema.html#deployment_branch_policy_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_decoder","content":"pub fn deployment_decoder() -&gt; Decoder(Deployment)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_decoder\nmidas/sdk/github/schema deployment_decoder","url":"midas/sdk/github/schema.html#deployment_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_protection_rule_decoder","content":"pub fn deployment_protection_rule_decoder() -&gt; Decoder(\n  DeploymentProtectionRule,\n)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_protection_rule_decoder\nmidas/sdk/github/schema deployment_protection_rule_decoder","url":"midas/sdk/github/schema.html#deployment_protection_rule_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_protection_rule_to_json","content":"pub fn deployment_protection_rule_to_json(\n  data: DeploymentProtectionRule,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_protection_rule_to_json\nmidas/sdk/github/schema deployment_protection_rule_to_json","url":"midas/sdk/github/schema.html#deployment_protection_rule_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_reviewer_type_decoder","content":"pub fn deployment_reviewer_type_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_reviewer_type_decoder\nmidas/sdk/github/schema deployment_reviewer_type_decoder","url":"midas/sdk/github/schema.html#deployment_reviewer_type_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_simple_decoder","content":"pub fn deployment_simple_decoder() -&gt; Decoder(DeploymentSimple)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_simple_decoder\nmidas/sdk/github/schema deployment_simple_decoder","url":"midas/sdk/github/schema.html#deployment_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_simple_to_json","content":"pub fn deployment_simple_to_json(data: DeploymentSimple) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_simple_to_json\nmidas/sdk/github/schema deployment_simple_to_json","url":"midas/sdk/github/schema.html#deployment_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_status_decoder","content":"pub fn deployment_status_decoder() -&gt; Decoder(DeploymentStatus)\n\nSynonyms:\nmidas/sdk/github/schema.deployment_status_decoder\nmidas/sdk/github/schema deployment_status_decoder","url":"midas/sdk/github/schema.html#deployment_status_decoder"},{"doc":"midas/sdk/github/schema","title":"deployment_status_to_json","content":"pub fn deployment_status_to_json(data: DeploymentStatus) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_status_to_json\nmidas/sdk/github/schema deployment_status_to_json","url":"midas/sdk/github/schema.html#deployment_status_to_json"},{"doc":"midas/sdk/github/schema","title":"deployment_to_json","content":"pub fn deployment_to_json(data: Deployment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.deployment_to_json\nmidas/sdk/github/schema deployment_to_json","url":"midas/sdk/github/schema.html#deployment_to_json"},{"doc":"midas/sdk/github/schema","title":"diff_entry_decoder","content":"pub fn diff_entry_decoder() -&gt; Decoder(DiffEntry)\n\nSynonyms:\nmidas/sdk/github/schema.diff_entry_decoder\nmidas/sdk/github/schema diff_entry_decoder","url":"midas/sdk/github/schema.html#diff_entry_decoder"},{"doc":"midas/sdk/github/schema","title":"diff_entry_to_json","content":"pub fn diff_entry_to_json(data: DiffEntry) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.diff_entry_to_json\nmidas/sdk/github/schema diff_entry_to_json","url":"midas/sdk/github/schema.html#diff_entry_to_json"},{"doc":"midas/sdk/github/schema","title":"discussion_decoder","content":"pub fn discussion_decoder() -&gt; Decoder(Discussion)\n\nSynonyms:\nmidas/sdk/github/schema.discussion_decoder\nmidas/sdk/github/schema discussion_decoder","url":"midas/sdk/github/schema.html#discussion_decoder"},{"doc":"midas/sdk/github/schema","title":"discussion_to_json","content":"pub fn discussion_to_json(data: Discussion) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.discussion_to_json\nmidas/sdk/github/schema discussion_to_json","url":"midas/sdk/github/schema.html#discussion_to_json"},{"doc":"midas/sdk/github/schema","title":"email_decoder","content":"pub fn email_decoder() -&gt; Decoder(Email)\n\nSynonyms:\nmidas/sdk/github/schema.email_decoder\nmidas/sdk/github/schema email_decoder","url":"midas/sdk/github/schema.html#email_decoder"},{"doc":"midas/sdk/github/schema","title":"email_to_json","content":"pub fn email_to_json(data: Email) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.email_to_json\nmidas/sdk/github/schema email_to_json","url":"midas/sdk/github/schema.html#email_to_json"},{"doc":"midas/sdk/github/schema","title":"empty_object_decoder","content":"pub fn empty_object_decoder() -&gt; Decoder(EmptyObject)\n\nSynonyms:\nmidas/sdk/github/schema.empty_object_decoder\nmidas/sdk/github/schema empty_object_decoder","url":"midas/sdk/github/schema.html#empty_object_decoder"},{"doc":"midas/sdk/github/schema","title":"empty_object_to_json","content":"pub fn empty_object_to_json(data: EmptyObject) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.empty_object_to_json\nmidas/sdk/github/schema empty_object_to_json","url":"midas/sdk/github/schema.html#empty_object_to_json"},{"doc":"midas/sdk/github/schema","title":"enabled_repositories_decoder","content":"pub fn enabled_repositories_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.enabled_repositories_decoder\nmidas/sdk/github/schema enabled_repositories_decoder","url":"midas/sdk/github/schema.html#enabled_repositories_decoder"},{"doc":"midas/sdk/github/schema","title":"enterprise_decoder","content":"pub fn enterprise_decoder() -&gt; Decoder(Enterprise)\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_decoder\nmidas/sdk/github/schema enterprise_decoder","url":"midas/sdk/github/schema.html#enterprise_decoder"},{"doc":"midas/sdk/github/schema","title":"enterprise_team_decoder","content":"pub fn enterprise_team_decoder() -&gt; Decoder(EnterpriseTeam)\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_team_decoder\nmidas/sdk/github/schema enterprise_team_decoder","url":"midas/sdk/github/schema.html#enterprise_team_decoder"},{"doc":"midas/sdk/github/schema","title":"enterprise_team_to_json","content":"pub fn enterprise_team_to_json(data: EnterpriseTeam) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_team_to_json\nmidas/sdk/github/schema enterprise_team_to_json","url":"midas/sdk/github/schema.html#enterprise_team_to_json"},{"doc":"midas/sdk/github/schema","title":"enterprise_to_json","content":"pub fn enterprise_to_json(data: Enterprise) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_to_json\nmidas/sdk/github/schema enterprise_to_json","url":"midas/sdk/github/schema.html#enterprise_to_json"},{"doc":"midas/sdk/github/schema","title":"enterprise_webhooks_decoder","content":"pub fn enterprise_webhooks_decoder() -&gt; Decoder(\n  EnterpriseWebhooks,\n)\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_webhooks_decoder\nmidas/sdk/github/schema enterprise_webhooks_decoder","url":"midas/sdk/github/schema.html#enterprise_webhooks_decoder"},{"doc":"midas/sdk/github/schema","title":"enterprise_webhooks_to_json","content":"pub fn enterprise_webhooks_to_json(\n  data: EnterpriseWebhooks,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.enterprise_webhooks_to_json\nmidas/sdk/github/schema enterprise_webhooks_to_json","url":"midas/sdk/github/schema.html#enterprise_webhooks_to_json"},{"doc":"midas/sdk/github/schema","title":"environment_approvals_decoder","content":"pub fn environment_approvals_decoder() -&gt; Decoder(\n  EnvironmentApprovals,\n)\n\nSynonyms:\nmidas/sdk/github/schema.environment_approvals_decoder\nmidas/sdk/github/schema environment_approvals_decoder","url":"midas/sdk/github/schema.html#environment_approvals_decoder"},{"doc":"midas/sdk/github/schema","title":"environment_approvals_to_json","content":"pub fn environment_approvals_to_json(\n  data: EnvironmentApprovals,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.environment_approvals_to_json\nmidas/sdk/github/schema environment_approvals_to_json","url":"midas/sdk/github/schema.html#environment_approvals_to_json"},{"doc":"midas/sdk/github/schema","title":"environment_decoder","content":"pub fn environment_decoder() -&gt; Decoder(Environment)\n\nSynonyms:\nmidas/sdk/github/schema.environment_decoder\nmidas/sdk/github/schema environment_decoder","url":"midas/sdk/github/schema.html#environment_decoder"},{"doc":"midas/sdk/github/schema","title":"environment_to_json","content":"pub fn environment_to_json(data: Environment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.environment_to_json\nmidas/sdk/github/schema environment_to_json","url":"midas/sdk/github/schema.html#environment_to_json"},{"doc":"midas/sdk/github/schema","title":"event_decoder","content":"pub fn event_decoder() -&gt; Decoder(Event)\n\nSynonyms:\nmidas/sdk/github/schema.event_decoder\nmidas/sdk/github/schema event_decoder","url":"midas/sdk/github/schema.html#event_decoder"},{"doc":"midas/sdk/github/schema","title":"event_to_json","content":"pub fn event_to_json(data: Event) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.event_to_json\nmidas/sdk/github/schema event_to_json","url":"midas/sdk/github/schema.html#event_to_json"},{"doc":"midas/sdk/github/schema","title":"feed_decoder","content":"pub fn feed_decoder() -&gt; Decoder(Feed)\n\nSynonyms:\nmidas/sdk/github/schema.feed_decoder\nmidas/sdk/github/schema feed_decoder","url":"midas/sdk/github/schema.html#feed_decoder"},{"doc":"midas/sdk/github/schema","title":"feed_to_json","content":"pub fn feed_to_json(data: Feed) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.feed_to_json\nmidas/sdk/github/schema feed_to_json","url":"midas/sdk/github/schema.html#feed_to_json"},{"doc":"midas/sdk/github/schema","title":"file_commit_decoder","content":"pub fn file_commit_decoder() -&gt; Decoder(FileCommit)\n\nSynonyms:\nmidas/sdk/github/schema.file_commit_decoder\nmidas/sdk/github/schema file_commit_decoder","url":"midas/sdk/github/schema.html#file_commit_decoder"},{"doc":"midas/sdk/github/schema","title":"file_commit_to_json","content":"pub fn file_commit_to_json(data: FileCommit) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.file_commit_to_json\nmidas/sdk/github/schema file_commit_to_json","url":"midas/sdk/github/schema.html#file_commit_to_json"},{"doc":"midas/sdk/github/schema","title":"full_repository_decoder","content":"pub fn full_repository_decoder() -&gt; Decoder(FullRepository)\n\nSynonyms:\nmidas/sdk/github/schema.full_repository_decoder\nmidas/sdk/github/schema full_repository_decoder","url":"midas/sdk/github/schema.html#full_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"full_repository_to_json","content":"pub fn full_repository_to_json(data: FullRepository) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.full_repository_to_json\nmidas/sdk/github/schema full_repository_to_json","url":"midas/sdk/github/schema.html#full_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"gist_comment_decoder","content":"pub fn gist_comment_decoder() -&gt; Decoder(GistComment)\n\nSynonyms:\nmidas/sdk/github/schema.gist_comment_decoder\nmidas/sdk/github/schema gist_comment_decoder","url":"midas/sdk/github/schema.html#gist_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"gist_comment_to_json","content":"pub fn gist_comment_to_json(data: GistComment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.gist_comment_to_json\nmidas/sdk/github/schema gist_comment_to_json","url":"midas/sdk/github/schema.html#gist_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"gist_commit_decoder","content":"pub fn gist_commit_decoder() -&gt; Decoder(GistCommit)\n\nSynonyms:\nmidas/sdk/github/schema.gist_commit_decoder\nmidas/sdk/github/schema gist_commit_decoder","url":"midas/sdk/github/schema.html#gist_commit_decoder"},{"doc":"midas/sdk/github/schema","title":"gist_commit_to_json","content":"pub fn gist_commit_to_json(data: GistCommit) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.gist_commit_to_json\nmidas/sdk/github/schema gist_commit_to_json","url":"midas/sdk/github/schema.html#gist_commit_to_json"},{"doc":"midas/sdk/github/schema","title":"gist_history_decoder","content":"pub fn gist_history_decoder() -&gt; Decoder(GistHistory)\n\nSynonyms:\nmidas/sdk/github/schema.gist_history_decoder\nmidas/sdk/github/schema gist_history_decoder","url":"midas/sdk/github/schema.html#gist_history_decoder"},{"doc":"midas/sdk/github/schema","title":"gist_history_to_json","content":"pub fn gist_history_to_json(data: GistHistory) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.gist_history_to_json\nmidas/sdk/github/schema gist_history_to_json","url":"midas/sdk/github/schema.html#gist_history_to_json"},{"doc":"midas/sdk/github/schema","title":"gist_simple_decoder","content":"pub fn gist_simple_decoder() -&gt; Decoder(GistSimple)\n\nSynonyms:\nmidas/sdk/github/schema.gist_simple_decoder\nmidas/sdk/github/schema gist_simple_decoder","url":"midas/sdk/github/schema.html#gist_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"gist_simple_to_json","content":"pub fn gist_simple_to_json(data: GistSimple) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.gist_simple_to_json\nmidas/sdk/github/schema gist_simple_to_json","url":"midas/sdk/github/schema.html#gist_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"git_commit_decoder","content":"pub fn git_commit_decoder() -&gt; Decoder(GitCommit)\n\nSynonyms:\nmidas/sdk/github/schema.git_commit_decoder\nmidas/sdk/github/schema git_commit_decoder","url":"midas/sdk/github/schema.html#git_commit_decoder"},{"doc":"midas/sdk/github/schema","title":"git_commit_to_json","content":"pub fn git_commit_to_json(data: GitCommit) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.git_commit_to_json\nmidas/sdk/github/schema git_commit_to_json","url":"midas/sdk/github/schema.html#git_commit_to_json"},{"doc":"midas/sdk/github/schema","title":"git_ref_decoder","content":"pub fn git_ref_decoder() -&gt; Decoder(GitRef)\n\nSynonyms:\nmidas/sdk/github/schema.git_ref_decoder\nmidas/sdk/github/schema git_ref_decoder","url":"midas/sdk/github/schema.html#git_ref_decoder"},{"doc":"midas/sdk/github/schema","title":"git_ref_to_json","content":"pub fn git_ref_to_json(data: GitRef) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.git_ref_to_json\nmidas/sdk/github/schema git_ref_to_json","url":"midas/sdk/github/schema.html#git_ref_to_json"},{"doc":"midas/sdk/github/schema","title":"git_tag_decoder","content":"pub fn git_tag_decoder() -&gt; Decoder(GitTag)\n\nSynonyms:\nmidas/sdk/github/schema.git_tag_decoder\nmidas/sdk/github/schema git_tag_decoder","url":"midas/sdk/github/schema.html#git_tag_decoder"},{"doc":"midas/sdk/github/schema","title":"git_tag_to_json","content":"pub fn git_tag_to_json(data: GitTag) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.git_tag_to_json\nmidas/sdk/github/schema git_tag_to_json","url":"midas/sdk/github/schema.html#git_tag_to_json"},{"doc":"midas/sdk/github/schema","title":"git_tree_decoder","content":"pub fn git_tree_decoder() -&gt; Decoder(GitTree)\n\nSynonyms:\nmidas/sdk/github/schema.git_tree_decoder\nmidas/sdk/github/schema git_tree_decoder","url":"midas/sdk/github/schema.html#git_tree_decoder"},{"doc":"midas/sdk/github/schema","title":"git_tree_to_json","content":"pub fn git_tree_to_json(data: GitTree) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.git_tree_to_json\nmidas/sdk/github/schema git_tree_to_json","url":"midas/sdk/github/schema.html#git_tree_to_json"},{"doc":"midas/sdk/github/schema","title":"gitignore_template_decoder","content":"pub fn gitignore_template_decoder() -&gt; Decoder(GitignoreTemplate)\n\nSynonyms:\nmidas/sdk/github/schema.gitignore_template_decoder\nmidas/sdk/github/schema gitignore_template_decoder","url":"midas/sdk/github/schema.html#gitignore_template_decoder"},{"doc":"midas/sdk/github/schema","title":"gitignore_template_to_json","content":"pub fn gitignore_template_to_json(\n  data: GitignoreTemplate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.gitignore_template_to_json\nmidas/sdk/github/schema gitignore_template_to_json","url":"midas/sdk/github/schema.html#gitignore_template_to_json"},{"doc":"midas/sdk/github/schema","title":"global_advisory_decoder","content":"pub fn global_advisory_decoder() -&gt; Decoder(GlobalAdvisory)\n\nSynonyms:\nmidas/sdk/github/schema.global_advisory_decoder\nmidas/sdk/github/schema global_advisory_decoder","url":"midas/sdk/github/schema.html#global_advisory_decoder"},{"doc":"midas/sdk/github/schema","title":"global_advisory_to_json","content":"pub fn global_advisory_to_json(data: GlobalAdvisory) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.global_advisory_to_json\nmidas/sdk/github/schema global_advisory_to_json","url":"midas/sdk/github/schema.html#global_advisory_to_json"},{"doc":"midas/sdk/github/schema","title":"gpg_key_decoder","content":"pub fn gpg_key_decoder() -&gt; Decoder(GpgKey)\n\nSynonyms:\nmidas/sdk/github/schema.gpg_key_decoder\nmidas/sdk/github/schema gpg_key_decoder","url":"midas/sdk/github/schema.html#gpg_key_decoder"},{"doc":"midas/sdk/github/schema","title":"gpg_key_to_json","content":"pub fn gpg_key_to_json(data: GpgKey) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.gpg_key_to_json\nmidas/sdk/github/schema gpg_key_to_json","url":"midas/sdk/github/schema.html#gpg_key_to_json"},{"doc":"midas/sdk/github/schema","title":"hook_decoder","content":"pub fn hook_decoder() -&gt; Decoder(Hook)\n\nSynonyms:\nmidas/sdk/github/schema.hook_decoder\nmidas/sdk/github/schema hook_decoder","url":"midas/sdk/github/schema.html#hook_decoder"},{"doc":"midas/sdk/github/schema","title":"hook_delivery_decoder","content":"pub fn hook_delivery_decoder() -&gt; Decoder(HookDelivery)\n\nSynonyms:\nmidas/sdk/github/schema.hook_delivery_decoder\nmidas/sdk/github/schema hook_delivery_decoder","url":"midas/sdk/github/schema.html#hook_delivery_decoder"},{"doc":"midas/sdk/github/schema","title":"hook_delivery_item_decoder","content":"pub fn hook_delivery_item_decoder() -&gt; Decoder(HookDeliveryItem)\n\nSynonyms:\nmidas/sdk/github/schema.hook_delivery_item_decoder\nmidas/sdk/github/schema hook_delivery_item_decoder","url":"midas/sdk/github/schema.html#hook_delivery_item_decoder"},{"doc":"midas/sdk/github/schema","title":"hook_delivery_item_to_json","content":"pub fn hook_delivery_item_to_json(data: HookDeliveryItem) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.hook_delivery_item_to_json\nmidas/sdk/github/schema hook_delivery_item_to_json","url":"midas/sdk/github/schema.html#hook_delivery_item_to_json"},{"doc":"midas/sdk/github/schema","title":"hook_delivery_to_json","content":"pub fn hook_delivery_to_json(data: HookDelivery) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.hook_delivery_to_json\nmidas/sdk/github/schema hook_delivery_to_json","url":"midas/sdk/github/schema.html#hook_delivery_to_json"},{"doc":"midas/sdk/github/schema","title":"hook_response_decoder","content":"pub fn hook_response_decoder() -&gt; Decoder(HookResponse)\n\nSynonyms:\nmidas/sdk/github/schema.hook_response_decoder\nmidas/sdk/github/schema hook_response_decoder","url":"midas/sdk/github/schema.html#hook_response_decoder"},{"doc":"midas/sdk/github/schema","title":"hook_response_to_json","content":"pub fn hook_response_to_json(data: HookResponse) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.hook_response_to_json\nmidas/sdk/github/schema hook_response_to_json","url":"midas/sdk/github/schema.html#hook_response_to_json"},{"doc":"midas/sdk/github/schema","title":"hook_to_json","content":"pub fn hook_to_json(data: Hook) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.hook_to_json\nmidas/sdk/github/schema hook_to_json","url":"midas/sdk/github/schema.html#hook_to_json"},{"doc":"midas/sdk/github/schema","title":"hovercard_decoder","content":"pub fn hovercard_decoder() -&gt; Decoder(Hovercard)\n\nSynonyms:\nmidas/sdk/github/schema.hovercard_decoder\nmidas/sdk/github/schema hovercard_decoder","url":"midas/sdk/github/schema.html#hovercard_decoder"},{"doc":"midas/sdk/github/schema","title":"hovercard_to_json","content":"pub fn hovercard_to_json(data: Hovercard) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.hovercard_to_json\nmidas/sdk/github/schema hovercard_to_json","url":"midas/sdk/github/schema.html#hovercard_to_json"},{"doc":"midas/sdk/github/schema","title":"import__decoder","content":"pub fn import__decoder() -&gt; Decoder(Import)\n\nSynonyms:\nmidas/sdk/github/schema.import__decoder\nmidas/sdk/github/schema import__decoder","url":"midas/sdk/github/schema.html#import__decoder"},{"doc":"midas/sdk/github/schema","title":"import__to_json","content":"pub fn import__to_json(data: Import) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.import__to_json\nmidas/sdk/github/schema import__to_json","url":"midas/sdk/github/schema.html#import__to_json"},{"doc":"midas/sdk/github/schema","title":"installation_decoder","content":"pub fn installation_decoder() -&gt; Decoder(Installation)\n\nSynonyms:\nmidas/sdk/github/schema.installation_decoder\nmidas/sdk/github/schema installation_decoder","url":"midas/sdk/github/schema.html#installation_decoder"},{"doc":"midas/sdk/github/schema","title":"installation_to_json","content":"pub fn installation_to_json(data: Installation) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.installation_to_json\nmidas/sdk/github/schema installation_to_json","url":"midas/sdk/github/schema.html#installation_to_json"},{"doc":"midas/sdk/github/schema","title":"installation_token_decoder","content":"pub fn installation_token_decoder() -&gt; Decoder(InstallationToken)\n\nSynonyms:\nmidas/sdk/github/schema.installation_token_decoder\nmidas/sdk/github/schema installation_token_decoder","url":"midas/sdk/github/schema.html#installation_token_decoder"},{"doc":"midas/sdk/github/schema","title":"installation_token_to_json","content":"pub fn installation_token_to_json(\n  data: InstallationToken,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.installation_token_to_json\nmidas/sdk/github/schema installation_token_to_json","url":"midas/sdk/github/schema.html#installation_token_to_json"},{"doc":"midas/sdk/github/schema","title":"integration_decoder","content":"pub fn integration_decoder() -&gt; Decoder(Integration)\n\nSynonyms:\nmidas/sdk/github/schema.integration_decoder\nmidas/sdk/github/schema integration_decoder","url":"midas/sdk/github/schema.html#integration_decoder"},{"doc":"midas/sdk/github/schema","title":"integration_installation_request_decoder","content":"pub fn integration_installation_request_decoder() -&gt; Decoder(\n  IntegrationInstallationRequest,\n)\n\nSynonyms:\nmidas/sdk/github/schema.integration_installation_request_decoder\nmidas/sdk/github/schema integration_installation_request_decoder","url":"midas/sdk/github/schema.html#integration_installation_request_decoder"},{"doc":"midas/sdk/github/schema","title":"integration_installation_request_to_json","content":"pub fn integration_installation_request_to_json(\n  data: IntegrationInstallationRequest,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.integration_installation_request_to_json\nmidas/sdk/github/schema integration_installation_request_to_json","url":"midas/sdk/github/schema.html#integration_installation_request_to_json"},{"doc":"midas/sdk/github/schema","title":"integration_to_json","content":"pub fn integration_to_json(data: Integration) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.integration_to_json\nmidas/sdk/github/schema integration_to_json","url":"midas/sdk/github/schema.html#integration_to_json"},{"doc":"midas/sdk/github/schema","title":"interaction_expiry_decoder","content":"pub fn interaction_expiry_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.interaction_expiry_decoder\nmidas/sdk/github/schema interaction_expiry_decoder","url":"midas/sdk/github/schema.html#interaction_expiry_decoder"},{"doc":"midas/sdk/github/schema","title":"interaction_group_decoder","content":"pub fn interaction_group_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.interaction_group_decoder\nmidas/sdk/github/schema interaction_group_decoder","url":"midas/sdk/github/schema.html#interaction_group_decoder"},{"doc":"midas/sdk/github/schema","title":"interaction_limit_decoder","content":"pub fn interaction_limit_decoder() -&gt; Decoder(InteractionLimit)\n\nSynonyms:\nmidas/sdk/github/schema.interaction_limit_decoder\nmidas/sdk/github/schema interaction_limit_decoder","url":"midas/sdk/github/schema.html#interaction_limit_decoder"},{"doc":"midas/sdk/github/schema","title":"interaction_limit_response_decoder","content":"pub fn interaction_limit_response_decoder() -&gt; Decoder(\n  InteractionLimitResponse,\n)\n\nSynonyms:\nmidas/sdk/github/schema.interaction_limit_response_decoder\nmidas/sdk/github/schema interaction_limit_response_decoder","url":"midas/sdk/github/schema.html#interaction_limit_response_decoder"},{"doc":"midas/sdk/github/schema","title":"interaction_limit_response_to_json","content":"pub fn interaction_limit_response_to_json(\n  data: InteractionLimitResponse,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.interaction_limit_response_to_json\nmidas/sdk/github/schema interaction_limit_response_to_json","url":"midas/sdk/github/schema.html#interaction_limit_response_to_json"},{"doc":"midas/sdk/github/schema","title":"interaction_limit_to_json","content":"pub fn interaction_limit_to_json(data: InteractionLimit) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.interaction_limit_to_json\nmidas/sdk/github/schema interaction_limit_to_json","url":"midas/sdk/github/schema.html#interaction_limit_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_comment_decoder","content":"pub fn issue_comment_decoder() -&gt; Decoder(IssueComment)\n\nSynonyms:\nmidas/sdk/github/schema.issue_comment_decoder\nmidas/sdk/github/schema issue_comment_decoder","url":"midas/sdk/github/schema.html#issue_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_comment_to_json","content":"pub fn issue_comment_to_json(data: IssueComment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_comment_to_json\nmidas/sdk/github/schema issue_comment_to_json","url":"midas/sdk/github/schema.html#issue_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_decoder","content":"pub fn issue_decoder() -&gt; Decoder(Issue)\n\nSynonyms:\nmidas/sdk/github/schema.issue_decoder\nmidas/sdk/github/schema issue_decoder","url":"midas/sdk/github/schema.html#issue_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_decoder","content":"pub fn issue_event_decoder() -&gt; Decoder(IssueEvent)\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_decoder\nmidas/sdk/github/schema issue_event_decoder","url":"midas/sdk/github/schema.html#issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_dismissed_review_decoder","content":"pub fn issue_event_dismissed_review_decoder() -&gt; Decoder(\n  IssueEventDismissedReview,\n)\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_dismissed_review_decoder\nmidas/sdk/github/schema issue_event_dismissed_review_decoder","url":"midas/sdk/github/schema.html#issue_event_dismissed_review_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_dismissed_review_to_json","content":"pub fn issue_event_dismissed_review_to_json(\n  data: IssueEventDismissedReview,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_dismissed_review_to_json\nmidas/sdk/github/schema issue_event_dismissed_review_to_json","url":"midas/sdk/github/schema.html#issue_event_dismissed_review_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_event_for_issue_decoder","content":"pub fn issue_event_for_issue_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_for_issue_decoder\nmidas/sdk/github/schema issue_event_for_issue_decoder","url":"midas/sdk/github/schema.html#issue_event_for_issue_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_label_decoder","content":"pub fn issue_event_label_decoder() -&gt; Decoder(IssueEventLabel)\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_label_decoder\nmidas/sdk/github/schema issue_event_label_decoder","url":"midas/sdk/github/schema.html#issue_event_label_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_label_to_json","content":"pub fn issue_event_label_to_json(data: IssueEventLabel) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_label_to_json\nmidas/sdk/github/schema issue_event_label_to_json","url":"midas/sdk/github/schema.html#issue_event_label_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_event_milestone_decoder","content":"pub fn issue_event_milestone_decoder() -&gt; Decoder(\n  IssueEventMilestone,\n)\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_milestone_decoder\nmidas/sdk/github/schema issue_event_milestone_decoder","url":"midas/sdk/github/schema.html#issue_event_milestone_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_milestone_to_json","content":"pub fn issue_event_milestone_to_json(\n  data: IssueEventMilestone,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_milestone_to_json\nmidas/sdk/github/schema issue_event_milestone_to_json","url":"midas/sdk/github/schema.html#issue_event_milestone_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_event_project_card_decoder","content":"pub fn issue_event_project_card_decoder() -&gt; Decoder(\n  IssueEventProjectCard,\n)\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_project_card_decoder\nmidas/sdk/github/schema issue_event_project_card_decoder","url":"midas/sdk/github/schema.html#issue_event_project_card_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_project_card_to_json","content":"pub fn issue_event_project_card_to_json(\n  data: IssueEventProjectCard,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_project_card_to_json\nmidas/sdk/github/schema issue_event_project_card_to_json","url":"midas/sdk/github/schema.html#issue_event_project_card_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_event_rename_decoder","content":"pub fn issue_event_rename_decoder() -&gt; Decoder(IssueEventRename)\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_rename_decoder\nmidas/sdk/github/schema issue_event_rename_decoder","url":"midas/sdk/github/schema.html#issue_event_rename_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_event_rename_to_json","content":"pub fn issue_event_rename_to_json(data: IssueEventRename) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_rename_to_json\nmidas/sdk/github/schema issue_event_rename_to_json","url":"midas/sdk/github/schema.html#issue_event_rename_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_event_to_json","content":"pub fn issue_event_to_json(data: IssueEvent) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_event_to_json\nmidas/sdk/github/schema issue_event_to_json","url":"midas/sdk/github/schema.html#issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_search_result_item_decoder","content":"pub fn issue_search_result_item_decoder() -&gt; Decoder(\n  IssueSearchResultItem,\n)\n\nSynonyms:\nmidas/sdk/github/schema.issue_search_result_item_decoder\nmidas/sdk/github/schema issue_search_result_item_decoder","url":"midas/sdk/github/schema.html#issue_search_result_item_decoder"},{"doc":"midas/sdk/github/schema","title":"issue_search_result_item_to_json","content":"pub fn issue_search_result_item_to_json(\n  data: IssueSearchResultItem,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_search_result_item_to_json\nmidas/sdk/github/schema issue_search_result_item_to_json","url":"midas/sdk/github/schema.html#issue_search_result_item_to_json"},{"doc":"midas/sdk/github/schema","title":"issue_to_json","content":"pub fn issue_to_json(data: Issue) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.issue_to_json\nmidas/sdk/github/schema issue_to_json","url":"midas/sdk/github/schema.html#issue_to_json"},{"doc":"midas/sdk/github/schema","title":"job_decoder","content":"pub fn job_decoder() -&gt; Decoder(Job)\n\nSynonyms:\nmidas/sdk/github/schema.job_decoder\nmidas/sdk/github/schema job_decoder","url":"midas/sdk/github/schema.html#job_decoder"},{"doc":"midas/sdk/github/schema","title":"job_to_json","content":"pub fn job_to_json(data: Job) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.job_to_json\nmidas/sdk/github/schema job_to_json","url":"midas/sdk/github/schema.html#job_to_json"},{"doc":"midas/sdk/github/schema","title":"key_decoder","content":"pub fn key_decoder() -&gt; Decoder(Key)\n\nSynonyms:\nmidas/sdk/github/schema.key_decoder\nmidas/sdk/github/schema key_decoder","url":"midas/sdk/github/schema.html#key_decoder"},{"doc":"midas/sdk/github/schema","title":"key_simple_decoder","content":"pub fn key_simple_decoder() -&gt; Decoder(KeySimple)\n\nSynonyms:\nmidas/sdk/github/schema.key_simple_decoder\nmidas/sdk/github/schema key_simple_decoder","url":"midas/sdk/github/schema.html#key_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"key_simple_to_json","content":"pub fn key_simple_to_json(data: KeySimple) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.key_simple_to_json\nmidas/sdk/github/schema key_simple_to_json","url":"midas/sdk/github/schema.html#key_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"key_to_json","content":"pub fn key_to_json(data: Key) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.key_to_json\nmidas/sdk/github/schema key_to_json","url":"midas/sdk/github/schema.html#key_to_json"},{"doc":"midas/sdk/github/schema","title":"label_decoder","content":"pub fn label_decoder() -&gt; Decoder(Label)\n\nSynonyms:\nmidas/sdk/github/schema.label_decoder\nmidas/sdk/github/schema label_decoder","url":"midas/sdk/github/schema.html#label_decoder"},{"doc":"midas/sdk/github/schema","title":"label_search_result_item_decoder","content":"pub fn label_search_result_item_decoder() -&gt; Decoder(\n  LabelSearchResultItem,\n)\n\nSynonyms:\nmidas/sdk/github/schema.label_search_result_item_decoder\nmidas/sdk/github/schema label_search_result_item_decoder","url":"midas/sdk/github/schema.html#label_search_result_item_decoder"},{"doc":"midas/sdk/github/schema","title":"label_search_result_item_to_json","content":"pub fn label_search_result_item_to_json(\n  data: LabelSearchResultItem,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.label_search_result_item_to_json\nmidas/sdk/github/schema label_search_result_item_to_json","url":"midas/sdk/github/schema.html#label_search_result_item_to_json"},{"doc":"midas/sdk/github/schema","title":"label_to_json","content":"pub fn label_to_json(data: Label) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.label_to_json\nmidas/sdk/github/schema label_to_json","url":"midas/sdk/github/schema.html#label_to_json"},{"doc":"midas/sdk/github/schema","title":"labeled_issue_event_decoder","content":"pub fn labeled_issue_event_decoder() -&gt; Decoder(LabeledIssueEvent)\n\nSynonyms:\nmidas/sdk/github/schema.labeled_issue_event_decoder\nmidas/sdk/github/schema labeled_issue_event_decoder","url":"midas/sdk/github/schema.html#labeled_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"labeled_issue_event_to_json","content":"pub fn labeled_issue_event_to_json(\n  data: LabeledIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.labeled_issue_event_to_json\nmidas/sdk/github/schema labeled_issue_event_to_json","url":"midas/sdk/github/schema.html#labeled_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"language_decoder","content":"pub fn language_decoder() -&gt; Decoder(Language)\n\nSynonyms:\nmidas/sdk/github/schema.language_decoder\nmidas/sdk/github/schema language_decoder","url":"midas/sdk/github/schema.html#language_decoder"},{"doc":"midas/sdk/github/schema","title":"language_to_json","content":"pub fn language_to_json(data: Language) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.language_to_json\nmidas/sdk/github/schema language_to_json","url":"midas/sdk/github/schema.html#language_to_json"},{"doc":"midas/sdk/github/schema","title":"license_content_decoder","content":"pub fn license_content_decoder() -&gt; Decoder(LicenseContent)\n\nSynonyms:\nmidas/sdk/github/schema.license_content_decoder\nmidas/sdk/github/schema license_content_decoder","url":"midas/sdk/github/schema.html#license_content_decoder"},{"doc":"midas/sdk/github/schema","title":"license_content_to_json","content":"pub fn license_content_to_json(data: LicenseContent) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.license_content_to_json\nmidas/sdk/github/schema license_content_to_json","url":"midas/sdk/github/schema.html#license_content_to_json"},{"doc":"midas/sdk/github/schema","title":"license_decoder","content":"pub fn license_decoder() -&gt; Decoder(License)\n\nSynonyms:\nmidas/sdk/github/schema.license_decoder\nmidas/sdk/github/schema license_decoder","url":"midas/sdk/github/schema.html#license_decoder"},{"doc":"midas/sdk/github/schema","title":"license_simple_decoder","content":"pub fn license_simple_decoder() -&gt; Decoder(LicenseSimple)\n\nSynonyms:\nmidas/sdk/github/schema.license_simple_decoder\nmidas/sdk/github/schema license_simple_decoder","url":"midas/sdk/github/schema.html#license_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"license_simple_to_json","content":"pub fn license_simple_to_json(data: LicenseSimple) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.license_simple_to_json\nmidas/sdk/github/schema license_simple_to_json","url":"midas/sdk/github/schema.html#license_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"license_to_json","content":"pub fn license_to_json(data: License) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.license_to_json\nmidas/sdk/github/schema license_to_json","url":"midas/sdk/github/schema.html#license_to_json"},{"doc":"midas/sdk/github/schema","title":"link_decoder","content":"pub fn link_decoder() -&gt; Decoder(Link)\n\nSynonyms:\nmidas/sdk/github/schema.link_decoder\nmidas/sdk/github/schema link_decoder","url":"midas/sdk/github/schema.html#link_decoder"},{"doc":"midas/sdk/github/schema","title":"link_to_json","content":"pub fn link_to_json(data: Link) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.link_to_json\nmidas/sdk/github/schema link_to_json","url":"midas/sdk/github/schema.html#link_to_json"},{"doc":"midas/sdk/github/schema","title":"link_with_type_decoder","content":"pub fn link_with_type_decoder() -&gt; Decoder(LinkWithType)\n\nSynonyms:\nmidas/sdk/github/schema.link_with_type_decoder\nmidas/sdk/github/schema link_with_type_decoder","url":"midas/sdk/github/schema.html#link_with_type_decoder"},{"doc":"midas/sdk/github/schema","title":"link_with_type_to_json","content":"pub fn link_with_type_to_json(data: LinkWithType) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.link_with_type_to_json\nmidas/sdk/github/schema link_with_type_to_json","url":"midas/sdk/github/schema.html#link_with_type_to_json"},{"doc":"midas/sdk/github/schema","title":"locked_issue_event_decoder","content":"pub fn locked_issue_event_decoder() -&gt; Decoder(LockedIssueEvent)\n\nSynonyms:\nmidas/sdk/github/schema.locked_issue_event_decoder\nmidas/sdk/github/schema locked_issue_event_decoder","url":"midas/sdk/github/schema.html#locked_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"locked_issue_event_to_json","content":"pub fn locked_issue_event_to_json(data: LockedIssueEvent) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.locked_issue_event_to_json\nmidas/sdk/github/schema locked_issue_event_to_json","url":"midas/sdk/github/schema.html#locked_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"manifest_decoder","content":"pub fn manifest_decoder() -&gt; Decoder(Manifest)\n\nSynonyms:\nmidas/sdk/github/schema.manifest_decoder\nmidas/sdk/github/schema manifest_decoder","url":"midas/sdk/github/schema.html#manifest_decoder"},{"doc":"midas/sdk/github/schema","title":"manifest_to_json","content":"pub fn manifest_to_json(data: Manifest) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.manifest_to_json\nmidas/sdk/github/schema manifest_to_json","url":"midas/sdk/github/schema.html#manifest_to_json"},{"doc":"midas/sdk/github/schema","title":"marketplace_account_decoder","content":"pub fn marketplace_account_decoder() -&gt; Decoder(\n  MarketplaceAccount,\n)\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_account_decoder\nmidas/sdk/github/schema marketplace_account_decoder","url":"midas/sdk/github/schema.html#marketplace_account_decoder"},{"doc":"midas/sdk/github/schema","title":"marketplace_account_to_json","content":"pub fn marketplace_account_to_json(\n  data: MarketplaceAccount,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_account_to_json\nmidas/sdk/github/schema marketplace_account_to_json","url":"midas/sdk/github/schema.html#marketplace_account_to_json"},{"doc":"midas/sdk/github/schema","title":"marketplace_listing_plan_decoder","content":"pub fn marketplace_listing_plan_decoder() -&gt; Decoder(\n  MarketplaceListingPlan,\n)\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_listing_plan_decoder\nmidas/sdk/github/schema marketplace_listing_plan_decoder","url":"midas/sdk/github/schema.html#marketplace_listing_plan_decoder"},{"doc":"midas/sdk/github/schema","title":"marketplace_listing_plan_to_json","content":"pub fn marketplace_listing_plan_to_json(\n  data: MarketplaceListingPlan,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_listing_plan_to_json\nmidas/sdk/github/schema marketplace_listing_plan_to_json","url":"midas/sdk/github/schema.html#marketplace_listing_plan_to_json"},{"doc":"midas/sdk/github/schema","title":"marketplace_purchase_decoder","content":"pub fn marketplace_purchase_decoder() -&gt; Decoder(\n  MarketplacePurchase,\n)\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_purchase_decoder\nmidas/sdk/github/schema marketplace_purchase_decoder","url":"midas/sdk/github/schema.html#marketplace_purchase_decoder"},{"doc":"midas/sdk/github/schema","title":"marketplace_purchase_to_json","content":"pub fn marketplace_purchase_to_json(\n  data: MarketplacePurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.marketplace_purchase_to_json\nmidas/sdk/github/schema marketplace_purchase_to_json","url":"midas/sdk/github/schema.html#marketplace_purchase_to_json"},{"doc":"midas/sdk/github/schema","title":"merge_group_decoder","content":"pub fn merge_group_decoder() -&gt; Decoder(MergeGroup)\n\nSynonyms:\nmidas/sdk/github/schema.merge_group_decoder\nmidas/sdk/github/schema merge_group_decoder","url":"midas/sdk/github/schema.html#merge_group_decoder"},{"doc":"midas/sdk/github/schema","title":"merge_group_to_json","content":"pub fn merge_group_to_json(data: MergeGroup) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.merge_group_to_json\nmidas/sdk/github/schema merge_group_to_json","url":"midas/sdk/github/schema.html#merge_group_to_json"},{"doc":"midas/sdk/github/schema","title":"merged_upstream_decoder","content":"pub fn merged_upstream_decoder() -&gt; Decoder(MergedUpstream)\n\nSynonyms:\nmidas/sdk/github/schema.merged_upstream_decoder\nmidas/sdk/github/schema merged_upstream_decoder","url":"midas/sdk/github/schema.html#merged_upstream_decoder"},{"doc":"midas/sdk/github/schema","title":"merged_upstream_to_json","content":"pub fn merged_upstream_to_json(data: MergedUpstream) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.merged_upstream_to_json\nmidas/sdk/github/schema merged_upstream_to_json","url":"midas/sdk/github/schema.html#merged_upstream_to_json"},{"doc":"midas/sdk/github/schema","title":"metadata_decoder","content":"pub fn metadata_decoder() -&gt; Decoder(Metadata)\n\nSynonyms:\nmidas/sdk/github/schema.metadata_decoder\nmidas/sdk/github/schema metadata_decoder","url":"midas/sdk/github/schema.html#metadata_decoder"},{"doc":"midas/sdk/github/schema","title":"metadata_to_json","content":"pub fn metadata_to_json(data: Metadata) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.metadata_to_json\nmidas/sdk/github/schema metadata_to_json","url":"midas/sdk/github/schema.html#metadata_to_json"},{"doc":"midas/sdk/github/schema","title":"migration_decoder","content":"pub fn migration_decoder() -&gt; Decoder(Migration)\n\nSynonyms:\nmidas/sdk/github/schema.migration_decoder\nmidas/sdk/github/schema migration_decoder","url":"midas/sdk/github/schema.html#migration_decoder"},{"doc":"midas/sdk/github/schema","title":"migration_to_json","content":"pub fn migration_to_json(data: Migration) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.migration_to_json\nmidas/sdk/github/schema migration_to_json","url":"midas/sdk/github/schema.html#migration_to_json"},{"doc":"midas/sdk/github/schema","title":"milestone_decoder","content":"pub fn milestone_decoder() -&gt; Decoder(Milestone)\n\nSynonyms:\nmidas/sdk/github/schema.milestone_decoder\nmidas/sdk/github/schema milestone_decoder","url":"midas/sdk/github/schema.html#milestone_decoder"},{"doc":"midas/sdk/github/schema","title":"milestone_to_json","content":"pub fn milestone_to_json(data: Milestone) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.milestone_to_json\nmidas/sdk/github/schema milestone_to_json","url":"midas/sdk/github/schema.html#milestone_to_json"},{"doc":"midas/sdk/github/schema","title":"milestoned_issue_event_decoder","content":"pub fn milestoned_issue_event_decoder() -&gt; Decoder(\n  MilestonedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.milestoned_issue_event_decoder\nmidas/sdk/github/schema milestoned_issue_event_decoder","url":"midas/sdk/github/schema.html#milestoned_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"milestoned_issue_event_to_json","content":"pub fn milestoned_issue_event_to_json(\n  data: MilestonedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.milestoned_issue_event_to_json\nmidas/sdk/github/schema milestoned_issue_event_to_json","url":"midas/sdk/github/schema.html#milestoned_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"minimal_repository_decoder","content":"pub fn minimal_repository_decoder() -&gt; Decoder(MinimalRepository)\n\nSynonyms:\nmidas/sdk/github/schema.minimal_repository_decoder\nmidas/sdk/github/schema minimal_repository_decoder","url":"midas/sdk/github/schema.html#minimal_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"minimal_repository_to_json","content":"pub fn minimal_repository_to_json(\n  data: MinimalRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.minimal_repository_to_json\nmidas/sdk/github/schema minimal_repository_to_json","url":"midas/sdk/github/schema.html#minimal_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"moved_column_in_project_issue_event_decoder","content":"pub fn moved_column_in_project_issue_event_decoder() -&gt; Decoder(\n  MovedColumnInProjectIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.moved_column_in_project_issue_event_decoder\nmidas/sdk/github/schema moved_column_in_project_issue_event_decoder","url":"midas/sdk/github/schema.html#moved_column_in_project_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"moved_column_in_project_issue_event_to_json","content":"pub fn moved_column_in_project_issue_event_to_json(\n  data: MovedColumnInProjectIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.moved_column_in_project_issue_event_to_json\nmidas/sdk/github/schema moved_column_in_project_issue_event_to_json","url":"midas/sdk/github/schema.html#moved_column_in_project_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_alert_updated_at_decoder","content":"pub fn nullable_alert_updated_at_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_alert_updated_at_decoder\nmidas/sdk/github/schema nullable_alert_updated_at_decoder","url":"midas/sdk/github/schema.html#nullable_alert_updated_at_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_code_of_conduct_simple_decoder","content":"pub fn nullable_code_of_conduct_simple_decoder() -&gt; Decoder(\n  NullableCodeOfConductSimple,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_code_of_conduct_simple_decoder\nmidas/sdk/github/schema nullable_code_of_conduct_simple_decoder","url":"midas/sdk/github/schema.html#nullable_code_of_conduct_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_code_of_conduct_simple_to_json","content":"pub fn nullable_code_of_conduct_simple_to_json(\n  data: NullableCodeOfConductSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_code_of_conduct_simple_to_json\nmidas/sdk/github/schema nullable_code_of_conduct_simple_to_json","url":"midas/sdk/github/schema.html#nullable_code_of_conduct_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_codespace_machine_decoder","content":"pub fn nullable_codespace_machine_decoder() -&gt; Decoder(\n  NullableCodespaceMachine,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_codespace_machine_decoder\nmidas/sdk/github/schema nullable_codespace_machine_decoder","url":"midas/sdk/github/schema.html#nullable_codespace_machine_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_codespace_machine_to_json","content":"pub fn nullable_codespace_machine_to_json(\n  data: NullableCodespaceMachine,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_codespace_machine_to_json\nmidas/sdk/github/schema nullable_codespace_machine_to_json","url":"midas/sdk/github/schema.html#nullable_codespace_machine_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_collaborator_decoder","content":"pub fn nullable_collaborator_decoder() -&gt; Decoder(\n  NullableCollaborator,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_collaborator_decoder\nmidas/sdk/github/schema nullable_collaborator_decoder","url":"midas/sdk/github/schema.html#nullable_collaborator_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_collaborator_to_json","content":"pub fn nullable_collaborator_to_json(\n  data: NullableCollaborator,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_collaborator_to_json\nmidas/sdk/github/schema nullable_collaborator_to_json","url":"midas/sdk/github/schema.html#nullable_collaborator_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_community_health_file_decoder","content":"pub fn nullable_community_health_file_decoder() -&gt; Decoder(\n  NullableCommunityHealthFile,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_community_health_file_decoder\nmidas/sdk/github/schema nullable_community_health_file_decoder","url":"midas/sdk/github/schema.html#nullable_community_health_file_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_community_health_file_to_json","content":"pub fn nullable_community_health_file_to_json(\n  data: NullableCommunityHealthFile,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_community_health_file_to_json\nmidas/sdk/github/schema nullable_community_health_file_to_json","url":"midas/sdk/github/schema.html#nullable_community_health_file_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_git_user_decoder","content":"pub fn nullable_git_user_decoder() -&gt; Decoder(NullableGitUser)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_git_user_decoder\nmidas/sdk/github/schema nullable_git_user_decoder","url":"midas/sdk/github/schema.html#nullable_git_user_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_git_user_to_json","content":"pub fn nullable_git_user_to_json(data: NullableGitUser) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_git_user_to_json\nmidas/sdk/github/schema nullable_git_user_to_json","url":"midas/sdk/github/schema.html#nullable_git_user_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_integration_decoder","content":"pub fn nullable_integration_decoder() -&gt; Decoder(\n  NullableIntegration,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_integration_decoder\nmidas/sdk/github/schema nullable_integration_decoder","url":"midas/sdk/github/schema.html#nullable_integration_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_integration_to_json","content":"pub fn nullable_integration_to_json(\n  data: NullableIntegration,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_integration_to_json\nmidas/sdk/github/schema nullable_integration_to_json","url":"midas/sdk/github/schema.html#nullable_integration_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_issue_decoder","content":"pub fn nullable_issue_decoder() -&gt; Decoder(NullableIssue)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_issue_decoder\nmidas/sdk/github/schema nullable_issue_decoder","url":"midas/sdk/github/schema.html#nullable_issue_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_issue_to_json","content":"pub fn nullable_issue_to_json(data: NullableIssue) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_issue_to_json\nmidas/sdk/github/schema nullable_issue_to_json","url":"midas/sdk/github/schema.html#nullable_issue_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_license_simple_decoder","content":"pub fn nullable_license_simple_decoder() -&gt; Decoder(\n  NullableLicenseSimple,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_license_simple_decoder\nmidas/sdk/github/schema nullable_license_simple_decoder","url":"midas/sdk/github/schema.html#nullable_license_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_license_simple_to_json","content":"pub fn nullable_license_simple_to_json(\n  data: NullableLicenseSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_license_simple_to_json\nmidas/sdk/github/schema nullable_license_simple_to_json","url":"midas/sdk/github/schema.html#nullable_license_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_milestone_decoder","content":"pub fn nullable_milestone_decoder() -&gt; Decoder(NullableMilestone)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_milestone_decoder\nmidas/sdk/github/schema nullable_milestone_decoder","url":"midas/sdk/github/schema.html#nullable_milestone_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_milestone_to_json","content":"pub fn nullable_milestone_to_json(\n  data: NullableMilestone,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_milestone_to_json\nmidas/sdk/github/schema nullable_milestone_to_json","url":"midas/sdk/github/schema.html#nullable_milestone_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_minimal_repository_decoder","content":"pub fn nullable_minimal_repository_decoder() -&gt; Decoder(\n  NullableMinimalRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_minimal_repository_decoder\nmidas/sdk/github/schema nullable_minimal_repository_decoder","url":"midas/sdk/github/schema.html#nullable_minimal_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_minimal_repository_to_json","content":"pub fn nullable_minimal_repository_to_json(\n  data: NullableMinimalRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_minimal_repository_to_json\nmidas/sdk/github/schema nullable_minimal_repository_to_json","url":"midas/sdk/github/schema.html#nullable_minimal_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_organization_simple_decoder","content":"pub fn nullable_organization_simple_decoder() -&gt; Decoder(\n  NullableOrganizationSimple,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_organization_simple_decoder\nmidas/sdk/github/schema nullable_organization_simple_decoder","url":"midas/sdk/github/schema.html#nullable_organization_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_organization_simple_to_json","content":"pub fn nullable_organization_simple_to_json(\n  data: NullableOrganizationSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_organization_simple_to_json\nmidas/sdk/github/schema nullable_organization_simple_to_json","url":"midas/sdk/github/schema.html#nullable_organization_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_repository_decoder","content":"pub fn nullable_repository_decoder() -&gt; Decoder(\n  NullableRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_repository_decoder\nmidas/sdk/github/schema nullable_repository_decoder","url":"midas/sdk/github/schema.html#nullable_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_repository_to_json","content":"pub fn nullable_repository_to_json(\n  data: NullableRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_repository_to_json\nmidas/sdk/github/schema nullable_repository_to_json","url":"midas/sdk/github/schema.html#nullable_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_repository_webhooks_decoder","content":"pub fn nullable_repository_webhooks_decoder() -&gt; Decoder(\n  NullableRepositoryWebhooks,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_repository_webhooks_decoder\nmidas/sdk/github/schema nullable_repository_webhooks_decoder","url":"midas/sdk/github/schema.html#nullable_repository_webhooks_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_repository_webhooks_to_json","content":"pub fn nullable_repository_webhooks_to_json(\n  data: NullableRepositoryWebhooks,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_repository_webhooks_to_json\nmidas/sdk/github/schema nullable_repository_webhooks_to_json","url":"midas/sdk/github/schema.html#nullable_repository_webhooks_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_scoped_installation_decoder","content":"pub fn nullable_scoped_installation_decoder() -&gt; Decoder(\n  NullableScopedInstallation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_scoped_installation_decoder\nmidas/sdk/github/schema nullable_scoped_installation_decoder","url":"midas/sdk/github/schema.html#nullable_scoped_installation_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_scoped_installation_to_json","content":"pub fn nullable_scoped_installation_to_json(\n  data: NullableScopedInstallation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_scoped_installation_to_json\nmidas/sdk/github/schema nullable_scoped_installation_to_json","url":"midas/sdk/github/schema.html#nullable_scoped_installation_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_simple_commit_decoder","content":"pub fn nullable_simple_commit_decoder() -&gt; Decoder(\n  NullableSimpleCommit,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_simple_commit_decoder\nmidas/sdk/github/schema nullable_simple_commit_decoder","url":"midas/sdk/github/schema.html#nullable_simple_commit_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_simple_commit_to_json","content":"pub fn nullable_simple_commit_to_json(\n  data: NullableSimpleCommit,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_simple_commit_to_json\nmidas/sdk/github/schema nullable_simple_commit_to_json","url":"midas/sdk/github/schema.html#nullable_simple_commit_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_simple_user_decoder","content":"pub fn nullable_simple_user_decoder() -&gt; Decoder(\n  NullableSimpleUser,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_simple_user_decoder\nmidas/sdk/github/schema nullable_simple_user_decoder","url":"midas/sdk/github/schema.html#nullable_simple_user_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_simple_user_to_json","content":"pub fn nullable_simple_user_to_json(\n  data: NullableSimpleUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_simple_user_to_json\nmidas/sdk/github/schema nullable_simple_user_to_json","url":"midas/sdk/github/schema.html#nullable_simple_user_to_json"},{"doc":"midas/sdk/github/schema","title":"nullable_team_simple_decoder","content":"pub fn nullable_team_simple_decoder() -&gt; Decoder(\n  NullableTeamSimple,\n)\n\nSynonyms:\nmidas/sdk/github/schema.nullable_team_simple_decoder\nmidas/sdk/github/schema nullable_team_simple_decoder","url":"midas/sdk/github/schema.html#nullable_team_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"nullable_team_simple_to_json","content":"pub fn nullable_team_simple_to_json(\n  data: NullableTeamSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.nullable_team_simple_to_json\nmidas/sdk/github/schema nullable_team_simple_to_json","url":"midas/sdk/github/schema.html#nullable_team_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"oidc_custom_sub_decoder","content":"pub fn oidc_custom_sub_decoder() -&gt; Decoder(OidcCustomSub)\n\nSynonyms:\nmidas/sdk/github/schema.oidc_custom_sub_decoder\nmidas/sdk/github/schema oidc_custom_sub_decoder","url":"midas/sdk/github/schema.html#oidc_custom_sub_decoder"},{"doc":"midas/sdk/github/schema","title":"oidc_custom_sub_repo_decoder","content":"pub fn oidc_custom_sub_repo_decoder() -&gt; Decoder(\n  OidcCustomSubRepo,\n)\n\nSynonyms:\nmidas/sdk/github/schema.oidc_custom_sub_repo_decoder\nmidas/sdk/github/schema oidc_custom_sub_repo_decoder","url":"midas/sdk/github/schema.html#oidc_custom_sub_repo_decoder"},{"doc":"midas/sdk/github/schema","title":"oidc_custom_sub_repo_to_json","content":"pub fn oidc_custom_sub_repo_to_json(\n  data: OidcCustomSubRepo,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.oidc_custom_sub_repo_to_json\nmidas/sdk/github/schema oidc_custom_sub_repo_to_json","url":"midas/sdk/github/schema.html#oidc_custom_sub_repo_to_json"},{"doc":"midas/sdk/github/schema","title":"oidc_custom_sub_to_json","content":"pub fn oidc_custom_sub_to_json(data: OidcCustomSub) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.oidc_custom_sub_to_json\nmidas/sdk/github/schema oidc_custom_sub_to_json","url":"midas/sdk/github/schema.html#oidc_custom_sub_to_json"},{"doc":"midas/sdk/github/schema","title":"org_hook_decoder","content":"pub fn org_hook_decoder() -&gt; Decoder(OrgHook)\n\nSynonyms:\nmidas/sdk/github/schema.org_hook_decoder\nmidas/sdk/github/schema org_hook_decoder","url":"midas/sdk/github/schema.html#org_hook_decoder"},{"doc":"midas/sdk/github/schema","title":"org_hook_to_json","content":"pub fn org_hook_to_json(data: OrgHook) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.org_hook_to_json\nmidas/sdk/github/schema org_hook_to_json","url":"midas/sdk/github/schema.html#org_hook_to_json"},{"doc":"midas/sdk/github/schema","title":"org_membership_decoder","content":"pub fn org_membership_decoder() -&gt; Decoder(OrgMembership)\n\nSynonyms:\nmidas/sdk/github/schema.org_membership_decoder\nmidas/sdk/github/schema org_membership_decoder","url":"midas/sdk/github/schema.html#org_membership_decoder"},{"doc":"midas/sdk/github/schema","title":"org_membership_to_json","content":"pub fn org_membership_to_json(data: OrgMembership) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.org_membership_to_json\nmidas/sdk/github/schema org_membership_to_json","url":"midas/sdk/github/schema.html#org_membership_to_json"},{"doc":"midas/sdk/github/schema","title":"org_repo_custom_property_values_decoder","content":"pub fn org_repo_custom_property_values_decoder() -&gt; Decoder(\n  OrgRepoCustomPropertyValues,\n)\n\nSynonyms:\nmidas/sdk/github/schema.org_repo_custom_property_values_decoder\nmidas/sdk/github/schema org_repo_custom_property_values_decoder","url":"midas/sdk/github/schema.html#org_repo_custom_property_values_decoder"},{"doc":"midas/sdk/github/schema","title":"org_repo_custom_property_values_to_json","content":"pub fn org_repo_custom_property_values_to_json(\n  data: OrgRepoCustomPropertyValues,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.org_repo_custom_property_values_to_json\nmidas/sdk/github/schema org_repo_custom_property_values_to_json","url":"midas/sdk/github/schema.html#org_repo_custom_property_values_to_json"},{"doc":"midas/sdk/github/schema","title":"org_ruleset_conditions_decoder","content":"pub fn org_ruleset_conditions_decoder() -&gt; Decoder(\n  OrgRulesetConditions,\n)\n\nSynonyms:\nmidas/sdk/github/schema.org_ruleset_conditions_decoder\nmidas/sdk/github/schema org_ruleset_conditions_decoder","url":"midas/sdk/github/schema.html#org_ruleset_conditions_decoder"},{"doc":"midas/sdk/github/schema","title":"org_ruleset_conditions_to_json","content":"pub fn org_ruleset_conditions_to_json(\n  data: OrgRulesetConditions,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.org_ruleset_conditions_to_json\nmidas/sdk/github/schema org_ruleset_conditions_to_json","url":"midas/sdk/github/schema.html#org_ruleset_conditions_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_actions_secret_decoder","content":"pub fn organization_actions_secret_decoder() -&gt; Decoder(\n  OrganizationActionsSecret,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_actions_secret_decoder\nmidas/sdk/github/schema organization_actions_secret_decoder","url":"midas/sdk/github/schema.html#organization_actions_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_actions_secret_to_json","content":"pub fn organization_actions_secret_to_json(\n  data: OrganizationActionsSecret,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_actions_secret_to_json\nmidas/sdk/github/schema organization_actions_secret_to_json","url":"midas/sdk/github/schema.html#organization_actions_secret_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_actions_variable_decoder","content":"pub fn organization_actions_variable_decoder() -&gt; Decoder(\n  OrganizationActionsVariable,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_actions_variable_decoder\nmidas/sdk/github/schema organization_actions_variable_decoder","url":"midas/sdk/github/schema.html#organization_actions_variable_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_actions_variable_to_json","content":"pub fn organization_actions_variable_to_json(\n  data: OrganizationActionsVariable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_actions_variable_to_json\nmidas/sdk/github/schema organization_actions_variable_to_json","url":"midas/sdk/github/schema.html#organization_actions_variable_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_dependabot_secret_decoder","content":"pub fn organization_dependabot_secret_decoder() -&gt; Decoder(\n  OrganizationDependabotSecret,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_dependabot_secret_decoder\nmidas/sdk/github/schema organization_dependabot_secret_decoder","url":"midas/sdk/github/schema.html#organization_dependabot_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_dependabot_secret_to_json","content":"pub fn organization_dependabot_secret_to_json(\n  data: OrganizationDependabotSecret,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_dependabot_secret_to_json\nmidas/sdk/github/schema organization_dependabot_secret_to_json","url":"midas/sdk/github/schema.html#organization_dependabot_secret_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_full_decoder","content":"pub fn organization_full_decoder() -&gt; Decoder(OrganizationFull)\n\nSynonyms:\nmidas/sdk/github/schema.organization_full_decoder\nmidas/sdk/github/schema organization_full_decoder","url":"midas/sdk/github/schema.html#organization_full_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_full_to_json","content":"pub fn organization_full_to_json(data: OrganizationFull) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_full_to_json\nmidas/sdk/github/schema organization_full_to_json","url":"midas/sdk/github/schema.html#organization_full_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_invitation_decoder","content":"pub fn organization_invitation_decoder() -&gt; Decoder(\n  OrganizationInvitation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_invitation_decoder\nmidas/sdk/github/schema organization_invitation_decoder","url":"midas/sdk/github/schema.html#organization_invitation_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_invitation_to_json","content":"pub fn organization_invitation_to_json(\n  data: OrganizationInvitation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_invitation_to_json\nmidas/sdk/github/schema organization_invitation_to_json","url":"midas/sdk/github/schema.html#organization_invitation_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_programmatic_access_grant_decoder","content":"pub fn organization_programmatic_access_grant_decoder() -&gt; Decoder(\n  OrganizationProgrammaticAccessGrant,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_programmatic_access_grant_decoder\nmidas/sdk/github/schema organization_programmatic_access_grant_decoder","url":"midas/sdk/github/schema.html#organization_programmatic_access_grant_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_programmatic_access_grant_request_decoder","content":"pub fn organization_programmatic_access_grant_request_decoder() -&gt; Decoder(\n  OrganizationProgrammaticAccessGrantRequest,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_programmatic_access_grant_request_decoder\nmidas/sdk/github/schema organization_programmatic_access_grant_request_decoder","url":"midas/sdk/github/schema.html#organization_programmatic_access_grant_request_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_programmatic_access_grant_request_to_json","content":"pub fn organization_programmatic_access_grant_request_to_json(\n  data: OrganizationProgrammaticAccessGrantRequest,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_programmatic_access_grant_request_to_json\nmidas/sdk/github/schema organization_programmatic_access_grant_request_to_json","url":"midas/sdk/github/schema.html#organization_programmatic_access_grant_request_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_programmatic_access_grant_to_json","content":"pub fn organization_programmatic_access_grant_to_json(\n  data: OrganizationProgrammaticAccessGrant,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_programmatic_access_grant_to_json\nmidas/sdk/github/schema organization_programmatic_access_grant_to_json","url":"midas/sdk/github/schema.html#organization_programmatic_access_grant_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_role_decoder","content":"pub fn organization_role_decoder() -&gt; Decoder(OrganizationRole)\n\nSynonyms:\nmidas/sdk/github/schema.organization_role_decoder\nmidas/sdk/github/schema organization_role_decoder","url":"midas/sdk/github/schema.html#organization_role_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_role_to_json","content":"pub fn organization_role_to_json(data: OrganizationRole) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_role_to_json\nmidas/sdk/github/schema organization_role_to_json","url":"midas/sdk/github/schema.html#organization_role_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_secret_scanning_alert_decoder","content":"pub fn organization_secret_scanning_alert_decoder() -&gt; Decoder(\n  OrganizationSecretScanningAlert,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_secret_scanning_alert_decoder\nmidas/sdk/github/schema organization_secret_scanning_alert_decoder","url":"midas/sdk/github/schema.html#organization_secret_scanning_alert_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_secret_scanning_alert_to_json","content":"pub fn organization_secret_scanning_alert_to_json(\n  data: OrganizationSecretScanningAlert,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_secret_scanning_alert_to_json\nmidas/sdk/github/schema organization_secret_scanning_alert_to_json","url":"midas/sdk/github/schema.html#organization_secret_scanning_alert_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_simple_decoder","content":"pub fn organization_simple_decoder() -&gt; Decoder(\n  OrganizationSimple,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_simple_decoder\nmidas/sdk/github/schema organization_simple_decoder","url":"midas/sdk/github/schema.html#organization_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_simple_to_json","content":"pub fn organization_simple_to_json(\n  data: OrganizationSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_simple_to_json\nmidas/sdk/github/schema organization_simple_to_json","url":"midas/sdk/github/schema.html#organization_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"organization_simple_webhooks_decoder","content":"pub fn organization_simple_webhooks_decoder() -&gt; Decoder(\n  OrganizationSimpleWebhooks,\n)\n\nSynonyms:\nmidas/sdk/github/schema.organization_simple_webhooks_decoder\nmidas/sdk/github/schema organization_simple_webhooks_decoder","url":"midas/sdk/github/schema.html#organization_simple_webhooks_decoder"},{"doc":"midas/sdk/github/schema","title":"organization_simple_webhooks_to_json","content":"pub fn organization_simple_webhooks_to_json(\n  data: OrganizationSimpleWebhooks,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.organization_simple_webhooks_to_json\nmidas/sdk/github/schema organization_simple_webhooks_to_json","url":"midas/sdk/github/schema.html#organization_simple_webhooks_to_json"},{"doc":"midas/sdk/github/schema","title":"package_decoder","content":"pub fn package_decoder() -&gt; Decoder(Package)\n\nSynonyms:\nmidas/sdk/github/schema.package_decoder\nmidas/sdk/github/schema package_decoder","url":"midas/sdk/github/schema.html#package_decoder"},{"doc":"midas/sdk/github/schema","title":"package_to_json","content":"pub fn package_to_json(data: Package) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.package_to_json\nmidas/sdk/github/schema package_to_json","url":"midas/sdk/github/schema.html#package_to_json"},{"doc":"midas/sdk/github/schema","title":"package_version_decoder","content":"pub fn package_version_decoder() -&gt; Decoder(PackageVersion)\n\nSynonyms:\nmidas/sdk/github/schema.package_version_decoder\nmidas/sdk/github/schema package_version_decoder","url":"midas/sdk/github/schema.html#package_version_decoder"},{"doc":"midas/sdk/github/schema","title":"package_version_to_json","content":"pub fn package_version_to_json(data: PackageVersion) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.package_version_to_json\nmidas/sdk/github/schema package_version_to_json","url":"midas/sdk/github/schema.html#package_version_to_json"},{"doc":"midas/sdk/github/schema","title":"packages_billing_usage_decoder","content":"pub fn packages_billing_usage_decoder() -&gt; Decoder(\n  PackagesBillingUsage,\n)\n\nSynonyms:\nmidas/sdk/github/schema.packages_billing_usage_decoder\nmidas/sdk/github/schema packages_billing_usage_decoder","url":"midas/sdk/github/schema.html#packages_billing_usage_decoder"},{"doc":"midas/sdk/github/schema","title":"packages_billing_usage_to_json","content":"pub fn packages_billing_usage_to_json(\n  data: PackagesBillingUsage,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.packages_billing_usage_to_json\nmidas/sdk/github/schema packages_billing_usage_to_json","url":"midas/sdk/github/schema.html#packages_billing_usage_to_json"},{"doc":"midas/sdk/github/schema","title":"page_build_decoder","content":"pub fn page_build_decoder() -&gt; Decoder(PageBuild)\n\nSynonyms:\nmidas/sdk/github/schema.page_build_decoder\nmidas/sdk/github/schema page_build_decoder","url":"midas/sdk/github/schema.html#page_build_decoder"},{"doc":"midas/sdk/github/schema","title":"page_build_status_decoder","content":"pub fn page_build_status_decoder() -&gt; Decoder(PageBuildStatus)\n\nSynonyms:\nmidas/sdk/github/schema.page_build_status_decoder\nmidas/sdk/github/schema page_build_status_decoder","url":"midas/sdk/github/schema.html#page_build_status_decoder"},{"doc":"midas/sdk/github/schema","title":"page_build_status_to_json","content":"pub fn page_build_status_to_json(data: PageBuildStatus) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.page_build_status_to_json\nmidas/sdk/github/schema page_build_status_to_json","url":"midas/sdk/github/schema.html#page_build_status_to_json"},{"doc":"midas/sdk/github/schema","title":"page_build_to_json","content":"pub fn page_build_to_json(data: PageBuild) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.page_build_to_json\nmidas/sdk/github/schema page_build_to_json","url":"midas/sdk/github/schema.html#page_build_to_json"},{"doc":"midas/sdk/github/schema","title":"page_decoder","content":"pub fn page_decoder() -&gt; Decoder(Page)\n\nSynonyms:\nmidas/sdk/github/schema.page_decoder\nmidas/sdk/github/schema page_decoder","url":"midas/sdk/github/schema.html#page_decoder"},{"doc":"midas/sdk/github/schema","title":"page_deployment_decoder","content":"pub fn page_deployment_decoder() -&gt; Decoder(PageDeployment)\n\nSynonyms:\nmidas/sdk/github/schema.page_deployment_decoder\nmidas/sdk/github/schema page_deployment_decoder","url":"midas/sdk/github/schema.html#page_deployment_decoder"},{"doc":"midas/sdk/github/schema","title":"page_deployment_to_json","content":"pub fn page_deployment_to_json(data: PageDeployment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.page_deployment_to_json\nmidas/sdk/github/schema page_deployment_to_json","url":"midas/sdk/github/schema.html#page_deployment_to_json"},{"doc":"midas/sdk/github/schema","title":"page_to_json","content":"pub fn page_to_json(data: Page) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.page_to_json\nmidas/sdk/github/schema page_to_json","url":"midas/sdk/github/schema.html#page_to_json"},{"doc":"midas/sdk/github/schema","title":"pages_deployment_status_decoder","content":"pub fn pages_deployment_status_decoder() -&gt; Decoder(\n  PagesDeploymentStatus,\n)\n\nSynonyms:\nmidas/sdk/github/schema.pages_deployment_status_decoder\nmidas/sdk/github/schema pages_deployment_status_decoder","url":"midas/sdk/github/schema.html#pages_deployment_status_decoder"},{"doc":"midas/sdk/github/schema","title":"pages_deployment_status_to_json","content":"pub fn pages_deployment_status_to_json(\n  data: PagesDeploymentStatus,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pages_deployment_status_to_json\nmidas/sdk/github/schema pages_deployment_status_to_json","url":"midas/sdk/github/schema.html#pages_deployment_status_to_json"},{"doc":"midas/sdk/github/schema","title":"pages_health_check_decoder","content":"pub fn pages_health_check_decoder() -&gt; Decoder(PagesHealthCheck)\n\nSynonyms:\nmidas/sdk/github/schema.pages_health_check_decoder\nmidas/sdk/github/schema pages_health_check_decoder","url":"midas/sdk/github/schema.html#pages_health_check_decoder"},{"doc":"midas/sdk/github/schema","title":"pages_health_check_to_json","content":"pub fn pages_health_check_to_json(data: PagesHealthCheck) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pages_health_check_to_json\nmidas/sdk/github/schema pages_health_check_to_json","url":"midas/sdk/github/schema.html#pages_health_check_to_json"},{"doc":"midas/sdk/github/schema","title":"pages_https_certificate_decoder","content":"pub fn pages_https_certificate_decoder() -&gt; Decoder(\n  PagesHttpsCertificate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.pages_https_certificate_decoder\nmidas/sdk/github/schema pages_https_certificate_decoder","url":"midas/sdk/github/schema.html#pages_https_certificate_decoder"},{"doc":"midas/sdk/github/schema","title":"pages_https_certificate_to_json","content":"pub fn pages_https_certificate_to_json(\n  data: PagesHttpsCertificate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pages_https_certificate_to_json\nmidas/sdk/github/schema pages_https_certificate_to_json","url":"midas/sdk/github/schema.html#pages_https_certificate_to_json"},{"doc":"midas/sdk/github/schema","title":"pages_source_hash_decoder","content":"pub fn pages_source_hash_decoder() -&gt; Decoder(PagesSourceHash)\n\nSynonyms:\nmidas/sdk/github/schema.pages_source_hash_decoder\nmidas/sdk/github/schema pages_source_hash_decoder","url":"midas/sdk/github/schema.html#pages_source_hash_decoder"},{"doc":"midas/sdk/github/schema","title":"pages_source_hash_to_json","content":"pub fn pages_source_hash_to_json(data: PagesSourceHash) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pages_source_hash_to_json\nmidas/sdk/github/schema pages_source_hash_to_json","url":"midas/sdk/github/schema.html#pages_source_hash_to_json"},{"doc":"midas/sdk/github/schema","title":"participation_stats_decoder","content":"pub fn participation_stats_decoder() -&gt; Decoder(\n  ParticipationStats,\n)\n\nSynonyms:\nmidas/sdk/github/schema.participation_stats_decoder\nmidas/sdk/github/schema participation_stats_decoder","url":"midas/sdk/github/schema.html#participation_stats_decoder"},{"doc":"midas/sdk/github/schema","title":"participation_stats_to_json","content":"pub fn participation_stats_to_json(\n  data: ParticipationStats,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.participation_stats_to_json\nmidas/sdk/github/schema participation_stats_to_json","url":"midas/sdk/github/schema.html#participation_stats_to_json"},{"doc":"midas/sdk/github/schema","title":"pending_deployment_decoder","content":"pub fn pending_deployment_decoder() -&gt; Decoder(PendingDeployment)\n\nSynonyms:\nmidas/sdk/github/schema.pending_deployment_decoder\nmidas/sdk/github/schema pending_deployment_decoder","url":"midas/sdk/github/schema.html#pending_deployment_decoder"},{"doc":"midas/sdk/github/schema","title":"pending_deployment_to_json","content":"pub fn pending_deployment_to_json(\n  data: PendingDeployment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pending_deployment_to_json\nmidas/sdk/github/schema pending_deployment_to_json","url":"midas/sdk/github/schema.html#pending_deployment_to_json"},{"doc":"midas/sdk/github/schema","title":"personal_access_token_request_decoder","content":"pub fn personal_access_token_request_decoder() -&gt; Decoder(\n  PersonalAccessTokenRequest,\n)\n\nSynonyms:\nmidas/sdk/github/schema.personal_access_token_request_decoder\nmidas/sdk/github/schema personal_access_token_request_decoder","url":"midas/sdk/github/schema.html#personal_access_token_request_decoder"},{"doc":"midas/sdk/github/schema","title":"personal_access_token_request_to_json","content":"pub fn personal_access_token_request_to_json(\n  data: PersonalAccessTokenRequest,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.personal_access_token_request_to_json\nmidas/sdk/github/schema personal_access_token_request_to_json","url":"midas/sdk/github/schema.html#personal_access_token_request_to_json"},{"doc":"midas/sdk/github/schema","title":"porter_author_decoder","content":"pub fn porter_author_decoder() -&gt; Decoder(PorterAuthor)\n\nSynonyms:\nmidas/sdk/github/schema.porter_author_decoder\nmidas/sdk/github/schema porter_author_decoder","url":"midas/sdk/github/schema.html#porter_author_decoder"},{"doc":"midas/sdk/github/schema","title":"porter_author_to_json","content":"pub fn porter_author_to_json(data: PorterAuthor) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.porter_author_to_json\nmidas/sdk/github/schema porter_author_to_json","url":"midas/sdk/github/schema.html#porter_author_to_json"},{"doc":"midas/sdk/github/schema","title":"porter_large_file_decoder","content":"pub fn porter_large_file_decoder() -&gt; Decoder(PorterLargeFile)\n\nSynonyms:\nmidas/sdk/github/schema.porter_large_file_decoder\nmidas/sdk/github/schema porter_large_file_decoder","url":"midas/sdk/github/schema.html#porter_large_file_decoder"},{"doc":"midas/sdk/github/schema","title":"porter_large_file_to_json","content":"pub fn porter_large_file_to_json(data: PorterLargeFile) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.porter_large_file_to_json\nmidas/sdk/github/schema porter_large_file_to_json","url":"midas/sdk/github/schema.html#porter_large_file_to_json"},{"doc":"midas/sdk/github/schema","title":"prevent_self_review_decoder","content":"pub fn prevent_self_review_decoder() -&gt; Decoder(Bool)\n\nSynonyms:\nmidas/sdk/github/schema.prevent_self_review_decoder\nmidas/sdk/github/schema prevent_self_review_decoder","url":"midas/sdk/github/schema.html#prevent_self_review_decoder"},{"doc":"midas/sdk/github/schema","title":"private_user_decoder","content":"pub fn private_user_decoder() -&gt; Decoder(PrivateUser)\n\nSynonyms:\nmidas/sdk/github/schema.private_user_decoder\nmidas/sdk/github/schema private_user_decoder","url":"midas/sdk/github/schema.html#private_user_decoder"},{"doc":"midas/sdk/github/schema","title":"private_user_to_json","content":"pub fn private_user_to_json(data: PrivateUser) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.private_user_to_json\nmidas/sdk/github/schema private_user_to_json","url":"midas/sdk/github/schema.html#private_user_to_json"},{"doc":"midas/sdk/github/schema","title":"private_vulnerability_report_create_decoder","content":"pub fn private_vulnerability_report_create_decoder() -&gt; Decoder(\n  PrivateVulnerabilityReportCreate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.private_vulnerability_report_create_decoder\nmidas/sdk/github/schema private_vulnerability_report_create_decoder","url":"midas/sdk/github/schema.html#private_vulnerability_report_create_decoder"},{"doc":"midas/sdk/github/schema","title":"private_vulnerability_report_create_to_json","content":"pub fn private_vulnerability_report_create_to_json(\n  data: PrivateVulnerabilityReportCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.private_vulnerability_report_create_to_json\nmidas/sdk/github/schema private_vulnerability_report_create_to_json","url":"midas/sdk/github/schema.html#private_vulnerability_report_create_to_json"},{"doc":"midas/sdk/github/schema","title":"project_card_decoder","content":"pub fn project_card_decoder() -&gt; Decoder(ProjectCard)\n\nSynonyms:\nmidas/sdk/github/schema.project_card_decoder\nmidas/sdk/github/schema project_card_decoder","url":"midas/sdk/github/schema.html#project_card_decoder"},{"doc":"midas/sdk/github/schema","title":"project_card_to_json","content":"pub fn project_card_to_json(data: ProjectCard) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.project_card_to_json\nmidas/sdk/github/schema project_card_to_json","url":"midas/sdk/github/schema.html#project_card_to_json"},{"doc":"midas/sdk/github/schema","title":"project_collaborator_permission_decoder","content":"pub fn project_collaborator_permission_decoder() -&gt; Decoder(\n  ProjectCollaboratorPermission,\n)\n\nSynonyms:\nmidas/sdk/github/schema.project_collaborator_permission_decoder\nmidas/sdk/github/schema project_collaborator_permission_decoder","url":"midas/sdk/github/schema.html#project_collaborator_permission_decoder"},{"doc":"midas/sdk/github/schema","title":"project_collaborator_permission_to_json","content":"pub fn project_collaborator_permission_to_json(\n  data: ProjectCollaboratorPermission,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.project_collaborator_permission_to_json\nmidas/sdk/github/schema project_collaborator_permission_to_json","url":"midas/sdk/github/schema.html#project_collaborator_permission_to_json"},{"doc":"midas/sdk/github/schema","title":"project_column_decoder","content":"pub fn project_column_decoder() -&gt; Decoder(ProjectColumn)\n\nSynonyms:\nmidas/sdk/github/schema.project_column_decoder\nmidas/sdk/github/schema project_column_decoder","url":"midas/sdk/github/schema.html#project_column_decoder"},{"doc":"midas/sdk/github/schema","title":"project_column_to_json","content":"pub fn project_column_to_json(data: ProjectColumn) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.project_column_to_json\nmidas/sdk/github/schema project_column_to_json","url":"midas/sdk/github/schema.html#project_column_to_json"},{"doc":"midas/sdk/github/schema","title":"project_decoder","content":"pub fn project_decoder() -&gt; Decoder(Project)\n\nSynonyms:\nmidas/sdk/github/schema.project_decoder\nmidas/sdk/github/schema project_decoder","url":"midas/sdk/github/schema.html#project_decoder"},{"doc":"midas/sdk/github/schema","title":"project_to_json","content":"pub fn project_to_json(data: Project) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.project_to_json\nmidas/sdk/github/schema project_to_json","url":"midas/sdk/github/schema.html#project_to_json"},{"doc":"midas/sdk/github/schema","title":"projects_v2_decoder","content":"pub fn projects_v2_decoder() -&gt; Decoder(ProjectsV2)\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_decoder\nmidas/sdk/github/schema projects_v2_decoder","url":"midas/sdk/github/schema.html#projects_v2_decoder"},{"doc":"midas/sdk/github/schema","title":"projects_v2_item_content_type_decoder","content":"pub fn projects_v2_item_content_type_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_item_content_type_decoder\nmidas/sdk/github/schema projects_v2_item_content_type_decoder","url":"midas/sdk/github/schema.html#projects_v2_item_content_type_decoder"},{"doc":"midas/sdk/github/schema","title":"projects_v2_item_decoder","content":"pub fn projects_v2_item_decoder() -&gt; Decoder(ProjectsV2Item)\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_item_decoder\nmidas/sdk/github/schema projects_v2_item_decoder","url":"midas/sdk/github/schema.html#projects_v2_item_decoder"},{"doc":"midas/sdk/github/schema","title":"projects_v2_item_to_json","content":"pub fn projects_v2_item_to_json(data: ProjectsV2Item) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_item_to_json\nmidas/sdk/github/schema projects_v2_item_to_json","url":"midas/sdk/github/schema.html#projects_v2_item_to_json"},{"doc":"midas/sdk/github/schema","title":"projects_v2_iteration_setting_decoder","content":"pub fn projects_v2_iteration_setting_decoder() -&gt; Decoder(\n  ProjectsV2IterationSetting,\n)\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_iteration_setting_decoder\nmidas/sdk/github/schema projects_v2_iteration_setting_decoder","url":"midas/sdk/github/schema.html#projects_v2_iteration_setting_decoder"},{"doc":"midas/sdk/github/schema","title":"projects_v2_iteration_setting_to_json","content":"pub fn projects_v2_iteration_setting_to_json(\n  data: ProjectsV2IterationSetting,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_iteration_setting_to_json\nmidas/sdk/github/schema projects_v2_iteration_setting_to_json","url":"midas/sdk/github/schema.html#projects_v2_iteration_setting_to_json"},{"doc":"midas/sdk/github/schema","title":"projects_v2_single_select_option_decoder","content":"pub fn projects_v2_single_select_option_decoder() -&gt; Decoder(\n  ProjectsV2SingleSelectOption,\n)\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_single_select_option_decoder\nmidas/sdk/github/schema projects_v2_single_select_option_decoder","url":"midas/sdk/github/schema.html#projects_v2_single_select_option_decoder"},{"doc":"midas/sdk/github/schema","title":"projects_v2_single_select_option_to_json","content":"pub fn projects_v2_single_select_option_to_json(\n  data: ProjectsV2SingleSelectOption,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_single_select_option_to_json\nmidas/sdk/github/schema projects_v2_single_select_option_to_json","url":"midas/sdk/github/schema.html#projects_v2_single_select_option_to_json"},{"doc":"midas/sdk/github/schema","title":"projects_v2_status_update_decoder","content":"pub fn projects_v2_status_update_decoder() -&gt; Decoder(\n  ProjectsV2StatusUpdate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_status_update_decoder\nmidas/sdk/github/schema projects_v2_status_update_decoder","url":"midas/sdk/github/schema.html#projects_v2_status_update_decoder"},{"doc":"midas/sdk/github/schema","title":"projects_v2_status_update_to_json","content":"pub fn projects_v2_status_update_to_json(\n  data: ProjectsV2StatusUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_status_update_to_json\nmidas/sdk/github/schema projects_v2_status_update_to_json","url":"midas/sdk/github/schema.html#projects_v2_status_update_to_json"},{"doc":"midas/sdk/github/schema","title":"projects_v2_to_json","content":"pub fn projects_v2_to_json(data: ProjectsV2) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.projects_v2_to_json\nmidas/sdk/github/schema projects_v2_to_json","url":"midas/sdk/github/schema.html#projects_v2_to_json"},{"doc":"midas/sdk/github/schema","title":"protected_branch_admin_enforced_decoder","content":"pub fn protected_branch_admin_enforced_decoder() -&gt; Decoder(\n  ProtectedBranchAdminEnforced,\n)\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_admin_enforced_decoder\nmidas/sdk/github/schema protected_branch_admin_enforced_decoder","url":"midas/sdk/github/schema.html#protected_branch_admin_enforced_decoder"},{"doc":"midas/sdk/github/schema","title":"protected_branch_admin_enforced_to_json","content":"pub fn protected_branch_admin_enforced_to_json(\n  data: ProtectedBranchAdminEnforced,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_admin_enforced_to_json\nmidas/sdk/github/schema protected_branch_admin_enforced_to_json","url":"midas/sdk/github/schema.html#protected_branch_admin_enforced_to_json"},{"doc":"midas/sdk/github/schema","title":"protected_branch_decoder","content":"pub fn protected_branch_decoder() -&gt; Decoder(ProtectedBranch)\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_decoder\nmidas/sdk/github/schema protected_branch_decoder","url":"midas/sdk/github/schema.html#protected_branch_decoder"},{"doc":"midas/sdk/github/schema","title":"protected_branch_pull_request_review_decoder","content":"pub fn protected_branch_pull_request_review_decoder() -&gt; Decoder(\n  ProtectedBranchPullRequestReview,\n)\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_pull_request_review_decoder\nmidas/sdk/github/schema protected_branch_pull_request_review_decoder","url":"midas/sdk/github/schema.html#protected_branch_pull_request_review_decoder"},{"doc":"midas/sdk/github/schema","title":"protected_branch_pull_request_review_to_json","content":"pub fn protected_branch_pull_request_review_to_json(\n  data: ProtectedBranchPullRequestReview,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_pull_request_review_to_json\nmidas/sdk/github/schema protected_branch_pull_request_review_to_json","url":"midas/sdk/github/schema.html#protected_branch_pull_request_review_to_json"},{"doc":"midas/sdk/github/schema","title":"protected_branch_required_status_check_decoder","content":"pub fn protected_branch_required_status_check_decoder() -&gt; Decoder(\n  ProtectedBranchRequiredStatusCheck,\n)\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_required_status_check_decoder\nmidas/sdk/github/schema protected_branch_required_status_check_decoder","url":"midas/sdk/github/schema.html#protected_branch_required_status_check_decoder"},{"doc":"midas/sdk/github/schema","title":"protected_branch_required_status_check_to_json","content":"pub fn protected_branch_required_status_check_to_json(\n  data: ProtectedBranchRequiredStatusCheck,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_required_status_check_to_json\nmidas/sdk/github/schema protected_branch_required_status_check_to_json","url":"midas/sdk/github/schema.html#protected_branch_required_status_check_to_json"},{"doc":"midas/sdk/github/schema","title":"protected_branch_to_json","content":"pub fn protected_branch_to_json(data: ProtectedBranch) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.protected_branch_to_json\nmidas/sdk/github/schema protected_branch_to_json","url":"midas/sdk/github/schema.html#protected_branch_to_json"},{"doc":"midas/sdk/github/schema","title":"public_user_decoder","content":"pub fn public_user_decoder() -&gt; Decoder(PublicUser)\n\nSynonyms:\nmidas/sdk/github/schema.public_user_decoder\nmidas/sdk/github/schema public_user_decoder","url":"midas/sdk/github/schema.html#public_user_decoder"},{"doc":"midas/sdk/github/schema","title":"public_user_to_json","content":"pub fn public_user_to_json(data: PublicUser) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.public_user_to_json\nmidas/sdk/github/schema public_user_to_json","url":"midas/sdk/github/schema.html#public_user_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_decoder","content":"pub fn pull_request_decoder() -&gt; Decoder(PullRequest)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_decoder\nmidas/sdk/github/schema pull_request_decoder","url":"midas/sdk/github/schema.html#pull_request_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_merge_result_decoder","content":"pub fn pull_request_merge_result_decoder() -&gt; Decoder(\n  PullRequestMergeResult,\n)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_merge_result_decoder\nmidas/sdk/github/schema pull_request_merge_result_decoder","url":"midas/sdk/github/schema.html#pull_request_merge_result_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_merge_result_to_json","content":"pub fn pull_request_merge_result_to_json(\n  data: PullRequestMergeResult,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_merge_result_to_json\nmidas/sdk/github/schema pull_request_merge_result_to_json","url":"midas/sdk/github/schema.html#pull_request_merge_result_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_minimal_decoder","content":"pub fn pull_request_minimal_decoder() -&gt; Decoder(\n  PullRequestMinimal,\n)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_minimal_decoder\nmidas/sdk/github/schema pull_request_minimal_decoder","url":"midas/sdk/github/schema.html#pull_request_minimal_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_minimal_to_json","content":"pub fn pull_request_minimal_to_json(\n  data: PullRequestMinimal,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_minimal_to_json\nmidas/sdk/github/schema pull_request_minimal_to_json","url":"midas/sdk/github/schema.html#pull_request_minimal_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_comment_decoder","content":"pub fn pull_request_review_comment_decoder() -&gt; Decoder(\n  PullRequestReviewComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_comment_decoder\nmidas/sdk/github/schema pull_request_review_comment_decoder","url":"midas/sdk/github/schema.html#pull_request_review_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_comment_to_json","content":"pub fn pull_request_review_comment_to_json(\n  data: PullRequestReviewComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_comment_to_json\nmidas/sdk/github/schema pull_request_review_comment_to_json","url":"midas/sdk/github/schema.html#pull_request_review_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_decoder","content":"pub fn pull_request_review_decoder() -&gt; Decoder(PullRequestReview)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_decoder\nmidas/sdk/github/schema pull_request_review_decoder","url":"midas/sdk/github/schema.html#pull_request_review_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_request_decoder","content":"pub fn pull_request_review_request_decoder() -&gt; Decoder(\n  PullRequestReviewRequest,\n)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_request_decoder\nmidas/sdk/github/schema pull_request_review_request_decoder","url":"midas/sdk/github/schema.html#pull_request_review_request_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_request_to_json","content":"pub fn pull_request_review_request_to_json(\n  data: PullRequestReviewRequest,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_request_to_json\nmidas/sdk/github/schema pull_request_review_request_to_json","url":"midas/sdk/github/schema.html#pull_request_review_request_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_review_to_json","content":"pub fn pull_request_review_to_json(\n  data: PullRequestReview,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_review_to_json\nmidas/sdk/github/schema pull_request_review_to_json","url":"midas/sdk/github/schema.html#pull_request_review_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_simple_decoder","content":"pub fn pull_request_simple_decoder() -&gt; Decoder(PullRequestSimple)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_simple_decoder\nmidas/sdk/github/schema pull_request_simple_decoder","url":"midas/sdk/github/schema.html#pull_request_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_simple_to_json","content":"pub fn pull_request_simple_to_json(\n  data: PullRequestSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_simple_to_json\nmidas/sdk/github/schema pull_request_simple_to_json","url":"midas/sdk/github/schema.html#pull_request_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_to_json","content":"pub fn pull_request_to_json(data: PullRequest) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_to_json\nmidas/sdk/github/schema pull_request_to_json","url":"midas/sdk/github/schema.html#pull_request_to_json"},{"doc":"midas/sdk/github/schema","title":"pull_request_webhook_decoder","content":"pub fn pull_request_webhook_decoder() -&gt; Decoder(\n  PullRequestWebhook,\n)\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_webhook_decoder\nmidas/sdk/github/schema pull_request_webhook_decoder","url":"midas/sdk/github/schema.html#pull_request_webhook_decoder"},{"doc":"midas/sdk/github/schema","title":"pull_request_webhook_to_json","content":"pub fn pull_request_webhook_to_json(\n  data: PullRequestWebhook,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.pull_request_webhook_to_json\nmidas/sdk/github/schema pull_request_webhook_to_json","url":"midas/sdk/github/schema.html#pull_request_webhook_to_json"},{"doc":"midas/sdk/github/schema","title":"rate_limit_decoder","content":"pub fn rate_limit_decoder() -&gt; Decoder(RateLimit)\n\nSynonyms:\nmidas/sdk/github/schema.rate_limit_decoder\nmidas/sdk/github/schema rate_limit_decoder","url":"midas/sdk/github/schema.html#rate_limit_decoder"},{"doc":"midas/sdk/github/schema","title":"rate_limit_overview_decoder","content":"pub fn rate_limit_overview_decoder() -&gt; Decoder(RateLimitOverview)\n\nSynonyms:\nmidas/sdk/github/schema.rate_limit_overview_decoder\nmidas/sdk/github/schema rate_limit_overview_decoder","url":"midas/sdk/github/schema.html#rate_limit_overview_decoder"},{"doc":"midas/sdk/github/schema","title":"rate_limit_overview_to_json","content":"pub fn rate_limit_overview_to_json(\n  data: RateLimitOverview,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.rate_limit_overview_to_json\nmidas/sdk/github/schema rate_limit_overview_to_json","url":"midas/sdk/github/schema.html#rate_limit_overview_to_json"},{"doc":"midas/sdk/github/schema","title":"rate_limit_to_json","content":"pub fn rate_limit_to_json(data: RateLimit) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.rate_limit_to_json\nmidas/sdk/github/schema rate_limit_to_json","url":"midas/sdk/github/schema.html#rate_limit_to_json"},{"doc":"midas/sdk/github/schema","title":"reaction_decoder","content":"pub fn reaction_decoder() -&gt; Decoder(Reaction)\n\nSynonyms:\nmidas/sdk/github/schema.reaction_decoder\nmidas/sdk/github/schema reaction_decoder","url":"midas/sdk/github/schema.html#reaction_decoder"},{"doc":"midas/sdk/github/schema","title":"reaction_rollup_decoder","content":"pub fn reaction_rollup_decoder() -&gt; Decoder(ReactionRollup)\n\nSynonyms:\nmidas/sdk/github/schema.reaction_rollup_decoder\nmidas/sdk/github/schema reaction_rollup_decoder","url":"midas/sdk/github/schema.html#reaction_rollup_decoder"},{"doc":"midas/sdk/github/schema","title":"reaction_rollup_to_json","content":"pub fn reaction_rollup_to_json(data: ReactionRollup) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.reaction_rollup_to_json\nmidas/sdk/github/schema reaction_rollup_to_json","url":"midas/sdk/github/schema.html#reaction_rollup_to_json"},{"doc":"midas/sdk/github/schema","title":"reaction_to_json","content":"pub fn reaction_to_json(data: Reaction) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.reaction_to_json\nmidas/sdk/github/schema reaction_to_json","url":"midas/sdk/github/schema.html#reaction_to_json"},{"doc":"midas/sdk/github/schema","title":"referenced_workflow_decoder","content":"pub fn referenced_workflow_decoder() -&gt; Decoder(\n  ReferencedWorkflow,\n)\n\nSynonyms:\nmidas/sdk/github/schema.referenced_workflow_decoder\nmidas/sdk/github/schema referenced_workflow_decoder","url":"midas/sdk/github/schema.html#referenced_workflow_decoder"},{"doc":"midas/sdk/github/schema","title":"referenced_workflow_to_json","content":"pub fn referenced_workflow_to_json(\n  data: ReferencedWorkflow,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.referenced_workflow_to_json\nmidas/sdk/github/schema referenced_workflow_to_json","url":"midas/sdk/github/schema.html#referenced_workflow_to_json"},{"doc":"midas/sdk/github/schema","title":"referrer_traffic_decoder","content":"pub fn referrer_traffic_decoder() -&gt; Decoder(ReferrerTraffic)\n\nSynonyms:\nmidas/sdk/github/schema.referrer_traffic_decoder\nmidas/sdk/github/schema referrer_traffic_decoder","url":"midas/sdk/github/schema.html#referrer_traffic_decoder"},{"doc":"midas/sdk/github/schema","title":"referrer_traffic_to_json","content":"pub fn referrer_traffic_to_json(data: ReferrerTraffic) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.referrer_traffic_to_json\nmidas/sdk/github/schema referrer_traffic_to_json","url":"midas/sdk/github/schema.html#referrer_traffic_to_json"},{"doc":"midas/sdk/github/schema","title":"release_asset_decoder","content":"pub fn release_asset_decoder() -&gt; Decoder(ReleaseAsset)\n\nSynonyms:\nmidas/sdk/github/schema.release_asset_decoder\nmidas/sdk/github/schema release_asset_decoder","url":"midas/sdk/github/schema.html#release_asset_decoder"},{"doc":"midas/sdk/github/schema","title":"release_asset_to_json","content":"pub fn release_asset_to_json(data: ReleaseAsset) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.release_asset_to_json\nmidas/sdk/github/schema release_asset_to_json","url":"midas/sdk/github/schema.html#release_asset_to_json"},{"doc":"midas/sdk/github/schema","title":"release_decoder","content":"pub fn release_decoder() -&gt; Decoder(Release)\n\nSynonyms:\nmidas/sdk/github/schema.release_decoder\nmidas/sdk/github/schema release_decoder","url":"midas/sdk/github/schema.html#release_decoder"},{"doc":"midas/sdk/github/schema","title":"release_notes_content_decoder","content":"pub fn release_notes_content_decoder() -&gt; Decoder(\n  ReleaseNotesContent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.release_notes_content_decoder\nmidas/sdk/github/schema release_notes_content_decoder","url":"midas/sdk/github/schema.html#release_notes_content_decoder"},{"doc":"midas/sdk/github/schema","title":"release_notes_content_to_json","content":"pub fn release_notes_content_to_json(\n  data: ReleaseNotesContent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.release_notes_content_to_json\nmidas/sdk/github/schema release_notes_content_to_json","url":"midas/sdk/github/schema.html#release_notes_content_to_json"},{"doc":"midas/sdk/github/schema","title":"release_to_json","content":"pub fn release_to_json(data: Release) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.release_to_json\nmidas/sdk/github/schema release_to_json","url":"midas/sdk/github/schema.html#release_to_json"},{"doc":"midas/sdk/github/schema","title":"removed_from_project_issue_event_decoder","content":"pub fn removed_from_project_issue_event_decoder() -&gt; Decoder(\n  RemovedFromProjectIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.removed_from_project_issue_event_decoder\nmidas/sdk/github/schema removed_from_project_issue_event_decoder","url":"midas/sdk/github/schema.html#removed_from_project_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"removed_from_project_issue_event_to_json","content":"pub fn removed_from_project_issue_event_to_json(\n  data: RemovedFromProjectIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.removed_from_project_issue_event_to_json\nmidas/sdk/github/schema removed_from_project_issue_event_to_json","url":"midas/sdk/github/schema.html#removed_from_project_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"renamed_issue_event_decoder","content":"pub fn renamed_issue_event_decoder() -&gt; Decoder(RenamedIssueEvent)\n\nSynonyms:\nmidas/sdk/github/schema.renamed_issue_event_decoder\nmidas/sdk/github/schema renamed_issue_event_decoder","url":"midas/sdk/github/schema.html#renamed_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"renamed_issue_event_to_json","content":"pub fn renamed_issue_event_to_json(\n  data: RenamedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.renamed_issue_event_to_json\nmidas/sdk/github/schema renamed_issue_event_to_json","url":"midas/sdk/github/schema.html#renamed_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"repo_codespaces_secret_decoder","content":"pub fn repo_codespaces_secret_decoder() -&gt; Decoder(\n  RepoCodespacesSecret,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repo_codespaces_secret_decoder\nmidas/sdk/github/schema repo_codespaces_secret_decoder","url":"midas/sdk/github/schema.html#repo_codespaces_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"repo_codespaces_secret_to_json","content":"pub fn repo_codespaces_secret_to_json(\n  data: RepoCodespacesSecret,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repo_codespaces_secret_to_json\nmidas/sdk/github/schema repo_codespaces_secret_to_json","url":"midas/sdk/github/schema.html#repo_codespaces_secret_to_json"},{"doc":"midas/sdk/github/schema","title":"repo_search_result_item_decoder","content":"pub fn repo_search_result_item_decoder() -&gt; Decoder(\n  RepoSearchResultItem,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repo_search_result_item_decoder\nmidas/sdk/github/schema repo_search_result_item_decoder","url":"midas/sdk/github/schema.html#repo_search_result_item_decoder"},{"doc":"midas/sdk/github/schema","title":"repo_search_result_item_to_json","content":"pub fn repo_search_result_item_to_json(\n  data: RepoSearchResultItem,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repo_search_result_item_to_json\nmidas/sdk/github/schema repo_search_result_item_to_json","url":"midas/sdk/github/schema.html#repo_search_result_item_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_create_decoder","content":"pub fn repository_advisory_create_decoder() -&gt; Decoder(\n  RepositoryAdvisoryCreate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_create_decoder\nmidas/sdk/github/schema repository_advisory_create_decoder","url":"midas/sdk/github/schema.html#repository_advisory_create_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_create_to_json","content":"pub fn repository_advisory_create_to_json(\n  data: RepositoryAdvisoryCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_create_to_json\nmidas/sdk/github/schema repository_advisory_create_to_json","url":"midas/sdk/github/schema.html#repository_advisory_create_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_credit_decoder","content":"pub fn repository_advisory_credit_decoder() -&gt; Decoder(\n  RepositoryAdvisoryCredit,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_credit_decoder\nmidas/sdk/github/schema repository_advisory_credit_decoder","url":"midas/sdk/github/schema.html#repository_advisory_credit_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_credit_to_json","content":"pub fn repository_advisory_credit_to_json(\n  data: RepositoryAdvisoryCredit,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_credit_to_json\nmidas/sdk/github/schema repository_advisory_credit_to_json","url":"midas/sdk/github/schema.html#repository_advisory_credit_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_decoder","content":"pub fn repository_advisory_decoder() -&gt; Decoder(\n  RepositoryAdvisory,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_decoder\nmidas/sdk/github/schema repository_advisory_decoder","url":"midas/sdk/github/schema.html#repository_advisory_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_to_json","content":"pub fn repository_advisory_to_json(\n  data: RepositoryAdvisory,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_to_json\nmidas/sdk/github/schema repository_advisory_to_json","url":"midas/sdk/github/schema.html#repository_advisory_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_update_decoder","content":"pub fn repository_advisory_update_decoder() -&gt; Decoder(\n  RepositoryAdvisoryUpdate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_update_decoder\nmidas/sdk/github/schema repository_advisory_update_decoder","url":"midas/sdk/github/schema.html#repository_advisory_update_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_update_to_json","content":"pub fn repository_advisory_update_to_json(\n  data: RepositoryAdvisoryUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_update_to_json\nmidas/sdk/github/schema repository_advisory_update_to_json","url":"midas/sdk/github/schema.html#repository_advisory_update_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_vulnerability_decoder","content":"pub fn repository_advisory_vulnerability_decoder() -&gt; Decoder(\n  RepositoryAdvisoryVulnerability,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_vulnerability_decoder\nmidas/sdk/github/schema repository_advisory_vulnerability_decoder","url":"midas/sdk/github/schema.html#repository_advisory_vulnerability_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_advisory_vulnerability_to_json","content":"pub fn repository_advisory_vulnerability_to_json(\n  data: RepositoryAdvisoryVulnerability,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_advisory_vulnerability_to_json\nmidas/sdk/github/schema repository_advisory_vulnerability_to_json","url":"midas/sdk/github/schema.html#repository_advisory_vulnerability_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_collaborator_permission_decoder","content":"pub fn repository_collaborator_permission_decoder() -&gt; Decoder(\n  RepositoryCollaboratorPermission,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_collaborator_permission_decoder\nmidas/sdk/github/schema repository_collaborator_permission_decoder","url":"midas/sdk/github/schema.html#repository_collaborator_permission_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_collaborator_permission_to_json","content":"pub fn repository_collaborator_permission_to_json(\n  data: RepositoryCollaboratorPermission,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_collaborator_permission_to_json\nmidas/sdk/github/schema repository_collaborator_permission_to_json","url":"midas/sdk/github/schema.html#repository_collaborator_permission_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_decoder","content":"pub fn repository_decoder() -&gt; Decoder(Repository)\n\nSynonyms:\nmidas/sdk/github/schema.repository_decoder\nmidas/sdk/github/schema repository_decoder","url":"midas/sdk/github/schema.html#repository_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_invitation_decoder","content":"pub fn repository_invitation_decoder() -&gt; Decoder(\n  RepositoryInvitation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_invitation_decoder\nmidas/sdk/github/schema repository_invitation_decoder","url":"midas/sdk/github/schema.html#repository_invitation_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_invitation_to_json","content":"pub fn repository_invitation_to_json(\n  data: RepositoryInvitation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_invitation_to_json\nmidas/sdk/github/schema repository_invitation_to_json","url":"midas/sdk/github/schema.html#repository_invitation_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_branch_name_pattern_decoder","content":"pub fn repository_rule_branch_name_pattern_decoder() -&gt; Decoder(\n  RepositoryRuleBranchNamePattern,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_branch_name_pattern_decoder\nmidas/sdk/github/schema repository_rule_branch_name_pattern_decoder","url":"midas/sdk/github/schema.html#repository_rule_branch_name_pattern_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_branch_name_pattern_to_json","content":"pub fn repository_rule_branch_name_pattern_to_json(\n  data: RepositoryRuleBranchNamePattern,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_branch_name_pattern_to_json\nmidas/sdk/github/schema repository_rule_branch_name_pattern_to_json","url":"midas/sdk/github/schema.html#repository_rule_branch_name_pattern_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_code_scanning_decoder","content":"pub fn repository_rule_code_scanning_decoder() -&gt; Decoder(\n  RepositoryRuleCodeScanning,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_code_scanning_decoder\nmidas/sdk/github/schema repository_rule_code_scanning_decoder","url":"midas/sdk/github/schema.html#repository_rule_code_scanning_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_code_scanning_to_json","content":"pub fn repository_rule_code_scanning_to_json(\n  data: RepositoryRuleCodeScanning,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_code_scanning_to_json\nmidas/sdk/github/schema repository_rule_code_scanning_to_json","url":"midas/sdk/github/schema.html#repository_rule_code_scanning_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_commit_author_email_pattern_decoder","content":"pub fn repository_rule_commit_author_email_pattern_decoder() -&gt; Decoder(\n  RepositoryRuleCommitAuthorEmailPattern,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_commit_author_email_pattern_decoder\nmidas/sdk/github/schema repository_rule_commit_author_email_pattern_decoder","url":"midas/sdk/github/schema.html#repository_rule_commit_author_email_pattern_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_commit_author_email_pattern_to_json","content":"pub fn repository_rule_commit_author_email_pattern_to_json(\n  data: RepositoryRuleCommitAuthorEmailPattern,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_commit_author_email_pattern_to_json\nmidas/sdk/github/schema repository_rule_commit_author_email_pattern_to_json","url":"midas/sdk/github/schema.html#repository_rule_commit_author_email_pattern_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_commit_message_pattern_decoder","content":"pub fn repository_rule_commit_message_pattern_decoder() -&gt; Decoder(\n  RepositoryRuleCommitMessagePattern,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_commit_message_pattern_decoder\nmidas/sdk/github/schema repository_rule_commit_message_pattern_decoder","url":"midas/sdk/github/schema.html#repository_rule_commit_message_pattern_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_commit_message_pattern_to_json","content":"pub fn repository_rule_commit_message_pattern_to_json(\n  data: RepositoryRuleCommitMessagePattern,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_commit_message_pattern_to_json\nmidas/sdk/github/schema repository_rule_commit_message_pattern_to_json","url":"midas/sdk/github/schema.html#repository_rule_commit_message_pattern_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_committer_email_pattern_decoder","content":"pub fn repository_rule_committer_email_pattern_decoder() -&gt; Decoder(\n  RepositoryRuleCommitterEmailPattern,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_committer_email_pattern_decoder\nmidas/sdk/github/schema repository_rule_committer_email_pattern_decoder","url":"midas/sdk/github/schema.html#repository_rule_committer_email_pattern_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_committer_email_pattern_to_json","content":"pub fn repository_rule_committer_email_pattern_to_json(\n  data: RepositoryRuleCommitterEmailPattern,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_committer_email_pattern_to_json\nmidas/sdk/github/schema repository_rule_committer_email_pattern_to_json","url":"midas/sdk/github/schema.html#repository_rule_committer_email_pattern_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_creation_decoder","content":"pub fn repository_rule_creation_decoder() -&gt; Decoder(\n  RepositoryRuleCreation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_creation_decoder\nmidas/sdk/github/schema repository_rule_creation_decoder","url":"midas/sdk/github/schema.html#repository_rule_creation_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_creation_to_json","content":"pub fn repository_rule_creation_to_json(\n  data: RepositoryRuleCreation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_creation_to_json\nmidas/sdk/github/schema repository_rule_creation_to_json","url":"midas/sdk/github/schema.html#repository_rule_creation_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_decoder","content":"pub fn repository_rule_decoder() -&gt; Decoder(RepositoryRule)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_decoder\nmidas/sdk/github/schema repository_rule_decoder","url":"midas/sdk/github/schema.html#repository_rule_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_deletion_decoder","content":"pub fn repository_rule_deletion_decoder() -&gt; Decoder(\n  RepositoryRuleDeletion,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_deletion_decoder\nmidas/sdk/github/schema repository_rule_deletion_decoder","url":"midas/sdk/github/schema.html#repository_rule_deletion_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_deletion_to_json","content":"pub fn repository_rule_deletion_to_json(\n  data: RepositoryRuleDeletion,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_deletion_to_json\nmidas/sdk/github/schema repository_rule_deletion_to_json","url":"midas/sdk/github/schema.html#repository_rule_deletion_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_detailed_decoder","content":"pub fn repository_rule_detailed_decoder() -&gt; Decoder(\n  RepositoryRuleDetailed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_detailed_decoder\nmidas/sdk/github/schema repository_rule_detailed_decoder","url":"midas/sdk/github/schema.html#repository_rule_detailed_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_detailed_to_json","content":"pub fn repository_rule_detailed_to_json(\n  data: RepositoryRuleDetailed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_detailed_to_json\nmidas/sdk/github/schema repository_rule_detailed_to_json","url":"midas/sdk/github/schema.html#repository_rule_detailed_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_enforcement_decoder","content":"pub fn repository_rule_enforcement_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_enforcement_decoder\nmidas/sdk/github/schema repository_rule_enforcement_decoder","url":"midas/sdk/github/schema.html#repository_rule_enforcement_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_merge_queue_decoder","content":"pub fn repository_rule_merge_queue_decoder() -&gt; Decoder(\n  RepositoryRuleMergeQueue,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_merge_queue_decoder\nmidas/sdk/github/schema repository_rule_merge_queue_decoder","url":"midas/sdk/github/schema.html#repository_rule_merge_queue_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_merge_queue_to_json","content":"pub fn repository_rule_merge_queue_to_json(\n  data: RepositoryRuleMergeQueue,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_merge_queue_to_json\nmidas/sdk/github/schema repository_rule_merge_queue_to_json","url":"midas/sdk/github/schema.html#repository_rule_merge_queue_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_non_fast_forward_decoder","content":"pub fn repository_rule_non_fast_forward_decoder() -&gt; Decoder(\n  RepositoryRuleNonFastForward,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_non_fast_forward_decoder\nmidas/sdk/github/schema repository_rule_non_fast_forward_decoder","url":"midas/sdk/github/schema.html#repository_rule_non_fast_forward_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_non_fast_forward_to_json","content":"pub fn repository_rule_non_fast_forward_to_json(\n  data: RepositoryRuleNonFastForward,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_non_fast_forward_to_json\nmidas/sdk/github/schema repository_rule_non_fast_forward_to_json","url":"midas/sdk/github/schema.html#repository_rule_non_fast_forward_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_code_scanning_tool_decoder","content":"pub fn repository_rule_params_code_scanning_tool_decoder() -&gt; Decoder(\n  RepositoryRuleParamsCodeScanningTool,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_code_scanning_tool_decoder\nmidas/sdk/github/schema repository_rule_params_code_scanning_tool_decoder","url":"midas/sdk/github/schema.html#repository_rule_params_code_scanning_tool_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_code_scanning_tool_to_json","content":"pub fn repository_rule_params_code_scanning_tool_to_json(\n  data: RepositoryRuleParamsCodeScanningTool,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_code_scanning_tool_to_json\nmidas/sdk/github/schema repository_rule_params_code_scanning_tool_to_json","url":"midas/sdk/github/schema.html#repository_rule_params_code_scanning_tool_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_required_reviewer_configuration_decoder","content":"pub fn repository_rule_params_required_reviewer_configuration_decoder() -&gt; Decoder(\n  RepositoryRuleParamsRequiredReviewerConfiguration,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_required_reviewer_configuration_decoder\nmidas/sdk/github/schema repository_rule_params_required_reviewer_configuration_decoder","url":"midas/sdk/github/schema.html#repository_rule_params_required_reviewer_configuration_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_required_reviewer_configuration_to_json","content":"pub fn repository_rule_params_required_reviewer_configuration_to_json(\n  data: RepositoryRuleParamsRequiredReviewerConfiguration,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_required_reviewer_configuration_to_json\nmidas/sdk/github/schema repository_rule_params_required_reviewer_configuration_to_json","url":"midas/sdk/github/schema.html#repository_rule_params_required_reviewer_configuration_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_restricted_commits_decoder","content":"pub fn repository_rule_params_restricted_commits_decoder() -&gt; Decoder(\n  RepositoryRuleParamsRestrictedCommits,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_restricted_commits_decoder\nmidas/sdk/github/schema repository_rule_params_restricted_commits_decoder","url":"midas/sdk/github/schema.html#repository_rule_params_restricted_commits_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_restricted_commits_to_json","content":"pub fn repository_rule_params_restricted_commits_to_json(\n  data: RepositoryRuleParamsRestrictedCommits,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_restricted_commits_to_json\nmidas/sdk/github/schema repository_rule_params_restricted_commits_to_json","url":"midas/sdk/github/schema.html#repository_rule_params_restricted_commits_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_status_check_configuration_decoder","content":"pub fn repository_rule_params_status_check_configuration_decoder() -&gt; Decoder(\n  RepositoryRuleParamsStatusCheckConfiguration,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_status_check_configuration_decoder\nmidas/sdk/github/schema repository_rule_params_status_check_configuration_decoder","url":"midas/sdk/github/schema.html#repository_rule_params_status_check_configuration_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_status_check_configuration_to_json","content":"pub fn repository_rule_params_status_check_configuration_to_json(\n  data: RepositoryRuleParamsStatusCheckConfiguration,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_status_check_configuration_to_json\nmidas/sdk/github/schema repository_rule_params_status_check_configuration_to_json","url":"midas/sdk/github/schema.html#repository_rule_params_status_check_configuration_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_workflow_file_reference_decoder","content":"pub fn repository_rule_params_workflow_file_reference_decoder() -&gt; Decoder(\n  RepositoryRuleParamsWorkflowFileReference,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_workflow_file_reference_decoder\nmidas/sdk/github/schema repository_rule_params_workflow_file_reference_decoder","url":"midas/sdk/github/schema.html#repository_rule_params_workflow_file_reference_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_params_workflow_file_reference_to_json","content":"pub fn repository_rule_params_workflow_file_reference_to_json(\n  data: RepositoryRuleParamsWorkflowFileReference,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_params_workflow_file_reference_to_json\nmidas/sdk/github/schema repository_rule_params_workflow_file_reference_to_json","url":"midas/sdk/github/schema.html#repository_rule_params_workflow_file_reference_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_pull_request_decoder","content":"pub fn repository_rule_pull_request_decoder() -&gt; Decoder(\n  RepositoryRulePullRequest,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_pull_request_decoder\nmidas/sdk/github/schema repository_rule_pull_request_decoder","url":"midas/sdk/github/schema.html#repository_rule_pull_request_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_pull_request_to_json","content":"pub fn repository_rule_pull_request_to_json(\n  data: RepositoryRulePullRequest,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_pull_request_to_json\nmidas/sdk/github/schema repository_rule_pull_request_to_json","url":"midas/sdk/github/schema.html#repository_rule_pull_request_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_deployments_decoder","content":"pub fn repository_rule_required_deployments_decoder() -&gt; Decoder(\n  RepositoryRuleRequiredDeployments,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_deployments_decoder\nmidas/sdk/github/schema repository_rule_required_deployments_decoder","url":"midas/sdk/github/schema.html#repository_rule_required_deployments_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_deployments_to_json","content":"pub fn repository_rule_required_deployments_to_json(\n  data: RepositoryRuleRequiredDeployments,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_deployments_to_json\nmidas/sdk/github/schema repository_rule_required_deployments_to_json","url":"midas/sdk/github/schema.html#repository_rule_required_deployments_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_linear_history_decoder","content":"pub fn repository_rule_required_linear_history_decoder() -&gt; Decoder(\n  RepositoryRuleRequiredLinearHistory,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_linear_history_decoder\nmidas/sdk/github/schema repository_rule_required_linear_history_decoder","url":"midas/sdk/github/schema.html#repository_rule_required_linear_history_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_linear_history_to_json","content":"pub fn repository_rule_required_linear_history_to_json(\n  data: RepositoryRuleRequiredLinearHistory,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_linear_history_to_json\nmidas/sdk/github/schema repository_rule_required_linear_history_to_json","url":"midas/sdk/github/schema.html#repository_rule_required_linear_history_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_signatures_decoder","content":"pub fn repository_rule_required_signatures_decoder() -&gt; Decoder(\n  RepositoryRuleRequiredSignatures,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_signatures_decoder\nmidas/sdk/github/schema repository_rule_required_signatures_decoder","url":"midas/sdk/github/schema.html#repository_rule_required_signatures_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_signatures_to_json","content":"pub fn repository_rule_required_signatures_to_json(\n  data: RepositoryRuleRequiredSignatures,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_signatures_to_json\nmidas/sdk/github/schema repository_rule_required_signatures_to_json","url":"midas/sdk/github/schema.html#repository_rule_required_signatures_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_status_checks_decoder","content":"pub fn repository_rule_required_status_checks_decoder() -&gt; Decoder(\n  RepositoryRuleRequiredStatusChecks,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_status_checks_decoder\nmidas/sdk/github/schema repository_rule_required_status_checks_decoder","url":"midas/sdk/github/schema.html#repository_rule_required_status_checks_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_required_status_checks_to_json","content":"pub fn repository_rule_required_status_checks_to_json(\n  data: RepositoryRuleRequiredStatusChecks,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_required_status_checks_to_json\nmidas/sdk/github/schema repository_rule_required_status_checks_to_json","url":"midas/sdk/github/schema.html#repository_rule_required_status_checks_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_ruleset_info_decoder","content":"pub fn repository_rule_ruleset_info_decoder() -&gt; Decoder(\n  RepositoryRuleRulesetInfo,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_ruleset_info_decoder\nmidas/sdk/github/schema repository_rule_ruleset_info_decoder","url":"midas/sdk/github/schema.html#repository_rule_ruleset_info_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_ruleset_info_to_json","content":"pub fn repository_rule_ruleset_info_to_json(\n  data: RepositoryRuleRulesetInfo,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_ruleset_info_to_json\nmidas/sdk/github/schema repository_rule_ruleset_info_to_json","url":"midas/sdk/github/schema.html#repository_rule_ruleset_info_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_tag_name_pattern_decoder","content":"pub fn repository_rule_tag_name_pattern_decoder() -&gt; Decoder(\n  RepositoryRuleTagNamePattern,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_tag_name_pattern_decoder\nmidas/sdk/github/schema repository_rule_tag_name_pattern_decoder","url":"midas/sdk/github/schema.html#repository_rule_tag_name_pattern_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_tag_name_pattern_to_json","content":"pub fn repository_rule_tag_name_pattern_to_json(\n  data: RepositoryRuleTagNamePattern,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_tag_name_pattern_to_json\nmidas/sdk/github/schema repository_rule_tag_name_pattern_to_json","url":"midas/sdk/github/schema.html#repository_rule_tag_name_pattern_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_to_json","content":"pub fn repository_rule_to_json(data: RepositoryRule) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_to_json\nmidas/sdk/github/schema repository_rule_to_json","url":"midas/sdk/github/schema.html#repository_rule_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_update_decoder","content":"pub fn repository_rule_update_decoder() -&gt; Decoder(\n  RepositoryRuleUpdate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_update_decoder\nmidas/sdk/github/schema repository_rule_update_decoder","url":"midas/sdk/github/schema.html#repository_rule_update_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_update_to_json","content":"pub fn repository_rule_update_to_json(\n  data: RepositoryRuleUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_update_to_json\nmidas/sdk/github/schema repository_rule_update_to_json","url":"midas/sdk/github/schema.html#repository_rule_update_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_violation_error_decoder","content":"pub fn repository_rule_violation_error_decoder() -&gt; Decoder(\n  RepositoryRuleViolationError,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_violation_error_decoder\nmidas/sdk/github/schema repository_rule_violation_error_decoder","url":"midas/sdk/github/schema.html#repository_rule_violation_error_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_violation_error_to_json","content":"pub fn repository_rule_violation_error_to_json(\n  data: RepositoryRuleViolationError,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_violation_error_to_json\nmidas/sdk/github/schema repository_rule_violation_error_to_json","url":"midas/sdk/github/schema.html#repository_rule_violation_error_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_rule_workflows_decoder","content":"pub fn repository_rule_workflows_decoder() -&gt; Decoder(\n  RepositoryRuleWorkflows,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_workflows_decoder\nmidas/sdk/github/schema repository_rule_workflows_decoder","url":"midas/sdk/github/schema.html#repository_rule_workflows_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_rule_workflows_to_json","content":"pub fn repository_rule_workflows_to_json(\n  data: RepositoryRuleWorkflows,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_rule_workflows_to_json\nmidas/sdk/github/schema repository_rule_workflows_to_json","url":"midas/sdk/github/schema.html#repository_rule_workflows_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_bypass_actor_decoder","content":"pub fn repository_ruleset_bypass_actor_decoder() -&gt; Decoder(\n  RepositoryRulesetBypassActor,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_bypass_actor_decoder\nmidas/sdk/github/schema repository_ruleset_bypass_actor_decoder","url":"midas/sdk/github/schema.html#repository_ruleset_bypass_actor_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_bypass_actor_to_json","content":"pub fn repository_ruleset_bypass_actor_to_json(\n  data: RepositoryRulesetBypassActor,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_bypass_actor_to_json\nmidas/sdk/github/schema repository_ruleset_bypass_actor_to_json","url":"midas/sdk/github/schema.html#repository_ruleset_bypass_actor_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_decoder","content":"pub fn repository_ruleset_conditions_decoder() -&gt; Decoder(\n  RepositoryRulesetConditions,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_decoder\nmidas/sdk/github/schema repository_ruleset_conditions_decoder","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_id_target_decoder","content":"pub fn repository_ruleset_conditions_repository_id_target_decoder() -&gt; Decoder(\n  RepositoryRulesetConditionsRepositoryIdTarget,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_id_target_decoder\nmidas/sdk/github/schema repository_ruleset_conditions_repository_id_target_decoder","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_id_target_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_id_target_to_json","content":"pub fn repository_ruleset_conditions_repository_id_target_to_json(\n  data: RepositoryRulesetConditionsRepositoryIdTarget,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_id_target_to_json\nmidas/sdk/github/schema repository_ruleset_conditions_repository_id_target_to_json","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_id_target_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_name_target_decoder","content":"pub fn repository_ruleset_conditions_repository_name_target_decoder() -&gt; Decoder(\n  RepositoryRulesetConditionsRepositoryNameTarget,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_name_target_decoder\nmidas/sdk/github/schema repository_ruleset_conditions_repository_name_target_decoder","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_name_target_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_name_target_to_json","content":"pub fn repository_ruleset_conditions_repository_name_target_to_json(\n  data: RepositoryRulesetConditionsRepositoryNameTarget,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_name_target_to_json\nmidas/sdk/github/schema repository_ruleset_conditions_repository_name_target_to_json","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_name_target_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_property_spec_decoder","content":"pub fn repository_ruleset_conditions_repository_property_spec_decoder() -&gt; Decoder(\n  RepositoryRulesetConditionsRepositoryPropertySpec,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_property_spec_decoder\nmidas/sdk/github/schema repository_ruleset_conditions_repository_property_spec_decoder","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_property_spec_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_property_spec_to_json","content":"pub fn repository_ruleset_conditions_repository_property_spec_to_json(\n  data: RepositoryRulesetConditionsRepositoryPropertySpec,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_property_spec_to_json\nmidas/sdk/github/schema repository_ruleset_conditions_repository_property_spec_to_json","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_property_spec_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_property_target_decoder","content":"pub fn repository_ruleset_conditions_repository_property_target_decoder() -&gt; Decoder(\n  RepositoryRulesetConditionsRepositoryPropertyTarget,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_property_target_decoder\nmidas/sdk/github/schema repository_ruleset_conditions_repository_property_target_decoder","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_property_target_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_repository_property_target_to_json","content":"pub fn repository_ruleset_conditions_repository_property_target_to_json(\n  data: RepositoryRulesetConditionsRepositoryPropertyTarget,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_repository_property_target_to_json\nmidas/sdk/github/schema repository_ruleset_conditions_repository_property_target_to_json","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_repository_property_target_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_conditions_to_json","content":"pub fn repository_ruleset_conditions_to_json(\n  data: RepositoryRulesetConditions,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_conditions_to_json\nmidas/sdk/github/schema repository_ruleset_conditions_to_json","url":"midas/sdk/github/schema.html#repository_ruleset_conditions_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_decoder","content":"pub fn repository_ruleset_decoder() -&gt; Decoder(RepositoryRuleset)\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_decoder\nmidas/sdk/github/schema repository_ruleset_decoder","url":"midas/sdk/github/schema.html#repository_ruleset_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_ruleset_to_json","content":"pub fn repository_ruleset_to_json(\n  data: RepositoryRuleset,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_ruleset_to_json\nmidas/sdk/github/schema repository_ruleset_to_json","url":"midas/sdk/github/schema.html#repository_ruleset_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_subscription_decoder","content":"pub fn repository_subscription_decoder() -&gt; Decoder(\n  RepositorySubscription,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_subscription_decoder\nmidas/sdk/github/schema repository_subscription_decoder","url":"midas/sdk/github/schema.html#repository_subscription_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_subscription_to_json","content":"pub fn repository_subscription_to_json(\n  data: RepositorySubscription,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_subscription_to_json\nmidas/sdk/github/schema repository_subscription_to_json","url":"midas/sdk/github/schema.html#repository_subscription_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_to_json","content":"pub fn repository_to_json(data: Repository) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_to_json\nmidas/sdk/github/schema repository_to_json","url":"midas/sdk/github/schema.html#repository_to_json"},{"doc":"midas/sdk/github/schema","title":"repository_webhooks_decoder","content":"pub fn repository_webhooks_decoder() -&gt; Decoder(\n  RepositoryWebhooks,\n)\n\nSynonyms:\nmidas/sdk/github/schema.repository_webhooks_decoder\nmidas/sdk/github/schema repository_webhooks_decoder","url":"midas/sdk/github/schema.html#repository_webhooks_decoder"},{"doc":"midas/sdk/github/schema","title":"repository_webhooks_to_json","content":"pub fn repository_webhooks_to_json(\n  data: RepositoryWebhooks,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.repository_webhooks_to_json\nmidas/sdk/github/schema repository_webhooks_to_json","url":"midas/sdk/github/schema.html#repository_webhooks_to_json"},{"doc":"midas/sdk/github/schema","title":"review_comment_decoder","content":"pub fn review_comment_decoder() -&gt; Decoder(ReviewComment)\n\nSynonyms:\nmidas/sdk/github/schema.review_comment_decoder\nmidas/sdk/github/schema review_comment_decoder","url":"midas/sdk/github/schema.html#review_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"review_comment_to_json","content":"pub fn review_comment_to_json(data: ReviewComment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.review_comment_to_json\nmidas/sdk/github/schema review_comment_to_json","url":"midas/sdk/github/schema.html#review_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"review_custom_gates_comment_required_decoder","content":"pub fn review_custom_gates_comment_required_decoder() -&gt; Decoder(\n  ReviewCustomGatesCommentRequired,\n)\n\nSynonyms:\nmidas/sdk/github/schema.review_custom_gates_comment_required_decoder\nmidas/sdk/github/schema review_custom_gates_comment_required_decoder","url":"midas/sdk/github/schema.html#review_custom_gates_comment_required_decoder"},{"doc":"midas/sdk/github/schema","title":"review_custom_gates_comment_required_to_json","content":"pub fn review_custom_gates_comment_required_to_json(\n  data: ReviewCustomGatesCommentRequired,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.review_custom_gates_comment_required_to_json\nmidas/sdk/github/schema review_custom_gates_comment_required_to_json","url":"midas/sdk/github/schema.html#review_custom_gates_comment_required_to_json"},{"doc":"midas/sdk/github/schema","title":"review_custom_gates_state_required_decoder","content":"pub fn review_custom_gates_state_required_decoder() -&gt; Decoder(\n  ReviewCustomGatesStateRequired,\n)\n\nSynonyms:\nmidas/sdk/github/schema.review_custom_gates_state_required_decoder\nmidas/sdk/github/schema review_custom_gates_state_required_decoder","url":"midas/sdk/github/schema.html#review_custom_gates_state_required_decoder"},{"doc":"midas/sdk/github/schema","title":"review_custom_gates_state_required_to_json","content":"pub fn review_custom_gates_state_required_to_json(\n  data: ReviewCustomGatesStateRequired,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.review_custom_gates_state_required_to_json\nmidas/sdk/github/schema review_custom_gates_state_required_to_json","url":"midas/sdk/github/schema.html#review_custom_gates_state_required_to_json"},{"doc":"midas/sdk/github/schema","title":"review_dismissed_issue_event_decoder","content":"pub fn review_dismissed_issue_event_decoder() -&gt; Decoder(\n  ReviewDismissedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.review_dismissed_issue_event_decoder\nmidas/sdk/github/schema review_dismissed_issue_event_decoder","url":"midas/sdk/github/schema.html#review_dismissed_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"review_dismissed_issue_event_to_json","content":"pub fn review_dismissed_issue_event_to_json(\n  data: ReviewDismissedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.review_dismissed_issue_event_to_json\nmidas/sdk/github/schema review_dismissed_issue_event_to_json","url":"midas/sdk/github/schema.html#review_dismissed_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"review_request_removed_issue_event_decoder","content":"pub fn review_request_removed_issue_event_decoder() -&gt; Decoder(\n  ReviewRequestRemovedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.review_request_removed_issue_event_decoder\nmidas/sdk/github/schema review_request_removed_issue_event_decoder","url":"midas/sdk/github/schema.html#review_request_removed_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"review_request_removed_issue_event_to_json","content":"pub fn review_request_removed_issue_event_to_json(\n  data: ReviewRequestRemovedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.review_request_removed_issue_event_to_json\nmidas/sdk/github/schema review_request_removed_issue_event_to_json","url":"midas/sdk/github/schema.html#review_request_removed_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"review_requested_issue_event_decoder","content":"pub fn review_requested_issue_event_decoder() -&gt; Decoder(\n  ReviewRequestedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.review_requested_issue_event_decoder\nmidas/sdk/github/schema review_requested_issue_event_decoder","url":"midas/sdk/github/schema.html#review_requested_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"review_requested_issue_event_to_json","content":"pub fn review_requested_issue_event_to_json(\n  data: ReviewRequestedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.review_requested_issue_event_to_json\nmidas/sdk/github/schema review_requested_issue_event_to_json","url":"midas/sdk/github/schema.html#review_requested_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"root_decoder","content":"pub fn root_decoder() -&gt; Decoder(Root)\n\nSynonyms:\nmidas/sdk/github/schema.root_decoder\nmidas/sdk/github/schema root_decoder","url":"midas/sdk/github/schema.html#root_decoder"},{"doc":"midas/sdk/github/schema","title":"root_to_json","content":"pub fn root_to_json(data: Root) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.root_to_json\nmidas/sdk/github/schema root_to_json","url":"midas/sdk/github/schema.html#root_to_json"},{"doc":"midas/sdk/github/schema","title":"rule_suite_decoder","content":"pub fn rule_suite_decoder() -&gt; Decoder(RuleSuite)\n\nSynonyms:\nmidas/sdk/github/schema.rule_suite_decoder\nmidas/sdk/github/schema rule_suite_decoder","url":"midas/sdk/github/schema.html#rule_suite_decoder"},{"doc":"midas/sdk/github/schema","title":"rule_suite_to_json","content":"pub fn rule_suite_to_json(data: RuleSuite) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.rule_suite_to_json\nmidas/sdk/github/schema rule_suite_to_json","url":"midas/sdk/github/schema.html#rule_suite_to_json"},{"doc":"midas/sdk/github/schema","title":"rule_suites_decoder","content":"pub fn rule_suites_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.rule_suites_decoder\nmidas/sdk/github/schema rule_suites_decoder","url":"midas/sdk/github/schema.html#rule_suites_decoder"},{"doc":"midas/sdk/github/schema","title":"runner_application_decoder","content":"pub fn runner_application_decoder() -&gt; Decoder(RunnerApplication)\n\nSynonyms:\nmidas/sdk/github/schema.runner_application_decoder\nmidas/sdk/github/schema runner_application_decoder","url":"midas/sdk/github/schema.html#runner_application_decoder"},{"doc":"midas/sdk/github/schema","title":"runner_application_to_json","content":"pub fn runner_application_to_json(\n  data: RunnerApplication,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.runner_application_to_json\nmidas/sdk/github/schema runner_application_to_json","url":"midas/sdk/github/schema.html#runner_application_to_json"},{"doc":"midas/sdk/github/schema","title":"runner_decoder","content":"pub fn runner_decoder() -&gt; Decoder(Runner)\n\nSynonyms:\nmidas/sdk/github/schema.runner_decoder\nmidas/sdk/github/schema runner_decoder","url":"midas/sdk/github/schema.html#runner_decoder"},{"doc":"midas/sdk/github/schema","title":"runner_groups_org_decoder","content":"pub fn runner_groups_org_decoder() -&gt; Decoder(RunnerGroupsOrg)\n\nSynonyms:\nmidas/sdk/github/schema.runner_groups_org_decoder\nmidas/sdk/github/schema runner_groups_org_decoder","url":"midas/sdk/github/schema.html#runner_groups_org_decoder"},{"doc":"midas/sdk/github/schema","title":"runner_groups_org_to_json","content":"pub fn runner_groups_org_to_json(data: RunnerGroupsOrg) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.runner_groups_org_to_json\nmidas/sdk/github/schema runner_groups_org_to_json","url":"midas/sdk/github/schema.html#runner_groups_org_to_json"},{"doc":"midas/sdk/github/schema","title":"runner_label_decoder","content":"pub fn runner_label_decoder() -&gt; Decoder(RunnerLabel)\n\nSynonyms:\nmidas/sdk/github/schema.runner_label_decoder\nmidas/sdk/github/schema runner_label_decoder","url":"midas/sdk/github/schema.html#runner_label_decoder"},{"doc":"midas/sdk/github/schema","title":"runner_label_to_json","content":"pub fn runner_label_to_json(data: RunnerLabel) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.runner_label_to_json\nmidas/sdk/github/schema runner_label_to_json","url":"midas/sdk/github/schema.html#runner_label_to_json"},{"doc":"midas/sdk/github/schema","title":"runner_to_json","content":"pub fn runner_to_json(data: Runner) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.runner_to_json\nmidas/sdk/github/schema runner_to_json","url":"midas/sdk/github/schema.html#runner_to_json"},{"doc":"midas/sdk/github/schema","title":"scim_error_decoder","content":"pub fn scim_error_decoder() -&gt; Decoder(ScimError)\n\nSynonyms:\nmidas/sdk/github/schema.scim_error_decoder\nmidas/sdk/github/schema scim_error_decoder","url":"midas/sdk/github/schema.html#scim_error_decoder"},{"doc":"midas/sdk/github/schema","title":"scim_error_to_json","content":"pub fn scim_error_to_json(data: ScimError) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.scim_error_to_json\nmidas/sdk/github/schema scim_error_to_json","url":"midas/sdk/github/schema.html#scim_error_to_json"},{"doc":"midas/sdk/github/schema","title":"search_result_text_matches_decoder","content":"pub fn search_result_text_matches_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.search_result_text_matches_decoder\nmidas/sdk/github/schema search_result_text_matches_decoder","url":"midas/sdk/github/schema.html#search_result_text_matches_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_decoder","content":"pub fn secret_scanning_alert_decoder() -&gt; Decoder(\n  SecretScanningAlert,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_decoder\nmidas/sdk/github/schema secret_scanning_alert_decoder","url":"midas/sdk/github/schema.html#secret_scanning_alert_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_resolution_comment_decoder","content":"pub fn secret_scanning_alert_resolution_comment_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_resolution_comment_decoder\nmidas/sdk/github/schema secret_scanning_alert_resolution_comment_decoder","url":"midas/sdk/github/schema.html#secret_scanning_alert_resolution_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_resolution_decoder","content":"pub fn secret_scanning_alert_resolution_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_resolution_decoder\nmidas/sdk/github/schema secret_scanning_alert_resolution_decoder","url":"midas/sdk/github/schema.html#secret_scanning_alert_resolution_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_resolution_webhook_decoder","content":"pub fn secret_scanning_alert_resolution_webhook_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_resolution_webhook_decoder\nmidas/sdk/github/schema secret_scanning_alert_resolution_webhook_decoder","url":"midas/sdk/github/schema.html#secret_scanning_alert_resolution_webhook_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_state_decoder","content":"pub fn secret_scanning_alert_state_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_state_decoder\nmidas/sdk/github/schema secret_scanning_alert_state_decoder","url":"midas/sdk/github/schema.html#secret_scanning_alert_state_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_to_json","content":"pub fn secret_scanning_alert_to_json(\n  data: SecretScanningAlert,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_to_json\nmidas/sdk/github/schema secret_scanning_alert_to_json","url":"midas/sdk/github/schema.html#secret_scanning_alert_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_webhook_decoder","content":"pub fn secret_scanning_alert_webhook_decoder() -&gt; Decoder(\n  SecretScanningAlertWebhook,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_webhook_decoder\nmidas/sdk/github/schema secret_scanning_alert_webhook_decoder","url":"midas/sdk/github/schema.html#secret_scanning_alert_webhook_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_alert_webhook_to_json","content":"pub fn secret_scanning_alert_webhook_to_json(\n  data: SecretScanningAlertWebhook,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_alert_webhook_to_json\nmidas/sdk/github/schema secret_scanning_alert_webhook_to_json","url":"midas/sdk/github/schema.html#secret_scanning_alert_webhook_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_commit_decoder","content":"pub fn secret_scanning_location_commit_decoder() -&gt; Decoder(\n  SecretScanningLocationCommit,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_commit_decoder\nmidas/sdk/github/schema secret_scanning_location_commit_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_commit_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_commit_to_json","content":"pub fn secret_scanning_location_commit_to_json(\n  data: SecretScanningLocationCommit,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_commit_to_json\nmidas/sdk/github/schema secret_scanning_location_commit_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_commit_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_decoder","content":"pub fn secret_scanning_location_decoder() -&gt; Decoder(\n  SecretScanningLocation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_decoder\nmidas/sdk/github/schema secret_scanning_location_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_body_decoder","content":"pub fn secret_scanning_location_discussion_body_decoder() -&gt; Decoder(\n  SecretScanningLocationDiscussionBody,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_body_decoder\nmidas/sdk/github/schema secret_scanning_location_discussion_body_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_body_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_body_to_json","content":"pub fn secret_scanning_location_discussion_body_to_json(\n  data: SecretScanningLocationDiscussionBody,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_body_to_json\nmidas/sdk/github/schema secret_scanning_location_discussion_body_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_body_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_comment_decoder","content":"pub fn secret_scanning_location_discussion_comment_decoder() -&gt; Decoder(\n  SecretScanningLocationDiscussionComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_comment_decoder\nmidas/sdk/github/schema secret_scanning_location_discussion_comment_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_comment_to_json","content":"pub fn secret_scanning_location_discussion_comment_to_json(\n  data: SecretScanningLocationDiscussionComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_comment_to_json\nmidas/sdk/github/schema secret_scanning_location_discussion_comment_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_title_decoder","content":"pub fn secret_scanning_location_discussion_title_decoder() -&gt; Decoder(\n  SecretScanningLocationDiscussionTitle,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_title_decoder\nmidas/sdk/github/schema secret_scanning_location_discussion_title_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_title_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_discussion_title_to_json","content":"pub fn secret_scanning_location_discussion_title_to_json(\n  data: SecretScanningLocationDiscussionTitle,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_discussion_title_to_json\nmidas/sdk/github/schema secret_scanning_location_discussion_title_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_discussion_title_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_body_decoder","content":"pub fn secret_scanning_location_issue_body_decoder() -&gt; Decoder(\n  SecretScanningLocationIssueBody,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_body_decoder\nmidas/sdk/github/schema secret_scanning_location_issue_body_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_body_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_body_to_json","content":"pub fn secret_scanning_location_issue_body_to_json(\n  data: SecretScanningLocationIssueBody,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_body_to_json\nmidas/sdk/github/schema secret_scanning_location_issue_body_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_body_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_comment_decoder","content":"pub fn secret_scanning_location_issue_comment_decoder() -&gt; Decoder(\n  SecretScanningLocationIssueComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_comment_decoder\nmidas/sdk/github/schema secret_scanning_location_issue_comment_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_comment_to_json","content":"pub fn secret_scanning_location_issue_comment_to_json(\n  data: SecretScanningLocationIssueComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_comment_to_json\nmidas/sdk/github/schema secret_scanning_location_issue_comment_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_title_decoder","content":"pub fn secret_scanning_location_issue_title_decoder() -&gt; Decoder(\n  SecretScanningLocationIssueTitle,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_title_decoder\nmidas/sdk/github/schema secret_scanning_location_issue_title_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_title_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_issue_title_to_json","content":"pub fn secret_scanning_location_issue_title_to_json(\n  data: SecretScanningLocationIssueTitle,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_issue_title_to_json\nmidas/sdk/github/schema secret_scanning_location_issue_title_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_issue_title_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_body_decoder","content":"pub fn secret_scanning_location_pull_request_body_decoder() -&gt; Decoder(\n  SecretScanningLocationPullRequestBody,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_body_decoder\nmidas/sdk/github/schema secret_scanning_location_pull_request_body_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_body_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_body_to_json","content":"pub fn secret_scanning_location_pull_request_body_to_json(\n  data: SecretScanningLocationPullRequestBody,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_body_to_json\nmidas/sdk/github/schema secret_scanning_location_pull_request_body_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_body_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_comment_decoder","content":"pub fn secret_scanning_location_pull_request_comment_decoder() -&gt; Decoder(\n  SecretScanningLocationPullRequestComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_comment_decoder\nmidas/sdk/github/schema secret_scanning_location_pull_request_comment_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_comment_to_json","content":"pub fn secret_scanning_location_pull_request_comment_to_json(\n  data: SecretScanningLocationPullRequestComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_comment_to_json\nmidas/sdk/github/schema secret_scanning_location_pull_request_comment_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_review_comment_decoder","content":"pub fn secret_scanning_location_pull_request_review_comment_decoder() -&gt; Decoder(\n  SecretScanningLocationPullRequestReviewComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_review_comment_decoder\nmidas/sdk/github/schema secret_scanning_location_pull_request_review_comment_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_review_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_review_comment_to_json","content":"pub fn secret_scanning_location_pull_request_review_comment_to_json(\n  data: SecretScanningLocationPullRequestReviewComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_review_comment_to_json\nmidas/sdk/github/schema secret_scanning_location_pull_request_review_comment_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_review_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_review_decoder","content":"pub fn secret_scanning_location_pull_request_review_decoder() -&gt; Decoder(\n  SecretScanningLocationPullRequestReview,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_review_decoder\nmidas/sdk/github/schema secret_scanning_location_pull_request_review_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_review_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_review_to_json","content":"pub fn secret_scanning_location_pull_request_review_to_json(\n  data: SecretScanningLocationPullRequestReview,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_review_to_json\nmidas/sdk/github/schema secret_scanning_location_pull_request_review_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_review_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_title_decoder","content":"pub fn secret_scanning_location_pull_request_title_decoder() -&gt; Decoder(\n  SecretScanningLocationPullRequestTitle,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_title_decoder\nmidas/sdk/github/schema secret_scanning_location_pull_request_title_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_title_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_pull_request_title_to_json","content":"pub fn secret_scanning_location_pull_request_title_to_json(\n  data: SecretScanningLocationPullRequestTitle,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_pull_request_title_to_json\nmidas/sdk/github/schema secret_scanning_location_pull_request_title_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_pull_request_title_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_to_json","content":"pub fn secret_scanning_location_to_json(\n  data: SecretScanningLocation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_to_json\nmidas/sdk/github/schema secret_scanning_location_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_wiki_commit_decoder","content":"pub fn secret_scanning_location_wiki_commit_decoder() -&gt; Decoder(\n  SecretScanningLocationWikiCommit,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_wiki_commit_decoder\nmidas/sdk/github/schema secret_scanning_location_wiki_commit_decoder","url":"midas/sdk/github/schema.html#secret_scanning_location_wiki_commit_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_location_wiki_commit_to_json","content":"pub fn secret_scanning_location_wiki_commit_to_json(\n  data: SecretScanningLocationWikiCommit,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_location_wiki_commit_to_json\nmidas/sdk/github/schema secret_scanning_location_wiki_commit_to_json","url":"midas/sdk/github/schema.html#secret_scanning_location_wiki_commit_to_json"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_push_protection_bypass_decoder","content":"pub fn secret_scanning_push_protection_bypass_decoder() -&gt; Decoder(\n  SecretScanningPushProtectionBypass,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_push_protection_bypass_decoder\nmidas/sdk/github/schema secret_scanning_push_protection_bypass_decoder","url":"midas/sdk/github/schema.html#secret_scanning_push_protection_bypass_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_push_protection_bypass_placeholder_id_decoder","content":"pub fn secret_scanning_push_protection_bypass_placeholder_id_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_push_protection_bypass_placeholder_id_decoder\nmidas/sdk/github/schema secret_scanning_push_protection_bypass_placeholder_id_decoder","url":"midas/sdk/github/schema.html#secret_scanning_push_protection_bypass_placeholder_id_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_push_protection_bypass_reason_decoder","content":"pub fn secret_scanning_push_protection_bypass_reason_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_push_protection_bypass_reason_decoder\nmidas/sdk/github/schema secret_scanning_push_protection_bypass_reason_decoder","url":"midas/sdk/github/schema.html#secret_scanning_push_protection_bypass_reason_decoder"},{"doc":"midas/sdk/github/schema","title":"secret_scanning_push_protection_bypass_to_json","content":"pub fn secret_scanning_push_protection_bypass_to_json(\n  data: SecretScanningPushProtectionBypass,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.secret_scanning_push_protection_bypass_to_json\nmidas/sdk/github/schema secret_scanning_push_protection_bypass_to_json","url":"midas/sdk/github/schema.html#secret_scanning_push_protection_bypass_to_json"},{"doc":"midas/sdk/github/schema","title":"security_advisory_credit_types_decoder","content":"pub fn security_advisory_credit_types_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.security_advisory_credit_types_decoder\nmidas/sdk/github/schema security_advisory_credit_types_decoder","url":"midas/sdk/github/schema.html#security_advisory_credit_types_decoder"},{"doc":"midas/sdk/github/schema","title":"security_advisory_ecosystems_decoder","content":"pub fn security_advisory_ecosystems_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.security_advisory_ecosystems_decoder\nmidas/sdk/github/schema security_advisory_ecosystems_decoder","url":"midas/sdk/github/schema.html#security_advisory_ecosystems_decoder"},{"doc":"midas/sdk/github/schema","title":"security_and_analysis_decoder","content":"pub fn security_and_analysis_decoder() -&gt; Decoder(\n  SecurityAndAnalysis,\n)\n\nSynonyms:\nmidas/sdk/github/schema.security_and_analysis_decoder\nmidas/sdk/github/schema security_and_analysis_decoder","url":"midas/sdk/github/schema.html#security_and_analysis_decoder"},{"doc":"midas/sdk/github/schema","title":"security_and_analysis_to_json","content":"pub fn security_and_analysis_to_json(\n  data: SecurityAndAnalysis,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.security_and_analysis_to_json\nmidas/sdk/github/schema security_and_analysis_to_json","url":"midas/sdk/github/schema.html#security_and_analysis_to_json"},{"doc":"midas/sdk/github/schema","title":"selected_actions_decoder","content":"pub fn selected_actions_decoder() -&gt; Decoder(SelectedActions)\n\nSynonyms:\nmidas/sdk/github/schema.selected_actions_decoder\nmidas/sdk/github/schema selected_actions_decoder","url":"midas/sdk/github/schema.html#selected_actions_decoder"},{"doc":"midas/sdk/github/schema","title":"selected_actions_to_json","content":"pub fn selected_actions_to_json(data: SelectedActions) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.selected_actions_to_json\nmidas/sdk/github/schema selected_actions_to_json","url":"midas/sdk/github/schema.html#selected_actions_to_json"},{"doc":"midas/sdk/github/schema","title":"selected_actions_url_decoder","content":"pub fn selected_actions_url_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.selected_actions_url_decoder\nmidas/sdk/github/schema selected_actions_url_decoder","url":"midas/sdk/github/schema.html#selected_actions_url_decoder"},{"doc":"midas/sdk/github/schema","title":"short_blob_decoder","content":"pub fn short_blob_decoder() -&gt; Decoder(ShortBlob)\n\nSynonyms:\nmidas/sdk/github/schema.short_blob_decoder\nmidas/sdk/github/schema short_blob_decoder","url":"midas/sdk/github/schema.html#short_blob_decoder"},{"doc":"midas/sdk/github/schema","title":"short_blob_to_json","content":"pub fn short_blob_to_json(data: ShortBlob) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.short_blob_to_json\nmidas/sdk/github/schema short_blob_to_json","url":"midas/sdk/github/schema.html#short_blob_to_json"},{"doc":"midas/sdk/github/schema","title":"short_branch_decoder","content":"pub fn short_branch_decoder() -&gt; Decoder(ShortBranch)\n\nSynonyms:\nmidas/sdk/github/schema.short_branch_decoder\nmidas/sdk/github/schema short_branch_decoder","url":"midas/sdk/github/schema.html#short_branch_decoder"},{"doc":"midas/sdk/github/schema","title":"short_branch_to_json","content":"pub fn short_branch_to_json(data: ShortBranch) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.short_branch_to_json\nmidas/sdk/github/schema short_branch_to_json","url":"midas/sdk/github/schema.html#short_branch_to_json"},{"doc":"midas/sdk/github/schema","title":"sigstore_bundle0_decoder","content":"pub fn sigstore_bundle0_decoder() -&gt; Decoder(SigstoreBundle0)\n\nSynonyms:\nmidas/sdk/github/schema.sigstore_bundle0_decoder\nmidas/sdk/github/schema sigstore_bundle0_decoder","url":"midas/sdk/github/schema.html#sigstore_bundle0_decoder"},{"doc":"midas/sdk/github/schema","title":"sigstore_bundle0_to_json","content":"pub fn sigstore_bundle0_to_json(data: SigstoreBundle0) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.sigstore_bundle0_to_json\nmidas/sdk/github/schema sigstore_bundle0_to_json","url":"midas/sdk/github/schema.html#sigstore_bundle0_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_check_suite_decoder","content":"pub fn simple_check_suite_decoder() -&gt; Decoder(SimpleCheckSuite)\n\nSynonyms:\nmidas/sdk/github/schema.simple_check_suite_decoder\nmidas/sdk/github/schema simple_check_suite_decoder","url":"midas/sdk/github/schema.html#simple_check_suite_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_check_suite_to_json","content":"pub fn simple_check_suite_to_json(data: SimpleCheckSuite) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_check_suite_to_json\nmidas/sdk/github/schema simple_check_suite_to_json","url":"midas/sdk/github/schema.html#simple_check_suite_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_assignment_decoder","content":"pub fn simple_classroom_assignment_decoder() -&gt; Decoder(\n  SimpleClassroomAssignment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_assignment_decoder\nmidas/sdk/github/schema simple_classroom_assignment_decoder","url":"midas/sdk/github/schema.html#simple_classroom_assignment_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_assignment_to_json","content":"pub fn simple_classroom_assignment_to_json(\n  data: SimpleClassroomAssignment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_assignment_to_json\nmidas/sdk/github/schema simple_classroom_assignment_to_json","url":"midas/sdk/github/schema.html#simple_classroom_assignment_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_decoder","content":"pub fn simple_classroom_decoder() -&gt; Decoder(SimpleClassroom)\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_decoder\nmidas/sdk/github/schema simple_classroom_decoder","url":"midas/sdk/github/schema.html#simple_classroom_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_organization_decoder","content":"pub fn simple_classroom_organization_decoder() -&gt; Decoder(\n  SimpleClassroomOrganization,\n)\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_organization_decoder\nmidas/sdk/github/schema simple_classroom_organization_decoder","url":"midas/sdk/github/schema.html#simple_classroom_organization_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_organization_to_json","content":"pub fn simple_classroom_organization_to_json(\n  data: SimpleClassroomOrganization,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_organization_to_json\nmidas/sdk/github/schema simple_classroom_organization_to_json","url":"midas/sdk/github/schema.html#simple_classroom_organization_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_repository_decoder","content":"pub fn simple_classroom_repository_decoder() -&gt; Decoder(\n  SimpleClassroomRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_repository_decoder\nmidas/sdk/github/schema simple_classroom_repository_decoder","url":"midas/sdk/github/schema.html#simple_classroom_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_repository_to_json","content":"pub fn simple_classroom_repository_to_json(\n  data: SimpleClassroomRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_repository_to_json\nmidas/sdk/github/schema simple_classroom_repository_to_json","url":"midas/sdk/github/schema.html#simple_classroom_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_to_json","content":"pub fn simple_classroom_to_json(data: SimpleClassroom) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_to_json\nmidas/sdk/github/schema simple_classroom_to_json","url":"midas/sdk/github/schema.html#simple_classroom_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_user_decoder","content":"pub fn simple_classroom_user_decoder() -&gt; Decoder(\n  SimpleClassroomUser,\n)\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_user_decoder\nmidas/sdk/github/schema simple_classroom_user_decoder","url":"midas/sdk/github/schema.html#simple_classroom_user_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_classroom_user_to_json","content":"pub fn simple_classroom_user_to_json(\n  data: SimpleClassroomUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_classroom_user_to_json\nmidas/sdk/github/schema simple_classroom_user_to_json","url":"midas/sdk/github/schema.html#simple_classroom_user_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_commit_decoder","content":"pub fn simple_commit_decoder() -&gt; Decoder(SimpleCommit)\n\nSynonyms:\nmidas/sdk/github/schema.simple_commit_decoder\nmidas/sdk/github/schema simple_commit_decoder","url":"midas/sdk/github/schema.html#simple_commit_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_commit_status_decoder","content":"pub fn simple_commit_status_decoder() -&gt; Decoder(\n  SimpleCommitStatus,\n)\n\nSynonyms:\nmidas/sdk/github/schema.simple_commit_status_decoder\nmidas/sdk/github/schema simple_commit_status_decoder","url":"midas/sdk/github/schema.html#simple_commit_status_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_commit_status_to_json","content":"pub fn simple_commit_status_to_json(\n  data: SimpleCommitStatus,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_commit_status_to_json\nmidas/sdk/github/schema simple_commit_status_to_json","url":"midas/sdk/github/schema.html#simple_commit_status_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_commit_to_json","content":"pub fn simple_commit_to_json(data: SimpleCommit) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_commit_to_json\nmidas/sdk/github/schema simple_commit_to_json","url":"midas/sdk/github/schema.html#simple_commit_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_installation_decoder","content":"pub fn simple_installation_decoder() -&gt; Decoder(\n  SimpleInstallation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.simple_installation_decoder\nmidas/sdk/github/schema simple_installation_decoder","url":"midas/sdk/github/schema.html#simple_installation_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_installation_to_json","content":"pub fn simple_installation_to_json(\n  data: SimpleInstallation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_installation_to_json\nmidas/sdk/github/schema simple_installation_to_json","url":"midas/sdk/github/schema.html#simple_installation_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_repository_decoder","content":"pub fn simple_repository_decoder() -&gt; Decoder(SimpleRepository)\n\nSynonyms:\nmidas/sdk/github/schema.simple_repository_decoder\nmidas/sdk/github/schema simple_repository_decoder","url":"midas/sdk/github/schema.html#simple_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_repository_to_json","content":"pub fn simple_repository_to_json(data: SimpleRepository) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_repository_to_json\nmidas/sdk/github/schema simple_repository_to_json","url":"midas/sdk/github/schema.html#simple_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"simple_user_decoder","content":"pub fn simple_user_decoder() -&gt; Decoder(SimpleUser)\n\nSynonyms:\nmidas/sdk/github/schema.simple_user_decoder\nmidas/sdk/github/schema simple_user_decoder","url":"midas/sdk/github/schema.html#simple_user_decoder"},{"doc":"midas/sdk/github/schema","title":"simple_user_to_json","content":"pub fn simple_user_to_json(data: SimpleUser) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.simple_user_to_json\nmidas/sdk/github/schema simple_user_to_json","url":"midas/sdk/github/schema.html#simple_user_to_json"},{"doc":"midas/sdk/github/schema","title":"snapshot_decoder","content":"pub fn snapshot_decoder() -&gt; Decoder(Snapshot)\n\nSynonyms:\nmidas/sdk/github/schema.snapshot_decoder\nmidas/sdk/github/schema snapshot_decoder","url":"midas/sdk/github/schema.html#snapshot_decoder"},{"doc":"midas/sdk/github/schema","title":"snapshot_to_json","content":"pub fn snapshot_to_json(data: Snapshot) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.snapshot_to_json\nmidas/sdk/github/schema snapshot_to_json","url":"midas/sdk/github/schema.html#snapshot_to_json"},{"doc":"midas/sdk/github/schema","title":"social_account_decoder","content":"pub fn social_account_decoder() -&gt; Decoder(SocialAccount)\n\nSynonyms:\nmidas/sdk/github/schema.social_account_decoder\nmidas/sdk/github/schema social_account_decoder","url":"midas/sdk/github/schema.html#social_account_decoder"},{"doc":"midas/sdk/github/schema","title":"social_account_to_json","content":"pub fn social_account_to_json(data: SocialAccount) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.social_account_to_json\nmidas/sdk/github/schema social_account_to_json","url":"midas/sdk/github/schema.html#social_account_to_json"},{"doc":"midas/sdk/github/schema","title":"ssh_signing_key_decoder","content":"pub fn ssh_signing_key_decoder() -&gt; Decoder(SshSigningKey)\n\nSynonyms:\nmidas/sdk/github/schema.ssh_signing_key_decoder\nmidas/sdk/github/schema ssh_signing_key_decoder","url":"midas/sdk/github/schema.html#ssh_signing_key_decoder"},{"doc":"midas/sdk/github/schema","title":"ssh_signing_key_to_json","content":"pub fn ssh_signing_key_to_json(data: SshSigningKey) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.ssh_signing_key_to_json\nmidas/sdk/github/schema ssh_signing_key_to_json","url":"midas/sdk/github/schema.html#ssh_signing_key_to_json"},{"doc":"midas/sdk/github/schema","title":"stargazer_decoder","content":"pub fn stargazer_decoder() -&gt; Decoder(Stargazer)\n\nSynonyms:\nmidas/sdk/github/schema.stargazer_decoder\nmidas/sdk/github/schema stargazer_decoder","url":"midas/sdk/github/schema.html#stargazer_decoder"},{"doc":"midas/sdk/github/schema","title":"stargazer_to_json","content":"pub fn stargazer_to_json(data: Stargazer) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.stargazer_to_json\nmidas/sdk/github/schema stargazer_to_json","url":"midas/sdk/github/schema.html#stargazer_to_json"},{"doc":"midas/sdk/github/schema","title":"starred_repository_decoder","content":"pub fn starred_repository_decoder() -&gt; Decoder(StarredRepository)\n\nSynonyms:\nmidas/sdk/github/schema.starred_repository_decoder\nmidas/sdk/github/schema starred_repository_decoder","url":"midas/sdk/github/schema.html#starred_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"starred_repository_to_json","content":"pub fn starred_repository_to_json(\n  data: StarredRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.starred_repository_to_json\nmidas/sdk/github/schema starred_repository_to_json","url":"midas/sdk/github/schema.html#starred_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"state_change_issue_event_decoder","content":"pub fn state_change_issue_event_decoder() -&gt; Decoder(\n  StateChangeIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.state_change_issue_event_decoder\nmidas/sdk/github/schema state_change_issue_event_decoder","url":"midas/sdk/github/schema.html#state_change_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"state_change_issue_event_to_json","content":"pub fn state_change_issue_event_to_json(\n  data: StateChangeIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.state_change_issue_event_to_json\nmidas/sdk/github/schema state_change_issue_event_to_json","url":"midas/sdk/github/schema.html#state_change_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"status_check_policy_decoder","content":"pub fn status_check_policy_decoder() -&gt; Decoder(StatusCheckPolicy)\n\nSynonyms:\nmidas/sdk/github/schema.status_check_policy_decoder\nmidas/sdk/github/schema status_check_policy_decoder","url":"midas/sdk/github/schema.html#status_check_policy_decoder"},{"doc":"midas/sdk/github/schema","title":"status_check_policy_to_json","content":"pub fn status_check_policy_to_json(\n  data: StatusCheckPolicy,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.status_check_policy_to_json\nmidas/sdk/github/schema status_check_policy_to_json","url":"midas/sdk/github/schema.html#status_check_policy_to_json"},{"doc":"midas/sdk/github/schema","title":"status_decoder","content":"pub fn status_decoder() -&gt; Decoder(Status)\n\nSynonyms:\nmidas/sdk/github/schema.status_decoder\nmidas/sdk/github/schema status_decoder","url":"midas/sdk/github/schema.html#status_decoder"},{"doc":"midas/sdk/github/schema","title":"status_to_json","content":"pub fn status_to_json(data: Status) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.status_to_json\nmidas/sdk/github/schema status_to_json","url":"midas/sdk/github/schema.html#status_to_json"},{"doc":"midas/sdk/github/schema","title":"tag_decoder","content":"pub fn tag_decoder() -&gt; Decoder(Tag)\n\nSynonyms:\nmidas/sdk/github/schema.tag_decoder\nmidas/sdk/github/schema tag_decoder","url":"midas/sdk/github/schema.html#tag_decoder"},{"doc":"midas/sdk/github/schema","title":"tag_protection_decoder","content":"pub fn tag_protection_decoder() -&gt; Decoder(TagProtection)\n\nSynonyms:\nmidas/sdk/github/schema.tag_protection_decoder\nmidas/sdk/github/schema tag_protection_decoder","url":"midas/sdk/github/schema.html#tag_protection_decoder"},{"doc":"midas/sdk/github/schema","title":"tag_protection_to_json","content":"pub fn tag_protection_to_json(data: TagProtection) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.tag_protection_to_json\nmidas/sdk/github/schema tag_protection_to_json","url":"midas/sdk/github/schema.html#tag_protection_to_json"},{"doc":"midas/sdk/github/schema","title":"tag_to_json","content":"pub fn tag_to_json(data: Tag) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.tag_to_json\nmidas/sdk/github/schema tag_to_json","url":"midas/sdk/github/schema.html#tag_to_json"},{"doc":"midas/sdk/github/schema","title":"team_decoder","content":"pub fn team_decoder() -&gt; Decoder(Team)\n\nSynonyms:\nmidas/sdk/github/schema.team_decoder\nmidas/sdk/github/schema team_decoder","url":"midas/sdk/github/schema.html#team_decoder"},{"doc":"midas/sdk/github/schema","title":"team_discussion_comment_decoder","content":"pub fn team_discussion_comment_decoder() -&gt; Decoder(\n  TeamDiscussionComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.team_discussion_comment_decoder\nmidas/sdk/github/schema team_discussion_comment_decoder","url":"midas/sdk/github/schema.html#team_discussion_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"team_discussion_comment_to_json","content":"pub fn team_discussion_comment_to_json(\n  data: TeamDiscussionComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_discussion_comment_to_json\nmidas/sdk/github/schema team_discussion_comment_to_json","url":"midas/sdk/github/schema.html#team_discussion_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"team_discussion_decoder","content":"pub fn team_discussion_decoder() -&gt; Decoder(TeamDiscussion)\n\nSynonyms:\nmidas/sdk/github/schema.team_discussion_decoder\nmidas/sdk/github/schema team_discussion_decoder","url":"midas/sdk/github/schema.html#team_discussion_decoder"},{"doc":"midas/sdk/github/schema","title":"team_discussion_to_json","content":"pub fn team_discussion_to_json(data: TeamDiscussion) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_discussion_to_json\nmidas/sdk/github/schema team_discussion_to_json","url":"midas/sdk/github/schema.html#team_discussion_to_json"},{"doc":"midas/sdk/github/schema","title":"team_full_decoder","content":"pub fn team_full_decoder() -&gt; Decoder(TeamFull)\n\nSynonyms:\nmidas/sdk/github/schema.team_full_decoder\nmidas/sdk/github/schema team_full_decoder","url":"midas/sdk/github/schema.html#team_full_decoder"},{"doc":"midas/sdk/github/schema","title":"team_full_to_json","content":"pub fn team_full_to_json(data: TeamFull) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_full_to_json\nmidas/sdk/github/schema team_full_to_json","url":"midas/sdk/github/schema.html#team_full_to_json"},{"doc":"midas/sdk/github/schema","title":"team_membership_decoder","content":"pub fn team_membership_decoder() -&gt; Decoder(TeamMembership)\n\nSynonyms:\nmidas/sdk/github/schema.team_membership_decoder\nmidas/sdk/github/schema team_membership_decoder","url":"midas/sdk/github/schema.html#team_membership_decoder"},{"doc":"midas/sdk/github/schema","title":"team_membership_to_json","content":"pub fn team_membership_to_json(data: TeamMembership) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_membership_to_json\nmidas/sdk/github/schema team_membership_to_json","url":"midas/sdk/github/schema.html#team_membership_to_json"},{"doc":"midas/sdk/github/schema","title":"team_organization_decoder","content":"pub fn team_organization_decoder() -&gt; Decoder(TeamOrganization)\n\nSynonyms:\nmidas/sdk/github/schema.team_organization_decoder\nmidas/sdk/github/schema team_organization_decoder","url":"midas/sdk/github/schema.html#team_organization_decoder"},{"doc":"midas/sdk/github/schema","title":"team_organization_to_json","content":"pub fn team_organization_to_json(data: TeamOrganization) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_organization_to_json\nmidas/sdk/github/schema team_organization_to_json","url":"midas/sdk/github/schema.html#team_organization_to_json"},{"doc":"midas/sdk/github/schema","title":"team_project_decoder","content":"pub fn team_project_decoder() -&gt; Decoder(TeamProject)\n\nSynonyms:\nmidas/sdk/github/schema.team_project_decoder\nmidas/sdk/github/schema team_project_decoder","url":"midas/sdk/github/schema.html#team_project_decoder"},{"doc":"midas/sdk/github/schema","title":"team_project_to_json","content":"pub fn team_project_to_json(data: TeamProject) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_project_to_json\nmidas/sdk/github/schema team_project_to_json","url":"midas/sdk/github/schema.html#team_project_to_json"},{"doc":"midas/sdk/github/schema","title":"team_repository_decoder","content":"pub fn team_repository_decoder() -&gt; Decoder(TeamRepository)\n\nSynonyms:\nmidas/sdk/github/schema.team_repository_decoder\nmidas/sdk/github/schema team_repository_decoder","url":"midas/sdk/github/schema.html#team_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"team_repository_to_json","content":"pub fn team_repository_to_json(data: TeamRepository) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_repository_to_json\nmidas/sdk/github/schema team_repository_to_json","url":"midas/sdk/github/schema.html#team_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"team_role_assignment_decoder","content":"pub fn team_role_assignment_decoder() -&gt; Decoder(\n  TeamRoleAssignment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.team_role_assignment_decoder\nmidas/sdk/github/schema team_role_assignment_decoder","url":"midas/sdk/github/schema.html#team_role_assignment_decoder"},{"doc":"midas/sdk/github/schema","title":"team_role_assignment_to_json","content":"pub fn team_role_assignment_to_json(\n  data: TeamRoleAssignment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_role_assignment_to_json\nmidas/sdk/github/schema team_role_assignment_to_json","url":"midas/sdk/github/schema.html#team_role_assignment_to_json"},{"doc":"midas/sdk/github/schema","title":"team_simple_decoder","content":"pub fn team_simple_decoder() -&gt; Decoder(TeamSimple)\n\nSynonyms:\nmidas/sdk/github/schema.team_simple_decoder\nmidas/sdk/github/schema team_simple_decoder","url":"midas/sdk/github/schema.html#team_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"team_simple_to_json","content":"pub fn team_simple_to_json(data: TeamSimple) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_simple_to_json\nmidas/sdk/github/schema team_simple_to_json","url":"midas/sdk/github/schema.html#team_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"team_to_json","content":"pub fn team_to_json(data: Team) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.team_to_json\nmidas/sdk/github/schema team_to_json","url":"midas/sdk/github/schema.html#team_to_json"},{"doc":"midas/sdk/github/schema","title":"thread_decoder","content":"pub fn thread_decoder() -&gt; Decoder(Thread)\n\nSynonyms:\nmidas/sdk/github/schema.thread_decoder\nmidas/sdk/github/schema thread_decoder","url":"midas/sdk/github/schema.html#thread_decoder"},{"doc":"midas/sdk/github/schema","title":"thread_subscription_decoder","content":"pub fn thread_subscription_decoder() -&gt; Decoder(\n  ThreadSubscription,\n)\n\nSynonyms:\nmidas/sdk/github/schema.thread_subscription_decoder\nmidas/sdk/github/schema thread_subscription_decoder","url":"midas/sdk/github/schema.html#thread_subscription_decoder"},{"doc":"midas/sdk/github/schema","title":"thread_subscription_to_json","content":"pub fn thread_subscription_to_json(\n  data: ThreadSubscription,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.thread_subscription_to_json\nmidas/sdk/github/schema thread_subscription_to_json","url":"midas/sdk/github/schema.html#thread_subscription_to_json"},{"doc":"midas/sdk/github/schema","title":"thread_to_json","content":"pub fn thread_to_json(data: Thread) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.thread_to_json\nmidas/sdk/github/schema thread_to_json","url":"midas/sdk/github/schema.html#thread_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_assigned_issue_event_decoder","content":"pub fn timeline_assigned_issue_event_decoder() -&gt; Decoder(\n  TimelineAssignedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_assigned_issue_event_decoder\nmidas/sdk/github/schema timeline_assigned_issue_event_decoder","url":"midas/sdk/github/schema.html#timeline_assigned_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_assigned_issue_event_to_json","content":"pub fn timeline_assigned_issue_event_to_json(\n  data: TimelineAssignedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_assigned_issue_event_to_json\nmidas/sdk/github/schema timeline_assigned_issue_event_to_json","url":"midas/sdk/github/schema.html#timeline_assigned_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_comment_event_decoder","content":"pub fn timeline_comment_event_decoder() -&gt; Decoder(\n  TimelineCommentEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_comment_event_decoder\nmidas/sdk/github/schema timeline_comment_event_decoder","url":"midas/sdk/github/schema.html#timeline_comment_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_comment_event_to_json","content":"pub fn timeline_comment_event_to_json(\n  data: TimelineCommentEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_comment_event_to_json\nmidas/sdk/github/schema timeline_comment_event_to_json","url":"midas/sdk/github/schema.html#timeline_comment_event_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_commit_commented_event_decoder","content":"pub fn timeline_commit_commented_event_decoder() -&gt; Decoder(\n  TimelineCommitCommentedEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_commit_commented_event_decoder\nmidas/sdk/github/schema timeline_commit_commented_event_decoder","url":"midas/sdk/github/schema.html#timeline_commit_commented_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_commit_commented_event_to_json","content":"pub fn timeline_commit_commented_event_to_json(\n  data: TimelineCommitCommentedEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_commit_commented_event_to_json\nmidas/sdk/github/schema timeline_commit_commented_event_to_json","url":"midas/sdk/github/schema.html#timeline_commit_commented_event_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_committed_event_decoder","content":"pub fn timeline_committed_event_decoder() -&gt; Decoder(\n  TimelineCommittedEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_committed_event_decoder\nmidas/sdk/github/schema timeline_committed_event_decoder","url":"midas/sdk/github/schema.html#timeline_committed_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_committed_event_to_json","content":"pub fn timeline_committed_event_to_json(\n  data: TimelineCommittedEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_committed_event_to_json\nmidas/sdk/github/schema timeline_committed_event_to_json","url":"midas/sdk/github/schema.html#timeline_committed_event_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_cross_referenced_event_decoder","content":"pub fn timeline_cross_referenced_event_decoder() -&gt; Decoder(\n  TimelineCrossReferencedEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_cross_referenced_event_decoder\nmidas/sdk/github/schema timeline_cross_referenced_event_decoder","url":"midas/sdk/github/schema.html#timeline_cross_referenced_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_cross_referenced_event_to_json","content":"pub fn timeline_cross_referenced_event_to_json(\n  data: TimelineCrossReferencedEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_cross_referenced_event_to_json\nmidas/sdk/github/schema timeline_cross_referenced_event_to_json","url":"midas/sdk/github/schema.html#timeline_cross_referenced_event_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_issue_events_decoder","content":"pub fn timeline_issue_events_decoder() -&gt; Decoder(\n  TimelineIssueEvents,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_issue_events_decoder\nmidas/sdk/github/schema timeline_issue_events_decoder","url":"midas/sdk/github/schema.html#timeline_issue_events_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_issue_events_to_json","content":"pub fn timeline_issue_events_to_json(\n  data: TimelineIssueEvents,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_issue_events_to_json\nmidas/sdk/github/schema timeline_issue_events_to_json","url":"midas/sdk/github/schema.html#timeline_issue_events_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_line_commented_event_decoder","content":"pub fn timeline_line_commented_event_decoder() -&gt; Decoder(\n  TimelineLineCommentedEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_line_commented_event_decoder\nmidas/sdk/github/schema timeline_line_commented_event_decoder","url":"midas/sdk/github/schema.html#timeline_line_commented_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_line_commented_event_to_json","content":"pub fn timeline_line_commented_event_to_json(\n  data: TimelineLineCommentedEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_line_commented_event_to_json\nmidas/sdk/github/schema timeline_line_commented_event_to_json","url":"midas/sdk/github/schema.html#timeline_line_commented_event_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_reviewed_event_decoder","content":"pub fn timeline_reviewed_event_decoder() -&gt; Decoder(\n  TimelineReviewedEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_reviewed_event_decoder\nmidas/sdk/github/schema timeline_reviewed_event_decoder","url":"midas/sdk/github/schema.html#timeline_reviewed_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_reviewed_event_to_json","content":"pub fn timeline_reviewed_event_to_json(\n  data: TimelineReviewedEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_reviewed_event_to_json\nmidas/sdk/github/schema timeline_reviewed_event_to_json","url":"midas/sdk/github/schema.html#timeline_reviewed_event_to_json"},{"doc":"midas/sdk/github/schema","title":"timeline_unassigned_issue_event_decoder","content":"pub fn timeline_unassigned_issue_event_decoder() -&gt; Decoder(\n  TimelineUnassignedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.timeline_unassigned_issue_event_decoder\nmidas/sdk/github/schema timeline_unassigned_issue_event_decoder","url":"midas/sdk/github/schema.html#timeline_unassigned_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"timeline_unassigned_issue_event_to_json","content":"pub fn timeline_unassigned_issue_event_to_json(\n  data: TimelineUnassignedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.timeline_unassigned_issue_event_to_json\nmidas/sdk/github/schema timeline_unassigned_issue_event_to_json","url":"midas/sdk/github/schema.html#timeline_unassigned_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"topic_decoder","content":"pub fn topic_decoder() -&gt; Decoder(Topic)\n\nSynonyms:\nmidas/sdk/github/schema.topic_decoder\nmidas/sdk/github/schema topic_decoder","url":"midas/sdk/github/schema.html#topic_decoder"},{"doc":"midas/sdk/github/schema","title":"topic_search_result_item_decoder","content":"pub fn topic_search_result_item_decoder() -&gt; Decoder(\n  TopicSearchResultItem,\n)\n\nSynonyms:\nmidas/sdk/github/schema.topic_search_result_item_decoder\nmidas/sdk/github/schema topic_search_result_item_decoder","url":"midas/sdk/github/schema.html#topic_search_result_item_decoder"},{"doc":"midas/sdk/github/schema","title":"topic_search_result_item_to_json","content":"pub fn topic_search_result_item_to_json(\n  data: TopicSearchResultItem,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.topic_search_result_item_to_json\nmidas/sdk/github/schema topic_search_result_item_to_json","url":"midas/sdk/github/schema.html#topic_search_result_item_to_json"},{"doc":"midas/sdk/github/schema","title":"topic_to_json","content":"pub fn topic_to_json(data: Topic) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.topic_to_json\nmidas/sdk/github/schema topic_to_json","url":"midas/sdk/github/schema.html#topic_to_json"},{"doc":"midas/sdk/github/schema","title":"traffic_decoder","content":"pub fn traffic_decoder() -&gt; Decoder(Traffic)\n\nSynonyms:\nmidas/sdk/github/schema.traffic_decoder\nmidas/sdk/github/schema traffic_decoder","url":"midas/sdk/github/schema.html#traffic_decoder"},{"doc":"midas/sdk/github/schema","title":"traffic_to_json","content":"pub fn traffic_to_json(data: Traffic) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.traffic_to_json\nmidas/sdk/github/schema traffic_to_json","url":"midas/sdk/github/schema.html#traffic_to_json"},{"doc":"midas/sdk/github/schema","title":"unassigned_issue_event_decoder","content":"pub fn unassigned_issue_event_decoder() -&gt; Decoder(\n  UnassignedIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.unassigned_issue_event_decoder\nmidas/sdk/github/schema unassigned_issue_event_decoder","url":"midas/sdk/github/schema.html#unassigned_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"unassigned_issue_event_to_json","content":"pub fn unassigned_issue_event_to_json(\n  data: UnassignedIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.unassigned_issue_event_to_json\nmidas/sdk/github/schema unassigned_issue_event_to_json","url":"midas/sdk/github/schema.html#unassigned_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"unlabeled_issue_event_decoder","content":"pub fn unlabeled_issue_event_decoder() -&gt; Decoder(\n  UnlabeledIssueEvent,\n)\n\nSynonyms:\nmidas/sdk/github/schema.unlabeled_issue_event_decoder\nmidas/sdk/github/schema unlabeled_issue_event_decoder","url":"midas/sdk/github/schema.html#unlabeled_issue_event_decoder"},{"doc":"midas/sdk/github/schema","title":"unlabeled_issue_event_to_json","content":"pub fn unlabeled_issue_event_to_json(\n  data: UnlabeledIssueEvent,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.unlabeled_issue_event_to_json\nmidas/sdk/github/schema unlabeled_issue_event_to_json","url":"midas/sdk/github/schema.html#unlabeled_issue_event_to_json"},{"doc":"midas/sdk/github/schema","title":"user_marketplace_purchase_decoder","content":"pub fn user_marketplace_purchase_decoder() -&gt; Decoder(\n  UserMarketplacePurchase,\n)\n\nSynonyms:\nmidas/sdk/github/schema.user_marketplace_purchase_decoder\nmidas/sdk/github/schema user_marketplace_purchase_decoder","url":"midas/sdk/github/schema.html#user_marketplace_purchase_decoder"},{"doc":"midas/sdk/github/schema","title":"user_marketplace_purchase_to_json","content":"pub fn user_marketplace_purchase_to_json(\n  data: UserMarketplacePurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.user_marketplace_purchase_to_json\nmidas/sdk/github/schema user_marketplace_purchase_to_json","url":"midas/sdk/github/schema.html#user_marketplace_purchase_to_json"},{"doc":"midas/sdk/github/schema","title":"user_role_assignment_decoder","content":"pub fn user_role_assignment_decoder() -&gt; Decoder(\n  UserRoleAssignment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.user_role_assignment_decoder\nmidas/sdk/github/schema user_role_assignment_decoder","url":"midas/sdk/github/schema.html#user_role_assignment_decoder"},{"doc":"midas/sdk/github/schema","title":"user_role_assignment_to_json","content":"pub fn user_role_assignment_to_json(\n  data: UserRoleAssignment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.user_role_assignment_to_json\nmidas/sdk/github/schema user_role_assignment_to_json","url":"midas/sdk/github/schema.html#user_role_assignment_to_json"},{"doc":"midas/sdk/github/schema","title":"user_search_result_item_decoder","content":"pub fn user_search_result_item_decoder() -&gt; Decoder(\n  UserSearchResultItem,\n)\n\nSynonyms:\nmidas/sdk/github/schema.user_search_result_item_decoder\nmidas/sdk/github/schema user_search_result_item_decoder","url":"midas/sdk/github/schema.html#user_search_result_item_decoder"},{"doc":"midas/sdk/github/schema","title":"user_search_result_item_to_json","content":"pub fn user_search_result_item_to_json(\n  data: UserSearchResultItem,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.user_search_result_item_to_json\nmidas/sdk/github/schema user_search_result_item_to_json","url":"midas/sdk/github/schema.html#user_search_result_item_to_json"},{"doc":"midas/sdk/github/schema","title":"validation_error_decoder","content":"pub fn validation_error_decoder() -&gt; Decoder(ValidationError)\n\nSynonyms:\nmidas/sdk/github/schema.validation_error_decoder\nmidas/sdk/github/schema validation_error_decoder","url":"midas/sdk/github/schema.html#validation_error_decoder"},{"doc":"midas/sdk/github/schema","title":"validation_error_simple_decoder","content":"pub fn validation_error_simple_decoder() -&gt; Decoder(\n  ValidationErrorSimple,\n)\n\nSynonyms:\nmidas/sdk/github/schema.validation_error_simple_decoder\nmidas/sdk/github/schema validation_error_simple_decoder","url":"midas/sdk/github/schema.html#validation_error_simple_decoder"},{"doc":"midas/sdk/github/schema","title":"validation_error_simple_to_json","content":"pub fn validation_error_simple_to_json(\n  data: ValidationErrorSimple,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.validation_error_simple_to_json\nmidas/sdk/github/schema validation_error_simple_to_json","url":"midas/sdk/github/schema.html#validation_error_simple_to_json"},{"doc":"midas/sdk/github/schema","title":"validation_error_to_json","content":"pub fn validation_error_to_json(data: ValidationError) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.validation_error_to_json\nmidas/sdk/github/schema validation_error_to_json","url":"midas/sdk/github/schema.html#validation_error_to_json"},{"doc":"midas/sdk/github/schema","title":"verification_decoder","content":"pub fn verification_decoder() -&gt; Decoder(Verification)\n\nSynonyms:\nmidas/sdk/github/schema.verification_decoder\nmidas/sdk/github/schema verification_decoder","url":"midas/sdk/github/schema.html#verification_decoder"},{"doc":"midas/sdk/github/schema","title":"verification_to_json","content":"pub fn verification_to_json(data: Verification) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.verification_to_json\nmidas/sdk/github/schema verification_to_json","url":"midas/sdk/github/schema.html#verification_to_json"},{"doc":"midas/sdk/github/schema","title":"view_traffic_decoder","content":"pub fn view_traffic_decoder() -&gt; Decoder(ViewTraffic)\n\nSynonyms:\nmidas/sdk/github/schema.view_traffic_decoder\nmidas/sdk/github/schema view_traffic_decoder","url":"midas/sdk/github/schema.html#view_traffic_decoder"},{"doc":"midas/sdk/github/schema","title":"view_traffic_to_json","content":"pub fn view_traffic_to_json(data: ViewTraffic) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.view_traffic_to_json\nmidas/sdk/github/schema view_traffic_to_json","url":"midas/sdk/github/schema.html#view_traffic_to_json"},{"doc":"midas/sdk/github/schema","title":"vulnerability_decoder","content":"pub fn vulnerability_decoder() -&gt; Decoder(Vulnerability)\n\nSynonyms:\nmidas/sdk/github/schema.vulnerability_decoder\nmidas/sdk/github/schema vulnerability_decoder","url":"midas/sdk/github/schema.html#vulnerability_decoder"},{"doc":"midas/sdk/github/schema","title":"vulnerability_to_json","content":"pub fn vulnerability_to_json(data: Vulnerability) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.vulnerability_to_json\nmidas/sdk/github/schema vulnerability_to_json","url":"midas/sdk/github/schema.html#vulnerability_to_json"},{"doc":"midas/sdk/github/schema","title":"wait_timer_decoder","content":"pub fn wait_timer_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.wait_timer_decoder\nmidas/sdk/github/schema wait_timer_decoder","url":"midas/sdk/github/schema.html#wait_timer_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_configuration_disabled_decoder","content":"pub fn webhook_branch_protection_configuration_disabled_decoder() -&gt; Decoder(\n  WebhookBranchProtectionConfigurationDisabled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_configuration_disabled_decoder\nmidas/sdk/github/schema webhook_branch_protection_configuration_disabled_decoder","url":"midas/sdk/github/schema.html#webhook_branch_protection_configuration_disabled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_configuration_disabled_to_json","content":"pub fn webhook_branch_protection_configuration_disabled_to_json(\n  data: WebhookBranchProtectionConfigurationDisabled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_configuration_disabled_to_json\nmidas/sdk/github/schema webhook_branch_protection_configuration_disabled_to_json","url":"midas/sdk/github/schema.html#webhook_branch_protection_configuration_disabled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_configuration_enabled_decoder","content":"pub fn webhook_branch_protection_configuration_enabled_decoder() -&gt; Decoder(\n  WebhookBranchProtectionConfigurationEnabled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_configuration_enabled_decoder\nmidas/sdk/github/schema webhook_branch_protection_configuration_enabled_decoder","url":"midas/sdk/github/schema.html#webhook_branch_protection_configuration_enabled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_configuration_enabled_to_json","content":"pub fn webhook_branch_protection_configuration_enabled_to_json(\n  data: WebhookBranchProtectionConfigurationEnabled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_configuration_enabled_to_json\nmidas/sdk/github/schema webhook_branch_protection_configuration_enabled_to_json","url":"midas/sdk/github/schema.html#webhook_branch_protection_configuration_enabled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_created_decoder","content":"pub fn webhook_branch_protection_rule_created_decoder() -&gt; Decoder(\n  WebhookBranchProtectionRuleCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_created_decoder\nmidas/sdk/github/schema webhook_branch_protection_rule_created_decoder","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_created_to_json","content":"pub fn webhook_branch_protection_rule_created_to_json(\n  data: WebhookBranchProtectionRuleCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_created_to_json\nmidas/sdk/github/schema webhook_branch_protection_rule_created_to_json","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_deleted_decoder","content":"pub fn webhook_branch_protection_rule_deleted_decoder() -&gt; Decoder(\n  WebhookBranchProtectionRuleDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_deleted_decoder\nmidas/sdk/github/schema webhook_branch_protection_rule_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_deleted_to_json","content":"pub fn webhook_branch_protection_rule_deleted_to_json(\n  data: WebhookBranchProtectionRuleDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_deleted_to_json\nmidas/sdk/github/schema webhook_branch_protection_rule_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_edited_decoder","content":"pub fn webhook_branch_protection_rule_edited_decoder() -&gt; Decoder(\n  WebhookBranchProtectionRuleEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_edited_decoder\nmidas/sdk/github/schema webhook_branch_protection_rule_edited_decoder","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_branch_protection_rule_edited_to_json","content":"pub fn webhook_branch_protection_rule_edited_to_json(\n  data: WebhookBranchProtectionRuleEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_branch_protection_rule_edited_to_json\nmidas/sdk/github/schema webhook_branch_protection_rule_edited_to_json","url":"midas/sdk/github/schema.html#webhook_branch_protection_rule_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_completed_decoder","content":"pub fn webhook_check_run_completed_decoder() -&gt; Decoder(\n  WebhookCheckRunCompleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_completed_decoder\nmidas/sdk/github/schema webhook_check_run_completed_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_completed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_completed_form_encoded_decoder","content":"pub fn webhook_check_run_completed_form_encoded_decoder() -&gt; Decoder(\n  WebhookCheckRunCompletedFormEncoded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_completed_form_encoded_decoder\nmidas/sdk/github/schema webhook_check_run_completed_form_encoded_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_completed_form_encoded_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_completed_form_encoded_to_json","content":"pub fn webhook_check_run_completed_form_encoded_to_json(\n  data: WebhookCheckRunCompletedFormEncoded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_completed_form_encoded_to_json\nmidas/sdk/github/schema webhook_check_run_completed_form_encoded_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_completed_form_encoded_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_completed_to_json","content":"pub fn webhook_check_run_completed_to_json(\n  data: WebhookCheckRunCompleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_completed_to_json\nmidas/sdk/github/schema webhook_check_run_completed_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_completed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_created_decoder","content":"pub fn webhook_check_run_created_decoder() -&gt; Decoder(\n  WebhookCheckRunCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_created_decoder\nmidas/sdk/github/schema webhook_check_run_created_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_created_form_encoded_decoder","content":"pub fn webhook_check_run_created_form_encoded_decoder() -&gt; Decoder(\n  WebhookCheckRunCreatedFormEncoded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_created_form_encoded_decoder\nmidas/sdk/github/schema webhook_check_run_created_form_encoded_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_created_form_encoded_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_created_form_encoded_to_json","content":"pub fn webhook_check_run_created_form_encoded_to_json(\n  data: WebhookCheckRunCreatedFormEncoded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_created_form_encoded_to_json\nmidas/sdk/github/schema webhook_check_run_created_form_encoded_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_created_form_encoded_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_created_to_json","content":"pub fn webhook_check_run_created_to_json(\n  data: WebhookCheckRunCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_created_to_json\nmidas/sdk/github/schema webhook_check_run_created_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_requested_action_decoder","content":"pub fn webhook_check_run_requested_action_decoder() -&gt; Decoder(\n  WebhookCheckRunRequestedAction,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_requested_action_decoder\nmidas/sdk/github/schema webhook_check_run_requested_action_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_requested_action_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_requested_action_form_encoded_decoder","content":"pub fn webhook_check_run_requested_action_form_encoded_decoder() -&gt; Decoder(\n  WebhookCheckRunRequestedActionFormEncoded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_requested_action_form_encoded_decoder\nmidas/sdk/github/schema webhook_check_run_requested_action_form_encoded_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_requested_action_form_encoded_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_requested_action_form_encoded_to_json","content":"pub fn webhook_check_run_requested_action_form_encoded_to_json(\n  data: WebhookCheckRunRequestedActionFormEncoded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_requested_action_form_encoded_to_json\nmidas/sdk/github/schema webhook_check_run_requested_action_form_encoded_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_requested_action_form_encoded_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_requested_action_to_json","content":"pub fn webhook_check_run_requested_action_to_json(\n  data: WebhookCheckRunRequestedAction,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_requested_action_to_json\nmidas/sdk/github/schema webhook_check_run_requested_action_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_requested_action_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_rerequested_decoder","content":"pub fn webhook_check_run_rerequested_decoder() -&gt; Decoder(\n  WebhookCheckRunRerequested,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_rerequested_decoder\nmidas/sdk/github/schema webhook_check_run_rerequested_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_rerequested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_rerequested_form_encoded_decoder","content":"pub fn webhook_check_run_rerequested_form_encoded_decoder() -&gt; Decoder(\n  WebhookCheckRunRerequestedFormEncoded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_rerequested_form_encoded_decoder\nmidas/sdk/github/schema webhook_check_run_rerequested_form_encoded_decoder","url":"midas/sdk/github/schema.html#webhook_check_run_rerequested_form_encoded_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_rerequested_form_encoded_to_json","content":"pub fn webhook_check_run_rerequested_form_encoded_to_json(\n  data: WebhookCheckRunRerequestedFormEncoded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_rerequested_form_encoded_to_json\nmidas/sdk/github/schema webhook_check_run_rerequested_form_encoded_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_rerequested_form_encoded_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_run_rerequested_to_json","content":"pub fn webhook_check_run_rerequested_to_json(\n  data: WebhookCheckRunRerequested,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_run_rerequested_to_json\nmidas/sdk/github/schema webhook_check_run_rerequested_to_json","url":"midas/sdk/github/schema.html#webhook_check_run_rerequested_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_completed_decoder","content":"pub fn webhook_check_suite_completed_decoder() -&gt; Decoder(\n  WebhookCheckSuiteCompleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_completed_decoder\nmidas/sdk/github/schema webhook_check_suite_completed_decoder","url":"midas/sdk/github/schema.html#webhook_check_suite_completed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_completed_to_json","content":"pub fn webhook_check_suite_completed_to_json(\n  data: WebhookCheckSuiteCompleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_completed_to_json\nmidas/sdk/github/schema webhook_check_suite_completed_to_json","url":"midas/sdk/github/schema.html#webhook_check_suite_completed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_requested_decoder","content":"pub fn webhook_check_suite_requested_decoder() -&gt; Decoder(\n  WebhookCheckSuiteRequested,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_requested_decoder\nmidas/sdk/github/schema webhook_check_suite_requested_decoder","url":"midas/sdk/github/schema.html#webhook_check_suite_requested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_requested_to_json","content":"pub fn webhook_check_suite_requested_to_json(\n  data: WebhookCheckSuiteRequested,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_requested_to_json\nmidas/sdk/github/schema webhook_check_suite_requested_to_json","url":"midas/sdk/github/schema.html#webhook_check_suite_requested_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_rerequested_decoder","content":"pub fn webhook_check_suite_rerequested_decoder() -&gt; Decoder(\n  WebhookCheckSuiteRerequested,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_rerequested_decoder\nmidas/sdk/github/schema webhook_check_suite_rerequested_decoder","url":"midas/sdk/github/schema.html#webhook_check_suite_rerequested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_check_suite_rerequested_to_json","content":"pub fn webhook_check_suite_rerequested_to_json(\n  data: WebhookCheckSuiteRerequested,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_check_suite_rerequested_to_json\nmidas/sdk/github/schema webhook_check_suite_rerequested_to_json","url":"midas/sdk/github/schema.html#webhook_check_suite_rerequested_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_appeared_in_branch_decoder","content":"pub fn webhook_code_scanning_alert_appeared_in_branch_decoder() -&gt; Decoder(\n  WebhookCodeScanningAlertAppearedInBranch,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_appeared_in_branch_decoder\nmidas/sdk/github/schema webhook_code_scanning_alert_appeared_in_branch_decoder","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_appeared_in_branch_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_appeared_in_branch_to_json","content":"pub fn webhook_code_scanning_alert_appeared_in_branch_to_json(\n  data: WebhookCodeScanningAlertAppearedInBranch,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_appeared_in_branch_to_json\nmidas/sdk/github/schema webhook_code_scanning_alert_appeared_in_branch_to_json","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_appeared_in_branch_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_closed_by_user_decoder","content":"pub fn webhook_code_scanning_alert_closed_by_user_decoder() -&gt; Decoder(\n  WebhookCodeScanningAlertClosedByUser,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_closed_by_user_decoder\nmidas/sdk/github/schema webhook_code_scanning_alert_closed_by_user_decoder","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_closed_by_user_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_closed_by_user_to_json","content":"pub fn webhook_code_scanning_alert_closed_by_user_to_json(\n  data: WebhookCodeScanningAlertClosedByUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_closed_by_user_to_json\nmidas/sdk/github/schema webhook_code_scanning_alert_closed_by_user_to_json","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_closed_by_user_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_created_decoder","content":"pub fn webhook_code_scanning_alert_created_decoder() -&gt; Decoder(\n  WebhookCodeScanningAlertCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_created_decoder\nmidas/sdk/github/schema webhook_code_scanning_alert_created_decoder","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_created_to_json","content":"pub fn webhook_code_scanning_alert_created_to_json(\n  data: WebhookCodeScanningAlertCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_created_to_json\nmidas/sdk/github/schema webhook_code_scanning_alert_created_to_json","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_fixed_decoder","content":"pub fn webhook_code_scanning_alert_fixed_decoder() -&gt; Decoder(\n  WebhookCodeScanningAlertFixed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_fixed_decoder\nmidas/sdk/github/schema webhook_code_scanning_alert_fixed_decoder","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_fixed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_fixed_to_json","content":"pub fn webhook_code_scanning_alert_fixed_to_json(\n  data: WebhookCodeScanningAlertFixed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_fixed_to_json\nmidas/sdk/github/schema webhook_code_scanning_alert_fixed_to_json","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_fixed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_reopened_by_user_decoder","content":"pub fn webhook_code_scanning_alert_reopened_by_user_decoder() -&gt; Decoder(\n  WebhookCodeScanningAlertReopenedByUser,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_reopened_by_user_decoder\nmidas/sdk/github/schema webhook_code_scanning_alert_reopened_by_user_decoder","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_reopened_by_user_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_reopened_by_user_to_json","content":"pub fn webhook_code_scanning_alert_reopened_by_user_to_json(\n  data: WebhookCodeScanningAlertReopenedByUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_reopened_by_user_to_json\nmidas/sdk/github/schema webhook_code_scanning_alert_reopened_by_user_to_json","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_reopened_by_user_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_reopened_decoder","content":"pub fn webhook_code_scanning_alert_reopened_decoder() -&gt; Decoder(\n  WebhookCodeScanningAlertReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_reopened_decoder\nmidas/sdk/github/schema webhook_code_scanning_alert_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_code_scanning_alert_reopened_to_json","content":"pub fn webhook_code_scanning_alert_reopened_to_json(\n  data: WebhookCodeScanningAlertReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_code_scanning_alert_reopened_to_json\nmidas/sdk/github/schema webhook_code_scanning_alert_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_code_scanning_alert_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_commit_comment_created_decoder","content":"pub fn webhook_commit_comment_created_decoder() -&gt; Decoder(\n  WebhookCommitCommentCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_commit_comment_created_decoder\nmidas/sdk/github/schema webhook_commit_comment_created_decoder","url":"midas/sdk/github/schema.html#webhook_commit_comment_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_commit_comment_created_to_json","content":"pub fn webhook_commit_comment_created_to_json(\n  data: WebhookCommitCommentCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_commit_comment_created_to_json\nmidas/sdk/github/schema webhook_commit_comment_created_to_json","url":"midas/sdk/github/schema.html#webhook_commit_comment_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_config_content_type_decoder","content":"pub fn webhook_config_content_type_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_config_content_type_decoder\nmidas/sdk/github/schema webhook_config_content_type_decoder","url":"midas/sdk/github/schema.html#webhook_config_content_type_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_config_decoder","content":"pub fn webhook_config_decoder() -&gt; Decoder(WebhookConfig)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_config_decoder\nmidas/sdk/github/schema webhook_config_decoder","url":"midas/sdk/github/schema.html#webhook_config_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_config_insecure_ssl_decoder","content":"pub fn webhook_config_insecure_ssl_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.webhook_config_insecure_ssl_decoder\nmidas/sdk/github/schema webhook_config_insecure_ssl_decoder","url":"midas/sdk/github/schema.html#webhook_config_insecure_ssl_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_config_secret_decoder","content":"pub fn webhook_config_secret_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_config_secret_decoder\nmidas/sdk/github/schema webhook_config_secret_decoder","url":"midas/sdk/github/schema.html#webhook_config_secret_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_config_to_json","content":"pub fn webhook_config_to_json(data: WebhookConfig) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_config_to_json\nmidas/sdk/github/schema webhook_config_to_json","url":"midas/sdk/github/schema.html#webhook_config_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_config_url_decoder","content":"pub fn webhook_config_url_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_config_url_decoder\nmidas/sdk/github/schema webhook_config_url_decoder","url":"midas/sdk/github/schema.html#webhook_config_url_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_create_decoder","content":"pub fn webhook_create_decoder() -&gt; Decoder(WebhookCreate)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_create_decoder\nmidas/sdk/github/schema webhook_create_decoder","url":"midas/sdk/github/schema.html#webhook_create_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_create_to_json","content":"pub fn webhook_create_to_json(data: WebhookCreate) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_create_to_json\nmidas/sdk/github/schema webhook_create_to_json","url":"midas/sdk/github/schema.html#webhook_create_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_created_decoder","content":"pub fn webhook_custom_property_created_decoder() -&gt; Decoder(\n  WebhookCustomPropertyCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_created_decoder\nmidas/sdk/github/schema webhook_custom_property_created_decoder","url":"midas/sdk/github/schema.html#webhook_custom_property_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_created_to_json","content":"pub fn webhook_custom_property_created_to_json(\n  data: WebhookCustomPropertyCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_created_to_json\nmidas/sdk/github/schema webhook_custom_property_created_to_json","url":"midas/sdk/github/schema.html#webhook_custom_property_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_deleted_decoder","content":"pub fn webhook_custom_property_deleted_decoder() -&gt; Decoder(\n  WebhookCustomPropertyDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_deleted_decoder\nmidas/sdk/github/schema webhook_custom_property_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_custom_property_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_deleted_to_json","content":"pub fn webhook_custom_property_deleted_to_json(\n  data: WebhookCustomPropertyDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_deleted_to_json\nmidas/sdk/github/schema webhook_custom_property_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_custom_property_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_updated_decoder","content":"pub fn webhook_custom_property_updated_decoder() -&gt; Decoder(\n  WebhookCustomPropertyUpdated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_updated_decoder\nmidas/sdk/github/schema webhook_custom_property_updated_decoder","url":"midas/sdk/github/schema.html#webhook_custom_property_updated_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_updated_to_json","content":"pub fn webhook_custom_property_updated_to_json(\n  data: WebhookCustomPropertyUpdated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_updated_to_json\nmidas/sdk/github/schema webhook_custom_property_updated_to_json","url":"midas/sdk/github/schema.html#webhook_custom_property_updated_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_values_updated_decoder","content":"pub fn webhook_custom_property_values_updated_decoder() -&gt; Decoder(\n  WebhookCustomPropertyValuesUpdated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_values_updated_decoder\nmidas/sdk/github/schema webhook_custom_property_values_updated_decoder","url":"midas/sdk/github/schema.html#webhook_custom_property_values_updated_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_custom_property_values_updated_to_json","content":"pub fn webhook_custom_property_values_updated_to_json(\n  data: WebhookCustomPropertyValuesUpdated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_custom_property_values_updated_to_json\nmidas/sdk/github/schema webhook_custom_property_values_updated_to_json","url":"midas/sdk/github/schema.html#webhook_custom_property_values_updated_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_delete_decoder","content":"pub fn webhook_delete_decoder() -&gt; Decoder(WebhookDelete)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_delete_decoder\nmidas/sdk/github/schema webhook_delete_decoder","url":"midas/sdk/github/schema.html#webhook_delete_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_delete_to_json","content":"pub fn webhook_delete_to_json(data: WebhookDelete) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_delete_to_json\nmidas/sdk/github/schema webhook_delete_to_json","url":"midas/sdk/github/schema.html#webhook_delete_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_auto_dismissed_decoder","content":"pub fn webhook_dependabot_alert_auto_dismissed_decoder() -&gt; Decoder(\n  WebhookDependabotAlertAutoDismissed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_auto_dismissed_decoder\nmidas/sdk/github/schema webhook_dependabot_alert_auto_dismissed_decoder","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_auto_dismissed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_auto_dismissed_to_json","content":"pub fn webhook_dependabot_alert_auto_dismissed_to_json(\n  data: WebhookDependabotAlertAutoDismissed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_auto_dismissed_to_json\nmidas/sdk/github/schema webhook_dependabot_alert_auto_dismissed_to_json","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_auto_dismissed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_auto_reopened_decoder","content":"pub fn webhook_dependabot_alert_auto_reopened_decoder() -&gt; Decoder(\n  WebhookDependabotAlertAutoReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_auto_reopened_decoder\nmidas/sdk/github/schema webhook_dependabot_alert_auto_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_auto_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_auto_reopened_to_json","content":"pub fn webhook_dependabot_alert_auto_reopened_to_json(\n  data: WebhookDependabotAlertAutoReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_auto_reopened_to_json\nmidas/sdk/github/schema webhook_dependabot_alert_auto_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_auto_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_created_decoder","content":"pub fn webhook_dependabot_alert_created_decoder() -&gt; Decoder(\n  WebhookDependabotAlertCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_created_decoder\nmidas/sdk/github/schema webhook_dependabot_alert_created_decoder","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_created_to_json","content":"pub fn webhook_dependabot_alert_created_to_json(\n  data: WebhookDependabotAlertCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_created_to_json\nmidas/sdk/github/schema webhook_dependabot_alert_created_to_json","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_dismissed_decoder","content":"pub fn webhook_dependabot_alert_dismissed_decoder() -&gt; Decoder(\n  WebhookDependabotAlertDismissed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_dismissed_decoder\nmidas/sdk/github/schema webhook_dependabot_alert_dismissed_decoder","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_dismissed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_dismissed_to_json","content":"pub fn webhook_dependabot_alert_dismissed_to_json(\n  data: WebhookDependabotAlertDismissed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_dismissed_to_json\nmidas/sdk/github/schema webhook_dependabot_alert_dismissed_to_json","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_dismissed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_fixed_decoder","content":"pub fn webhook_dependabot_alert_fixed_decoder() -&gt; Decoder(\n  WebhookDependabotAlertFixed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_fixed_decoder\nmidas/sdk/github/schema webhook_dependabot_alert_fixed_decoder","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_fixed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_fixed_to_json","content":"pub fn webhook_dependabot_alert_fixed_to_json(\n  data: WebhookDependabotAlertFixed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_fixed_to_json\nmidas/sdk/github/schema webhook_dependabot_alert_fixed_to_json","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_fixed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_reintroduced_decoder","content":"pub fn webhook_dependabot_alert_reintroduced_decoder() -&gt; Decoder(\n  WebhookDependabotAlertReintroduced,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_reintroduced_decoder\nmidas/sdk/github/schema webhook_dependabot_alert_reintroduced_decoder","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_reintroduced_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_reintroduced_to_json","content":"pub fn webhook_dependabot_alert_reintroduced_to_json(\n  data: WebhookDependabotAlertReintroduced,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_reintroduced_to_json\nmidas/sdk/github/schema webhook_dependabot_alert_reintroduced_to_json","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_reintroduced_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_reopened_decoder","content":"pub fn webhook_dependabot_alert_reopened_decoder() -&gt; Decoder(\n  WebhookDependabotAlertReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_reopened_decoder\nmidas/sdk/github/schema webhook_dependabot_alert_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_dependabot_alert_reopened_to_json","content":"pub fn webhook_dependabot_alert_reopened_to_json(\n  data: WebhookDependabotAlertReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_dependabot_alert_reopened_to_json\nmidas/sdk/github/schema webhook_dependabot_alert_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_dependabot_alert_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deploy_key_created_decoder","content":"pub fn webhook_deploy_key_created_decoder() -&gt; Decoder(\n  WebhookDeployKeyCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deploy_key_created_decoder\nmidas/sdk/github/schema webhook_deploy_key_created_decoder","url":"midas/sdk/github/schema.html#webhook_deploy_key_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deploy_key_created_to_json","content":"pub fn webhook_deploy_key_created_to_json(\n  data: WebhookDeployKeyCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deploy_key_created_to_json\nmidas/sdk/github/schema webhook_deploy_key_created_to_json","url":"midas/sdk/github/schema.html#webhook_deploy_key_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deploy_key_deleted_decoder","content":"pub fn webhook_deploy_key_deleted_decoder() -&gt; Decoder(\n  WebhookDeployKeyDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deploy_key_deleted_decoder\nmidas/sdk/github/schema webhook_deploy_key_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_deploy_key_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deploy_key_deleted_to_json","content":"pub fn webhook_deploy_key_deleted_to_json(\n  data: WebhookDeployKeyDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deploy_key_deleted_to_json\nmidas/sdk/github/schema webhook_deploy_key_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_deploy_key_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_created_decoder","content":"pub fn webhook_deployment_created_decoder() -&gt; Decoder(\n  WebhookDeploymentCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_created_decoder\nmidas/sdk/github/schema webhook_deployment_created_decoder","url":"midas/sdk/github/schema.html#webhook_deployment_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_created_to_json","content":"pub fn webhook_deployment_created_to_json(\n  data: WebhookDeploymentCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_created_to_json\nmidas/sdk/github/schema webhook_deployment_created_to_json","url":"midas/sdk/github/schema.html#webhook_deployment_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_protection_rule_requested_decoder","content":"pub fn webhook_deployment_protection_rule_requested_decoder() -&gt; Decoder(\n  WebhookDeploymentProtectionRuleRequested,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_protection_rule_requested_decoder\nmidas/sdk/github/schema webhook_deployment_protection_rule_requested_decoder","url":"midas/sdk/github/schema.html#webhook_deployment_protection_rule_requested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_protection_rule_requested_to_json","content":"pub fn webhook_deployment_protection_rule_requested_to_json(\n  data: WebhookDeploymentProtectionRuleRequested,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_protection_rule_requested_to_json\nmidas/sdk/github/schema webhook_deployment_protection_rule_requested_to_json","url":"midas/sdk/github/schema.html#webhook_deployment_protection_rule_requested_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_approved_decoder","content":"pub fn webhook_deployment_review_approved_decoder() -&gt; Decoder(\n  WebhookDeploymentReviewApproved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_approved_decoder\nmidas/sdk/github/schema webhook_deployment_review_approved_decoder","url":"midas/sdk/github/schema.html#webhook_deployment_review_approved_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_approved_to_json","content":"pub fn webhook_deployment_review_approved_to_json(\n  data: WebhookDeploymentReviewApproved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_approved_to_json\nmidas/sdk/github/schema webhook_deployment_review_approved_to_json","url":"midas/sdk/github/schema.html#webhook_deployment_review_approved_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_rejected_decoder","content":"pub fn webhook_deployment_review_rejected_decoder() -&gt; Decoder(\n  WebhookDeploymentReviewRejected,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_rejected_decoder\nmidas/sdk/github/schema webhook_deployment_review_rejected_decoder","url":"midas/sdk/github/schema.html#webhook_deployment_review_rejected_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_rejected_to_json","content":"pub fn webhook_deployment_review_rejected_to_json(\n  data: WebhookDeploymentReviewRejected,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_rejected_to_json\nmidas/sdk/github/schema webhook_deployment_review_rejected_to_json","url":"midas/sdk/github/schema.html#webhook_deployment_review_rejected_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_requested_decoder","content":"pub fn webhook_deployment_review_requested_decoder() -&gt; Decoder(\n  WebhookDeploymentReviewRequested,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_requested_decoder\nmidas/sdk/github/schema webhook_deployment_review_requested_decoder","url":"midas/sdk/github/schema.html#webhook_deployment_review_requested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_review_requested_to_json","content":"pub fn webhook_deployment_review_requested_to_json(\n  data: WebhookDeploymentReviewRequested,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_review_requested_to_json\nmidas/sdk/github/schema webhook_deployment_review_requested_to_json","url":"midas/sdk/github/schema.html#webhook_deployment_review_requested_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_status_created_decoder","content":"pub fn webhook_deployment_status_created_decoder() -&gt; Decoder(\n  WebhookDeploymentStatusCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_status_created_decoder\nmidas/sdk/github/schema webhook_deployment_status_created_decoder","url":"midas/sdk/github/schema.html#webhook_deployment_status_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_deployment_status_created_to_json","content":"pub fn webhook_deployment_status_created_to_json(\n  data: WebhookDeploymentStatusCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_deployment_status_created_to_json\nmidas/sdk/github/schema webhook_deployment_status_created_to_json","url":"midas/sdk/github/schema.html#webhook_deployment_status_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_answered_decoder","content":"pub fn webhook_discussion_answered_decoder() -&gt; Decoder(\n  WebhookDiscussionAnswered,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_answered_decoder\nmidas/sdk/github/schema webhook_discussion_answered_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_answered_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_answered_to_json","content":"pub fn webhook_discussion_answered_to_json(\n  data: WebhookDiscussionAnswered,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_answered_to_json\nmidas/sdk/github/schema webhook_discussion_answered_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_answered_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_category_changed_decoder","content":"pub fn webhook_discussion_category_changed_decoder() -&gt; Decoder(\n  WebhookDiscussionCategoryChanged,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_category_changed_decoder\nmidas/sdk/github/schema webhook_discussion_category_changed_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_category_changed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_category_changed_to_json","content":"pub fn webhook_discussion_category_changed_to_json(\n  data: WebhookDiscussionCategoryChanged,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_category_changed_to_json\nmidas/sdk/github/schema webhook_discussion_category_changed_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_category_changed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_closed_decoder","content":"pub fn webhook_discussion_closed_decoder() -&gt; Decoder(\n  WebhookDiscussionClosed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_closed_decoder\nmidas/sdk/github/schema webhook_discussion_closed_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_closed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_closed_to_json","content":"pub fn webhook_discussion_closed_to_json(\n  data: WebhookDiscussionClosed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_closed_to_json\nmidas/sdk/github/schema webhook_discussion_closed_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_closed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_created_decoder","content":"pub fn webhook_discussion_comment_created_decoder() -&gt; Decoder(\n  WebhookDiscussionCommentCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_created_decoder\nmidas/sdk/github/schema webhook_discussion_comment_created_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_comment_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_created_to_json","content":"pub fn webhook_discussion_comment_created_to_json(\n  data: WebhookDiscussionCommentCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_created_to_json\nmidas/sdk/github/schema webhook_discussion_comment_created_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_comment_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_deleted_decoder","content":"pub fn webhook_discussion_comment_deleted_decoder() -&gt; Decoder(\n  WebhookDiscussionCommentDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_deleted_decoder\nmidas/sdk/github/schema webhook_discussion_comment_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_comment_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_deleted_to_json","content":"pub fn webhook_discussion_comment_deleted_to_json(\n  data: WebhookDiscussionCommentDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_deleted_to_json\nmidas/sdk/github/schema webhook_discussion_comment_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_comment_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_edited_decoder","content":"pub fn webhook_discussion_comment_edited_decoder() -&gt; Decoder(\n  WebhookDiscussionCommentEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_edited_decoder\nmidas/sdk/github/schema webhook_discussion_comment_edited_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_comment_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_comment_edited_to_json","content":"pub fn webhook_discussion_comment_edited_to_json(\n  data: WebhookDiscussionCommentEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_comment_edited_to_json\nmidas/sdk/github/schema webhook_discussion_comment_edited_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_comment_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_created_decoder","content":"pub fn webhook_discussion_created_decoder() -&gt; Decoder(\n  WebhookDiscussionCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_created_decoder\nmidas/sdk/github/schema webhook_discussion_created_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_created_to_json","content":"pub fn webhook_discussion_created_to_json(\n  data: WebhookDiscussionCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_created_to_json\nmidas/sdk/github/schema webhook_discussion_created_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_deleted_decoder","content":"pub fn webhook_discussion_deleted_decoder() -&gt; Decoder(\n  WebhookDiscussionDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_deleted_decoder\nmidas/sdk/github/schema webhook_discussion_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_deleted_to_json","content":"pub fn webhook_discussion_deleted_to_json(\n  data: WebhookDiscussionDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_deleted_to_json\nmidas/sdk/github/schema webhook_discussion_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_edited_decoder","content":"pub fn webhook_discussion_edited_decoder() -&gt; Decoder(\n  WebhookDiscussionEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_edited_decoder\nmidas/sdk/github/schema webhook_discussion_edited_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_edited_to_json","content":"pub fn webhook_discussion_edited_to_json(\n  data: WebhookDiscussionEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_edited_to_json\nmidas/sdk/github/schema webhook_discussion_edited_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_labeled_decoder","content":"pub fn webhook_discussion_labeled_decoder() -&gt; Decoder(\n  WebhookDiscussionLabeled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_labeled_decoder\nmidas/sdk/github/schema webhook_discussion_labeled_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_labeled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_labeled_to_json","content":"pub fn webhook_discussion_labeled_to_json(\n  data: WebhookDiscussionLabeled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_labeled_to_json\nmidas/sdk/github/schema webhook_discussion_labeled_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_labeled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_locked_decoder","content":"pub fn webhook_discussion_locked_decoder() -&gt; Decoder(\n  WebhookDiscussionLocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_locked_decoder\nmidas/sdk/github/schema webhook_discussion_locked_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_locked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_locked_to_json","content":"pub fn webhook_discussion_locked_to_json(\n  data: WebhookDiscussionLocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_locked_to_json\nmidas/sdk/github/schema webhook_discussion_locked_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_locked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_pinned_decoder","content":"pub fn webhook_discussion_pinned_decoder() -&gt; Decoder(\n  WebhookDiscussionPinned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_pinned_decoder\nmidas/sdk/github/schema webhook_discussion_pinned_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_pinned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_pinned_to_json","content":"pub fn webhook_discussion_pinned_to_json(\n  data: WebhookDiscussionPinned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_pinned_to_json\nmidas/sdk/github/schema webhook_discussion_pinned_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_pinned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_reopened_decoder","content":"pub fn webhook_discussion_reopened_decoder() -&gt; Decoder(\n  WebhookDiscussionReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_reopened_decoder\nmidas/sdk/github/schema webhook_discussion_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_reopened_to_json","content":"pub fn webhook_discussion_reopened_to_json(\n  data: WebhookDiscussionReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_reopened_to_json\nmidas/sdk/github/schema webhook_discussion_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_transferred_decoder","content":"pub fn webhook_discussion_transferred_decoder() -&gt; Decoder(\n  WebhookDiscussionTransferred,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_transferred_decoder\nmidas/sdk/github/schema webhook_discussion_transferred_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_transferred_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_transferred_to_json","content":"pub fn webhook_discussion_transferred_to_json(\n  data: WebhookDiscussionTransferred,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_transferred_to_json\nmidas/sdk/github/schema webhook_discussion_transferred_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_transferred_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unanswered_decoder","content":"pub fn webhook_discussion_unanswered_decoder() -&gt; Decoder(\n  WebhookDiscussionUnanswered,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unanswered_decoder\nmidas/sdk/github/schema webhook_discussion_unanswered_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_unanswered_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unanswered_to_json","content":"pub fn webhook_discussion_unanswered_to_json(\n  data: WebhookDiscussionUnanswered,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unanswered_to_json\nmidas/sdk/github/schema webhook_discussion_unanswered_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_unanswered_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unlabeled_decoder","content":"pub fn webhook_discussion_unlabeled_decoder() -&gt; Decoder(\n  WebhookDiscussionUnlabeled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unlabeled_decoder\nmidas/sdk/github/schema webhook_discussion_unlabeled_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_unlabeled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unlabeled_to_json","content":"pub fn webhook_discussion_unlabeled_to_json(\n  data: WebhookDiscussionUnlabeled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unlabeled_to_json\nmidas/sdk/github/schema webhook_discussion_unlabeled_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_unlabeled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unlocked_decoder","content":"pub fn webhook_discussion_unlocked_decoder() -&gt; Decoder(\n  WebhookDiscussionUnlocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unlocked_decoder\nmidas/sdk/github/schema webhook_discussion_unlocked_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_unlocked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unlocked_to_json","content":"pub fn webhook_discussion_unlocked_to_json(\n  data: WebhookDiscussionUnlocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unlocked_to_json\nmidas/sdk/github/schema webhook_discussion_unlocked_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_unlocked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unpinned_decoder","content":"pub fn webhook_discussion_unpinned_decoder() -&gt; Decoder(\n  WebhookDiscussionUnpinned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unpinned_decoder\nmidas/sdk/github/schema webhook_discussion_unpinned_decoder","url":"midas/sdk/github/schema.html#webhook_discussion_unpinned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_discussion_unpinned_to_json","content":"pub fn webhook_discussion_unpinned_to_json(\n  data: WebhookDiscussionUnpinned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_discussion_unpinned_to_json\nmidas/sdk/github/schema webhook_discussion_unpinned_to_json","url":"midas/sdk/github/schema.html#webhook_discussion_unpinned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_fork_decoder","content":"pub fn webhook_fork_decoder() -&gt; Decoder(WebhookFork)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_fork_decoder\nmidas/sdk/github/schema webhook_fork_decoder","url":"midas/sdk/github/schema.html#webhook_fork_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_fork_to_json","content":"pub fn webhook_fork_to_json(data: WebhookFork) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_fork_to_json\nmidas/sdk/github/schema webhook_fork_to_json","url":"midas/sdk/github/schema.html#webhook_fork_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_github_app_authorization_revoked_decoder","content":"pub fn webhook_github_app_authorization_revoked_decoder() -&gt; Decoder(\n  WebhookGithubAppAuthorizationRevoked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_github_app_authorization_revoked_decoder\nmidas/sdk/github/schema webhook_github_app_authorization_revoked_decoder","url":"midas/sdk/github/schema.html#webhook_github_app_authorization_revoked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_github_app_authorization_revoked_to_json","content":"pub fn webhook_github_app_authorization_revoked_to_json(\n  data: WebhookGithubAppAuthorizationRevoked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_github_app_authorization_revoked_to_json\nmidas/sdk/github/schema webhook_github_app_authorization_revoked_to_json","url":"midas/sdk/github/schema.html#webhook_github_app_authorization_revoked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_gollum_decoder","content":"pub fn webhook_gollum_decoder() -&gt; Decoder(WebhookGollum)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_gollum_decoder\nmidas/sdk/github/schema webhook_gollum_decoder","url":"midas/sdk/github/schema.html#webhook_gollum_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_gollum_to_json","content":"pub fn webhook_gollum_to_json(data: WebhookGollum) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_gollum_to_json\nmidas/sdk/github/schema webhook_gollum_to_json","url":"midas/sdk/github/schema.html#webhook_gollum_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_created_decoder","content":"pub fn webhook_installation_created_decoder() -&gt; Decoder(\n  WebhookInstallationCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_created_decoder\nmidas/sdk/github/schema webhook_installation_created_decoder","url":"midas/sdk/github/schema.html#webhook_installation_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_created_to_json","content":"pub fn webhook_installation_created_to_json(\n  data: WebhookInstallationCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_created_to_json\nmidas/sdk/github/schema webhook_installation_created_to_json","url":"midas/sdk/github/schema.html#webhook_installation_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_deleted_decoder","content":"pub fn webhook_installation_deleted_decoder() -&gt; Decoder(\n  WebhookInstallationDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_deleted_decoder\nmidas/sdk/github/schema webhook_installation_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_installation_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_deleted_to_json","content":"pub fn webhook_installation_deleted_to_json(\n  data: WebhookInstallationDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_deleted_to_json\nmidas/sdk/github/schema webhook_installation_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_installation_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_new_permissions_accepted_decoder","content":"pub fn webhook_installation_new_permissions_accepted_decoder() -&gt; Decoder(\n  WebhookInstallationNewPermissionsAccepted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_new_permissions_accepted_decoder\nmidas/sdk/github/schema webhook_installation_new_permissions_accepted_decoder","url":"midas/sdk/github/schema.html#webhook_installation_new_permissions_accepted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_new_permissions_accepted_to_json","content":"pub fn webhook_installation_new_permissions_accepted_to_json(\n  data: WebhookInstallationNewPermissionsAccepted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_new_permissions_accepted_to_json\nmidas/sdk/github/schema webhook_installation_new_permissions_accepted_to_json","url":"midas/sdk/github/schema.html#webhook_installation_new_permissions_accepted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_repositories_added_decoder","content":"pub fn webhook_installation_repositories_added_decoder() -&gt; Decoder(\n  WebhookInstallationRepositoriesAdded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_repositories_added_decoder\nmidas/sdk/github/schema webhook_installation_repositories_added_decoder","url":"midas/sdk/github/schema.html#webhook_installation_repositories_added_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_repositories_added_to_json","content":"pub fn webhook_installation_repositories_added_to_json(\n  data: WebhookInstallationRepositoriesAdded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_repositories_added_to_json\nmidas/sdk/github/schema webhook_installation_repositories_added_to_json","url":"midas/sdk/github/schema.html#webhook_installation_repositories_added_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_repositories_removed_decoder","content":"pub fn webhook_installation_repositories_removed_decoder() -&gt; Decoder(\n  WebhookInstallationRepositoriesRemoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_repositories_removed_decoder\nmidas/sdk/github/schema webhook_installation_repositories_removed_decoder","url":"midas/sdk/github/schema.html#webhook_installation_repositories_removed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_repositories_removed_to_json","content":"pub fn webhook_installation_repositories_removed_to_json(\n  data: WebhookInstallationRepositoriesRemoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_repositories_removed_to_json\nmidas/sdk/github/schema webhook_installation_repositories_removed_to_json","url":"midas/sdk/github/schema.html#webhook_installation_repositories_removed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_suspend_decoder","content":"pub fn webhook_installation_suspend_decoder() -&gt; Decoder(\n  WebhookInstallationSuspend,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_suspend_decoder\nmidas/sdk/github/schema webhook_installation_suspend_decoder","url":"midas/sdk/github/schema.html#webhook_installation_suspend_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_suspend_to_json","content":"pub fn webhook_installation_suspend_to_json(\n  data: WebhookInstallationSuspend,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_suspend_to_json\nmidas/sdk/github/schema webhook_installation_suspend_to_json","url":"midas/sdk/github/schema.html#webhook_installation_suspend_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_target_renamed_decoder","content":"pub fn webhook_installation_target_renamed_decoder() -&gt; Decoder(\n  WebhookInstallationTargetRenamed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_target_renamed_decoder\nmidas/sdk/github/schema webhook_installation_target_renamed_decoder","url":"midas/sdk/github/schema.html#webhook_installation_target_renamed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_target_renamed_to_json","content":"pub fn webhook_installation_target_renamed_to_json(\n  data: WebhookInstallationTargetRenamed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_target_renamed_to_json\nmidas/sdk/github/schema webhook_installation_target_renamed_to_json","url":"midas/sdk/github/schema.html#webhook_installation_target_renamed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_unsuspend_decoder","content":"pub fn webhook_installation_unsuspend_decoder() -&gt; Decoder(\n  WebhookInstallationUnsuspend,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_unsuspend_decoder\nmidas/sdk/github/schema webhook_installation_unsuspend_decoder","url":"midas/sdk/github/schema.html#webhook_installation_unsuspend_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_installation_unsuspend_to_json","content":"pub fn webhook_installation_unsuspend_to_json(\n  data: WebhookInstallationUnsuspend,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_installation_unsuspend_to_json\nmidas/sdk/github/schema webhook_installation_unsuspend_to_json","url":"midas/sdk/github/schema.html#webhook_installation_unsuspend_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_created_decoder","content":"pub fn webhook_issue_comment_created_decoder() -&gt; Decoder(\n  WebhookIssueCommentCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_created_decoder\nmidas/sdk/github/schema webhook_issue_comment_created_decoder","url":"midas/sdk/github/schema.html#webhook_issue_comment_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_created_to_json","content":"pub fn webhook_issue_comment_created_to_json(\n  data: WebhookIssueCommentCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_created_to_json\nmidas/sdk/github/schema webhook_issue_comment_created_to_json","url":"midas/sdk/github/schema.html#webhook_issue_comment_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_deleted_decoder","content":"pub fn webhook_issue_comment_deleted_decoder() -&gt; Decoder(\n  WebhookIssueCommentDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_deleted_decoder\nmidas/sdk/github/schema webhook_issue_comment_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_issue_comment_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_deleted_to_json","content":"pub fn webhook_issue_comment_deleted_to_json(\n  data: WebhookIssueCommentDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_deleted_to_json\nmidas/sdk/github/schema webhook_issue_comment_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_issue_comment_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_edited_decoder","content":"pub fn webhook_issue_comment_edited_decoder() -&gt; Decoder(\n  WebhookIssueCommentEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_edited_decoder\nmidas/sdk/github/schema webhook_issue_comment_edited_decoder","url":"midas/sdk/github/schema.html#webhook_issue_comment_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issue_comment_edited_to_json","content":"pub fn webhook_issue_comment_edited_to_json(\n  data: WebhookIssueCommentEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issue_comment_edited_to_json\nmidas/sdk/github/schema webhook_issue_comment_edited_to_json","url":"midas/sdk/github/schema.html#webhook_issue_comment_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_assigned_decoder","content":"pub fn webhook_issues_assigned_decoder() -&gt; Decoder(\n  WebhookIssuesAssigned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_assigned_decoder\nmidas/sdk/github/schema webhook_issues_assigned_decoder","url":"midas/sdk/github/schema.html#webhook_issues_assigned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_assigned_to_json","content":"pub fn webhook_issues_assigned_to_json(\n  data: WebhookIssuesAssigned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_assigned_to_json\nmidas/sdk/github/schema webhook_issues_assigned_to_json","url":"midas/sdk/github/schema.html#webhook_issues_assigned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_closed_decoder","content":"pub fn webhook_issues_closed_decoder() -&gt; Decoder(\n  WebhookIssuesClosed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_closed_decoder\nmidas/sdk/github/schema webhook_issues_closed_decoder","url":"midas/sdk/github/schema.html#webhook_issues_closed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_closed_to_json","content":"pub fn webhook_issues_closed_to_json(\n  data: WebhookIssuesClosed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_closed_to_json\nmidas/sdk/github/schema webhook_issues_closed_to_json","url":"midas/sdk/github/schema.html#webhook_issues_closed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_deleted_decoder","content":"pub fn webhook_issues_deleted_decoder() -&gt; Decoder(\n  WebhookIssuesDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_deleted_decoder\nmidas/sdk/github/schema webhook_issues_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_issues_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_deleted_to_json","content":"pub fn webhook_issues_deleted_to_json(\n  data: WebhookIssuesDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_deleted_to_json\nmidas/sdk/github/schema webhook_issues_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_issues_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_demilestoned_decoder","content":"pub fn webhook_issues_demilestoned_decoder() -&gt; Decoder(\n  WebhookIssuesDemilestoned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_demilestoned_decoder\nmidas/sdk/github/schema webhook_issues_demilestoned_decoder","url":"midas/sdk/github/schema.html#webhook_issues_demilestoned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_demilestoned_to_json","content":"pub fn webhook_issues_demilestoned_to_json(\n  data: WebhookIssuesDemilestoned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_demilestoned_to_json\nmidas/sdk/github/schema webhook_issues_demilestoned_to_json","url":"midas/sdk/github/schema.html#webhook_issues_demilestoned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_edited_decoder","content":"pub fn webhook_issues_edited_decoder() -&gt; Decoder(\n  WebhookIssuesEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_edited_decoder\nmidas/sdk/github/schema webhook_issues_edited_decoder","url":"midas/sdk/github/schema.html#webhook_issues_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_edited_to_json","content":"pub fn webhook_issues_edited_to_json(\n  data: WebhookIssuesEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_edited_to_json\nmidas/sdk/github/schema webhook_issues_edited_to_json","url":"midas/sdk/github/schema.html#webhook_issues_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_labeled_decoder","content":"pub fn webhook_issues_labeled_decoder() -&gt; Decoder(\n  WebhookIssuesLabeled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_labeled_decoder\nmidas/sdk/github/schema webhook_issues_labeled_decoder","url":"midas/sdk/github/schema.html#webhook_issues_labeled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_labeled_to_json","content":"pub fn webhook_issues_labeled_to_json(\n  data: WebhookIssuesLabeled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_labeled_to_json\nmidas/sdk/github/schema webhook_issues_labeled_to_json","url":"midas/sdk/github/schema.html#webhook_issues_labeled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_locked_decoder","content":"pub fn webhook_issues_locked_decoder() -&gt; Decoder(\n  WebhookIssuesLocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_locked_decoder\nmidas/sdk/github/schema webhook_issues_locked_decoder","url":"midas/sdk/github/schema.html#webhook_issues_locked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_locked_to_json","content":"pub fn webhook_issues_locked_to_json(\n  data: WebhookIssuesLocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_locked_to_json\nmidas/sdk/github/schema webhook_issues_locked_to_json","url":"midas/sdk/github/schema.html#webhook_issues_locked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_milestoned_decoder","content":"pub fn webhook_issues_milestoned_decoder() -&gt; Decoder(\n  WebhookIssuesMilestoned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_milestoned_decoder\nmidas/sdk/github/schema webhook_issues_milestoned_decoder","url":"midas/sdk/github/schema.html#webhook_issues_milestoned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_milestoned_to_json","content":"pub fn webhook_issues_milestoned_to_json(\n  data: WebhookIssuesMilestoned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_milestoned_to_json\nmidas/sdk/github/schema webhook_issues_milestoned_to_json","url":"midas/sdk/github/schema.html#webhook_issues_milestoned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_opened_decoder","content":"pub fn webhook_issues_opened_decoder() -&gt; Decoder(\n  WebhookIssuesOpened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_opened_decoder\nmidas/sdk/github/schema webhook_issues_opened_decoder","url":"midas/sdk/github/schema.html#webhook_issues_opened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_opened_to_json","content":"pub fn webhook_issues_opened_to_json(\n  data: WebhookIssuesOpened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_opened_to_json\nmidas/sdk/github/schema webhook_issues_opened_to_json","url":"midas/sdk/github/schema.html#webhook_issues_opened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_pinned_decoder","content":"pub fn webhook_issues_pinned_decoder() -&gt; Decoder(\n  WebhookIssuesPinned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_pinned_decoder\nmidas/sdk/github/schema webhook_issues_pinned_decoder","url":"midas/sdk/github/schema.html#webhook_issues_pinned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_pinned_to_json","content":"pub fn webhook_issues_pinned_to_json(\n  data: WebhookIssuesPinned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_pinned_to_json\nmidas/sdk/github/schema webhook_issues_pinned_to_json","url":"midas/sdk/github/schema.html#webhook_issues_pinned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_reopened_decoder","content":"pub fn webhook_issues_reopened_decoder() -&gt; Decoder(\n  WebhookIssuesReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_reopened_decoder\nmidas/sdk/github/schema webhook_issues_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_issues_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_reopened_to_json","content":"pub fn webhook_issues_reopened_to_json(\n  data: WebhookIssuesReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_reopened_to_json\nmidas/sdk/github/schema webhook_issues_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_issues_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_transferred_decoder","content":"pub fn webhook_issues_transferred_decoder() -&gt; Decoder(\n  WebhookIssuesTransferred,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_transferred_decoder\nmidas/sdk/github/schema webhook_issues_transferred_decoder","url":"midas/sdk/github/schema.html#webhook_issues_transferred_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_transferred_to_json","content":"pub fn webhook_issues_transferred_to_json(\n  data: WebhookIssuesTransferred,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_transferred_to_json\nmidas/sdk/github/schema webhook_issues_transferred_to_json","url":"midas/sdk/github/schema.html#webhook_issues_transferred_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unassigned_decoder","content":"pub fn webhook_issues_unassigned_decoder() -&gt; Decoder(\n  WebhookIssuesUnassigned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unassigned_decoder\nmidas/sdk/github/schema webhook_issues_unassigned_decoder","url":"midas/sdk/github/schema.html#webhook_issues_unassigned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unassigned_to_json","content":"pub fn webhook_issues_unassigned_to_json(\n  data: WebhookIssuesUnassigned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unassigned_to_json\nmidas/sdk/github/schema webhook_issues_unassigned_to_json","url":"midas/sdk/github/schema.html#webhook_issues_unassigned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unlabeled_decoder","content":"pub fn webhook_issues_unlabeled_decoder() -&gt; Decoder(\n  WebhookIssuesUnlabeled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unlabeled_decoder\nmidas/sdk/github/schema webhook_issues_unlabeled_decoder","url":"midas/sdk/github/schema.html#webhook_issues_unlabeled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unlabeled_to_json","content":"pub fn webhook_issues_unlabeled_to_json(\n  data: WebhookIssuesUnlabeled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unlabeled_to_json\nmidas/sdk/github/schema webhook_issues_unlabeled_to_json","url":"midas/sdk/github/schema.html#webhook_issues_unlabeled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unlocked_decoder","content":"pub fn webhook_issues_unlocked_decoder() -&gt; Decoder(\n  WebhookIssuesUnlocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unlocked_decoder\nmidas/sdk/github/schema webhook_issues_unlocked_decoder","url":"midas/sdk/github/schema.html#webhook_issues_unlocked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unlocked_to_json","content":"pub fn webhook_issues_unlocked_to_json(\n  data: WebhookIssuesUnlocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unlocked_to_json\nmidas/sdk/github/schema webhook_issues_unlocked_to_json","url":"midas/sdk/github/schema.html#webhook_issues_unlocked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unpinned_decoder","content":"pub fn webhook_issues_unpinned_decoder() -&gt; Decoder(\n  WebhookIssuesUnpinned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unpinned_decoder\nmidas/sdk/github/schema webhook_issues_unpinned_decoder","url":"midas/sdk/github/schema.html#webhook_issues_unpinned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_issues_unpinned_to_json","content":"pub fn webhook_issues_unpinned_to_json(\n  data: WebhookIssuesUnpinned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_issues_unpinned_to_json\nmidas/sdk/github/schema webhook_issues_unpinned_to_json","url":"midas/sdk/github/schema.html#webhook_issues_unpinned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_label_created_decoder","content":"pub fn webhook_label_created_decoder() -&gt; Decoder(\n  WebhookLabelCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_created_decoder\nmidas/sdk/github/schema webhook_label_created_decoder","url":"midas/sdk/github/schema.html#webhook_label_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_label_created_to_json","content":"pub fn webhook_label_created_to_json(\n  data: WebhookLabelCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_created_to_json\nmidas/sdk/github/schema webhook_label_created_to_json","url":"midas/sdk/github/schema.html#webhook_label_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_label_deleted_decoder","content":"pub fn webhook_label_deleted_decoder() -&gt; Decoder(\n  WebhookLabelDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_deleted_decoder\nmidas/sdk/github/schema webhook_label_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_label_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_label_deleted_to_json","content":"pub fn webhook_label_deleted_to_json(\n  data: WebhookLabelDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_deleted_to_json\nmidas/sdk/github/schema webhook_label_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_label_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_label_edited_decoder","content":"pub fn webhook_label_edited_decoder() -&gt; Decoder(\n  WebhookLabelEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_edited_decoder\nmidas/sdk/github/schema webhook_label_edited_decoder","url":"midas/sdk/github/schema.html#webhook_label_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_label_edited_to_json","content":"pub fn webhook_label_edited_to_json(\n  data: WebhookLabelEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_label_edited_to_json\nmidas/sdk/github/schema webhook_label_edited_to_json","url":"midas/sdk/github/schema.html#webhook_label_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_cancelled_decoder","content":"pub fn webhook_marketplace_purchase_cancelled_decoder() -&gt; Decoder(\n  WebhookMarketplacePurchaseCancelled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_cancelled_decoder\nmidas/sdk/github/schema webhook_marketplace_purchase_cancelled_decoder","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_cancelled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_cancelled_to_json","content":"pub fn webhook_marketplace_purchase_cancelled_to_json(\n  data: WebhookMarketplacePurchaseCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_cancelled_to_json\nmidas/sdk/github/schema webhook_marketplace_purchase_cancelled_to_json","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_cancelled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_changed_decoder","content":"pub fn webhook_marketplace_purchase_changed_decoder() -&gt; Decoder(\n  WebhookMarketplacePurchaseChanged,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_changed_decoder\nmidas/sdk/github/schema webhook_marketplace_purchase_changed_decoder","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_changed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_changed_to_json","content":"pub fn webhook_marketplace_purchase_changed_to_json(\n  data: WebhookMarketplacePurchaseChanged,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_changed_to_json\nmidas/sdk/github/schema webhook_marketplace_purchase_changed_to_json","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_changed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_pending_change_cancelled_decoder","content":"pub fn webhook_marketplace_purchase_pending_change_cancelled_decoder() -&gt; Decoder(\n  WebhookMarketplacePurchasePendingChangeCancelled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_pending_change_cancelled_decoder\nmidas/sdk/github/schema webhook_marketplace_purchase_pending_change_cancelled_decoder","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_pending_change_cancelled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_pending_change_cancelled_to_json","content":"pub fn webhook_marketplace_purchase_pending_change_cancelled_to_json(\n  data: WebhookMarketplacePurchasePendingChangeCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_pending_change_cancelled_to_json\nmidas/sdk/github/schema webhook_marketplace_purchase_pending_change_cancelled_to_json","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_pending_change_cancelled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_pending_change_decoder","content":"pub fn webhook_marketplace_purchase_pending_change_decoder() -&gt; Decoder(\n  WebhookMarketplacePurchasePendingChange,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_pending_change_decoder\nmidas/sdk/github/schema webhook_marketplace_purchase_pending_change_decoder","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_pending_change_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_pending_change_to_json","content":"pub fn webhook_marketplace_purchase_pending_change_to_json(\n  data: WebhookMarketplacePurchasePendingChange,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_pending_change_to_json\nmidas/sdk/github/schema webhook_marketplace_purchase_pending_change_to_json","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_pending_change_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_purchased_decoder","content":"pub fn webhook_marketplace_purchase_purchased_decoder() -&gt; Decoder(\n  WebhookMarketplacePurchasePurchased,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_purchased_decoder\nmidas/sdk/github/schema webhook_marketplace_purchase_purchased_decoder","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_purchased_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_marketplace_purchase_purchased_to_json","content":"pub fn webhook_marketplace_purchase_purchased_to_json(\n  data: WebhookMarketplacePurchasePurchased,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_marketplace_purchase_purchased_to_json\nmidas/sdk/github/schema webhook_marketplace_purchase_purchased_to_json","url":"midas/sdk/github/schema.html#webhook_marketplace_purchase_purchased_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_member_added_decoder","content":"pub fn webhook_member_added_decoder() -&gt; Decoder(\n  WebhookMemberAdded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_added_decoder\nmidas/sdk/github/schema webhook_member_added_decoder","url":"midas/sdk/github/schema.html#webhook_member_added_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_member_added_to_json","content":"pub fn webhook_member_added_to_json(\n  data: WebhookMemberAdded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_added_to_json\nmidas/sdk/github/schema webhook_member_added_to_json","url":"midas/sdk/github/schema.html#webhook_member_added_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_member_edited_decoder","content":"pub fn webhook_member_edited_decoder() -&gt; Decoder(\n  WebhookMemberEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_edited_decoder\nmidas/sdk/github/schema webhook_member_edited_decoder","url":"midas/sdk/github/schema.html#webhook_member_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_member_edited_to_json","content":"pub fn webhook_member_edited_to_json(\n  data: WebhookMemberEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_edited_to_json\nmidas/sdk/github/schema webhook_member_edited_to_json","url":"midas/sdk/github/schema.html#webhook_member_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_member_removed_decoder","content":"pub fn webhook_member_removed_decoder() -&gt; Decoder(\n  WebhookMemberRemoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_removed_decoder\nmidas/sdk/github/schema webhook_member_removed_decoder","url":"midas/sdk/github/schema.html#webhook_member_removed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_member_removed_to_json","content":"pub fn webhook_member_removed_to_json(\n  data: WebhookMemberRemoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_member_removed_to_json\nmidas/sdk/github/schema webhook_member_removed_to_json","url":"midas/sdk/github/schema.html#webhook_member_removed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_membership_added_decoder","content":"pub fn webhook_membership_added_decoder() -&gt; Decoder(\n  WebhookMembershipAdded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_membership_added_decoder\nmidas/sdk/github/schema webhook_membership_added_decoder","url":"midas/sdk/github/schema.html#webhook_membership_added_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_membership_added_to_json","content":"pub fn webhook_membership_added_to_json(\n  data: WebhookMembershipAdded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_membership_added_to_json\nmidas/sdk/github/schema webhook_membership_added_to_json","url":"midas/sdk/github/schema.html#webhook_membership_added_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_membership_removed_decoder","content":"pub fn webhook_membership_removed_decoder() -&gt; Decoder(\n  WebhookMembershipRemoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_membership_removed_decoder\nmidas/sdk/github/schema webhook_membership_removed_decoder","url":"midas/sdk/github/schema.html#webhook_membership_removed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_membership_removed_to_json","content":"pub fn webhook_membership_removed_to_json(\n  data: WebhookMembershipRemoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_membership_removed_to_json\nmidas/sdk/github/schema webhook_membership_removed_to_json","url":"midas/sdk/github/schema.html#webhook_membership_removed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_merge_group_checks_requested_decoder","content":"pub fn webhook_merge_group_checks_requested_decoder() -&gt; Decoder(\n  WebhookMergeGroupChecksRequested,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_merge_group_checks_requested_decoder\nmidas/sdk/github/schema webhook_merge_group_checks_requested_decoder","url":"midas/sdk/github/schema.html#webhook_merge_group_checks_requested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_merge_group_checks_requested_to_json","content":"pub fn webhook_merge_group_checks_requested_to_json(\n  data: WebhookMergeGroupChecksRequested,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_merge_group_checks_requested_to_json\nmidas/sdk/github/schema webhook_merge_group_checks_requested_to_json","url":"midas/sdk/github/schema.html#webhook_merge_group_checks_requested_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_merge_group_destroyed_decoder","content":"pub fn webhook_merge_group_destroyed_decoder() -&gt; Decoder(\n  WebhookMergeGroupDestroyed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_merge_group_destroyed_decoder\nmidas/sdk/github/schema webhook_merge_group_destroyed_decoder","url":"midas/sdk/github/schema.html#webhook_merge_group_destroyed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_merge_group_destroyed_to_json","content":"pub fn webhook_merge_group_destroyed_to_json(\n  data: WebhookMergeGroupDestroyed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_merge_group_destroyed_to_json\nmidas/sdk/github/schema webhook_merge_group_destroyed_to_json","url":"midas/sdk/github/schema.html#webhook_merge_group_destroyed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_meta_deleted_decoder","content":"pub fn webhook_meta_deleted_decoder() -&gt; Decoder(\n  WebhookMetaDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_meta_deleted_decoder\nmidas/sdk/github/schema webhook_meta_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_meta_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_meta_deleted_to_json","content":"pub fn webhook_meta_deleted_to_json(\n  data: WebhookMetaDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_meta_deleted_to_json\nmidas/sdk/github/schema webhook_meta_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_meta_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_closed_decoder","content":"pub fn webhook_milestone_closed_decoder() -&gt; Decoder(\n  WebhookMilestoneClosed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_closed_decoder\nmidas/sdk/github/schema webhook_milestone_closed_decoder","url":"midas/sdk/github/schema.html#webhook_milestone_closed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_closed_to_json","content":"pub fn webhook_milestone_closed_to_json(\n  data: WebhookMilestoneClosed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_closed_to_json\nmidas/sdk/github/schema webhook_milestone_closed_to_json","url":"midas/sdk/github/schema.html#webhook_milestone_closed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_created_decoder","content":"pub fn webhook_milestone_created_decoder() -&gt; Decoder(\n  WebhookMilestoneCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_created_decoder\nmidas/sdk/github/schema webhook_milestone_created_decoder","url":"midas/sdk/github/schema.html#webhook_milestone_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_created_to_json","content":"pub fn webhook_milestone_created_to_json(\n  data: WebhookMilestoneCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_created_to_json\nmidas/sdk/github/schema webhook_milestone_created_to_json","url":"midas/sdk/github/schema.html#webhook_milestone_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_deleted_decoder","content":"pub fn webhook_milestone_deleted_decoder() -&gt; Decoder(\n  WebhookMilestoneDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_deleted_decoder\nmidas/sdk/github/schema webhook_milestone_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_milestone_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_deleted_to_json","content":"pub fn webhook_milestone_deleted_to_json(\n  data: WebhookMilestoneDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_deleted_to_json\nmidas/sdk/github/schema webhook_milestone_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_milestone_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_edited_decoder","content":"pub fn webhook_milestone_edited_decoder() -&gt; Decoder(\n  WebhookMilestoneEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_edited_decoder\nmidas/sdk/github/schema webhook_milestone_edited_decoder","url":"midas/sdk/github/schema.html#webhook_milestone_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_edited_to_json","content":"pub fn webhook_milestone_edited_to_json(\n  data: WebhookMilestoneEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_edited_to_json\nmidas/sdk/github/schema webhook_milestone_edited_to_json","url":"midas/sdk/github/schema.html#webhook_milestone_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_opened_decoder","content":"pub fn webhook_milestone_opened_decoder() -&gt; Decoder(\n  WebhookMilestoneOpened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_opened_decoder\nmidas/sdk/github/schema webhook_milestone_opened_decoder","url":"midas/sdk/github/schema.html#webhook_milestone_opened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_milestone_opened_to_json","content":"pub fn webhook_milestone_opened_to_json(\n  data: WebhookMilestoneOpened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_milestone_opened_to_json\nmidas/sdk/github/schema webhook_milestone_opened_to_json","url":"midas/sdk/github/schema.html#webhook_milestone_opened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_org_block_blocked_decoder","content":"pub fn webhook_org_block_blocked_decoder() -&gt; Decoder(\n  WebhookOrgBlockBlocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_org_block_blocked_decoder\nmidas/sdk/github/schema webhook_org_block_blocked_decoder","url":"midas/sdk/github/schema.html#webhook_org_block_blocked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_org_block_blocked_to_json","content":"pub fn webhook_org_block_blocked_to_json(\n  data: WebhookOrgBlockBlocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_org_block_blocked_to_json\nmidas/sdk/github/schema webhook_org_block_blocked_to_json","url":"midas/sdk/github/schema.html#webhook_org_block_blocked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_org_block_unblocked_decoder","content":"pub fn webhook_org_block_unblocked_decoder() -&gt; Decoder(\n  WebhookOrgBlockUnblocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_org_block_unblocked_decoder\nmidas/sdk/github/schema webhook_org_block_unblocked_decoder","url":"midas/sdk/github/schema.html#webhook_org_block_unblocked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_org_block_unblocked_to_json","content":"pub fn webhook_org_block_unblocked_to_json(\n  data: WebhookOrgBlockUnblocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_org_block_unblocked_to_json\nmidas/sdk/github/schema webhook_org_block_unblocked_to_json","url":"midas/sdk/github/schema.html#webhook_org_block_unblocked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_deleted_decoder","content":"pub fn webhook_organization_deleted_decoder() -&gt; Decoder(\n  WebhookOrganizationDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_deleted_decoder\nmidas/sdk/github/schema webhook_organization_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_organization_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_deleted_to_json","content":"pub fn webhook_organization_deleted_to_json(\n  data: WebhookOrganizationDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_deleted_to_json\nmidas/sdk/github/schema webhook_organization_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_organization_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_added_decoder","content":"pub fn webhook_organization_member_added_decoder() -&gt; Decoder(\n  WebhookOrganizationMemberAdded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_added_decoder\nmidas/sdk/github/schema webhook_organization_member_added_decoder","url":"midas/sdk/github/schema.html#webhook_organization_member_added_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_added_to_json","content":"pub fn webhook_organization_member_added_to_json(\n  data: WebhookOrganizationMemberAdded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_added_to_json\nmidas/sdk/github/schema webhook_organization_member_added_to_json","url":"midas/sdk/github/schema.html#webhook_organization_member_added_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_invited_decoder","content":"pub fn webhook_organization_member_invited_decoder() -&gt; Decoder(\n  WebhookOrganizationMemberInvited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_invited_decoder\nmidas/sdk/github/schema webhook_organization_member_invited_decoder","url":"midas/sdk/github/schema.html#webhook_organization_member_invited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_invited_to_json","content":"pub fn webhook_organization_member_invited_to_json(\n  data: WebhookOrganizationMemberInvited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_invited_to_json\nmidas/sdk/github/schema webhook_organization_member_invited_to_json","url":"midas/sdk/github/schema.html#webhook_organization_member_invited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_removed_decoder","content":"pub fn webhook_organization_member_removed_decoder() -&gt; Decoder(\n  WebhookOrganizationMemberRemoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_removed_decoder\nmidas/sdk/github/schema webhook_organization_member_removed_decoder","url":"midas/sdk/github/schema.html#webhook_organization_member_removed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_member_removed_to_json","content":"pub fn webhook_organization_member_removed_to_json(\n  data: WebhookOrganizationMemberRemoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_member_removed_to_json\nmidas/sdk/github/schema webhook_organization_member_removed_to_json","url":"midas/sdk/github/schema.html#webhook_organization_member_removed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_renamed_decoder","content":"pub fn webhook_organization_renamed_decoder() -&gt; Decoder(\n  WebhookOrganizationRenamed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_renamed_decoder\nmidas/sdk/github/schema webhook_organization_renamed_decoder","url":"midas/sdk/github/schema.html#webhook_organization_renamed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_organization_renamed_to_json","content":"pub fn webhook_organization_renamed_to_json(\n  data: WebhookOrganizationRenamed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_organization_renamed_to_json\nmidas/sdk/github/schema webhook_organization_renamed_to_json","url":"midas/sdk/github/schema.html#webhook_organization_renamed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_package_published_decoder","content":"pub fn webhook_package_published_decoder() -&gt; Decoder(\n  WebhookPackagePublished,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_package_published_decoder\nmidas/sdk/github/schema webhook_package_published_decoder","url":"midas/sdk/github/schema.html#webhook_package_published_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_package_published_to_json","content":"pub fn webhook_package_published_to_json(\n  data: WebhookPackagePublished,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_package_published_to_json\nmidas/sdk/github/schema webhook_package_published_to_json","url":"midas/sdk/github/schema.html#webhook_package_published_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_package_updated_decoder","content":"pub fn webhook_package_updated_decoder() -&gt; Decoder(\n  WebhookPackageUpdated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_package_updated_decoder\nmidas/sdk/github/schema webhook_package_updated_decoder","url":"midas/sdk/github/schema.html#webhook_package_updated_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_package_updated_to_json","content":"pub fn webhook_package_updated_to_json(\n  data: WebhookPackageUpdated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_package_updated_to_json\nmidas/sdk/github/schema webhook_package_updated_to_json","url":"midas/sdk/github/schema.html#webhook_package_updated_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_page_build_decoder","content":"pub fn webhook_page_build_decoder() -&gt; Decoder(WebhookPageBuild)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_page_build_decoder\nmidas/sdk/github/schema webhook_page_build_decoder","url":"midas/sdk/github/schema.html#webhook_page_build_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_page_build_to_json","content":"pub fn webhook_page_build_to_json(data: WebhookPageBuild) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_page_build_to_json\nmidas/sdk/github/schema webhook_page_build_to_json","url":"midas/sdk/github/schema.html#webhook_page_build_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_approved_decoder","content":"pub fn webhook_personal_access_token_request_approved_decoder() -&gt; Decoder(\n  WebhookPersonalAccessTokenRequestApproved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_approved_decoder\nmidas/sdk/github/schema webhook_personal_access_token_request_approved_decoder","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_approved_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_approved_to_json","content":"pub fn webhook_personal_access_token_request_approved_to_json(\n  data: WebhookPersonalAccessTokenRequestApproved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_approved_to_json\nmidas/sdk/github/schema webhook_personal_access_token_request_approved_to_json","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_approved_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_cancelled_decoder","content":"pub fn webhook_personal_access_token_request_cancelled_decoder() -&gt; Decoder(\n  WebhookPersonalAccessTokenRequestCancelled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_cancelled_decoder\nmidas/sdk/github/schema webhook_personal_access_token_request_cancelled_decoder","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_cancelled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_cancelled_to_json","content":"pub fn webhook_personal_access_token_request_cancelled_to_json(\n  data: WebhookPersonalAccessTokenRequestCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_cancelled_to_json\nmidas/sdk/github/schema webhook_personal_access_token_request_cancelled_to_json","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_cancelled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_created_decoder","content":"pub fn webhook_personal_access_token_request_created_decoder() -&gt; Decoder(\n  WebhookPersonalAccessTokenRequestCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_created_decoder\nmidas/sdk/github/schema webhook_personal_access_token_request_created_decoder","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_created_to_json","content":"pub fn webhook_personal_access_token_request_created_to_json(\n  data: WebhookPersonalAccessTokenRequestCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_created_to_json\nmidas/sdk/github/schema webhook_personal_access_token_request_created_to_json","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_denied_decoder","content":"pub fn webhook_personal_access_token_request_denied_decoder() -&gt; Decoder(\n  WebhookPersonalAccessTokenRequestDenied,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_denied_decoder\nmidas/sdk/github/schema webhook_personal_access_token_request_denied_decoder","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_denied_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_personal_access_token_request_denied_to_json","content":"pub fn webhook_personal_access_token_request_denied_to_json(\n  data: WebhookPersonalAccessTokenRequestDenied,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_personal_access_token_request_denied_to_json\nmidas/sdk/github/schema webhook_personal_access_token_request_denied_to_json","url":"midas/sdk/github/schema.html#webhook_personal_access_token_request_denied_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_ping_decoder","content":"pub fn webhook_ping_decoder() -&gt; Decoder(WebhookPing)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_ping_decoder\nmidas/sdk/github/schema webhook_ping_decoder","url":"midas/sdk/github/schema.html#webhook_ping_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_ping_form_encoded_decoder","content":"pub fn webhook_ping_form_encoded_decoder() -&gt; Decoder(\n  WebhookPingFormEncoded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_ping_form_encoded_decoder\nmidas/sdk/github/schema webhook_ping_form_encoded_decoder","url":"midas/sdk/github/schema.html#webhook_ping_form_encoded_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_ping_form_encoded_to_json","content":"pub fn webhook_ping_form_encoded_to_json(\n  data: WebhookPingFormEncoded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_ping_form_encoded_to_json\nmidas/sdk/github/schema webhook_ping_form_encoded_to_json","url":"midas/sdk/github/schema.html#webhook_ping_form_encoded_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_ping_to_json","content":"pub fn webhook_ping_to_json(data: WebhookPing) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_ping_to_json\nmidas/sdk/github/schema webhook_ping_to_json","url":"midas/sdk/github/schema.html#webhook_ping_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_converted_decoder","content":"pub fn webhook_project_card_converted_decoder() -&gt; Decoder(\n  WebhookProjectCardConverted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_converted_decoder\nmidas/sdk/github/schema webhook_project_card_converted_decoder","url":"midas/sdk/github/schema.html#webhook_project_card_converted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_converted_to_json","content":"pub fn webhook_project_card_converted_to_json(\n  data: WebhookProjectCardConverted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_converted_to_json\nmidas/sdk/github/schema webhook_project_card_converted_to_json","url":"midas/sdk/github/schema.html#webhook_project_card_converted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_created_decoder","content":"pub fn webhook_project_card_created_decoder() -&gt; Decoder(\n  WebhookProjectCardCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_created_decoder\nmidas/sdk/github/schema webhook_project_card_created_decoder","url":"midas/sdk/github/schema.html#webhook_project_card_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_created_to_json","content":"pub fn webhook_project_card_created_to_json(\n  data: WebhookProjectCardCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_created_to_json\nmidas/sdk/github/schema webhook_project_card_created_to_json","url":"midas/sdk/github/schema.html#webhook_project_card_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_deleted_decoder","content":"pub fn webhook_project_card_deleted_decoder() -&gt; Decoder(\n  WebhookProjectCardDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_deleted_decoder\nmidas/sdk/github/schema webhook_project_card_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_project_card_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_deleted_to_json","content":"pub fn webhook_project_card_deleted_to_json(\n  data: WebhookProjectCardDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_deleted_to_json\nmidas/sdk/github/schema webhook_project_card_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_project_card_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_edited_decoder","content":"pub fn webhook_project_card_edited_decoder() -&gt; Decoder(\n  WebhookProjectCardEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_edited_decoder\nmidas/sdk/github/schema webhook_project_card_edited_decoder","url":"midas/sdk/github/schema.html#webhook_project_card_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_edited_to_json","content":"pub fn webhook_project_card_edited_to_json(\n  data: WebhookProjectCardEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_edited_to_json\nmidas/sdk/github/schema webhook_project_card_edited_to_json","url":"midas/sdk/github/schema.html#webhook_project_card_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_moved_decoder","content":"pub fn webhook_project_card_moved_decoder() -&gt; Decoder(\n  WebhookProjectCardMoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_moved_decoder\nmidas/sdk/github/schema webhook_project_card_moved_decoder","url":"midas/sdk/github/schema.html#webhook_project_card_moved_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_card_moved_to_json","content":"pub fn webhook_project_card_moved_to_json(\n  data: WebhookProjectCardMoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_card_moved_to_json\nmidas/sdk/github/schema webhook_project_card_moved_to_json","url":"midas/sdk/github/schema.html#webhook_project_card_moved_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_closed_decoder","content":"pub fn webhook_project_closed_decoder() -&gt; Decoder(\n  WebhookProjectClosed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_closed_decoder\nmidas/sdk/github/schema webhook_project_closed_decoder","url":"midas/sdk/github/schema.html#webhook_project_closed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_closed_to_json","content":"pub fn webhook_project_closed_to_json(\n  data: WebhookProjectClosed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_closed_to_json\nmidas/sdk/github/schema webhook_project_closed_to_json","url":"midas/sdk/github/schema.html#webhook_project_closed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_created_decoder","content":"pub fn webhook_project_column_created_decoder() -&gt; Decoder(\n  WebhookProjectColumnCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_created_decoder\nmidas/sdk/github/schema webhook_project_column_created_decoder","url":"midas/sdk/github/schema.html#webhook_project_column_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_created_to_json","content":"pub fn webhook_project_column_created_to_json(\n  data: WebhookProjectColumnCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_created_to_json\nmidas/sdk/github/schema webhook_project_column_created_to_json","url":"midas/sdk/github/schema.html#webhook_project_column_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_deleted_decoder","content":"pub fn webhook_project_column_deleted_decoder() -&gt; Decoder(\n  WebhookProjectColumnDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_deleted_decoder\nmidas/sdk/github/schema webhook_project_column_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_project_column_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_deleted_to_json","content":"pub fn webhook_project_column_deleted_to_json(\n  data: WebhookProjectColumnDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_deleted_to_json\nmidas/sdk/github/schema webhook_project_column_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_project_column_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_edited_decoder","content":"pub fn webhook_project_column_edited_decoder() -&gt; Decoder(\n  WebhookProjectColumnEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_edited_decoder\nmidas/sdk/github/schema webhook_project_column_edited_decoder","url":"midas/sdk/github/schema.html#webhook_project_column_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_edited_to_json","content":"pub fn webhook_project_column_edited_to_json(\n  data: WebhookProjectColumnEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_edited_to_json\nmidas/sdk/github/schema webhook_project_column_edited_to_json","url":"midas/sdk/github/schema.html#webhook_project_column_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_moved_decoder","content":"pub fn webhook_project_column_moved_decoder() -&gt; Decoder(\n  WebhookProjectColumnMoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_moved_decoder\nmidas/sdk/github/schema webhook_project_column_moved_decoder","url":"midas/sdk/github/schema.html#webhook_project_column_moved_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_column_moved_to_json","content":"pub fn webhook_project_column_moved_to_json(\n  data: WebhookProjectColumnMoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_column_moved_to_json\nmidas/sdk/github/schema webhook_project_column_moved_to_json","url":"midas/sdk/github/schema.html#webhook_project_column_moved_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_created_decoder","content":"pub fn webhook_project_created_decoder() -&gt; Decoder(\n  WebhookProjectCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_created_decoder\nmidas/sdk/github/schema webhook_project_created_decoder","url":"midas/sdk/github/schema.html#webhook_project_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_created_to_json","content":"pub fn webhook_project_created_to_json(\n  data: WebhookProjectCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_created_to_json\nmidas/sdk/github/schema webhook_project_created_to_json","url":"midas/sdk/github/schema.html#webhook_project_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_deleted_decoder","content":"pub fn webhook_project_deleted_decoder() -&gt; Decoder(\n  WebhookProjectDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_deleted_decoder\nmidas/sdk/github/schema webhook_project_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_project_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_deleted_to_json","content":"pub fn webhook_project_deleted_to_json(\n  data: WebhookProjectDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_deleted_to_json\nmidas/sdk/github/schema webhook_project_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_project_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_edited_decoder","content":"pub fn webhook_project_edited_decoder() -&gt; Decoder(\n  WebhookProjectEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_edited_decoder\nmidas/sdk/github/schema webhook_project_edited_decoder","url":"midas/sdk/github/schema.html#webhook_project_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_edited_to_json","content":"pub fn webhook_project_edited_to_json(\n  data: WebhookProjectEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_edited_to_json\nmidas/sdk/github/schema webhook_project_edited_to_json","url":"midas/sdk/github/schema.html#webhook_project_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_project_reopened_decoder","content":"pub fn webhook_project_reopened_decoder() -&gt; Decoder(\n  WebhookProjectReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_reopened_decoder\nmidas/sdk/github/schema webhook_project_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_project_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_project_reopened_to_json","content":"pub fn webhook_project_reopened_to_json(\n  data: WebhookProjectReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_project_reopened_to_json\nmidas/sdk/github/schema webhook_project_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_project_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_archived_decoder","content":"pub fn webhook_projects_v2_item_archived_decoder() -&gt; Decoder(\n  WebhookProjectsV2ItemArchived,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_archived_decoder\nmidas/sdk/github/schema webhook_projects_v2_item_archived_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_archived_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_archived_to_json","content":"pub fn webhook_projects_v2_item_archived_to_json(\n  data: WebhookProjectsV2ItemArchived,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_archived_to_json\nmidas/sdk/github/schema webhook_projects_v2_item_archived_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_archived_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_converted_decoder","content":"pub fn webhook_projects_v2_item_converted_decoder() -&gt; Decoder(\n  WebhookProjectsV2ItemConverted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_converted_decoder\nmidas/sdk/github/schema webhook_projects_v2_item_converted_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_converted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_converted_to_json","content":"pub fn webhook_projects_v2_item_converted_to_json(\n  data: WebhookProjectsV2ItemConverted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_converted_to_json\nmidas/sdk/github/schema webhook_projects_v2_item_converted_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_converted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_created_decoder","content":"pub fn webhook_projects_v2_item_created_decoder() -&gt; Decoder(\n  WebhookProjectsV2ItemCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_created_decoder\nmidas/sdk/github/schema webhook_projects_v2_item_created_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_created_to_json","content":"pub fn webhook_projects_v2_item_created_to_json(\n  data: WebhookProjectsV2ItemCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_created_to_json\nmidas/sdk/github/schema webhook_projects_v2_item_created_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_deleted_decoder","content":"pub fn webhook_projects_v2_item_deleted_decoder() -&gt; Decoder(\n  WebhookProjectsV2ItemDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_deleted_decoder\nmidas/sdk/github/schema webhook_projects_v2_item_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_deleted_to_json","content":"pub fn webhook_projects_v2_item_deleted_to_json(\n  data: WebhookProjectsV2ItemDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_deleted_to_json\nmidas/sdk/github/schema webhook_projects_v2_item_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_edited_decoder","content":"pub fn webhook_projects_v2_item_edited_decoder() -&gt; Decoder(\n  WebhookProjectsV2ItemEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_edited_decoder\nmidas/sdk/github/schema webhook_projects_v2_item_edited_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_edited_to_json","content":"pub fn webhook_projects_v2_item_edited_to_json(\n  data: WebhookProjectsV2ItemEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_edited_to_json\nmidas/sdk/github/schema webhook_projects_v2_item_edited_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_reordered_decoder","content":"pub fn webhook_projects_v2_item_reordered_decoder() -&gt; Decoder(\n  WebhookProjectsV2ItemReordered,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_reordered_decoder\nmidas/sdk/github/schema webhook_projects_v2_item_reordered_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_reordered_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_reordered_to_json","content":"pub fn webhook_projects_v2_item_reordered_to_json(\n  data: WebhookProjectsV2ItemReordered,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_reordered_to_json\nmidas/sdk/github/schema webhook_projects_v2_item_reordered_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_reordered_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_restored_decoder","content":"pub fn webhook_projects_v2_item_restored_decoder() -&gt; Decoder(\n  WebhookProjectsV2ItemRestored,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_restored_decoder\nmidas/sdk/github/schema webhook_projects_v2_item_restored_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_restored_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_item_restored_to_json","content":"pub fn webhook_projects_v2_item_restored_to_json(\n  data: WebhookProjectsV2ItemRestored,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_item_restored_to_json\nmidas/sdk/github/schema webhook_projects_v2_item_restored_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_item_restored_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_closed_decoder","content":"pub fn webhook_projects_v2_project_closed_decoder() -&gt; Decoder(\n  WebhookProjectsV2ProjectClosed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_closed_decoder\nmidas/sdk/github/schema webhook_projects_v2_project_closed_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_closed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_closed_to_json","content":"pub fn webhook_projects_v2_project_closed_to_json(\n  data: WebhookProjectsV2ProjectClosed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_closed_to_json\nmidas/sdk/github/schema webhook_projects_v2_project_closed_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_closed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_created_decoder","content":"pub fn webhook_projects_v2_project_created_decoder() -&gt; Decoder(\n  WebhookProjectsV2ProjectCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_created_decoder\nmidas/sdk/github/schema webhook_projects_v2_project_created_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_created_to_json","content":"pub fn webhook_projects_v2_project_created_to_json(\n  data: WebhookProjectsV2ProjectCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_created_to_json\nmidas/sdk/github/schema webhook_projects_v2_project_created_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_deleted_decoder","content":"pub fn webhook_projects_v2_project_deleted_decoder() -&gt; Decoder(\n  WebhookProjectsV2ProjectDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_deleted_decoder\nmidas/sdk/github/schema webhook_projects_v2_project_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_deleted_to_json","content":"pub fn webhook_projects_v2_project_deleted_to_json(\n  data: WebhookProjectsV2ProjectDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_deleted_to_json\nmidas/sdk/github/schema webhook_projects_v2_project_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_edited_decoder","content":"pub fn webhook_projects_v2_project_edited_decoder() -&gt; Decoder(\n  WebhookProjectsV2ProjectEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_edited_decoder\nmidas/sdk/github/schema webhook_projects_v2_project_edited_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_edited_to_json","content":"pub fn webhook_projects_v2_project_edited_to_json(\n  data: WebhookProjectsV2ProjectEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_edited_to_json\nmidas/sdk/github/schema webhook_projects_v2_project_edited_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_reopened_decoder","content":"pub fn webhook_projects_v2_project_reopened_decoder() -&gt; Decoder(\n  WebhookProjectsV2ProjectReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_reopened_decoder\nmidas/sdk/github/schema webhook_projects_v2_project_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_project_reopened_to_json","content":"pub fn webhook_projects_v2_project_reopened_to_json(\n  data: WebhookProjectsV2ProjectReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_project_reopened_to_json\nmidas/sdk/github/schema webhook_projects_v2_project_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_project_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_created_decoder","content":"pub fn webhook_projects_v2_status_update_created_decoder() -&gt; Decoder(\n  WebhookProjectsV2StatusUpdateCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_created_decoder\nmidas/sdk/github/schema webhook_projects_v2_status_update_created_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_created_to_json","content":"pub fn webhook_projects_v2_status_update_created_to_json(\n  data: WebhookProjectsV2StatusUpdateCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_created_to_json\nmidas/sdk/github/schema webhook_projects_v2_status_update_created_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_deleted_decoder","content":"pub fn webhook_projects_v2_status_update_deleted_decoder() -&gt; Decoder(\n  WebhookProjectsV2StatusUpdateDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_deleted_decoder\nmidas/sdk/github/schema webhook_projects_v2_status_update_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_deleted_to_json","content":"pub fn webhook_projects_v2_status_update_deleted_to_json(\n  data: WebhookProjectsV2StatusUpdateDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_deleted_to_json\nmidas/sdk/github/schema webhook_projects_v2_status_update_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_edited_decoder","content":"pub fn webhook_projects_v2_status_update_edited_decoder() -&gt; Decoder(\n  WebhookProjectsV2StatusUpdateEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_edited_decoder\nmidas/sdk/github/schema webhook_projects_v2_status_update_edited_decoder","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_projects_v2_status_update_edited_to_json","content":"pub fn webhook_projects_v2_status_update_edited_to_json(\n  data: WebhookProjectsV2StatusUpdateEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_projects_v2_status_update_edited_to_json\nmidas/sdk/github/schema webhook_projects_v2_status_update_edited_to_json","url":"midas/sdk/github/schema.html#webhook_projects_v2_status_update_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_public_decoder","content":"pub fn webhook_public_decoder() -&gt; Decoder(WebhookPublic)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_public_decoder\nmidas/sdk/github/schema webhook_public_decoder","url":"midas/sdk/github/schema.html#webhook_public_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_public_to_json","content":"pub fn webhook_public_to_json(data: WebhookPublic) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_public_to_json\nmidas/sdk/github/schema webhook_public_to_json","url":"midas/sdk/github/schema.html#webhook_public_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_assigned_decoder","content":"pub fn webhook_pull_request_assigned_decoder() -&gt; Decoder(\n  WebhookPullRequestAssigned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_assigned_decoder\nmidas/sdk/github/schema webhook_pull_request_assigned_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_assigned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_assigned_to_json","content":"pub fn webhook_pull_request_assigned_to_json(\n  data: WebhookPullRequestAssigned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_assigned_to_json\nmidas/sdk/github/schema webhook_pull_request_assigned_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_assigned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_auto_merge_disabled_decoder","content":"pub fn webhook_pull_request_auto_merge_disabled_decoder() -&gt; Decoder(\n  WebhookPullRequestAutoMergeDisabled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_auto_merge_disabled_decoder\nmidas/sdk/github/schema webhook_pull_request_auto_merge_disabled_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_auto_merge_disabled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_auto_merge_disabled_to_json","content":"pub fn webhook_pull_request_auto_merge_disabled_to_json(\n  data: WebhookPullRequestAutoMergeDisabled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_auto_merge_disabled_to_json\nmidas/sdk/github/schema webhook_pull_request_auto_merge_disabled_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_auto_merge_disabled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_auto_merge_enabled_decoder","content":"pub fn webhook_pull_request_auto_merge_enabled_decoder() -&gt; Decoder(\n  WebhookPullRequestAutoMergeEnabled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_auto_merge_enabled_decoder\nmidas/sdk/github/schema webhook_pull_request_auto_merge_enabled_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_auto_merge_enabled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_auto_merge_enabled_to_json","content":"pub fn webhook_pull_request_auto_merge_enabled_to_json(\n  data: WebhookPullRequestAutoMergeEnabled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_auto_merge_enabled_to_json\nmidas/sdk/github/schema webhook_pull_request_auto_merge_enabled_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_auto_merge_enabled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_closed_decoder","content":"pub fn webhook_pull_request_closed_decoder() -&gt; Decoder(\n  WebhookPullRequestClosed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_closed_decoder\nmidas/sdk/github/schema webhook_pull_request_closed_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_closed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_closed_to_json","content":"pub fn webhook_pull_request_closed_to_json(\n  data: WebhookPullRequestClosed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_closed_to_json\nmidas/sdk/github/schema webhook_pull_request_closed_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_closed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_converted_to_draft_decoder","content":"pub fn webhook_pull_request_converted_to_draft_decoder() -&gt; Decoder(\n  WebhookPullRequestConvertedToDraft,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_converted_to_draft_decoder\nmidas/sdk/github/schema webhook_pull_request_converted_to_draft_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_converted_to_draft_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_converted_to_draft_to_json","content":"pub fn webhook_pull_request_converted_to_draft_to_json(\n  data: WebhookPullRequestConvertedToDraft,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_converted_to_draft_to_json\nmidas/sdk/github/schema webhook_pull_request_converted_to_draft_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_converted_to_draft_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_demilestoned_decoder","content":"pub fn webhook_pull_request_demilestoned_decoder() -&gt; Decoder(\n  WebhookPullRequestDemilestoned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_demilestoned_decoder\nmidas/sdk/github/schema webhook_pull_request_demilestoned_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_demilestoned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_demilestoned_to_json","content":"pub fn webhook_pull_request_demilestoned_to_json(\n  data: WebhookPullRequestDemilestoned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_demilestoned_to_json\nmidas/sdk/github/schema webhook_pull_request_demilestoned_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_demilestoned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_dequeued_decoder","content":"pub fn webhook_pull_request_dequeued_decoder() -&gt; Decoder(\n  WebhookPullRequestDequeued,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_dequeued_decoder\nmidas/sdk/github/schema webhook_pull_request_dequeued_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_dequeued_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_dequeued_to_json","content":"pub fn webhook_pull_request_dequeued_to_json(\n  data: WebhookPullRequestDequeued,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_dequeued_to_json\nmidas/sdk/github/schema webhook_pull_request_dequeued_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_dequeued_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_edited_decoder","content":"pub fn webhook_pull_request_edited_decoder() -&gt; Decoder(\n  WebhookPullRequestEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_edited_decoder\nmidas/sdk/github/schema webhook_pull_request_edited_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_edited_to_json","content":"pub fn webhook_pull_request_edited_to_json(\n  data: WebhookPullRequestEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_edited_to_json\nmidas/sdk/github/schema webhook_pull_request_edited_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_enqueued_decoder","content":"pub fn webhook_pull_request_enqueued_decoder() -&gt; Decoder(\n  WebhookPullRequestEnqueued,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_enqueued_decoder\nmidas/sdk/github/schema webhook_pull_request_enqueued_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_enqueued_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_enqueued_to_json","content":"pub fn webhook_pull_request_enqueued_to_json(\n  data: WebhookPullRequestEnqueued,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_enqueued_to_json\nmidas/sdk/github/schema webhook_pull_request_enqueued_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_enqueued_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_labeled_decoder","content":"pub fn webhook_pull_request_labeled_decoder() -&gt; Decoder(\n  WebhookPullRequestLabeled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_labeled_decoder\nmidas/sdk/github/schema webhook_pull_request_labeled_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_labeled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_labeled_to_json","content":"pub fn webhook_pull_request_labeled_to_json(\n  data: WebhookPullRequestLabeled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_labeled_to_json\nmidas/sdk/github/schema webhook_pull_request_labeled_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_labeled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_locked_decoder","content":"pub fn webhook_pull_request_locked_decoder() -&gt; Decoder(\n  WebhookPullRequestLocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_locked_decoder\nmidas/sdk/github/schema webhook_pull_request_locked_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_locked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_locked_to_json","content":"pub fn webhook_pull_request_locked_to_json(\n  data: WebhookPullRequestLocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_locked_to_json\nmidas/sdk/github/schema webhook_pull_request_locked_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_locked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_milestoned_decoder","content":"pub fn webhook_pull_request_milestoned_decoder() -&gt; Decoder(\n  WebhookPullRequestMilestoned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_milestoned_decoder\nmidas/sdk/github/schema webhook_pull_request_milestoned_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_milestoned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_milestoned_to_json","content":"pub fn webhook_pull_request_milestoned_to_json(\n  data: WebhookPullRequestMilestoned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_milestoned_to_json\nmidas/sdk/github/schema webhook_pull_request_milestoned_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_milestoned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_opened_decoder","content":"pub fn webhook_pull_request_opened_decoder() -&gt; Decoder(\n  WebhookPullRequestOpened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_opened_decoder\nmidas/sdk/github/schema webhook_pull_request_opened_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_opened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_opened_to_json","content":"pub fn webhook_pull_request_opened_to_json(\n  data: WebhookPullRequestOpened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_opened_to_json\nmidas/sdk/github/schema webhook_pull_request_opened_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_opened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_ready_for_review_decoder","content":"pub fn webhook_pull_request_ready_for_review_decoder() -&gt; Decoder(\n  WebhookPullRequestReadyForReview,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_ready_for_review_decoder\nmidas/sdk/github/schema webhook_pull_request_ready_for_review_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_ready_for_review_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_ready_for_review_to_json","content":"pub fn webhook_pull_request_ready_for_review_to_json(\n  data: WebhookPullRequestReadyForReview,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_ready_for_review_to_json\nmidas/sdk/github/schema webhook_pull_request_ready_for_review_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_ready_for_review_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_reopened_decoder","content":"pub fn webhook_pull_request_reopened_decoder() -&gt; Decoder(\n  WebhookPullRequestReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_reopened_decoder\nmidas/sdk/github/schema webhook_pull_request_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_reopened_to_json","content":"pub fn webhook_pull_request_reopened_to_json(\n  data: WebhookPullRequestReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_reopened_to_json\nmidas/sdk/github/schema webhook_pull_request_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_created_decoder","content":"pub fn webhook_pull_request_review_comment_created_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewCommentCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_created_decoder\nmidas/sdk/github/schema webhook_pull_request_review_comment_created_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_created_to_json","content":"pub fn webhook_pull_request_review_comment_created_to_json(\n  data: WebhookPullRequestReviewCommentCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_created_to_json\nmidas/sdk/github/schema webhook_pull_request_review_comment_created_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_deleted_decoder","content":"pub fn webhook_pull_request_review_comment_deleted_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewCommentDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_deleted_decoder\nmidas/sdk/github/schema webhook_pull_request_review_comment_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_deleted_to_json","content":"pub fn webhook_pull_request_review_comment_deleted_to_json(\n  data: WebhookPullRequestReviewCommentDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_deleted_to_json\nmidas/sdk/github/schema webhook_pull_request_review_comment_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_edited_decoder","content":"pub fn webhook_pull_request_review_comment_edited_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewCommentEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_edited_decoder\nmidas/sdk/github/schema webhook_pull_request_review_comment_edited_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_comment_edited_to_json","content":"pub fn webhook_pull_request_review_comment_edited_to_json(\n  data: WebhookPullRequestReviewCommentEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_comment_edited_to_json\nmidas/sdk/github/schema webhook_pull_request_review_comment_edited_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_comment_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_dismissed_decoder","content":"pub fn webhook_pull_request_review_dismissed_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewDismissed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_dismissed_decoder\nmidas/sdk/github/schema webhook_pull_request_review_dismissed_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_dismissed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_dismissed_to_json","content":"pub fn webhook_pull_request_review_dismissed_to_json(\n  data: WebhookPullRequestReviewDismissed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_dismissed_to_json\nmidas/sdk/github/schema webhook_pull_request_review_dismissed_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_dismissed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_edited_decoder","content":"pub fn webhook_pull_request_review_edited_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_edited_decoder\nmidas/sdk/github/schema webhook_pull_request_review_edited_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_edited_to_json","content":"pub fn webhook_pull_request_review_edited_to_json(\n  data: WebhookPullRequestReviewEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_edited_to_json\nmidas/sdk/github/schema webhook_pull_request_review_edited_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_request_removed_decoder","content":"pub fn webhook_pull_request_review_request_removed_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_request_removed_decoder\nmidas/sdk/github/schema webhook_pull_request_review_request_removed_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_request_removed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_requested_decoder","content":"pub fn webhook_pull_request_review_requested_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_requested_decoder\nmidas/sdk/github/schema webhook_pull_request_review_requested_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_requested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_submitted_decoder","content":"pub fn webhook_pull_request_review_submitted_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewSubmitted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_submitted_decoder\nmidas/sdk/github/schema webhook_pull_request_review_submitted_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_submitted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_submitted_to_json","content":"pub fn webhook_pull_request_review_submitted_to_json(\n  data: WebhookPullRequestReviewSubmitted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_submitted_to_json\nmidas/sdk/github/schema webhook_pull_request_review_submitted_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_submitted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_thread_resolved_decoder","content":"pub fn webhook_pull_request_review_thread_resolved_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewThreadResolved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_thread_resolved_decoder\nmidas/sdk/github/schema webhook_pull_request_review_thread_resolved_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_thread_resolved_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_thread_resolved_to_json","content":"pub fn webhook_pull_request_review_thread_resolved_to_json(\n  data: WebhookPullRequestReviewThreadResolved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_thread_resolved_to_json\nmidas/sdk/github/schema webhook_pull_request_review_thread_resolved_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_thread_resolved_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_thread_unresolved_decoder","content":"pub fn webhook_pull_request_review_thread_unresolved_decoder() -&gt; Decoder(\n  WebhookPullRequestReviewThreadUnresolved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_thread_unresolved_decoder\nmidas/sdk/github/schema webhook_pull_request_review_thread_unresolved_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_review_thread_unresolved_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_review_thread_unresolved_to_json","content":"pub fn webhook_pull_request_review_thread_unresolved_to_json(\n  data: WebhookPullRequestReviewThreadUnresolved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_review_thread_unresolved_to_json\nmidas/sdk/github/schema webhook_pull_request_review_thread_unresolved_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_review_thread_unresolved_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_synchronize_decoder","content":"pub fn webhook_pull_request_synchronize_decoder() -&gt; Decoder(\n  WebhookPullRequestSynchronize,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_synchronize_decoder\nmidas/sdk/github/schema webhook_pull_request_synchronize_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_synchronize_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_synchronize_to_json","content":"pub fn webhook_pull_request_synchronize_to_json(\n  data: WebhookPullRequestSynchronize,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_synchronize_to_json\nmidas/sdk/github/schema webhook_pull_request_synchronize_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_synchronize_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unassigned_decoder","content":"pub fn webhook_pull_request_unassigned_decoder() -&gt; Decoder(\n  WebhookPullRequestUnassigned,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unassigned_decoder\nmidas/sdk/github/schema webhook_pull_request_unassigned_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_unassigned_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unassigned_to_json","content":"pub fn webhook_pull_request_unassigned_to_json(\n  data: WebhookPullRequestUnassigned,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unassigned_to_json\nmidas/sdk/github/schema webhook_pull_request_unassigned_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_unassigned_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unlabeled_decoder","content":"pub fn webhook_pull_request_unlabeled_decoder() -&gt; Decoder(\n  WebhookPullRequestUnlabeled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unlabeled_decoder\nmidas/sdk/github/schema webhook_pull_request_unlabeled_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_unlabeled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unlabeled_to_json","content":"pub fn webhook_pull_request_unlabeled_to_json(\n  data: WebhookPullRequestUnlabeled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unlabeled_to_json\nmidas/sdk/github/schema webhook_pull_request_unlabeled_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_unlabeled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unlocked_decoder","content":"pub fn webhook_pull_request_unlocked_decoder() -&gt; Decoder(\n  WebhookPullRequestUnlocked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unlocked_decoder\nmidas/sdk/github/schema webhook_pull_request_unlocked_decoder","url":"midas/sdk/github/schema.html#webhook_pull_request_unlocked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_pull_request_unlocked_to_json","content":"pub fn webhook_pull_request_unlocked_to_json(\n  data: WebhookPullRequestUnlocked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_pull_request_unlocked_to_json\nmidas/sdk/github/schema webhook_pull_request_unlocked_to_json","url":"midas/sdk/github/schema.html#webhook_pull_request_unlocked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_push_decoder","content":"pub fn webhook_push_decoder() -&gt; Decoder(WebhookPush)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_push_decoder\nmidas/sdk/github/schema webhook_push_decoder","url":"midas/sdk/github/schema.html#webhook_push_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_push_to_json","content":"pub fn webhook_push_to_json(data: WebhookPush) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_push_to_json\nmidas/sdk/github/schema webhook_push_to_json","url":"midas/sdk/github/schema.html#webhook_push_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_registry_package_published_decoder","content":"pub fn webhook_registry_package_published_decoder() -&gt; Decoder(\n  WebhookRegistryPackagePublished,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_registry_package_published_decoder\nmidas/sdk/github/schema webhook_registry_package_published_decoder","url":"midas/sdk/github/schema.html#webhook_registry_package_published_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_registry_package_published_to_json","content":"pub fn webhook_registry_package_published_to_json(\n  data: WebhookRegistryPackagePublished,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_registry_package_published_to_json\nmidas/sdk/github/schema webhook_registry_package_published_to_json","url":"midas/sdk/github/schema.html#webhook_registry_package_published_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_registry_package_updated_decoder","content":"pub fn webhook_registry_package_updated_decoder() -&gt; Decoder(\n  WebhookRegistryPackageUpdated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_registry_package_updated_decoder\nmidas/sdk/github/schema webhook_registry_package_updated_decoder","url":"midas/sdk/github/schema.html#webhook_registry_package_updated_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_registry_package_updated_to_json","content":"pub fn webhook_registry_package_updated_to_json(\n  data: WebhookRegistryPackageUpdated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_registry_package_updated_to_json\nmidas/sdk/github/schema webhook_registry_package_updated_to_json","url":"midas/sdk/github/schema.html#webhook_registry_package_updated_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_release_created_decoder","content":"pub fn webhook_release_created_decoder() -&gt; Decoder(\n  WebhookReleaseCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_created_decoder\nmidas/sdk/github/schema webhook_release_created_decoder","url":"midas/sdk/github/schema.html#webhook_release_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_release_created_to_json","content":"pub fn webhook_release_created_to_json(\n  data: WebhookReleaseCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_created_to_json\nmidas/sdk/github/schema webhook_release_created_to_json","url":"midas/sdk/github/schema.html#webhook_release_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_release_deleted_decoder","content":"pub fn webhook_release_deleted_decoder() -&gt; Decoder(\n  WebhookReleaseDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_deleted_decoder\nmidas/sdk/github/schema webhook_release_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_release_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_release_deleted_to_json","content":"pub fn webhook_release_deleted_to_json(\n  data: WebhookReleaseDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_deleted_to_json\nmidas/sdk/github/schema webhook_release_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_release_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_release_edited_decoder","content":"pub fn webhook_release_edited_decoder() -&gt; Decoder(\n  WebhookReleaseEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_edited_decoder\nmidas/sdk/github/schema webhook_release_edited_decoder","url":"midas/sdk/github/schema.html#webhook_release_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_release_edited_to_json","content":"pub fn webhook_release_edited_to_json(\n  data: WebhookReleaseEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_edited_to_json\nmidas/sdk/github/schema webhook_release_edited_to_json","url":"midas/sdk/github/schema.html#webhook_release_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_release_prereleased_decoder","content":"pub fn webhook_release_prereleased_decoder() -&gt; Decoder(\n  WebhookReleasePrereleased,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_prereleased_decoder\nmidas/sdk/github/schema webhook_release_prereleased_decoder","url":"midas/sdk/github/schema.html#webhook_release_prereleased_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_release_prereleased_to_json","content":"pub fn webhook_release_prereleased_to_json(\n  data: WebhookReleasePrereleased,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_prereleased_to_json\nmidas/sdk/github/schema webhook_release_prereleased_to_json","url":"midas/sdk/github/schema.html#webhook_release_prereleased_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_release_published_decoder","content":"pub fn webhook_release_published_decoder() -&gt; Decoder(\n  WebhookReleasePublished,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_published_decoder\nmidas/sdk/github/schema webhook_release_published_decoder","url":"midas/sdk/github/schema.html#webhook_release_published_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_release_published_to_json","content":"pub fn webhook_release_published_to_json(\n  data: WebhookReleasePublished,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_published_to_json\nmidas/sdk/github/schema webhook_release_published_to_json","url":"midas/sdk/github/schema.html#webhook_release_published_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_release_released_decoder","content":"pub fn webhook_release_released_decoder() -&gt; Decoder(\n  WebhookReleaseReleased,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_released_decoder\nmidas/sdk/github/schema webhook_release_released_decoder","url":"midas/sdk/github/schema.html#webhook_release_released_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_release_released_to_json","content":"pub fn webhook_release_released_to_json(\n  data: WebhookReleaseReleased,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_released_to_json\nmidas/sdk/github/schema webhook_release_released_to_json","url":"midas/sdk/github/schema.html#webhook_release_released_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_release_unpublished_decoder","content":"pub fn webhook_release_unpublished_decoder() -&gt; Decoder(\n  WebhookReleaseUnpublished,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_unpublished_decoder\nmidas/sdk/github/schema webhook_release_unpublished_decoder","url":"midas/sdk/github/schema.html#webhook_release_unpublished_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_release_unpublished_to_json","content":"pub fn webhook_release_unpublished_to_json(\n  data: WebhookReleaseUnpublished,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_release_unpublished_to_json\nmidas/sdk/github/schema webhook_release_unpublished_to_json","url":"midas/sdk/github/schema.html#webhook_release_unpublished_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_advisory_published_decoder","content":"pub fn webhook_repository_advisory_published_decoder() -&gt; Decoder(\n  WebhookRepositoryAdvisoryPublished,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_advisory_published_decoder\nmidas/sdk/github/schema webhook_repository_advisory_published_decoder","url":"midas/sdk/github/schema.html#webhook_repository_advisory_published_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_advisory_published_to_json","content":"pub fn webhook_repository_advisory_published_to_json(\n  data: WebhookRepositoryAdvisoryPublished,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_advisory_published_to_json\nmidas/sdk/github/schema webhook_repository_advisory_published_to_json","url":"midas/sdk/github/schema.html#webhook_repository_advisory_published_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_advisory_reported_decoder","content":"pub fn webhook_repository_advisory_reported_decoder() -&gt; Decoder(\n  WebhookRepositoryAdvisoryReported,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_advisory_reported_decoder\nmidas/sdk/github/schema webhook_repository_advisory_reported_decoder","url":"midas/sdk/github/schema.html#webhook_repository_advisory_reported_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_advisory_reported_to_json","content":"pub fn webhook_repository_advisory_reported_to_json(\n  data: WebhookRepositoryAdvisoryReported,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_advisory_reported_to_json\nmidas/sdk/github/schema webhook_repository_advisory_reported_to_json","url":"midas/sdk/github/schema.html#webhook_repository_advisory_reported_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_archived_decoder","content":"pub fn webhook_repository_archived_decoder() -&gt; Decoder(\n  WebhookRepositoryArchived,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_archived_decoder\nmidas/sdk/github/schema webhook_repository_archived_decoder","url":"midas/sdk/github/schema.html#webhook_repository_archived_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_archived_to_json","content":"pub fn webhook_repository_archived_to_json(\n  data: WebhookRepositoryArchived,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_archived_to_json\nmidas/sdk/github/schema webhook_repository_archived_to_json","url":"midas/sdk/github/schema.html#webhook_repository_archived_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_created_decoder","content":"pub fn webhook_repository_created_decoder() -&gt; Decoder(\n  WebhookRepositoryCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_created_decoder\nmidas/sdk/github/schema webhook_repository_created_decoder","url":"midas/sdk/github/schema.html#webhook_repository_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_created_to_json","content":"pub fn webhook_repository_created_to_json(\n  data: WebhookRepositoryCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_created_to_json\nmidas/sdk/github/schema webhook_repository_created_to_json","url":"midas/sdk/github/schema.html#webhook_repository_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_deleted_decoder","content":"pub fn webhook_repository_deleted_decoder() -&gt; Decoder(\n  WebhookRepositoryDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_deleted_decoder\nmidas/sdk/github/schema webhook_repository_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_repository_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_deleted_to_json","content":"pub fn webhook_repository_deleted_to_json(\n  data: WebhookRepositoryDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_deleted_to_json\nmidas/sdk/github/schema webhook_repository_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_repository_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_dispatch_sample_decoder","content":"pub fn webhook_repository_dispatch_sample_decoder() -&gt; Decoder(\n  WebhookRepositoryDispatchSample,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_dispatch_sample_decoder\nmidas/sdk/github/schema webhook_repository_dispatch_sample_decoder","url":"midas/sdk/github/schema.html#webhook_repository_dispatch_sample_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_dispatch_sample_to_json","content":"pub fn webhook_repository_dispatch_sample_to_json(\n  data: WebhookRepositoryDispatchSample,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_dispatch_sample_to_json\nmidas/sdk/github/schema webhook_repository_dispatch_sample_to_json","url":"midas/sdk/github/schema.html#webhook_repository_dispatch_sample_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_edited_decoder","content":"pub fn webhook_repository_edited_decoder() -&gt; Decoder(\n  WebhookRepositoryEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_edited_decoder\nmidas/sdk/github/schema webhook_repository_edited_decoder","url":"midas/sdk/github/schema.html#webhook_repository_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_edited_to_json","content":"pub fn webhook_repository_edited_to_json(\n  data: WebhookRepositoryEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_edited_to_json\nmidas/sdk/github/schema webhook_repository_edited_to_json","url":"midas/sdk/github/schema.html#webhook_repository_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_import_decoder","content":"pub fn webhook_repository_import_decoder() -&gt; Decoder(\n  WebhookRepositoryImport,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_import_decoder\nmidas/sdk/github/schema webhook_repository_import_decoder","url":"midas/sdk/github/schema.html#webhook_repository_import_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_import_to_json","content":"pub fn webhook_repository_import_to_json(\n  data: WebhookRepositoryImport,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_import_to_json\nmidas/sdk/github/schema webhook_repository_import_to_json","url":"midas/sdk/github/schema.html#webhook_repository_import_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_privatized_decoder","content":"pub fn webhook_repository_privatized_decoder() -&gt; Decoder(\n  WebhookRepositoryPrivatized,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_privatized_decoder\nmidas/sdk/github/schema webhook_repository_privatized_decoder","url":"midas/sdk/github/schema.html#webhook_repository_privatized_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_privatized_to_json","content":"pub fn webhook_repository_privatized_to_json(\n  data: WebhookRepositoryPrivatized,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_privatized_to_json\nmidas/sdk/github/schema webhook_repository_privatized_to_json","url":"midas/sdk/github/schema.html#webhook_repository_privatized_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_publicized_decoder","content":"pub fn webhook_repository_publicized_decoder() -&gt; Decoder(\n  WebhookRepositoryPublicized,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_publicized_decoder\nmidas/sdk/github/schema webhook_repository_publicized_decoder","url":"midas/sdk/github/schema.html#webhook_repository_publicized_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_publicized_to_json","content":"pub fn webhook_repository_publicized_to_json(\n  data: WebhookRepositoryPublicized,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_publicized_to_json\nmidas/sdk/github/schema webhook_repository_publicized_to_json","url":"midas/sdk/github/schema.html#webhook_repository_publicized_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_renamed_decoder","content":"pub fn webhook_repository_renamed_decoder() -&gt; Decoder(\n  WebhookRepositoryRenamed,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_renamed_decoder\nmidas/sdk/github/schema webhook_repository_renamed_decoder","url":"midas/sdk/github/schema.html#webhook_repository_renamed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_renamed_to_json","content":"pub fn webhook_repository_renamed_to_json(\n  data: WebhookRepositoryRenamed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_renamed_to_json\nmidas/sdk/github/schema webhook_repository_renamed_to_json","url":"midas/sdk/github/schema.html#webhook_repository_renamed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_created_decoder","content":"pub fn webhook_repository_ruleset_created_decoder() -&gt; Decoder(\n  WebhookRepositoryRulesetCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_created_decoder\nmidas/sdk/github/schema webhook_repository_ruleset_created_decoder","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_created_to_json","content":"pub fn webhook_repository_ruleset_created_to_json(\n  data: WebhookRepositoryRulesetCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_created_to_json\nmidas/sdk/github/schema webhook_repository_ruleset_created_to_json","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_deleted_decoder","content":"pub fn webhook_repository_ruleset_deleted_decoder() -&gt; Decoder(\n  WebhookRepositoryRulesetDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_deleted_decoder\nmidas/sdk/github/schema webhook_repository_ruleset_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_deleted_to_json","content":"pub fn webhook_repository_ruleset_deleted_to_json(\n  data: WebhookRepositoryRulesetDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_deleted_to_json\nmidas/sdk/github/schema webhook_repository_ruleset_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_edited_decoder","content":"pub fn webhook_repository_ruleset_edited_decoder() -&gt; Decoder(\n  WebhookRepositoryRulesetEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_edited_decoder\nmidas/sdk/github/schema webhook_repository_ruleset_edited_decoder","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_ruleset_edited_to_json","content":"pub fn webhook_repository_ruleset_edited_to_json(\n  data: WebhookRepositoryRulesetEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_ruleset_edited_to_json\nmidas/sdk/github/schema webhook_repository_ruleset_edited_to_json","url":"midas/sdk/github/schema.html#webhook_repository_ruleset_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_transferred_decoder","content":"pub fn webhook_repository_transferred_decoder() -&gt; Decoder(\n  WebhookRepositoryTransferred,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_transferred_decoder\nmidas/sdk/github/schema webhook_repository_transferred_decoder","url":"midas/sdk/github/schema.html#webhook_repository_transferred_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_transferred_to_json","content":"pub fn webhook_repository_transferred_to_json(\n  data: WebhookRepositoryTransferred,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_transferred_to_json\nmidas/sdk/github/schema webhook_repository_transferred_to_json","url":"midas/sdk/github/schema.html#webhook_repository_transferred_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_unarchived_decoder","content":"pub fn webhook_repository_unarchived_decoder() -&gt; Decoder(\n  WebhookRepositoryUnarchived,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_unarchived_decoder\nmidas/sdk/github/schema webhook_repository_unarchived_decoder","url":"midas/sdk/github/schema.html#webhook_repository_unarchived_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_unarchived_to_json","content":"pub fn webhook_repository_unarchived_to_json(\n  data: WebhookRepositoryUnarchived,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_unarchived_to_json\nmidas/sdk/github/schema webhook_repository_unarchived_to_json","url":"midas/sdk/github/schema.html#webhook_repository_unarchived_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_create_decoder","content":"pub fn webhook_repository_vulnerability_alert_create_decoder() -&gt; Decoder(\n  WebhookRepositoryVulnerabilityAlertCreate,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_create_decoder\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_create_decoder","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_create_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_create_to_json","content":"pub fn webhook_repository_vulnerability_alert_create_to_json(\n  data: WebhookRepositoryVulnerabilityAlertCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_create_to_json\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_create_to_json","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_create_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_dismiss_decoder","content":"pub fn webhook_repository_vulnerability_alert_dismiss_decoder() -&gt; Decoder(\n  WebhookRepositoryVulnerabilityAlertDismiss,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_dismiss_decoder\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_dismiss_decoder","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_dismiss_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_dismiss_to_json","content":"pub fn webhook_repository_vulnerability_alert_dismiss_to_json(\n  data: WebhookRepositoryVulnerabilityAlertDismiss,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_dismiss_to_json\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_dismiss_to_json","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_dismiss_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_reopen_decoder","content":"pub fn webhook_repository_vulnerability_alert_reopen_decoder() -&gt; Decoder(\n  WebhookRepositoryVulnerabilityAlertReopen,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_reopen_decoder\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_reopen_decoder","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_reopen_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_reopen_to_json","content":"pub fn webhook_repository_vulnerability_alert_reopen_to_json(\n  data: WebhookRepositoryVulnerabilityAlertReopen,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_reopen_to_json\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_reopen_to_json","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_reopen_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_resolve_decoder","content":"pub fn webhook_repository_vulnerability_alert_resolve_decoder() -&gt; Decoder(\n  WebhookRepositoryVulnerabilityAlertResolve,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_resolve_decoder\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_resolve_decoder","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_resolve_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_repository_vulnerability_alert_resolve_to_json","content":"pub fn webhook_repository_vulnerability_alert_resolve_to_json(\n  data: WebhookRepositoryVulnerabilityAlertResolve,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_repository_vulnerability_alert_resolve_to_json\nmidas/sdk/github/schema webhook_repository_vulnerability_alert_resolve_to_json","url":"midas/sdk/github/schema.html#webhook_repository_vulnerability_alert_resolve_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_rubygems_metadata_decoder","content":"pub fn webhook_rubygems_metadata_decoder() -&gt; Decoder(\n  WebhookRubygemsMetadata,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_rubygems_metadata_decoder\nmidas/sdk/github/schema webhook_rubygems_metadata_decoder","url":"midas/sdk/github/schema.html#webhook_rubygems_metadata_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_rubygems_metadata_to_json","content":"pub fn webhook_rubygems_metadata_to_json(\n  data: WebhookRubygemsMetadata,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_rubygems_metadata_to_json\nmidas/sdk/github/schema webhook_rubygems_metadata_to_json","url":"midas/sdk/github/schema.html#webhook_rubygems_metadata_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_created_decoder","content":"pub fn webhook_secret_scanning_alert_created_decoder() -&gt; Decoder(\n  WebhookSecretScanningAlertCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_created_decoder\nmidas/sdk/github/schema webhook_secret_scanning_alert_created_decoder","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_created_to_json","content":"pub fn webhook_secret_scanning_alert_created_to_json(\n  data: WebhookSecretScanningAlertCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_created_to_json\nmidas/sdk/github/schema webhook_secret_scanning_alert_created_to_json","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_location_created_decoder","content":"pub fn webhook_secret_scanning_alert_location_created_decoder() -&gt; Decoder(\n  WebhookSecretScanningAlertLocationCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_location_created_decoder\nmidas/sdk/github/schema webhook_secret_scanning_alert_location_created_decoder","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_location_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_location_created_form_encoded_decoder","content":"pub fn webhook_secret_scanning_alert_location_created_form_encoded_decoder() -&gt; Decoder(\n  WebhookSecretScanningAlertLocationCreatedFormEncoded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_location_created_form_encoded_decoder\nmidas/sdk/github/schema webhook_secret_scanning_alert_location_created_form_encoded_decoder","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_location_created_form_encoded_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_location_created_form_encoded_to_json","content":"pub fn webhook_secret_scanning_alert_location_created_form_encoded_to_json(\n  data: WebhookSecretScanningAlertLocationCreatedFormEncoded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_location_created_form_encoded_to_json\nmidas/sdk/github/schema webhook_secret_scanning_alert_location_created_form_encoded_to_json","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_location_created_form_encoded_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_location_created_to_json","content":"pub fn webhook_secret_scanning_alert_location_created_to_json(\n  data: WebhookSecretScanningAlertLocationCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_location_created_to_json\nmidas/sdk/github/schema webhook_secret_scanning_alert_location_created_to_json","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_location_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_publicly_leaked_decoder","content":"pub fn webhook_secret_scanning_alert_publicly_leaked_decoder() -&gt; Decoder(\n  WebhookSecretScanningAlertPubliclyLeaked,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_publicly_leaked_decoder\nmidas/sdk/github/schema webhook_secret_scanning_alert_publicly_leaked_decoder","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_publicly_leaked_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_publicly_leaked_to_json","content":"pub fn webhook_secret_scanning_alert_publicly_leaked_to_json(\n  data: WebhookSecretScanningAlertPubliclyLeaked,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_publicly_leaked_to_json\nmidas/sdk/github/schema webhook_secret_scanning_alert_publicly_leaked_to_json","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_publicly_leaked_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_reopened_decoder","content":"pub fn webhook_secret_scanning_alert_reopened_decoder() -&gt; Decoder(\n  WebhookSecretScanningAlertReopened,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_reopened_decoder\nmidas/sdk/github/schema webhook_secret_scanning_alert_reopened_decoder","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_reopened_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_reopened_to_json","content":"pub fn webhook_secret_scanning_alert_reopened_to_json(\n  data: WebhookSecretScanningAlertReopened,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_reopened_to_json\nmidas/sdk/github/schema webhook_secret_scanning_alert_reopened_to_json","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_reopened_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_resolved_decoder","content":"pub fn webhook_secret_scanning_alert_resolved_decoder() -&gt; Decoder(\n  WebhookSecretScanningAlertResolved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_resolved_decoder\nmidas/sdk/github/schema webhook_secret_scanning_alert_resolved_decoder","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_resolved_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_resolved_to_json","content":"pub fn webhook_secret_scanning_alert_resolved_to_json(\n  data: WebhookSecretScanningAlertResolved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_resolved_to_json\nmidas/sdk/github/schema webhook_secret_scanning_alert_resolved_to_json","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_resolved_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_validated_decoder","content":"pub fn webhook_secret_scanning_alert_validated_decoder() -&gt; Decoder(\n  WebhookSecretScanningAlertValidated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_validated_decoder\nmidas/sdk/github/schema webhook_secret_scanning_alert_validated_decoder","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_validated_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_secret_scanning_alert_validated_to_json","content":"pub fn webhook_secret_scanning_alert_validated_to_json(\n  data: WebhookSecretScanningAlertValidated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_secret_scanning_alert_validated_to_json\nmidas/sdk/github/schema webhook_secret_scanning_alert_validated_to_json","url":"midas/sdk/github/schema.html#webhook_secret_scanning_alert_validated_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_published_decoder","content":"pub fn webhook_security_advisory_published_decoder() -&gt; Decoder(\n  WebhookSecurityAdvisoryPublished,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_published_decoder\nmidas/sdk/github/schema webhook_security_advisory_published_decoder","url":"midas/sdk/github/schema.html#webhook_security_advisory_published_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_published_to_json","content":"pub fn webhook_security_advisory_published_to_json(\n  data: WebhookSecurityAdvisoryPublished,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_published_to_json\nmidas/sdk/github/schema webhook_security_advisory_published_to_json","url":"midas/sdk/github/schema.html#webhook_security_advisory_published_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_updated_decoder","content":"pub fn webhook_security_advisory_updated_decoder() -&gt; Decoder(\n  WebhookSecurityAdvisoryUpdated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_updated_decoder\nmidas/sdk/github/schema webhook_security_advisory_updated_decoder","url":"midas/sdk/github/schema.html#webhook_security_advisory_updated_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_updated_to_json","content":"pub fn webhook_security_advisory_updated_to_json(\n  data: WebhookSecurityAdvisoryUpdated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_updated_to_json\nmidas/sdk/github/schema webhook_security_advisory_updated_to_json","url":"midas/sdk/github/schema.html#webhook_security_advisory_updated_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_withdrawn_decoder","content":"pub fn webhook_security_advisory_withdrawn_decoder() -&gt; Decoder(\n  WebhookSecurityAdvisoryWithdrawn,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_withdrawn_decoder\nmidas/sdk/github/schema webhook_security_advisory_withdrawn_decoder","url":"midas/sdk/github/schema.html#webhook_security_advisory_withdrawn_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_security_advisory_withdrawn_to_json","content":"pub fn webhook_security_advisory_withdrawn_to_json(\n  data: WebhookSecurityAdvisoryWithdrawn,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_advisory_withdrawn_to_json\nmidas/sdk/github/schema webhook_security_advisory_withdrawn_to_json","url":"midas/sdk/github/schema.html#webhook_security_advisory_withdrawn_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_security_and_analysis_decoder","content":"pub fn webhook_security_and_analysis_decoder() -&gt; Decoder(\n  WebhookSecurityAndAnalysis,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_and_analysis_decoder\nmidas/sdk/github/schema webhook_security_and_analysis_decoder","url":"midas/sdk/github/schema.html#webhook_security_and_analysis_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_security_and_analysis_to_json","content":"pub fn webhook_security_and_analysis_to_json(\n  data: WebhookSecurityAndAnalysis,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_security_and_analysis_to_json\nmidas/sdk/github/schema webhook_security_and_analysis_to_json","url":"midas/sdk/github/schema.html#webhook_security_and_analysis_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_cancelled_decoder","content":"pub fn webhook_sponsorship_cancelled_decoder() -&gt; Decoder(\n  WebhookSponsorshipCancelled,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_cancelled_decoder\nmidas/sdk/github/schema webhook_sponsorship_cancelled_decoder","url":"midas/sdk/github/schema.html#webhook_sponsorship_cancelled_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_cancelled_to_json","content":"pub fn webhook_sponsorship_cancelled_to_json(\n  data: WebhookSponsorshipCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_cancelled_to_json\nmidas/sdk/github/schema webhook_sponsorship_cancelled_to_json","url":"midas/sdk/github/schema.html#webhook_sponsorship_cancelled_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_created_decoder","content":"pub fn webhook_sponsorship_created_decoder() -&gt; Decoder(\n  WebhookSponsorshipCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_created_decoder\nmidas/sdk/github/schema webhook_sponsorship_created_decoder","url":"midas/sdk/github/schema.html#webhook_sponsorship_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_created_to_json","content":"pub fn webhook_sponsorship_created_to_json(\n  data: WebhookSponsorshipCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_created_to_json\nmidas/sdk/github/schema webhook_sponsorship_created_to_json","url":"midas/sdk/github/schema.html#webhook_sponsorship_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_edited_decoder","content":"pub fn webhook_sponsorship_edited_decoder() -&gt; Decoder(\n  WebhookSponsorshipEdited,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_edited_decoder\nmidas/sdk/github/schema webhook_sponsorship_edited_decoder","url":"midas/sdk/github/schema.html#webhook_sponsorship_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_edited_to_json","content":"pub fn webhook_sponsorship_edited_to_json(\n  data: WebhookSponsorshipEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_edited_to_json\nmidas/sdk/github/schema webhook_sponsorship_edited_to_json","url":"midas/sdk/github/schema.html#webhook_sponsorship_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_pending_cancellation_decoder","content":"pub fn webhook_sponsorship_pending_cancellation_decoder() -&gt; Decoder(\n  WebhookSponsorshipPendingCancellation,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_pending_cancellation_decoder\nmidas/sdk/github/schema webhook_sponsorship_pending_cancellation_decoder","url":"midas/sdk/github/schema.html#webhook_sponsorship_pending_cancellation_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_pending_cancellation_to_json","content":"pub fn webhook_sponsorship_pending_cancellation_to_json(\n  data: WebhookSponsorshipPendingCancellation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_pending_cancellation_to_json\nmidas/sdk/github/schema webhook_sponsorship_pending_cancellation_to_json","url":"midas/sdk/github/schema.html#webhook_sponsorship_pending_cancellation_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_pending_tier_change_decoder","content":"pub fn webhook_sponsorship_pending_tier_change_decoder() -&gt; Decoder(\n  WebhookSponsorshipPendingTierChange,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_pending_tier_change_decoder\nmidas/sdk/github/schema webhook_sponsorship_pending_tier_change_decoder","url":"midas/sdk/github/schema.html#webhook_sponsorship_pending_tier_change_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_pending_tier_change_to_json","content":"pub fn webhook_sponsorship_pending_tier_change_to_json(\n  data: WebhookSponsorshipPendingTierChange,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_pending_tier_change_to_json\nmidas/sdk/github/schema webhook_sponsorship_pending_tier_change_to_json","url":"midas/sdk/github/schema.html#webhook_sponsorship_pending_tier_change_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_tier_changed_decoder","content":"pub fn webhook_sponsorship_tier_changed_decoder() -&gt; Decoder(\n  WebhookSponsorshipTierChanged,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_tier_changed_decoder\nmidas/sdk/github/schema webhook_sponsorship_tier_changed_decoder","url":"midas/sdk/github/schema.html#webhook_sponsorship_tier_changed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sponsorship_tier_changed_to_json","content":"pub fn webhook_sponsorship_tier_changed_to_json(\n  data: WebhookSponsorshipTierChanged,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sponsorship_tier_changed_to_json\nmidas/sdk/github/schema webhook_sponsorship_tier_changed_to_json","url":"midas/sdk/github/schema.html#webhook_sponsorship_tier_changed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_star_created_decoder","content":"pub fn webhook_star_created_decoder() -&gt; Decoder(\n  WebhookStarCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_star_created_decoder\nmidas/sdk/github/schema webhook_star_created_decoder","url":"midas/sdk/github/schema.html#webhook_star_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_star_created_to_json","content":"pub fn webhook_star_created_to_json(\n  data: WebhookStarCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_star_created_to_json\nmidas/sdk/github/schema webhook_star_created_to_json","url":"midas/sdk/github/schema.html#webhook_star_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_star_deleted_decoder","content":"pub fn webhook_star_deleted_decoder() -&gt; Decoder(\n  WebhookStarDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_star_deleted_decoder\nmidas/sdk/github/schema webhook_star_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_star_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_star_deleted_to_json","content":"pub fn webhook_star_deleted_to_json(\n  data: WebhookStarDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_star_deleted_to_json\nmidas/sdk/github/schema webhook_star_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_star_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_status_decoder","content":"pub fn webhook_status_decoder() -&gt; Decoder(WebhookStatus)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_status_decoder\nmidas/sdk/github/schema webhook_status_decoder","url":"midas/sdk/github/schema.html#webhook_status_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_status_to_json","content":"pub fn webhook_status_to_json(data: WebhookStatus) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_status_to_json\nmidas/sdk/github/schema webhook_status_to_json","url":"midas/sdk/github/schema.html#webhook_status_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_parent_issue_added_decoder","content":"pub fn webhook_sub_issues_parent_issue_added_decoder() -&gt; Decoder(\n  WebhookSubIssuesParentIssueAdded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_parent_issue_added_decoder\nmidas/sdk/github/schema webhook_sub_issues_parent_issue_added_decoder","url":"midas/sdk/github/schema.html#webhook_sub_issues_parent_issue_added_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_parent_issue_added_to_json","content":"pub fn webhook_sub_issues_parent_issue_added_to_json(\n  data: WebhookSubIssuesParentIssueAdded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_parent_issue_added_to_json\nmidas/sdk/github/schema webhook_sub_issues_parent_issue_added_to_json","url":"midas/sdk/github/schema.html#webhook_sub_issues_parent_issue_added_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_parent_issue_removed_decoder","content":"pub fn webhook_sub_issues_parent_issue_removed_decoder() -&gt; Decoder(\n  WebhookSubIssuesParentIssueRemoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_parent_issue_removed_decoder\nmidas/sdk/github/schema webhook_sub_issues_parent_issue_removed_decoder","url":"midas/sdk/github/schema.html#webhook_sub_issues_parent_issue_removed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_parent_issue_removed_to_json","content":"pub fn webhook_sub_issues_parent_issue_removed_to_json(\n  data: WebhookSubIssuesParentIssueRemoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_parent_issue_removed_to_json\nmidas/sdk/github/schema webhook_sub_issues_parent_issue_removed_to_json","url":"midas/sdk/github/schema.html#webhook_sub_issues_parent_issue_removed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_sub_issue_added_decoder","content":"pub fn webhook_sub_issues_sub_issue_added_decoder() -&gt; Decoder(\n  WebhookSubIssuesSubIssueAdded,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_sub_issue_added_decoder\nmidas/sdk/github/schema webhook_sub_issues_sub_issue_added_decoder","url":"midas/sdk/github/schema.html#webhook_sub_issues_sub_issue_added_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_sub_issue_added_to_json","content":"pub fn webhook_sub_issues_sub_issue_added_to_json(\n  data: WebhookSubIssuesSubIssueAdded,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_sub_issue_added_to_json\nmidas/sdk/github/schema webhook_sub_issues_sub_issue_added_to_json","url":"midas/sdk/github/schema.html#webhook_sub_issues_sub_issue_added_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_sub_issue_removed_decoder","content":"pub fn webhook_sub_issues_sub_issue_removed_decoder() -&gt; Decoder(\n  WebhookSubIssuesSubIssueRemoved,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_sub_issue_removed_decoder\nmidas/sdk/github/schema webhook_sub_issues_sub_issue_removed_decoder","url":"midas/sdk/github/schema.html#webhook_sub_issues_sub_issue_removed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_sub_issues_sub_issue_removed_to_json","content":"pub fn webhook_sub_issues_sub_issue_removed_to_json(\n  data: WebhookSubIssuesSubIssueRemoved,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_sub_issues_sub_issue_removed_to_json\nmidas/sdk/github/schema webhook_sub_issues_sub_issue_removed_to_json","url":"midas/sdk/github/schema.html#webhook_sub_issues_sub_issue_removed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_team_add_decoder","content":"pub fn webhook_team_add_decoder() -&gt; Decoder(WebhookTeamAdd)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_add_decoder\nmidas/sdk/github/schema webhook_team_add_decoder","url":"midas/sdk/github/schema.html#webhook_team_add_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_team_add_to_json","content":"pub fn webhook_team_add_to_json(data: WebhookTeamAdd) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_add_to_json\nmidas/sdk/github/schema webhook_team_add_to_json","url":"midas/sdk/github/schema.html#webhook_team_add_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_team_added_to_repository_decoder","content":"pub fn webhook_team_added_to_repository_decoder() -&gt; Decoder(\n  WebhookTeamAddedToRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_added_to_repository_decoder\nmidas/sdk/github/schema webhook_team_added_to_repository_decoder","url":"midas/sdk/github/schema.html#webhook_team_added_to_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_team_added_to_repository_to_json","content":"pub fn webhook_team_added_to_repository_to_json(\n  data: WebhookTeamAddedToRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_added_to_repository_to_json\nmidas/sdk/github/schema webhook_team_added_to_repository_to_json","url":"midas/sdk/github/schema.html#webhook_team_added_to_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_team_created_decoder","content":"pub fn webhook_team_created_decoder() -&gt; Decoder(\n  WebhookTeamCreated,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_created_decoder\nmidas/sdk/github/schema webhook_team_created_decoder","url":"midas/sdk/github/schema.html#webhook_team_created_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_team_created_to_json","content":"pub fn webhook_team_created_to_json(\n  data: WebhookTeamCreated,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_created_to_json\nmidas/sdk/github/schema webhook_team_created_to_json","url":"midas/sdk/github/schema.html#webhook_team_created_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_team_deleted_decoder","content":"pub fn webhook_team_deleted_decoder() -&gt; Decoder(\n  WebhookTeamDeleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_deleted_decoder\nmidas/sdk/github/schema webhook_team_deleted_decoder","url":"midas/sdk/github/schema.html#webhook_team_deleted_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_team_deleted_to_json","content":"pub fn webhook_team_deleted_to_json(\n  data: WebhookTeamDeleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_deleted_to_json\nmidas/sdk/github/schema webhook_team_deleted_to_json","url":"midas/sdk/github/schema.html#webhook_team_deleted_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_team_edited_decoder","content":"pub fn webhook_team_edited_decoder() -&gt; Decoder(WebhookTeamEdited)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_edited_decoder\nmidas/sdk/github/schema webhook_team_edited_decoder","url":"midas/sdk/github/schema.html#webhook_team_edited_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_team_edited_to_json","content":"pub fn webhook_team_edited_to_json(\n  data: WebhookTeamEdited,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_edited_to_json\nmidas/sdk/github/schema webhook_team_edited_to_json","url":"midas/sdk/github/schema.html#webhook_team_edited_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_team_removed_from_repository_decoder","content":"pub fn webhook_team_removed_from_repository_decoder() -&gt; Decoder(\n  WebhookTeamRemovedFromRepository,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_removed_from_repository_decoder\nmidas/sdk/github/schema webhook_team_removed_from_repository_decoder","url":"midas/sdk/github/schema.html#webhook_team_removed_from_repository_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_team_removed_from_repository_to_json","content":"pub fn webhook_team_removed_from_repository_to_json(\n  data: WebhookTeamRemovedFromRepository,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_team_removed_from_repository_to_json\nmidas/sdk/github/schema webhook_team_removed_from_repository_to_json","url":"midas/sdk/github/schema.html#webhook_team_removed_from_repository_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_watch_started_decoder","content":"pub fn webhook_watch_started_decoder() -&gt; Decoder(\n  WebhookWatchStarted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_watch_started_decoder\nmidas/sdk/github/schema webhook_watch_started_decoder","url":"midas/sdk/github/schema.html#webhook_watch_started_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_watch_started_to_json","content":"pub fn webhook_watch_started_to_json(\n  data: WebhookWatchStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_watch_started_to_json\nmidas/sdk/github/schema webhook_watch_started_to_json","url":"midas/sdk/github/schema.html#webhook_watch_started_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_dispatch_decoder","content":"pub fn webhook_workflow_dispatch_decoder() -&gt; Decoder(\n  WebhookWorkflowDispatch,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_dispatch_decoder\nmidas/sdk/github/schema webhook_workflow_dispatch_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_dispatch_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_dispatch_to_json","content":"pub fn webhook_workflow_dispatch_to_json(\n  data: WebhookWorkflowDispatch,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_dispatch_to_json\nmidas/sdk/github/schema webhook_workflow_dispatch_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_dispatch_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_completed_decoder","content":"pub fn webhook_workflow_job_completed_decoder() -&gt; Decoder(\n  WebhookWorkflowJobCompleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_completed_decoder\nmidas/sdk/github/schema webhook_workflow_job_completed_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_job_completed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_completed_to_json","content":"pub fn webhook_workflow_job_completed_to_json(\n  data: WebhookWorkflowJobCompleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_completed_to_json\nmidas/sdk/github/schema webhook_workflow_job_completed_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_job_completed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_in_progress_decoder","content":"pub fn webhook_workflow_job_in_progress_decoder() -&gt; Decoder(\n  WebhookWorkflowJobInProgress,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_in_progress_decoder\nmidas/sdk/github/schema webhook_workflow_job_in_progress_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_job_in_progress_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_in_progress_to_json","content":"pub fn webhook_workflow_job_in_progress_to_json(\n  data: WebhookWorkflowJobInProgress,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_in_progress_to_json\nmidas/sdk/github/schema webhook_workflow_job_in_progress_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_job_in_progress_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_queued_decoder","content":"pub fn webhook_workflow_job_queued_decoder() -&gt; Decoder(\n  WebhookWorkflowJobQueued,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_queued_decoder\nmidas/sdk/github/schema webhook_workflow_job_queued_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_job_queued_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_queued_to_json","content":"pub fn webhook_workflow_job_queued_to_json(\n  data: WebhookWorkflowJobQueued,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_queued_to_json\nmidas/sdk/github/schema webhook_workflow_job_queued_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_job_queued_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_waiting_decoder","content":"pub fn webhook_workflow_job_waiting_decoder() -&gt; Decoder(\n  WebhookWorkflowJobWaiting,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_waiting_decoder\nmidas/sdk/github/schema webhook_workflow_job_waiting_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_job_waiting_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_job_waiting_to_json","content":"pub fn webhook_workflow_job_waiting_to_json(\n  data: WebhookWorkflowJobWaiting,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_job_waiting_to_json\nmidas/sdk/github/schema webhook_workflow_job_waiting_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_job_waiting_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_completed_decoder","content":"pub fn webhook_workflow_run_completed_decoder() -&gt; Decoder(\n  WebhookWorkflowRunCompleted,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_completed_decoder\nmidas/sdk/github/schema webhook_workflow_run_completed_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_run_completed_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_completed_to_json","content":"pub fn webhook_workflow_run_completed_to_json(\n  data: WebhookWorkflowRunCompleted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_completed_to_json\nmidas/sdk/github/schema webhook_workflow_run_completed_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_run_completed_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_in_progress_decoder","content":"pub fn webhook_workflow_run_in_progress_decoder() -&gt; Decoder(\n  WebhookWorkflowRunInProgress,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_in_progress_decoder\nmidas/sdk/github/schema webhook_workflow_run_in_progress_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_run_in_progress_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_in_progress_to_json","content":"pub fn webhook_workflow_run_in_progress_to_json(\n  data: WebhookWorkflowRunInProgress,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_in_progress_to_json\nmidas/sdk/github/schema webhook_workflow_run_in_progress_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_run_in_progress_to_json"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_requested_decoder","content":"pub fn webhook_workflow_run_requested_decoder() -&gt; Decoder(\n  WebhookWorkflowRunRequested,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_requested_decoder\nmidas/sdk/github/schema webhook_workflow_run_requested_decoder","url":"midas/sdk/github/schema.html#webhook_workflow_run_requested_decoder"},{"doc":"midas/sdk/github/schema","title":"webhook_workflow_run_requested_to_json","content":"pub fn webhook_workflow_run_requested_to_json(\n  data: WebhookWorkflowRunRequested,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhook_workflow_run_requested_to_json\nmidas/sdk/github/schema webhook_workflow_run_requested_to_json","url":"midas/sdk/github/schema.html#webhook_workflow_run_requested_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_alert_decoder","content":"pub fn webhooks_alert_decoder() -&gt; Decoder(WebhooksAlert)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_alert_decoder\nmidas/sdk/github/schema webhooks_alert_decoder","url":"midas/sdk/github/schema.html#webhooks_alert_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_alert_to_json","content":"pub fn webhooks_alert_to_json(data: WebhooksAlert) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_alert_to_json\nmidas/sdk/github/schema webhooks_alert_to_json","url":"midas/sdk/github/schema.html#webhooks_alert_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_answer_decoder","content":"pub fn webhooks_answer_decoder() -&gt; Decoder(WebhooksAnswer)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_answer_decoder\nmidas/sdk/github/schema webhooks_answer_decoder","url":"midas/sdk/github/schema.html#webhooks_answer_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_answer_to_json","content":"pub fn webhooks_answer_to_json(data: WebhooksAnswer) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_answer_to_json\nmidas/sdk/github/schema webhooks_answer_to_json","url":"midas/sdk/github/schema.html#webhooks_answer_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_approver_decoder","content":"pub fn webhooks_approver_decoder() -&gt; Decoder(WebhooksApprover)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_approver_decoder\nmidas/sdk/github/schema webhooks_approver_decoder","url":"midas/sdk/github/schema.html#webhooks_approver_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_approver_to_json","content":"pub fn webhooks_approver_to_json(data: WebhooksApprover) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_approver_to_json\nmidas/sdk/github/schema webhooks_approver_to_json","url":"midas/sdk/github/schema.html#webhooks_approver_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_changes8_decoder","content":"pub fn webhooks_changes8_decoder() -&gt; Decoder(WebhooksChanges8)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_changes8_decoder\nmidas/sdk/github/schema webhooks_changes8_decoder","url":"midas/sdk/github/schema.html#webhooks_changes8_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_changes8_to_json","content":"pub fn webhooks_changes8_to_json(data: WebhooksChanges8) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_changes8_to_json\nmidas/sdk/github/schema webhooks_changes8_to_json","url":"midas/sdk/github/schema.html#webhooks_changes8_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_changes_decoder","content":"pub fn webhooks_changes_decoder() -&gt; Decoder(WebhooksChanges)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_changes_decoder\nmidas/sdk/github/schema webhooks_changes_decoder","url":"midas/sdk/github/schema.html#webhooks_changes_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_changes_to_json","content":"pub fn webhooks_changes_to_json(data: WebhooksChanges) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_changes_to_json\nmidas/sdk/github/schema webhooks_changes_to_json","url":"midas/sdk/github/schema.html#webhooks_changes_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_code_scanning_commit_oid_decoder","content":"pub fn webhooks_code_scanning_commit_oid_decoder() -&gt; Decoder(\n  String,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_code_scanning_commit_oid_decoder\nmidas/sdk/github/schema webhooks_code_scanning_commit_oid_decoder","url":"midas/sdk/github/schema.html#webhooks_code_scanning_commit_oid_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_code_scanning_ref_decoder","content":"pub fn webhooks_code_scanning_ref_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_code_scanning_ref_decoder\nmidas/sdk/github/schema webhooks_code_scanning_ref_decoder","url":"midas/sdk/github/schema.html#webhooks_code_scanning_ref_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_comment_decoder","content":"pub fn webhooks_comment_decoder() -&gt; Decoder(WebhooksComment)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_comment_decoder\nmidas/sdk/github/schema webhooks_comment_decoder","url":"midas/sdk/github/schema.html#webhooks_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_comment_to_json","content":"pub fn webhooks_comment_to_json(data: WebhooksComment) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_comment_to_json\nmidas/sdk/github/schema webhooks_comment_to_json","url":"midas/sdk/github/schema.html#webhooks_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_deploy_key_decoder","content":"pub fn webhooks_deploy_key_decoder() -&gt; Decoder(WebhooksDeployKey)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_deploy_key_decoder\nmidas/sdk/github/schema webhooks_deploy_key_decoder","url":"midas/sdk/github/schema.html#webhooks_deploy_key_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_deploy_key_to_json","content":"pub fn webhooks_deploy_key_to_json(\n  data: WebhooksDeployKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_deploy_key_to_json\nmidas/sdk/github/schema webhooks_deploy_key_to_json","url":"midas/sdk/github/schema.html#webhooks_deploy_key_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_deploy_pusher_type_decoder","content":"pub fn webhooks_deploy_pusher_type_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_deploy_pusher_type_decoder\nmidas/sdk/github/schema webhooks_deploy_pusher_type_decoder","url":"midas/sdk/github/schema.html#webhooks_deploy_pusher_type_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_effective_date_decoder","content":"pub fn webhooks_effective_date_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_effective_date_decoder\nmidas/sdk/github/schema webhooks_effective_date_decoder","url":"midas/sdk/github/schema.html#webhooks_effective_date_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue2_decoder","content":"pub fn webhooks_issue2_decoder() -&gt; Decoder(WebhooksIssue2)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue2_decoder\nmidas/sdk/github/schema webhooks_issue2_decoder","url":"midas/sdk/github/schema.html#webhooks_issue2_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue2_to_json","content":"pub fn webhooks_issue2_to_json(data: WebhooksIssue2) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue2_to_json\nmidas/sdk/github/schema webhooks_issue2_to_json","url":"midas/sdk/github/schema.html#webhooks_issue2_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue_comment_decoder","content":"pub fn webhooks_issue_comment_decoder() -&gt; Decoder(\n  WebhooksIssueComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue_comment_decoder\nmidas/sdk/github/schema webhooks_issue_comment_decoder","url":"midas/sdk/github/schema.html#webhooks_issue_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue_comment_to_json","content":"pub fn webhooks_issue_comment_to_json(\n  data: WebhooksIssueComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue_comment_to_json\nmidas/sdk/github/schema webhooks_issue_comment_to_json","url":"midas/sdk/github/schema.html#webhooks_issue_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue_decoder","content":"pub fn webhooks_issue_decoder() -&gt; Decoder(WebhooksIssue)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue_decoder\nmidas/sdk/github/schema webhooks_issue_decoder","url":"midas/sdk/github/schema.html#webhooks_issue_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_issue_to_json","content":"pub fn webhooks_issue_to_json(data: WebhooksIssue) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_issue_to_json\nmidas/sdk/github/schema webhooks_issue_to_json","url":"midas/sdk/github/schema.html#webhooks_issue_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_label_decoder","content":"pub fn webhooks_label_decoder() -&gt; Decoder(WebhooksLabel)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_label_decoder\nmidas/sdk/github/schema webhooks_label_decoder","url":"midas/sdk/github/schema.html#webhooks_label_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_label_to_json","content":"pub fn webhooks_label_to_json(data: WebhooksLabel) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_label_to_json\nmidas/sdk/github/schema webhooks_label_to_json","url":"midas/sdk/github/schema.html#webhooks_label_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_marketplace_purchase_decoder","content":"pub fn webhooks_marketplace_purchase_decoder() -&gt; Decoder(\n  WebhooksMarketplacePurchase,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_marketplace_purchase_decoder\nmidas/sdk/github/schema webhooks_marketplace_purchase_decoder","url":"midas/sdk/github/schema.html#webhooks_marketplace_purchase_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_marketplace_purchase_to_json","content":"pub fn webhooks_marketplace_purchase_to_json(\n  data: WebhooksMarketplacePurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_marketplace_purchase_to_json\nmidas/sdk/github/schema webhooks_marketplace_purchase_to_json","url":"midas/sdk/github/schema.html#webhooks_marketplace_purchase_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_membership_decoder","content":"pub fn webhooks_membership_decoder() -&gt; Decoder(\n  WebhooksMembership,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_membership_decoder\nmidas/sdk/github/schema webhooks_membership_decoder","url":"midas/sdk/github/schema.html#webhooks_membership_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_membership_to_json","content":"pub fn webhooks_membership_to_json(\n  data: WebhooksMembership,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_membership_to_json\nmidas/sdk/github/schema webhooks_membership_to_json","url":"midas/sdk/github/schema.html#webhooks_membership_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_milestone3_decoder","content":"pub fn webhooks_milestone3_decoder() -&gt; Decoder(\n  WebhooksMilestone3,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_milestone3_decoder\nmidas/sdk/github/schema webhooks_milestone3_decoder","url":"midas/sdk/github/schema.html#webhooks_milestone3_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_milestone3_to_json","content":"pub fn webhooks_milestone3_to_json(\n  data: WebhooksMilestone3,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_milestone3_to_json\nmidas/sdk/github/schema webhooks_milestone3_to_json","url":"midas/sdk/github/schema.html#webhooks_milestone3_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_milestone_decoder","content":"pub fn webhooks_milestone_decoder() -&gt; Decoder(WebhooksMilestone)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_milestone_decoder\nmidas/sdk/github/schema webhooks_milestone_decoder","url":"midas/sdk/github/schema.html#webhooks_milestone_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_milestone_to_json","content":"pub fn webhooks_milestone_to_json(\n  data: WebhooksMilestone,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_milestone_to_json\nmidas/sdk/github/schema webhooks_milestone_to_json","url":"midas/sdk/github/schema.html#webhooks_milestone_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_nullable_string_decoder","content":"pub fn webhooks_nullable_string_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_nullable_string_decoder\nmidas/sdk/github/schema webhooks_nullable_string_decoder","url":"midas/sdk/github/schema.html#webhooks_nullable_string_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_number_decoder","content":"pub fn webhooks_number_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_number_decoder\nmidas/sdk/github/schema webhooks_number_decoder","url":"midas/sdk/github/schema.html#webhooks_number_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_previous_marketplace_purchase_decoder","content":"pub fn webhooks_previous_marketplace_purchase_decoder() -&gt; Decoder(\n  WebhooksPreviousMarketplacePurchase,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_previous_marketplace_purchase_decoder\nmidas/sdk/github/schema webhooks_previous_marketplace_purchase_decoder","url":"midas/sdk/github/schema.html#webhooks_previous_marketplace_purchase_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_previous_marketplace_purchase_to_json","content":"pub fn webhooks_previous_marketplace_purchase_to_json(\n  data: WebhooksPreviousMarketplacePurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_previous_marketplace_purchase_to_json\nmidas/sdk/github/schema webhooks_previous_marketplace_purchase_to_json","url":"midas/sdk/github/schema.html#webhooks_previous_marketplace_purchase_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_card_decoder","content":"pub fn webhooks_project_card_decoder() -&gt; Decoder(\n  WebhooksProjectCard,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_card_decoder\nmidas/sdk/github/schema webhooks_project_card_decoder","url":"midas/sdk/github/schema.html#webhooks_project_card_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_card_to_json","content":"pub fn webhooks_project_card_to_json(\n  data: WebhooksProjectCard,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_card_to_json\nmidas/sdk/github/schema webhooks_project_card_to_json","url":"midas/sdk/github/schema.html#webhooks_project_card_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_changes_decoder","content":"pub fn webhooks_project_changes_decoder() -&gt; Decoder(\n  WebhooksProjectChanges,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_changes_decoder\nmidas/sdk/github/schema webhooks_project_changes_decoder","url":"midas/sdk/github/schema.html#webhooks_project_changes_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_changes_to_json","content":"pub fn webhooks_project_changes_to_json(\n  data: WebhooksProjectChanges,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_changes_to_json\nmidas/sdk/github/schema webhooks_project_changes_to_json","url":"midas/sdk/github/schema.html#webhooks_project_changes_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_column_decoder","content":"pub fn webhooks_project_column_decoder() -&gt; Decoder(\n  WebhooksProjectColumn,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_column_decoder\nmidas/sdk/github/schema webhooks_project_column_decoder","url":"midas/sdk/github/schema.html#webhooks_project_column_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_column_to_json","content":"pub fn webhooks_project_column_to_json(\n  data: WebhooksProjectColumn,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_column_to_json\nmidas/sdk/github/schema webhooks_project_column_to_json","url":"midas/sdk/github/schema.html#webhooks_project_column_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_decoder","content":"pub fn webhooks_project_decoder() -&gt; Decoder(WebhooksProject)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_decoder\nmidas/sdk/github/schema webhooks_project_decoder","url":"midas/sdk/github/schema.html#webhooks_project_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_project_to_json","content":"pub fn webhooks_project_to_json(data: WebhooksProject) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_project_to_json\nmidas/sdk/github/schema webhooks_project_to_json","url":"midas/sdk/github/schema.html#webhooks_project_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_pull_request5_decoder","content":"pub fn webhooks_pull_request5_decoder() -&gt; Decoder(\n  WebhooksPullRequest5,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_pull_request5_decoder\nmidas/sdk/github/schema webhooks_pull_request5_decoder","url":"midas/sdk/github/schema.html#webhooks_pull_request5_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_pull_request5_to_json","content":"pub fn webhooks_pull_request5_to_json(\n  data: WebhooksPullRequest5,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_pull_request5_to_json\nmidas/sdk/github/schema webhooks_pull_request5_to_json","url":"midas/sdk/github/schema.html#webhooks_pull_request5_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_ref_0_decoder","content":"pub fn webhooks_ref_0_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_ref_0_decoder\nmidas/sdk/github/schema webhooks_ref_0_decoder","url":"midas/sdk/github/schema.html#webhooks_ref_0_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_release_decoder","content":"pub fn webhooks_release_decoder() -&gt; Decoder(WebhooksRelease)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_release_decoder\nmidas/sdk/github/schema webhooks_release_decoder","url":"midas/sdk/github/schema.html#webhooks_release_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_release_to_json","content":"pub fn webhooks_release_to_json(data: WebhooksRelease) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_release_to_json\nmidas/sdk/github/schema webhooks_release_to_json","url":"midas/sdk/github/schema.html#webhooks_release_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_releaseone_decoder","content":"pub fn webhooks_releaseone_decoder() -&gt; Decoder(WebhooksRelease1)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_releaseone_decoder\nmidas/sdk/github/schema webhooks_releaseone_decoder","url":"midas/sdk/github/schema.html#webhooks_releaseone_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_releaseone_to_json","content":"pub fn webhooks_releaseone_to_json(\n  data: WebhooksRelease1,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_releaseone_to_json\nmidas/sdk/github/schema webhooks_releaseone_to_json","url":"midas/sdk/github/schema.html#webhooks_releaseone_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_repositories_added_decoder","content":"pub fn webhooks_repositories_added_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_repositories_added_decoder\nmidas/sdk/github/schema webhooks_repositories_added_decoder","url":"midas/sdk/github/schema.html#webhooks_repositories_added_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_repositories_decoder","content":"pub fn webhooks_repositories_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_repositories_decoder\nmidas/sdk/github/schema webhooks_repositories_decoder","url":"midas/sdk/github/schema.html#webhooks_repositories_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_repository_selection_decoder","content":"pub fn webhooks_repository_selection_decoder() -&gt; Decoder(String)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_repository_selection_decoder\nmidas/sdk/github/schema webhooks_repository_selection_decoder","url":"midas/sdk/github/schema.html#webhooks_repository_selection_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_review_comment_decoder","content":"pub fn webhooks_review_comment_decoder() -&gt; Decoder(\n  WebhooksReviewComment,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_review_comment_decoder\nmidas/sdk/github/schema webhooks_review_comment_decoder","url":"midas/sdk/github/schema.html#webhooks_review_comment_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_review_comment_to_json","content":"pub fn webhooks_review_comment_to_json(\n  data: WebhooksReviewComment,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_review_comment_to_json\nmidas/sdk/github/schema webhooks_review_comment_to_json","url":"midas/sdk/github/schema.html#webhooks_review_comment_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_review_decoder","content":"pub fn webhooks_review_decoder() -&gt; Decoder(WebhooksReview)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_review_decoder\nmidas/sdk/github/schema webhooks_review_decoder","url":"midas/sdk/github/schema.html#webhooks_review_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_review_to_json","content":"pub fn webhooks_review_to_json(data: WebhooksReview) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_review_to_json\nmidas/sdk/github/schema webhooks_review_to_json","url":"midas/sdk/github/schema.html#webhooks_review_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_reviewers_decoder","content":"pub fn webhooks_reviewers_decoder() -&gt; a\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_reviewers_decoder\nmidas/sdk/github/schema webhooks_reviewers_decoder","url":"midas/sdk/github/schema.html#webhooks_reviewers_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_rule_decoder","content":"pub fn webhooks_rule_decoder() -&gt; Decoder(WebhooksRule)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_rule_decoder\nmidas/sdk/github/schema webhooks_rule_decoder","url":"midas/sdk/github/schema.html#webhooks_rule_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_rule_to_json","content":"pub fn webhooks_rule_to_json(data: WebhooksRule) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_rule_to_json\nmidas/sdk/github/schema webhooks_rule_to_json","url":"midas/sdk/github/schema.html#webhooks_rule_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_security_advisory_decoder","content":"pub fn webhooks_security_advisory_decoder() -&gt; Decoder(\n  WebhooksSecurityAdvisory,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_security_advisory_decoder\nmidas/sdk/github/schema webhooks_security_advisory_decoder","url":"midas/sdk/github/schema.html#webhooks_security_advisory_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_security_advisory_to_json","content":"pub fn webhooks_security_advisory_to_json(\n  data: WebhooksSecurityAdvisory,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_security_advisory_to_json\nmidas/sdk/github/schema webhooks_security_advisory_to_json","url":"midas/sdk/github/schema.html#webhooks_security_advisory_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_sponsorship_decoder","content":"pub fn webhooks_sponsorship_decoder() -&gt; Decoder(\n  WebhooksSponsorship,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_sponsorship_decoder\nmidas/sdk/github/schema webhooks_sponsorship_decoder","url":"midas/sdk/github/schema.html#webhooks_sponsorship_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_sponsorship_to_json","content":"pub fn webhooks_sponsorship_to_json(\n  data: WebhooksSponsorship,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_sponsorship_to_json\nmidas/sdk/github/schema webhooks_sponsorship_to_json","url":"midas/sdk/github/schema.html#webhooks_sponsorship_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_team_decoder","content":"pub fn webhooks_team_decoder() -&gt; Decoder(WebhooksTeam)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_team_decoder\nmidas/sdk/github/schema webhooks_team_decoder","url":"midas/sdk/github/schema.html#webhooks_team_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_team_to_json","content":"pub fn webhooks_team_to_json(data: WebhooksTeam) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_team_to_json\nmidas/sdk/github/schema webhooks_team_to_json","url":"midas/sdk/github/schema.html#webhooks_team_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_teamone_decoder","content":"pub fn webhooks_teamone_decoder() -&gt; Decoder(WebhooksTeam1)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_teamone_decoder\nmidas/sdk/github/schema webhooks_teamone_decoder","url":"midas/sdk/github/schema.html#webhooks_teamone_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_teamone_to_json","content":"pub fn webhooks_teamone_to_json(data: WebhooksTeam1) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_teamone_to_json\nmidas/sdk/github/schema webhooks_teamone_to_json","url":"midas/sdk/github/schema.html#webhooks_teamone_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_user_decoder","content":"pub fn webhooks_user_decoder() -&gt; Decoder(WebhooksUser)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_user_decoder\nmidas/sdk/github/schema webhooks_user_decoder","url":"midas/sdk/github/schema.html#webhooks_user_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_user_mannequin_decoder","content":"pub fn webhooks_user_mannequin_decoder() -&gt; Decoder(\n  WebhooksUserMannequin,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_user_mannequin_decoder\nmidas/sdk/github/schema webhooks_user_mannequin_decoder","url":"midas/sdk/github/schema.html#webhooks_user_mannequin_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_user_mannequin_to_json","content":"pub fn webhooks_user_mannequin_to_json(\n  data: WebhooksUserMannequin,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_user_mannequin_to_json\nmidas/sdk/github/schema webhooks_user_mannequin_to_json","url":"midas/sdk/github/schema.html#webhooks_user_mannequin_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_user_to_json","content":"pub fn webhooks_user_to_json(data: WebhooksUser) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_user_to_json\nmidas/sdk/github/schema webhooks_user_to_json","url":"midas/sdk/github/schema.html#webhooks_user_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_workflow_decoder","content":"pub fn webhooks_workflow_decoder() -&gt; Decoder(WebhooksWorkflow)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_workflow_decoder\nmidas/sdk/github/schema webhooks_workflow_decoder","url":"midas/sdk/github/schema.html#webhooks_workflow_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_workflow_job_run_decoder","content":"pub fn webhooks_workflow_job_run_decoder() -&gt; Decoder(\n  WebhooksWorkflowJobRun,\n)\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_workflow_job_run_decoder\nmidas/sdk/github/schema webhooks_workflow_job_run_decoder","url":"midas/sdk/github/schema.html#webhooks_workflow_job_run_decoder"},{"doc":"midas/sdk/github/schema","title":"webhooks_workflow_job_run_to_json","content":"pub fn webhooks_workflow_job_run_to_json(\n  data: WebhooksWorkflowJobRun,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_workflow_job_run_to_json\nmidas/sdk/github/schema webhooks_workflow_job_run_to_json","url":"midas/sdk/github/schema.html#webhooks_workflow_job_run_to_json"},{"doc":"midas/sdk/github/schema","title":"webhooks_workflow_to_json","content":"pub fn webhooks_workflow_to_json(data: WebhooksWorkflow) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.webhooks_workflow_to_json\nmidas/sdk/github/schema webhooks_workflow_to_json","url":"midas/sdk/github/schema.html#webhooks_workflow_to_json"},{"doc":"midas/sdk/github/schema","title":"workflow_decoder","content":"pub fn workflow_decoder() -&gt; Decoder(Workflow)\n\nSynonyms:\nmidas/sdk/github/schema.workflow_decoder\nmidas/sdk/github/schema workflow_decoder","url":"midas/sdk/github/schema.html#workflow_decoder"},{"doc":"midas/sdk/github/schema","title":"workflow_run_decoder","content":"pub fn workflow_run_decoder() -&gt; Decoder(WorkflowRun)\n\nSynonyms:\nmidas/sdk/github/schema.workflow_run_decoder\nmidas/sdk/github/schema workflow_run_decoder","url":"midas/sdk/github/schema.html#workflow_run_decoder"},{"doc":"midas/sdk/github/schema","title":"workflow_run_to_json","content":"pub fn workflow_run_to_json(data: WorkflowRun) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.workflow_run_to_json\nmidas/sdk/github/schema workflow_run_to_json","url":"midas/sdk/github/schema.html#workflow_run_to_json"},{"doc":"midas/sdk/github/schema","title":"workflow_run_usage_decoder","content":"pub fn workflow_run_usage_decoder() -&gt; Decoder(WorkflowRunUsage)\n\nSynonyms:\nmidas/sdk/github/schema.workflow_run_usage_decoder\nmidas/sdk/github/schema workflow_run_usage_decoder","url":"midas/sdk/github/schema.html#workflow_run_usage_decoder"},{"doc":"midas/sdk/github/schema","title":"workflow_run_usage_to_json","content":"pub fn workflow_run_usage_to_json(data: WorkflowRunUsage) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.workflow_run_usage_to_json\nmidas/sdk/github/schema workflow_run_usage_to_json","url":"midas/sdk/github/schema.html#workflow_run_usage_to_json"},{"doc":"midas/sdk/github/schema","title":"workflow_to_json","content":"pub fn workflow_to_json(data: Workflow) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.workflow_to_json\nmidas/sdk/github/schema workflow_to_json","url":"midas/sdk/github/schema.html#workflow_to_json"},{"doc":"midas/sdk/github/schema","title":"workflow_usage_decoder","content":"pub fn workflow_usage_decoder() -&gt; Decoder(WorkflowUsage)\n\nSynonyms:\nmidas/sdk/github/schema.workflow_usage_decoder\nmidas/sdk/github/schema workflow_usage_decoder","url":"midas/sdk/github/schema.html#workflow_usage_decoder"},{"doc":"midas/sdk/github/schema","title":"workflow_usage_to_json","content":"pub fn workflow_usage_to_json(data: WorkflowUsage) -&gt; Json\n\nSynonyms:\nmidas/sdk/github/schema.workflow_usage_to_json\nmidas/sdk/github/schema workflow_usage_to_json","url":"midas/sdk/github/schema.html#workflow_usage_to_json"},{"doc":"midas/sdk/github/schema","title":"midas/sdk/github/schema","content":"","url":"midas/sdk/github/schema.html"},{"doc":"midas/sdk/github/operations","title":"actions_add_custom_labels_to_self_hosted_runner_for_org_request","content":"pub fn actions_add_custom_labels_to_self_hosted_runner_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_custom_labels_to_self_hosted_runner_for_org_request\nmidas/sdk/github/operations actions_add_custom_labels_to_self_hosted_runner_for_org_request","url":"midas/sdk/github/operations.html#actions_add_custom_labels_to_self_hosted_runner_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_add_custom_labels_to_self_hosted_runner_for_org_response","content":"pub fn actions_add_custom_labels_to_self_hosted_runner_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_custom_labels_to_self_hosted_runner_for_org_response\nmidas/sdk/github/operations actions_add_custom_labels_to_self_hosted_runner_for_org_response","url":"midas/sdk/github/operations.html#actions_add_custom_labels_to_self_hosted_runner_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_add_custom_labels_to_self_hosted_runner_for_repo_request","content":"pub fn actions_add_custom_labels_to_self_hosted_runner_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  runner_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_custom_labels_to_self_hosted_runner_for_repo_request\nmidas/sdk/github/operations actions_add_custom_labels_to_self_hosted_runner_for_repo_request","url":"midas/sdk/github/operations.html#actions_add_custom_labels_to_self_hosted_runner_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_add_custom_labels_to_self_hosted_runner_for_repo_response","content":"pub fn actions_add_custom_labels_to_self_hosted_runner_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_custom_labels_to_self_hosted_runner_for_repo_response\nmidas/sdk/github/operations actions_add_custom_labels_to_self_hosted_runner_for_repo_response","url":"midas/sdk/github/operations.html#actions_add_custom_labels_to_self_hosted_runner_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_add_repo_access_to_self_hosted_runner_group_in_org_request","content":"pub fn actions_add_repo_access_to_self_hosted_runner_group_in_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_repo_access_to_self_hosted_runner_group_in_org_request\nmidas/sdk/github/operations actions_add_repo_access_to_self_hosted_runner_group_in_org_request","url":"midas/sdk/github/operations.html#actions_add_repo_access_to_self_hosted_runner_group_in_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_add_repo_access_to_self_hosted_runner_group_in_org_response","content":"pub fn actions_add_repo_access_to_self_hosted_runner_group_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_repo_access_to_self_hosted_runner_group_in_org_response\nmidas/sdk/github/operations actions_add_repo_access_to_self_hosted_runner_group_in_org_response","url":"midas/sdk/github/operations.html#actions_add_repo_access_to_self_hosted_runner_group_in_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_add_selected_repo_to_org_secret_request","content":"pub fn actions_add_selected_repo_to_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_selected_repo_to_org_secret_request\nmidas/sdk/github/operations actions_add_selected_repo_to_org_secret_request","url":"midas/sdk/github/operations.html#actions_add_selected_repo_to_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_add_selected_repo_to_org_secret_response","content":"pub fn actions_add_selected_repo_to_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_selected_repo_to_org_secret_response\nmidas/sdk/github/operations actions_add_selected_repo_to_org_secret_response","url":"midas/sdk/github/operations.html#actions_add_selected_repo_to_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_add_selected_repo_to_org_variable_request","content":"pub fn actions_add_selected_repo_to_org_variable_request(\n  base: Request(a),\n  org: String,\n  name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_selected_repo_to_org_variable_request\nmidas/sdk/github/operations actions_add_selected_repo_to_org_variable_request","url":"midas/sdk/github/operations.html#actions_add_selected_repo_to_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_add_selected_repo_to_org_variable_response","content":"pub fn actions_add_selected_repo_to_org_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_selected_repo_to_org_variable_response\nmidas/sdk/github/operations actions_add_selected_repo_to_org_variable_response","url":"midas/sdk/github/operations.html#actions_add_selected_repo_to_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_add_self_hosted_runner_to_group_for_org_request","content":"pub fn actions_add_self_hosted_runner_to_group_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_self_hosted_runner_to_group_for_org_request\nmidas/sdk/github/operations actions_add_self_hosted_runner_to_group_for_org_request","url":"midas/sdk/github/operations.html#actions_add_self_hosted_runner_to_group_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_add_self_hosted_runner_to_group_for_org_response","content":"pub fn actions_add_self_hosted_runner_to_group_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_add_self_hosted_runner_to_group_for_org_response\nmidas/sdk/github/operations actions_add_self_hosted_runner_to_group_for_org_response","url":"midas/sdk/github/operations.html#actions_add_self_hosted_runner_to_group_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_approve_workflow_run_request","content":"pub fn actions_approve_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_approve_workflow_run_request\nmidas/sdk/github/operations actions_approve_workflow_run_request","url":"midas/sdk/github/operations.html#actions_approve_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_approve_workflow_run_response","content":"pub fn actions_approve_workflow_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_approve_workflow_run_response\nmidas/sdk/github/operations actions_approve_workflow_run_response","url":"midas/sdk/github/operations.html#actions_approve_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_cancel_workflow_run_request","content":"pub fn actions_cancel_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_cancel_workflow_run_request\nmidas/sdk/github/operations actions_cancel_workflow_run_request","url":"midas/sdk/github/operations.html#actions_cancel_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_cancel_workflow_run_response","content":"pub fn actions_cancel_workflow_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_cancel_workflow_run_response\nmidas/sdk/github/operations actions_cancel_workflow_run_response","url":"midas/sdk/github/operations.html#actions_cancel_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_environment_variable_request","content":"pub fn actions_create_environment_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_environment_variable_request\nmidas/sdk/github/operations actions_create_environment_variable_request","url":"midas/sdk/github/operations.html#actions_create_environment_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_environment_variable_response","content":"pub fn actions_create_environment_variable_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_environment_variable_response\nmidas/sdk/github/operations actions_create_environment_variable_response","url":"midas/sdk/github/operations.html#actions_create_environment_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_or_update_environment_secret_request","content":"pub fn actions_create_or_update_environment_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_or_update_environment_secret_request\nmidas/sdk/github/operations actions_create_or_update_environment_secret_request","url":"midas/sdk/github/operations.html#actions_create_or_update_environment_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_or_update_environment_secret_response","content":"pub fn actions_create_or_update_environment_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_or_update_environment_secret_response\nmidas/sdk/github/operations actions_create_or_update_environment_secret_response","url":"midas/sdk/github/operations.html#actions_create_or_update_environment_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_or_update_org_secret_request","content":"pub fn actions_create_or_update_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_or_update_org_secret_request\nmidas/sdk/github/operations actions_create_or_update_org_secret_request","url":"midas/sdk/github/operations.html#actions_create_or_update_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_or_update_org_secret_response","content":"pub fn actions_create_or_update_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_or_update_org_secret_response\nmidas/sdk/github/operations actions_create_or_update_org_secret_response","url":"midas/sdk/github/operations.html#actions_create_or_update_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_or_update_repo_secret_request","content":"pub fn actions_create_or_update_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_or_update_repo_secret_request\nmidas/sdk/github/operations actions_create_or_update_repo_secret_request","url":"midas/sdk/github/operations.html#actions_create_or_update_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_or_update_repo_secret_response","content":"pub fn actions_create_or_update_repo_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_or_update_repo_secret_response\nmidas/sdk/github/operations actions_create_or_update_repo_secret_response","url":"midas/sdk/github/operations.html#actions_create_or_update_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_org_variable_request","content":"pub fn actions_create_org_variable_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_org_variable_request\nmidas/sdk/github/operations actions_create_org_variable_request","url":"midas/sdk/github/operations.html#actions_create_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_org_variable_response","content":"pub fn actions_create_org_variable_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_org_variable_response\nmidas/sdk/github/operations actions_create_org_variable_response","url":"midas/sdk/github/operations.html#actions_create_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_registration_token_for_org_request","content":"pub fn actions_create_registration_token_for_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_registration_token_for_org_request\nmidas/sdk/github/operations actions_create_registration_token_for_org_request","url":"midas/sdk/github/operations.html#actions_create_registration_token_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_registration_token_for_org_response","content":"pub fn actions_create_registration_token_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AuthenticationToken, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_registration_token_for_org_response\nmidas/sdk/github/operations actions_create_registration_token_for_org_response","url":"midas/sdk/github/operations.html#actions_create_registration_token_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_registration_token_for_repo_request","content":"pub fn actions_create_registration_token_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_registration_token_for_repo_request\nmidas/sdk/github/operations actions_create_registration_token_for_repo_request","url":"midas/sdk/github/operations.html#actions_create_registration_token_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_registration_token_for_repo_response","content":"pub fn actions_create_registration_token_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AuthenticationToken, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_registration_token_for_repo_response\nmidas/sdk/github/operations actions_create_registration_token_for_repo_response","url":"midas/sdk/github/operations.html#actions_create_registration_token_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_remove_token_for_org_request","content":"pub fn actions_create_remove_token_for_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_remove_token_for_org_request\nmidas/sdk/github/operations actions_create_remove_token_for_org_request","url":"midas/sdk/github/operations.html#actions_create_remove_token_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_remove_token_for_org_response","content":"pub fn actions_create_remove_token_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AuthenticationToken, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_remove_token_for_org_response\nmidas/sdk/github/operations actions_create_remove_token_for_org_response","url":"midas/sdk/github/operations.html#actions_create_remove_token_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_remove_token_for_repo_request","content":"pub fn actions_create_remove_token_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_remove_token_for_repo_request\nmidas/sdk/github/operations actions_create_remove_token_for_repo_request","url":"midas/sdk/github/operations.html#actions_create_remove_token_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_remove_token_for_repo_response","content":"pub fn actions_create_remove_token_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AuthenticationToken, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_remove_token_for_repo_response\nmidas/sdk/github/operations actions_create_remove_token_for_repo_response","url":"midas/sdk/github/operations.html#actions_create_remove_token_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_repo_variable_request","content":"pub fn actions_create_repo_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_repo_variable_request\nmidas/sdk/github/operations actions_create_repo_variable_request","url":"midas/sdk/github/operations.html#actions_create_repo_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_repo_variable_response","content":"pub fn actions_create_repo_variable_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_repo_variable_response\nmidas/sdk/github/operations actions_create_repo_variable_response","url":"midas/sdk/github/operations.html#actions_create_repo_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_self_hosted_runner_group_for_org_request","content":"pub fn actions_create_self_hosted_runner_group_for_org_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_self_hosted_runner_group_for_org_request\nmidas/sdk/github/operations actions_create_self_hosted_runner_group_for_org_request","url":"midas/sdk/github/operations.html#actions_create_self_hosted_runner_group_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_self_hosted_runner_group_for_org_response","content":"pub fn actions_create_self_hosted_runner_group_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RunnerGroupsOrg, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_self_hosted_runner_group_for_org_response\nmidas/sdk/github/operations actions_create_self_hosted_runner_group_for_org_response","url":"midas/sdk/github/operations.html#actions_create_self_hosted_runner_group_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_create_workflow_dispatch_request","content":"pub fn actions_create_workflow_dispatch_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  workflow_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_workflow_dispatch_request\nmidas/sdk/github/operations actions_create_workflow_dispatch_request","url":"midas/sdk/github/operations.html#actions_create_workflow_dispatch_request"},{"doc":"midas/sdk/github/operations","title":"actions_create_workflow_dispatch_response","content":"pub fn actions_create_workflow_dispatch_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_create_workflow_dispatch_response\nmidas/sdk/github/operations actions_create_workflow_dispatch_response","url":"midas/sdk/github/operations.html#actions_create_workflow_dispatch_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_actions_cache_by_id_request","content":"pub fn actions_delete_actions_cache_by_id_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  cache_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_actions_cache_by_id_request\nmidas/sdk/github/operations actions_delete_actions_cache_by_id_request","url":"midas/sdk/github/operations.html#actions_delete_actions_cache_by_id_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_actions_cache_by_id_response","content":"pub fn actions_delete_actions_cache_by_id_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_actions_cache_by_id_response\nmidas/sdk/github/operations actions_delete_actions_cache_by_id_response","url":"midas/sdk/github/operations.html#actions_delete_actions_cache_by_id_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_actions_cache_by_key_request","content":"pub fn actions_delete_actions_cache_by_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  key key: String,\n  ref ref: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_actions_cache_by_key_request\nmidas/sdk/github/operations actions_delete_actions_cache_by_key_request","url":"midas/sdk/github/operations.html#actions_delete_actions_cache_by_key_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_actions_cache_by_key_response","content":"pub fn actions_delete_actions_cache_by_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsCacheList, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_actions_cache_by_key_response\nmidas/sdk/github/operations actions_delete_actions_cache_by_key_response","url":"midas/sdk/github/operations.html#actions_delete_actions_cache_by_key_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_artifact_request","content":"pub fn actions_delete_artifact_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  artifact_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_artifact_request\nmidas/sdk/github/operations actions_delete_artifact_request","url":"midas/sdk/github/operations.html#actions_delete_artifact_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_artifact_response","content":"pub fn actions_delete_artifact_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_artifact_response\nmidas/sdk/github/operations actions_delete_artifact_response","url":"midas/sdk/github/operations.html#actions_delete_artifact_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_environment_secret_request","content":"pub fn actions_delete_environment_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_environment_secret_request\nmidas/sdk/github/operations actions_delete_environment_secret_request","url":"midas/sdk/github/operations.html#actions_delete_environment_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_environment_secret_response","content":"pub fn actions_delete_environment_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_environment_secret_response\nmidas/sdk/github/operations actions_delete_environment_secret_response","url":"midas/sdk/github/operations.html#actions_delete_environment_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_environment_variable_request","content":"pub fn actions_delete_environment_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_environment_variable_request\nmidas/sdk/github/operations actions_delete_environment_variable_request","url":"midas/sdk/github/operations.html#actions_delete_environment_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_environment_variable_response","content":"pub fn actions_delete_environment_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_environment_variable_response\nmidas/sdk/github/operations actions_delete_environment_variable_response","url":"midas/sdk/github/operations.html#actions_delete_environment_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_org_secret_request","content":"pub fn actions_delete_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_org_secret_request\nmidas/sdk/github/operations actions_delete_org_secret_request","url":"midas/sdk/github/operations.html#actions_delete_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_org_secret_response","content":"pub fn actions_delete_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_org_secret_response\nmidas/sdk/github/operations actions_delete_org_secret_response","url":"midas/sdk/github/operations.html#actions_delete_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_org_variable_request","content":"pub fn actions_delete_org_variable_request(\n  base: Request(a),\n  org: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_org_variable_request\nmidas/sdk/github/operations actions_delete_org_variable_request","url":"midas/sdk/github/operations.html#actions_delete_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_org_variable_response","content":"pub fn actions_delete_org_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_org_variable_response\nmidas/sdk/github/operations actions_delete_org_variable_response","url":"midas/sdk/github/operations.html#actions_delete_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_repo_secret_request","content":"pub fn actions_delete_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_repo_secret_request\nmidas/sdk/github/operations actions_delete_repo_secret_request","url":"midas/sdk/github/operations.html#actions_delete_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_repo_secret_response","content":"pub fn actions_delete_repo_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_repo_secret_response\nmidas/sdk/github/operations actions_delete_repo_secret_response","url":"midas/sdk/github/operations.html#actions_delete_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_repo_variable_request","content":"pub fn actions_delete_repo_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_repo_variable_request\nmidas/sdk/github/operations actions_delete_repo_variable_request","url":"midas/sdk/github/operations.html#actions_delete_repo_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_repo_variable_response","content":"pub fn actions_delete_repo_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_repo_variable_response\nmidas/sdk/github/operations actions_delete_repo_variable_response","url":"midas/sdk/github/operations.html#actions_delete_repo_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_self_hosted_runner_from_org_request","content":"pub fn actions_delete_self_hosted_runner_from_org_request(\n  base: Request(a),\n  org: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_self_hosted_runner_from_org_request\nmidas/sdk/github/operations actions_delete_self_hosted_runner_from_org_request","url":"midas/sdk/github/operations.html#actions_delete_self_hosted_runner_from_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_self_hosted_runner_from_org_response","content":"pub fn actions_delete_self_hosted_runner_from_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_self_hosted_runner_from_org_response\nmidas/sdk/github/operations actions_delete_self_hosted_runner_from_org_response","url":"midas/sdk/github/operations.html#actions_delete_self_hosted_runner_from_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_self_hosted_runner_from_repo_request","content":"pub fn actions_delete_self_hosted_runner_from_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_self_hosted_runner_from_repo_request\nmidas/sdk/github/operations actions_delete_self_hosted_runner_from_repo_request","url":"midas/sdk/github/operations.html#actions_delete_self_hosted_runner_from_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_self_hosted_runner_from_repo_response","content":"pub fn actions_delete_self_hosted_runner_from_repo_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_self_hosted_runner_from_repo_response\nmidas/sdk/github/operations actions_delete_self_hosted_runner_from_repo_response","url":"midas/sdk/github/operations.html#actions_delete_self_hosted_runner_from_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_self_hosted_runner_group_from_org_request","content":"pub fn actions_delete_self_hosted_runner_group_from_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_self_hosted_runner_group_from_org_request\nmidas/sdk/github/operations actions_delete_self_hosted_runner_group_from_org_request","url":"midas/sdk/github/operations.html#actions_delete_self_hosted_runner_group_from_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_self_hosted_runner_group_from_org_response","content":"pub fn actions_delete_self_hosted_runner_group_from_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_self_hosted_runner_group_from_org_response\nmidas/sdk/github/operations actions_delete_self_hosted_runner_group_from_org_response","url":"midas/sdk/github/operations.html#actions_delete_self_hosted_runner_group_from_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_workflow_run_logs_request","content":"pub fn actions_delete_workflow_run_logs_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_workflow_run_logs_request\nmidas/sdk/github/operations actions_delete_workflow_run_logs_request","url":"midas/sdk/github/operations.html#actions_delete_workflow_run_logs_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_workflow_run_logs_response","content":"pub fn actions_delete_workflow_run_logs_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_workflow_run_logs_response\nmidas/sdk/github/operations actions_delete_workflow_run_logs_response","url":"midas/sdk/github/operations.html#actions_delete_workflow_run_logs_response"},{"doc":"midas/sdk/github/operations","title":"actions_delete_workflow_run_request","content":"pub fn actions_delete_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_workflow_run_request\nmidas/sdk/github/operations actions_delete_workflow_run_request","url":"midas/sdk/github/operations.html#actions_delete_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_delete_workflow_run_response","content":"pub fn actions_delete_workflow_run_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_delete_workflow_run_response\nmidas/sdk/github/operations actions_delete_workflow_run_response","url":"midas/sdk/github/operations.html#actions_delete_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_disable_selected_repository_github_actions_organization_request","content":"pub fn actions_disable_selected_repository_github_actions_organization_request(\n  base: Request(a),\n  org: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_disable_selected_repository_github_actions_organization_request\nmidas/sdk/github/operations actions_disable_selected_repository_github_actions_organization_request","url":"midas/sdk/github/operations.html#actions_disable_selected_repository_github_actions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_disable_selected_repository_github_actions_organization_response","content":"pub fn actions_disable_selected_repository_github_actions_organization_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_disable_selected_repository_github_actions_organization_response\nmidas/sdk/github/operations actions_disable_selected_repository_github_actions_organization_response","url":"midas/sdk/github/operations.html#actions_disable_selected_repository_github_actions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_disable_workflow_request","content":"pub fn actions_disable_workflow_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_disable_workflow_request\nmidas/sdk/github/operations actions_disable_workflow_request","url":"midas/sdk/github/operations.html#actions_disable_workflow_request"},{"doc":"midas/sdk/github/operations","title":"actions_disable_workflow_response","content":"pub fn actions_disable_workflow_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_disable_workflow_response\nmidas/sdk/github/operations actions_disable_workflow_response","url":"midas/sdk/github/operations.html#actions_disable_workflow_response"},{"doc":"midas/sdk/github/operations","title":"actions_download_artifact_request","content":"pub fn actions_download_artifact_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  artifact_id: Int,\n  archive_format: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_artifact_request\nmidas/sdk/github/operations actions_download_artifact_request","url":"midas/sdk/github/operations.html#actions_download_artifact_request"},{"doc":"midas/sdk/github/operations","title":"actions_download_artifact_response","content":"pub fn actions_download_artifact_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_artifact_response\nmidas/sdk/github/operations actions_download_artifact_response","url":"midas/sdk/github/operations.html#actions_download_artifact_response"},{"doc":"midas/sdk/github/operations","title":"actions_download_job_logs_for_workflow_run_request","content":"pub fn actions_download_job_logs_for_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  job_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_job_logs_for_workflow_run_request\nmidas/sdk/github/operations actions_download_job_logs_for_workflow_run_request","url":"midas/sdk/github/operations.html#actions_download_job_logs_for_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_download_job_logs_for_workflow_run_response","content":"pub fn actions_download_job_logs_for_workflow_run_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_job_logs_for_workflow_run_response\nmidas/sdk/github/operations actions_download_job_logs_for_workflow_run_response","url":"midas/sdk/github/operations.html#actions_download_job_logs_for_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_download_workflow_run_attempt_logs_request","content":"pub fn actions_download_workflow_run_attempt_logs_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  attempt_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_workflow_run_attempt_logs_request\nmidas/sdk/github/operations actions_download_workflow_run_attempt_logs_request","url":"midas/sdk/github/operations.html#actions_download_workflow_run_attempt_logs_request"},{"doc":"midas/sdk/github/operations","title":"actions_download_workflow_run_attempt_logs_response","content":"pub fn actions_download_workflow_run_attempt_logs_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_workflow_run_attempt_logs_response\nmidas/sdk/github/operations actions_download_workflow_run_attempt_logs_response","url":"midas/sdk/github/operations.html#actions_download_workflow_run_attempt_logs_response"},{"doc":"midas/sdk/github/operations","title":"actions_download_workflow_run_logs_request","content":"pub fn actions_download_workflow_run_logs_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_workflow_run_logs_request\nmidas/sdk/github/operations actions_download_workflow_run_logs_request","url":"midas/sdk/github/operations.html#actions_download_workflow_run_logs_request"},{"doc":"midas/sdk/github/operations","title":"actions_download_workflow_run_logs_response","content":"pub fn actions_download_workflow_run_logs_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.actions_download_workflow_run_logs_response\nmidas/sdk/github/operations actions_download_workflow_run_logs_response","url":"midas/sdk/github/operations.html#actions_download_workflow_run_logs_response"},{"doc":"midas/sdk/github/operations","title":"actions_enable_selected_repository_github_actions_organization_request","content":"pub fn actions_enable_selected_repository_github_actions_organization_request(\n  base: Request(a),\n  org: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_enable_selected_repository_github_actions_organization_request\nmidas/sdk/github/operations actions_enable_selected_repository_github_actions_organization_request","url":"midas/sdk/github/operations.html#actions_enable_selected_repository_github_actions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_enable_selected_repository_github_actions_organization_response","content":"pub fn actions_enable_selected_repository_github_actions_organization_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_enable_selected_repository_github_actions_organization_response\nmidas/sdk/github/operations actions_enable_selected_repository_github_actions_organization_response","url":"midas/sdk/github/operations.html#actions_enable_selected_repository_github_actions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_enable_workflow_request","content":"pub fn actions_enable_workflow_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_enable_workflow_request\nmidas/sdk/github/operations actions_enable_workflow_request","url":"midas/sdk/github/operations.html#actions_enable_workflow_request"},{"doc":"midas/sdk/github/operations","title":"actions_enable_workflow_response","content":"pub fn actions_enable_workflow_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_enable_workflow_response\nmidas/sdk/github/operations actions_enable_workflow_response","url":"midas/sdk/github/operations.html#actions_enable_workflow_response"},{"doc":"midas/sdk/github/operations","title":"actions_force_cancel_workflow_run_request","content":"pub fn actions_force_cancel_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_force_cancel_workflow_run_request\nmidas/sdk/github/operations actions_force_cancel_workflow_run_request","url":"midas/sdk/github/operations.html#actions_force_cancel_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_force_cancel_workflow_run_response","content":"pub fn actions_force_cancel_workflow_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_force_cancel_workflow_run_response\nmidas/sdk/github/operations actions_force_cancel_workflow_run_response","url":"midas/sdk/github/operations.html#actions_force_cancel_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_generate_runner_jitconfig_for_org_request","content":"pub fn actions_generate_runner_jitconfig_for_org_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_generate_runner_jitconfig_for_org_request\nmidas/sdk/github/operations actions_generate_runner_jitconfig_for_org_request","url":"midas/sdk/github/operations.html#actions_generate_runner_jitconfig_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_generate_runner_jitconfig_for_org_response","content":"pub fn actions_generate_runner_jitconfig_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_generate_runner_jitconfig_for_org_response\nmidas/sdk/github/operations actions_generate_runner_jitconfig_for_org_response","url":"midas/sdk/github/operations.html#actions_generate_runner_jitconfig_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_generate_runner_jitconfig_for_repo_request","content":"pub fn actions_generate_runner_jitconfig_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_generate_runner_jitconfig_for_repo_request\nmidas/sdk/github/operations actions_generate_runner_jitconfig_for_repo_request","url":"midas/sdk/github/operations.html#actions_generate_runner_jitconfig_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_generate_runner_jitconfig_for_repo_response","content":"pub fn actions_generate_runner_jitconfig_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_generate_runner_jitconfig_for_repo_response\nmidas/sdk/github/operations actions_generate_runner_jitconfig_for_repo_response","url":"midas/sdk/github/operations.html#actions_generate_runner_jitconfig_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_list_request","content":"pub fn actions_get_actions_cache_list_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  ref ref: Option(String),\n  key key: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_list_request\nmidas/sdk/github/operations actions_get_actions_cache_list_request","url":"midas/sdk/github/operations.html#actions_get_actions_cache_list_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_list_response","content":"pub fn actions_get_actions_cache_list_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsCacheList, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_list_response\nmidas/sdk/github/operations actions_get_actions_cache_list_response","url":"midas/sdk/github/operations.html#actions_get_actions_cache_list_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_usage_by_repo_for_org_request","content":"pub fn actions_get_actions_cache_usage_by_repo_for_org_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_usage_by_repo_for_org_request\nmidas/sdk/github/operations actions_get_actions_cache_usage_by_repo_for_org_request","url":"midas/sdk/github/operations.html#actions_get_actions_cache_usage_by_repo_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_usage_by_repo_for_org_response","content":"pub fn actions_get_actions_cache_usage_by_repo_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_usage_by_repo_for_org_response\nmidas/sdk/github/operations actions_get_actions_cache_usage_by_repo_for_org_response","url":"midas/sdk/github/operations.html#actions_get_actions_cache_usage_by_repo_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_usage_for_org_request","content":"pub fn actions_get_actions_cache_usage_for_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_usage_for_org_request\nmidas/sdk/github/operations actions_get_actions_cache_usage_for_org_request","url":"midas/sdk/github/operations.html#actions_get_actions_cache_usage_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_usage_for_org_response","content":"pub fn actions_get_actions_cache_usage_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ActionsCacheUsageOrgEnterprise, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_usage_for_org_response\nmidas/sdk/github/operations actions_get_actions_cache_usage_for_org_response","url":"midas/sdk/github/operations.html#actions_get_actions_cache_usage_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_usage_request","content":"pub fn actions_get_actions_cache_usage_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_usage_request\nmidas/sdk/github/operations actions_get_actions_cache_usage_request","url":"midas/sdk/github/operations.html#actions_get_actions_cache_usage_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_actions_cache_usage_response","content":"pub fn actions_get_actions_cache_usage_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ActionsCacheUsageByRepository, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_actions_cache_usage_response\nmidas/sdk/github/operations actions_get_actions_cache_usage_response","url":"midas/sdk/github/operations.html#actions_get_actions_cache_usage_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_allowed_actions_organization_request","content":"pub fn actions_get_allowed_actions_organization_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_allowed_actions_organization_request\nmidas/sdk/github/operations actions_get_allowed_actions_organization_request","url":"midas/sdk/github/operations.html#actions_get_allowed_actions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_allowed_actions_organization_response","content":"pub fn actions_get_allowed_actions_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SelectedActions, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_allowed_actions_organization_response\nmidas/sdk/github/operations actions_get_allowed_actions_organization_response","url":"midas/sdk/github/operations.html#actions_get_allowed_actions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_allowed_actions_repository_request","content":"pub fn actions_get_allowed_actions_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_allowed_actions_repository_request\nmidas/sdk/github/operations actions_get_allowed_actions_repository_request","url":"midas/sdk/github/operations.html#actions_get_allowed_actions_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_allowed_actions_repository_response","content":"pub fn actions_get_allowed_actions_repository_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SelectedActions, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_allowed_actions_repository_response\nmidas/sdk/github/operations actions_get_allowed_actions_repository_response","url":"midas/sdk/github/operations.html#actions_get_allowed_actions_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_artifact_request","content":"pub fn actions_get_artifact_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  artifact_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_artifact_request\nmidas/sdk/github/operations actions_get_artifact_request","url":"midas/sdk/github/operations.html#actions_get_artifact_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_artifact_response","content":"pub fn actions_get_artifact_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Artifact, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_artifact_response\nmidas/sdk/github/operations actions_get_artifact_response","url":"midas/sdk/github/operations.html#actions_get_artifact_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_custom_oidc_sub_claim_for_repo_request","content":"pub fn actions_get_custom_oidc_sub_claim_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_custom_oidc_sub_claim_for_repo_request\nmidas/sdk/github/operations actions_get_custom_oidc_sub_claim_for_repo_request","url":"midas/sdk/github/operations.html#actions_get_custom_oidc_sub_claim_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_custom_oidc_sub_claim_for_repo_response","content":"pub fn actions_get_custom_oidc_sub_claim_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OidcCustomSubRepo, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_custom_oidc_sub_claim_for_repo_response\nmidas/sdk/github/operations actions_get_custom_oidc_sub_claim_for_repo_response","url":"midas/sdk/github/operations.html#actions_get_custom_oidc_sub_claim_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_environment_public_key_request","content":"pub fn actions_get_environment_public_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_environment_public_key_request\nmidas/sdk/github/operations actions_get_environment_public_key_request","url":"midas/sdk/github/operations.html#actions_get_environment_public_key_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_environment_public_key_response","content":"pub fn actions_get_environment_public_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_environment_public_key_response\nmidas/sdk/github/operations actions_get_environment_public_key_response","url":"midas/sdk/github/operations.html#actions_get_environment_public_key_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_environment_secret_request","content":"pub fn actions_get_environment_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_environment_secret_request\nmidas/sdk/github/operations actions_get_environment_secret_request","url":"midas/sdk/github/operations.html#actions_get_environment_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_environment_secret_response","content":"pub fn actions_get_environment_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsSecret, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_environment_secret_response\nmidas/sdk/github/operations actions_get_environment_secret_response","url":"midas/sdk/github/operations.html#actions_get_environment_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_environment_variable_request","content":"pub fn actions_get_environment_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_environment_variable_request\nmidas/sdk/github/operations actions_get_environment_variable_request","url":"midas/sdk/github/operations.html#actions_get_environment_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_environment_variable_response","content":"pub fn actions_get_environment_variable_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsVariable, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_environment_variable_response\nmidas/sdk/github/operations actions_get_environment_variable_response","url":"midas/sdk/github/operations.html#actions_get_environment_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_default_workflow_permissions_organization_request","content":"pub fn actions_get_github_actions_default_workflow_permissions_organization_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_default_workflow_permissions_organization_request\nmidas/sdk/github/operations actions_get_github_actions_default_workflow_permissions_organization_request","url":"midas/sdk/github/operations.html#actions_get_github_actions_default_workflow_permissions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_default_workflow_permissions_organization_response","content":"pub fn actions_get_github_actions_default_workflow_permissions_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ActionsGetDefaultWorkflowPermissions, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_default_workflow_permissions_organization_response\nmidas/sdk/github/operations actions_get_github_actions_default_workflow_permissions_organization_response","url":"midas/sdk/github/operations.html#actions_get_github_actions_default_workflow_permissions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_default_workflow_permissions_repository_request","content":"pub fn actions_get_github_actions_default_workflow_permissions_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_default_workflow_permissions_repository_request\nmidas/sdk/github/operations actions_get_github_actions_default_workflow_permissions_repository_request","url":"midas/sdk/github/operations.html#actions_get_github_actions_default_workflow_permissions_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_default_workflow_permissions_repository_response","content":"pub fn actions_get_github_actions_default_workflow_permissions_repository_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ActionsGetDefaultWorkflowPermissions, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_default_workflow_permissions_repository_response\nmidas/sdk/github/operations actions_get_github_actions_default_workflow_permissions_repository_response","url":"midas/sdk/github/operations.html#actions_get_github_actions_default_workflow_permissions_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_permissions_organization_request","content":"pub fn actions_get_github_actions_permissions_organization_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_permissions_organization_request\nmidas/sdk/github/operations actions_get_github_actions_permissions_organization_request","url":"midas/sdk/github/operations.html#actions_get_github_actions_permissions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_permissions_organization_response","content":"pub fn actions_get_github_actions_permissions_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ActionsOrganizationPermissions, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_permissions_organization_response\nmidas/sdk/github/operations actions_get_github_actions_permissions_organization_response","url":"midas/sdk/github/operations.html#actions_get_github_actions_permissions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_permissions_repository_request","content":"pub fn actions_get_github_actions_permissions_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_permissions_repository_request\nmidas/sdk/github/operations actions_get_github_actions_permissions_repository_request","url":"midas/sdk/github/operations.html#actions_get_github_actions_permissions_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_github_actions_permissions_repository_response","content":"pub fn actions_get_github_actions_permissions_repository_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ActionsRepositoryPermissions, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_github_actions_permissions_repository_response\nmidas/sdk/github/operations actions_get_github_actions_permissions_repository_response","url":"midas/sdk/github/operations.html#actions_get_github_actions_permissions_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_job_for_workflow_run_request","content":"pub fn actions_get_job_for_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  job_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_job_for_workflow_run_request\nmidas/sdk/github/operations actions_get_job_for_workflow_run_request","url":"midas/sdk/github/operations.html#actions_get_job_for_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_job_for_workflow_run_response","content":"pub fn actions_get_job_for_workflow_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Job, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_job_for_workflow_run_response\nmidas/sdk/github/operations actions_get_job_for_workflow_run_response","url":"midas/sdk/github/operations.html#actions_get_job_for_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_org_public_key_request","content":"pub fn actions_get_org_public_key_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_org_public_key_request\nmidas/sdk/github/operations actions_get_org_public_key_request","url":"midas/sdk/github/operations.html#actions_get_org_public_key_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_org_public_key_response","content":"pub fn actions_get_org_public_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_org_public_key_response\nmidas/sdk/github/operations actions_get_org_public_key_response","url":"midas/sdk/github/operations.html#actions_get_org_public_key_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_org_secret_request","content":"pub fn actions_get_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_org_secret_request\nmidas/sdk/github/operations actions_get_org_secret_request","url":"midas/sdk/github/operations.html#actions_get_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_org_secret_response","content":"pub fn actions_get_org_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(OrganizationActionsSecret, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_org_secret_response\nmidas/sdk/github/operations actions_get_org_secret_response","url":"midas/sdk/github/operations.html#actions_get_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_org_variable_request","content":"pub fn actions_get_org_variable_request(\n  base: Request(a),\n  org: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_org_variable_request\nmidas/sdk/github/operations actions_get_org_variable_request","url":"midas/sdk/github/operations.html#actions_get_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_org_variable_response","content":"pub fn actions_get_org_variable_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(OrganizationActionsVariable, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_org_variable_response\nmidas/sdk/github/operations actions_get_org_variable_response","url":"midas/sdk/github/operations.html#actions_get_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_pending_deployments_for_run_request","content":"pub fn actions_get_pending_deployments_for_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_pending_deployments_for_run_request\nmidas/sdk/github/operations actions_get_pending_deployments_for_run_request","url":"midas/sdk/github/operations.html#actions_get_pending_deployments_for_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_pending_deployments_for_run_response","content":"pub fn actions_get_pending_deployments_for_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PendingDeployment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_pending_deployments_for_run_response\nmidas/sdk/github/operations actions_get_pending_deployments_for_run_response","url":"midas/sdk/github/operations.html#actions_get_pending_deployments_for_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_repo_public_key_request","content":"pub fn actions_get_repo_public_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_repo_public_key_request\nmidas/sdk/github/operations actions_get_repo_public_key_request","url":"midas/sdk/github/operations.html#actions_get_repo_public_key_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_repo_public_key_response","content":"pub fn actions_get_repo_public_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_repo_public_key_response\nmidas/sdk/github/operations actions_get_repo_public_key_response","url":"midas/sdk/github/operations.html#actions_get_repo_public_key_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_repo_secret_request","content":"pub fn actions_get_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_repo_secret_request\nmidas/sdk/github/operations actions_get_repo_secret_request","url":"midas/sdk/github/operations.html#actions_get_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_repo_secret_response","content":"pub fn actions_get_repo_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsSecret, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_repo_secret_response\nmidas/sdk/github/operations actions_get_repo_secret_response","url":"midas/sdk/github/operations.html#actions_get_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_repo_variable_request","content":"pub fn actions_get_repo_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_repo_variable_request\nmidas/sdk/github/operations actions_get_repo_variable_request","url":"midas/sdk/github/operations.html#actions_get_repo_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_repo_variable_response","content":"pub fn actions_get_repo_variable_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsVariable, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_repo_variable_response\nmidas/sdk/github/operations actions_get_repo_variable_response","url":"midas/sdk/github/operations.html#actions_get_repo_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_reviews_for_run_request","content":"pub fn actions_get_reviews_for_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_reviews_for_run_request\nmidas/sdk/github/operations actions_get_reviews_for_run_request","url":"midas/sdk/github/operations.html#actions_get_reviews_for_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_reviews_for_run_response","content":"pub fn actions_get_reviews_for_run_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(EnvironmentApprovals), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_reviews_for_run_response\nmidas/sdk/github/operations actions_get_reviews_for_run_response","url":"midas/sdk/github/operations.html#actions_get_reviews_for_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_self_hosted_runner_for_org_request","content":"pub fn actions_get_self_hosted_runner_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_self_hosted_runner_for_org_request\nmidas/sdk/github/operations actions_get_self_hosted_runner_for_org_request","url":"midas/sdk/github/operations.html#actions_get_self_hosted_runner_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_self_hosted_runner_for_org_response","content":"pub fn actions_get_self_hosted_runner_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Runner, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_self_hosted_runner_for_org_response\nmidas/sdk/github/operations actions_get_self_hosted_runner_for_org_response","url":"midas/sdk/github/operations.html#actions_get_self_hosted_runner_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_self_hosted_runner_for_repo_request","content":"pub fn actions_get_self_hosted_runner_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_self_hosted_runner_for_repo_request\nmidas/sdk/github/operations actions_get_self_hosted_runner_for_repo_request","url":"midas/sdk/github/operations.html#actions_get_self_hosted_runner_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_self_hosted_runner_for_repo_response","content":"pub fn actions_get_self_hosted_runner_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Runner, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_self_hosted_runner_for_repo_response\nmidas/sdk/github/operations actions_get_self_hosted_runner_for_repo_response","url":"midas/sdk/github/operations.html#actions_get_self_hosted_runner_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_self_hosted_runner_group_for_org_request","content":"pub fn actions_get_self_hosted_runner_group_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_self_hosted_runner_group_for_org_request\nmidas/sdk/github/operations actions_get_self_hosted_runner_group_for_org_request","url":"midas/sdk/github/operations.html#actions_get_self_hosted_runner_group_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_self_hosted_runner_group_for_org_response","content":"pub fn actions_get_self_hosted_runner_group_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RunnerGroupsOrg, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_self_hosted_runner_group_for_org_response\nmidas/sdk/github/operations actions_get_self_hosted_runner_group_for_org_response","url":"midas/sdk/github/operations.html#actions_get_self_hosted_runner_group_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_access_to_repository_request","content":"pub fn actions_get_workflow_access_to_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_access_to_repository_request\nmidas/sdk/github/operations actions_get_workflow_access_to_repository_request","url":"midas/sdk/github/operations.html#actions_get_workflow_access_to_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_access_to_repository_response","content":"pub fn actions_get_workflow_access_to_repository_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ActionsWorkflowAccessToRepository, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_access_to_repository_response\nmidas/sdk/github/operations actions_get_workflow_access_to_repository_response","url":"midas/sdk/github/operations.html#actions_get_workflow_access_to_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_request","content":"pub fn actions_get_workflow_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_request\nmidas/sdk/github/operations actions_get_workflow_request","url":"midas/sdk/github/operations.html#actions_get_workflow_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_response","content":"pub fn actions_get_workflow_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Workflow, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_response\nmidas/sdk/github/operations actions_get_workflow_response","url":"midas/sdk/github/operations.html#actions_get_workflow_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_run_attempt_request","content":"pub fn actions_get_workflow_run_attempt_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  attempt_number: Int,\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_run_attempt_request\nmidas/sdk/github/operations actions_get_workflow_run_attempt_request","url":"midas/sdk/github/operations.html#actions_get_workflow_run_attempt_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_run_attempt_response","content":"pub fn actions_get_workflow_run_attempt_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WorkflowRun, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_run_attempt_response\nmidas/sdk/github/operations actions_get_workflow_run_attempt_response","url":"midas/sdk/github/operations.html#actions_get_workflow_run_attempt_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_run_request","content":"pub fn actions_get_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_run_request\nmidas/sdk/github/operations actions_get_workflow_run_request","url":"midas/sdk/github/operations.html#actions_get_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_run_response","content":"pub fn actions_get_workflow_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WorkflowRun, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_run_response\nmidas/sdk/github/operations actions_get_workflow_run_response","url":"midas/sdk/github/operations.html#actions_get_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_run_usage_request","content":"pub fn actions_get_workflow_run_usage_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_run_usage_request\nmidas/sdk/github/operations actions_get_workflow_run_usage_request","url":"midas/sdk/github/operations.html#actions_get_workflow_run_usage_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_run_usage_response","content":"pub fn actions_get_workflow_run_usage_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WorkflowRunUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_run_usage_response\nmidas/sdk/github/operations actions_get_workflow_run_usage_response","url":"midas/sdk/github/operations.html#actions_get_workflow_run_usage_response"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_usage_request","content":"pub fn actions_get_workflow_usage_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_usage_request\nmidas/sdk/github/operations actions_get_workflow_usage_request","url":"midas/sdk/github/operations.html#actions_get_workflow_usage_request"},{"doc":"midas/sdk/github/operations","title":"actions_get_workflow_usage_response","content":"pub fn actions_get_workflow_usage_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WorkflowUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_get_workflow_usage_response\nmidas/sdk/github/operations actions_get_workflow_usage_response","url":"midas/sdk/github/operations.html#actions_get_workflow_usage_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_artifacts_for_repo_request","content":"pub fn actions_list_artifacts_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  name name: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_artifacts_for_repo_request\nmidas/sdk/github/operations actions_list_artifacts_for_repo_request","url":"midas/sdk/github/operations.html#actions_list_artifacts_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_artifacts_for_repo_response","content":"pub fn actions_list_artifacts_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_artifacts_for_repo_response\nmidas/sdk/github/operations actions_list_artifacts_for_repo_response","url":"midas/sdk/github/operations.html#actions_list_artifacts_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_environment_secrets_request","content":"pub fn actions_list_environment_secrets_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_environment_secrets_request\nmidas/sdk/github/operations actions_list_environment_secrets_request","url":"midas/sdk/github/operations.html#actions_list_environment_secrets_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_environment_secrets_response","content":"pub fn actions_list_environment_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_environment_secrets_response\nmidas/sdk/github/operations actions_list_environment_secrets_response","url":"midas/sdk/github/operations.html#actions_list_environment_secrets_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_environment_variables_request","content":"pub fn actions_list_environment_variables_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_environment_variables_request\nmidas/sdk/github/operations actions_list_environment_variables_request","url":"midas/sdk/github/operations.html#actions_list_environment_variables_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_environment_variables_response","content":"pub fn actions_list_environment_variables_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_environment_variables_response\nmidas/sdk/github/operations actions_list_environment_variables_response","url":"midas/sdk/github/operations.html#actions_list_environment_variables_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_jobs_for_workflow_run_attempt_request","content":"pub fn actions_list_jobs_for_workflow_run_attempt_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  attempt_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_jobs_for_workflow_run_attempt_request\nmidas/sdk/github/operations actions_list_jobs_for_workflow_run_attempt_request","url":"midas/sdk/github/operations.html#actions_list_jobs_for_workflow_run_attempt_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_jobs_for_workflow_run_attempt_response","content":"pub fn actions_list_jobs_for_workflow_run_attempt_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_jobs_for_workflow_run_attempt_response\nmidas/sdk/github/operations actions_list_jobs_for_workflow_run_attempt_response","url":"midas/sdk/github/operations.html#actions_list_jobs_for_workflow_run_attempt_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_jobs_for_workflow_run_request","content":"pub fn actions_list_jobs_for_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_jobs_for_workflow_run_request\nmidas/sdk/github/operations actions_list_jobs_for_workflow_run_request","url":"midas/sdk/github/operations.html#actions_list_jobs_for_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_jobs_for_workflow_run_response","content":"pub fn actions_list_jobs_for_workflow_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_jobs_for_workflow_run_response\nmidas/sdk/github/operations actions_list_jobs_for_workflow_run_response","url":"midas/sdk/github/operations.html#actions_list_jobs_for_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_labels_for_self_hosted_runner_for_org_request","content":"pub fn actions_list_labels_for_self_hosted_runner_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_labels_for_self_hosted_runner_for_org_request\nmidas/sdk/github/operations actions_list_labels_for_self_hosted_runner_for_org_request","url":"midas/sdk/github/operations.html#actions_list_labels_for_self_hosted_runner_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_labels_for_self_hosted_runner_for_org_response","content":"pub fn actions_list_labels_for_self_hosted_runner_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_labels_for_self_hosted_runner_for_org_response\nmidas/sdk/github/operations actions_list_labels_for_self_hosted_runner_for_org_response","url":"midas/sdk/github/operations.html#actions_list_labels_for_self_hosted_runner_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_labels_for_self_hosted_runner_for_repo_request","content":"pub fn actions_list_labels_for_self_hosted_runner_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_labels_for_self_hosted_runner_for_repo_request\nmidas/sdk/github/operations actions_list_labels_for_self_hosted_runner_for_repo_request","url":"midas/sdk/github/operations.html#actions_list_labels_for_self_hosted_runner_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_labels_for_self_hosted_runner_for_repo_response","content":"pub fn actions_list_labels_for_self_hosted_runner_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_labels_for_self_hosted_runner_for_repo_response\nmidas/sdk/github/operations actions_list_labels_for_self_hosted_runner_for_repo_response","url":"midas/sdk/github/operations.html#actions_list_labels_for_self_hosted_runner_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_org_secrets_request","content":"pub fn actions_list_org_secrets_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_org_secrets_request\nmidas/sdk/github/operations actions_list_org_secrets_request","url":"midas/sdk/github/operations.html#actions_list_org_secrets_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_org_secrets_response","content":"pub fn actions_list_org_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_org_secrets_response\nmidas/sdk/github/operations actions_list_org_secrets_response","url":"midas/sdk/github/operations.html#actions_list_org_secrets_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_org_variables_request","content":"pub fn actions_list_org_variables_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_org_variables_request\nmidas/sdk/github/operations actions_list_org_variables_request","url":"midas/sdk/github/operations.html#actions_list_org_variables_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_org_variables_response","content":"pub fn actions_list_org_variables_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_org_variables_response\nmidas/sdk/github/operations actions_list_org_variables_response","url":"midas/sdk/github/operations.html#actions_list_org_variables_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_access_to_self_hosted_runner_group_in_org_request","content":"pub fn actions_list_repo_access_to_self_hosted_runner_group_in_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_access_to_self_hosted_runner_group_in_org_request\nmidas/sdk/github/operations actions_list_repo_access_to_self_hosted_runner_group_in_org_request","url":"midas/sdk/github/operations.html#actions_list_repo_access_to_self_hosted_runner_group_in_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_access_to_self_hosted_runner_group_in_org_response","content":"pub fn actions_list_repo_access_to_self_hosted_runner_group_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_access_to_self_hosted_runner_group_in_org_response\nmidas/sdk/github/operations actions_list_repo_access_to_self_hosted_runner_group_in_org_response","url":"midas/sdk/github/operations.html#actions_list_repo_access_to_self_hosted_runner_group_in_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_organization_secrets_request","content":"pub fn actions_list_repo_organization_secrets_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_organization_secrets_request\nmidas/sdk/github/operations actions_list_repo_organization_secrets_request","url":"midas/sdk/github/operations.html#actions_list_repo_organization_secrets_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_organization_secrets_response","content":"pub fn actions_list_repo_organization_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_organization_secrets_response\nmidas/sdk/github/operations actions_list_repo_organization_secrets_response","url":"midas/sdk/github/operations.html#actions_list_repo_organization_secrets_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_organization_variables_request","content":"pub fn actions_list_repo_organization_variables_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_organization_variables_request\nmidas/sdk/github/operations actions_list_repo_organization_variables_request","url":"midas/sdk/github/operations.html#actions_list_repo_organization_variables_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_organization_variables_response","content":"pub fn actions_list_repo_organization_variables_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_organization_variables_response\nmidas/sdk/github/operations actions_list_repo_organization_variables_response","url":"midas/sdk/github/operations.html#actions_list_repo_organization_variables_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_secrets_request","content":"pub fn actions_list_repo_secrets_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_secrets_request\nmidas/sdk/github/operations actions_list_repo_secrets_request","url":"midas/sdk/github/operations.html#actions_list_repo_secrets_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_secrets_response","content":"pub fn actions_list_repo_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_secrets_response\nmidas/sdk/github/operations actions_list_repo_secrets_response","url":"midas/sdk/github/operations.html#actions_list_repo_secrets_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_variables_request","content":"pub fn actions_list_repo_variables_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_variables_request\nmidas/sdk/github/operations actions_list_repo_variables_request","url":"midas/sdk/github/operations.html#actions_list_repo_variables_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_variables_response","content":"pub fn actions_list_repo_variables_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_variables_response\nmidas/sdk/github/operations actions_list_repo_variables_response","url":"midas/sdk/github/operations.html#actions_list_repo_variables_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_workflows_request","content":"pub fn actions_list_repo_workflows_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_workflows_request\nmidas/sdk/github/operations actions_list_repo_workflows_request","url":"midas/sdk/github/operations.html#actions_list_repo_workflows_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_repo_workflows_response","content":"pub fn actions_list_repo_workflows_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_repo_workflows_response\nmidas/sdk/github/operations actions_list_repo_workflows_response","url":"midas/sdk/github/operations.html#actions_list_repo_workflows_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_runner_applications_for_org_request","content":"pub fn actions_list_runner_applications_for_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_runner_applications_for_org_request\nmidas/sdk/github/operations actions_list_runner_applications_for_org_request","url":"midas/sdk/github/operations.html#actions_list_runner_applications_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_runner_applications_for_org_response","content":"pub fn actions_list_runner_applications_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(RunnerApplication), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_runner_applications_for_org_response\nmidas/sdk/github/operations actions_list_runner_applications_for_org_response","url":"midas/sdk/github/operations.html#actions_list_runner_applications_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_runner_applications_for_repo_request","content":"pub fn actions_list_runner_applications_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_runner_applications_for_repo_request\nmidas/sdk/github/operations actions_list_runner_applications_for_repo_request","url":"midas/sdk/github/operations.html#actions_list_runner_applications_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_runner_applications_for_repo_response","content":"pub fn actions_list_runner_applications_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(RunnerApplication), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_runner_applications_for_repo_response\nmidas/sdk/github/operations actions_list_runner_applications_for_repo_response","url":"midas/sdk/github/operations.html#actions_list_runner_applications_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_selected_repos_for_org_secret_request","content":"pub fn actions_list_selected_repos_for_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_selected_repos_for_org_secret_request\nmidas/sdk/github/operations actions_list_selected_repos_for_org_secret_request","url":"midas/sdk/github/operations.html#actions_list_selected_repos_for_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_selected_repos_for_org_secret_response","content":"pub fn actions_list_selected_repos_for_org_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_selected_repos_for_org_secret_response\nmidas/sdk/github/operations actions_list_selected_repos_for_org_secret_response","url":"midas/sdk/github/operations.html#actions_list_selected_repos_for_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_selected_repos_for_org_variable_request","content":"pub fn actions_list_selected_repos_for_org_variable_request(\n  base: Request(a),\n  org: String,\n  name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_selected_repos_for_org_variable_request\nmidas/sdk/github/operations actions_list_selected_repos_for_org_variable_request","url":"midas/sdk/github/operations.html#actions_list_selected_repos_for_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_selected_repos_for_org_variable_response","content":"pub fn actions_list_selected_repos_for_org_variable_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_selected_repos_for_org_variable_response\nmidas/sdk/github/operations actions_list_selected_repos_for_org_variable_response","url":"midas/sdk/github/operations.html#actions_list_selected_repos_for_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_selected_repositories_enabled_github_actions_organization_request","content":"pub fn actions_list_selected_repositories_enabled_github_actions_organization_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_selected_repositories_enabled_github_actions_organization_request\nmidas/sdk/github/operations actions_list_selected_repositories_enabled_github_actions_organization_request","url":"midas/sdk/github/operations.html#actions_list_selected_repositories_enabled_github_actions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_selected_repositories_enabled_github_actions_organization_response","content":"pub fn actions_list_selected_repositories_enabled_github_actions_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_selected_repositories_enabled_github_actions_organization_response\nmidas/sdk/github/operations actions_list_selected_repositories_enabled_github_actions_organization_response","url":"midas/sdk/github/operations.html#actions_list_selected_repositories_enabled_github_actions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runner_groups_for_org_request","content":"pub fn actions_list_self_hosted_runner_groups_for_org_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  visible_to_repository visible_to_repository: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runner_groups_for_org_request\nmidas/sdk/github/operations actions_list_self_hosted_runner_groups_for_org_request","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runner_groups_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runner_groups_for_org_response","content":"pub fn actions_list_self_hosted_runner_groups_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runner_groups_for_org_response\nmidas/sdk/github/operations actions_list_self_hosted_runner_groups_for_org_response","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runner_groups_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runners_for_org_request","content":"pub fn actions_list_self_hosted_runners_for_org_request(\n  base: Request(a),\n  org: String,\n  name name: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runners_for_org_request\nmidas/sdk/github/operations actions_list_self_hosted_runners_for_org_request","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runners_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runners_for_org_response","content":"pub fn actions_list_self_hosted_runners_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runners_for_org_response\nmidas/sdk/github/operations actions_list_self_hosted_runners_for_org_response","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runners_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runners_for_repo_request","content":"pub fn actions_list_self_hosted_runners_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  name name: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runners_for_repo_request\nmidas/sdk/github/operations actions_list_self_hosted_runners_for_repo_request","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runners_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runners_for_repo_response","content":"pub fn actions_list_self_hosted_runners_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runners_for_repo_response\nmidas/sdk/github/operations actions_list_self_hosted_runners_for_repo_response","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runners_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runners_in_group_for_org_request","content":"pub fn actions_list_self_hosted_runners_in_group_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runners_in_group_for_org_request\nmidas/sdk/github/operations actions_list_self_hosted_runners_in_group_for_org_request","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runners_in_group_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_self_hosted_runners_in_group_for_org_response","content":"pub fn actions_list_self_hosted_runners_in_group_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_self_hosted_runners_in_group_for_org_response\nmidas/sdk/github/operations actions_list_self_hosted_runners_in_group_for_org_response","url":"midas/sdk/github/operations.html#actions_list_self_hosted_runners_in_group_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_workflow_run_artifacts_request","content":"pub fn actions_list_workflow_run_artifacts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  name name: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_workflow_run_artifacts_request\nmidas/sdk/github/operations actions_list_workflow_run_artifacts_request","url":"midas/sdk/github/operations.html#actions_list_workflow_run_artifacts_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_workflow_run_artifacts_response","content":"pub fn actions_list_workflow_run_artifacts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_workflow_run_artifacts_response\nmidas/sdk/github/operations actions_list_workflow_run_artifacts_response","url":"midas/sdk/github/operations.html#actions_list_workflow_run_artifacts_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_workflow_runs_for_repo_request","content":"pub fn actions_list_workflow_runs_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  actor actor: Option(String),\n  branch branch: Option(String),\n  event event: Option(String),\n  status status: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  created created: Option(String),\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n  check_suite_id check_suite_id: Option(Int),\n  head_sha head_sha: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_workflow_runs_for_repo_request\nmidas/sdk/github/operations actions_list_workflow_runs_for_repo_request","url":"midas/sdk/github/operations.html#actions_list_workflow_runs_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_workflow_runs_for_repo_response","content":"pub fn actions_list_workflow_runs_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_workflow_runs_for_repo_response\nmidas/sdk/github/operations actions_list_workflow_runs_for_repo_response","url":"midas/sdk/github/operations.html#actions_list_workflow_runs_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_list_workflow_runs_request","content":"pub fn actions_list_workflow_runs_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  workflow_id: String,\n  actor actor: Option(String),\n  branch branch: Option(String),\n  event event: Option(String),\n  status status: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  created created: Option(String),\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n  check_suite_id check_suite_id: Option(Int),\n  head_sha head_sha: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_workflow_runs_request\nmidas/sdk/github/operations actions_list_workflow_runs_request","url":"midas/sdk/github/operations.html#actions_list_workflow_runs_request"},{"doc":"midas/sdk/github/operations","title":"actions_list_workflow_runs_response","content":"pub fn actions_list_workflow_runs_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_list_workflow_runs_response\nmidas/sdk/github/operations actions_list_workflow_runs_response","url":"midas/sdk/github/operations.html#actions_list_workflow_runs_response"},{"doc":"midas/sdk/github/operations","title":"actions_re_run_job_for_workflow_run_request","content":"pub fn actions_re_run_job_for_workflow_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  job_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_re_run_job_for_workflow_run_request\nmidas/sdk/github/operations actions_re_run_job_for_workflow_run_request","url":"midas/sdk/github/operations.html#actions_re_run_job_for_workflow_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_re_run_job_for_workflow_run_response","content":"pub fn actions_re_run_job_for_workflow_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_re_run_job_for_workflow_run_response\nmidas/sdk/github/operations actions_re_run_job_for_workflow_run_response","url":"midas/sdk/github/operations.html#actions_re_run_job_for_workflow_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_re_run_workflow_failed_jobs_request","content":"pub fn actions_re_run_workflow_failed_jobs_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_re_run_workflow_failed_jobs_request\nmidas/sdk/github/operations actions_re_run_workflow_failed_jobs_request","url":"midas/sdk/github/operations.html#actions_re_run_workflow_failed_jobs_request"},{"doc":"midas/sdk/github/operations","title":"actions_re_run_workflow_failed_jobs_response","content":"pub fn actions_re_run_workflow_failed_jobs_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_re_run_workflow_failed_jobs_response\nmidas/sdk/github/operations actions_re_run_workflow_failed_jobs_response","url":"midas/sdk/github/operations.html#actions_re_run_workflow_failed_jobs_response"},{"doc":"midas/sdk/github/operations","title":"actions_re_run_workflow_request","content":"pub fn actions_re_run_workflow_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_re_run_workflow_request\nmidas/sdk/github/operations actions_re_run_workflow_request","url":"midas/sdk/github/operations.html#actions_re_run_workflow_request"},{"doc":"midas/sdk/github/operations","title":"actions_re_run_workflow_response","content":"pub fn actions_re_run_workflow_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_re_run_workflow_response\nmidas/sdk/github/operations actions_re_run_workflow_response","url":"midas/sdk/github/operations.html#actions_re_run_workflow_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_all_custom_labels_from_self_hosted_runner_for_org_request","content":"pub fn actions_remove_all_custom_labels_from_self_hosted_runner_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_all_custom_labels_from_self_hosted_runner_for_org_request\nmidas/sdk/github/operations actions_remove_all_custom_labels_from_self_hosted_runner_for_org_request","url":"midas/sdk/github/operations.html#actions_remove_all_custom_labels_from_self_hosted_runner_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_all_custom_labels_from_self_hosted_runner_for_org_response","content":"pub fn actions_remove_all_custom_labels_from_self_hosted_runner_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_all_custom_labels_from_self_hosted_runner_for_org_response\nmidas/sdk/github/operations actions_remove_all_custom_labels_from_self_hosted_runner_for_org_response","url":"midas/sdk/github/operations.html#actions_remove_all_custom_labels_from_self_hosted_runner_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_request","content":"pub fn actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_request\nmidas/sdk/github/operations actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_request","url":"midas/sdk/github/operations.html#actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_response","content":"pub fn actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_response\nmidas/sdk/github/operations actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_response","url":"midas/sdk/github/operations.html#actions_remove_all_custom_labels_from_self_hosted_runner_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_custom_label_from_self_hosted_runner_for_org_request","content":"pub fn actions_remove_custom_label_from_self_hosted_runner_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_id: Int,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_custom_label_from_self_hosted_runner_for_org_request\nmidas/sdk/github/operations actions_remove_custom_label_from_self_hosted_runner_for_org_request","url":"midas/sdk/github/operations.html#actions_remove_custom_label_from_self_hosted_runner_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_custom_label_from_self_hosted_runner_for_org_response","content":"pub fn actions_remove_custom_label_from_self_hosted_runner_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_custom_label_from_self_hosted_runner_for_org_response\nmidas/sdk/github/operations actions_remove_custom_label_from_self_hosted_runner_for_org_response","url":"midas/sdk/github/operations.html#actions_remove_custom_label_from_self_hosted_runner_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_custom_label_from_self_hosted_runner_for_repo_request","content":"pub fn actions_remove_custom_label_from_self_hosted_runner_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  runner_id: Int,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_custom_label_from_self_hosted_runner_for_repo_request\nmidas/sdk/github/operations actions_remove_custom_label_from_self_hosted_runner_for_repo_request","url":"midas/sdk/github/operations.html#actions_remove_custom_label_from_self_hosted_runner_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_custom_label_from_self_hosted_runner_for_repo_response","content":"pub fn actions_remove_custom_label_from_self_hosted_runner_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_custom_label_from_self_hosted_runner_for_repo_response\nmidas/sdk/github/operations actions_remove_custom_label_from_self_hosted_runner_for_repo_response","url":"midas/sdk/github/operations.html#actions_remove_custom_label_from_self_hosted_runner_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_repo_access_to_self_hosted_runner_group_in_org_request","content":"pub fn actions_remove_repo_access_to_self_hosted_runner_group_in_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_repo_access_to_self_hosted_runner_group_in_org_request\nmidas/sdk/github/operations actions_remove_repo_access_to_self_hosted_runner_group_in_org_request","url":"midas/sdk/github/operations.html#actions_remove_repo_access_to_self_hosted_runner_group_in_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_repo_access_to_self_hosted_runner_group_in_org_response","content":"pub fn actions_remove_repo_access_to_self_hosted_runner_group_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_repo_access_to_self_hosted_runner_group_in_org_response\nmidas/sdk/github/operations actions_remove_repo_access_to_self_hosted_runner_group_in_org_response","url":"midas/sdk/github/operations.html#actions_remove_repo_access_to_self_hosted_runner_group_in_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_selected_repo_from_org_secret_request","content":"pub fn actions_remove_selected_repo_from_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_selected_repo_from_org_secret_request\nmidas/sdk/github/operations actions_remove_selected_repo_from_org_secret_request","url":"midas/sdk/github/operations.html#actions_remove_selected_repo_from_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_selected_repo_from_org_secret_response","content":"pub fn actions_remove_selected_repo_from_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_selected_repo_from_org_secret_response\nmidas/sdk/github/operations actions_remove_selected_repo_from_org_secret_response","url":"midas/sdk/github/operations.html#actions_remove_selected_repo_from_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_selected_repo_from_org_variable_request","content":"pub fn actions_remove_selected_repo_from_org_variable_request(\n  base: Request(a),\n  org: String,\n  name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_selected_repo_from_org_variable_request\nmidas/sdk/github/operations actions_remove_selected_repo_from_org_variable_request","url":"midas/sdk/github/operations.html#actions_remove_selected_repo_from_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_selected_repo_from_org_variable_response","content":"pub fn actions_remove_selected_repo_from_org_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_selected_repo_from_org_variable_response\nmidas/sdk/github/operations actions_remove_selected_repo_from_org_variable_response","url":"midas/sdk/github/operations.html#actions_remove_selected_repo_from_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_remove_self_hosted_runner_from_group_for_org_request","content":"pub fn actions_remove_self_hosted_runner_from_group_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  runner_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_self_hosted_runner_from_group_for_org_request\nmidas/sdk/github/operations actions_remove_self_hosted_runner_from_group_for_org_request","url":"midas/sdk/github/operations.html#actions_remove_self_hosted_runner_from_group_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_remove_self_hosted_runner_from_group_for_org_response","content":"pub fn actions_remove_self_hosted_runner_from_group_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_remove_self_hosted_runner_from_group_for_org_response\nmidas/sdk/github/operations actions_remove_self_hosted_runner_from_group_for_org_response","url":"midas/sdk/github/operations.html#actions_remove_self_hosted_runner_from_group_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_review_custom_gates_for_run_request","content":"pub fn actions_review_custom_gates_for_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.actions_review_custom_gates_for_run_request\nmidas/sdk/github/operations actions_review_custom_gates_for_run_request","url":"midas/sdk/github/operations.html#actions_review_custom_gates_for_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_review_custom_gates_for_run_response","content":"pub fn actions_review_custom_gates_for_run_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_review_custom_gates_for_run_response\nmidas/sdk/github/operations actions_review_custom_gates_for_run_response","url":"midas/sdk/github/operations.html#actions_review_custom_gates_for_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_review_pending_deployments_for_run_request","content":"pub fn actions_review_pending_deployments_for_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  run_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_review_pending_deployments_for_run_request\nmidas/sdk/github/operations actions_review_pending_deployments_for_run_request","url":"midas/sdk/github/operations.html#actions_review_pending_deployments_for_run_request"},{"doc":"midas/sdk/github/operations","title":"actions_review_pending_deployments_for_run_response","content":"pub fn actions_review_pending_deployments_for_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Deployment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_review_pending_deployments_for_run_response\nmidas/sdk/github/operations actions_review_pending_deployments_for_run_response","url":"midas/sdk/github/operations.html#actions_review_pending_deployments_for_run_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_allowed_actions_organization_request","content":"pub fn actions_set_allowed_actions_organization_request(\n  base: Request(a),\n  org: String,\n  selected_actions: SelectedActions,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_allowed_actions_organization_request\nmidas/sdk/github/operations actions_set_allowed_actions_organization_request","url":"midas/sdk/github/operations.html#actions_set_allowed_actions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_allowed_actions_organization_response","content":"pub fn actions_set_allowed_actions_organization_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_allowed_actions_organization_response\nmidas/sdk/github/operations actions_set_allowed_actions_organization_response","url":"midas/sdk/github/operations.html#actions_set_allowed_actions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_allowed_actions_repository_request","content":"pub fn actions_set_allowed_actions_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  selected_actions: SelectedActions,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_allowed_actions_repository_request\nmidas/sdk/github/operations actions_set_allowed_actions_repository_request","url":"midas/sdk/github/operations.html#actions_set_allowed_actions_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_allowed_actions_repository_response","content":"pub fn actions_set_allowed_actions_repository_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_allowed_actions_repository_response\nmidas/sdk/github/operations actions_set_allowed_actions_repository_response","url":"midas/sdk/github/operations.html#actions_set_allowed_actions_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_custom_labels_for_self_hosted_runner_for_org_request","content":"pub fn actions_set_custom_labels_for_self_hosted_runner_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_custom_labels_for_self_hosted_runner_for_org_request\nmidas/sdk/github/operations actions_set_custom_labels_for_self_hosted_runner_for_org_request","url":"midas/sdk/github/operations.html#actions_set_custom_labels_for_self_hosted_runner_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_custom_labels_for_self_hosted_runner_for_org_response","content":"pub fn actions_set_custom_labels_for_self_hosted_runner_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_custom_labels_for_self_hosted_runner_for_org_response\nmidas/sdk/github/operations actions_set_custom_labels_for_self_hosted_runner_for_org_response","url":"midas/sdk/github/operations.html#actions_set_custom_labels_for_self_hosted_runner_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_custom_labels_for_self_hosted_runner_for_repo_request","content":"pub fn actions_set_custom_labels_for_self_hosted_runner_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  runner_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_custom_labels_for_self_hosted_runner_for_repo_request\nmidas/sdk/github/operations actions_set_custom_labels_for_self_hosted_runner_for_repo_request","url":"midas/sdk/github/operations.html#actions_set_custom_labels_for_self_hosted_runner_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_custom_labels_for_self_hosted_runner_for_repo_response","content":"pub fn actions_set_custom_labels_for_self_hosted_runner_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_custom_labels_for_self_hosted_runner_for_repo_response\nmidas/sdk/github/operations actions_set_custom_labels_for_self_hosted_runner_for_repo_response","url":"midas/sdk/github/operations.html#actions_set_custom_labels_for_self_hosted_runner_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_custom_oidc_sub_claim_for_repo_request","content":"pub fn actions_set_custom_oidc_sub_claim_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_custom_oidc_sub_claim_for_repo_request\nmidas/sdk/github/operations actions_set_custom_oidc_sub_claim_for_repo_request","url":"midas/sdk/github/operations.html#actions_set_custom_oidc_sub_claim_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_custom_oidc_sub_claim_for_repo_response","content":"pub fn actions_set_custom_oidc_sub_claim_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_custom_oidc_sub_claim_for_repo_response\nmidas/sdk/github/operations actions_set_custom_oidc_sub_claim_for_repo_response","url":"midas/sdk/github/operations.html#actions_set_custom_oidc_sub_claim_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_default_workflow_permissions_organization_request","content":"pub fn actions_set_github_actions_default_workflow_permissions_organization_request(\n  base: Request(a),\n  org: String,\n  actions_set_default_workflow_permissions: ActionsSetDefaultWorkflowPermissions,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_default_workflow_permissions_organization_request\nmidas/sdk/github/operations actions_set_github_actions_default_workflow_permissions_organization_request","url":"midas/sdk/github/operations.html#actions_set_github_actions_default_workflow_permissions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_default_workflow_permissions_organization_response","content":"pub fn actions_set_github_actions_default_workflow_permissions_organization_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_default_workflow_permissions_organization_response\nmidas/sdk/github/operations actions_set_github_actions_default_workflow_permissions_organization_response","url":"midas/sdk/github/operations.html#actions_set_github_actions_default_workflow_permissions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_default_workflow_permissions_repository_request","content":"pub fn actions_set_github_actions_default_workflow_permissions_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  actions_set_default_workflow_permissions: ActionsSetDefaultWorkflowPermissions,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_default_workflow_permissions_repository_request\nmidas/sdk/github/operations actions_set_github_actions_default_workflow_permissions_repository_request","url":"midas/sdk/github/operations.html#actions_set_github_actions_default_workflow_permissions_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_default_workflow_permissions_repository_response","content":"pub fn actions_set_github_actions_default_workflow_permissions_repository_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_default_workflow_permissions_repository_response\nmidas/sdk/github/operations actions_set_github_actions_default_workflow_permissions_repository_response","url":"midas/sdk/github/operations.html#actions_set_github_actions_default_workflow_permissions_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_permissions_organization_request","content":"pub fn actions_set_github_actions_permissions_organization_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_permissions_organization_request\nmidas/sdk/github/operations actions_set_github_actions_permissions_organization_request","url":"midas/sdk/github/operations.html#actions_set_github_actions_permissions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_permissions_organization_response","content":"pub fn actions_set_github_actions_permissions_organization_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_permissions_organization_response\nmidas/sdk/github/operations actions_set_github_actions_permissions_organization_response","url":"midas/sdk/github/operations.html#actions_set_github_actions_permissions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_permissions_repository_request","content":"pub fn actions_set_github_actions_permissions_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_permissions_repository_request\nmidas/sdk/github/operations actions_set_github_actions_permissions_repository_request","url":"midas/sdk/github/operations.html#actions_set_github_actions_permissions_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_github_actions_permissions_repository_response","content":"pub fn actions_set_github_actions_permissions_repository_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_github_actions_permissions_repository_response\nmidas/sdk/github/operations actions_set_github_actions_permissions_repository_response","url":"midas/sdk/github/operations.html#actions_set_github_actions_permissions_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_repo_access_to_self_hosted_runner_group_in_org_request","content":"pub fn actions_set_repo_access_to_self_hosted_runner_group_in_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_repo_access_to_self_hosted_runner_group_in_org_request\nmidas/sdk/github/operations actions_set_repo_access_to_self_hosted_runner_group_in_org_request","url":"midas/sdk/github/operations.html#actions_set_repo_access_to_self_hosted_runner_group_in_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_repo_access_to_self_hosted_runner_group_in_org_response","content":"pub fn actions_set_repo_access_to_self_hosted_runner_group_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_repo_access_to_self_hosted_runner_group_in_org_response\nmidas/sdk/github/operations actions_set_repo_access_to_self_hosted_runner_group_in_org_response","url":"midas/sdk/github/operations.html#actions_set_repo_access_to_self_hosted_runner_group_in_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_selected_repos_for_org_secret_request","content":"pub fn actions_set_selected_repos_for_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_selected_repos_for_org_secret_request\nmidas/sdk/github/operations actions_set_selected_repos_for_org_secret_request","url":"midas/sdk/github/operations.html#actions_set_selected_repos_for_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_selected_repos_for_org_secret_response","content":"pub fn actions_set_selected_repos_for_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_selected_repos_for_org_secret_response\nmidas/sdk/github/operations actions_set_selected_repos_for_org_secret_response","url":"midas/sdk/github/operations.html#actions_set_selected_repos_for_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_selected_repos_for_org_variable_request","content":"pub fn actions_set_selected_repos_for_org_variable_request(\n  base: Request(a),\n  org: String,\n  name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_selected_repos_for_org_variable_request\nmidas/sdk/github/operations actions_set_selected_repos_for_org_variable_request","url":"midas/sdk/github/operations.html#actions_set_selected_repos_for_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_selected_repos_for_org_variable_response","content":"pub fn actions_set_selected_repos_for_org_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_selected_repos_for_org_variable_response\nmidas/sdk/github/operations actions_set_selected_repos_for_org_variable_response","url":"midas/sdk/github/operations.html#actions_set_selected_repos_for_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_selected_repositories_enabled_github_actions_organization_request","content":"pub fn actions_set_selected_repositories_enabled_github_actions_organization_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_selected_repositories_enabled_github_actions_organization_request\nmidas/sdk/github/operations actions_set_selected_repositories_enabled_github_actions_organization_request","url":"midas/sdk/github/operations.html#actions_set_selected_repositories_enabled_github_actions_organization_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_selected_repositories_enabled_github_actions_organization_response","content":"pub fn actions_set_selected_repositories_enabled_github_actions_organization_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_selected_repositories_enabled_github_actions_organization_response\nmidas/sdk/github/operations actions_set_selected_repositories_enabled_github_actions_organization_response","url":"midas/sdk/github/operations.html#actions_set_selected_repositories_enabled_github_actions_organization_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_self_hosted_runners_in_group_for_org_request","content":"pub fn actions_set_self_hosted_runners_in_group_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_self_hosted_runners_in_group_for_org_request\nmidas/sdk/github/operations actions_set_self_hosted_runners_in_group_for_org_request","url":"midas/sdk/github/operations.html#actions_set_self_hosted_runners_in_group_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_self_hosted_runners_in_group_for_org_response","content":"pub fn actions_set_self_hosted_runners_in_group_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_self_hosted_runners_in_group_for_org_response\nmidas/sdk/github/operations actions_set_self_hosted_runners_in_group_for_org_response","url":"midas/sdk/github/operations.html#actions_set_self_hosted_runners_in_group_for_org_response"},{"doc":"midas/sdk/github/operations","title":"actions_set_workflow_access_to_repository_request","content":"pub fn actions_set_workflow_access_to_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  actions_workflow_access_to_repository: ActionsWorkflowAccessToRepository,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_workflow_access_to_repository_request\nmidas/sdk/github/operations actions_set_workflow_access_to_repository_request","url":"midas/sdk/github/operations.html#actions_set_workflow_access_to_repository_request"},{"doc":"midas/sdk/github/operations","title":"actions_set_workflow_access_to_repository_response","content":"pub fn actions_set_workflow_access_to_repository_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_set_workflow_access_to_repository_response\nmidas/sdk/github/operations actions_set_workflow_access_to_repository_response","url":"midas/sdk/github/operations.html#actions_set_workflow_access_to_repository_response"},{"doc":"midas/sdk/github/operations","title":"actions_update_environment_variable_request","content":"pub fn actions_update_environment_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_environment_variable_request\nmidas/sdk/github/operations actions_update_environment_variable_request","url":"midas/sdk/github/operations.html#actions_update_environment_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_update_environment_variable_response","content":"pub fn actions_update_environment_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_environment_variable_response\nmidas/sdk/github/operations actions_update_environment_variable_response","url":"midas/sdk/github/operations.html#actions_update_environment_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_update_org_variable_request","content":"pub fn actions_update_org_variable_request(\n  base: Request(a),\n  org: String,\n  name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_org_variable_request\nmidas/sdk/github/operations actions_update_org_variable_request","url":"midas/sdk/github/operations.html#actions_update_org_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_update_org_variable_response","content":"pub fn actions_update_org_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_org_variable_response\nmidas/sdk/github/operations actions_update_org_variable_response","url":"midas/sdk/github/operations.html#actions_update_org_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_update_repo_variable_request","content":"pub fn actions_update_repo_variable_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_repo_variable_request\nmidas/sdk/github/operations actions_update_repo_variable_request","url":"midas/sdk/github/operations.html#actions_update_repo_variable_request"},{"doc":"midas/sdk/github/operations","title":"actions_update_repo_variable_response","content":"pub fn actions_update_repo_variable_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_repo_variable_response\nmidas/sdk/github/operations actions_update_repo_variable_response","url":"midas/sdk/github/operations.html#actions_update_repo_variable_response"},{"doc":"midas/sdk/github/operations","title":"actions_update_self_hosted_runner_group_for_org_request","content":"pub fn actions_update_self_hosted_runner_group_for_org_request(\n  base: Request(a),\n  org: String,\n  runner_group_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_self_hosted_runner_group_for_org_request\nmidas/sdk/github/operations actions_update_self_hosted_runner_group_for_org_request","url":"midas/sdk/github/operations.html#actions_update_self_hosted_runner_group_for_org_request"},{"doc":"midas/sdk/github/operations","title":"actions_update_self_hosted_runner_group_for_org_response","content":"pub fn actions_update_self_hosted_runner_group_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RunnerGroupsOrg, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.actions_update_self_hosted_runner_group_for_org_response\nmidas/sdk/github/operations actions_update_self_hosted_runner_group_for_org_response","url":"midas/sdk/github/operations.html#actions_update_self_hosted_runner_group_for_org_response"},{"doc":"midas/sdk/github/operations","title":"activity_check_repo_is_starred_by_authenticated_user_request","content":"pub fn activity_check_repo_is_starred_by_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_check_repo_is_starred_by_authenticated_user_request\nmidas/sdk/github/operations activity_check_repo_is_starred_by_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_check_repo_is_starred_by_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_check_repo_is_starred_by_authenticated_user_response","content":"pub fn activity_check_repo_is_starred_by_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_check_repo_is_starred_by_authenticated_user_response\nmidas/sdk/github/operations activity_check_repo_is_starred_by_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_check_repo_is_starred_by_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_delete_repo_subscription_request","content":"pub fn activity_delete_repo_subscription_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_delete_repo_subscription_request\nmidas/sdk/github/operations activity_delete_repo_subscription_request","url":"midas/sdk/github/operations.html#activity_delete_repo_subscription_request"},{"doc":"midas/sdk/github/operations","title":"activity_delete_repo_subscription_response","content":"pub fn activity_delete_repo_subscription_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_delete_repo_subscription_response\nmidas/sdk/github/operations activity_delete_repo_subscription_response","url":"midas/sdk/github/operations.html#activity_delete_repo_subscription_response"},{"doc":"midas/sdk/github/operations","title":"activity_delete_thread_subscription_request","content":"pub fn activity_delete_thread_subscription_request(\n  base: Request(a),\n  thread_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_delete_thread_subscription_request\nmidas/sdk/github/operations activity_delete_thread_subscription_request","url":"midas/sdk/github/operations.html#activity_delete_thread_subscription_request"},{"doc":"midas/sdk/github/operations","title":"activity_delete_thread_subscription_response","content":"pub fn activity_delete_thread_subscription_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_delete_thread_subscription_response\nmidas/sdk/github/operations activity_delete_thread_subscription_response","url":"midas/sdk/github/operations.html#activity_delete_thread_subscription_response"},{"doc":"midas/sdk/github/operations","title":"activity_get_feeds_request","content":"pub fn activity_get_feeds_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_feeds_request\nmidas/sdk/github/operations activity_get_feeds_request","url":"midas/sdk/github/operations.html#activity_get_feeds_request"},{"doc":"midas/sdk/github/operations","title":"activity_get_feeds_response","content":"pub fn activity_get_feeds_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Feed, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_feeds_response\nmidas/sdk/github/operations activity_get_feeds_response","url":"midas/sdk/github/operations.html#activity_get_feeds_response"},{"doc":"midas/sdk/github/operations","title":"activity_get_repo_subscription_request","content":"pub fn activity_get_repo_subscription_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_repo_subscription_request\nmidas/sdk/github/operations activity_get_repo_subscription_request","url":"midas/sdk/github/operations.html#activity_get_repo_subscription_request"},{"doc":"midas/sdk/github/operations","title":"activity_get_repo_subscription_response","content":"pub fn activity_get_repo_subscription_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositorySubscription, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_repo_subscription_response\nmidas/sdk/github/operations activity_get_repo_subscription_response","url":"midas/sdk/github/operations.html#activity_get_repo_subscription_response"},{"doc":"midas/sdk/github/operations","title":"activity_get_thread_request","content":"pub fn activity_get_thread_request(\n  base: Request(a),\n  thread_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_thread_request\nmidas/sdk/github/operations activity_get_thread_request","url":"midas/sdk/github/operations.html#activity_get_thread_request"},{"doc":"midas/sdk/github/operations","title":"activity_get_thread_response","content":"pub fn activity_get_thread_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Thread, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_thread_response\nmidas/sdk/github/operations activity_get_thread_response","url":"midas/sdk/github/operations.html#activity_get_thread_response"},{"doc":"midas/sdk/github/operations","title":"activity_get_thread_subscription_for_authenticated_user_request","content":"pub fn activity_get_thread_subscription_for_authenticated_user_request(\n  base: Request(a),\n  thread_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_thread_subscription_for_authenticated_user_request\nmidas/sdk/github/operations activity_get_thread_subscription_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_get_thread_subscription_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_get_thread_subscription_for_authenticated_user_response","content":"pub fn activity_get_thread_subscription_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ThreadSubscription, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_get_thread_subscription_for_authenticated_user_response\nmidas/sdk/github/operations activity_get_thread_subscription_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_get_thread_subscription_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_events_for_authenticated_user_request","content":"pub fn activity_list_events_for_authenticated_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_events_for_authenticated_user_request\nmidas/sdk/github/operations activity_list_events_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_list_events_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_events_for_authenticated_user_response","content":"pub fn activity_list_events_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_events_for_authenticated_user_response\nmidas/sdk/github/operations activity_list_events_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_list_events_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_notifications_for_authenticated_user_request","content":"pub fn activity_list_notifications_for_authenticated_user_request(\n  base: Request(a),\n  all all: Option(Bool),\n  participating participating: Option(Bool),\n  since since: Option(String),\n  before before: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_notifications_for_authenticated_user_request\nmidas/sdk/github/operations activity_list_notifications_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_list_notifications_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_notifications_for_authenticated_user_response","content":"pub fn activity_list_notifications_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Thread), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_notifications_for_authenticated_user_response\nmidas/sdk/github/operations activity_list_notifications_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_list_notifications_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_org_events_for_authenticated_user_request","content":"pub fn activity_list_org_events_for_authenticated_user_request(\n  base: Request(a),\n  username: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_org_events_for_authenticated_user_request\nmidas/sdk/github/operations activity_list_org_events_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_list_org_events_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_org_events_for_authenticated_user_response","content":"pub fn activity_list_org_events_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_org_events_for_authenticated_user_response\nmidas/sdk/github/operations activity_list_org_events_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_list_org_events_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_events_for_repo_network_request","content":"pub fn activity_list_public_events_for_repo_network_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_events_for_repo_network_request\nmidas/sdk/github/operations activity_list_public_events_for_repo_network_request","url":"midas/sdk/github/operations.html#activity_list_public_events_for_repo_network_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_events_for_repo_network_response","content":"pub fn activity_list_public_events_for_repo_network_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_events_for_repo_network_response\nmidas/sdk/github/operations activity_list_public_events_for_repo_network_response","url":"midas/sdk/github/operations.html#activity_list_public_events_for_repo_network_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_events_for_user_request","content":"pub fn activity_list_public_events_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_events_for_user_request\nmidas/sdk/github/operations activity_list_public_events_for_user_request","url":"midas/sdk/github/operations.html#activity_list_public_events_for_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_events_for_user_response","content":"pub fn activity_list_public_events_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_events_for_user_response\nmidas/sdk/github/operations activity_list_public_events_for_user_response","url":"midas/sdk/github/operations.html#activity_list_public_events_for_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_events_request","content":"pub fn activity_list_public_events_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_events_request\nmidas/sdk/github/operations activity_list_public_events_request","url":"midas/sdk/github/operations.html#activity_list_public_events_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_events_response","content":"pub fn activity_list_public_events_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_events_response\nmidas/sdk/github/operations activity_list_public_events_response","url":"midas/sdk/github/operations.html#activity_list_public_events_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_org_events_request","content":"pub fn activity_list_public_org_events_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_org_events_request\nmidas/sdk/github/operations activity_list_public_org_events_request","url":"midas/sdk/github/operations.html#activity_list_public_org_events_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_public_org_events_response","content":"pub fn activity_list_public_org_events_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_public_org_events_response\nmidas/sdk/github/operations activity_list_public_org_events_response","url":"midas/sdk/github/operations.html#activity_list_public_org_events_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_received_events_for_user_request","content":"pub fn activity_list_received_events_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_received_events_for_user_request\nmidas/sdk/github/operations activity_list_received_events_for_user_request","url":"midas/sdk/github/operations.html#activity_list_received_events_for_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_received_events_for_user_response","content":"pub fn activity_list_received_events_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_received_events_for_user_response\nmidas/sdk/github/operations activity_list_received_events_for_user_response","url":"midas/sdk/github/operations.html#activity_list_received_events_for_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_received_public_events_for_user_request","content":"pub fn activity_list_received_public_events_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_received_public_events_for_user_request\nmidas/sdk/github/operations activity_list_received_public_events_for_user_request","url":"midas/sdk/github/operations.html#activity_list_received_public_events_for_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_received_public_events_for_user_response","content":"pub fn activity_list_received_public_events_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_received_public_events_for_user_response\nmidas/sdk/github/operations activity_list_received_public_events_for_user_response","url":"midas/sdk/github/operations.html#activity_list_received_public_events_for_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_repo_events_request","content":"pub fn activity_list_repo_events_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repo_events_request\nmidas/sdk/github/operations activity_list_repo_events_request","url":"midas/sdk/github/operations.html#activity_list_repo_events_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_repo_events_response","content":"pub fn activity_list_repo_events_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Event), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repo_events_response\nmidas/sdk/github/operations activity_list_repo_events_response","url":"midas/sdk/github/operations.html#activity_list_repo_events_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_repo_notifications_for_authenticated_user_request","content":"pub fn activity_list_repo_notifications_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  all all: Option(Bool),\n  participating participating: Option(Bool),\n  since since: Option(String),\n  before before: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repo_notifications_for_authenticated_user_request\nmidas/sdk/github/operations activity_list_repo_notifications_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_list_repo_notifications_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_repo_notifications_for_authenticated_user_response","content":"pub fn activity_list_repo_notifications_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Thread), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repo_notifications_for_authenticated_user_response\nmidas/sdk/github/operations activity_list_repo_notifications_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_list_repo_notifications_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_repos_starred_by_authenticated_user_request","content":"pub fn activity_list_repos_starred_by_authenticated_user_request(\n  base: Request(a),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repos_starred_by_authenticated_user_request\nmidas/sdk/github/operations activity_list_repos_starred_by_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_list_repos_starred_by_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_repos_starred_by_authenticated_user_response","content":"pub fn activity_list_repos_starred_by_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Repository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repos_starred_by_authenticated_user_response\nmidas/sdk/github/operations activity_list_repos_starred_by_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_list_repos_starred_by_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_repos_starred_by_user_request","content":"pub fn activity_list_repos_starred_by_user_request(\n  base: Request(a),\n  username: String,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repos_starred_by_user_request\nmidas/sdk/github/operations activity_list_repos_starred_by_user_request","url":"midas/sdk/github/operations.html#activity_list_repos_starred_by_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_repos_starred_by_user_response","content":"pub fn activity_list_repos_starred_by_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repos_starred_by_user_response\nmidas/sdk/github/operations activity_list_repos_starred_by_user_response","url":"midas/sdk/github/operations.html#activity_list_repos_starred_by_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_repos_watched_by_user_request","content":"pub fn activity_list_repos_watched_by_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repos_watched_by_user_request\nmidas/sdk/github/operations activity_list_repos_watched_by_user_request","url":"midas/sdk/github/operations.html#activity_list_repos_watched_by_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_repos_watched_by_user_response","content":"pub fn activity_list_repos_watched_by_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_repos_watched_by_user_response\nmidas/sdk/github/operations activity_list_repos_watched_by_user_response","url":"midas/sdk/github/operations.html#activity_list_repos_watched_by_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_stargazers_for_repo_request","content":"pub fn activity_list_stargazers_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_stargazers_for_repo_request\nmidas/sdk/github/operations activity_list_stargazers_for_repo_request","url":"midas/sdk/github/operations.html#activity_list_stargazers_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_stargazers_for_repo_response","content":"pub fn activity_list_stargazers_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_stargazers_for_repo_response\nmidas/sdk/github/operations activity_list_stargazers_for_repo_response","url":"midas/sdk/github/operations.html#activity_list_stargazers_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_watched_repos_for_authenticated_user_request","content":"pub fn activity_list_watched_repos_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_watched_repos_for_authenticated_user_request\nmidas/sdk/github/operations activity_list_watched_repos_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_list_watched_repos_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_watched_repos_for_authenticated_user_response","content":"pub fn activity_list_watched_repos_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_watched_repos_for_authenticated_user_response\nmidas/sdk/github/operations activity_list_watched_repos_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_list_watched_repos_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_list_watchers_for_repo_request","content":"pub fn activity_list_watchers_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_watchers_for_repo_request\nmidas/sdk/github/operations activity_list_watchers_for_repo_request","url":"midas/sdk/github/operations.html#activity_list_watchers_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"activity_list_watchers_for_repo_response","content":"pub fn activity_list_watchers_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_list_watchers_for_repo_response\nmidas/sdk/github/operations activity_list_watchers_for_repo_response","url":"midas/sdk/github/operations.html#activity_list_watchers_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"activity_mark_notifications_as_read_request","content":"pub fn activity_mark_notifications_as_read_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_notifications_as_read_request\nmidas/sdk/github/operations activity_mark_notifications_as_read_request","url":"midas/sdk/github/operations.html#activity_mark_notifications_as_read_request"},{"doc":"midas/sdk/github/operations","title":"activity_mark_notifications_as_read_response","content":"pub fn activity_mark_notifications_as_read_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_notifications_as_read_response\nmidas/sdk/github/operations activity_mark_notifications_as_read_response","url":"midas/sdk/github/operations.html#activity_mark_notifications_as_read_response"},{"doc":"midas/sdk/github/operations","title":"activity_mark_repo_notifications_as_read_request","content":"pub fn activity_mark_repo_notifications_as_read_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_repo_notifications_as_read_request\nmidas/sdk/github/operations activity_mark_repo_notifications_as_read_request","url":"midas/sdk/github/operations.html#activity_mark_repo_notifications_as_read_request"},{"doc":"midas/sdk/github/operations","title":"activity_mark_repo_notifications_as_read_response","content":"pub fn activity_mark_repo_notifications_as_read_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_repo_notifications_as_read_response\nmidas/sdk/github/operations activity_mark_repo_notifications_as_read_response","url":"midas/sdk/github/operations.html#activity_mark_repo_notifications_as_read_response"},{"doc":"midas/sdk/github/operations","title":"activity_mark_thread_as_done_request","content":"pub fn activity_mark_thread_as_done_request(\n  base: Request(a),\n  thread_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_thread_as_done_request\nmidas/sdk/github/operations activity_mark_thread_as_done_request","url":"midas/sdk/github/operations.html#activity_mark_thread_as_done_request"},{"doc":"midas/sdk/github/operations","title":"activity_mark_thread_as_done_response","content":"pub fn activity_mark_thread_as_done_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_thread_as_done_response\nmidas/sdk/github/operations activity_mark_thread_as_done_response","url":"midas/sdk/github/operations.html#activity_mark_thread_as_done_response"},{"doc":"midas/sdk/github/operations","title":"activity_mark_thread_as_read_request","content":"pub fn activity_mark_thread_as_read_request(\n  base: Request(a),\n  thread_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_thread_as_read_request\nmidas/sdk/github/operations activity_mark_thread_as_read_request","url":"midas/sdk/github/operations.html#activity_mark_thread_as_read_request"},{"doc":"midas/sdk/github/operations","title":"activity_mark_thread_as_read_response","content":"pub fn activity_mark_thread_as_read_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_mark_thread_as_read_response\nmidas/sdk/github/operations activity_mark_thread_as_read_response","url":"midas/sdk/github/operations.html#activity_mark_thread_as_read_response"},{"doc":"midas/sdk/github/operations","title":"activity_set_repo_subscription_request","content":"pub fn activity_set_repo_subscription_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_set_repo_subscription_request\nmidas/sdk/github/operations activity_set_repo_subscription_request","url":"midas/sdk/github/operations.html#activity_set_repo_subscription_request"},{"doc":"midas/sdk/github/operations","title":"activity_set_repo_subscription_response","content":"pub fn activity_set_repo_subscription_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositorySubscription, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_set_repo_subscription_response\nmidas/sdk/github/operations activity_set_repo_subscription_response","url":"midas/sdk/github/operations.html#activity_set_repo_subscription_response"},{"doc":"midas/sdk/github/operations","title":"activity_set_thread_subscription_request","content":"pub fn activity_set_thread_subscription_request(\n  base: Request(a),\n  thread_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_set_thread_subscription_request\nmidas/sdk/github/operations activity_set_thread_subscription_request","url":"midas/sdk/github/operations.html#activity_set_thread_subscription_request"},{"doc":"midas/sdk/github/operations","title":"activity_set_thread_subscription_response","content":"pub fn activity_set_thread_subscription_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ThreadSubscription, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.activity_set_thread_subscription_response\nmidas/sdk/github/operations activity_set_thread_subscription_response","url":"midas/sdk/github/operations.html#activity_set_thread_subscription_response"},{"doc":"midas/sdk/github/operations","title":"activity_star_repo_for_authenticated_user_request","content":"pub fn activity_star_repo_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_star_repo_for_authenticated_user_request\nmidas/sdk/github/operations activity_star_repo_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_star_repo_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_star_repo_for_authenticated_user_response","content":"pub fn activity_star_repo_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_star_repo_for_authenticated_user_response\nmidas/sdk/github/operations activity_star_repo_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_star_repo_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"activity_unstar_repo_for_authenticated_user_request","content":"pub fn activity_unstar_repo_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.activity_unstar_repo_for_authenticated_user_request\nmidas/sdk/github/operations activity_unstar_repo_for_authenticated_user_request","url":"midas/sdk/github/operations.html#activity_unstar_repo_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"activity_unstar_repo_for_authenticated_user_response","content":"pub fn activity_unstar_repo_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.activity_unstar_repo_for_authenticated_user_response\nmidas/sdk/github/operations activity_unstar_repo_for_authenticated_user_response","url":"midas/sdk/github/operations.html#activity_unstar_repo_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_route_stats_by_actor_request","content":"pub fn api_insights_get_route_stats_by_actor_request(\n  base: Request(a),\n  org: String,\n  actor_type: String,\n  actor_id: Int,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  sort sort: b,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_route_stats_by_actor_request\nmidas/sdk/github/operations api_insights_get_route_stats_by_actor_request","url":"midas/sdk/github/operations.html#api_insights_get_route_stats_by_actor_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_route_stats_by_actor_response","content":"pub fn api_insights_get_route_stats_by_actor_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_route_stats_by_actor_response\nmidas/sdk/github/operations api_insights_get_route_stats_by_actor_response","url":"midas/sdk/github/operations.html#api_insights_get_route_stats_by_actor_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_subject_stats_request","content":"pub fn api_insights_get_subject_stats_request(\n  base: Request(a),\n  org: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  sort sort: b,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_subject_stats_request\nmidas/sdk/github/operations api_insights_get_subject_stats_request","url":"midas/sdk/github/operations.html#api_insights_get_subject_stats_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_subject_stats_response","content":"pub fn api_insights_get_subject_stats_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_subject_stats_response\nmidas/sdk/github/operations api_insights_get_subject_stats_response","url":"midas/sdk/github/operations.html#api_insights_get_subject_stats_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_summary_stats_by_actor_request","content":"pub fn api_insights_get_summary_stats_by_actor_request(\n  base: Request(a),\n  org: String,\n  actor_type: String,\n  actor_id: Int,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_summary_stats_by_actor_request\nmidas/sdk/github/operations api_insights_get_summary_stats_by_actor_request","url":"midas/sdk/github/operations.html#api_insights_get_summary_stats_by_actor_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_summary_stats_by_actor_response","content":"pub fn api_insights_get_summary_stats_by_actor_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ApiInsightsSummaryStats, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_summary_stats_by_actor_response\nmidas/sdk/github/operations api_insights_get_summary_stats_by_actor_response","url":"midas/sdk/github/operations.html#api_insights_get_summary_stats_by_actor_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_summary_stats_by_user_request","content":"pub fn api_insights_get_summary_stats_by_user_request(\n  base: Request(a),\n  org: String,\n  user_id: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_summary_stats_by_user_request\nmidas/sdk/github/operations api_insights_get_summary_stats_by_user_request","url":"midas/sdk/github/operations.html#api_insights_get_summary_stats_by_user_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_summary_stats_by_user_response","content":"pub fn api_insights_get_summary_stats_by_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ApiInsightsSummaryStats, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_summary_stats_by_user_response\nmidas/sdk/github/operations api_insights_get_summary_stats_by_user_response","url":"midas/sdk/github/operations.html#api_insights_get_summary_stats_by_user_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_summary_stats_request","content":"pub fn api_insights_get_summary_stats_request(\n  base: Request(a),\n  org: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_summary_stats_request\nmidas/sdk/github/operations api_insights_get_summary_stats_request","url":"midas/sdk/github/operations.html#api_insights_get_summary_stats_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_summary_stats_response","content":"pub fn api_insights_get_summary_stats_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ApiInsightsSummaryStats, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_summary_stats_response\nmidas/sdk/github/operations api_insights_get_summary_stats_response","url":"midas/sdk/github/operations.html#api_insights_get_summary_stats_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_time_stats_by_actor_request","content":"pub fn api_insights_get_time_stats_by_actor_request(\n  base: Request(a),\n  org: String,\n  actor_type: String,\n  actor_id: Int,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  timestamp_increment timestamp_increment: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_time_stats_by_actor_request\nmidas/sdk/github/operations api_insights_get_time_stats_by_actor_request","url":"midas/sdk/github/operations.html#api_insights_get_time_stats_by_actor_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_time_stats_by_actor_response","content":"pub fn api_insights_get_time_stats_by_actor_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_time_stats_by_actor_response\nmidas/sdk/github/operations api_insights_get_time_stats_by_actor_response","url":"midas/sdk/github/operations.html#api_insights_get_time_stats_by_actor_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_time_stats_by_user_request","content":"pub fn api_insights_get_time_stats_by_user_request(\n  base: Request(a),\n  org: String,\n  user_id: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  timestamp_increment timestamp_increment: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_time_stats_by_user_request\nmidas/sdk/github/operations api_insights_get_time_stats_by_user_request","url":"midas/sdk/github/operations.html#api_insights_get_time_stats_by_user_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_time_stats_by_user_response","content":"pub fn api_insights_get_time_stats_by_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_time_stats_by_user_response\nmidas/sdk/github/operations api_insights_get_time_stats_by_user_response","url":"midas/sdk/github/operations.html#api_insights_get_time_stats_by_user_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_time_stats_request","content":"pub fn api_insights_get_time_stats_request(\n  base: Request(a),\n  org: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  timestamp_increment timestamp_increment: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_time_stats_request\nmidas/sdk/github/operations api_insights_get_time_stats_request","url":"midas/sdk/github/operations.html#api_insights_get_time_stats_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_time_stats_response","content":"pub fn api_insights_get_time_stats_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_time_stats_response\nmidas/sdk/github/operations api_insights_get_time_stats_response","url":"midas/sdk/github/operations.html#api_insights_get_time_stats_response"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_user_stats_request","content":"pub fn api_insights_get_user_stats_request(\n  base: Request(a),\n  org: String,\n  user_id: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  sort sort: b,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_user_stats_request\nmidas/sdk/github/operations api_insights_get_user_stats_request","url":"midas/sdk/github/operations.html#api_insights_get_user_stats_request"},{"doc":"midas/sdk/github/operations","title":"api_insights_get_user_stats_response","content":"pub fn api_insights_get_user_stats_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.api_insights_get_user_stats_response\nmidas/sdk/github/operations api_insights_get_user_stats_response","url":"midas/sdk/github/operations.html#api_insights_get_user_stats_response"},{"doc":"midas/sdk/github/operations","title":"apps_add_repo_to_installation_for_authenticated_user_request","content":"pub fn apps_add_repo_to_installation_for_authenticated_user_request(\n  base: Request(a),\n  installation_id: Int,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_add_repo_to_installation_for_authenticated_user_request\nmidas/sdk/github/operations apps_add_repo_to_installation_for_authenticated_user_request","url":"midas/sdk/github/operations.html#apps_add_repo_to_installation_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"apps_add_repo_to_installation_for_authenticated_user_response","content":"pub fn apps_add_repo_to_installation_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_add_repo_to_installation_for_authenticated_user_response\nmidas/sdk/github/operations apps_add_repo_to_installation_for_authenticated_user_response","url":"midas/sdk/github/operations.html#apps_add_repo_to_installation_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"apps_check_token_request","content":"pub fn apps_check_token_request(\n  base: Request(a),\n  client_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_check_token_request\nmidas/sdk/github/operations apps_check_token_request","url":"midas/sdk/github/operations.html#apps_check_token_request"},{"doc":"midas/sdk/github/operations","title":"apps_check_token_response","content":"pub fn apps_check_token_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Authorization, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_check_token_response\nmidas/sdk/github/operations apps_check_token_response","url":"midas/sdk/github/operations.html#apps_check_token_response"},{"doc":"midas/sdk/github/operations","title":"apps_create_from_manifest_request","content":"pub fn apps_create_from_manifest_request(\n  base: Request(a),\n  code: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_create_from_manifest_request\nmidas/sdk/github/operations apps_create_from_manifest_request","url":"midas/sdk/github/operations.html#apps_create_from_manifest_request"},{"doc":"midas/sdk/github/operations","title":"apps_create_from_manifest_response","content":"pub fn apps_create_from_manifest_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_create_from_manifest_response\nmidas/sdk/github/operations apps_create_from_manifest_response","url":"midas/sdk/github/operations.html#apps_create_from_manifest_response"},{"doc":"midas/sdk/github/operations","title":"apps_create_installation_access_token_request","content":"pub fn apps_create_installation_access_token_request(\n  base: Request(a),\n  installation_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_create_installation_access_token_request\nmidas/sdk/github/operations apps_create_installation_access_token_request","url":"midas/sdk/github/operations.html#apps_create_installation_access_token_request"},{"doc":"midas/sdk/github/operations","title":"apps_create_installation_access_token_response","content":"pub fn apps_create_installation_access_token_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(InstallationToken, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_create_installation_access_token_response\nmidas/sdk/github/operations apps_create_installation_access_token_response","url":"midas/sdk/github/operations.html#apps_create_installation_access_token_response"},{"doc":"midas/sdk/github/operations","title":"apps_delete_authorization_request","content":"pub fn apps_delete_authorization_request(\n  base: Request(a),\n  client_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_delete_authorization_request\nmidas/sdk/github/operations apps_delete_authorization_request","url":"midas/sdk/github/operations.html#apps_delete_authorization_request"},{"doc":"midas/sdk/github/operations","title":"apps_delete_authorization_response","content":"pub fn apps_delete_authorization_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_delete_authorization_response\nmidas/sdk/github/operations apps_delete_authorization_response","url":"midas/sdk/github/operations.html#apps_delete_authorization_response"},{"doc":"midas/sdk/github/operations","title":"apps_delete_installation_request","content":"pub fn apps_delete_installation_request(\n  base: Request(a),\n  installation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_delete_installation_request\nmidas/sdk/github/operations apps_delete_installation_request","url":"midas/sdk/github/operations.html#apps_delete_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_delete_installation_response","content":"pub fn apps_delete_installation_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_delete_installation_response\nmidas/sdk/github/operations apps_delete_installation_response","url":"midas/sdk/github/operations.html#apps_delete_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_delete_token_request","content":"pub fn apps_delete_token_request(\n  base: Request(a),\n  client_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_delete_token_request\nmidas/sdk/github/operations apps_delete_token_request","url":"midas/sdk/github/operations.html#apps_delete_token_request"},{"doc":"midas/sdk/github/operations","title":"apps_delete_token_response","content":"pub fn apps_delete_token_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_delete_token_response\nmidas/sdk/github/operations apps_delete_token_response","url":"midas/sdk/github/operations.html#apps_delete_token_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_authenticated_request","content":"pub fn apps_get_authenticated_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_authenticated_request\nmidas/sdk/github/operations apps_get_authenticated_request","url":"midas/sdk/github/operations.html#apps_get_authenticated_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_authenticated_response","content":"pub fn apps_get_authenticated_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Integration, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_authenticated_response\nmidas/sdk/github/operations apps_get_authenticated_response","url":"midas/sdk/github/operations.html#apps_get_authenticated_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_by_slug_request","content":"pub fn apps_get_by_slug_request(\n  base: Request(a),\n  app_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_by_slug_request\nmidas/sdk/github/operations apps_get_by_slug_request","url":"midas/sdk/github/operations.html#apps_get_by_slug_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_by_slug_response","content":"pub fn apps_get_by_slug_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Integration, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_by_slug_response\nmidas/sdk/github/operations apps_get_by_slug_response","url":"midas/sdk/github/operations.html#apps_get_by_slug_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_installation_request","content":"pub fn apps_get_installation_request(\n  base: Request(a),\n  installation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_installation_request\nmidas/sdk/github/operations apps_get_installation_request","url":"midas/sdk/github/operations.html#apps_get_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_installation_response","content":"pub fn apps_get_installation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Installation, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_installation_response\nmidas/sdk/github/operations apps_get_installation_response","url":"midas/sdk/github/operations.html#apps_get_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_org_installation_request","content":"pub fn apps_get_org_installation_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_org_installation_request\nmidas/sdk/github/operations apps_get_org_installation_request","url":"midas/sdk/github/operations.html#apps_get_org_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_org_installation_response","content":"pub fn apps_get_org_installation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Installation, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_org_installation_response\nmidas/sdk/github/operations apps_get_org_installation_response","url":"midas/sdk/github/operations.html#apps_get_org_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_repo_installation_request","content":"pub fn apps_get_repo_installation_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_repo_installation_request\nmidas/sdk/github/operations apps_get_repo_installation_request","url":"midas/sdk/github/operations.html#apps_get_repo_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_repo_installation_response","content":"pub fn apps_get_repo_installation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Installation, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_repo_installation_response\nmidas/sdk/github/operations apps_get_repo_installation_response","url":"midas/sdk/github/operations.html#apps_get_repo_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_subscription_plan_for_account_request","content":"pub fn apps_get_subscription_plan_for_account_request(\n  base: Request(a),\n  account_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_subscription_plan_for_account_request\nmidas/sdk/github/operations apps_get_subscription_plan_for_account_request","url":"midas/sdk/github/operations.html#apps_get_subscription_plan_for_account_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_subscription_plan_for_account_response","content":"pub fn apps_get_subscription_plan_for_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(MarketplacePurchase, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_subscription_plan_for_account_response\nmidas/sdk/github/operations apps_get_subscription_plan_for_account_response","url":"midas/sdk/github/operations.html#apps_get_subscription_plan_for_account_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_subscription_plan_for_account_stubbed_request","content":"pub fn apps_get_subscription_plan_for_account_stubbed_request(\n  base: Request(a),\n  account_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_subscription_plan_for_account_stubbed_request\nmidas/sdk/github/operations apps_get_subscription_plan_for_account_stubbed_request","url":"midas/sdk/github/operations.html#apps_get_subscription_plan_for_account_stubbed_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_subscription_plan_for_account_stubbed_response","content":"pub fn apps_get_subscription_plan_for_account_stubbed_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(MarketplacePurchase, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_subscription_plan_for_account_stubbed_response\nmidas/sdk/github/operations apps_get_subscription_plan_for_account_stubbed_response","url":"midas/sdk/github/operations.html#apps_get_subscription_plan_for_account_stubbed_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_user_installation_request","content":"pub fn apps_get_user_installation_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_user_installation_request\nmidas/sdk/github/operations apps_get_user_installation_request","url":"midas/sdk/github/operations.html#apps_get_user_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_user_installation_response","content":"pub fn apps_get_user_installation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Installation, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_user_installation_response\nmidas/sdk/github/operations apps_get_user_installation_response","url":"midas/sdk/github/operations.html#apps_get_user_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_webhook_config_for_app_request","content":"pub fn apps_get_webhook_config_for_app_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_webhook_config_for_app_request\nmidas/sdk/github/operations apps_get_webhook_config_for_app_request","url":"midas/sdk/github/operations.html#apps_get_webhook_config_for_app_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_webhook_config_for_app_response","content":"pub fn apps_get_webhook_config_for_app_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WebhookConfig, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_webhook_config_for_app_response\nmidas/sdk/github/operations apps_get_webhook_config_for_app_response","url":"midas/sdk/github/operations.html#apps_get_webhook_config_for_app_response"},{"doc":"midas/sdk/github/operations","title":"apps_get_webhook_delivery_request","content":"pub fn apps_get_webhook_delivery_request(\n  base: Request(a),\n  delivery_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_webhook_delivery_request\nmidas/sdk/github/operations apps_get_webhook_delivery_request","url":"midas/sdk/github/operations.html#apps_get_webhook_delivery_request"},{"doc":"midas/sdk/github/operations","title":"apps_get_webhook_delivery_response","content":"pub fn apps_get_webhook_delivery_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(HookDelivery, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_get_webhook_delivery_response\nmidas/sdk/github/operations apps_get_webhook_delivery_response","url":"midas/sdk/github/operations.html#apps_get_webhook_delivery_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_accounts_for_plan_request","content":"pub fn apps_list_accounts_for_plan_request(\n  base: Request(a),\n  plan_id: Int,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_accounts_for_plan_request\nmidas/sdk/github/operations apps_list_accounts_for_plan_request","url":"midas/sdk/github/operations.html#apps_list_accounts_for_plan_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_accounts_for_plan_response","content":"pub fn apps_list_accounts_for_plan_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(MarketplacePurchase), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_accounts_for_plan_response\nmidas/sdk/github/operations apps_list_accounts_for_plan_response","url":"midas/sdk/github/operations.html#apps_list_accounts_for_plan_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_accounts_for_plan_stubbed_request","content":"pub fn apps_list_accounts_for_plan_stubbed_request(\n  base: Request(a),\n  plan_id: Int,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_accounts_for_plan_stubbed_request\nmidas/sdk/github/operations apps_list_accounts_for_plan_stubbed_request","url":"midas/sdk/github/operations.html#apps_list_accounts_for_plan_stubbed_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_accounts_for_plan_stubbed_response","content":"pub fn apps_list_accounts_for_plan_stubbed_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(MarketplacePurchase), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_accounts_for_plan_stubbed_response\nmidas/sdk/github/operations apps_list_accounts_for_plan_stubbed_response","url":"midas/sdk/github/operations.html#apps_list_accounts_for_plan_stubbed_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_installation_repos_for_authenticated_user_request","content":"pub fn apps_list_installation_repos_for_authenticated_user_request(\n  base: Request(a),\n  installation_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installation_repos_for_authenticated_user_request\nmidas/sdk/github/operations apps_list_installation_repos_for_authenticated_user_request","url":"midas/sdk/github/operations.html#apps_list_installation_repos_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_installation_repos_for_authenticated_user_response","content":"pub fn apps_list_installation_repos_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installation_repos_for_authenticated_user_response\nmidas/sdk/github/operations apps_list_installation_repos_for_authenticated_user_response","url":"midas/sdk/github/operations.html#apps_list_installation_repos_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_installation_requests_for_authenticated_app_request","content":"pub fn apps_list_installation_requests_for_authenticated_app_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installation_requests_for_authenticated_app_request\nmidas/sdk/github/operations apps_list_installation_requests_for_authenticated_app_request","url":"midas/sdk/github/operations.html#apps_list_installation_requests_for_authenticated_app_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_installation_requests_for_authenticated_app_response","content":"pub fn apps_list_installation_requests_for_authenticated_app_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(IntegrationInstallationRequest), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installation_requests_for_authenticated_app_response\nmidas/sdk/github/operations apps_list_installation_requests_for_authenticated_app_response","url":"midas/sdk/github/operations.html#apps_list_installation_requests_for_authenticated_app_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_installations_for_authenticated_user_request","content":"pub fn apps_list_installations_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installations_for_authenticated_user_request\nmidas/sdk/github/operations apps_list_installations_for_authenticated_user_request","url":"midas/sdk/github/operations.html#apps_list_installations_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_installations_for_authenticated_user_response","content":"pub fn apps_list_installations_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installations_for_authenticated_user_response\nmidas/sdk/github/operations apps_list_installations_for_authenticated_user_response","url":"midas/sdk/github/operations.html#apps_list_installations_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_installations_request","content":"pub fn apps_list_installations_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  since since: Option(String),\n  outdated outdated: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installations_request\nmidas/sdk/github/operations apps_list_installations_request","url":"midas/sdk/github/operations.html#apps_list_installations_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_installations_response","content":"pub fn apps_list_installations_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Installation), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_installations_response\nmidas/sdk/github/operations apps_list_installations_response","url":"midas/sdk/github/operations.html#apps_list_installations_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_plans_request","content":"pub fn apps_list_plans_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_plans_request\nmidas/sdk/github/operations apps_list_plans_request","url":"midas/sdk/github/operations.html#apps_list_plans_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_plans_response","content":"pub fn apps_list_plans_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(MarketplaceListingPlan), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_plans_response\nmidas/sdk/github/operations apps_list_plans_response","url":"midas/sdk/github/operations.html#apps_list_plans_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_plans_stubbed_request","content":"pub fn apps_list_plans_stubbed_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_plans_stubbed_request\nmidas/sdk/github/operations apps_list_plans_stubbed_request","url":"midas/sdk/github/operations.html#apps_list_plans_stubbed_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_plans_stubbed_response","content":"pub fn apps_list_plans_stubbed_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(MarketplaceListingPlan), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_plans_stubbed_response\nmidas/sdk/github/operations apps_list_plans_stubbed_response","url":"midas/sdk/github/operations.html#apps_list_plans_stubbed_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_repos_accessible_to_installation_request","content":"pub fn apps_list_repos_accessible_to_installation_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_repos_accessible_to_installation_request\nmidas/sdk/github/operations apps_list_repos_accessible_to_installation_request","url":"midas/sdk/github/operations.html#apps_list_repos_accessible_to_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_repos_accessible_to_installation_response","content":"pub fn apps_list_repos_accessible_to_installation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_repos_accessible_to_installation_response\nmidas/sdk/github/operations apps_list_repos_accessible_to_installation_response","url":"midas/sdk/github/operations.html#apps_list_repos_accessible_to_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_subscriptions_for_authenticated_user_request","content":"pub fn apps_list_subscriptions_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_subscriptions_for_authenticated_user_request\nmidas/sdk/github/operations apps_list_subscriptions_for_authenticated_user_request","url":"midas/sdk/github/operations.html#apps_list_subscriptions_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_subscriptions_for_authenticated_user_response","content":"pub fn apps_list_subscriptions_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(UserMarketplacePurchase), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_subscriptions_for_authenticated_user_response\nmidas/sdk/github/operations apps_list_subscriptions_for_authenticated_user_response","url":"midas/sdk/github/operations.html#apps_list_subscriptions_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_subscriptions_for_authenticated_user_stubbed_request","content":"pub fn apps_list_subscriptions_for_authenticated_user_stubbed_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_subscriptions_for_authenticated_user_stubbed_request\nmidas/sdk/github/operations apps_list_subscriptions_for_authenticated_user_stubbed_request","url":"midas/sdk/github/operations.html#apps_list_subscriptions_for_authenticated_user_stubbed_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_subscriptions_for_authenticated_user_stubbed_response","content":"pub fn apps_list_subscriptions_for_authenticated_user_stubbed_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(UserMarketplacePurchase), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_subscriptions_for_authenticated_user_stubbed_response\nmidas/sdk/github/operations apps_list_subscriptions_for_authenticated_user_stubbed_response","url":"midas/sdk/github/operations.html#apps_list_subscriptions_for_authenticated_user_stubbed_response"},{"doc":"midas/sdk/github/operations","title":"apps_list_webhook_deliveries_request","content":"pub fn apps_list_webhook_deliveries_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  cursor cursor: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_webhook_deliveries_request\nmidas/sdk/github/operations apps_list_webhook_deliveries_request","url":"midas/sdk/github/operations.html#apps_list_webhook_deliveries_request"},{"doc":"midas/sdk/github/operations","title":"apps_list_webhook_deliveries_response","content":"pub fn apps_list_webhook_deliveries_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(HookDeliveryItem), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_list_webhook_deliveries_response\nmidas/sdk/github/operations apps_list_webhook_deliveries_response","url":"midas/sdk/github/operations.html#apps_list_webhook_deliveries_response"},{"doc":"midas/sdk/github/operations","title":"apps_redeliver_webhook_delivery_request","content":"pub fn apps_redeliver_webhook_delivery_request(\n  base: Request(a),\n  delivery_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_redeliver_webhook_delivery_request\nmidas/sdk/github/operations apps_redeliver_webhook_delivery_request","url":"midas/sdk/github/operations.html#apps_redeliver_webhook_delivery_request"},{"doc":"midas/sdk/github/operations","title":"apps_redeliver_webhook_delivery_response","content":"pub fn apps_redeliver_webhook_delivery_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_redeliver_webhook_delivery_response\nmidas/sdk/github/operations apps_redeliver_webhook_delivery_response","url":"midas/sdk/github/operations.html#apps_redeliver_webhook_delivery_response"},{"doc":"midas/sdk/github/operations","title":"apps_remove_repo_from_installation_for_authenticated_user_request","content":"pub fn apps_remove_repo_from_installation_for_authenticated_user_request(\n  base: Request(a),\n  installation_id: Int,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_remove_repo_from_installation_for_authenticated_user_request\nmidas/sdk/github/operations apps_remove_repo_from_installation_for_authenticated_user_request","url":"midas/sdk/github/operations.html#apps_remove_repo_from_installation_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"apps_remove_repo_from_installation_for_authenticated_user_response","content":"pub fn apps_remove_repo_from_installation_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_remove_repo_from_installation_for_authenticated_user_response\nmidas/sdk/github/operations apps_remove_repo_from_installation_for_authenticated_user_response","url":"midas/sdk/github/operations.html#apps_remove_repo_from_installation_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"apps_reset_token_request","content":"pub fn apps_reset_token_request(\n  base: Request(a),\n  client_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_reset_token_request\nmidas/sdk/github/operations apps_reset_token_request","url":"midas/sdk/github/operations.html#apps_reset_token_request"},{"doc":"midas/sdk/github/operations","title":"apps_reset_token_response","content":"pub fn apps_reset_token_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Authorization, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_reset_token_response\nmidas/sdk/github/operations apps_reset_token_response","url":"midas/sdk/github/operations.html#apps_reset_token_response"},{"doc":"midas/sdk/github/operations","title":"apps_revoke_installation_access_token_request","content":"pub fn apps_revoke_installation_access_token_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_revoke_installation_access_token_request\nmidas/sdk/github/operations apps_revoke_installation_access_token_request","url":"midas/sdk/github/operations.html#apps_revoke_installation_access_token_request"},{"doc":"midas/sdk/github/operations","title":"apps_revoke_installation_access_token_response","content":"pub fn apps_revoke_installation_access_token_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_revoke_installation_access_token_response\nmidas/sdk/github/operations apps_revoke_installation_access_token_response","url":"midas/sdk/github/operations.html#apps_revoke_installation_access_token_response"},{"doc":"midas/sdk/github/operations","title":"apps_scope_token_request","content":"pub fn apps_scope_token_request(\n  base: Request(a),\n  client_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_scope_token_request\nmidas/sdk/github/operations apps_scope_token_request","url":"midas/sdk/github/operations.html#apps_scope_token_request"},{"doc":"midas/sdk/github/operations","title":"apps_scope_token_response","content":"pub fn apps_scope_token_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Authorization, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_scope_token_response\nmidas/sdk/github/operations apps_scope_token_response","url":"midas/sdk/github/operations.html#apps_scope_token_response"},{"doc":"midas/sdk/github/operations","title":"apps_suspend_installation_request","content":"pub fn apps_suspend_installation_request(\n  base: Request(a),\n  installation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_suspend_installation_request\nmidas/sdk/github/operations apps_suspend_installation_request","url":"midas/sdk/github/operations.html#apps_suspend_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_suspend_installation_response","content":"pub fn apps_suspend_installation_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_suspend_installation_response\nmidas/sdk/github/operations apps_suspend_installation_response","url":"midas/sdk/github/operations.html#apps_suspend_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_unsuspend_installation_request","content":"pub fn apps_unsuspend_installation_request(\n  base: Request(a),\n  installation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.apps_unsuspend_installation_request\nmidas/sdk/github/operations apps_unsuspend_installation_request","url":"midas/sdk/github/operations.html#apps_unsuspend_installation_request"},{"doc":"midas/sdk/github/operations","title":"apps_unsuspend_installation_response","content":"pub fn apps_unsuspend_installation_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_unsuspend_installation_response\nmidas/sdk/github/operations apps_unsuspend_installation_response","url":"midas/sdk/github/operations.html#apps_unsuspend_installation_response"},{"doc":"midas/sdk/github/operations","title":"apps_update_webhook_config_for_app_request","content":"pub fn apps_update_webhook_config_for_app_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.apps_update_webhook_config_for_app_request\nmidas/sdk/github/operations apps_update_webhook_config_for_app_request","url":"midas/sdk/github/operations.html#apps_update_webhook_config_for_app_request"},{"doc":"midas/sdk/github/operations","title":"apps_update_webhook_config_for_app_response","content":"pub fn apps_update_webhook_config_for_app_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WebhookConfig, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.apps_update_webhook_config_for_app_response\nmidas/sdk/github/operations apps_update_webhook_config_for_app_response","url":"midas/sdk/github/operations.html#apps_update_webhook_config_for_app_response"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_actions_billing_org_request","content":"pub fn billing_get_github_actions_billing_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_actions_billing_org_request\nmidas/sdk/github/operations billing_get_github_actions_billing_org_request","url":"midas/sdk/github/operations.html#billing_get_github_actions_billing_org_request"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_actions_billing_org_response","content":"pub fn billing_get_github_actions_billing_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsBillingUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_actions_billing_org_response\nmidas/sdk/github/operations billing_get_github_actions_billing_org_response","url":"midas/sdk/github/operations.html#billing_get_github_actions_billing_org_response"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_actions_billing_user_request","content":"pub fn billing_get_github_actions_billing_user_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_actions_billing_user_request\nmidas/sdk/github/operations billing_get_github_actions_billing_user_request","url":"midas/sdk/github/operations.html#billing_get_github_actions_billing_user_request"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_actions_billing_user_response","content":"pub fn billing_get_github_actions_billing_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ActionsBillingUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_actions_billing_user_response\nmidas/sdk/github/operations billing_get_github_actions_billing_user_response","url":"midas/sdk/github/operations.html#billing_get_github_actions_billing_user_response"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_packages_billing_org_request","content":"pub fn billing_get_github_packages_billing_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_packages_billing_org_request\nmidas/sdk/github/operations billing_get_github_packages_billing_org_request","url":"midas/sdk/github/operations.html#billing_get_github_packages_billing_org_request"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_packages_billing_org_response","content":"pub fn billing_get_github_packages_billing_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PackagesBillingUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_packages_billing_org_response\nmidas/sdk/github/operations billing_get_github_packages_billing_org_response","url":"midas/sdk/github/operations.html#billing_get_github_packages_billing_org_response"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_packages_billing_user_request","content":"pub fn billing_get_github_packages_billing_user_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_packages_billing_user_request\nmidas/sdk/github/operations billing_get_github_packages_billing_user_request","url":"midas/sdk/github/operations.html#billing_get_github_packages_billing_user_request"},{"doc":"midas/sdk/github/operations","title":"billing_get_github_packages_billing_user_response","content":"pub fn billing_get_github_packages_billing_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PackagesBillingUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_github_packages_billing_user_response\nmidas/sdk/github/operations billing_get_github_packages_billing_user_response","url":"midas/sdk/github/operations.html#billing_get_github_packages_billing_user_response"},{"doc":"midas/sdk/github/operations","title":"billing_get_shared_storage_billing_org_request","content":"pub fn billing_get_shared_storage_billing_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_shared_storage_billing_org_request\nmidas/sdk/github/operations billing_get_shared_storage_billing_org_request","url":"midas/sdk/github/operations.html#billing_get_shared_storage_billing_org_request"},{"doc":"midas/sdk/github/operations","title":"billing_get_shared_storage_billing_org_response","content":"pub fn billing_get_shared_storage_billing_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CombinedBillingUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_shared_storage_billing_org_response\nmidas/sdk/github/operations billing_get_shared_storage_billing_org_response","url":"midas/sdk/github/operations.html#billing_get_shared_storage_billing_org_response"},{"doc":"midas/sdk/github/operations","title":"billing_get_shared_storage_billing_user_request","content":"pub fn billing_get_shared_storage_billing_user_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_shared_storage_billing_user_request\nmidas/sdk/github/operations billing_get_shared_storage_billing_user_request","url":"midas/sdk/github/operations.html#billing_get_shared_storage_billing_user_request"},{"doc":"midas/sdk/github/operations","title":"billing_get_shared_storage_billing_user_response","content":"pub fn billing_get_shared_storage_billing_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CombinedBillingUsage, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.billing_get_shared_storage_billing_user_response\nmidas/sdk/github/operations billing_get_shared_storage_billing_user_response","url":"midas/sdk/github/operations.html#billing_get_shared_storage_billing_user_response"},{"doc":"midas/sdk/github/operations","title":"checks_create_request","content":"pub fn checks_create_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.checks_create_request\nmidas/sdk/github/operations checks_create_request","url":"midas/sdk/github/operations.html#checks_create_request"},{"doc":"midas/sdk/github/operations","title":"checks_create_response","content":"pub fn checks_create_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CheckRun, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_create_response\nmidas/sdk/github/operations checks_create_response","url":"midas/sdk/github/operations.html#checks_create_response"},{"doc":"midas/sdk/github/operations","title":"checks_create_suite_request","content":"pub fn checks_create_suite_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.checks_create_suite_request\nmidas/sdk/github/operations checks_create_suite_request","url":"midas/sdk/github/operations.html#checks_create_suite_request"},{"doc":"midas/sdk/github/operations","title":"checks_create_suite_response","content":"pub fn checks_create_suite_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CheckSuite, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_create_suite_response\nmidas/sdk/github/operations checks_create_suite_response","url":"midas/sdk/github/operations.html#checks_create_suite_response"},{"doc":"midas/sdk/github/operations","title":"checks_get_request","content":"pub fn checks_get_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_get_request\nmidas/sdk/github/operations checks_get_request","url":"midas/sdk/github/operations.html#checks_get_request"},{"doc":"midas/sdk/github/operations","title":"checks_get_response","content":"pub fn checks_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CheckRun, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_get_response\nmidas/sdk/github/operations checks_get_response","url":"midas/sdk/github/operations.html#checks_get_response"},{"doc":"midas/sdk/github/operations","title":"checks_get_suite_request","content":"pub fn checks_get_suite_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  check_suite_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_get_suite_request\nmidas/sdk/github/operations checks_get_suite_request","url":"midas/sdk/github/operations.html#checks_get_suite_request"},{"doc":"midas/sdk/github/operations","title":"checks_get_suite_response","content":"pub fn checks_get_suite_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CheckSuite, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_get_suite_response\nmidas/sdk/github/operations checks_get_suite_response","url":"midas/sdk/github/operations.html#checks_get_suite_response"},{"doc":"midas/sdk/github/operations","title":"checks_list_annotations_request","content":"pub fn checks_list_annotations_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_annotations_request\nmidas/sdk/github/operations checks_list_annotations_request","url":"midas/sdk/github/operations.html#checks_list_annotations_request"},{"doc":"midas/sdk/github/operations","title":"checks_list_annotations_response","content":"pub fn checks_list_annotations_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(CheckAnnotation), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_annotations_response\nmidas/sdk/github/operations checks_list_annotations_response","url":"midas/sdk/github/operations.html#checks_list_annotations_response"},{"doc":"midas/sdk/github/operations","title":"checks_list_for_ref_request","content":"pub fn checks_list_for_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n  check_name check_name: Option(String),\n  status status: Option(String),\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  app_id app_id: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_for_ref_request\nmidas/sdk/github/operations checks_list_for_ref_request","url":"midas/sdk/github/operations.html#checks_list_for_ref_request"},{"doc":"midas/sdk/github/operations","title":"checks_list_for_ref_response","content":"pub fn checks_list_for_ref_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_for_ref_response\nmidas/sdk/github/operations checks_list_for_ref_response","url":"midas/sdk/github/operations.html#checks_list_for_ref_response"},{"doc":"midas/sdk/github/operations","title":"checks_list_for_suite_request","content":"pub fn checks_list_for_suite_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  check_suite_id: Int,\n  check_name check_name: Option(String),\n  status status: Option(String),\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_for_suite_request\nmidas/sdk/github/operations checks_list_for_suite_request","url":"midas/sdk/github/operations.html#checks_list_for_suite_request"},{"doc":"midas/sdk/github/operations","title":"checks_list_for_suite_response","content":"pub fn checks_list_for_suite_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_for_suite_response\nmidas/sdk/github/operations checks_list_for_suite_response","url":"midas/sdk/github/operations.html#checks_list_for_suite_response"},{"doc":"midas/sdk/github/operations","title":"checks_list_suites_for_ref_request","content":"pub fn checks_list_suites_for_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n  app_id app_id: Option(Int),\n  check_name check_name: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_suites_for_ref_request\nmidas/sdk/github/operations checks_list_suites_for_ref_request","url":"midas/sdk/github/operations.html#checks_list_suites_for_ref_request"},{"doc":"midas/sdk/github/operations","title":"checks_list_suites_for_ref_response","content":"pub fn checks_list_suites_for_ref_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_list_suites_for_ref_response\nmidas/sdk/github/operations checks_list_suites_for_ref_response","url":"midas/sdk/github/operations.html#checks_list_suites_for_ref_response"},{"doc":"midas/sdk/github/operations","title":"checks_rerequest_run_request","content":"pub fn checks_rerequest_run_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_rerequest_run_request\nmidas/sdk/github/operations checks_rerequest_run_request","url":"midas/sdk/github/operations.html#checks_rerequest_run_request"},{"doc":"midas/sdk/github/operations","title":"checks_rerequest_run_response","content":"pub fn checks_rerequest_run_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_rerequest_run_response\nmidas/sdk/github/operations checks_rerequest_run_response","url":"midas/sdk/github/operations.html#checks_rerequest_run_response"},{"doc":"midas/sdk/github/operations","title":"checks_rerequest_suite_request","content":"pub fn checks_rerequest_suite_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  check_suite_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.checks_rerequest_suite_request\nmidas/sdk/github/operations checks_rerequest_suite_request","url":"midas/sdk/github/operations.html#checks_rerequest_suite_request"},{"doc":"midas/sdk/github/operations","title":"checks_rerequest_suite_response","content":"pub fn checks_rerequest_suite_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_rerequest_suite_response\nmidas/sdk/github/operations checks_rerequest_suite_response","url":"midas/sdk/github/operations.html#checks_rerequest_suite_response"},{"doc":"midas/sdk/github/operations","title":"checks_set_suites_preferences_request","content":"pub fn checks_set_suites_preferences_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.checks_set_suites_preferences_request\nmidas/sdk/github/operations checks_set_suites_preferences_request","url":"midas/sdk/github/operations.html#checks_set_suites_preferences_request"},{"doc":"midas/sdk/github/operations","title":"checks_set_suites_preferences_response","content":"pub fn checks_set_suites_preferences_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CheckSuitePreference, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_set_suites_preferences_response\nmidas/sdk/github/operations checks_set_suites_preferences_response","url":"midas/sdk/github/operations.html#checks_set_suites_preferences_response"},{"doc":"midas/sdk/github/operations","title":"checks_update_request","content":"pub fn checks_update_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.checks_update_request\nmidas/sdk/github/operations checks_update_request","url":"midas/sdk/github/operations.html#checks_update_request"},{"doc":"midas/sdk/github/operations","title":"checks_update_response","content":"pub fn checks_update_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CheckRun, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.checks_update_response\nmidas/sdk/github/operations checks_update_response","url":"midas/sdk/github/operations.html#checks_update_response"},{"doc":"midas/sdk/github/operations","title":"classroom_get_a_classroom_request","content":"pub fn classroom_get_a_classroom_request(\n  base: Request(a),\n  classroom_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_get_a_classroom_request\nmidas/sdk/github/operations classroom_get_a_classroom_request","url":"midas/sdk/github/operations.html#classroom_get_a_classroom_request"},{"doc":"midas/sdk/github/operations","title":"classroom_get_a_classroom_response","content":"pub fn classroom_get_a_classroom_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Classroom, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_get_a_classroom_response\nmidas/sdk/github/operations classroom_get_a_classroom_response","url":"midas/sdk/github/operations.html#classroom_get_a_classroom_response"},{"doc":"midas/sdk/github/operations","title":"classroom_get_an_assignment_request","content":"pub fn classroom_get_an_assignment_request(\n  base: Request(a),\n  assignment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_get_an_assignment_request\nmidas/sdk/github/operations classroom_get_an_assignment_request","url":"midas/sdk/github/operations.html#classroom_get_an_assignment_request"},{"doc":"midas/sdk/github/operations","title":"classroom_get_an_assignment_response","content":"pub fn classroom_get_an_assignment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ClassroomAssignment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_get_an_assignment_response\nmidas/sdk/github/operations classroom_get_an_assignment_response","url":"midas/sdk/github/operations.html#classroom_get_an_assignment_response"},{"doc":"midas/sdk/github/operations","title":"classroom_get_assignment_grades_request","content":"pub fn classroom_get_assignment_grades_request(\n  base: Request(a),\n  assignment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_get_assignment_grades_request\nmidas/sdk/github/operations classroom_get_assignment_grades_request","url":"midas/sdk/github/operations.html#classroom_get_assignment_grades_request"},{"doc":"midas/sdk/github/operations","title":"classroom_get_assignment_grades_response","content":"pub fn classroom_get_assignment_grades_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(ClassroomAssignmentGrade), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_get_assignment_grades_response\nmidas/sdk/github/operations classroom_get_assignment_grades_response","url":"midas/sdk/github/operations.html#classroom_get_assignment_grades_response"},{"doc":"midas/sdk/github/operations","title":"classroom_list_accepted_assignments_for_an_assignment_request","content":"pub fn classroom_list_accepted_assignments_for_an_assignment_request(\n  base: Request(a),\n  assignment_id: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_list_accepted_assignments_for_an_assignment_request\nmidas/sdk/github/operations classroom_list_accepted_assignments_for_an_assignment_request","url":"midas/sdk/github/operations.html#classroom_list_accepted_assignments_for_an_assignment_request"},{"doc":"midas/sdk/github/operations","title":"classroom_list_accepted_assignments_for_an_assignment_response","content":"pub fn classroom_list_accepted_assignments_for_an_assignment_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(ClassroomAcceptedAssignment), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_list_accepted_assignments_for_an_assignment_response\nmidas/sdk/github/operations classroom_list_accepted_assignments_for_an_assignment_response","url":"midas/sdk/github/operations.html#classroom_list_accepted_assignments_for_an_assignment_response"},{"doc":"midas/sdk/github/operations","title":"classroom_list_assignments_for_a_classroom_request","content":"pub fn classroom_list_assignments_for_a_classroom_request(\n  base: Request(a),\n  classroom_id: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_list_assignments_for_a_classroom_request\nmidas/sdk/github/operations classroom_list_assignments_for_a_classroom_request","url":"midas/sdk/github/operations.html#classroom_list_assignments_for_a_classroom_request"},{"doc":"midas/sdk/github/operations","title":"classroom_list_assignments_for_a_classroom_response","content":"pub fn classroom_list_assignments_for_a_classroom_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(SimpleClassroomAssignment), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_list_assignments_for_a_classroom_response\nmidas/sdk/github/operations classroom_list_assignments_for_a_classroom_response","url":"midas/sdk/github/operations.html#classroom_list_assignments_for_a_classroom_response"},{"doc":"midas/sdk/github/operations","title":"classroom_list_classrooms_request","content":"pub fn classroom_list_classrooms_request(\n  base: Request(a),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_list_classrooms_request\nmidas/sdk/github/operations classroom_list_classrooms_request","url":"midas/sdk/github/operations.html#classroom_list_classrooms_request"},{"doc":"midas/sdk/github/operations","title":"classroom_list_classrooms_response","content":"pub fn classroom_list_classrooms_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleClassroom), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.classroom_list_classrooms_response\nmidas/sdk/github/operations classroom_list_classrooms_response","url":"midas/sdk/github/operations.html#classroom_list_classrooms_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_create_variant_analysis_request","content":"pub fn code_scanning_create_variant_analysis_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_create_variant_analysis_request\nmidas/sdk/github/operations code_scanning_create_variant_analysis_request","url":"midas/sdk/github/operations.html#code_scanning_create_variant_analysis_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_create_variant_analysis_response","content":"pub fn code_scanning_create_variant_analysis_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeScanningVariantAnalysis, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_create_variant_analysis_response\nmidas/sdk/github/operations code_scanning_create_variant_analysis_response","url":"midas/sdk/github/operations.html#code_scanning_create_variant_analysis_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_delete_analysis_request","content":"pub fn code_scanning_delete_analysis_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  analysis_id: Int,\n  confirm_delete confirm_delete: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_delete_analysis_request\nmidas/sdk/github/operations code_scanning_delete_analysis_request","url":"midas/sdk/github/operations.html#code_scanning_delete_analysis_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_delete_analysis_response","content":"pub fn code_scanning_delete_analysis_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeScanningAnalysisDeletion, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_delete_analysis_response\nmidas/sdk/github/operations code_scanning_delete_analysis_response","url":"midas/sdk/github/operations.html#code_scanning_delete_analysis_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_delete_codeql_database_request","content":"pub fn code_scanning_delete_codeql_database_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  language: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_delete_codeql_database_request\nmidas/sdk/github/operations code_scanning_delete_codeql_database_request","url":"midas/sdk/github/operations.html#code_scanning_delete_codeql_database_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_delete_codeql_database_response","content":"pub fn code_scanning_delete_codeql_database_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_delete_codeql_database_response\nmidas/sdk/github/operations code_scanning_delete_codeql_database_response","url":"midas/sdk/github/operations.html#code_scanning_delete_codeql_database_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_alert_request","content":"pub fn code_scanning_get_alert_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_alert_request\nmidas/sdk/github/operations code_scanning_get_alert_request","url":"midas/sdk/github/operations.html#code_scanning_get_alert_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_alert_response","content":"pub fn code_scanning_get_alert_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodeScanningAlert, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_alert_response\nmidas/sdk/github/operations code_scanning_get_alert_response","url":"midas/sdk/github/operations.html#code_scanning_get_alert_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_analysis_request","content":"pub fn code_scanning_get_analysis_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  analysis_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_analysis_request\nmidas/sdk/github/operations code_scanning_get_analysis_request","url":"midas/sdk/github/operations.html#code_scanning_get_analysis_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_analysis_response","content":"pub fn code_scanning_get_analysis_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodeScanningAnalysis, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_analysis_response\nmidas/sdk/github/operations code_scanning_get_analysis_response","url":"midas/sdk/github/operations.html#code_scanning_get_analysis_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_codeql_database_request","content":"pub fn code_scanning_get_codeql_database_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  language: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_codeql_database_request\nmidas/sdk/github/operations code_scanning_get_codeql_database_request","url":"midas/sdk/github/operations.html#code_scanning_get_codeql_database_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_codeql_database_response","content":"pub fn code_scanning_get_codeql_database_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeScanningCodeqlDatabase, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_codeql_database_response\nmidas/sdk/github/operations code_scanning_get_codeql_database_response","url":"midas/sdk/github/operations.html#code_scanning_get_codeql_database_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_default_setup_request","content":"pub fn code_scanning_get_default_setup_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_default_setup_request\nmidas/sdk/github/operations code_scanning_get_default_setup_request","url":"midas/sdk/github/operations.html#code_scanning_get_default_setup_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_default_setup_response","content":"pub fn code_scanning_get_default_setup_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodeScanningDefaultSetup, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_default_setup_response\nmidas/sdk/github/operations code_scanning_get_default_setup_response","url":"midas/sdk/github/operations.html#code_scanning_get_default_setup_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_sarif_request","content":"pub fn code_scanning_get_sarif_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  sarif_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_sarif_request\nmidas/sdk/github/operations code_scanning_get_sarif_request","url":"midas/sdk/github/operations.html#code_scanning_get_sarif_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_sarif_response","content":"pub fn code_scanning_get_sarif_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodeScanningSarifsStatus, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_sarif_response\nmidas/sdk/github/operations code_scanning_get_sarif_response","url":"midas/sdk/github/operations.html#code_scanning_get_sarif_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_variant_analysis_repo_task_request","content":"pub fn code_scanning_get_variant_analysis_repo_task_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  codeql_variant_analysis_id: Int,\n  repo_owner: String,\n  repo_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_variant_analysis_repo_task_request\nmidas/sdk/github/operations code_scanning_get_variant_analysis_repo_task_request","url":"midas/sdk/github/operations.html#code_scanning_get_variant_analysis_repo_task_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_variant_analysis_repo_task_response","content":"pub fn code_scanning_get_variant_analysis_repo_task_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeScanningVariantAnalysisRepoTask, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_variant_analysis_repo_task_response\nmidas/sdk/github/operations code_scanning_get_variant_analysis_repo_task_response","url":"midas/sdk/github/operations.html#code_scanning_get_variant_analysis_repo_task_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_variant_analysis_request","content":"pub fn code_scanning_get_variant_analysis_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  codeql_variant_analysis_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_variant_analysis_request\nmidas/sdk/github/operations code_scanning_get_variant_analysis_request","url":"midas/sdk/github/operations.html#code_scanning_get_variant_analysis_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_get_variant_analysis_response","content":"pub fn code_scanning_get_variant_analysis_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeScanningVariantAnalysis, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_get_variant_analysis_response\nmidas/sdk/github/operations code_scanning_get_variant_analysis_response","url":"midas/sdk/github/operations.html#code_scanning_get_variant_analysis_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_alert_instances_request","content":"pub fn code_scanning_list_alert_instances_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  ref ref: Option(String),\n  pr pr: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_alert_instances_request\nmidas/sdk/github/operations code_scanning_list_alert_instances_request","url":"midas/sdk/github/operations.html#code_scanning_list_alert_instances_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_alert_instances_response","content":"pub fn code_scanning_list_alert_instances_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CodeScanningAlertInstance), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_alert_instances_response\nmidas/sdk/github/operations code_scanning_list_alert_instances_response","url":"midas/sdk/github/operations.html#code_scanning_list_alert_instances_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_alerts_for_org_request","content":"pub fn code_scanning_list_alerts_for_org_request(\n  base: Request(a),\n  org: String,\n  tool_name tool_name: Option(String),\n  tool_guid tool_guid: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  state state: Option(String),\n  sort sort: Option(String),\n  severity severity: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_alerts_for_org_request\nmidas/sdk/github/operations code_scanning_list_alerts_for_org_request","url":"midas/sdk/github/operations.html#code_scanning_list_alerts_for_org_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_alerts_for_org_response","content":"pub fn code_scanning_list_alerts_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CodeScanningOrganizationAlertItems), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_alerts_for_org_response\nmidas/sdk/github/operations code_scanning_list_alerts_for_org_response","url":"midas/sdk/github/operations.html#code_scanning_list_alerts_for_org_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_alerts_for_repo_request","content":"pub fn code_scanning_list_alerts_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  tool_name tool_name: Option(String),\n  tool_guid tool_guid: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  ref ref: Option(String),\n  pr pr: Option(Int),\n  direction direction: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  sort sort: Option(String),\n  state state: Option(String),\n  severity severity: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_alerts_for_repo_request\nmidas/sdk/github/operations code_scanning_list_alerts_for_repo_request","url":"midas/sdk/github/operations.html#code_scanning_list_alerts_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_alerts_for_repo_response","content":"pub fn code_scanning_list_alerts_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CodeScanningAlertItems), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_alerts_for_repo_response\nmidas/sdk/github/operations code_scanning_list_alerts_for_repo_response","url":"midas/sdk/github/operations.html#code_scanning_list_alerts_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_codeql_databases_request","content":"pub fn code_scanning_list_codeql_databases_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_codeql_databases_request\nmidas/sdk/github/operations code_scanning_list_codeql_databases_request","url":"midas/sdk/github/operations.html#code_scanning_list_codeql_databases_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_codeql_databases_response","content":"pub fn code_scanning_list_codeql_databases_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CodeScanningCodeqlDatabase), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_codeql_databases_response\nmidas/sdk/github/operations code_scanning_list_codeql_databases_response","url":"midas/sdk/github/operations.html#code_scanning_list_codeql_databases_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_recent_analyses_request","content":"pub fn code_scanning_list_recent_analyses_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  tool_name tool_name: Option(String),\n  tool_guid tool_guid: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  pr pr: Option(Int),\n  ref ref: Option(String),\n  sarif_id sarif_id: Option(String),\n  direction direction: Option(String),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_recent_analyses_request\nmidas/sdk/github/operations code_scanning_list_recent_analyses_request","url":"midas/sdk/github/operations.html#code_scanning_list_recent_analyses_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_list_recent_analyses_response","content":"pub fn code_scanning_list_recent_analyses_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CodeScanningAnalysis), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_list_recent_analyses_response\nmidas/sdk/github/operations code_scanning_list_recent_analyses_response","url":"midas/sdk/github/operations.html#code_scanning_list_recent_analyses_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_update_alert_request","content":"pub fn code_scanning_update_alert_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_update_alert_request\nmidas/sdk/github/operations code_scanning_update_alert_request","url":"midas/sdk/github/operations.html#code_scanning_update_alert_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_update_alert_response","content":"pub fn code_scanning_update_alert_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodeScanningAlert, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_update_alert_response\nmidas/sdk/github/operations code_scanning_update_alert_response","url":"midas/sdk/github/operations.html#code_scanning_update_alert_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_update_default_setup_request","content":"pub fn code_scanning_update_default_setup_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  code_scanning_default_setup_update: CodeScanningDefaultSetupUpdate,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_update_default_setup_request\nmidas/sdk/github/operations code_scanning_update_default_setup_request","url":"midas/sdk/github/operations.html#code_scanning_update_default_setup_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_update_default_setup_response","content":"pub fn code_scanning_update_default_setup_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_update_default_setup_response\nmidas/sdk/github/operations code_scanning_update_default_setup_response","url":"midas/sdk/github/operations.html#code_scanning_update_default_setup_response"},{"doc":"midas/sdk/github/operations","title":"code_scanning_upload_sarif_request","content":"pub fn code_scanning_upload_sarif_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_upload_sarif_request\nmidas/sdk/github/operations code_scanning_upload_sarif_request","url":"midas/sdk/github/operations.html#code_scanning_upload_sarif_request"},{"doc":"midas/sdk/github/operations","title":"code_scanning_upload_sarif_response","content":"pub fn code_scanning_upload_sarif_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeScanningSarifsReceipt, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_scanning_upload_sarif_response\nmidas/sdk/github/operations code_scanning_upload_sarif_response","url":"midas/sdk/github/operations.html#code_scanning_upload_sarif_response"},{"doc":"midas/sdk/github/operations","title":"code_security_attach_configuration_request","content":"pub fn code_security_attach_configuration_request(\n  base: Request(a),\n  org: String,\n  configuration_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_attach_configuration_request\nmidas/sdk/github/operations code_security_attach_configuration_request","url":"midas/sdk/github/operations.html#code_security_attach_configuration_request"},{"doc":"midas/sdk/github/operations","title":"code_security_attach_configuration_response","content":"pub fn code_security_attach_configuration_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_attach_configuration_response\nmidas/sdk/github/operations code_security_attach_configuration_response","url":"midas/sdk/github/operations.html#code_security_attach_configuration_response"},{"doc":"midas/sdk/github/operations","title":"code_security_create_configuration_request","content":"pub fn code_security_create_configuration_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_create_configuration_request\nmidas/sdk/github/operations code_security_create_configuration_request","url":"midas/sdk/github/operations.html#code_security_create_configuration_request"},{"doc":"midas/sdk/github/operations","title":"code_security_create_configuration_response","content":"pub fn code_security_create_configuration_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeSecurityConfiguration, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_create_configuration_response\nmidas/sdk/github/operations code_security_create_configuration_response","url":"midas/sdk/github/operations.html#code_security_create_configuration_response"},{"doc":"midas/sdk/github/operations","title":"code_security_delete_configuration_request","content":"pub fn code_security_delete_configuration_request(\n  base: Request(a),\n  org: String,\n  configuration_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_delete_configuration_request\nmidas/sdk/github/operations code_security_delete_configuration_request","url":"midas/sdk/github/operations.html#code_security_delete_configuration_request"},{"doc":"midas/sdk/github/operations","title":"code_security_delete_configuration_response","content":"pub fn code_security_delete_configuration_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_delete_configuration_response\nmidas/sdk/github/operations code_security_delete_configuration_response","url":"midas/sdk/github/operations.html#code_security_delete_configuration_response"},{"doc":"midas/sdk/github/operations","title":"code_security_detach_configuration_request","content":"pub fn code_security_detach_configuration_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_detach_configuration_request\nmidas/sdk/github/operations code_security_detach_configuration_request","url":"midas/sdk/github/operations.html#code_security_detach_configuration_request"},{"doc":"midas/sdk/github/operations","title":"code_security_detach_configuration_response","content":"pub fn code_security_detach_configuration_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_detach_configuration_response\nmidas/sdk/github/operations code_security_detach_configuration_response","url":"midas/sdk/github/operations.html#code_security_detach_configuration_response"},{"doc":"midas/sdk/github/operations","title":"code_security_get_configuration_for_repository_request","content":"pub fn code_security_get_configuration_for_repository_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_configuration_for_repository_request\nmidas/sdk/github/operations code_security_get_configuration_for_repository_request","url":"midas/sdk/github/operations.html#code_security_get_configuration_for_repository_request"},{"doc":"midas/sdk/github/operations","title":"code_security_get_configuration_for_repository_response","content":"pub fn code_security_get_configuration_for_repository_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_configuration_for_repository_response\nmidas/sdk/github/operations code_security_get_configuration_for_repository_response","url":"midas/sdk/github/operations.html#code_security_get_configuration_for_repository_response"},{"doc":"midas/sdk/github/operations","title":"code_security_get_configuration_request","content":"pub fn code_security_get_configuration_request(\n  base: Request(a),\n  org: String,\n  configuration_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_configuration_request\nmidas/sdk/github/operations code_security_get_configuration_request","url":"midas/sdk/github/operations.html#code_security_get_configuration_request"},{"doc":"midas/sdk/github/operations","title":"code_security_get_configuration_response","content":"pub fn code_security_get_configuration_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodeSecurityConfiguration, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_configuration_response\nmidas/sdk/github/operations code_security_get_configuration_response","url":"midas/sdk/github/operations.html#code_security_get_configuration_response"},{"doc":"midas/sdk/github/operations","title":"code_security_get_configurations_for_org_request","content":"pub fn code_security_get_configurations_for_org_request(\n  base: Request(a),\n  org: String,\n  target_type target_type: Option(String),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_configurations_for_org_request\nmidas/sdk/github/operations code_security_get_configurations_for_org_request","url":"midas/sdk/github/operations.html#code_security_get_configurations_for_org_request"},{"doc":"midas/sdk/github/operations","title":"code_security_get_configurations_for_org_response","content":"pub fn code_security_get_configurations_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CodeSecurityConfiguration), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_configurations_for_org_response\nmidas/sdk/github/operations code_security_get_configurations_for_org_response","url":"midas/sdk/github/operations.html#code_security_get_configurations_for_org_response"},{"doc":"midas/sdk/github/operations","title":"code_security_get_default_configurations_request","content":"pub fn code_security_get_default_configurations_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_default_configurations_request\nmidas/sdk/github/operations code_security_get_default_configurations_request","url":"midas/sdk/github/operations.html#code_security_get_default_configurations_request"},{"doc":"midas/sdk/github/operations","title":"code_security_get_default_configurations_response","content":"pub fn code_security_get_default_configurations_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_default_configurations_response\nmidas/sdk/github/operations code_security_get_default_configurations_response","url":"midas/sdk/github/operations.html#code_security_get_default_configurations_response"},{"doc":"midas/sdk/github/operations","title":"code_security_get_repositories_for_configuration_request","content":"pub fn code_security_get_repositories_for_configuration_request(\n  base: Request(a),\n  org: String,\n  configuration_id: Int,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  status status: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_repositories_for_configuration_request\nmidas/sdk/github/operations code_security_get_repositories_for_configuration_request","url":"midas/sdk/github/operations.html#code_security_get_repositories_for_configuration_request"},{"doc":"midas/sdk/github/operations","title":"code_security_get_repositories_for_configuration_response","content":"pub fn code_security_get_repositories_for_configuration_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CodeSecurityConfigurationRepositories), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_get_repositories_for_configuration_response\nmidas/sdk/github/operations code_security_get_repositories_for_configuration_response","url":"midas/sdk/github/operations.html#code_security_get_repositories_for_configuration_response"},{"doc":"midas/sdk/github/operations","title":"code_security_set_configuration_as_default_request","content":"pub fn code_security_set_configuration_as_default_request(\n  base: Request(a),\n  org: String,\n  configuration_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_set_configuration_as_default_request\nmidas/sdk/github/operations code_security_set_configuration_as_default_request","url":"midas/sdk/github/operations.html#code_security_set_configuration_as_default_request"},{"doc":"midas/sdk/github/operations","title":"code_security_set_configuration_as_default_response","content":"pub fn code_security_set_configuration_as_default_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_set_configuration_as_default_response\nmidas/sdk/github/operations code_security_set_configuration_as_default_response","url":"midas/sdk/github/operations.html#code_security_set_configuration_as_default_response"},{"doc":"midas/sdk/github/operations","title":"code_security_update_configuration_request","content":"pub fn code_security_update_configuration_request(\n  base: Request(a),\n  org: String,\n  configuration_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_update_configuration_request\nmidas/sdk/github/operations code_security_update_configuration_request","url":"midas/sdk/github/operations.html#code_security_update_configuration_request"},{"doc":"midas/sdk/github/operations","title":"code_security_update_configuration_response","content":"pub fn code_security_update_configuration_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.code_security_update_configuration_response\nmidas/sdk/github/operations code_security_update_configuration_response","url":"midas/sdk/github/operations.html#code_security_update_configuration_response"},{"doc":"midas/sdk/github/operations","title":"codes_of_conduct_get_all_codes_of_conduct_request","content":"pub fn codes_of_conduct_get_all_codes_of_conduct_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codes_of_conduct_get_all_codes_of_conduct_request\nmidas/sdk/github/operations codes_of_conduct_get_all_codes_of_conduct_request","url":"midas/sdk/github/operations.html#codes_of_conduct_get_all_codes_of_conduct_request"},{"doc":"midas/sdk/github/operations","title":"codes_of_conduct_get_all_codes_of_conduct_response","content":"pub fn codes_of_conduct_get_all_codes_of_conduct_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(CodeOfConduct), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codes_of_conduct_get_all_codes_of_conduct_response\nmidas/sdk/github/operations codes_of_conduct_get_all_codes_of_conduct_response","url":"midas/sdk/github/operations.html#codes_of_conduct_get_all_codes_of_conduct_response"},{"doc":"midas/sdk/github/operations","title":"codes_of_conduct_get_conduct_code_request","content":"pub fn codes_of_conduct_get_conduct_code_request(\n  base: Request(a),\n  key: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codes_of_conduct_get_conduct_code_request\nmidas/sdk/github/operations codes_of_conduct_get_conduct_code_request","url":"midas/sdk/github/operations.html#codes_of_conduct_get_conduct_code_request"},{"doc":"midas/sdk/github/operations","title":"codes_of_conduct_get_conduct_code_response","content":"pub fn codes_of_conduct_get_conduct_code_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodeOfConduct, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codes_of_conduct_get_conduct_code_response\nmidas/sdk/github/operations codes_of_conduct_get_conduct_code_response","url":"midas/sdk/github/operations.html#codes_of_conduct_get_conduct_code_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_add_repository_for_secret_for_authenticated_user_request","content":"pub fn codespaces_add_repository_for_secret_for_authenticated_user_request(\n  base: Request(a),\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_add_repository_for_secret_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_add_repository_for_secret_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_add_repository_for_secret_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_add_repository_for_secret_for_authenticated_user_response","content":"pub fn codespaces_add_repository_for_secret_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_add_repository_for_secret_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_add_repository_for_secret_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_add_repository_for_secret_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_add_selected_repo_to_org_secret_request","content":"pub fn codespaces_add_selected_repo_to_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_add_selected_repo_to_org_secret_request\nmidas/sdk/github/operations codespaces_add_selected_repo_to_org_secret_request","url":"midas/sdk/github/operations.html#codespaces_add_selected_repo_to_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_add_selected_repo_to_org_secret_response","content":"pub fn codespaces_add_selected_repo_to_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_add_selected_repo_to_org_secret_response\nmidas/sdk/github/operations codespaces_add_selected_repo_to_org_secret_response","url":"midas/sdk/github/operations.html#codespaces_add_selected_repo_to_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_check_permissions_for_devcontainer_request","content":"pub fn codespaces_check_permissions_for_devcontainer_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref ref: String,\n  devcontainer_path devcontainer_path: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_check_permissions_for_devcontainer_request\nmidas/sdk/github/operations codespaces_check_permissions_for_devcontainer_request","url":"midas/sdk/github/operations.html#codespaces_check_permissions_for_devcontainer_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_check_permissions_for_devcontainer_response","content":"pub fn codespaces_check_permissions_for_devcontainer_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodespacesPermissionsCheckForDevcontainer, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_check_permissions_for_devcontainer_response\nmidas/sdk/github/operations codespaces_check_permissions_for_devcontainer_response","url":"midas/sdk/github/operations.html#codespaces_check_permissions_for_devcontainer_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_codespace_machines_for_authenticated_user_request","content":"pub fn codespaces_codespace_machines_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_codespace_machines_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_codespace_machines_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_codespace_machines_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_codespace_machines_for_authenticated_user_response","content":"pub fn codespaces_codespace_machines_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_codespace_machines_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_codespace_machines_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_codespace_machines_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_for_authenticated_user_request","content":"pub fn codespaces_create_for_authenticated_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_create_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_create_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_for_authenticated_user_response","content":"pub fn codespaces_create_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_create_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_create_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_or_update_org_secret_request","content":"pub fn codespaces_create_or_update_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_or_update_org_secret_request\nmidas/sdk/github/operations codespaces_create_or_update_org_secret_request","url":"midas/sdk/github/operations.html#codespaces_create_or_update_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_or_update_org_secret_response","content":"pub fn codespaces_create_or_update_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_or_update_org_secret_response\nmidas/sdk/github/operations codespaces_create_or_update_org_secret_response","url":"midas/sdk/github/operations.html#codespaces_create_or_update_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_or_update_repo_secret_request","content":"pub fn codespaces_create_or_update_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_or_update_repo_secret_request\nmidas/sdk/github/operations codespaces_create_or_update_repo_secret_request","url":"midas/sdk/github/operations.html#codespaces_create_or_update_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_or_update_repo_secret_response","content":"pub fn codespaces_create_or_update_repo_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_or_update_repo_secret_response\nmidas/sdk/github/operations codespaces_create_or_update_repo_secret_response","url":"midas/sdk/github/operations.html#codespaces_create_or_update_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_or_update_secret_for_authenticated_user_request","content":"pub fn codespaces_create_or_update_secret_for_authenticated_user_request(\n  base: Request(a),\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_or_update_secret_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_create_or_update_secret_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_create_or_update_secret_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_or_update_secret_for_authenticated_user_response","content":"pub fn codespaces_create_or_update_secret_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_or_update_secret_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_create_or_update_secret_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_create_or_update_secret_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_with_pr_for_authenticated_user_request","content":"pub fn codespaces_create_with_pr_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_with_pr_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_create_with_pr_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_create_with_pr_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_with_pr_for_authenticated_user_response","content":"pub fn codespaces_create_with_pr_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_with_pr_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_create_with_pr_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_create_with_pr_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_with_repo_for_authenticated_user_request","content":"pub fn codespaces_create_with_repo_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_with_repo_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_create_with_repo_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_create_with_repo_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_create_with_repo_for_authenticated_user_response","content":"pub fn codespaces_create_with_repo_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_create_with_repo_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_create_with_repo_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_create_with_repo_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_codespaces_access_users_request","content":"pub fn codespaces_delete_codespaces_access_users_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_codespaces_access_users_request\nmidas/sdk/github/operations codespaces_delete_codespaces_access_users_request","url":"midas/sdk/github/operations.html#codespaces_delete_codespaces_access_users_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_codespaces_access_users_response","content":"pub fn codespaces_delete_codespaces_access_users_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_codespaces_access_users_response\nmidas/sdk/github/operations codespaces_delete_codespaces_access_users_response","url":"midas/sdk/github/operations.html#codespaces_delete_codespaces_access_users_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_for_authenticated_user_request","content":"pub fn codespaces_delete_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_delete_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_delete_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_for_authenticated_user_response","content":"pub fn codespaces_delete_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_delete_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_delete_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_from_organization_request","content":"pub fn codespaces_delete_from_organization_request(\n  base: Request(a),\n  org: String,\n  username: String,\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_from_organization_request\nmidas/sdk/github/operations codespaces_delete_from_organization_request","url":"midas/sdk/github/operations.html#codespaces_delete_from_organization_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_from_organization_response","content":"pub fn codespaces_delete_from_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_from_organization_response\nmidas/sdk/github/operations codespaces_delete_from_organization_response","url":"midas/sdk/github/operations.html#codespaces_delete_from_organization_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_org_secret_request","content":"pub fn codespaces_delete_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_org_secret_request\nmidas/sdk/github/operations codespaces_delete_org_secret_request","url":"midas/sdk/github/operations.html#codespaces_delete_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_org_secret_response","content":"pub fn codespaces_delete_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_org_secret_response\nmidas/sdk/github/operations codespaces_delete_org_secret_response","url":"midas/sdk/github/operations.html#codespaces_delete_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_repo_secret_request","content":"pub fn codespaces_delete_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_repo_secret_request\nmidas/sdk/github/operations codespaces_delete_repo_secret_request","url":"midas/sdk/github/operations.html#codespaces_delete_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_repo_secret_response","content":"pub fn codespaces_delete_repo_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_repo_secret_response\nmidas/sdk/github/operations codespaces_delete_repo_secret_response","url":"midas/sdk/github/operations.html#codespaces_delete_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_secret_for_authenticated_user_request","content":"pub fn codespaces_delete_secret_for_authenticated_user_request(\n  base: Request(a),\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_secret_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_delete_secret_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_delete_secret_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_delete_secret_for_authenticated_user_response","content":"pub fn codespaces_delete_secret_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_delete_secret_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_delete_secret_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_delete_secret_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_export_for_authenticated_user_request","content":"pub fn codespaces_export_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_export_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_export_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_export_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_export_for_authenticated_user_response","content":"pub fn codespaces_export_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodespaceExportDetails, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_export_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_export_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_export_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_codespaces_for_user_in_org_request","content":"pub fn codespaces_get_codespaces_for_user_in_org_request(\n  base: Request(a),\n  org: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_codespaces_for_user_in_org_request\nmidas/sdk/github/operations codespaces_get_codespaces_for_user_in_org_request","url":"midas/sdk/github/operations.html#codespaces_get_codespaces_for_user_in_org_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_codespaces_for_user_in_org_response","content":"pub fn codespaces_get_codespaces_for_user_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_codespaces_for_user_in_org_response\nmidas/sdk/github/operations codespaces_get_codespaces_for_user_in_org_response","url":"midas/sdk/github/operations.html#codespaces_get_codespaces_for_user_in_org_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_export_details_for_authenticated_user_request","content":"pub fn codespaces_get_export_details_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n  export_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_export_details_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_get_export_details_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_get_export_details_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_export_details_for_authenticated_user_response","content":"pub fn codespaces_get_export_details_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodespaceExportDetails, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_export_details_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_get_export_details_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_get_export_details_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_for_authenticated_user_request","content":"pub fn codespaces_get_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_get_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_get_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_for_authenticated_user_response","content":"pub fn codespaces_get_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_get_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_get_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_org_public_key_request","content":"pub fn codespaces_get_org_public_key_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_org_public_key_request\nmidas/sdk/github/operations codespaces_get_org_public_key_request","url":"midas/sdk/github/operations.html#codespaces_get_org_public_key_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_org_public_key_response","content":"pub fn codespaces_get_org_public_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodespacesPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_org_public_key_response\nmidas/sdk/github/operations codespaces_get_org_public_key_response","url":"midas/sdk/github/operations.html#codespaces_get_org_public_key_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_org_secret_request","content":"pub fn codespaces_get_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_org_secret_request\nmidas/sdk/github/operations codespaces_get_org_secret_request","url":"midas/sdk/github/operations.html#codespaces_get_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_org_secret_response","content":"pub fn codespaces_get_org_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodespacesOrgSecret, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_org_secret_response\nmidas/sdk/github/operations codespaces_get_org_secret_response","url":"midas/sdk/github/operations.html#codespaces_get_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_public_key_for_authenticated_user_request","content":"pub fn codespaces_get_public_key_for_authenticated_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_public_key_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_get_public_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_get_public_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_public_key_for_authenticated_user_response","content":"pub fn codespaces_get_public_key_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodespacesUserPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_public_key_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_get_public_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_get_public_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_repo_public_key_request","content":"pub fn codespaces_get_repo_public_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_repo_public_key_request\nmidas/sdk/github/operations codespaces_get_repo_public_key_request","url":"midas/sdk/github/operations.html#codespaces_get_repo_public_key_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_repo_public_key_response","content":"pub fn codespaces_get_repo_public_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodespacesPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_repo_public_key_response\nmidas/sdk/github/operations codespaces_get_repo_public_key_response","url":"midas/sdk/github/operations.html#codespaces_get_repo_public_key_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_repo_secret_request","content":"pub fn codespaces_get_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_repo_secret_request\nmidas/sdk/github/operations codespaces_get_repo_secret_request","url":"midas/sdk/github/operations.html#codespaces_get_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_repo_secret_response","content":"pub fn codespaces_get_repo_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepoCodespacesSecret, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_repo_secret_response\nmidas/sdk/github/operations codespaces_get_repo_secret_response","url":"midas/sdk/github/operations.html#codespaces_get_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_secret_for_authenticated_user_request","content":"pub fn codespaces_get_secret_for_authenticated_user_request(\n  base: Request(a),\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_secret_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_get_secret_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_get_secret_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_get_secret_for_authenticated_user_response","content":"pub fn codespaces_get_secret_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodespacesSecret, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_get_secret_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_get_secret_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_get_secret_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_devcontainers_in_repository_for_authenticated_user_request","content":"pub fn codespaces_list_devcontainers_in_repository_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_devcontainers_in_repository_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_list_devcontainers_in_repository_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_list_devcontainers_in_repository_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_devcontainers_in_repository_for_authenticated_user_response","content":"pub fn codespaces_list_devcontainers_in_repository_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_devcontainers_in_repository_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_list_devcontainers_in_repository_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_list_devcontainers_in_repository_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_for_authenticated_user_request","content":"pub fn codespaces_list_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  repository_id repository_id: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_list_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_list_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_for_authenticated_user_response","content":"pub fn codespaces_list_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_list_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_list_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_in_organization_request","content":"pub fn codespaces_list_in_organization_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_in_organization_request\nmidas/sdk/github/operations codespaces_list_in_organization_request","url":"midas/sdk/github/operations.html#codespaces_list_in_organization_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_in_organization_response","content":"pub fn codespaces_list_in_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_in_organization_response\nmidas/sdk/github/operations codespaces_list_in_organization_response","url":"midas/sdk/github/operations.html#codespaces_list_in_organization_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_in_repository_for_authenticated_user_request","content":"pub fn codespaces_list_in_repository_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_in_repository_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_list_in_repository_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_list_in_repository_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_in_repository_for_authenticated_user_response","content":"pub fn codespaces_list_in_repository_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_in_repository_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_list_in_repository_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_list_in_repository_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_org_secrets_request","content":"pub fn codespaces_list_org_secrets_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_org_secrets_request\nmidas/sdk/github/operations codespaces_list_org_secrets_request","url":"midas/sdk/github/operations.html#codespaces_list_org_secrets_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_org_secrets_response","content":"pub fn codespaces_list_org_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_org_secrets_response\nmidas/sdk/github/operations codespaces_list_org_secrets_response","url":"midas/sdk/github/operations.html#codespaces_list_org_secrets_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_repo_secrets_request","content":"pub fn codespaces_list_repo_secrets_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_repo_secrets_request\nmidas/sdk/github/operations codespaces_list_repo_secrets_request","url":"midas/sdk/github/operations.html#codespaces_list_repo_secrets_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_repo_secrets_response","content":"pub fn codespaces_list_repo_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_repo_secrets_response\nmidas/sdk/github/operations codespaces_list_repo_secrets_response","url":"midas/sdk/github/operations.html#codespaces_list_repo_secrets_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_repositories_for_secret_for_authenticated_user_request","content":"pub fn codespaces_list_repositories_for_secret_for_authenticated_user_request(\n  base: Request(a),\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_repositories_for_secret_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_list_repositories_for_secret_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_list_repositories_for_secret_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_repositories_for_secret_for_authenticated_user_response","content":"pub fn codespaces_list_repositories_for_secret_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_repositories_for_secret_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_list_repositories_for_secret_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_list_repositories_for_secret_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_secrets_for_authenticated_user_request","content":"pub fn codespaces_list_secrets_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_secrets_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_list_secrets_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_list_secrets_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_secrets_for_authenticated_user_response","content":"pub fn codespaces_list_secrets_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_secrets_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_list_secrets_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_list_secrets_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_selected_repos_for_org_secret_request","content":"pub fn codespaces_list_selected_repos_for_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_selected_repos_for_org_secret_request\nmidas/sdk/github/operations codespaces_list_selected_repos_for_org_secret_request","url":"midas/sdk/github/operations.html#codespaces_list_selected_repos_for_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_list_selected_repos_for_org_secret_response","content":"pub fn codespaces_list_selected_repos_for_org_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_list_selected_repos_for_org_secret_response\nmidas/sdk/github/operations codespaces_list_selected_repos_for_org_secret_response","url":"midas/sdk/github/operations.html#codespaces_list_selected_repos_for_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_pre_flight_with_repo_for_authenticated_user_request","content":"pub fn codespaces_pre_flight_with_repo_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n  client_ip client_ip: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_pre_flight_with_repo_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_pre_flight_with_repo_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_pre_flight_with_repo_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_pre_flight_with_repo_for_authenticated_user_response","content":"pub fn codespaces_pre_flight_with_repo_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_pre_flight_with_repo_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_pre_flight_with_repo_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_pre_flight_with_repo_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_publish_for_authenticated_user_request","content":"pub fn codespaces_publish_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_publish_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_publish_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_publish_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_publish_for_authenticated_user_response","content":"pub fn codespaces_publish_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CodespaceWithFullRepository, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_publish_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_publish_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_publish_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_remove_repository_for_secret_for_authenticated_user_request","content":"pub fn codespaces_remove_repository_for_secret_for_authenticated_user_request(\n  base: Request(a),\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_remove_repository_for_secret_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_remove_repository_for_secret_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_remove_repository_for_secret_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_remove_repository_for_secret_for_authenticated_user_response","content":"pub fn codespaces_remove_repository_for_secret_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_remove_repository_for_secret_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_remove_repository_for_secret_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_remove_repository_for_secret_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_remove_selected_repo_from_org_secret_request","content":"pub fn codespaces_remove_selected_repo_from_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_remove_selected_repo_from_org_secret_request\nmidas/sdk/github/operations codespaces_remove_selected_repo_from_org_secret_request","url":"midas/sdk/github/operations.html#codespaces_remove_selected_repo_from_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_remove_selected_repo_from_org_secret_response","content":"pub fn codespaces_remove_selected_repo_from_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_remove_selected_repo_from_org_secret_response\nmidas/sdk/github/operations codespaces_remove_selected_repo_from_org_secret_response","url":"midas/sdk/github/operations.html#codespaces_remove_selected_repo_from_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_repo_machines_for_authenticated_user_request","content":"pub fn codespaces_repo_machines_for_authenticated_user_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  location location: Option(String),\n  client_ip client_ip: Option(String),\n  ref ref: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_repo_machines_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_repo_machines_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_repo_machines_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_repo_machines_for_authenticated_user_response","content":"pub fn codespaces_repo_machines_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_repo_machines_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_repo_machines_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_repo_machines_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_codespaces_access_request","content":"pub fn codespaces_set_codespaces_access_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_codespaces_access_request\nmidas/sdk/github/operations codespaces_set_codespaces_access_request","url":"midas/sdk/github/operations.html#codespaces_set_codespaces_access_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_codespaces_access_response","content":"pub fn codespaces_set_codespaces_access_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_codespaces_access_response\nmidas/sdk/github/operations codespaces_set_codespaces_access_response","url":"midas/sdk/github/operations.html#codespaces_set_codespaces_access_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_codespaces_access_users_request","content":"pub fn codespaces_set_codespaces_access_users_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_codespaces_access_users_request\nmidas/sdk/github/operations codespaces_set_codespaces_access_users_request","url":"midas/sdk/github/operations.html#codespaces_set_codespaces_access_users_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_codespaces_access_users_response","content":"pub fn codespaces_set_codespaces_access_users_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_codespaces_access_users_response\nmidas/sdk/github/operations codespaces_set_codespaces_access_users_response","url":"midas/sdk/github/operations.html#codespaces_set_codespaces_access_users_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_repositories_for_secret_for_authenticated_user_request","content":"pub fn codespaces_set_repositories_for_secret_for_authenticated_user_request(\n  base: Request(a),\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_repositories_for_secret_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_set_repositories_for_secret_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_set_repositories_for_secret_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_repositories_for_secret_for_authenticated_user_response","content":"pub fn codespaces_set_repositories_for_secret_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_repositories_for_secret_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_set_repositories_for_secret_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_set_repositories_for_secret_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_selected_repos_for_org_secret_request","content":"pub fn codespaces_set_selected_repos_for_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_selected_repos_for_org_secret_request\nmidas/sdk/github/operations codespaces_set_selected_repos_for_org_secret_request","url":"midas/sdk/github/operations.html#codespaces_set_selected_repos_for_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_set_selected_repos_for_org_secret_response","content":"pub fn codespaces_set_selected_repos_for_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_set_selected_repos_for_org_secret_response\nmidas/sdk/github/operations codespaces_set_selected_repos_for_org_secret_response","url":"midas/sdk/github/operations.html#codespaces_set_selected_repos_for_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_start_for_authenticated_user_request","content":"pub fn codespaces_start_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_start_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_start_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_start_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_start_for_authenticated_user_response","content":"pub fn codespaces_start_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_start_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_start_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_start_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_stop_for_authenticated_user_request","content":"pub fn codespaces_stop_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_stop_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_stop_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_stop_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_stop_for_authenticated_user_response","content":"pub fn codespaces_stop_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_stop_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_stop_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_stop_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_stop_in_organization_request","content":"pub fn codespaces_stop_in_organization_request(\n  base: Request(a),\n  org: String,\n  username: String,\n  codespace_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_stop_in_organization_request\nmidas/sdk/github/operations codespaces_stop_in_organization_request","url":"midas/sdk/github/operations.html#codespaces_stop_in_organization_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_stop_in_organization_response","content":"pub fn codespaces_stop_in_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_stop_in_organization_response\nmidas/sdk/github/operations codespaces_stop_in_organization_response","url":"midas/sdk/github/operations.html#codespaces_stop_in_organization_response"},{"doc":"midas/sdk/github/operations","title":"codespaces_update_for_authenticated_user_request","content":"pub fn codespaces_update_for_authenticated_user_request(\n  base: Request(a),\n  codespace_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_update_for_authenticated_user_request\nmidas/sdk/github/operations codespaces_update_for_authenticated_user_request","url":"midas/sdk/github/operations.html#codespaces_update_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"codespaces_update_for_authenticated_user_response","content":"pub fn codespaces_update_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Codespace, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.codespaces_update_for_authenticated_user_response\nmidas/sdk/github/operations codespaces_update_for_authenticated_user_response","url":"midas/sdk/github/operations.html#codespaces_update_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"copilot_add_copilot_seats_for_teams_request","content":"pub fn copilot_add_copilot_seats_for_teams_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_add_copilot_seats_for_teams_request\nmidas/sdk/github/operations copilot_add_copilot_seats_for_teams_request","url":"midas/sdk/github/operations.html#copilot_add_copilot_seats_for_teams_request"},{"doc":"midas/sdk/github/operations","title":"copilot_add_copilot_seats_for_teams_response","content":"pub fn copilot_add_copilot_seats_for_teams_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_add_copilot_seats_for_teams_response\nmidas/sdk/github/operations copilot_add_copilot_seats_for_teams_response","url":"midas/sdk/github/operations.html#copilot_add_copilot_seats_for_teams_response"},{"doc":"midas/sdk/github/operations","title":"copilot_add_copilot_seats_for_users_request","content":"pub fn copilot_add_copilot_seats_for_users_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_add_copilot_seats_for_users_request\nmidas/sdk/github/operations copilot_add_copilot_seats_for_users_request","url":"midas/sdk/github/operations.html#copilot_add_copilot_seats_for_users_request"},{"doc":"midas/sdk/github/operations","title":"copilot_add_copilot_seats_for_users_response","content":"pub fn copilot_add_copilot_seats_for_users_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_add_copilot_seats_for_users_response\nmidas/sdk/github/operations copilot_add_copilot_seats_for_users_response","url":"midas/sdk/github/operations.html#copilot_add_copilot_seats_for_users_response"},{"doc":"midas/sdk/github/operations","title":"copilot_cancel_copilot_seat_assignment_for_teams_request","content":"pub fn copilot_cancel_copilot_seat_assignment_for_teams_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_cancel_copilot_seat_assignment_for_teams_request\nmidas/sdk/github/operations copilot_cancel_copilot_seat_assignment_for_teams_request","url":"midas/sdk/github/operations.html#copilot_cancel_copilot_seat_assignment_for_teams_request"},{"doc":"midas/sdk/github/operations","title":"copilot_cancel_copilot_seat_assignment_for_teams_response","content":"pub fn copilot_cancel_copilot_seat_assignment_for_teams_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_cancel_copilot_seat_assignment_for_teams_response\nmidas/sdk/github/operations copilot_cancel_copilot_seat_assignment_for_teams_response","url":"midas/sdk/github/operations.html#copilot_cancel_copilot_seat_assignment_for_teams_response"},{"doc":"midas/sdk/github/operations","title":"copilot_cancel_copilot_seat_assignment_for_users_request","content":"pub fn copilot_cancel_copilot_seat_assignment_for_users_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_cancel_copilot_seat_assignment_for_users_request\nmidas/sdk/github/operations copilot_cancel_copilot_seat_assignment_for_users_request","url":"midas/sdk/github/operations.html#copilot_cancel_copilot_seat_assignment_for_users_request"},{"doc":"midas/sdk/github/operations","title":"copilot_cancel_copilot_seat_assignment_for_users_response","content":"pub fn copilot_cancel_copilot_seat_assignment_for_users_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_cancel_copilot_seat_assignment_for_users_response\nmidas/sdk/github/operations copilot_cancel_copilot_seat_assignment_for_users_response","url":"midas/sdk/github/operations.html#copilot_cancel_copilot_seat_assignment_for_users_response"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_enterprise_request","content":"pub fn copilot_copilot_metrics_for_enterprise_request(\n  base: Request(a),\n  enterprise: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_enterprise_request\nmidas/sdk/github/operations copilot_copilot_metrics_for_enterprise_request","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_enterprise_request"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_enterprise_response","content":"pub fn copilot_copilot_metrics_for_enterprise_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetricsDay), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_enterprise_response\nmidas/sdk/github/operations copilot_copilot_metrics_for_enterprise_response","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_enterprise_response"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_enterprise_team_request","content":"pub fn copilot_copilot_metrics_for_enterprise_team_request(\n  base: Request(a),\n  enterprise: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_enterprise_team_request\nmidas/sdk/github/operations copilot_copilot_metrics_for_enterprise_team_request","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_enterprise_team_request"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_enterprise_team_response","content":"pub fn copilot_copilot_metrics_for_enterprise_team_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetricsDay), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_enterprise_team_response\nmidas/sdk/github/operations copilot_copilot_metrics_for_enterprise_team_response","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_enterprise_team_response"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_organization_request","content":"pub fn copilot_copilot_metrics_for_organization_request(\n  base: Request(a),\n  org: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_organization_request\nmidas/sdk/github/operations copilot_copilot_metrics_for_organization_request","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_organization_request"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_organization_response","content":"pub fn copilot_copilot_metrics_for_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetricsDay), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_organization_response\nmidas/sdk/github/operations copilot_copilot_metrics_for_organization_response","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_organization_response"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_team_request","content":"pub fn copilot_copilot_metrics_for_team_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_team_request\nmidas/sdk/github/operations copilot_copilot_metrics_for_team_request","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_team_request"},{"doc":"midas/sdk/github/operations","title":"copilot_copilot_metrics_for_team_response","content":"pub fn copilot_copilot_metrics_for_team_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetricsDay), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_copilot_metrics_for_team_response\nmidas/sdk/github/operations copilot_copilot_metrics_for_team_response","url":"midas/sdk/github/operations.html#copilot_copilot_metrics_for_team_response"},{"doc":"midas/sdk/github/operations","title":"copilot_get_copilot_organization_details_request","content":"pub fn copilot_get_copilot_organization_details_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_get_copilot_organization_details_request\nmidas/sdk/github/operations copilot_get_copilot_organization_details_request","url":"midas/sdk/github/operations.html#copilot_get_copilot_organization_details_request"},{"doc":"midas/sdk/github/operations","title":"copilot_get_copilot_organization_details_response","content":"pub fn copilot_get_copilot_organization_details_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CopilotOrganizationDetails, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_get_copilot_organization_details_response\nmidas/sdk/github/operations copilot_get_copilot_organization_details_response","url":"midas/sdk/github/operations.html#copilot_get_copilot_organization_details_response"},{"doc":"midas/sdk/github/operations","title":"copilot_get_copilot_seat_details_for_user_request","content":"pub fn copilot_get_copilot_seat_details_for_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_get_copilot_seat_details_for_user_request\nmidas/sdk/github/operations copilot_get_copilot_seat_details_for_user_request","url":"midas/sdk/github/operations.html#copilot_get_copilot_seat_details_for_user_request"},{"doc":"midas/sdk/github/operations","title":"copilot_get_copilot_seat_details_for_user_response","content":"pub fn copilot_get_copilot_seat_details_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CopilotSeatDetails, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_get_copilot_seat_details_for_user_response\nmidas/sdk/github/operations copilot_get_copilot_seat_details_for_user_response","url":"midas/sdk/github/operations.html#copilot_get_copilot_seat_details_for_user_response"},{"doc":"midas/sdk/github/operations","title":"copilot_list_copilot_seats_for_enterprise_request","content":"pub fn copilot_list_copilot_seats_for_enterprise_request(\n  base: Request(a),\n  enterprise: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_list_copilot_seats_for_enterprise_request\nmidas/sdk/github/operations copilot_list_copilot_seats_for_enterprise_request","url":"midas/sdk/github/operations.html#copilot_list_copilot_seats_for_enterprise_request"},{"doc":"midas/sdk/github/operations","title":"copilot_list_copilot_seats_for_enterprise_response","content":"pub fn copilot_list_copilot_seats_for_enterprise_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_list_copilot_seats_for_enterprise_response\nmidas/sdk/github/operations copilot_list_copilot_seats_for_enterprise_response","url":"midas/sdk/github/operations.html#copilot_list_copilot_seats_for_enterprise_response"},{"doc":"midas/sdk/github/operations","title":"copilot_list_copilot_seats_request","content":"pub fn copilot_list_copilot_seats_request(\n  base: Request(a),\n  org: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_list_copilot_seats_request\nmidas/sdk/github/operations copilot_list_copilot_seats_request","url":"midas/sdk/github/operations.html#copilot_list_copilot_seats_request"},{"doc":"midas/sdk/github/operations","title":"copilot_list_copilot_seats_response","content":"pub fn copilot_list_copilot_seats_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_list_copilot_seats_response\nmidas/sdk/github/operations copilot_list_copilot_seats_response","url":"midas/sdk/github/operations.html#copilot_list_copilot_seats_response"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_enterprise_request","content":"pub fn copilot_usage_metrics_for_enterprise_request(\n  base: Request(a),\n  enterprise: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_enterprise_request\nmidas/sdk/github/operations copilot_usage_metrics_for_enterprise_request","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_enterprise_request"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_enterprise_response","content":"pub fn copilot_usage_metrics_for_enterprise_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetrics), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_enterprise_response\nmidas/sdk/github/operations copilot_usage_metrics_for_enterprise_response","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_enterprise_response"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_enterprise_team_request","content":"pub fn copilot_usage_metrics_for_enterprise_team_request(\n  base: Request(a),\n  enterprise: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_enterprise_team_request\nmidas/sdk/github/operations copilot_usage_metrics_for_enterprise_team_request","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_enterprise_team_request"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_enterprise_team_response","content":"pub fn copilot_usage_metrics_for_enterprise_team_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetrics), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_enterprise_team_response\nmidas/sdk/github/operations copilot_usage_metrics_for_enterprise_team_response","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_enterprise_team_response"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_org_request","content":"pub fn copilot_usage_metrics_for_org_request(\n  base: Request(a),\n  org: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_org_request\nmidas/sdk/github/operations copilot_usage_metrics_for_org_request","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_org_request"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_org_response","content":"pub fn copilot_usage_metrics_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetrics), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_org_response\nmidas/sdk/github/operations copilot_usage_metrics_for_org_response","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_org_response"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_team_request","content":"pub fn copilot_usage_metrics_for_team_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_team_request\nmidas/sdk/github/operations copilot_usage_metrics_for_team_request","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_team_request"},{"doc":"midas/sdk/github/operations","title":"copilot_usage_metrics_for_team_response","content":"pub fn copilot_usage_metrics_for_team_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CopilotUsageMetrics), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.copilot_usage_metrics_for_team_response\nmidas/sdk/github/operations copilot_usage_metrics_for_team_response","url":"midas/sdk/github/operations.html#copilot_usage_metrics_for_team_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_add_selected_repo_to_org_secret_request","content":"pub fn dependabot_add_selected_repo_to_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_add_selected_repo_to_org_secret_request\nmidas/sdk/github/operations dependabot_add_selected_repo_to_org_secret_request","url":"midas/sdk/github/operations.html#dependabot_add_selected_repo_to_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_add_selected_repo_to_org_secret_response","content":"pub fn dependabot_add_selected_repo_to_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_add_selected_repo_to_org_secret_response\nmidas/sdk/github/operations dependabot_add_selected_repo_to_org_secret_response","url":"midas/sdk/github/operations.html#dependabot_add_selected_repo_to_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_create_or_update_org_secret_request","content":"pub fn dependabot_create_or_update_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_create_or_update_org_secret_request\nmidas/sdk/github/operations dependabot_create_or_update_org_secret_request","url":"midas/sdk/github/operations.html#dependabot_create_or_update_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_create_or_update_org_secret_response","content":"pub fn dependabot_create_or_update_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_create_or_update_org_secret_response\nmidas/sdk/github/operations dependabot_create_or_update_org_secret_response","url":"midas/sdk/github/operations.html#dependabot_create_or_update_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_create_or_update_repo_secret_request","content":"pub fn dependabot_create_or_update_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_create_or_update_repo_secret_request\nmidas/sdk/github/operations dependabot_create_or_update_repo_secret_request","url":"midas/sdk/github/operations.html#dependabot_create_or_update_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_create_or_update_repo_secret_response","content":"pub fn dependabot_create_or_update_repo_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_create_or_update_repo_secret_response\nmidas/sdk/github/operations dependabot_create_or_update_repo_secret_response","url":"midas/sdk/github/operations.html#dependabot_create_or_update_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_delete_org_secret_request","content":"pub fn dependabot_delete_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_delete_org_secret_request\nmidas/sdk/github/operations dependabot_delete_org_secret_request","url":"midas/sdk/github/operations.html#dependabot_delete_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_delete_org_secret_response","content":"pub fn dependabot_delete_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_delete_org_secret_response\nmidas/sdk/github/operations dependabot_delete_org_secret_response","url":"midas/sdk/github/operations.html#dependabot_delete_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_delete_repo_secret_request","content":"pub fn dependabot_delete_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_delete_repo_secret_request\nmidas/sdk/github/operations dependabot_delete_repo_secret_request","url":"midas/sdk/github/operations.html#dependabot_delete_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_delete_repo_secret_response","content":"pub fn dependabot_delete_repo_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_delete_repo_secret_response\nmidas/sdk/github/operations dependabot_delete_repo_secret_response","url":"midas/sdk/github/operations.html#dependabot_delete_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_alert_request","content":"pub fn dependabot_get_alert_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_alert_request\nmidas/sdk/github/operations dependabot_get_alert_request","url":"midas/sdk/github/operations.html#dependabot_get_alert_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_alert_response","content":"pub fn dependabot_get_alert_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DependabotAlert, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_alert_response\nmidas/sdk/github/operations dependabot_get_alert_response","url":"midas/sdk/github/operations.html#dependabot_get_alert_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_org_public_key_request","content":"pub fn dependabot_get_org_public_key_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_org_public_key_request\nmidas/sdk/github/operations dependabot_get_org_public_key_request","url":"midas/sdk/github/operations.html#dependabot_get_org_public_key_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_org_public_key_response","content":"pub fn dependabot_get_org_public_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DependabotPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_org_public_key_response\nmidas/sdk/github/operations dependabot_get_org_public_key_response","url":"midas/sdk/github/operations.html#dependabot_get_org_public_key_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_org_secret_request","content":"pub fn dependabot_get_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_org_secret_request\nmidas/sdk/github/operations dependabot_get_org_secret_request","url":"midas/sdk/github/operations.html#dependabot_get_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_org_secret_response","content":"pub fn dependabot_get_org_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(OrganizationDependabotSecret, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_org_secret_response\nmidas/sdk/github/operations dependabot_get_org_secret_response","url":"midas/sdk/github/operations.html#dependabot_get_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_repo_public_key_request","content":"pub fn dependabot_get_repo_public_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_repo_public_key_request\nmidas/sdk/github/operations dependabot_get_repo_public_key_request","url":"midas/sdk/github/operations.html#dependabot_get_repo_public_key_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_repo_public_key_response","content":"pub fn dependabot_get_repo_public_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DependabotPublicKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_repo_public_key_response\nmidas/sdk/github/operations dependabot_get_repo_public_key_response","url":"midas/sdk/github/operations.html#dependabot_get_repo_public_key_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_repo_secret_request","content":"pub fn dependabot_get_repo_secret_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_repo_secret_request\nmidas/sdk/github/operations dependabot_get_repo_secret_request","url":"midas/sdk/github/operations.html#dependabot_get_repo_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_get_repo_secret_response","content":"pub fn dependabot_get_repo_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DependabotSecret, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_get_repo_secret_response\nmidas/sdk/github/operations dependabot_get_repo_secret_response","url":"midas/sdk/github/operations.html#dependabot_get_repo_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_alerts_for_enterprise_request","content":"pub fn dependabot_list_alerts_for_enterprise_request(\n  base: Request(a),\n  enterprise: String,\n  state state: Option(String),\n  severity severity: Option(String),\n  ecosystem ecosystem: Option(String),\n  package package: Option(String),\n  scope scope: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  first first: Option(Int),\n  last last: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_alerts_for_enterprise_request\nmidas/sdk/github/operations dependabot_list_alerts_for_enterprise_request","url":"midas/sdk/github/operations.html#dependabot_list_alerts_for_enterprise_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_alerts_for_enterprise_response","content":"pub fn dependabot_list_alerts_for_enterprise_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(DependabotAlertWithRepository), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_alerts_for_enterprise_response\nmidas/sdk/github/operations dependabot_list_alerts_for_enterprise_response","url":"midas/sdk/github/operations.html#dependabot_list_alerts_for_enterprise_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_alerts_for_org_request","content":"pub fn dependabot_list_alerts_for_org_request(\n  base: Request(a),\n  org: String,\n  state state: Option(String),\n  severity severity: Option(String),\n  ecosystem ecosystem: Option(String),\n  package package: Option(String),\n  scope scope: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  first first: Option(Int),\n  last last: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_alerts_for_org_request\nmidas/sdk/github/operations dependabot_list_alerts_for_org_request","url":"midas/sdk/github/operations.html#dependabot_list_alerts_for_org_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_alerts_for_org_response","content":"pub fn dependabot_list_alerts_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(DependabotAlertWithRepository), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_alerts_for_org_response\nmidas/sdk/github/operations dependabot_list_alerts_for_org_response","url":"midas/sdk/github/operations.html#dependabot_list_alerts_for_org_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_alerts_for_repo_request","content":"pub fn dependabot_list_alerts_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  severity severity: Option(String),\n  ecosystem ecosystem: Option(String),\n  package package: Option(String),\n  manifest manifest: Option(String),\n  scope scope: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  first first: Option(Int),\n  last last: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_alerts_for_repo_request\nmidas/sdk/github/operations dependabot_list_alerts_for_repo_request","url":"midas/sdk/github/operations.html#dependabot_list_alerts_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_alerts_for_repo_response","content":"pub fn dependabot_list_alerts_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DependabotAlert), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_alerts_for_repo_response\nmidas/sdk/github/operations dependabot_list_alerts_for_repo_response","url":"midas/sdk/github/operations.html#dependabot_list_alerts_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_org_secrets_request","content":"pub fn dependabot_list_org_secrets_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_org_secrets_request\nmidas/sdk/github/operations dependabot_list_org_secrets_request","url":"midas/sdk/github/operations.html#dependabot_list_org_secrets_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_org_secrets_response","content":"pub fn dependabot_list_org_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_org_secrets_response\nmidas/sdk/github/operations dependabot_list_org_secrets_response","url":"midas/sdk/github/operations.html#dependabot_list_org_secrets_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_repo_secrets_request","content":"pub fn dependabot_list_repo_secrets_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_repo_secrets_request\nmidas/sdk/github/operations dependabot_list_repo_secrets_request","url":"midas/sdk/github/operations.html#dependabot_list_repo_secrets_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_repo_secrets_response","content":"pub fn dependabot_list_repo_secrets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_repo_secrets_response\nmidas/sdk/github/operations dependabot_list_repo_secrets_response","url":"midas/sdk/github/operations.html#dependabot_list_repo_secrets_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_selected_repos_for_org_secret_request","content":"pub fn dependabot_list_selected_repos_for_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_selected_repos_for_org_secret_request\nmidas/sdk/github/operations dependabot_list_selected_repos_for_org_secret_request","url":"midas/sdk/github/operations.html#dependabot_list_selected_repos_for_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_list_selected_repos_for_org_secret_response","content":"pub fn dependabot_list_selected_repos_for_org_secret_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_list_selected_repos_for_org_secret_response\nmidas/sdk/github/operations dependabot_list_selected_repos_for_org_secret_response","url":"midas/sdk/github/operations.html#dependabot_list_selected_repos_for_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_remove_selected_repo_from_org_secret_request","content":"pub fn dependabot_remove_selected_repo_from_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_remove_selected_repo_from_org_secret_request\nmidas/sdk/github/operations dependabot_remove_selected_repo_from_org_secret_request","url":"midas/sdk/github/operations.html#dependabot_remove_selected_repo_from_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_remove_selected_repo_from_org_secret_response","content":"pub fn dependabot_remove_selected_repo_from_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_remove_selected_repo_from_org_secret_response\nmidas/sdk/github/operations dependabot_remove_selected_repo_from_org_secret_response","url":"midas/sdk/github/operations.html#dependabot_remove_selected_repo_from_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_set_selected_repos_for_org_secret_request","content":"pub fn dependabot_set_selected_repos_for_org_secret_request(\n  base: Request(a),\n  org: String,\n  secret_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_set_selected_repos_for_org_secret_request\nmidas/sdk/github/operations dependabot_set_selected_repos_for_org_secret_request","url":"midas/sdk/github/operations.html#dependabot_set_selected_repos_for_org_secret_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_set_selected_repos_for_org_secret_response","content":"pub fn dependabot_set_selected_repos_for_org_secret_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_set_selected_repos_for_org_secret_response\nmidas/sdk/github/operations dependabot_set_selected_repos_for_org_secret_response","url":"midas/sdk/github/operations.html#dependabot_set_selected_repos_for_org_secret_response"},{"doc":"midas/sdk/github/operations","title":"dependabot_update_alert_request","content":"pub fn dependabot_update_alert_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_update_alert_request\nmidas/sdk/github/operations dependabot_update_alert_request","url":"midas/sdk/github/operations.html#dependabot_update_alert_request"},{"doc":"midas/sdk/github/operations","title":"dependabot_update_alert_response","content":"pub fn dependabot_update_alert_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DependabotAlert, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependabot_update_alert_response\nmidas/sdk/github/operations dependabot_update_alert_response","url":"midas/sdk/github/operations.html#dependabot_update_alert_response"},{"doc":"midas/sdk/github/operations","title":"dependency_graph_create_repository_snapshot_request","content":"pub fn dependency_graph_create_repository_snapshot_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  snapshot: Snapshot,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.dependency_graph_create_repository_snapshot_request\nmidas/sdk/github/operations dependency_graph_create_repository_snapshot_request","url":"midas/sdk/github/operations.html#dependency_graph_create_repository_snapshot_request"},{"doc":"midas/sdk/github/operations","title":"dependency_graph_create_repository_snapshot_response","content":"pub fn dependency_graph_create_repository_snapshot_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependency_graph_create_repository_snapshot_response\nmidas/sdk/github/operations dependency_graph_create_repository_snapshot_response","url":"midas/sdk/github/operations.html#dependency_graph_create_repository_snapshot_response"},{"doc":"midas/sdk/github/operations","title":"dependency_graph_diff_range_request","content":"pub fn dependency_graph_diff_range_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  basehead: String,\n  name name: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependency_graph_diff_range_request\nmidas/sdk/github/operations dependency_graph_diff_range_request","url":"midas/sdk/github/operations.html#dependency_graph_diff_range_request"},{"doc":"midas/sdk/github/operations","title":"dependency_graph_diff_range_response","content":"pub fn dependency_graph_diff_range_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependency_graph_diff_range_response\nmidas/sdk/github/operations dependency_graph_diff_range_response","url":"midas/sdk/github/operations.html#dependency_graph_diff_range_response"},{"doc":"midas/sdk/github/operations","title":"dependency_graph_export_sbom_request","content":"pub fn dependency_graph_export_sbom_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.dependency_graph_export_sbom_request\nmidas/sdk/github/operations dependency_graph_export_sbom_request","url":"midas/sdk/github/operations.html#dependency_graph_export_sbom_request"},{"doc":"midas/sdk/github/operations","title":"dependency_graph_export_sbom_response","content":"pub fn dependency_graph_export_sbom_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DependencyGraphSpdxSbom, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.dependency_graph_export_sbom_response\nmidas/sdk/github/operations dependency_graph_export_sbom_response","url":"midas/sdk/github/operations.html#dependency_graph_export_sbom_response"},{"doc":"midas/sdk/github/operations","title":"emojis_get_request","content":"pub fn emojis_get_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.emojis_get_request\nmidas/sdk/github/operations emojis_get_request","url":"midas/sdk/github/operations.html#emojis_get_request"},{"doc":"midas/sdk/github/operations","title":"emojis_get_response","content":"pub fn emojis_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.emojis_get_response\nmidas/sdk/github/operations emojis_get_response","url":"midas/sdk/github/operations.html#emojis_get_response"},{"doc":"midas/sdk/github/operations","title":"gists_check_is_starred_request","content":"pub fn gists_check_is_starred_request(\n  base: Request(a),\n  gist_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_check_is_starred_request\nmidas/sdk/github/operations gists_check_is_starred_request","url":"midas/sdk/github/operations.html#gists_check_is_starred_request"},{"doc":"midas/sdk/github/operations","title":"gists_check_is_starred_response","content":"pub fn gists_check_is_starred_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_check_is_starred_response\nmidas/sdk/github/operations gists_check_is_starred_response","url":"midas/sdk/github/operations.html#gists_check_is_starred_response"},{"doc":"midas/sdk/github/operations","title":"gists_create_comment_request","content":"pub fn gists_create_comment_request(\n  base: Request(a),\n  gist_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_create_comment_request\nmidas/sdk/github/operations gists_create_comment_request","url":"midas/sdk/github/operations.html#gists_create_comment_request"},{"doc":"midas/sdk/github/operations","title":"gists_create_comment_response","content":"pub fn gists_create_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GistComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_create_comment_response\nmidas/sdk/github/operations gists_create_comment_response","url":"midas/sdk/github/operations.html#gists_create_comment_response"},{"doc":"midas/sdk/github/operations","title":"gists_create_request","content":"pub fn gists_create_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_create_request\nmidas/sdk/github/operations gists_create_request","url":"midas/sdk/github/operations.html#gists_create_request"},{"doc":"midas/sdk/github/operations","title":"gists_create_response","content":"pub fn gists_create_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GistSimple, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_create_response\nmidas/sdk/github/operations gists_create_response","url":"midas/sdk/github/operations.html#gists_create_response"},{"doc":"midas/sdk/github/operations","title":"gists_delete_comment_request","content":"pub fn gists_delete_comment_request(\n  base: Request(a),\n  gist_id: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_delete_comment_request\nmidas/sdk/github/operations gists_delete_comment_request","url":"midas/sdk/github/operations.html#gists_delete_comment_request"},{"doc":"midas/sdk/github/operations","title":"gists_delete_comment_response","content":"pub fn gists_delete_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_delete_comment_response\nmidas/sdk/github/operations gists_delete_comment_response","url":"midas/sdk/github/operations.html#gists_delete_comment_response"},{"doc":"midas/sdk/github/operations","title":"gists_delete_request","content":"pub fn gists_delete_request(\n  base: Request(a),\n  gist_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_delete_request\nmidas/sdk/github/operations gists_delete_request","url":"midas/sdk/github/operations.html#gists_delete_request"},{"doc":"midas/sdk/github/operations","title":"gists_delete_response","content":"pub fn gists_delete_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_delete_response\nmidas/sdk/github/operations gists_delete_response","url":"midas/sdk/github/operations.html#gists_delete_response"},{"doc":"midas/sdk/github/operations","title":"gists_fork_request","content":"pub fn gists_fork_request(\n  base: Request(a),\n  gist_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_fork_request\nmidas/sdk/github/operations gists_fork_request","url":"midas/sdk/github/operations.html#gists_fork_request"},{"doc":"midas/sdk/github/operations","title":"gists_fork_response","content":"pub fn gists_fork_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BaseGist, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_fork_response\nmidas/sdk/github/operations gists_fork_response","url":"midas/sdk/github/operations.html#gists_fork_response"},{"doc":"midas/sdk/github/operations","title":"gists_get_comment_request","content":"pub fn gists_get_comment_request(\n  base: Request(a),\n  gist_id: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_get_comment_request\nmidas/sdk/github/operations gists_get_comment_request","url":"midas/sdk/github/operations.html#gists_get_comment_request"},{"doc":"midas/sdk/github/operations","title":"gists_get_comment_response","content":"pub fn gists_get_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GistComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_get_comment_response\nmidas/sdk/github/operations gists_get_comment_response","url":"midas/sdk/github/operations.html#gists_get_comment_response"},{"doc":"midas/sdk/github/operations","title":"gists_get_request","content":"pub fn gists_get_request(\n  base: Request(a),\n  gist_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_get_request\nmidas/sdk/github/operations gists_get_request","url":"midas/sdk/github/operations.html#gists_get_request"},{"doc":"midas/sdk/github/operations","title":"gists_get_response","content":"pub fn gists_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GistSimple, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_get_response\nmidas/sdk/github/operations gists_get_response","url":"midas/sdk/github/operations.html#gists_get_response"},{"doc":"midas/sdk/github/operations","title":"gists_get_revision_request","content":"pub fn gists_get_revision_request(\n  base: Request(a),\n  gist_id: String,\n  sha: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_get_revision_request\nmidas/sdk/github/operations gists_get_revision_request","url":"midas/sdk/github/operations.html#gists_get_revision_request"},{"doc":"midas/sdk/github/operations","title":"gists_get_revision_response","content":"pub fn gists_get_revision_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GistSimple, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_get_revision_response\nmidas/sdk/github/operations gists_get_revision_response","url":"midas/sdk/github/operations.html#gists_get_revision_response"},{"doc":"midas/sdk/github/operations","title":"gists_list_comments_request","content":"pub fn gists_list_comments_request(\n  base: Request(a),\n  gist_id: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_comments_request\nmidas/sdk/github/operations gists_list_comments_request","url":"midas/sdk/github/operations.html#gists_list_comments_request"},{"doc":"midas/sdk/github/operations","title":"gists_list_comments_response","content":"pub fn gists_list_comments_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(GistComment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_comments_response\nmidas/sdk/github/operations gists_list_comments_response","url":"midas/sdk/github/operations.html#gists_list_comments_response"},{"doc":"midas/sdk/github/operations","title":"gists_list_commits_request","content":"pub fn gists_list_commits_request(\n  base: Request(a),\n  gist_id: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_commits_request\nmidas/sdk/github/operations gists_list_commits_request","url":"midas/sdk/github/operations.html#gists_list_commits_request"},{"doc":"midas/sdk/github/operations","title":"gists_list_commits_response","content":"pub fn gists_list_commits_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(GistCommit), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_commits_response\nmidas/sdk/github/operations gists_list_commits_response","url":"midas/sdk/github/operations.html#gists_list_commits_response"},{"doc":"midas/sdk/github/operations","title":"gists_list_for_user_request","content":"pub fn gists_list_for_user_request(\n  base: Request(a),\n  username: String,\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_for_user_request\nmidas/sdk/github/operations gists_list_for_user_request","url":"midas/sdk/github/operations.html#gists_list_for_user_request"},{"doc":"midas/sdk/github/operations","title":"gists_list_for_user_response","content":"pub fn gists_list_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BaseGist), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_for_user_response\nmidas/sdk/github/operations gists_list_for_user_response","url":"midas/sdk/github/operations.html#gists_list_for_user_response"},{"doc":"midas/sdk/github/operations","title":"gists_list_forks_request","content":"pub fn gists_list_forks_request(\n  base: Request(a),\n  gist_id: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_forks_request\nmidas/sdk/github/operations gists_list_forks_request","url":"midas/sdk/github/operations.html#gists_list_forks_request"},{"doc":"midas/sdk/github/operations","title":"gists_list_forks_response","content":"pub fn gists_list_forks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(GistSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_forks_response\nmidas/sdk/github/operations gists_list_forks_response","url":"midas/sdk/github/operations.html#gists_list_forks_response"},{"doc":"midas/sdk/github/operations","title":"gists_list_public_request","content":"pub fn gists_list_public_request(\n  base: Request(a),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_public_request\nmidas/sdk/github/operations gists_list_public_request","url":"midas/sdk/github/operations.html#gists_list_public_request"},{"doc":"midas/sdk/github/operations","title":"gists_list_public_response","content":"pub fn gists_list_public_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BaseGist), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_public_response\nmidas/sdk/github/operations gists_list_public_response","url":"midas/sdk/github/operations.html#gists_list_public_response"},{"doc":"midas/sdk/github/operations","title":"gists_list_request","content":"pub fn gists_list_request(\n  base: Request(a),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_request\nmidas/sdk/github/operations gists_list_request","url":"midas/sdk/github/operations.html#gists_list_request"},{"doc":"midas/sdk/github/operations","title":"gists_list_response","content":"pub fn gists_list_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BaseGist), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_response\nmidas/sdk/github/operations gists_list_response","url":"midas/sdk/github/operations.html#gists_list_response"},{"doc":"midas/sdk/github/operations","title":"gists_list_starred_request","content":"pub fn gists_list_starred_request(\n  base: Request(a),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_starred_request\nmidas/sdk/github/operations gists_list_starred_request","url":"midas/sdk/github/operations.html#gists_list_starred_request"},{"doc":"midas/sdk/github/operations","title":"gists_list_starred_response","content":"pub fn gists_list_starred_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BaseGist), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_list_starred_response\nmidas/sdk/github/operations gists_list_starred_response","url":"midas/sdk/github/operations.html#gists_list_starred_response"},{"doc":"midas/sdk/github/operations","title":"gists_star_request","content":"pub fn gists_star_request(\n  base: Request(a),\n  gist_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_star_request\nmidas/sdk/github/operations gists_star_request","url":"midas/sdk/github/operations.html#gists_star_request"},{"doc":"midas/sdk/github/operations","title":"gists_star_response","content":"pub fn gists_star_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_star_response\nmidas/sdk/github/operations gists_star_response","url":"midas/sdk/github/operations.html#gists_star_response"},{"doc":"midas/sdk/github/operations","title":"gists_unstar_request","content":"pub fn gists_unstar_request(\n  base: Request(a),\n  gist_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gists_unstar_request\nmidas/sdk/github/operations gists_unstar_request","url":"midas/sdk/github/operations.html#gists_unstar_request"},{"doc":"midas/sdk/github/operations","title":"gists_unstar_response","content":"pub fn gists_unstar_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_unstar_response\nmidas/sdk/github/operations gists_unstar_response","url":"midas/sdk/github/operations.html#gists_unstar_response"},{"doc":"midas/sdk/github/operations","title":"gists_update_comment_request","content":"pub fn gists_update_comment_request(\n  base: Request(a),\n  gist_id: String,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_update_comment_request\nmidas/sdk/github/operations gists_update_comment_request","url":"midas/sdk/github/operations.html#gists_update_comment_request"},{"doc":"midas/sdk/github/operations","title":"gists_update_comment_response","content":"pub fn gists_update_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GistComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_update_comment_response\nmidas/sdk/github/operations gists_update_comment_response","url":"midas/sdk/github/operations.html#gists_update_comment_response"},{"doc":"midas/sdk/github/operations","title":"gists_update_request","content":"pub fn gists_update_request(\n  base: Request(a),\n  gist_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.gists_update_request\nmidas/sdk/github/operations gists_update_request","url":"midas/sdk/github/operations.html#gists_update_request"},{"doc":"midas/sdk/github/operations","title":"gists_update_response","content":"pub fn gists_update_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GistSimple, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gists_update_response\nmidas/sdk/github/operations gists_update_response","url":"midas/sdk/github/operations.html#gists_update_response"},{"doc":"midas/sdk/github/operations","title":"git_create_blob_request","content":"pub fn git_create_blob_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_blob_request\nmidas/sdk/github/operations git_create_blob_request","url":"midas/sdk/github/operations.html#git_create_blob_request"},{"doc":"midas/sdk/github/operations","title":"git_create_blob_response","content":"pub fn git_create_blob_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ShortBlob, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_blob_response\nmidas/sdk/github/operations git_create_blob_response","url":"midas/sdk/github/operations.html#git_create_blob_response"},{"doc":"midas/sdk/github/operations","title":"git_create_commit_request","content":"pub fn git_create_commit_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_commit_request\nmidas/sdk/github/operations git_create_commit_request","url":"midas/sdk/github/operations.html#git_create_commit_request"},{"doc":"midas/sdk/github/operations","title":"git_create_commit_response","content":"pub fn git_create_commit_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitCommit, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_commit_response\nmidas/sdk/github/operations git_create_commit_response","url":"midas/sdk/github/operations.html#git_create_commit_response"},{"doc":"midas/sdk/github/operations","title":"git_create_ref_request","content":"pub fn git_create_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_ref_request\nmidas/sdk/github/operations git_create_ref_request","url":"midas/sdk/github/operations.html#git_create_ref_request"},{"doc":"midas/sdk/github/operations","title":"git_create_ref_response","content":"pub fn git_create_ref_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitRef, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_ref_response\nmidas/sdk/github/operations git_create_ref_response","url":"midas/sdk/github/operations.html#git_create_ref_response"},{"doc":"midas/sdk/github/operations","title":"git_create_tag_request","content":"pub fn git_create_tag_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_tag_request\nmidas/sdk/github/operations git_create_tag_request","url":"midas/sdk/github/operations.html#git_create_tag_request"},{"doc":"midas/sdk/github/operations","title":"git_create_tag_response","content":"pub fn git_create_tag_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitTag, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_tag_response\nmidas/sdk/github/operations git_create_tag_response","url":"midas/sdk/github/operations.html#git_create_tag_response"},{"doc":"midas/sdk/github/operations","title":"git_create_tree_request","content":"pub fn git_create_tree_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_tree_request\nmidas/sdk/github/operations git_create_tree_request","url":"midas/sdk/github/operations.html#git_create_tree_request"},{"doc":"midas/sdk/github/operations","title":"git_create_tree_response","content":"pub fn git_create_tree_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitTree, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_create_tree_response\nmidas/sdk/github/operations git_create_tree_response","url":"midas/sdk/github/operations.html#git_create_tree_response"},{"doc":"midas/sdk/github/operations","title":"git_delete_ref_request","content":"pub fn git_delete_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.git_delete_ref_request\nmidas/sdk/github/operations git_delete_ref_request","url":"midas/sdk/github/operations.html#git_delete_ref_request"},{"doc":"midas/sdk/github/operations","title":"git_delete_ref_response","content":"pub fn git_delete_ref_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.git_delete_ref_response\nmidas/sdk/github/operations git_delete_ref_response","url":"midas/sdk/github/operations.html#git_delete_ref_response"},{"doc":"midas/sdk/github/operations","title":"git_get_blob_request","content":"pub fn git_get_blob_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  file_sha: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_blob_request\nmidas/sdk/github/operations git_get_blob_request","url":"midas/sdk/github/operations.html#git_get_blob_request"},{"doc":"midas/sdk/github/operations","title":"git_get_blob_response","content":"pub fn git_get_blob_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Blob, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_blob_response\nmidas/sdk/github/operations git_get_blob_response","url":"midas/sdk/github/operations.html#git_get_blob_response"},{"doc":"midas/sdk/github/operations","title":"git_get_commit_request","content":"pub fn git_get_commit_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  commit_sha: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_commit_request\nmidas/sdk/github/operations git_get_commit_request","url":"midas/sdk/github/operations.html#git_get_commit_request"},{"doc":"midas/sdk/github/operations","title":"git_get_commit_response","content":"pub fn git_get_commit_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitCommit, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_commit_response\nmidas/sdk/github/operations git_get_commit_response","url":"midas/sdk/github/operations.html#git_get_commit_response"},{"doc":"midas/sdk/github/operations","title":"git_get_ref_request","content":"pub fn git_get_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_ref_request\nmidas/sdk/github/operations git_get_ref_request","url":"midas/sdk/github/operations.html#git_get_ref_request"},{"doc":"midas/sdk/github/operations","title":"git_get_ref_response","content":"pub fn git_get_ref_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitRef, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_ref_response\nmidas/sdk/github/operations git_get_ref_response","url":"midas/sdk/github/operations.html#git_get_ref_response"},{"doc":"midas/sdk/github/operations","title":"git_get_tag_request","content":"pub fn git_get_tag_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  tag_sha: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_tag_request\nmidas/sdk/github/operations git_get_tag_request","url":"midas/sdk/github/operations.html#git_get_tag_request"},{"doc":"midas/sdk/github/operations","title":"git_get_tag_response","content":"pub fn git_get_tag_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitTag, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_tag_response\nmidas/sdk/github/operations git_get_tag_response","url":"midas/sdk/github/operations.html#git_get_tag_response"},{"doc":"midas/sdk/github/operations","title":"git_get_tree_request","content":"pub fn git_get_tree_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  tree_sha: String,\n  recursive recursive: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_tree_request\nmidas/sdk/github/operations git_get_tree_request","url":"midas/sdk/github/operations.html#git_get_tree_request"},{"doc":"midas/sdk/github/operations","title":"git_get_tree_response","content":"pub fn git_get_tree_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitTree, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_get_tree_response\nmidas/sdk/github/operations git_get_tree_response","url":"midas/sdk/github/operations.html#git_get_tree_response"},{"doc":"midas/sdk/github/operations","title":"git_list_matching_refs_request","content":"pub fn git_list_matching_refs_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.git_list_matching_refs_request\nmidas/sdk/github/operations git_list_matching_refs_request","url":"midas/sdk/github/operations.html#git_list_matching_refs_request"},{"doc":"midas/sdk/github/operations","title":"git_list_matching_refs_response","content":"pub fn git_list_matching_refs_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(GitRef), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_list_matching_refs_response\nmidas/sdk/github/operations git_list_matching_refs_response","url":"midas/sdk/github/operations.html#git_list_matching_refs_response"},{"doc":"midas/sdk/github/operations","title":"git_update_ref_request","content":"pub fn git_update_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.git_update_ref_request\nmidas/sdk/github/operations git_update_ref_request","url":"midas/sdk/github/operations.html#git_update_ref_request"},{"doc":"midas/sdk/github/operations","title":"git_update_ref_response","content":"pub fn git_update_ref_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitRef, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.git_update_ref_response\nmidas/sdk/github/operations git_update_ref_response","url":"midas/sdk/github/operations.html#git_update_ref_response"},{"doc":"midas/sdk/github/operations","title":"gitignore_get_all_templates_request","content":"pub fn gitignore_get_all_templates_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gitignore_get_all_templates_request\nmidas/sdk/github/operations gitignore_get_all_templates_request","url":"midas/sdk/github/operations.html#gitignore_get_all_templates_request"},{"doc":"midas/sdk/github/operations","title":"gitignore_get_all_templates_response","content":"pub fn gitignore_get_all_templates_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gitignore_get_all_templates_response\nmidas/sdk/github/operations gitignore_get_all_templates_response","url":"midas/sdk/github/operations.html#gitignore_get_all_templates_response"},{"doc":"midas/sdk/github/operations","title":"gitignore_get_template_request","content":"pub fn gitignore_get_template_request(\n  base: Request(a),\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.gitignore_get_template_request\nmidas/sdk/github/operations gitignore_get_template_request","url":"midas/sdk/github/operations.html#gitignore_get_template_request"},{"doc":"midas/sdk/github/operations","title":"gitignore_get_template_response","content":"pub fn gitignore_get_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GitignoreTemplate, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.gitignore_get_template_response\nmidas/sdk/github/operations gitignore_get_template_response","url":"midas/sdk/github/operations.html#gitignore_get_template_response"},{"doc":"midas/sdk/github/operations","title":"interactions_get_restrictions_for_authenticated_user_request","content":"pub fn interactions_get_restrictions_for_authenticated_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_get_restrictions_for_authenticated_user_request\nmidas/sdk/github/operations interactions_get_restrictions_for_authenticated_user_request","url":"midas/sdk/github/operations.html#interactions_get_restrictions_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"interactions_get_restrictions_for_authenticated_user_response","content":"pub fn interactions_get_restrictions_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_get_restrictions_for_authenticated_user_response\nmidas/sdk/github/operations interactions_get_restrictions_for_authenticated_user_response","url":"midas/sdk/github/operations.html#interactions_get_restrictions_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"interactions_get_restrictions_for_org_request","content":"pub fn interactions_get_restrictions_for_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_get_restrictions_for_org_request\nmidas/sdk/github/operations interactions_get_restrictions_for_org_request","url":"midas/sdk/github/operations.html#interactions_get_restrictions_for_org_request"},{"doc":"midas/sdk/github/operations","title":"interactions_get_restrictions_for_org_response","content":"pub fn interactions_get_restrictions_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_get_restrictions_for_org_response\nmidas/sdk/github/operations interactions_get_restrictions_for_org_response","url":"midas/sdk/github/operations.html#interactions_get_restrictions_for_org_response"},{"doc":"midas/sdk/github/operations","title":"interactions_get_restrictions_for_repo_request","content":"pub fn interactions_get_restrictions_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_get_restrictions_for_repo_request\nmidas/sdk/github/operations interactions_get_restrictions_for_repo_request","url":"midas/sdk/github/operations.html#interactions_get_restrictions_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"interactions_get_restrictions_for_repo_response","content":"pub fn interactions_get_restrictions_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_get_restrictions_for_repo_response\nmidas/sdk/github/operations interactions_get_restrictions_for_repo_response","url":"midas/sdk/github/operations.html#interactions_get_restrictions_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"interactions_remove_restrictions_for_authenticated_user_request","content":"pub fn interactions_remove_restrictions_for_authenticated_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_remove_restrictions_for_authenticated_user_request\nmidas/sdk/github/operations interactions_remove_restrictions_for_authenticated_user_request","url":"midas/sdk/github/operations.html#interactions_remove_restrictions_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"interactions_remove_restrictions_for_authenticated_user_response","content":"pub fn interactions_remove_restrictions_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_remove_restrictions_for_authenticated_user_response\nmidas/sdk/github/operations interactions_remove_restrictions_for_authenticated_user_response","url":"midas/sdk/github/operations.html#interactions_remove_restrictions_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"interactions_remove_restrictions_for_org_request","content":"pub fn interactions_remove_restrictions_for_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_remove_restrictions_for_org_request\nmidas/sdk/github/operations interactions_remove_restrictions_for_org_request","url":"midas/sdk/github/operations.html#interactions_remove_restrictions_for_org_request"},{"doc":"midas/sdk/github/operations","title":"interactions_remove_restrictions_for_org_response","content":"pub fn interactions_remove_restrictions_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_remove_restrictions_for_org_response\nmidas/sdk/github/operations interactions_remove_restrictions_for_org_response","url":"midas/sdk/github/operations.html#interactions_remove_restrictions_for_org_response"},{"doc":"midas/sdk/github/operations","title":"interactions_remove_restrictions_for_repo_request","content":"pub fn interactions_remove_restrictions_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_remove_restrictions_for_repo_request\nmidas/sdk/github/operations interactions_remove_restrictions_for_repo_request","url":"midas/sdk/github/operations.html#interactions_remove_restrictions_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"interactions_remove_restrictions_for_repo_response","content":"pub fn interactions_remove_restrictions_for_repo_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_remove_restrictions_for_repo_response\nmidas/sdk/github/operations interactions_remove_restrictions_for_repo_response","url":"midas/sdk/github/operations.html#interactions_remove_restrictions_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"interactions_set_restrictions_for_authenticated_user_request","content":"pub fn interactions_set_restrictions_for_authenticated_user_request(\n  base: Request(a),\n  interaction_limit: InteractionLimit,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_set_restrictions_for_authenticated_user_request\nmidas/sdk/github/operations interactions_set_restrictions_for_authenticated_user_request","url":"midas/sdk/github/operations.html#interactions_set_restrictions_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"interactions_set_restrictions_for_authenticated_user_response","content":"pub fn interactions_set_restrictions_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(InteractionLimitResponse, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_set_restrictions_for_authenticated_user_response\nmidas/sdk/github/operations interactions_set_restrictions_for_authenticated_user_response","url":"midas/sdk/github/operations.html#interactions_set_restrictions_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"interactions_set_restrictions_for_org_request","content":"pub fn interactions_set_restrictions_for_org_request(\n  base: Request(a),\n  org: String,\n  interaction_limit: InteractionLimit,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_set_restrictions_for_org_request\nmidas/sdk/github/operations interactions_set_restrictions_for_org_request","url":"midas/sdk/github/operations.html#interactions_set_restrictions_for_org_request"},{"doc":"midas/sdk/github/operations","title":"interactions_set_restrictions_for_org_response","content":"pub fn interactions_set_restrictions_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(InteractionLimitResponse, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_set_restrictions_for_org_response\nmidas/sdk/github/operations interactions_set_restrictions_for_org_response","url":"midas/sdk/github/operations.html#interactions_set_restrictions_for_org_response"},{"doc":"midas/sdk/github/operations","title":"interactions_set_restrictions_for_repo_request","content":"pub fn interactions_set_restrictions_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  interaction_limit: InteractionLimit,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_set_restrictions_for_repo_request\nmidas/sdk/github/operations interactions_set_restrictions_for_repo_request","url":"midas/sdk/github/operations.html#interactions_set_restrictions_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"interactions_set_restrictions_for_repo_response","content":"pub fn interactions_set_restrictions_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(InteractionLimitResponse, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.interactions_set_restrictions_for_repo_response\nmidas/sdk/github/operations interactions_set_restrictions_for_repo_response","url":"midas/sdk/github/operations.html#interactions_set_restrictions_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"issues_add_assignees_request","content":"pub fn issues_add_assignees_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_add_assignees_request\nmidas/sdk/github/operations issues_add_assignees_request","url":"midas/sdk/github/operations.html#issues_add_assignees_request"},{"doc":"midas/sdk/github/operations","title":"issues_add_assignees_response","content":"pub fn issues_add_assignees_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Issue, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_add_assignees_response\nmidas/sdk/github/operations issues_add_assignees_response","url":"midas/sdk/github/operations.html#issues_add_assignees_response"},{"doc":"midas/sdk/github/operations","title":"issues_add_labels_request","content":"pub fn issues_add_labels_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_add_labels_request\nmidas/sdk/github/operations issues_add_labels_request","url":"midas/sdk/github/operations.html#issues_add_labels_request"},{"doc":"midas/sdk/github/operations","title":"issues_add_labels_response","content":"pub fn issues_add_labels_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Label), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_add_labels_response\nmidas/sdk/github/operations issues_add_labels_response","url":"midas/sdk/github/operations.html#issues_add_labels_response"},{"doc":"midas/sdk/github/operations","title":"issues_check_user_can_be_assigned_request","content":"pub fn issues_check_user_can_be_assigned_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  assignee: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_check_user_can_be_assigned_request\nmidas/sdk/github/operations issues_check_user_can_be_assigned_request","url":"midas/sdk/github/operations.html#issues_check_user_can_be_assigned_request"},{"doc":"midas/sdk/github/operations","title":"issues_check_user_can_be_assigned_response","content":"pub fn issues_check_user_can_be_assigned_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_check_user_can_be_assigned_response\nmidas/sdk/github/operations issues_check_user_can_be_assigned_response","url":"midas/sdk/github/operations.html#issues_check_user_can_be_assigned_response"},{"doc":"midas/sdk/github/operations","title":"issues_check_user_can_be_assigned_to_issue_request","content":"pub fn issues_check_user_can_be_assigned_to_issue_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  assignee: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_check_user_can_be_assigned_to_issue_request\nmidas/sdk/github/operations issues_check_user_can_be_assigned_to_issue_request","url":"midas/sdk/github/operations.html#issues_check_user_can_be_assigned_to_issue_request"},{"doc":"midas/sdk/github/operations","title":"issues_check_user_can_be_assigned_to_issue_response","content":"pub fn issues_check_user_can_be_assigned_to_issue_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_check_user_can_be_assigned_to_issue_response\nmidas/sdk/github/operations issues_check_user_can_be_assigned_to_issue_response","url":"midas/sdk/github/operations.html#issues_check_user_can_be_assigned_to_issue_response"},{"doc":"midas/sdk/github/operations","title":"issues_create_comment_request","content":"pub fn issues_create_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_comment_request\nmidas/sdk/github/operations issues_create_comment_request","url":"midas/sdk/github/operations.html#issues_create_comment_request"},{"doc":"midas/sdk/github/operations","title":"issues_create_comment_response","content":"pub fn issues_create_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(IssueComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_comment_response\nmidas/sdk/github/operations issues_create_comment_response","url":"midas/sdk/github/operations.html#issues_create_comment_response"},{"doc":"midas/sdk/github/operations","title":"issues_create_label_request","content":"pub fn issues_create_label_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_label_request\nmidas/sdk/github/operations issues_create_label_request","url":"midas/sdk/github/operations.html#issues_create_label_request"},{"doc":"midas/sdk/github/operations","title":"issues_create_label_response","content":"pub fn issues_create_label_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Label, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_label_response\nmidas/sdk/github/operations issues_create_label_response","url":"midas/sdk/github/operations.html#issues_create_label_response"},{"doc":"midas/sdk/github/operations","title":"issues_create_milestone_request","content":"pub fn issues_create_milestone_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_milestone_request\nmidas/sdk/github/operations issues_create_milestone_request","url":"midas/sdk/github/operations.html#issues_create_milestone_request"},{"doc":"midas/sdk/github/operations","title":"issues_create_milestone_response","content":"pub fn issues_create_milestone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Milestone, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_milestone_response\nmidas/sdk/github/operations issues_create_milestone_response","url":"midas/sdk/github/operations.html#issues_create_milestone_response"},{"doc":"midas/sdk/github/operations","title":"issues_create_request","content":"pub fn issues_create_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_request\nmidas/sdk/github/operations issues_create_request","url":"midas/sdk/github/operations.html#issues_create_request"},{"doc":"midas/sdk/github/operations","title":"issues_create_response","content":"pub fn issues_create_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Issue, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_create_response\nmidas/sdk/github/operations issues_create_response","url":"midas/sdk/github/operations.html#issues_create_response"},{"doc":"midas/sdk/github/operations","title":"issues_delete_comment_request","content":"pub fn issues_delete_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_delete_comment_request\nmidas/sdk/github/operations issues_delete_comment_request","url":"midas/sdk/github/operations.html#issues_delete_comment_request"},{"doc":"midas/sdk/github/operations","title":"issues_delete_comment_response","content":"pub fn issues_delete_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_delete_comment_response\nmidas/sdk/github/operations issues_delete_comment_response","url":"midas/sdk/github/operations.html#issues_delete_comment_response"},{"doc":"midas/sdk/github/operations","title":"issues_delete_label_request","content":"pub fn issues_delete_label_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_delete_label_request\nmidas/sdk/github/operations issues_delete_label_request","url":"midas/sdk/github/operations.html#issues_delete_label_request"},{"doc":"midas/sdk/github/operations","title":"issues_delete_label_response","content":"pub fn issues_delete_label_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_delete_label_response\nmidas/sdk/github/operations issues_delete_label_response","url":"midas/sdk/github/operations.html#issues_delete_label_response"},{"doc":"midas/sdk/github/operations","title":"issues_delete_milestone_request","content":"pub fn issues_delete_milestone_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_delete_milestone_request\nmidas/sdk/github/operations issues_delete_milestone_request","url":"midas/sdk/github/operations.html#issues_delete_milestone_request"},{"doc":"midas/sdk/github/operations","title":"issues_delete_milestone_response","content":"pub fn issues_delete_milestone_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_delete_milestone_response\nmidas/sdk/github/operations issues_delete_milestone_response","url":"midas/sdk/github/operations.html#issues_delete_milestone_response"},{"doc":"midas/sdk/github/operations","title":"issues_get_comment_request","content":"pub fn issues_get_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_comment_request\nmidas/sdk/github/operations issues_get_comment_request","url":"midas/sdk/github/operations.html#issues_get_comment_request"},{"doc":"midas/sdk/github/operations","title":"issues_get_comment_response","content":"pub fn issues_get_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(IssueComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_comment_response\nmidas/sdk/github/operations issues_get_comment_response","url":"midas/sdk/github/operations.html#issues_get_comment_response"},{"doc":"midas/sdk/github/operations","title":"issues_get_event_request","content":"pub fn issues_get_event_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  event_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_event_request\nmidas/sdk/github/operations issues_get_event_request","url":"midas/sdk/github/operations.html#issues_get_event_request"},{"doc":"midas/sdk/github/operations","title":"issues_get_event_response","content":"pub fn issues_get_event_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(IssueEvent, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_event_response\nmidas/sdk/github/operations issues_get_event_response","url":"midas/sdk/github/operations.html#issues_get_event_response"},{"doc":"midas/sdk/github/operations","title":"issues_get_label_request","content":"pub fn issues_get_label_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_label_request\nmidas/sdk/github/operations issues_get_label_request","url":"midas/sdk/github/operations.html#issues_get_label_request"},{"doc":"midas/sdk/github/operations","title":"issues_get_label_response","content":"pub fn issues_get_label_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Label, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_label_response\nmidas/sdk/github/operations issues_get_label_response","url":"midas/sdk/github/operations.html#issues_get_label_response"},{"doc":"midas/sdk/github/operations","title":"issues_get_milestone_request","content":"pub fn issues_get_milestone_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_milestone_request\nmidas/sdk/github/operations issues_get_milestone_request","url":"midas/sdk/github/operations.html#issues_get_milestone_request"},{"doc":"midas/sdk/github/operations","title":"issues_get_milestone_response","content":"pub fn issues_get_milestone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Milestone, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_milestone_response\nmidas/sdk/github/operations issues_get_milestone_response","url":"midas/sdk/github/operations.html#issues_get_milestone_response"},{"doc":"midas/sdk/github/operations","title":"issues_get_request","content":"pub fn issues_get_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_request\nmidas/sdk/github/operations issues_get_request","url":"midas/sdk/github/operations.html#issues_get_request"},{"doc":"midas/sdk/github/operations","title":"issues_get_response","content":"pub fn issues_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Issue, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_get_response\nmidas/sdk/github/operations issues_get_response","url":"midas/sdk/github/operations.html#issues_get_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_assignees_request","content":"pub fn issues_list_assignees_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_assignees_request\nmidas/sdk/github/operations issues_list_assignees_request","url":"midas/sdk/github/operations.html#issues_list_assignees_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_assignees_response","content":"pub fn issues_list_assignees_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_assignees_response\nmidas/sdk/github/operations issues_list_assignees_response","url":"midas/sdk/github/operations.html#issues_list_assignees_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_comments_for_repo_request","content":"pub fn issues_list_comments_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_comments_for_repo_request\nmidas/sdk/github/operations issues_list_comments_for_repo_request","url":"midas/sdk/github/operations.html#issues_list_comments_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_comments_for_repo_response","content":"pub fn issues_list_comments_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(IssueComment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_comments_for_repo_response\nmidas/sdk/github/operations issues_list_comments_for_repo_response","url":"midas/sdk/github/operations.html#issues_list_comments_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_comments_request","content":"pub fn issues_list_comments_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_comments_request\nmidas/sdk/github/operations issues_list_comments_request","url":"midas/sdk/github/operations.html#issues_list_comments_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_comments_response","content":"pub fn issues_list_comments_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(IssueComment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_comments_response\nmidas/sdk/github/operations issues_list_comments_response","url":"midas/sdk/github/operations.html#issues_list_comments_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_events_for_repo_request","content":"pub fn issues_list_events_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_events_for_repo_request\nmidas/sdk/github/operations issues_list_events_for_repo_request","url":"midas/sdk/github/operations.html#issues_list_events_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_events_for_repo_response","content":"pub fn issues_list_events_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(IssueEvent), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_events_for_repo_response\nmidas/sdk/github/operations issues_list_events_for_repo_response","url":"midas/sdk/github/operations.html#issues_list_events_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_events_for_timeline_request","content":"pub fn issues_list_events_for_timeline_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_events_for_timeline_request\nmidas/sdk/github/operations issues_list_events_for_timeline_request","url":"midas/sdk/github/operations.html#issues_list_events_for_timeline_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_events_for_timeline_response","content":"pub fn issues_list_events_for_timeline_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(TimelineIssueEvents), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_events_for_timeline_response\nmidas/sdk/github/operations issues_list_events_for_timeline_response","url":"midas/sdk/github/operations.html#issues_list_events_for_timeline_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_events_request","content":"pub fn issues_list_events_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_events_request\nmidas/sdk/github/operations issues_list_events_request","url":"midas/sdk/github/operations.html#issues_list_events_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_events_response","content":"pub fn issues_list_events_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(a), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_events_response\nmidas/sdk/github/operations issues_list_events_response","url":"midas/sdk/github/operations.html#issues_list_events_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_for_authenticated_user_request","content":"pub fn issues_list_for_authenticated_user_request(\n  base: Request(a),\n  filter filter: Option(String),\n  state state: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_for_authenticated_user_request\nmidas/sdk/github/operations issues_list_for_authenticated_user_request","url":"midas/sdk/github/operations.html#issues_list_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_for_authenticated_user_response","content":"pub fn issues_list_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Issue), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_for_authenticated_user_response\nmidas/sdk/github/operations issues_list_for_authenticated_user_response","url":"midas/sdk/github/operations.html#issues_list_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_for_org_request","content":"pub fn issues_list_for_org_request(\n  base: Request(a),\n  org: String,\n  filter filter: Option(String),\n  state state: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_for_org_request\nmidas/sdk/github/operations issues_list_for_org_request","url":"midas/sdk/github/operations.html#issues_list_for_org_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_for_org_response","content":"pub fn issues_list_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Issue), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_for_org_response\nmidas/sdk/github/operations issues_list_for_org_response","url":"midas/sdk/github/operations.html#issues_list_for_org_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_for_repo_request","content":"pub fn issues_list_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  milestone milestone: Option(String),\n  state state: Option(String),\n  assignee assignee: Option(String),\n  creator creator: Option(String),\n  mentioned mentioned: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_for_repo_request\nmidas/sdk/github/operations issues_list_for_repo_request","url":"midas/sdk/github/operations.html#issues_list_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_for_repo_response","content":"pub fn issues_list_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Issue), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_for_repo_response\nmidas/sdk/github/operations issues_list_for_repo_response","url":"midas/sdk/github/operations.html#issues_list_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_labels_for_milestone_request","content":"pub fn issues_list_labels_for_milestone_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_labels_for_milestone_request\nmidas/sdk/github/operations issues_list_labels_for_milestone_request","url":"midas/sdk/github/operations.html#issues_list_labels_for_milestone_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_labels_for_milestone_response","content":"pub fn issues_list_labels_for_milestone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Label), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_labels_for_milestone_response\nmidas/sdk/github/operations issues_list_labels_for_milestone_response","url":"midas/sdk/github/operations.html#issues_list_labels_for_milestone_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_labels_for_repo_request","content":"pub fn issues_list_labels_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_labels_for_repo_request\nmidas/sdk/github/operations issues_list_labels_for_repo_request","url":"midas/sdk/github/operations.html#issues_list_labels_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_labels_for_repo_response","content":"pub fn issues_list_labels_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Label), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_labels_for_repo_response\nmidas/sdk/github/operations issues_list_labels_for_repo_response","url":"midas/sdk/github/operations.html#issues_list_labels_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_labels_on_issue_request","content":"pub fn issues_list_labels_on_issue_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_labels_on_issue_request\nmidas/sdk/github/operations issues_list_labels_on_issue_request","url":"midas/sdk/github/operations.html#issues_list_labels_on_issue_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_labels_on_issue_response","content":"pub fn issues_list_labels_on_issue_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Label), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_labels_on_issue_response\nmidas/sdk/github/operations issues_list_labels_on_issue_response","url":"midas/sdk/github/operations.html#issues_list_labels_on_issue_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_milestones_request","content":"pub fn issues_list_milestones_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_milestones_request\nmidas/sdk/github/operations issues_list_milestones_request","url":"midas/sdk/github/operations.html#issues_list_milestones_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_milestones_response","content":"pub fn issues_list_milestones_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Milestone), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_milestones_response\nmidas/sdk/github/operations issues_list_milestones_response","url":"midas/sdk/github/operations.html#issues_list_milestones_response"},{"doc":"midas/sdk/github/operations","title":"issues_list_request","content":"pub fn issues_list_request(\n  base: Request(a),\n  filter filter: Option(String),\n  state state: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  collab collab: Option(Bool),\n  orgs orgs: Option(Bool),\n  owned owned: Option(Bool),\n  pulls pulls: Option(Bool),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_request\nmidas/sdk/github/operations issues_list_request","url":"midas/sdk/github/operations.html#issues_list_request"},{"doc":"midas/sdk/github/operations","title":"issues_list_response","content":"pub fn issues_list_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Issue), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_list_response\nmidas/sdk/github/operations issues_list_response","url":"midas/sdk/github/operations.html#issues_list_response"},{"doc":"midas/sdk/github/operations","title":"issues_lock_request","content":"pub fn issues_lock_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_lock_request\nmidas/sdk/github/operations issues_lock_request","url":"midas/sdk/github/operations.html#issues_lock_request"},{"doc":"midas/sdk/github/operations","title":"issues_lock_response","content":"pub fn issues_lock_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_lock_response\nmidas/sdk/github/operations issues_lock_response","url":"midas/sdk/github/operations.html#issues_lock_response"},{"doc":"midas/sdk/github/operations","title":"issues_remove_all_labels_request","content":"pub fn issues_remove_all_labels_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_remove_all_labels_request\nmidas/sdk/github/operations issues_remove_all_labels_request","url":"midas/sdk/github/operations.html#issues_remove_all_labels_request"},{"doc":"midas/sdk/github/operations","title":"issues_remove_all_labels_response","content":"pub fn issues_remove_all_labels_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_remove_all_labels_response\nmidas/sdk/github/operations issues_remove_all_labels_response","url":"midas/sdk/github/operations.html#issues_remove_all_labels_response"},{"doc":"midas/sdk/github/operations","title":"issues_remove_assignees_request","content":"pub fn issues_remove_assignees_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_remove_assignees_request\nmidas/sdk/github/operations issues_remove_assignees_request","url":"midas/sdk/github/operations.html#issues_remove_assignees_request"},{"doc":"midas/sdk/github/operations","title":"issues_remove_assignees_response","content":"pub fn issues_remove_assignees_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Issue, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_remove_assignees_response\nmidas/sdk/github/operations issues_remove_assignees_response","url":"midas/sdk/github/operations.html#issues_remove_assignees_response"},{"doc":"midas/sdk/github/operations","title":"issues_remove_label_request","content":"pub fn issues_remove_label_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_remove_label_request\nmidas/sdk/github/operations issues_remove_label_request","url":"midas/sdk/github/operations.html#issues_remove_label_request"},{"doc":"midas/sdk/github/operations","title":"issues_remove_label_response","content":"pub fn issues_remove_label_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Label), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_remove_label_response\nmidas/sdk/github/operations issues_remove_label_response","url":"midas/sdk/github/operations.html#issues_remove_label_response"},{"doc":"midas/sdk/github/operations","title":"issues_set_labels_request","content":"pub fn issues_set_labels_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_set_labels_request\nmidas/sdk/github/operations issues_set_labels_request","url":"midas/sdk/github/operations.html#issues_set_labels_request"},{"doc":"midas/sdk/github/operations","title":"issues_set_labels_response","content":"pub fn issues_set_labels_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Label), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_set_labels_response\nmidas/sdk/github/operations issues_set_labels_response","url":"midas/sdk/github/operations.html#issues_set_labels_response"},{"doc":"midas/sdk/github/operations","title":"issues_unlock_request","content":"pub fn issues_unlock_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.issues_unlock_request\nmidas/sdk/github/operations issues_unlock_request","url":"midas/sdk/github/operations.html#issues_unlock_request"},{"doc":"midas/sdk/github/operations","title":"issues_unlock_response","content":"pub fn issues_unlock_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_unlock_response\nmidas/sdk/github/operations issues_unlock_response","url":"midas/sdk/github/operations.html#issues_unlock_response"},{"doc":"midas/sdk/github/operations","title":"issues_update_comment_request","content":"pub fn issues_update_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_comment_request\nmidas/sdk/github/operations issues_update_comment_request","url":"midas/sdk/github/operations.html#issues_update_comment_request"},{"doc":"midas/sdk/github/operations","title":"issues_update_comment_response","content":"pub fn issues_update_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(IssueComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_comment_response\nmidas/sdk/github/operations issues_update_comment_response","url":"midas/sdk/github/operations.html#issues_update_comment_response"},{"doc":"midas/sdk/github/operations","title":"issues_update_label_request","content":"pub fn issues_update_label_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_label_request\nmidas/sdk/github/operations issues_update_label_request","url":"midas/sdk/github/operations.html#issues_update_label_request"},{"doc":"midas/sdk/github/operations","title":"issues_update_label_response","content":"pub fn issues_update_label_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Label, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_label_response\nmidas/sdk/github/operations issues_update_label_response","url":"midas/sdk/github/operations.html#issues_update_label_response"},{"doc":"midas/sdk/github/operations","title":"issues_update_milestone_request","content":"pub fn issues_update_milestone_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_milestone_request\nmidas/sdk/github/operations issues_update_milestone_request","url":"midas/sdk/github/operations.html#issues_update_milestone_request"},{"doc":"midas/sdk/github/operations","title":"issues_update_milestone_response","content":"pub fn issues_update_milestone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Milestone, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_milestone_response\nmidas/sdk/github/operations issues_update_milestone_response","url":"midas/sdk/github/operations.html#issues_update_milestone_response"},{"doc":"midas/sdk/github/operations","title":"issues_update_request","content":"pub fn issues_update_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_request\nmidas/sdk/github/operations issues_update_request","url":"midas/sdk/github/operations.html#issues_update_request"},{"doc":"midas/sdk/github/operations","title":"issues_update_response","content":"pub fn issues_update_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Issue, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.issues_update_response\nmidas/sdk/github/operations issues_update_response","url":"midas/sdk/github/operations.html#issues_update_response"},{"doc":"midas/sdk/github/operations","title":"licenses_get_all_commonly_used_request","content":"pub fn licenses_get_all_commonly_used_request(\n  base: Request(a),\n  featured featured: Option(Bool),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.licenses_get_all_commonly_used_request\nmidas/sdk/github/operations licenses_get_all_commonly_used_request","url":"midas/sdk/github/operations.html#licenses_get_all_commonly_used_request"},{"doc":"midas/sdk/github/operations","title":"licenses_get_all_commonly_used_response","content":"pub fn licenses_get_all_commonly_used_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(LicenseSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.licenses_get_all_commonly_used_response\nmidas/sdk/github/operations licenses_get_all_commonly_used_response","url":"midas/sdk/github/operations.html#licenses_get_all_commonly_used_response"},{"doc":"midas/sdk/github/operations","title":"licenses_get_for_repo_request","content":"pub fn licenses_get_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.licenses_get_for_repo_request\nmidas/sdk/github/operations licenses_get_for_repo_request","url":"midas/sdk/github/operations.html#licenses_get_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"licenses_get_for_repo_response","content":"pub fn licenses_get_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(LicenseContent, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.licenses_get_for_repo_response\nmidas/sdk/github/operations licenses_get_for_repo_response","url":"midas/sdk/github/operations.html#licenses_get_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"licenses_get_request","content":"pub fn licenses_get_request(\n  base: Request(a),\n  license: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.licenses_get_request\nmidas/sdk/github/operations licenses_get_request","url":"midas/sdk/github/operations.html#licenses_get_request"},{"doc":"midas/sdk/github/operations","title":"licenses_get_response","content":"pub fn licenses_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(License, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.licenses_get_response\nmidas/sdk/github/operations licenses_get_response","url":"midas/sdk/github/operations.html#licenses_get_response"},{"doc":"midas/sdk/github/operations","title":"markdown_render_raw_request","content":"pub fn markdown_render_raw_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.markdown_render_raw_request\nmidas/sdk/github/operations markdown_render_raw_request","url":"midas/sdk/github/operations.html#markdown_render_raw_request"},{"doc":"midas/sdk/github/operations","title":"markdown_render_raw_response","content":"pub fn markdown_render_raw_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.markdown_render_raw_response\nmidas/sdk/github/operations markdown_render_raw_response","url":"midas/sdk/github/operations.html#markdown_render_raw_response"},{"doc":"midas/sdk/github/operations","title":"markdown_render_request","content":"pub fn markdown_render_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.markdown_render_request\nmidas/sdk/github/operations markdown_render_request","url":"midas/sdk/github/operations.html#markdown_render_request"},{"doc":"midas/sdk/github/operations","title":"markdown_render_response","content":"pub fn markdown_render_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.markdown_render_response\nmidas/sdk/github/operations markdown_render_response","url":"midas/sdk/github/operations.html#markdown_render_response"},{"doc":"midas/sdk/github/operations","title":"meta_get_all_versions_request","content":"pub fn meta_get_all_versions_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_all_versions_request\nmidas/sdk/github/operations meta_get_all_versions_request","url":"midas/sdk/github/operations.html#meta_get_all_versions_request"},{"doc":"midas/sdk/github/operations","title":"meta_get_all_versions_response","content":"pub fn meta_get_all_versions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_all_versions_response\nmidas/sdk/github/operations meta_get_all_versions_response","url":"midas/sdk/github/operations.html#meta_get_all_versions_response"},{"doc":"midas/sdk/github/operations","title":"meta_get_octocat_request","content":"pub fn meta_get_octocat_request(\n  base: Request(a),\n  s s: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_octocat_request\nmidas/sdk/github/operations meta_get_octocat_request","url":"midas/sdk/github/operations.html#meta_get_octocat_request"},{"doc":"midas/sdk/github/operations","title":"meta_get_octocat_response","content":"pub fn meta_get_octocat_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_octocat_response\nmidas/sdk/github/operations meta_get_octocat_response","url":"midas/sdk/github/operations.html#meta_get_octocat_response"},{"doc":"midas/sdk/github/operations","title":"meta_get_request","content":"pub fn meta_get_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_request\nmidas/sdk/github/operations meta_get_request","url":"midas/sdk/github/operations.html#meta_get_request"},{"doc":"midas/sdk/github/operations","title":"meta_get_response","content":"pub fn meta_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ApiOverview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_response\nmidas/sdk/github/operations meta_get_response","url":"midas/sdk/github/operations.html#meta_get_response"},{"doc":"midas/sdk/github/operations","title":"meta_get_zen_request","content":"pub fn meta_get_zen_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_zen_request\nmidas/sdk/github/operations meta_get_zen_request","url":"midas/sdk/github/operations.html#meta_get_zen_request"},{"doc":"midas/sdk/github/operations","title":"meta_get_zen_response","content":"pub fn meta_get_zen_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.meta_get_zen_response\nmidas/sdk/github/operations meta_get_zen_response","url":"midas/sdk/github/operations.html#meta_get_zen_response"},{"doc":"midas/sdk/github/operations","title":"meta_root_request","content":"pub fn meta_root_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.meta_root_request\nmidas/sdk/github/operations meta_root_request","url":"midas/sdk/github/operations.html#meta_root_request"},{"doc":"midas/sdk/github/operations","title":"meta_root_response","content":"pub fn meta_root_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Root, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.meta_root_response\nmidas/sdk/github/operations meta_root_response","url":"midas/sdk/github/operations.html#meta_root_response"},{"doc":"midas/sdk/github/operations","title":"migrations_cancel_import_request","content":"pub fn migrations_cancel_import_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_cancel_import_request\nmidas/sdk/github/operations migrations_cancel_import_request","url":"midas/sdk/github/operations.html#migrations_cancel_import_request"},{"doc":"midas/sdk/github/operations","title":"migrations_cancel_import_response","content":"pub fn migrations_cancel_import_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_cancel_import_response\nmidas/sdk/github/operations migrations_cancel_import_response","url":"midas/sdk/github/operations.html#migrations_cancel_import_response"},{"doc":"midas/sdk/github/operations","title":"migrations_delete_archive_for_authenticated_user_request","content":"pub fn migrations_delete_archive_for_authenticated_user_request(\n  base: Request(a),\n  migration_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_delete_archive_for_authenticated_user_request\nmidas/sdk/github/operations migrations_delete_archive_for_authenticated_user_request","url":"midas/sdk/github/operations.html#migrations_delete_archive_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"migrations_delete_archive_for_authenticated_user_response","content":"pub fn migrations_delete_archive_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_delete_archive_for_authenticated_user_response\nmidas/sdk/github/operations migrations_delete_archive_for_authenticated_user_response","url":"midas/sdk/github/operations.html#migrations_delete_archive_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"migrations_delete_archive_for_org_request","content":"pub fn migrations_delete_archive_for_org_request(\n  base: Request(a),\n  org: String,\n  migration_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_delete_archive_for_org_request\nmidas/sdk/github/operations migrations_delete_archive_for_org_request","url":"midas/sdk/github/operations.html#migrations_delete_archive_for_org_request"},{"doc":"midas/sdk/github/operations","title":"migrations_delete_archive_for_org_response","content":"pub fn migrations_delete_archive_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_delete_archive_for_org_response\nmidas/sdk/github/operations migrations_delete_archive_for_org_response","url":"midas/sdk/github/operations.html#migrations_delete_archive_for_org_response"},{"doc":"midas/sdk/github/operations","title":"migrations_download_archive_for_org_request","content":"pub fn migrations_download_archive_for_org_request(\n  base: Request(a),\n  org: String,\n  migration_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_download_archive_for_org_request\nmidas/sdk/github/operations migrations_download_archive_for_org_request","url":"midas/sdk/github/operations.html#migrations_download_archive_for_org_request"},{"doc":"midas/sdk/github/operations","title":"migrations_download_archive_for_org_response","content":"pub fn migrations_download_archive_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_download_archive_for_org_response\nmidas/sdk/github/operations migrations_download_archive_for_org_response","url":"midas/sdk/github/operations.html#migrations_download_archive_for_org_response"},{"doc":"midas/sdk/github/operations","title":"migrations_get_archive_for_authenticated_user_request","content":"pub fn migrations_get_archive_for_authenticated_user_request(\n  base: Request(a),\n  migration_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_archive_for_authenticated_user_request\nmidas/sdk/github/operations migrations_get_archive_for_authenticated_user_request","url":"midas/sdk/github/operations.html#migrations_get_archive_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"migrations_get_archive_for_authenticated_user_response","content":"pub fn migrations_get_archive_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_archive_for_authenticated_user_response\nmidas/sdk/github/operations migrations_get_archive_for_authenticated_user_response","url":"midas/sdk/github/operations.html#migrations_get_archive_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"migrations_get_commit_authors_request","content":"pub fn migrations_get_commit_authors_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  since since: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_commit_authors_request\nmidas/sdk/github/operations migrations_get_commit_authors_request","url":"midas/sdk/github/operations.html#migrations_get_commit_authors_request"},{"doc":"midas/sdk/github/operations","title":"migrations_get_commit_authors_response","content":"pub fn migrations_get_commit_authors_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PorterAuthor), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_commit_authors_response\nmidas/sdk/github/operations migrations_get_commit_authors_response","url":"midas/sdk/github/operations.html#migrations_get_commit_authors_response"},{"doc":"midas/sdk/github/operations","title":"migrations_get_import_status_request","content":"pub fn migrations_get_import_status_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_import_status_request\nmidas/sdk/github/operations migrations_get_import_status_request","url":"midas/sdk/github/operations.html#migrations_get_import_status_request"},{"doc":"midas/sdk/github/operations","title":"migrations_get_import_status_response","content":"pub fn migrations_get_import_status_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Import, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_import_status_response\nmidas/sdk/github/operations migrations_get_import_status_response","url":"midas/sdk/github/operations.html#migrations_get_import_status_response"},{"doc":"midas/sdk/github/operations","title":"migrations_get_large_files_request","content":"pub fn migrations_get_large_files_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_large_files_request\nmidas/sdk/github/operations migrations_get_large_files_request","url":"midas/sdk/github/operations.html#migrations_get_large_files_request"},{"doc":"midas/sdk/github/operations","title":"migrations_get_large_files_response","content":"pub fn migrations_get_large_files_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PorterLargeFile), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_large_files_response\nmidas/sdk/github/operations migrations_get_large_files_response","url":"midas/sdk/github/operations.html#migrations_get_large_files_response"},{"doc":"midas/sdk/github/operations","title":"migrations_get_status_for_authenticated_user_request","content":"pub fn migrations_get_status_for_authenticated_user_request(\n  base: Request(a),\n  migration_id: Int,\n  exclude exclude: b,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_status_for_authenticated_user_request\nmidas/sdk/github/operations migrations_get_status_for_authenticated_user_request","url":"midas/sdk/github/operations.html#migrations_get_status_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"migrations_get_status_for_authenticated_user_response","content":"pub fn migrations_get_status_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Migration, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_status_for_authenticated_user_response\nmidas/sdk/github/operations migrations_get_status_for_authenticated_user_response","url":"midas/sdk/github/operations.html#migrations_get_status_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"migrations_get_status_for_org_request","content":"pub fn migrations_get_status_for_org_request(\n  base: Request(a),\n  org: String,\n  migration_id: Int,\n  exclude exclude: b,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_status_for_org_request\nmidas/sdk/github/operations migrations_get_status_for_org_request","url":"midas/sdk/github/operations.html#migrations_get_status_for_org_request"},{"doc":"midas/sdk/github/operations","title":"migrations_get_status_for_org_response","content":"pub fn migrations_get_status_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Migration, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_get_status_for_org_response\nmidas/sdk/github/operations migrations_get_status_for_org_response","url":"midas/sdk/github/operations.html#migrations_get_status_for_org_response"},{"doc":"midas/sdk/github/operations","title":"migrations_list_for_authenticated_user_request","content":"pub fn migrations_list_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_for_authenticated_user_request\nmidas/sdk/github/operations migrations_list_for_authenticated_user_request","url":"midas/sdk/github/operations.html#migrations_list_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"migrations_list_for_authenticated_user_response","content":"pub fn migrations_list_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Migration), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_for_authenticated_user_response\nmidas/sdk/github/operations migrations_list_for_authenticated_user_response","url":"midas/sdk/github/operations.html#migrations_list_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"migrations_list_for_org_request","content":"pub fn migrations_list_for_org_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  exclude exclude: b,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_for_org_request\nmidas/sdk/github/operations migrations_list_for_org_request","url":"midas/sdk/github/operations.html#migrations_list_for_org_request"},{"doc":"midas/sdk/github/operations","title":"migrations_list_for_org_response","content":"pub fn migrations_list_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Migration), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_for_org_response\nmidas/sdk/github/operations migrations_list_for_org_response","url":"midas/sdk/github/operations.html#migrations_list_for_org_response"},{"doc":"midas/sdk/github/operations","title":"migrations_list_repos_for_authenticated_user_request","content":"pub fn migrations_list_repos_for_authenticated_user_request(\n  base: Request(a),\n  migration_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_repos_for_authenticated_user_request\nmidas/sdk/github/operations migrations_list_repos_for_authenticated_user_request","url":"midas/sdk/github/operations.html#migrations_list_repos_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"migrations_list_repos_for_authenticated_user_response","content":"pub fn migrations_list_repos_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_repos_for_authenticated_user_response\nmidas/sdk/github/operations migrations_list_repos_for_authenticated_user_response","url":"midas/sdk/github/operations.html#migrations_list_repos_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"migrations_list_repos_for_org_request","content":"pub fn migrations_list_repos_for_org_request(\n  base: Request(a),\n  org: String,\n  migration_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_repos_for_org_request\nmidas/sdk/github/operations migrations_list_repos_for_org_request","url":"midas/sdk/github/operations.html#migrations_list_repos_for_org_request"},{"doc":"midas/sdk/github/operations","title":"migrations_list_repos_for_org_response","content":"pub fn migrations_list_repos_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_list_repos_for_org_response\nmidas/sdk/github/operations migrations_list_repos_for_org_response","url":"midas/sdk/github/operations.html#migrations_list_repos_for_org_response"},{"doc":"midas/sdk/github/operations","title":"migrations_map_commit_author_request","content":"pub fn migrations_map_commit_author_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  author_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_map_commit_author_request\nmidas/sdk/github/operations migrations_map_commit_author_request","url":"midas/sdk/github/operations.html#migrations_map_commit_author_request"},{"doc":"midas/sdk/github/operations","title":"migrations_map_commit_author_response","content":"pub fn migrations_map_commit_author_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PorterAuthor, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_map_commit_author_response\nmidas/sdk/github/operations migrations_map_commit_author_response","url":"midas/sdk/github/operations.html#migrations_map_commit_author_response"},{"doc":"midas/sdk/github/operations","title":"migrations_set_lfs_preference_request","content":"pub fn migrations_set_lfs_preference_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_set_lfs_preference_request\nmidas/sdk/github/operations migrations_set_lfs_preference_request","url":"midas/sdk/github/operations.html#migrations_set_lfs_preference_request"},{"doc":"midas/sdk/github/operations","title":"migrations_set_lfs_preference_response","content":"pub fn migrations_set_lfs_preference_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Import, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_set_lfs_preference_response\nmidas/sdk/github/operations migrations_set_lfs_preference_response","url":"midas/sdk/github/operations.html#migrations_set_lfs_preference_response"},{"doc":"midas/sdk/github/operations","title":"migrations_start_for_authenticated_user_request","content":"pub fn migrations_start_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_start_for_authenticated_user_request\nmidas/sdk/github/operations migrations_start_for_authenticated_user_request","url":"midas/sdk/github/operations.html#migrations_start_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"migrations_start_for_authenticated_user_response","content":"pub fn migrations_start_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Migration, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_start_for_authenticated_user_response\nmidas/sdk/github/operations migrations_start_for_authenticated_user_response","url":"midas/sdk/github/operations.html#migrations_start_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"migrations_start_for_org_request","content":"pub fn migrations_start_for_org_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_start_for_org_request\nmidas/sdk/github/operations migrations_start_for_org_request","url":"midas/sdk/github/operations.html#migrations_start_for_org_request"},{"doc":"midas/sdk/github/operations","title":"migrations_start_for_org_response","content":"pub fn migrations_start_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Migration, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_start_for_org_response\nmidas/sdk/github/operations migrations_start_for_org_response","url":"midas/sdk/github/operations.html#migrations_start_for_org_response"},{"doc":"midas/sdk/github/operations","title":"migrations_start_import_request","content":"pub fn migrations_start_import_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_start_import_request\nmidas/sdk/github/operations migrations_start_import_request","url":"midas/sdk/github/operations.html#migrations_start_import_request"},{"doc":"midas/sdk/github/operations","title":"migrations_start_import_response","content":"pub fn migrations_start_import_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Import, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_start_import_response\nmidas/sdk/github/operations migrations_start_import_response","url":"midas/sdk/github/operations.html#migrations_start_import_response"},{"doc":"midas/sdk/github/operations","title":"migrations_unlock_repo_for_authenticated_user_request","content":"pub fn migrations_unlock_repo_for_authenticated_user_request(\n  base: Request(a),\n  migration_id: Int,\n  repo_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_unlock_repo_for_authenticated_user_request\nmidas/sdk/github/operations migrations_unlock_repo_for_authenticated_user_request","url":"midas/sdk/github/operations.html#migrations_unlock_repo_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"migrations_unlock_repo_for_authenticated_user_response","content":"pub fn migrations_unlock_repo_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_unlock_repo_for_authenticated_user_response\nmidas/sdk/github/operations migrations_unlock_repo_for_authenticated_user_response","url":"midas/sdk/github/operations.html#migrations_unlock_repo_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"migrations_unlock_repo_for_org_request","content":"pub fn migrations_unlock_repo_for_org_request(\n  base: Request(a),\n  org: String,\n  migration_id: Int,\n  repo_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_unlock_repo_for_org_request\nmidas/sdk/github/operations migrations_unlock_repo_for_org_request","url":"midas/sdk/github/operations.html#migrations_unlock_repo_for_org_request"},{"doc":"midas/sdk/github/operations","title":"migrations_unlock_repo_for_org_response","content":"pub fn migrations_unlock_repo_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_unlock_repo_for_org_response\nmidas/sdk/github/operations migrations_unlock_repo_for_org_response","url":"midas/sdk/github/operations.html#migrations_unlock_repo_for_org_response"},{"doc":"midas/sdk/github/operations","title":"migrations_update_import_request","content":"pub fn migrations_update_import_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_update_import_request\nmidas/sdk/github/operations migrations_update_import_request","url":"midas/sdk/github/operations.html#migrations_update_import_request"},{"doc":"midas/sdk/github/operations","title":"migrations_update_import_response","content":"pub fn migrations_update_import_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Import, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.migrations_update_import_response\nmidas/sdk/github/operations migrations_update_import_response","url":"midas/sdk/github/operations.html#migrations_update_import_response"},{"doc":"midas/sdk/github/operations","title":"oidc_get_oidc_custom_sub_template_for_org_request","content":"pub fn oidc_get_oidc_custom_sub_template_for_org_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.oidc_get_oidc_custom_sub_template_for_org_request\nmidas/sdk/github/operations oidc_get_oidc_custom_sub_template_for_org_request","url":"midas/sdk/github/operations.html#oidc_get_oidc_custom_sub_template_for_org_request"},{"doc":"midas/sdk/github/operations","title":"oidc_get_oidc_custom_sub_template_for_org_response","content":"pub fn oidc_get_oidc_custom_sub_template_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OidcCustomSub, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.oidc_get_oidc_custom_sub_template_for_org_response\nmidas/sdk/github/operations oidc_get_oidc_custom_sub_template_for_org_response","url":"midas/sdk/github/operations.html#oidc_get_oidc_custom_sub_template_for_org_response"},{"doc":"midas/sdk/github/operations","title":"oidc_update_oidc_custom_sub_template_for_org_request","content":"pub fn oidc_update_oidc_custom_sub_template_for_org_request(\n  base: Request(a),\n  org: String,\n  oidc_custom_sub: OidcCustomSub,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.oidc_update_oidc_custom_sub_template_for_org_request\nmidas/sdk/github/operations oidc_update_oidc_custom_sub_template_for_org_request","url":"midas/sdk/github/operations.html#oidc_update_oidc_custom_sub_template_for_org_request"},{"doc":"midas/sdk/github/operations","title":"oidc_update_oidc_custom_sub_template_for_org_response","content":"pub fn oidc_update_oidc_custom_sub_template_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EmptyObject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.oidc_update_oidc_custom_sub_template_for_org_response\nmidas/sdk/github/operations oidc_update_oidc_custom_sub_template_for_org_response","url":"midas/sdk/github/operations.html#oidc_update_oidc_custom_sub_template_for_org_response"},{"doc":"midas/sdk/github/operations","title":"orgs_add_security_manager_team_request","content":"pub fn orgs_add_security_manager_team_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_add_security_manager_team_request\nmidas/sdk/github/operations orgs_add_security_manager_team_request","url":"midas/sdk/github/operations.html#orgs_add_security_manager_team_request"},{"doc":"midas/sdk/github/operations","title":"orgs_add_security_manager_team_response","content":"pub fn orgs_add_security_manager_team_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_add_security_manager_team_response\nmidas/sdk/github/operations orgs_add_security_manager_team_response","url":"midas/sdk/github/operations.html#orgs_add_security_manager_team_response"},{"doc":"midas/sdk/github/operations","title":"orgs_assign_team_to_org_role_request","content":"pub fn orgs_assign_team_to_org_role_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  role_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_assign_team_to_org_role_request\nmidas/sdk/github/operations orgs_assign_team_to_org_role_request","url":"midas/sdk/github/operations.html#orgs_assign_team_to_org_role_request"},{"doc":"midas/sdk/github/operations","title":"orgs_assign_team_to_org_role_response","content":"pub fn orgs_assign_team_to_org_role_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_assign_team_to_org_role_response\nmidas/sdk/github/operations orgs_assign_team_to_org_role_response","url":"midas/sdk/github/operations.html#orgs_assign_team_to_org_role_response"},{"doc":"midas/sdk/github/operations","title":"orgs_assign_user_to_org_role_request","content":"pub fn orgs_assign_user_to_org_role_request(\n  base: Request(a),\n  org: String,\n  username: String,\n  role_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_assign_user_to_org_role_request\nmidas/sdk/github/operations orgs_assign_user_to_org_role_request","url":"midas/sdk/github/operations.html#orgs_assign_user_to_org_role_request"},{"doc":"midas/sdk/github/operations","title":"orgs_assign_user_to_org_role_response","content":"pub fn orgs_assign_user_to_org_role_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_assign_user_to_org_role_response\nmidas/sdk/github/operations orgs_assign_user_to_org_role_response","url":"midas/sdk/github/operations.html#orgs_assign_user_to_org_role_response"},{"doc":"midas/sdk/github/operations","title":"orgs_block_user_request","content":"pub fn orgs_block_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_block_user_request\nmidas/sdk/github/operations orgs_block_user_request","url":"midas/sdk/github/operations.html#orgs_block_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_block_user_response","content":"pub fn orgs_block_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_block_user_response\nmidas/sdk/github/operations orgs_block_user_response","url":"midas/sdk/github/operations.html#orgs_block_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_cancel_invitation_request","content":"pub fn orgs_cancel_invitation_request(\n  base: Request(a),\n  org: String,\n  invitation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_cancel_invitation_request\nmidas/sdk/github/operations orgs_cancel_invitation_request","url":"midas/sdk/github/operations.html#orgs_cancel_invitation_request"},{"doc":"midas/sdk/github/operations","title":"orgs_cancel_invitation_response","content":"pub fn orgs_cancel_invitation_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_cancel_invitation_response\nmidas/sdk/github/operations orgs_cancel_invitation_response","url":"midas/sdk/github/operations.html#orgs_cancel_invitation_response"},{"doc":"midas/sdk/github/operations","title":"orgs_check_blocked_user_request","content":"pub fn orgs_check_blocked_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_check_blocked_user_request\nmidas/sdk/github/operations orgs_check_blocked_user_request","url":"midas/sdk/github/operations.html#orgs_check_blocked_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_check_blocked_user_response","content":"pub fn orgs_check_blocked_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_check_blocked_user_response\nmidas/sdk/github/operations orgs_check_blocked_user_response","url":"midas/sdk/github/operations.html#orgs_check_blocked_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_check_membership_for_user_request","content":"pub fn orgs_check_membership_for_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_check_membership_for_user_request\nmidas/sdk/github/operations orgs_check_membership_for_user_request","url":"midas/sdk/github/operations.html#orgs_check_membership_for_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_check_membership_for_user_response","content":"pub fn orgs_check_membership_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_check_membership_for_user_response\nmidas/sdk/github/operations orgs_check_membership_for_user_response","url":"midas/sdk/github/operations.html#orgs_check_membership_for_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_check_public_membership_for_user_request","content":"pub fn orgs_check_public_membership_for_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_check_public_membership_for_user_request\nmidas/sdk/github/operations orgs_check_public_membership_for_user_request","url":"midas/sdk/github/operations.html#orgs_check_public_membership_for_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_check_public_membership_for_user_response","content":"pub fn orgs_check_public_membership_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_check_public_membership_for_user_response\nmidas/sdk/github/operations orgs_check_public_membership_for_user_response","url":"midas/sdk/github/operations.html#orgs_check_public_membership_for_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_convert_member_to_outside_collaborator_request","content":"pub fn orgs_convert_member_to_outside_collaborator_request(\n  base: Request(a),\n  org: String,\n  username: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_convert_member_to_outside_collaborator_request\nmidas/sdk/github/operations orgs_convert_member_to_outside_collaborator_request","url":"midas/sdk/github/operations.html#orgs_convert_member_to_outside_collaborator_request"},{"doc":"midas/sdk/github/operations","title":"orgs_convert_member_to_outside_collaborator_response","content":"pub fn orgs_convert_member_to_outside_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_convert_member_to_outside_collaborator_response\nmidas/sdk/github/operations orgs_convert_member_to_outside_collaborator_response","url":"midas/sdk/github/operations.html#orgs_convert_member_to_outside_collaborator_response"},{"doc":"midas/sdk/github/operations","title":"orgs_create_invitation_request","content":"pub fn orgs_create_invitation_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_invitation_request\nmidas/sdk/github/operations orgs_create_invitation_request","url":"midas/sdk/github/operations.html#orgs_create_invitation_request"},{"doc":"midas/sdk/github/operations","title":"orgs_create_invitation_response","content":"pub fn orgs_create_invitation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrganizationInvitation, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_invitation_response\nmidas/sdk/github/operations orgs_create_invitation_response","url":"midas/sdk/github/operations.html#orgs_create_invitation_response"},{"doc":"midas/sdk/github/operations","title":"orgs_create_or_update_custom_properties_request","content":"pub fn orgs_create_or_update_custom_properties_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_or_update_custom_properties_request\nmidas/sdk/github/operations orgs_create_or_update_custom_properties_request","url":"midas/sdk/github/operations.html#orgs_create_or_update_custom_properties_request"},{"doc":"midas/sdk/github/operations","title":"orgs_create_or_update_custom_properties_response","content":"pub fn orgs_create_or_update_custom_properties_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(CustomProperty), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_or_update_custom_properties_response\nmidas/sdk/github/operations orgs_create_or_update_custom_properties_response","url":"midas/sdk/github/operations.html#orgs_create_or_update_custom_properties_response"},{"doc":"midas/sdk/github/operations","title":"orgs_create_or_update_custom_properties_values_for_repos_request","content":"pub fn orgs_create_or_update_custom_properties_values_for_repos_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_or_update_custom_properties_values_for_repos_request\nmidas/sdk/github/operations orgs_create_or_update_custom_properties_values_for_repos_request","url":"midas/sdk/github/operations.html#orgs_create_or_update_custom_properties_values_for_repos_request"},{"doc":"midas/sdk/github/operations","title":"orgs_create_or_update_custom_properties_values_for_repos_response","content":"pub fn orgs_create_or_update_custom_properties_values_for_repos_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_or_update_custom_properties_values_for_repos_response\nmidas/sdk/github/operations orgs_create_or_update_custom_properties_values_for_repos_response","url":"midas/sdk/github/operations.html#orgs_create_or_update_custom_properties_values_for_repos_response"},{"doc":"midas/sdk/github/operations","title":"orgs_create_or_update_custom_property_request","content":"pub fn orgs_create_or_update_custom_property_request(\n  base: Request(a),\n  org: String,\n  custom_property_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_or_update_custom_property_request\nmidas/sdk/github/operations orgs_create_or_update_custom_property_request","url":"midas/sdk/github/operations.html#orgs_create_or_update_custom_property_request"},{"doc":"midas/sdk/github/operations","title":"orgs_create_or_update_custom_property_response","content":"pub fn orgs_create_or_update_custom_property_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CustomProperty, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_or_update_custom_property_response\nmidas/sdk/github/operations orgs_create_or_update_custom_property_response","url":"midas/sdk/github/operations.html#orgs_create_or_update_custom_property_response"},{"doc":"midas/sdk/github/operations","title":"orgs_create_webhook_request","content":"pub fn orgs_create_webhook_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_webhook_request\nmidas/sdk/github/operations orgs_create_webhook_request","url":"midas/sdk/github/operations.html#orgs_create_webhook_request"},{"doc":"midas/sdk/github/operations","title":"orgs_create_webhook_response","content":"pub fn orgs_create_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrgHook, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_create_webhook_response\nmidas/sdk/github/operations orgs_create_webhook_response","url":"midas/sdk/github/operations.html#orgs_create_webhook_response"},{"doc":"midas/sdk/github/operations","title":"orgs_delete_request","content":"pub fn orgs_delete_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_delete_request\nmidas/sdk/github/operations orgs_delete_request","url":"midas/sdk/github/operations.html#orgs_delete_request"},{"doc":"midas/sdk/github/operations","title":"orgs_delete_response","content":"pub fn orgs_delete_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_delete_response\nmidas/sdk/github/operations orgs_delete_response","url":"midas/sdk/github/operations.html#orgs_delete_response"},{"doc":"midas/sdk/github/operations","title":"orgs_delete_webhook_request","content":"pub fn orgs_delete_webhook_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_delete_webhook_request\nmidas/sdk/github/operations orgs_delete_webhook_request","url":"midas/sdk/github/operations.html#orgs_delete_webhook_request"},{"doc":"midas/sdk/github/operations","title":"orgs_delete_webhook_response","content":"pub fn orgs_delete_webhook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_delete_webhook_response\nmidas/sdk/github/operations orgs_delete_webhook_response","url":"midas/sdk/github/operations.html#orgs_delete_webhook_response"},{"doc":"midas/sdk/github/operations","title":"orgs_enable_or_disable_security_product_on_all_org_repos_request","content":"pub fn orgs_enable_or_disable_security_product_on_all_org_repos_request(\n  base: Request(a),\n  org: String,\n  security_product: String,\n  enablement: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_enable_or_disable_security_product_on_all_org_repos_request\nmidas/sdk/github/operations orgs_enable_or_disable_security_product_on_all_org_repos_request","url":"midas/sdk/github/operations.html#orgs_enable_or_disable_security_product_on_all_org_repos_request"},{"doc":"midas/sdk/github/operations","title":"orgs_enable_or_disable_security_product_on_all_org_repos_response","content":"pub fn orgs_enable_or_disable_security_product_on_all_org_repos_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_enable_or_disable_security_product_on_all_org_repos_response\nmidas/sdk/github/operations orgs_enable_or_disable_security_product_on_all_org_repos_response","url":"midas/sdk/github/operations.html#orgs_enable_or_disable_security_product_on_all_org_repos_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_all_custom_properties_request","content":"pub fn orgs_get_all_custom_properties_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_all_custom_properties_request\nmidas/sdk/github/operations orgs_get_all_custom_properties_request","url":"midas/sdk/github/operations.html#orgs_get_all_custom_properties_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_all_custom_properties_response","content":"pub fn orgs_get_all_custom_properties_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(CustomProperty), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_all_custom_properties_response\nmidas/sdk/github/operations orgs_get_all_custom_properties_response","url":"midas/sdk/github/operations.html#orgs_get_all_custom_properties_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_custom_property_request","content":"pub fn orgs_get_custom_property_request(\n  base: Request(a),\n  org: String,\n  custom_property_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_custom_property_request\nmidas/sdk/github/operations orgs_get_custom_property_request","url":"midas/sdk/github/operations.html#orgs_get_custom_property_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_custom_property_response","content":"pub fn orgs_get_custom_property_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CustomProperty, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_custom_property_response\nmidas/sdk/github/operations orgs_get_custom_property_response","url":"midas/sdk/github/operations.html#orgs_get_custom_property_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_membership_for_authenticated_user_request","content":"pub fn orgs_get_membership_for_authenticated_user_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_membership_for_authenticated_user_request\nmidas/sdk/github/operations orgs_get_membership_for_authenticated_user_request","url":"midas/sdk/github/operations.html#orgs_get_membership_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_membership_for_authenticated_user_response","content":"pub fn orgs_get_membership_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrgMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_membership_for_authenticated_user_response\nmidas/sdk/github/operations orgs_get_membership_for_authenticated_user_response","url":"midas/sdk/github/operations.html#orgs_get_membership_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_membership_for_user_request","content":"pub fn orgs_get_membership_for_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_membership_for_user_request\nmidas/sdk/github/operations orgs_get_membership_for_user_request","url":"midas/sdk/github/operations.html#orgs_get_membership_for_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_membership_for_user_response","content":"pub fn orgs_get_membership_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrgMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_membership_for_user_response\nmidas/sdk/github/operations orgs_get_membership_for_user_response","url":"midas/sdk/github/operations.html#orgs_get_membership_for_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_org_role_request","content":"pub fn orgs_get_org_role_request(\n  base: Request(a),\n  org: String,\n  role_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_org_role_request\nmidas/sdk/github/operations orgs_get_org_role_request","url":"midas/sdk/github/operations.html#orgs_get_org_role_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_org_role_response","content":"pub fn orgs_get_org_role_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrganizationRole, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_org_role_response\nmidas/sdk/github/operations orgs_get_org_role_response","url":"midas/sdk/github/operations.html#orgs_get_org_role_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_request","content":"pub fn orgs_get_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_request\nmidas/sdk/github/operations orgs_get_request","url":"midas/sdk/github/operations.html#orgs_get_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_response","content":"pub fn orgs_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrganizationFull, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_response\nmidas/sdk/github/operations orgs_get_response","url":"midas/sdk/github/operations.html#orgs_get_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_webhook_config_for_org_request","content":"pub fn orgs_get_webhook_config_for_org_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_webhook_config_for_org_request\nmidas/sdk/github/operations orgs_get_webhook_config_for_org_request","url":"midas/sdk/github/operations.html#orgs_get_webhook_config_for_org_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_webhook_config_for_org_response","content":"pub fn orgs_get_webhook_config_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WebhookConfig, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_webhook_config_for_org_response\nmidas/sdk/github/operations orgs_get_webhook_config_for_org_response","url":"midas/sdk/github/operations.html#orgs_get_webhook_config_for_org_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_webhook_delivery_request","content":"pub fn orgs_get_webhook_delivery_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_webhook_delivery_request\nmidas/sdk/github/operations orgs_get_webhook_delivery_request","url":"midas/sdk/github/operations.html#orgs_get_webhook_delivery_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_webhook_delivery_response","content":"pub fn orgs_get_webhook_delivery_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(HookDelivery, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_webhook_delivery_response\nmidas/sdk/github/operations orgs_get_webhook_delivery_response","url":"midas/sdk/github/operations.html#orgs_get_webhook_delivery_response"},{"doc":"midas/sdk/github/operations","title":"orgs_get_webhook_request","content":"pub fn orgs_get_webhook_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_webhook_request\nmidas/sdk/github/operations orgs_get_webhook_request","url":"midas/sdk/github/operations.html#orgs_get_webhook_request"},{"doc":"midas/sdk/github/operations","title":"orgs_get_webhook_response","content":"pub fn orgs_get_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrgHook, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_get_webhook_response\nmidas/sdk/github/operations orgs_get_webhook_response","url":"midas/sdk/github/operations.html#orgs_get_webhook_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_app_installations_request","content":"pub fn orgs_list_app_installations_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_app_installations_request\nmidas/sdk/github/operations orgs_list_app_installations_request","url":"midas/sdk/github/operations.html#orgs_list_app_installations_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_app_installations_response","content":"pub fn orgs_list_app_installations_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_app_installations_response\nmidas/sdk/github/operations orgs_list_app_installations_response","url":"midas/sdk/github/operations.html#orgs_list_app_installations_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_attestations_request","content":"pub fn orgs_list_attestations_request(\n  base: Request(a),\n  org: String,\n  subject_digest: String,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_attestations_request\nmidas/sdk/github/operations orgs_list_attestations_request","url":"midas/sdk/github/operations.html#orgs_list_attestations_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_attestations_response","content":"pub fn orgs_list_attestations_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_attestations_response\nmidas/sdk/github/operations orgs_list_attestations_response","url":"midas/sdk/github/operations.html#orgs_list_attestations_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_blocked_users_request","content":"pub fn orgs_list_blocked_users_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_blocked_users_request\nmidas/sdk/github/operations orgs_list_blocked_users_request","url":"midas/sdk/github/operations.html#orgs_list_blocked_users_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_blocked_users_response","content":"pub fn orgs_list_blocked_users_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_blocked_users_response\nmidas/sdk/github/operations orgs_list_blocked_users_response","url":"midas/sdk/github/operations.html#orgs_list_blocked_users_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_custom_properties_values_for_repos_request","content":"pub fn orgs_list_custom_properties_values_for_repos_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  repository_query repository_query: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_custom_properties_values_for_repos_request\nmidas/sdk/github/operations orgs_list_custom_properties_values_for_repos_request","url":"midas/sdk/github/operations.html#orgs_list_custom_properties_values_for_repos_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_custom_properties_values_for_repos_response","content":"pub fn orgs_list_custom_properties_values_for_repos_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrgRepoCustomPropertyValues), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_custom_properties_values_for_repos_response\nmidas/sdk/github/operations orgs_list_custom_properties_values_for_repos_response","url":"midas/sdk/github/operations.html#orgs_list_custom_properties_values_for_repos_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_failed_invitations_request","content":"pub fn orgs_list_failed_invitations_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_failed_invitations_request\nmidas/sdk/github/operations orgs_list_failed_invitations_request","url":"midas/sdk/github/operations.html#orgs_list_failed_invitations_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_failed_invitations_response","content":"pub fn orgs_list_failed_invitations_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationInvitation), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_failed_invitations_response\nmidas/sdk/github/operations orgs_list_failed_invitations_response","url":"midas/sdk/github/operations.html#orgs_list_failed_invitations_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_for_authenticated_user_request","content":"pub fn orgs_list_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_for_authenticated_user_request\nmidas/sdk/github/operations orgs_list_for_authenticated_user_request","url":"midas/sdk/github/operations.html#orgs_list_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_for_authenticated_user_response","content":"pub fn orgs_list_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(OrganizationSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_for_authenticated_user_response\nmidas/sdk/github/operations orgs_list_for_authenticated_user_response","url":"midas/sdk/github/operations.html#orgs_list_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_for_user_request","content":"pub fn orgs_list_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_for_user_request\nmidas/sdk/github/operations orgs_list_for_user_request","url":"midas/sdk/github/operations.html#orgs_list_for_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_for_user_response","content":"pub fn orgs_list_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(OrganizationSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_for_user_response\nmidas/sdk/github/operations orgs_list_for_user_response","url":"midas/sdk/github/operations.html#orgs_list_for_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_invitation_teams_request","content":"pub fn orgs_list_invitation_teams_request(\n  base: Request(a),\n  org: String,\n  invitation_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_invitation_teams_request\nmidas/sdk/github/operations orgs_list_invitation_teams_request","url":"midas/sdk/github/operations.html#orgs_list_invitation_teams_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_invitation_teams_response","content":"pub fn orgs_list_invitation_teams_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_invitation_teams_response\nmidas/sdk/github/operations orgs_list_invitation_teams_response","url":"midas/sdk/github/operations.html#orgs_list_invitation_teams_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_members_request","content":"pub fn orgs_list_members_request(\n  base: Request(a),\n  org: String,\n  filter filter: Option(String),\n  role role: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_members_request\nmidas/sdk/github/operations orgs_list_members_request","url":"midas/sdk/github/operations.html#orgs_list_members_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_members_response","content":"pub fn orgs_list_members_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_members_response\nmidas/sdk/github/operations orgs_list_members_response","url":"midas/sdk/github/operations.html#orgs_list_members_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_memberships_for_authenticated_user_request","content":"pub fn orgs_list_memberships_for_authenticated_user_request(\n  base: Request(a),\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_memberships_for_authenticated_user_request\nmidas/sdk/github/operations orgs_list_memberships_for_authenticated_user_request","url":"midas/sdk/github/operations.html#orgs_list_memberships_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_memberships_for_authenticated_user_response","content":"pub fn orgs_list_memberships_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(OrgMembership), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_memberships_for_authenticated_user_response\nmidas/sdk/github/operations orgs_list_memberships_for_authenticated_user_response","url":"midas/sdk/github/operations.html#orgs_list_memberships_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_org_role_teams_request","content":"pub fn orgs_list_org_role_teams_request(\n  base: Request(a),\n  org: String,\n  role_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_org_role_teams_request\nmidas/sdk/github/operations orgs_list_org_role_teams_request","url":"midas/sdk/github/operations.html#orgs_list_org_role_teams_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_org_role_teams_response","content":"pub fn orgs_list_org_role_teams_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TeamRoleAssignment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_org_role_teams_response\nmidas/sdk/github/operations orgs_list_org_role_teams_response","url":"midas/sdk/github/operations.html#orgs_list_org_role_teams_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_org_role_users_request","content":"pub fn orgs_list_org_role_users_request(\n  base: Request(a),\n  org: String,\n  role_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_org_role_users_request\nmidas/sdk/github/operations orgs_list_org_role_users_request","url":"midas/sdk/github/operations.html#orgs_list_org_role_users_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_org_role_users_response","content":"pub fn orgs_list_org_role_users_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(UserRoleAssignment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_org_role_users_response\nmidas/sdk/github/operations orgs_list_org_role_users_response","url":"midas/sdk/github/operations.html#orgs_list_org_role_users_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_org_roles_request","content":"pub fn orgs_list_org_roles_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_org_roles_request\nmidas/sdk/github/operations orgs_list_org_roles_request","url":"midas/sdk/github/operations.html#orgs_list_org_roles_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_org_roles_response","content":"pub fn orgs_list_org_roles_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_org_roles_response\nmidas/sdk/github/operations orgs_list_org_roles_response","url":"midas/sdk/github/operations.html#orgs_list_org_roles_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_outside_collaborators_request","content":"pub fn orgs_list_outside_collaborators_request(\n  base: Request(a),\n  org: String,\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_outside_collaborators_request\nmidas/sdk/github/operations orgs_list_outside_collaborators_request","url":"midas/sdk/github/operations.html#orgs_list_outside_collaborators_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_outside_collaborators_response","content":"pub fn orgs_list_outside_collaborators_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_outside_collaborators_response\nmidas/sdk/github/operations orgs_list_outside_collaborators_response","url":"midas/sdk/github/operations.html#orgs_list_outside_collaborators_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grant_repositories_request","content":"pub fn orgs_list_pat_grant_repositories_request(\n  base: Request(a),\n  org: String,\n  pat_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grant_repositories_request\nmidas/sdk/github/operations orgs_list_pat_grant_repositories_request","url":"midas/sdk/github/operations.html#orgs_list_pat_grant_repositories_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grant_repositories_response","content":"pub fn orgs_list_pat_grant_repositories_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grant_repositories_response\nmidas/sdk/github/operations orgs_list_pat_grant_repositories_response","url":"midas/sdk/github/operations.html#orgs_list_pat_grant_repositories_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grant_request_repositories_request","content":"pub fn orgs_list_pat_grant_request_repositories_request(\n  base: Request(a),\n  org: String,\n  pat_request_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grant_request_repositories_request\nmidas/sdk/github/operations orgs_list_pat_grant_request_repositories_request","url":"midas/sdk/github/operations.html#orgs_list_pat_grant_request_repositories_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grant_request_repositories_response","content":"pub fn orgs_list_pat_grant_request_repositories_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grant_request_repositories_response\nmidas/sdk/github/operations orgs_list_pat_grant_request_repositories_response","url":"midas/sdk/github/operations.html#orgs_list_pat_grant_request_repositories_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grant_requests_request","content":"pub fn orgs_list_pat_grant_requests_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  owner owner: b,\n  repository repository: Option(String),\n  permission permission: Option(String),\n  last_used_before last_used_before: Option(String),\n  last_used_after last_used_after: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grant_requests_request\nmidas/sdk/github/operations orgs_list_pat_grant_requests_request","url":"midas/sdk/github/operations.html#orgs_list_pat_grant_requests_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grant_requests_response","content":"pub fn orgs_list_pat_grant_requests_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationProgrammaticAccessGrantRequest), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grant_requests_response\nmidas/sdk/github/operations orgs_list_pat_grant_requests_response","url":"midas/sdk/github/operations.html#orgs_list_pat_grant_requests_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grants_request","content":"pub fn orgs_list_pat_grants_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  owner owner: b,\n  repository repository: Option(String),\n  permission permission: Option(String),\n  last_used_before last_used_before: Option(String),\n  last_used_after last_used_after: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grants_request\nmidas/sdk/github/operations orgs_list_pat_grants_request","url":"midas/sdk/github/operations.html#orgs_list_pat_grants_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pat_grants_response","content":"pub fn orgs_list_pat_grants_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationProgrammaticAccessGrant), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pat_grants_response\nmidas/sdk/github/operations orgs_list_pat_grants_response","url":"midas/sdk/github/operations.html#orgs_list_pat_grants_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pending_invitations_request","content":"pub fn orgs_list_pending_invitations_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  role role: Option(String),\n  invitation_source invitation_source: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pending_invitations_request\nmidas/sdk/github/operations orgs_list_pending_invitations_request","url":"midas/sdk/github/operations.html#orgs_list_pending_invitations_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_pending_invitations_response","content":"pub fn orgs_list_pending_invitations_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationInvitation), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_pending_invitations_response\nmidas/sdk/github/operations orgs_list_pending_invitations_response","url":"midas/sdk/github/operations.html#orgs_list_pending_invitations_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_public_members_request","content":"pub fn orgs_list_public_members_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_public_members_request\nmidas/sdk/github/operations orgs_list_public_members_request","url":"midas/sdk/github/operations.html#orgs_list_public_members_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_public_members_response","content":"pub fn orgs_list_public_members_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_public_members_response\nmidas/sdk/github/operations orgs_list_public_members_response","url":"midas/sdk/github/operations.html#orgs_list_public_members_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_request","content":"pub fn orgs_list_request(\n  base: Request(a),\n  since since: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_request\nmidas/sdk/github/operations orgs_list_request","url":"midas/sdk/github/operations.html#orgs_list_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_response","content":"pub fn orgs_list_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(OrganizationSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_response\nmidas/sdk/github/operations orgs_list_response","url":"midas/sdk/github/operations.html#orgs_list_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_security_manager_teams_request","content":"pub fn orgs_list_security_manager_teams_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_security_manager_teams_request\nmidas/sdk/github/operations orgs_list_security_manager_teams_request","url":"midas/sdk/github/operations.html#orgs_list_security_manager_teams_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_security_manager_teams_response","content":"pub fn orgs_list_security_manager_teams_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TeamSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_security_manager_teams_response\nmidas/sdk/github/operations orgs_list_security_manager_teams_response","url":"midas/sdk/github/operations.html#orgs_list_security_manager_teams_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_webhook_deliveries_request","content":"pub fn orgs_list_webhook_deliveries_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n  per_page per_page: Option(Int),\n  cursor cursor: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_webhook_deliveries_request\nmidas/sdk/github/operations orgs_list_webhook_deliveries_request","url":"midas/sdk/github/operations.html#orgs_list_webhook_deliveries_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_webhook_deliveries_response","content":"pub fn orgs_list_webhook_deliveries_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(HookDeliveryItem), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_webhook_deliveries_response\nmidas/sdk/github/operations orgs_list_webhook_deliveries_response","url":"midas/sdk/github/operations.html#orgs_list_webhook_deliveries_response"},{"doc":"midas/sdk/github/operations","title":"orgs_list_webhooks_request","content":"pub fn orgs_list_webhooks_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_webhooks_request\nmidas/sdk/github/operations orgs_list_webhooks_request","url":"midas/sdk/github/operations.html#orgs_list_webhooks_request"},{"doc":"midas/sdk/github/operations","title":"orgs_list_webhooks_response","content":"pub fn orgs_list_webhooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(OrgHook), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_list_webhooks_response\nmidas/sdk/github/operations orgs_list_webhooks_response","url":"midas/sdk/github/operations.html#orgs_list_webhooks_response"},{"doc":"midas/sdk/github/operations","title":"orgs_ping_webhook_request","content":"pub fn orgs_ping_webhook_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_ping_webhook_request\nmidas/sdk/github/operations orgs_ping_webhook_request","url":"midas/sdk/github/operations.html#orgs_ping_webhook_request"},{"doc":"midas/sdk/github/operations","title":"orgs_ping_webhook_response","content":"pub fn orgs_ping_webhook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_ping_webhook_response\nmidas/sdk/github/operations orgs_ping_webhook_response","url":"midas/sdk/github/operations.html#orgs_ping_webhook_response"},{"doc":"midas/sdk/github/operations","title":"orgs_redeliver_webhook_delivery_request","content":"pub fn orgs_redeliver_webhook_delivery_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_redeliver_webhook_delivery_request\nmidas/sdk/github/operations orgs_redeliver_webhook_delivery_request","url":"midas/sdk/github/operations.html#orgs_redeliver_webhook_delivery_request"},{"doc":"midas/sdk/github/operations","title":"orgs_redeliver_webhook_delivery_response","content":"pub fn orgs_redeliver_webhook_delivery_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_redeliver_webhook_delivery_response\nmidas/sdk/github/operations orgs_redeliver_webhook_delivery_response","url":"midas/sdk/github/operations.html#orgs_redeliver_webhook_delivery_response"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_custom_property_request","content":"pub fn orgs_remove_custom_property_request(\n  base: Request(a),\n  org: String,\n  custom_property_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_custom_property_request\nmidas/sdk/github/operations orgs_remove_custom_property_request","url":"midas/sdk/github/operations.html#orgs_remove_custom_property_request"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_custom_property_response","content":"pub fn orgs_remove_custom_property_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_custom_property_response\nmidas/sdk/github/operations orgs_remove_custom_property_response","url":"midas/sdk/github/operations.html#orgs_remove_custom_property_response"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_member_request","content":"pub fn orgs_remove_member_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_member_request\nmidas/sdk/github/operations orgs_remove_member_request","url":"midas/sdk/github/operations.html#orgs_remove_member_request"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_member_response","content":"pub fn orgs_remove_member_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_member_response\nmidas/sdk/github/operations orgs_remove_member_response","url":"midas/sdk/github/operations.html#orgs_remove_member_response"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_membership_for_user_request","content":"pub fn orgs_remove_membership_for_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_membership_for_user_request\nmidas/sdk/github/operations orgs_remove_membership_for_user_request","url":"midas/sdk/github/operations.html#orgs_remove_membership_for_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_membership_for_user_response","content":"pub fn orgs_remove_membership_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_membership_for_user_response\nmidas/sdk/github/operations orgs_remove_membership_for_user_response","url":"midas/sdk/github/operations.html#orgs_remove_membership_for_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_outside_collaborator_request","content":"pub fn orgs_remove_outside_collaborator_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_outside_collaborator_request\nmidas/sdk/github/operations orgs_remove_outside_collaborator_request","url":"midas/sdk/github/operations.html#orgs_remove_outside_collaborator_request"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_outside_collaborator_response","content":"pub fn orgs_remove_outside_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_outside_collaborator_response\nmidas/sdk/github/operations orgs_remove_outside_collaborator_response","url":"midas/sdk/github/operations.html#orgs_remove_outside_collaborator_response"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_public_membership_for_authenticated_user_request","content":"pub fn orgs_remove_public_membership_for_authenticated_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_public_membership_for_authenticated_user_request\nmidas/sdk/github/operations orgs_remove_public_membership_for_authenticated_user_request","url":"midas/sdk/github/operations.html#orgs_remove_public_membership_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_public_membership_for_authenticated_user_response","content":"pub fn orgs_remove_public_membership_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_public_membership_for_authenticated_user_response\nmidas/sdk/github/operations orgs_remove_public_membership_for_authenticated_user_response","url":"midas/sdk/github/operations.html#orgs_remove_public_membership_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_security_manager_team_request","content":"pub fn orgs_remove_security_manager_team_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_security_manager_team_request\nmidas/sdk/github/operations orgs_remove_security_manager_team_request","url":"midas/sdk/github/operations.html#orgs_remove_security_manager_team_request"},{"doc":"midas/sdk/github/operations","title":"orgs_remove_security_manager_team_response","content":"pub fn orgs_remove_security_manager_team_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_remove_security_manager_team_response\nmidas/sdk/github/operations orgs_remove_security_manager_team_response","url":"midas/sdk/github/operations.html#orgs_remove_security_manager_team_response"},{"doc":"midas/sdk/github/operations","title":"orgs_review_pat_grant_request_request","content":"pub fn orgs_review_pat_grant_request_request(\n  base: Request(a),\n  org: String,\n  pat_request_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_review_pat_grant_request_request\nmidas/sdk/github/operations orgs_review_pat_grant_request_request","url":"midas/sdk/github/operations.html#orgs_review_pat_grant_request_request"},{"doc":"midas/sdk/github/operations","title":"orgs_review_pat_grant_request_response","content":"pub fn orgs_review_pat_grant_request_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_review_pat_grant_request_response\nmidas/sdk/github/operations orgs_review_pat_grant_request_response","url":"midas/sdk/github/operations.html#orgs_review_pat_grant_request_response"},{"doc":"midas/sdk/github/operations","title":"orgs_review_pat_grant_requests_in_bulk_request","content":"pub fn orgs_review_pat_grant_requests_in_bulk_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_review_pat_grant_requests_in_bulk_request\nmidas/sdk/github/operations orgs_review_pat_grant_requests_in_bulk_request","url":"midas/sdk/github/operations.html#orgs_review_pat_grant_requests_in_bulk_request"},{"doc":"midas/sdk/github/operations","title":"orgs_review_pat_grant_requests_in_bulk_response","content":"pub fn orgs_review_pat_grant_requests_in_bulk_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_review_pat_grant_requests_in_bulk_response\nmidas/sdk/github/operations orgs_review_pat_grant_requests_in_bulk_response","url":"midas/sdk/github/operations.html#orgs_review_pat_grant_requests_in_bulk_response"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_all_org_roles_team_request","content":"pub fn orgs_revoke_all_org_roles_team_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_all_org_roles_team_request\nmidas/sdk/github/operations orgs_revoke_all_org_roles_team_request","url":"midas/sdk/github/operations.html#orgs_revoke_all_org_roles_team_request"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_all_org_roles_team_response","content":"pub fn orgs_revoke_all_org_roles_team_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_all_org_roles_team_response\nmidas/sdk/github/operations orgs_revoke_all_org_roles_team_response","url":"midas/sdk/github/operations.html#orgs_revoke_all_org_roles_team_response"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_all_org_roles_user_request","content":"pub fn orgs_revoke_all_org_roles_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_all_org_roles_user_request\nmidas/sdk/github/operations orgs_revoke_all_org_roles_user_request","url":"midas/sdk/github/operations.html#orgs_revoke_all_org_roles_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_all_org_roles_user_response","content":"pub fn orgs_revoke_all_org_roles_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_all_org_roles_user_response\nmidas/sdk/github/operations orgs_revoke_all_org_roles_user_response","url":"midas/sdk/github/operations.html#orgs_revoke_all_org_roles_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_org_role_team_request","content":"pub fn orgs_revoke_org_role_team_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  role_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_org_role_team_request\nmidas/sdk/github/operations orgs_revoke_org_role_team_request","url":"midas/sdk/github/operations.html#orgs_revoke_org_role_team_request"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_org_role_team_response","content":"pub fn orgs_revoke_org_role_team_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_org_role_team_response\nmidas/sdk/github/operations orgs_revoke_org_role_team_response","url":"midas/sdk/github/operations.html#orgs_revoke_org_role_team_response"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_org_role_user_request","content":"pub fn orgs_revoke_org_role_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n  role_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_org_role_user_request\nmidas/sdk/github/operations orgs_revoke_org_role_user_request","url":"midas/sdk/github/operations.html#orgs_revoke_org_role_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_revoke_org_role_user_response","content":"pub fn orgs_revoke_org_role_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_revoke_org_role_user_response\nmidas/sdk/github/operations orgs_revoke_org_role_user_response","url":"midas/sdk/github/operations.html#orgs_revoke_org_role_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_set_membership_for_user_request","content":"pub fn orgs_set_membership_for_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_set_membership_for_user_request\nmidas/sdk/github/operations orgs_set_membership_for_user_request","url":"midas/sdk/github/operations.html#orgs_set_membership_for_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_set_membership_for_user_response","content":"pub fn orgs_set_membership_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrgMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_set_membership_for_user_response\nmidas/sdk/github/operations orgs_set_membership_for_user_response","url":"midas/sdk/github/operations.html#orgs_set_membership_for_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_set_public_membership_for_authenticated_user_request","content":"pub fn orgs_set_public_membership_for_authenticated_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_set_public_membership_for_authenticated_user_request\nmidas/sdk/github/operations orgs_set_public_membership_for_authenticated_user_request","url":"midas/sdk/github/operations.html#orgs_set_public_membership_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_set_public_membership_for_authenticated_user_response","content":"pub fn orgs_set_public_membership_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_set_public_membership_for_authenticated_user_response\nmidas/sdk/github/operations orgs_set_public_membership_for_authenticated_user_response","url":"midas/sdk/github/operations.html#orgs_set_public_membership_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_unblock_user_request","content":"pub fn orgs_unblock_user_request(\n  base: Request(a),\n  org: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_unblock_user_request\nmidas/sdk/github/operations orgs_unblock_user_request","url":"midas/sdk/github/operations.html#orgs_unblock_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_unblock_user_response","content":"pub fn orgs_unblock_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_unblock_user_response\nmidas/sdk/github/operations orgs_unblock_user_response","url":"midas/sdk/github/operations.html#orgs_unblock_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_update_membership_for_authenticated_user_request","content":"pub fn orgs_update_membership_for_authenticated_user_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_membership_for_authenticated_user_request\nmidas/sdk/github/operations orgs_update_membership_for_authenticated_user_request","url":"midas/sdk/github/operations.html#orgs_update_membership_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"orgs_update_membership_for_authenticated_user_response","content":"pub fn orgs_update_membership_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrgMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_membership_for_authenticated_user_response\nmidas/sdk/github/operations orgs_update_membership_for_authenticated_user_response","url":"midas/sdk/github/operations.html#orgs_update_membership_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"orgs_update_pat_access_request","content":"pub fn orgs_update_pat_access_request(\n  base: Request(a),\n  org: String,\n  pat_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_pat_access_request\nmidas/sdk/github/operations orgs_update_pat_access_request","url":"midas/sdk/github/operations.html#orgs_update_pat_access_request"},{"doc":"midas/sdk/github/operations","title":"orgs_update_pat_access_response","content":"pub fn orgs_update_pat_access_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_pat_access_response\nmidas/sdk/github/operations orgs_update_pat_access_response","url":"midas/sdk/github/operations.html#orgs_update_pat_access_response"},{"doc":"midas/sdk/github/operations","title":"orgs_update_pat_accesses_request","content":"pub fn orgs_update_pat_accesses_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_pat_accesses_request\nmidas/sdk/github/operations orgs_update_pat_accesses_request","url":"midas/sdk/github/operations.html#orgs_update_pat_accesses_request"},{"doc":"midas/sdk/github/operations","title":"orgs_update_pat_accesses_response","content":"pub fn orgs_update_pat_accesses_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_pat_accesses_response\nmidas/sdk/github/operations orgs_update_pat_accesses_response","url":"midas/sdk/github/operations.html#orgs_update_pat_accesses_response"},{"doc":"midas/sdk/github/operations","title":"orgs_update_request","content":"pub fn orgs_update_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_request\nmidas/sdk/github/operations orgs_update_request","url":"midas/sdk/github/operations.html#orgs_update_request"},{"doc":"midas/sdk/github/operations","title":"orgs_update_response","content":"pub fn orgs_update_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrganizationFull, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_response\nmidas/sdk/github/operations orgs_update_response","url":"midas/sdk/github/operations.html#orgs_update_response"},{"doc":"midas/sdk/github/operations","title":"orgs_update_webhook_config_for_org_request","content":"pub fn orgs_update_webhook_config_for_org_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_webhook_config_for_org_request\nmidas/sdk/github/operations orgs_update_webhook_config_for_org_request","url":"midas/sdk/github/operations.html#orgs_update_webhook_config_for_org_request"},{"doc":"midas/sdk/github/operations","title":"orgs_update_webhook_config_for_org_response","content":"pub fn orgs_update_webhook_config_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WebhookConfig, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_webhook_config_for_org_response\nmidas/sdk/github/operations orgs_update_webhook_config_for_org_response","url":"midas/sdk/github/operations.html#orgs_update_webhook_config_for_org_response"},{"doc":"midas/sdk/github/operations","title":"orgs_update_webhook_request","content":"pub fn orgs_update_webhook_request(\n  base: Request(a),\n  org: String,\n  hook_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_webhook_request\nmidas/sdk/github/operations orgs_update_webhook_request","url":"midas/sdk/github/operations.html#orgs_update_webhook_request"},{"doc":"midas/sdk/github/operations","title":"orgs_update_webhook_response","content":"pub fn orgs_update_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(OrgHook, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.orgs_update_webhook_response\nmidas/sdk/github/operations orgs_update_webhook_response","url":"midas/sdk/github/operations.html#orgs_update_webhook_response"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_for_authenticated_user_request","content":"pub fn packages_delete_package_for_authenticated_user_request(\n  base: Request(a),\n  package_type: String,\n  package_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_for_authenticated_user_request\nmidas/sdk/github/operations packages_delete_package_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_delete_package_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_for_authenticated_user_response","content":"pub fn packages_delete_package_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_for_authenticated_user_response\nmidas/sdk/github/operations packages_delete_package_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_delete_package_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_for_org_request","content":"pub fn packages_delete_package_for_org_request(\n  base: Request(a),\n  org: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_for_org_request\nmidas/sdk/github/operations packages_delete_package_for_org_request","url":"midas/sdk/github/operations.html#packages_delete_package_for_org_request"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_for_org_response","content":"pub fn packages_delete_package_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_for_org_response\nmidas/sdk/github/operations packages_delete_package_for_org_response","url":"midas/sdk/github/operations.html#packages_delete_package_for_org_response"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_for_user_request","content":"pub fn packages_delete_package_for_user_request(\n  base: Request(a),\n  username: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_for_user_request\nmidas/sdk/github/operations packages_delete_package_for_user_request","url":"midas/sdk/github/operations.html#packages_delete_package_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_for_user_response","content":"pub fn packages_delete_package_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_for_user_response\nmidas/sdk/github/operations packages_delete_package_for_user_response","url":"midas/sdk/github/operations.html#packages_delete_package_for_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_version_for_authenticated_user_request","content":"pub fn packages_delete_package_version_for_authenticated_user_request(\n  base: Request(a),\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_version_for_authenticated_user_request\nmidas/sdk/github/operations packages_delete_package_version_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_delete_package_version_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_version_for_authenticated_user_response","content":"pub fn packages_delete_package_version_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_version_for_authenticated_user_response\nmidas/sdk/github/operations packages_delete_package_version_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_delete_package_version_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_version_for_org_request","content":"pub fn packages_delete_package_version_for_org_request(\n  base: Request(a),\n  org: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_version_for_org_request\nmidas/sdk/github/operations packages_delete_package_version_for_org_request","url":"midas/sdk/github/operations.html#packages_delete_package_version_for_org_request"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_version_for_org_response","content":"pub fn packages_delete_package_version_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_version_for_org_response\nmidas/sdk/github/operations packages_delete_package_version_for_org_response","url":"midas/sdk/github/operations.html#packages_delete_package_version_for_org_response"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_version_for_user_request","content":"pub fn packages_delete_package_version_for_user_request(\n  base: Request(a),\n  username: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_version_for_user_request\nmidas/sdk/github/operations packages_delete_package_version_for_user_request","url":"midas/sdk/github/operations.html#packages_delete_package_version_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_delete_package_version_for_user_response","content":"pub fn packages_delete_package_version_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_delete_package_version_for_user_response\nmidas/sdk/github/operations packages_delete_package_version_for_user_response","url":"midas/sdk/github/operations.html#packages_delete_package_version_for_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_all_package_versions_for_package_owned_by_authenticated_user_request","content":"pub fn packages_get_all_package_versions_for_package_owned_by_authenticated_user_request(\n  base: Request(a),\n  package_type: String,\n  package_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_all_package_versions_for_package_owned_by_authenticated_user_request\nmidas/sdk/github/operations packages_get_all_package_versions_for_package_owned_by_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_get_all_package_versions_for_package_owned_by_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_all_package_versions_for_package_owned_by_authenticated_user_response","content":"pub fn packages_get_all_package_versions_for_package_owned_by_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PackageVersion), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_all_package_versions_for_package_owned_by_authenticated_user_response\nmidas/sdk/github/operations packages_get_all_package_versions_for_package_owned_by_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_get_all_package_versions_for_package_owned_by_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_all_package_versions_for_package_owned_by_org_request","content":"pub fn packages_get_all_package_versions_for_package_owned_by_org_request(\n  base: Request(a),\n  org: String,\n  package_type: String,\n  package_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_all_package_versions_for_package_owned_by_org_request\nmidas/sdk/github/operations packages_get_all_package_versions_for_package_owned_by_org_request","url":"midas/sdk/github/operations.html#packages_get_all_package_versions_for_package_owned_by_org_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_all_package_versions_for_package_owned_by_org_response","content":"pub fn packages_get_all_package_versions_for_package_owned_by_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PackageVersion), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_all_package_versions_for_package_owned_by_org_response\nmidas/sdk/github/operations packages_get_all_package_versions_for_package_owned_by_org_response","url":"midas/sdk/github/operations.html#packages_get_all_package_versions_for_package_owned_by_org_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_all_package_versions_for_package_owned_by_user_request","content":"pub fn packages_get_all_package_versions_for_package_owned_by_user_request(\n  base: Request(a),\n  username: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_all_package_versions_for_package_owned_by_user_request\nmidas/sdk/github/operations packages_get_all_package_versions_for_package_owned_by_user_request","url":"midas/sdk/github/operations.html#packages_get_all_package_versions_for_package_owned_by_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_all_package_versions_for_package_owned_by_user_response","content":"pub fn packages_get_all_package_versions_for_package_owned_by_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PackageVersion), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_all_package_versions_for_package_owned_by_user_response\nmidas/sdk/github/operations packages_get_all_package_versions_for_package_owned_by_user_response","url":"midas/sdk/github/operations.html#packages_get_all_package_versions_for_package_owned_by_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_for_authenticated_user_request","content":"pub fn packages_get_package_for_authenticated_user_request(\n  base: Request(a),\n  package_type: String,\n  package_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_for_authenticated_user_request\nmidas/sdk/github/operations packages_get_package_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_get_package_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_for_authenticated_user_response","content":"pub fn packages_get_package_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Package, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_for_authenticated_user_response\nmidas/sdk/github/operations packages_get_package_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_get_package_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_for_organization_request","content":"pub fn packages_get_package_for_organization_request(\n  base: Request(a),\n  org: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_for_organization_request\nmidas/sdk/github/operations packages_get_package_for_organization_request","url":"midas/sdk/github/operations.html#packages_get_package_for_organization_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_for_organization_response","content":"pub fn packages_get_package_for_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Package, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_for_organization_response\nmidas/sdk/github/operations packages_get_package_for_organization_response","url":"midas/sdk/github/operations.html#packages_get_package_for_organization_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_for_user_request","content":"pub fn packages_get_package_for_user_request(\n  base: Request(a),\n  username: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_for_user_request\nmidas/sdk/github/operations packages_get_package_for_user_request","url":"midas/sdk/github/operations.html#packages_get_package_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_for_user_response","content":"pub fn packages_get_package_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Package, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_for_user_response\nmidas/sdk/github/operations packages_get_package_for_user_response","url":"midas/sdk/github/operations.html#packages_get_package_for_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_version_for_authenticated_user_request","content":"pub fn packages_get_package_version_for_authenticated_user_request(\n  base: Request(a),\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_version_for_authenticated_user_request\nmidas/sdk/github/operations packages_get_package_version_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_get_package_version_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_version_for_authenticated_user_response","content":"pub fn packages_get_package_version_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PackageVersion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_version_for_authenticated_user_response\nmidas/sdk/github/operations packages_get_package_version_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_get_package_version_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_version_for_organization_request","content":"pub fn packages_get_package_version_for_organization_request(\n  base: Request(a),\n  org: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_version_for_organization_request\nmidas/sdk/github/operations packages_get_package_version_for_organization_request","url":"midas/sdk/github/operations.html#packages_get_package_version_for_organization_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_version_for_organization_response","content":"pub fn packages_get_package_version_for_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PackageVersion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_version_for_organization_response\nmidas/sdk/github/operations packages_get_package_version_for_organization_response","url":"midas/sdk/github/operations.html#packages_get_package_version_for_organization_response"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_version_for_user_request","content":"pub fn packages_get_package_version_for_user_request(\n  base: Request(a),\n  username: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_version_for_user_request\nmidas/sdk/github/operations packages_get_package_version_for_user_request","url":"midas/sdk/github/operations.html#packages_get_package_version_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_get_package_version_for_user_response","content":"pub fn packages_get_package_version_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PackageVersion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_get_package_version_for_user_response\nmidas/sdk/github/operations packages_get_package_version_for_user_response","url":"midas/sdk/github/operations.html#packages_get_package_version_for_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_list_docker_migration_conflicting_packages_for_authenticated_user_request","content":"pub fn packages_list_docker_migration_conflicting_packages_for_authenticated_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_docker_migration_conflicting_packages_for_authenticated_user_request\nmidas/sdk/github/operations packages_list_docker_migration_conflicting_packages_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_list_docker_migration_conflicting_packages_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_list_docker_migration_conflicting_packages_for_authenticated_user_response","content":"pub fn packages_list_docker_migration_conflicting_packages_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Package), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_docker_migration_conflicting_packages_for_authenticated_user_response\nmidas/sdk/github/operations packages_list_docker_migration_conflicting_packages_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_list_docker_migration_conflicting_packages_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_list_docker_migration_conflicting_packages_for_organization_request","content":"pub fn packages_list_docker_migration_conflicting_packages_for_organization_request(\n  base: Request(a),\n  org: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_docker_migration_conflicting_packages_for_organization_request\nmidas/sdk/github/operations packages_list_docker_migration_conflicting_packages_for_organization_request","url":"midas/sdk/github/operations.html#packages_list_docker_migration_conflicting_packages_for_organization_request"},{"doc":"midas/sdk/github/operations","title":"packages_list_docker_migration_conflicting_packages_for_organization_response","content":"pub fn packages_list_docker_migration_conflicting_packages_for_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Package), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_docker_migration_conflicting_packages_for_organization_response\nmidas/sdk/github/operations packages_list_docker_migration_conflicting_packages_for_organization_response","url":"midas/sdk/github/operations.html#packages_list_docker_migration_conflicting_packages_for_organization_response"},{"doc":"midas/sdk/github/operations","title":"packages_list_docker_migration_conflicting_packages_for_user_request","content":"pub fn packages_list_docker_migration_conflicting_packages_for_user_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_docker_migration_conflicting_packages_for_user_request\nmidas/sdk/github/operations packages_list_docker_migration_conflicting_packages_for_user_request","url":"midas/sdk/github/operations.html#packages_list_docker_migration_conflicting_packages_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_list_docker_migration_conflicting_packages_for_user_response","content":"pub fn packages_list_docker_migration_conflicting_packages_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Package), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_docker_migration_conflicting_packages_for_user_response\nmidas/sdk/github/operations packages_list_docker_migration_conflicting_packages_for_user_response","url":"midas/sdk/github/operations.html#packages_list_docker_migration_conflicting_packages_for_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_list_packages_for_authenticated_user_request","content":"pub fn packages_list_packages_for_authenticated_user_request(\n  base: Request(a),\n  package_type package_type: String,\n  visibility visibility: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_packages_for_authenticated_user_request\nmidas/sdk/github/operations packages_list_packages_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_list_packages_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_list_packages_for_authenticated_user_response","content":"pub fn packages_list_packages_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Package), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_packages_for_authenticated_user_response\nmidas/sdk/github/operations packages_list_packages_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_list_packages_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_list_packages_for_organization_request","content":"pub fn packages_list_packages_for_organization_request(\n  base: Request(a),\n  org: String,\n  package_type package_type: String,\n  visibility visibility: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_packages_for_organization_request\nmidas/sdk/github/operations packages_list_packages_for_organization_request","url":"midas/sdk/github/operations.html#packages_list_packages_for_organization_request"},{"doc":"midas/sdk/github/operations","title":"packages_list_packages_for_organization_response","content":"pub fn packages_list_packages_for_organization_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Package), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_packages_for_organization_response\nmidas/sdk/github/operations packages_list_packages_for_organization_response","url":"midas/sdk/github/operations.html#packages_list_packages_for_organization_response"},{"doc":"midas/sdk/github/operations","title":"packages_list_packages_for_user_request","content":"pub fn packages_list_packages_for_user_request(\n  base: Request(a),\n  username: String,\n  package_type package_type: String,\n  visibility visibility: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_packages_for_user_request\nmidas/sdk/github/operations packages_list_packages_for_user_request","url":"midas/sdk/github/operations.html#packages_list_packages_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_list_packages_for_user_response","content":"pub fn packages_list_packages_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Package), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.packages_list_packages_for_user_response\nmidas/sdk/github/operations packages_list_packages_for_user_response","url":"midas/sdk/github/operations.html#packages_list_packages_for_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_for_authenticated_user_request","content":"pub fn packages_restore_package_for_authenticated_user_request(\n  base: Request(a),\n  package_type: String,\n  package_name: String,\n  token_ token_: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_for_authenticated_user_request\nmidas/sdk/github/operations packages_restore_package_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_restore_package_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_for_authenticated_user_response","content":"pub fn packages_restore_package_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_for_authenticated_user_response\nmidas/sdk/github/operations packages_restore_package_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_restore_package_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_for_org_request","content":"pub fn packages_restore_package_for_org_request(\n  base: Request(a),\n  org: String,\n  package_type: String,\n  package_name: String,\n  token_ token_: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_for_org_request\nmidas/sdk/github/operations packages_restore_package_for_org_request","url":"midas/sdk/github/operations.html#packages_restore_package_for_org_request"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_for_org_response","content":"pub fn packages_restore_package_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_for_org_response\nmidas/sdk/github/operations packages_restore_package_for_org_response","url":"midas/sdk/github/operations.html#packages_restore_package_for_org_response"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_for_user_request","content":"pub fn packages_restore_package_for_user_request(\n  base: Request(a),\n  username: String,\n  package_type: String,\n  package_name: String,\n  token_ token_: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_for_user_request\nmidas/sdk/github/operations packages_restore_package_for_user_request","url":"midas/sdk/github/operations.html#packages_restore_package_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_for_user_response","content":"pub fn packages_restore_package_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_for_user_response\nmidas/sdk/github/operations packages_restore_package_for_user_response","url":"midas/sdk/github/operations.html#packages_restore_package_for_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_version_for_authenticated_user_request","content":"pub fn packages_restore_package_version_for_authenticated_user_request(\n  base: Request(a),\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_version_for_authenticated_user_request\nmidas/sdk/github/operations packages_restore_package_version_for_authenticated_user_request","url":"midas/sdk/github/operations.html#packages_restore_package_version_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_version_for_authenticated_user_response","content":"pub fn packages_restore_package_version_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_version_for_authenticated_user_response\nmidas/sdk/github/operations packages_restore_package_version_for_authenticated_user_response","url":"midas/sdk/github/operations.html#packages_restore_package_version_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_version_for_org_request","content":"pub fn packages_restore_package_version_for_org_request(\n  base: Request(a),\n  org: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_version_for_org_request\nmidas/sdk/github/operations packages_restore_package_version_for_org_request","url":"midas/sdk/github/operations.html#packages_restore_package_version_for_org_request"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_version_for_org_response","content":"pub fn packages_restore_package_version_for_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_version_for_org_response\nmidas/sdk/github/operations packages_restore_package_version_for_org_response","url":"midas/sdk/github/operations.html#packages_restore_package_version_for_org_response"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_version_for_user_request","content":"pub fn packages_restore_package_version_for_user_request(\n  base: Request(a),\n  username: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_version_for_user_request\nmidas/sdk/github/operations packages_restore_package_version_for_user_request","url":"midas/sdk/github/operations.html#packages_restore_package_version_for_user_request"},{"doc":"midas/sdk/github/operations","title":"packages_restore_package_version_for_user_response","content":"pub fn packages_restore_package_version_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.packages_restore_package_version_for_user_response\nmidas/sdk/github/operations packages_restore_package_version_for_user_response","url":"midas/sdk/github/operations.html#packages_restore_package_version_for_user_response"},{"doc":"midas/sdk/github/operations","title":"projects_add_collaborator_request","content":"pub fn projects_add_collaborator_request(\n  base: Request(a),\n  project_id: Int,\n  username: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_add_collaborator_request\nmidas/sdk/github/operations projects_add_collaborator_request","url":"midas/sdk/github/operations.html#projects_add_collaborator_request"},{"doc":"midas/sdk/github/operations","title":"projects_add_collaborator_response","content":"pub fn projects_add_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_add_collaborator_response\nmidas/sdk/github/operations projects_add_collaborator_response","url":"midas/sdk/github/operations.html#projects_add_collaborator_response"},{"doc":"midas/sdk/github/operations","title":"projects_create_card_request","content":"pub fn projects_create_card_request(\n  base: Request(a),\n  column_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_card_request\nmidas/sdk/github/operations projects_create_card_request","url":"midas/sdk/github/operations.html#projects_create_card_request"},{"doc":"midas/sdk/github/operations","title":"projects_create_card_response","content":"pub fn projects_create_card_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ProjectCard, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_card_response\nmidas/sdk/github/operations projects_create_card_response","url":"midas/sdk/github/operations.html#projects_create_card_response"},{"doc":"midas/sdk/github/operations","title":"projects_create_column_request","content":"pub fn projects_create_column_request(\n  base: Request(a),\n  project_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_column_request\nmidas/sdk/github/operations projects_create_column_request","url":"midas/sdk/github/operations.html#projects_create_column_request"},{"doc":"midas/sdk/github/operations","title":"projects_create_column_response","content":"pub fn projects_create_column_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ProjectColumn, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_column_response\nmidas/sdk/github/operations projects_create_column_response","url":"midas/sdk/github/operations.html#projects_create_column_response"},{"doc":"midas/sdk/github/operations","title":"projects_create_for_authenticated_user_request","content":"pub fn projects_create_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_for_authenticated_user_request\nmidas/sdk/github/operations projects_create_for_authenticated_user_request","url":"midas/sdk/github/operations.html#projects_create_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"projects_create_for_authenticated_user_response","content":"pub fn projects_create_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Project, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_for_authenticated_user_response\nmidas/sdk/github/operations projects_create_for_authenticated_user_response","url":"midas/sdk/github/operations.html#projects_create_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"projects_create_for_org_request","content":"pub fn projects_create_for_org_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_for_org_request\nmidas/sdk/github/operations projects_create_for_org_request","url":"midas/sdk/github/operations.html#projects_create_for_org_request"},{"doc":"midas/sdk/github/operations","title":"projects_create_for_org_response","content":"pub fn projects_create_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Project, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_for_org_response\nmidas/sdk/github/operations projects_create_for_org_response","url":"midas/sdk/github/operations.html#projects_create_for_org_response"},{"doc":"midas/sdk/github/operations","title":"projects_create_for_repo_request","content":"pub fn projects_create_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_for_repo_request\nmidas/sdk/github/operations projects_create_for_repo_request","url":"midas/sdk/github/operations.html#projects_create_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"projects_create_for_repo_response","content":"pub fn projects_create_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Project, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_create_for_repo_response\nmidas/sdk/github/operations projects_create_for_repo_response","url":"midas/sdk/github/operations.html#projects_create_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"projects_delete_card_request","content":"pub fn projects_delete_card_request(\n  base: Request(a),\n  card_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_delete_card_request\nmidas/sdk/github/operations projects_delete_card_request","url":"midas/sdk/github/operations.html#projects_delete_card_request"},{"doc":"midas/sdk/github/operations","title":"projects_delete_card_response","content":"pub fn projects_delete_card_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_delete_card_response\nmidas/sdk/github/operations projects_delete_card_response","url":"midas/sdk/github/operations.html#projects_delete_card_response"},{"doc":"midas/sdk/github/operations","title":"projects_delete_column_request","content":"pub fn projects_delete_column_request(\n  base: Request(a),\n  column_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_delete_column_request\nmidas/sdk/github/operations projects_delete_column_request","url":"midas/sdk/github/operations.html#projects_delete_column_request"},{"doc":"midas/sdk/github/operations","title":"projects_delete_column_response","content":"pub fn projects_delete_column_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_delete_column_response\nmidas/sdk/github/operations projects_delete_column_response","url":"midas/sdk/github/operations.html#projects_delete_column_response"},{"doc":"midas/sdk/github/operations","title":"projects_delete_request","content":"pub fn projects_delete_request(\n  base: Request(a),\n  project_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_delete_request\nmidas/sdk/github/operations projects_delete_request","url":"midas/sdk/github/operations.html#projects_delete_request"},{"doc":"midas/sdk/github/operations","title":"projects_delete_response","content":"pub fn projects_delete_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_delete_response\nmidas/sdk/github/operations projects_delete_response","url":"midas/sdk/github/operations.html#projects_delete_response"},{"doc":"midas/sdk/github/operations","title":"projects_get_card_request","content":"pub fn projects_get_card_request(\n  base: Request(a),\n  card_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_card_request\nmidas/sdk/github/operations projects_get_card_request","url":"midas/sdk/github/operations.html#projects_get_card_request"},{"doc":"midas/sdk/github/operations","title":"projects_get_card_response","content":"pub fn projects_get_card_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ProjectCard, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_card_response\nmidas/sdk/github/operations projects_get_card_response","url":"midas/sdk/github/operations.html#projects_get_card_response"},{"doc":"midas/sdk/github/operations","title":"projects_get_column_request","content":"pub fn projects_get_column_request(\n  base: Request(a),\n  column_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_column_request\nmidas/sdk/github/operations projects_get_column_request","url":"midas/sdk/github/operations.html#projects_get_column_request"},{"doc":"midas/sdk/github/operations","title":"projects_get_column_response","content":"pub fn projects_get_column_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ProjectColumn, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_column_response\nmidas/sdk/github/operations projects_get_column_response","url":"midas/sdk/github/operations.html#projects_get_column_response"},{"doc":"midas/sdk/github/operations","title":"projects_get_permission_for_user_request","content":"pub fn projects_get_permission_for_user_request(\n  base: Request(a),\n  project_id: Int,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_permission_for_user_request\nmidas/sdk/github/operations projects_get_permission_for_user_request","url":"midas/sdk/github/operations.html#projects_get_permission_for_user_request"},{"doc":"midas/sdk/github/operations","title":"projects_get_permission_for_user_response","content":"pub fn projects_get_permission_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ProjectCollaboratorPermission, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_permission_for_user_response\nmidas/sdk/github/operations projects_get_permission_for_user_response","url":"midas/sdk/github/operations.html#projects_get_permission_for_user_response"},{"doc":"midas/sdk/github/operations","title":"projects_get_request","content":"pub fn projects_get_request(\n  base: Request(a),\n  project_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_request\nmidas/sdk/github/operations projects_get_request","url":"midas/sdk/github/operations.html#projects_get_request"},{"doc":"midas/sdk/github/operations","title":"projects_get_response","content":"pub fn projects_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Project, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_get_response\nmidas/sdk/github/operations projects_get_response","url":"midas/sdk/github/operations.html#projects_get_response"},{"doc":"midas/sdk/github/operations","title":"projects_list_cards_request","content":"pub fn projects_list_cards_request(\n  base: Request(a),\n  column_id: Int,\n  archived_state archived_state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_cards_request\nmidas/sdk/github/operations projects_list_cards_request","url":"midas/sdk/github/operations.html#projects_list_cards_request"},{"doc":"midas/sdk/github/operations","title":"projects_list_cards_response","content":"pub fn projects_list_cards_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ProjectCard), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_cards_response\nmidas/sdk/github/operations projects_list_cards_response","url":"midas/sdk/github/operations.html#projects_list_cards_response"},{"doc":"midas/sdk/github/operations","title":"projects_list_collaborators_request","content":"pub fn projects_list_collaborators_request(\n  base: Request(a),\n  project_id: Int,\n  affiliation affiliation: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_collaborators_request\nmidas/sdk/github/operations projects_list_collaborators_request","url":"midas/sdk/github/operations.html#projects_list_collaborators_request"},{"doc":"midas/sdk/github/operations","title":"projects_list_collaborators_response","content":"pub fn projects_list_collaborators_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_collaborators_response\nmidas/sdk/github/operations projects_list_collaborators_response","url":"midas/sdk/github/operations.html#projects_list_collaborators_response"},{"doc":"midas/sdk/github/operations","title":"projects_list_columns_request","content":"pub fn projects_list_columns_request(\n  base: Request(a),\n  project_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_columns_request\nmidas/sdk/github/operations projects_list_columns_request","url":"midas/sdk/github/operations.html#projects_list_columns_request"},{"doc":"midas/sdk/github/operations","title":"projects_list_columns_response","content":"pub fn projects_list_columns_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ProjectColumn), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_columns_response\nmidas/sdk/github/operations projects_list_columns_response","url":"midas/sdk/github/operations.html#projects_list_columns_response"},{"doc":"midas/sdk/github/operations","title":"projects_list_for_org_request","content":"pub fn projects_list_for_org_request(\n  base: Request(a),\n  org: String,\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_for_org_request\nmidas/sdk/github/operations projects_list_for_org_request","url":"midas/sdk/github/operations.html#projects_list_for_org_request"},{"doc":"midas/sdk/github/operations","title":"projects_list_for_org_response","content":"pub fn projects_list_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Project), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_for_org_response\nmidas/sdk/github/operations projects_list_for_org_response","url":"midas/sdk/github/operations.html#projects_list_for_org_response"},{"doc":"midas/sdk/github/operations","title":"projects_list_for_repo_request","content":"pub fn projects_list_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_for_repo_request\nmidas/sdk/github/operations projects_list_for_repo_request","url":"midas/sdk/github/operations.html#projects_list_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"projects_list_for_repo_response","content":"pub fn projects_list_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Project), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_for_repo_response\nmidas/sdk/github/operations projects_list_for_repo_response","url":"midas/sdk/github/operations.html#projects_list_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"projects_list_for_user_request","content":"pub fn projects_list_for_user_request(\n  base: Request(a),\n  username: String,\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_for_user_request\nmidas/sdk/github/operations projects_list_for_user_request","url":"midas/sdk/github/operations.html#projects_list_for_user_request"},{"doc":"midas/sdk/github/operations","title":"projects_list_for_user_response","content":"pub fn projects_list_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Project), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_list_for_user_response\nmidas/sdk/github/operations projects_list_for_user_response","url":"midas/sdk/github/operations.html#projects_list_for_user_response"},{"doc":"midas/sdk/github/operations","title":"projects_move_card_request","content":"pub fn projects_move_card_request(\n  base: Request(a),\n  card_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_move_card_request\nmidas/sdk/github/operations projects_move_card_request","url":"midas/sdk/github/operations.html#projects_move_card_request"},{"doc":"midas/sdk/github/operations","title":"projects_move_card_response","content":"pub fn projects_move_card_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_move_card_response\nmidas/sdk/github/operations projects_move_card_response","url":"midas/sdk/github/operations.html#projects_move_card_response"},{"doc":"midas/sdk/github/operations","title":"projects_move_column_request","content":"pub fn projects_move_column_request(\n  base: Request(a),\n  column_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_move_column_request\nmidas/sdk/github/operations projects_move_column_request","url":"midas/sdk/github/operations.html#projects_move_column_request"},{"doc":"midas/sdk/github/operations","title":"projects_move_column_response","content":"pub fn projects_move_column_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_move_column_response\nmidas/sdk/github/operations projects_move_column_response","url":"midas/sdk/github/operations.html#projects_move_column_response"},{"doc":"midas/sdk/github/operations","title":"projects_remove_collaborator_request","content":"pub fn projects_remove_collaborator_request(\n  base: Request(a),\n  project_id: Int,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.projects_remove_collaborator_request\nmidas/sdk/github/operations projects_remove_collaborator_request","url":"midas/sdk/github/operations.html#projects_remove_collaborator_request"},{"doc":"midas/sdk/github/operations","title":"projects_remove_collaborator_response","content":"pub fn projects_remove_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_remove_collaborator_response\nmidas/sdk/github/operations projects_remove_collaborator_response","url":"midas/sdk/github/operations.html#projects_remove_collaborator_response"},{"doc":"midas/sdk/github/operations","title":"projects_update_card_request","content":"pub fn projects_update_card_request(\n  base: Request(a),\n  card_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_update_card_request\nmidas/sdk/github/operations projects_update_card_request","url":"midas/sdk/github/operations.html#projects_update_card_request"},{"doc":"midas/sdk/github/operations","title":"projects_update_card_response","content":"pub fn projects_update_card_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ProjectCard, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_update_card_response\nmidas/sdk/github/operations projects_update_card_response","url":"midas/sdk/github/operations.html#projects_update_card_response"},{"doc":"midas/sdk/github/operations","title":"projects_update_column_request","content":"pub fn projects_update_column_request(\n  base: Request(a),\n  column_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_update_column_request\nmidas/sdk/github/operations projects_update_column_request","url":"midas/sdk/github/operations.html#projects_update_column_request"},{"doc":"midas/sdk/github/operations","title":"projects_update_column_response","content":"pub fn projects_update_column_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ProjectColumn, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_update_column_response\nmidas/sdk/github/operations projects_update_column_response","url":"midas/sdk/github/operations.html#projects_update_column_response"},{"doc":"midas/sdk/github/operations","title":"projects_update_request","content":"pub fn projects_update_request(\n  base: Request(a),\n  project_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.projects_update_request\nmidas/sdk/github/operations projects_update_request","url":"midas/sdk/github/operations.html#projects_update_request"},{"doc":"midas/sdk/github/operations","title":"projects_update_response","content":"pub fn projects_update_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Project, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.projects_update_response\nmidas/sdk/github/operations projects_update_response","url":"midas/sdk/github/operations.html#projects_update_response"},{"doc":"midas/sdk/github/operations","title":"pulls_check_if_merged_request","content":"pub fn pulls_check_if_merged_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_check_if_merged_request\nmidas/sdk/github/operations pulls_check_if_merged_request","url":"midas/sdk/github/operations.html#pulls_check_if_merged_request"},{"doc":"midas/sdk/github/operations","title":"pulls_check_if_merged_response","content":"pub fn pulls_check_if_merged_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_check_if_merged_response\nmidas/sdk/github/operations pulls_check_if_merged_response","url":"midas/sdk/github/operations.html#pulls_check_if_merged_response"},{"doc":"midas/sdk/github/operations","title":"pulls_create_reply_for_review_comment_request","content":"pub fn pulls_create_reply_for_review_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_reply_for_review_comment_request\nmidas/sdk/github/operations pulls_create_reply_for_review_comment_request","url":"midas/sdk/github/operations.html#pulls_create_reply_for_review_comment_request"},{"doc":"midas/sdk/github/operations","title":"pulls_create_reply_for_review_comment_response","content":"pub fn pulls_create_reply_for_review_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReviewComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_reply_for_review_comment_response\nmidas/sdk/github/operations pulls_create_reply_for_review_comment_response","url":"midas/sdk/github/operations.html#pulls_create_reply_for_review_comment_response"},{"doc":"midas/sdk/github/operations","title":"pulls_create_request","content":"pub fn pulls_create_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_request\nmidas/sdk/github/operations pulls_create_request","url":"midas/sdk/github/operations.html#pulls_create_request"},{"doc":"midas/sdk/github/operations","title":"pulls_create_response","content":"pub fn pulls_create_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequest, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_response\nmidas/sdk/github/operations pulls_create_response","url":"midas/sdk/github/operations.html#pulls_create_response"},{"doc":"midas/sdk/github/operations","title":"pulls_create_review_comment_request","content":"pub fn pulls_create_review_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_review_comment_request\nmidas/sdk/github/operations pulls_create_review_comment_request","url":"midas/sdk/github/operations.html#pulls_create_review_comment_request"},{"doc":"midas/sdk/github/operations","title":"pulls_create_review_comment_response","content":"pub fn pulls_create_review_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReviewComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_review_comment_response\nmidas/sdk/github/operations pulls_create_review_comment_response","url":"midas/sdk/github/operations.html#pulls_create_review_comment_response"},{"doc":"midas/sdk/github/operations","title":"pulls_create_review_request","content":"pub fn pulls_create_review_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_review_request\nmidas/sdk/github/operations pulls_create_review_request","url":"midas/sdk/github/operations.html#pulls_create_review_request"},{"doc":"midas/sdk/github/operations","title":"pulls_create_review_response","content":"pub fn pulls_create_review_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_create_review_response\nmidas/sdk/github/operations pulls_create_review_response","url":"midas/sdk/github/operations.html#pulls_create_review_response"},{"doc":"midas/sdk/github/operations","title":"pulls_delete_pending_review_request","content":"pub fn pulls_delete_pending_review_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_delete_pending_review_request\nmidas/sdk/github/operations pulls_delete_pending_review_request","url":"midas/sdk/github/operations.html#pulls_delete_pending_review_request"},{"doc":"midas/sdk/github/operations","title":"pulls_delete_pending_review_response","content":"pub fn pulls_delete_pending_review_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_delete_pending_review_response\nmidas/sdk/github/operations pulls_delete_pending_review_response","url":"midas/sdk/github/operations.html#pulls_delete_pending_review_response"},{"doc":"midas/sdk/github/operations","title":"pulls_delete_review_comment_request","content":"pub fn pulls_delete_review_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_delete_review_comment_request\nmidas/sdk/github/operations pulls_delete_review_comment_request","url":"midas/sdk/github/operations.html#pulls_delete_review_comment_request"},{"doc":"midas/sdk/github/operations","title":"pulls_delete_review_comment_response","content":"pub fn pulls_delete_review_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_delete_review_comment_response\nmidas/sdk/github/operations pulls_delete_review_comment_response","url":"midas/sdk/github/operations.html#pulls_delete_review_comment_response"},{"doc":"midas/sdk/github/operations","title":"pulls_dismiss_review_request","content":"pub fn pulls_dismiss_review_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_dismiss_review_request\nmidas/sdk/github/operations pulls_dismiss_review_request","url":"midas/sdk/github/operations.html#pulls_dismiss_review_request"},{"doc":"midas/sdk/github/operations","title":"pulls_dismiss_review_response","content":"pub fn pulls_dismiss_review_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_dismiss_review_response\nmidas/sdk/github/operations pulls_dismiss_review_response","url":"midas/sdk/github/operations.html#pulls_dismiss_review_response"},{"doc":"midas/sdk/github/operations","title":"pulls_get_request","content":"pub fn pulls_get_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_get_request\nmidas/sdk/github/operations pulls_get_request","url":"midas/sdk/github/operations.html#pulls_get_request"},{"doc":"midas/sdk/github/operations","title":"pulls_get_response","content":"pub fn pulls_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequest, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_get_response\nmidas/sdk/github/operations pulls_get_response","url":"midas/sdk/github/operations.html#pulls_get_response"},{"doc":"midas/sdk/github/operations","title":"pulls_get_review_comment_request","content":"pub fn pulls_get_review_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_get_review_comment_request\nmidas/sdk/github/operations pulls_get_review_comment_request","url":"midas/sdk/github/operations.html#pulls_get_review_comment_request"},{"doc":"midas/sdk/github/operations","title":"pulls_get_review_comment_response","content":"pub fn pulls_get_review_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReviewComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_get_review_comment_response\nmidas/sdk/github/operations pulls_get_review_comment_response","url":"midas/sdk/github/operations.html#pulls_get_review_comment_response"},{"doc":"midas/sdk/github/operations","title":"pulls_get_review_request","content":"pub fn pulls_get_review_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_get_review_request\nmidas/sdk/github/operations pulls_get_review_request","url":"midas/sdk/github/operations.html#pulls_get_review_request"},{"doc":"midas/sdk/github/operations","title":"pulls_get_review_response","content":"pub fn pulls_get_review_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_get_review_response\nmidas/sdk/github/operations pulls_get_review_response","url":"midas/sdk/github/operations.html#pulls_get_review_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_comments_for_review_request","content":"pub fn pulls_list_comments_for_review_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_comments_for_review_request\nmidas/sdk/github/operations pulls_list_comments_for_review_request","url":"midas/sdk/github/operations.html#pulls_list_comments_for_review_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_comments_for_review_response","content":"pub fn pulls_list_comments_for_review_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ReviewComment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_comments_for_review_response\nmidas/sdk/github/operations pulls_list_comments_for_review_response","url":"midas/sdk/github/operations.html#pulls_list_comments_for_review_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_commits_request","content":"pub fn pulls_list_commits_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_commits_request\nmidas/sdk/github/operations pulls_list_commits_request","url":"midas/sdk/github/operations.html#pulls_list_commits_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_commits_response","content":"pub fn pulls_list_commits_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Commit), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_commits_response\nmidas/sdk/github/operations pulls_list_commits_response","url":"midas/sdk/github/operations.html#pulls_list_commits_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_files_request","content":"pub fn pulls_list_files_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_files_request\nmidas/sdk/github/operations pulls_list_files_request","url":"midas/sdk/github/operations.html#pulls_list_files_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_files_response","content":"pub fn pulls_list_files_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DiffEntry), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_files_response\nmidas/sdk/github/operations pulls_list_files_response","url":"midas/sdk/github/operations.html#pulls_list_files_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_request","content":"pub fn pulls_list_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  head head: Option(String),\n  base_ base_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_request\nmidas/sdk/github/operations pulls_list_request","url":"midas/sdk/github/operations.html#pulls_list_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_requested_reviewers_request","content":"pub fn pulls_list_requested_reviewers_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_requested_reviewers_request\nmidas/sdk/github/operations pulls_list_requested_reviewers_request","url":"midas/sdk/github/operations.html#pulls_list_requested_reviewers_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_requested_reviewers_response","content":"pub fn pulls_list_requested_reviewers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReviewRequest, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_requested_reviewers_response\nmidas/sdk/github/operations pulls_list_requested_reviewers_response","url":"midas/sdk/github/operations.html#pulls_list_requested_reviewers_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_response","content":"pub fn pulls_list_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PullRequestSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_response\nmidas/sdk/github/operations pulls_list_response","url":"midas/sdk/github/operations.html#pulls_list_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_review_comments_for_repo_request","content":"pub fn pulls_list_review_comments_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_review_comments_for_repo_request\nmidas/sdk/github/operations pulls_list_review_comments_for_repo_request","url":"midas/sdk/github/operations.html#pulls_list_review_comments_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_review_comments_for_repo_response","content":"pub fn pulls_list_review_comments_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(PullRequestReviewComment), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_review_comments_for_repo_response\nmidas/sdk/github/operations pulls_list_review_comments_for_repo_response","url":"midas/sdk/github/operations.html#pulls_list_review_comments_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_review_comments_request","content":"pub fn pulls_list_review_comments_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_review_comments_request\nmidas/sdk/github/operations pulls_list_review_comments_request","url":"midas/sdk/github/operations.html#pulls_list_review_comments_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_review_comments_response","content":"pub fn pulls_list_review_comments_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(PullRequestReviewComment), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_review_comments_response\nmidas/sdk/github/operations pulls_list_review_comments_response","url":"midas/sdk/github/operations.html#pulls_list_review_comments_response"},{"doc":"midas/sdk/github/operations","title":"pulls_list_reviews_request","content":"pub fn pulls_list_reviews_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_reviews_request\nmidas/sdk/github/operations pulls_list_reviews_request","url":"midas/sdk/github/operations.html#pulls_list_reviews_request"},{"doc":"midas/sdk/github/operations","title":"pulls_list_reviews_response","content":"pub fn pulls_list_reviews_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PullRequestReview), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_list_reviews_response\nmidas/sdk/github/operations pulls_list_reviews_response","url":"midas/sdk/github/operations.html#pulls_list_reviews_response"},{"doc":"midas/sdk/github/operations","title":"pulls_merge_request","content":"pub fn pulls_merge_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_merge_request\nmidas/sdk/github/operations pulls_merge_request","url":"midas/sdk/github/operations.html#pulls_merge_request"},{"doc":"midas/sdk/github/operations","title":"pulls_merge_response","content":"pub fn pulls_merge_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestMergeResult, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_merge_response\nmidas/sdk/github/operations pulls_merge_response","url":"midas/sdk/github/operations.html#pulls_merge_response"},{"doc":"midas/sdk/github/operations","title":"pulls_remove_requested_reviewers_request","content":"pub fn pulls_remove_requested_reviewers_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_remove_requested_reviewers_request\nmidas/sdk/github/operations pulls_remove_requested_reviewers_request","url":"midas/sdk/github/operations.html#pulls_remove_requested_reviewers_request"},{"doc":"midas/sdk/github/operations","title":"pulls_remove_requested_reviewers_response","content":"pub fn pulls_remove_requested_reviewers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestSimple, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_remove_requested_reviewers_response\nmidas/sdk/github/operations pulls_remove_requested_reviewers_response","url":"midas/sdk/github/operations.html#pulls_remove_requested_reviewers_response"},{"doc":"midas/sdk/github/operations","title":"pulls_request_reviewers_request","content":"pub fn pulls_request_reviewers_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_request_reviewers_request\nmidas/sdk/github/operations pulls_request_reviewers_request","url":"midas/sdk/github/operations.html#pulls_request_reviewers_request"},{"doc":"midas/sdk/github/operations","title":"pulls_request_reviewers_response","content":"pub fn pulls_request_reviewers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestSimple, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_request_reviewers_response\nmidas/sdk/github/operations pulls_request_reviewers_response","url":"midas/sdk/github/operations.html#pulls_request_reviewers_response"},{"doc":"midas/sdk/github/operations","title":"pulls_submit_review_request","content":"pub fn pulls_submit_review_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_submit_review_request\nmidas/sdk/github/operations pulls_submit_review_request","url":"midas/sdk/github/operations.html#pulls_submit_review_request"},{"doc":"midas/sdk/github/operations","title":"pulls_submit_review_response","content":"pub fn pulls_submit_review_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_submit_review_response\nmidas/sdk/github/operations pulls_submit_review_response","url":"midas/sdk/github/operations.html#pulls_submit_review_response"},{"doc":"midas/sdk/github/operations","title":"pulls_update_branch_request","content":"pub fn pulls_update_branch_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_branch_request\nmidas/sdk/github/operations pulls_update_branch_request","url":"midas/sdk/github/operations.html#pulls_update_branch_request"},{"doc":"midas/sdk/github/operations","title":"pulls_update_branch_response","content":"pub fn pulls_update_branch_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_branch_response\nmidas/sdk/github/operations pulls_update_branch_response","url":"midas/sdk/github/operations.html#pulls_update_branch_response"},{"doc":"midas/sdk/github/operations","title":"pulls_update_request","content":"pub fn pulls_update_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_request\nmidas/sdk/github/operations pulls_update_request","url":"midas/sdk/github/operations.html#pulls_update_request"},{"doc":"midas/sdk/github/operations","title":"pulls_update_response","content":"pub fn pulls_update_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequest, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_response\nmidas/sdk/github/operations pulls_update_response","url":"midas/sdk/github/operations.html#pulls_update_response"},{"doc":"midas/sdk/github/operations","title":"pulls_update_review_comment_request","content":"pub fn pulls_update_review_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_review_comment_request\nmidas/sdk/github/operations pulls_update_review_comment_request","url":"midas/sdk/github/operations.html#pulls_update_review_comment_request"},{"doc":"midas/sdk/github/operations","title":"pulls_update_review_comment_response","content":"pub fn pulls_update_review_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReviewComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_review_comment_response\nmidas/sdk/github/operations pulls_update_review_comment_response","url":"midas/sdk/github/operations.html#pulls_update_review_comment_response"},{"doc":"midas/sdk/github/operations","title":"pulls_update_review_request","content":"pub fn pulls_update_review_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_review_request\nmidas/sdk/github/operations pulls_update_review_request","url":"midas/sdk/github/operations.html#pulls_update_review_request"},{"doc":"midas/sdk/github/operations","title":"pulls_update_review_response","content":"pub fn pulls_update_review_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PullRequestReview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.pulls_update_review_response\nmidas/sdk/github/operations pulls_update_review_response","url":"midas/sdk/github/operations.html#pulls_update_review_response"},{"doc":"midas/sdk/github/operations","title":"rate_limit_get_request","content":"pub fn rate_limit_get_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.rate_limit_get_request\nmidas/sdk/github/operations rate_limit_get_request","url":"midas/sdk/github/operations.html#rate_limit_get_request"},{"doc":"midas/sdk/github/operations","title":"rate_limit_get_response","content":"pub fn rate_limit_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RateLimitOverview, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.rate_limit_get_response\nmidas/sdk/github/operations rate_limit_get_response","url":"midas/sdk/github/operations.html#rate_limit_get_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_commit_comment_request","content":"pub fn reactions_create_for_commit_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_commit_comment_request\nmidas/sdk/github/operations reactions_create_for_commit_comment_request","url":"midas/sdk/github/operations.html#reactions_create_for_commit_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_commit_comment_response","content":"pub fn reactions_create_for_commit_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_commit_comment_response\nmidas/sdk/github/operations reactions_create_for_commit_comment_response","url":"midas/sdk/github/operations.html#reactions_create_for_commit_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_issue_comment_request","content":"pub fn reactions_create_for_issue_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_issue_comment_request\nmidas/sdk/github/operations reactions_create_for_issue_comment_request","url":"midas/sdk/github/operations.html#reactions_create_for_issue_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_issue_comment_response","content":"pub fn reactions_create_for_issue_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_issue_comment_response\nmidas/sdk/github/operations reactions_create_for_issue_comment_response","url":"midas/sdk/github/operations.html#reactions_create_for_issue_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_issue_request","content":"pub fn reactions_create_for_issue_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_issue_request\nmidas/sdk/github/operations reactions_create_for_issue_request","url":"midas/sdk/github/operations.html#reactions_create_for_issue_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_issue_response","content":"pub fn reactions_create_for_issue_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_issue_response\nmidas/sdk/github/operations reactions_create_for_issue_response","url":"midas/sdk/github/operations.html#reactions_create_for_issue_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_pull_request_review_comment_request","content":"pub fn reactions_create_for_pull_request_review_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_pull_request_review_comment_request\nmidas/sdk/github/operations reactions_create_for_pull_request_review_comment_request","url":"midas/sdk/github/operations.html#reactions_create_for_pull_request_review_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_pull_request_review_comment_response","content":"pub fn reactions_create_for_pull_request_review_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_pull_request_review_comment_response\nmidas/sdk/github/operations reactions_create_for_pull_request_review_comment_response","url":"midas/sdk/github/operations.html#reactions_create_for_pull_request_review_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_release_request","content":"pub fn reactions_create_for_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_release_request\nmidas/sdk/github/operations reactions_create_for_release_request","url":"midas/sdk/github/operations.html#reactions_create_for_release_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_release_response","content":"pub fn reactions_create_for_release_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_release_response\nmidas/sdk/github/operations reactions_create_for_release_response","url":"midas/sdk/github/operations.html#reactions_create_for_release_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_comment_in_org_request","content":"pub fn reactions_create_for_team_discussion_comment_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_comment_in_org_request\nmidas/sdk/github/operations reactions_create_for_team_discussion_comment_in_org_request","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_comment_in_org_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_comment_in_org_response","content":"pub fn reactions_create_for_team_discussion_comment_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_comment_in_org_response\nmidas/sdk/github/operations reactions_create_for_team_discussion_comment_in_org_response","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_comment_in_org_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_comment_legacy_request","content":"pub fn reactions_create_for_team_discussion_comment_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_comment_legacy_request\nmidas/sdk/github/operations reactions_create_for_team_discussion_comment_legacy_request","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_comment_legacy_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_comment_legacy_response","content":"pub fn reactions_create_for_team_discussion_comment_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_comment_legacy_response\nmidas/sdk/github/operations reactions_create_for_team_discussion_comment_legacy_response","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_comment_legacy_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_in_org_request","content":"pub fn reactions_create_for_team_discussion_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_in_org_request\nmidas/sdk/github/operations reactions_create_for_team_discussion_in_org_request","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_in_org_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_in_org_response","content":"pub fn reactions_create_for_team_discussion_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_in_org_response\nmidas/sdk/github/operations reactions_create_for_team_discussion_in_org_response","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_in_org_response"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_legacy_request","content":"pub fn reactions_create_for_team_discussion_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_legacy_request\nmidas/sdk/github/operations reactions_create_for_team_discussion_legacy_request","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_legacy_request"},{"doc":"midas/sdk/github/operations","title":"reactions_create_for_team_discussion_legacy_response","content":"pub fn reactions_create_for_team_discussion_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Reaction, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_create_for_team_discussion_legacy_response\nmidas/sdk/github/operations reactions_create_for_team_discussion_legacy_response","url":"midas/sdk/github/operations.html#reactions_create_for_team_discussion_legacy_response"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_commit_comment_request","content":"pub fn reactions_delete_for_commit_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  reaction_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_commit_comment_request\nmidas/sdk/github/operations reactions_delete_for_commit_comment_request","url":"midas/sdk/github/operations.html#reactions_delete_for_commit_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_commit_comment_response","content":"pub fn reactions_delete_for_commit_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_commit_comment_response\nmidas/sdk/github/operations reactions_delete_for_commit_comment_response","url":"midas/sdk/github/operations.html#reactions_delete_for_commit_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_issue_comment_request","content":"pub fn reactions_delete_for_issue_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  reaction_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_issue_comment_request\nmidas/sdk/github/operations reactions_delete_for_issue_comment_request","url":"midas/sdk/github/operations.html#reactions_delete_for_issue_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_issue_comment_response","content":"pub fn reactions_delete_for_issue_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_issue_comment_response\nmidas/sdk/github/operations reactions_delete_for_issue_comment_response","url":"midas/sdk/github/operations.html#reactions_delete_for_issue_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_issue_request","content":"pub fn reactions_delete_for_issue_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  reaction_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_issue_request\nmidas/sdk/github/operations reactions_delete_for_issue_request","url":"midas/sdk/github/operations.html#reactions_delete_for_issue_request"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_issue_response","content":"pub fn reactions_delete_for_issue_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_issue_response\nmidas/sdk/github/operations reactions_delete_for_issue_response","url":"midas/sdk/github/operations.html#reactions_delete_for_issue_response"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_pull_request_comment_request","content":"pub fn reactions_delete_for_pull_request_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  reaction_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_pull_request_comment_request\nmidas/sdk/github/operations reactions_delete_for_pull_request_comment_request","url":"midas/sdk/github/operations.html#reactions_delete_for_pull_request_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_pull_request_comment_response","content":"pub fn reactions_delete_for_pull_request_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_pull_request_comment_response\nmidas/sdk/github/operations reactions_delete_for_pull_request_comment_response","url":"midas/sdk/github/operations.html#reactions_delete_for_pull_request_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_release_request","content":"pub fn reactions_delete_for_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n  reaction_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_release_request\nmidas/sdk/github/operations reactions_delete_for_release_request","url":"midas/sdk/github/operations.html#reactions_delete_for_release_request"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_release_response","content":"pub fn reactions_delete_for_release_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_release_response\nmidas/sdk/github/operations reactions_delete_for_release_response","url":"midas/sdk/github/operations.html#reactions_delete_for_release_response"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_team_discussion_comment_request","content":"pub fn reactions_delete_for_team_discussion_comment_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  reaction_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_team_discussion_comment_request\nmidas/sdk/github/operations reactions_delete_for_team_discussion_comment_request","url":"midas/sdk/github/operations.html#reactions_delete_for_team_discussion_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_team_discussion_comment_response","content":"pub fn reactions_delete_for_team_discussion_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_team_discussion_comment_response\nmidas/sdk/github/operations reactions_delete_for_team_discussion_comment_response","url":"midas/sdk/github/operations.html#reactions_delete_for_team_discussion_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_team_discussion_request","content":"pub fn reactions_delete_for_team_discussion_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  reaction_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_team_discussion_request\nmidas/sdk/github/operations reactions_delete_for_team_discussion_request","url":"midas/sdk/github/operations.html#reactions_delete_for_team_discussion_request"},{"doc":"midas/sdk/github/operations","title":"reactions_delete_for_team_discussion_response","content":"pub fn reactions_delete_for_team_discussion_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_delete_for_team_discussion_response\nmidas/sdk/github/operations reactions_delete_for_team_discussion_response","url":"midas/sdk/github/operations.html#reactions_delete_for_team_discussion_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_commit_comment_request","content":"pub fn reactions_list_for_commit_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_commit_comment_request\nmidas/sdk/github/operations reactions_list_for_commit_comment_request","url":"midas/sdk/github/operations.html#reactions_list_for_commit_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_commit_comment_response","content":"pub fn reactions_list_for_commit_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_commit_comment_response\nmidas/sdk/github/operations reactions_list_for_commit_comment_response","url":"midas/sdk/github/operations.html#reactions_list_for_commit_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_issue_comment_request","content":"pub fn reactions_list_for_issue_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_issue_comment_request\nmidas/sdk/github/operations reactions_list_for_issue_comment_request","url":"midas/sdk/github/operations.html#reactions_list_for_issue_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_issue_comment_response","content":"pub fn reactions_list_for_issue_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_issue_comment_response\nmidas/sdk/github/operations reactions_list_for_issue_comment_response","url":"midas/sdk/github/operations.html#reactions_list_for_issue_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_issue_request","content":"pub fn reactions_list_for_issue_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_issue_request\nmidas/sdk/github/operations reactions_list_for_issue_request","url":"midas/sdk/github/operations.html#reactions_list_for_issue_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_issue_response","content":"pub fn reactions_list_for_issue_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_issue_response\nmidas/sdk/github/operations reactions_list_for_issue_response","url":"midas/sdk/github/operations.html#reactions_list_for_issue_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_pull_request_review_comment_request","content":"pub fn reactions_list_for_pull_request_review_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_pull_request_review_comment_request\nmidas/sdk/github/operations reactions_list_for_pull_request_review_comment_request","url":"midas/sdk/github/operations.html#reactions_list_for_pull_request_review_comment_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_pull_request_review_comment_response","content":"pub fn reactions_list_for_pull_request_review_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_pull_request_review_comment_response\nmidas/sdk/github/operations reactions_list_for_pull_request_review_comment_response","url":"midas/sdk/github/operations.html#reactions_list_for_pull_request_review_comment_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_release_request","content":"pub fn reactions_list_for_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_release_request\nmidas/sdk/github/operations reactions_list_for_release_request","url":"midas/sdk/github/operations.html#reactions_list_for_release_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_release_response","content":"pub fn reactions_list_for_release_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_release_response\nmidas/sdk/github/operations reactions_list_for_release_response","url":"midas/sdk/github/operations.html#reactions_list_for_release_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_comment_in_org_request","content":"pub fn reactions_list_for_team_discussion_comment_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_comment_in_org_request\nmidas/sdk/github/operations reactions_list_for_team_discussion_comment_in_org_request","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_comment_in_org_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_comment_in_org_response","content":"pub fn reactions_list_for_team_discussion_comment_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_comment_in_org_response\nmidas/sdk/github/operations reactions_list_for_team_discussion_comment_in_org_response","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_comment_in_org_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_comment_legacy_request","content":"pub fn reactions_list_for_team_discussion_comment_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_comment_legacy_request\nmidas/sdk/github/operations reactions_list_for_team_discussion_comment_legacy_request","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_comment_legacy_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_comment_legacy_response","content":"pub fn reactions_list_for_team_discussion_comment_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_comment_legacy_response\nmidas/sdk/github/operations reactions_list_for_team_discussion_comment_legacy_response","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_comment_legacy_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_in_org_request","content":"pub fn reactions_list_for_team_discussion_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_in_org_request\nmidas/sdk/github/operations reactions_list_for_team_discussion_in_org_request","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_in_org_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_in_org_response","content":"pub fn reactions_list_for_team_discussion_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_in_org_response\nmidas/sdk/github/operations reactions_list_for_team_discussion_in_org_response","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_in_org_response"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_legacy_request","content":"pub fn reactions_list_for_team_discussion_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_legacy_request\nmidas/sdk/github/operations reactions_list_for_team_discussion_legacy_request","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_legacy_request"},{"doc":"midas/sdk/github/operations","title":"reactions_list_for_team_discussion_legacy_response","content":"pub fn reactions_list_for_team_discussion_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Reaction), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.reactions_list_for_team_discussion_legacy_response\nmidas/sdk/github/operations reactions_list_for_team_discussion_legacy_response","url":"midas/sdk/github/operations.html#reactions_list_for_team_discussion_legacy_response"},{"doc":"midas/sdk/github/operations","title":"repos_accept_invitation_for_authenticated_user_request","content":"pub fn repos_accept_invitation_for_authenticated_user_request(\n  base: Request(a),\n  invitation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_accept_invitation_for_authenticated_user_request\nmidas/sdk/github/operations repos_accept_invitation_for_authenticated_user_request","url":"midas/sdk/github/operations.html#repos_accept_invitation_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"repos_accept_invitation_for_authenticated_user_response","content":"pub fn repos_accept_invitation_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_accept_invitation_for_authenticated_user_response\nmidas/sdk/github/operations repos_accept_invitation_for_authenticated_user_response","url":"midas/sdk/github/operations.html#repos_accept_invitation_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"repos_add_app_access_restrictions_request","content":"pub fn repos_add_app_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_app_access_restrictions_request\nmidas/sdk/github/operations repos_add_app_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_add_app_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_add_app_access_restrictions_response","content":"pub fn repos_add_app_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Integration), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_app_access_restrictions_response\nmidas/sdk/github/operations repos_add_app_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_add_app_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_add_collaborator_request","content":"pub fn repos_add_collaborator_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  username: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_collaborator_request\nmidas/sdk/github/operations repos_add_collaborator_request","url":"midas/sdk/github/operations.html#repos_add_collaborator_request"},{"doc":"midas/sdk/github/operations","title":"repos_add_collaborator_response","content":"pub fn repos_add_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_collaborator_response\nmidas/sdk/github/operations repos_add_collaborator_response","url":"midas/sdk/github/operations.html#repos_add_collaborator_response"},{"doc":"midas/sdk/github/operations","title":"repos_add_status_check_contexts_request","content":"pub fn repos_add_status_check_contexts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_status_check_contexts_request\nmidas/sdk/github/operations repos_add_status_check_contexts_request","url":"midas/sdk/github/operations.html#repos_add_status_check_contexts_request"},{"doc":"midas/sdk/github/operations","title":"repos_add_status_check_contexts_response","content":"pub fn repos_add_status_check_contexts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_status_check_contexts_response\nmidas/sdk/github/operations repos_add_status_check_contexts_response","url":"midas/sdk/github/operations.html#repos_add_status_check_contexts_response"},{"doc":"midas/sdk/github/operations","title":"repos_add_team_access_restrictions_request","content":"pub fn repos_add_team_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_team_access_restrictions_request\nmidas/sdk/github/operations repos_add_team_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_add_team_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_add_team_access_restrictions_response","content":"pub fn repos_add_team_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_team_access_restrictions_response\nmidas/sdk/github/operations repos_add_team_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_add_team_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_add_user_access_restrictions_request","content":"pub fn repos_add_user_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_user_access_restrictions_request\nmidas/sdk/github/operations repos_add_user_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_add_user_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_add_user_access_restrictions_response","content":"pub fn repos_add_user_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_add_user_access_restrictions_response\nmidas/sdk/github/operations repos_add_user_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_add_user_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_cancel_pages_deployment_request","content":"pub fn repos_cancel_pages_deployment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pages_deployment_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_cancel_pages_deployment_request\nmidas/sdk/github/operations repos_cancel_pages_deployment_request","url":"midas/sdk/github/operations.html#repos_cancel_pages_deployment_request"},{"doc":"midas/sdk/github/operations","title":"repos_cancel_pages_deployment_response","content":"pub fn repos_cancel_pages_deployment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_cancel_pages_deployment_response\nmidas/sdk/github/operations repos_cancel_pages_deployment_response","url":"midas/sdk/github/operations.html#repos_cancel_pages_deployment_response"},{"doc":"midas/sdk/github/operations","title":"repos_check_automated_security_fixes_request","content":"pub fn repos_check_automated_security_fixes_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_automated_security_fixes_request\nmidas/sdk/github/operations repos_check_automated_security_fixes_request","url":"midas/sdk/github/operations.html#repos_check_automated_security_fixes_request"},{"doc":"midas/sdk/github/operations","title":"repos_check_automated_security_fixes_response","content":"pub fn repos_check_automated_security_fixes_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(CheckAutomatedSecurityFixes, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_automated_security_fixes_response\nmidas/sdk/github/operations repos_check_automated_security_fixes_response","url":"midas/sdk/github/operations.html#repos_check_automated_security_fixes_response"},{"doc":"midas/sdk/github/operations","title":"repos_check_collaborator_request","content":"pub fn repos_check_collaborator_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_collaborator_request\nmidas/sdk/github/operations repos_check_collaborator_request","url":"midas/sdk/github/operations.html#repos_check_collaborator_request"},{"doc":"midas/sdk/github/operations","title":"repos_check_collaborator_response","content":"pub fn repos_check_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_collaborator_response\nmidas/sdk/github/operations repos_check_collaborator_response","url":"midas/sdk/github/operations.html#repos_check_collaborator_response"},{"doc":"midas/sdk/github/operations","title":"repos_check_private_vulnerability_reporting_request","content":"pub fn repos_check_private_vulnerability_reporting_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_private_vulnerability_reporting_request\nmidas/sdk/github/operations repos_check_private_vulnerability_reporting_request","url":"midas/sdk/github/operations.html#repos_check_private_vulnerability_reporting_request"},{"doc":"midas/sdk/github/operations","title":"repos_check_private_vulnerability_reporting_response","content":"pub fn repos_check_private_vulnerability_reporting_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_private_vulnerability_reporting_response\nmidas/sdk/github/operations repos_check_private_vulnerability_reporting_response","url":"midas/sdk/github/operations.html#repos_check_private_vulnerability_reporting_response"},{"doc":"midas/sdk/github/operations","title":"repos_check_vulnerability_alerts_request","content":"pub fn repos_check_vulnerability_alerts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_vulnerability_alerts_request\nmidas/sdk/github/operations repos_check_vulnerability_alerts_request","url":"midas/sdk/github/operations.html#repos_check_vulnerability_alerts_request"},{"doc":"midas/sdk/github/operations","title":"repos_check_vulnerability_alerts_response","content":"pub fn repos_check_vulnerability_alerts_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_check_vulnerability_alerts_response\nmidas/sdk/github/operations repos_check_vulnerability_alerts_response","url":"midas/sdk/github/operations.html#repos_check_vulnerability_alerts_response"},{"doc":"midas/sdk/github/operations","title":"repos_codeowners_errors_request","content":"pub fn repos_codeowners_errors_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_codeowners_errors_request\nmidas/sdk/github/operations repos_codeowners_errors_request","url":"midas/sdk/github/operations.html#repos_codeowners_errors_request"},{"doc":"midas/sdk/github/operations","title":"repos_codeowners_errors_response","content":"pub fn repos_codeowners_errors_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CodeownersErrors, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_codeowners_errors_response\nmidas/sdk/github/operations repos_codeowners_errors_response","url":"midas/sdk/github/operations.html#repos_codeowners_errors_response"},{"doc":"midas/sdk/github/operations","title":"repos_compare_commits_request","content":"pub fn repos_compare_commits_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  basehead: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_compare_commits_request\nmidas/sdk/github/operations repos_compare_commits_request","url":"midas/sdk/github/operations.html#repos_compare_commits_request"},{"doc":"midas/sdk/github/operations","title":"repos_compare_commits_response","content":"pub fn repos_compare_commits_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CommitComparison, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_compare_commits_response\nmidas/sdk/github/operations repos_compare_commits_response","url":"midas/sdk/github/operations.html#repos_compare_commits_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_attestation_request","content":"pub fn repos_create_attestation_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_attestation_request\nmidas/sdk/github/operations repos_create_attestation_request","url":"midas/sdk/github/operations.html#repos_create_attestation_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_attestation_response","content":"pub fn repos_create_attestation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_attestation_response\nmidas/sdk/github/operations repos_create_attestation_response","url":"midas/sdk/github/operations.html#repos_create_attestation_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_autolink_request","content":"pub fn repos_create_autolink_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_autolink_request\nmidas/sdk/github/operations repos_create_autolink_request","url":"midas/sdk/github/operations.html#repos_create_autolink_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_autolink_response","content":"pub fn repos_create_autolink_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Autolink, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_autolink_response\nmidas/sdk/github/operations repos_create_autolink_response","url":"midas/sdk/github/operations.html#repos_create_autolink_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_commit_comment_request","content":"pub fn repos_create_commit_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  commit_sha: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_commit_comment_request\nmidas/sdk/github/operations repos_create_commit_comment_request","url":"midas/sdk/github/operations.html#repos_create_commit_comment_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_commit_comment_response","content":"pub fn repos_create_commit_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CommitComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_commit_comment_response\nmidas/sdk/github/operations repos_create_commit_comment_response","url":"midas/sdk/github/operations.html#repos_create_commit_comment_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_commit_signature_protection_request","content":"pub fn repos_create_commit_signature_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_commit_signature_protection_request\nmidas/sdk/github/operations repos_create_commit_signature_protection_request","url":"midas/sdk/github/operations.html#repos_create_commit_signature_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_commit_signature_protection_response","content":"pub fn repos_create_commit_signature_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ProtectedBranchAdminEnforced, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_commit_signature_protection_response\nmidas/sdk/github/operations repos_create_commit_signature_protection_response","url":"midas/sdk/github/operations.html#repos_create_commit_signature_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_commit_status_request","content":"pub fn repos_create_commit_status_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  sha: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_commit_status_request\nmidas/sdk/github/operations repos_create_commit_status_request","url":"midas/sdk/github/operations.html#repos_create_commit_status_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_commit_status_response","content":"pub fn repos_create_commit_status_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Status, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_commit_status_response\nmidas/sdk/github/operations repos_create_commit_status_response","url":"midas/sdk/github/operations.html#repos_create_commit_status_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_deploy_key_request","content":"pub fn repos_create_deploy_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deploy_key_request\nmidas/sdk/github/operations repos_create_deploy_key_request","url":"midas/sdk/github/operations.html#repos_create_deploy_key_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_deploy_key_response","content":"pub fn repos_create_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeployKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deploy_key_response\nmidas/sdk/github/operations repos_create_deploy_key_response","url":"midas/sdk/github/operations.html#repos_create_deploy_key_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_branch_policy_request","content":"pub fn repos_create_deployment_branch_policy_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  deployment_branch_policy_name_pattern_with_type: DeploymentBranchPolicyNamePatternWithType,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_branch_policy_request\nmidas/sdk/github/operations repos_create_deployment_branch_policy_request","url":"midas/sdk/github/operations.html#repos_create_deployment_branch_policy_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_branch_policy_response","content":"pub fn repos_create_deployment_branch_policy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeploymentBranchPolicy, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_branch_policy_response\nmidas/sdk/github/operations repos_create_deployment_branch_policy_response","url":"midas/sdk/github/operations.html#repos_create_deployment_branch_policy_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_protection_rule_request","content":"pub fn repos_create_deployment_protection_rule_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_protection_rule_request\nmidas/sdk/github/operations repos_create_deployment_protection_rule_request","url":"midas/sdk/github/operations.html#repos_create_deployment_protection_rule_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_protection_rule_response","content":"pub fn repos_create_deployment_protection_rule_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeploymentProtectionRule, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_protection_rule_response\nmidas/sdk/github/operations repos_create_deployment_protection_rule_response","url":"midas/sdk/github/operations.html#repos_create_deployment_protection_rule_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_request","content":"pub fn repos_create_deployment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_request\nmidas/sdk/github/operations repos_create_deployment_request","url":"midas/sdk/github/operations.html#repos_create_deployment_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_response","content":"pub fn repos_create_deployment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deployment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_response\nmidas/sdk/github/operations repos_create_deployment_response","url":"midas/sdk/github/operations.html#repos_create_deployment_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_status_request","content":"pub fn repos_create_deployment_status_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_status_request\nmidas/sdk/github/operations repos_create_deployment_status_request","url":"midas/sdk/github/operations.html#repos_create_deployment_status_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_deployment_status_response","content":"pub fn repos_create_deployment_status_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeploymentStatus, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_deployment_status_response\nmidas/sdk/github/operations repos_create_deployment_status_response","url":"midas/sdk/github/operations.html#repos_create_deployment_status_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_dispatch_event_request","content":"pub fn repos_create_dispatch_event_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_dispatch_event_request\nmidas/sdk/github/operations repos_create_dispatch_event_request","url":"midas/sdk/github/operations.html#repos_create_dispatch_event_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_dispatch_event_response","content":"pub fn repos_create_dispatch_event_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_dispatch_event_response\nmidas/sdk/github/operations repos_create_dispatch_event_response","url":"midas/sdk/github/operations.html#repos_create_dispatch_event_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_for_authenticated_user_request","content":"pub fn repos_create_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_for_authenticated_user_request\nmidas/sdk/github/operations repos_create_for_authenticated_user_request","url":"midas/sdk/github/operations.html#repos_create_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_for_authenticated_user_response","content":"pub fn repos_create_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FullRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_for_authenticated_user_response\nmidas/sdk/github/operations repos_create_for_authenticated_user_response","url":"midas/sdk/github/operations.html#repos_create_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_fork_request","content":"pub fn repos_create_fork_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_fork_request\nmidas/sdk/github/operations repos_create_fork_request","url":"midas/sdk/github/operations.html#repos_create_fork_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_fork_response","content":"pub fn repos_create_fork_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FullRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_fork_response\nmidas/sdk/github/operations repos_create_fork_response","url":"midas/sdk/github/operations.html#repos_create_fork_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_in_org_request","content":"pub fn repos_create_in_org_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_in_org_request\nmidas/sdk/github/operations repos_create_in_org_request","url":"midas/sdk/github/operations.html#repos_create_in_org_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_in_org_response","content":"pub fn repos_create_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FullRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_in_org_response\nmidas/sdk/github/operations repos_create_in_org_response","url":"midas/sdk/github/operations.html#repos_create_in_org_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_or_update_custom_properties_values_request","content":"pub fn repos_create_or_update_custom_properties_values_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_or_update_custom_properties_values_request\nmidas/sdk/github/operations repos_create_or_update_custom_properties_values_request","url":"midas/sdk/github/operations.html#repos_create_or_update_custom_properties_values_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_or_update_custom_properties_values_response","content":"pub fn repos_create_or_update_custom_properties_values_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_or_update_custom_properties_values_response\nmidas/sdk/github/operations repos_create_or_update_custom_properties_values_response","url":"midas/sdk/github/operations.html#repos_create_or_update_custom_properties_values_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_or_update_environment_request","content":"pub fn repos_create_or_update_environment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_or_update_environment_request\nmidas/sdk/github/operations repos_create_or_update_environment_request","url":"midas/sdk/github/operations.html#repos_create_or_update_environment_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_or_update_environment_response","content":"pub fn repos_create_or_update_environment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Environment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_or_update_environment_response\nmidas/sdk/github/operations repos_create_or_update_environment_response","url":"midas/sdk/github/operations.html#repos_create_or_update_environment_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_or_update_file_contents_request","content":"pub fn repos_create_or_update_file_contents_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  path_: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_or_update_file_contents_request\nmidas/sdk/github/operations repos_create_or_update_file_contents_request","url":"midas/sdk/github/operations.html#repos_create_or_update_file_contents_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_or_update_file_contents_response","content":"pub fn repos_create_or_update_file_contents_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FileCommit, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_or_update_file_contents_response\nmidas/sdk/github/operations repos_create_or_update_file_contents_response","url":"midas/sdk/github/operations.html#repos_create_or_update_file_contents_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_org_ruleset_request","content":"pub fn repos_create_org_ruleset_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_org_ruleset_request\nmidas/sdk/github/operations repos_create_org_ruleset_request","url":"midas/sdk/github/operations.html#repos_create_org_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_org_ruleset_response","content":"pub fn repos_create_org_ruleset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryRuleset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_org_ruleset_response\nmidas/sdk/github/operations repos_create_org_ruleset_response","url":"midas/sdk/github/operations.html#repos_create_org_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_pages_deployment_request","content":"pub fn repos_create_pages_deployment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_pages_deployment_request\nmidas/sdk/github/operations repos_create_pages_deployment_request","url":"midas/sdk/github/operations.html#repos_create_pages_deployment_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_pages_deployment_response","content":"pub fn repos_create_pages_deployment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PageDeployment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_pages_deployment_response\nmidas/sdk/github/operations repos_create_pages_deployment_response","url":"midas/sdk/github/operations.html#repos_create_pages_deployment_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_pages_site_request","content":"pub fn repos_create_pages_site_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_pages_site_request\nmidas/sdk/github/operations repos_create_pages_site_request","url":"midas/sdk/github/operations.html#repos_create_pages_site_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_pages_site_response","content":"pub fn repos_create_pages_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Page, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_pages_site_response\nmidas/sdk/github/operations repos_create_pages_site_response","url":"midas/sdk/github/operations.html#repos_create_pages_site_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_release_request","content":"pub fn repos_create_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_release_request\nmidas/sdk/github/operations repos_create_release_request","url":"midas/sdk/github/operations.html#repos_create_release_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_release_response","content":"pub fn repos_create_release_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Release, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_release_response\nmidas/sdk/github/operations repos_create_release_response","url":"midas/sdk/github/operations.html#repos_create_release_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_repo_ruleset_request","content":"pub fn repos_create_repo_ruleset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_repo_ruleset_request\nmidas/sdk/github/operations repos_create_repo_ruleset_request","url":"midas/sdk/github/operations.html#repos_create_repo_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_repo_ruleset_response","content":"pub fn repos_create_repo_ruleset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryRuleset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_repo_ruleset_response\nmidas/sdk/github/operations repos_create_repo_ruleset_response","url":"midas/sdk/github/operations.html#repos_create_repo_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_tag_protection_request","content":"pub fn repos_create_tag_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_tag_protection_request\nmidas/sdk/github/operations repos_create_tag_protection_request","url":"midas/sdk/github/operations.html#repos_create_tag_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_tag_protection_response","content":"pub fn repos_create_tag_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TagProtection, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_tag_protection_response\nmidas/sdk/github/operations repos_create_tag_protection_response","url":"midas/sdk/github/operations.html#repos_create_tag_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_using_template_request","content":"pub fn repos_create_using_template_request(\n  base: Request(a),\n  template_owner: String,\n  template_repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_using_template_request\nmidas/sdk/github/operations repos_create_using_template_request","url":"midas/sdk/github/operations.html#repos_create_using_template_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_using_template_response","content":"pub fn repos_create_using_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FullRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_using_template_response\nmidas/sdk/github/operations repos_create_using_template_response","url":"midas/sdk/github/operations.html#repos_create_using_template_response"},{"doc":"midas/sdk/github/operations","title":"repos_create_webhook_request","content":"pub fn repos_create_webhook_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_webhook_request\nmidas/sdk/github/operations repos_create_webhook_request","url":"midas/sdk/github/operations.html#repos_create_webhook_request"},{"doc":"midas/sdk/github/operations","title":"repos_create_webhook_response","content":"pub fn repos_create_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_create_webhook_response\nmidas/sdk/github/operations repos_create_webhook_response","url":"midas/sdk/github/operations.html#repos_create_webhook_response"},{"doc":"midas/sdk/github/operations","title":"repos_decline_invitation_for_authenticated_user_request","content":"pub fn repos_decline_invitation_for_authenticated_user_request(\n  base: Request(a),\n  invitation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_decline_invitation_for_authenticated_user_request\nmidas/sdk/github/operations repos_decline_invitation_for_authenticated_user_request","url":"midas/sdk/github/operations.html#repos_decline_invitation_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"repos_decline_invitation_for_authenticated_user_response","content":"pub fn repos_decline_invitation_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_decline_invitation_for_authenticated_user_response\nmidas/sdk/github/operations repos_decline_invitation_for_authenticated_user_response","url":"midas/sdk/github/operations.html#repos_decline_invitation_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_access_restrictions_request","content":"pub fn repos_delete_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_access_restrictions_request\nmidas/sdk/github/operations repos_delete_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_delete_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_access_restrictions_response","content":"pub fn repos_delete_access_restrictions_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_access_restrictions_response\nmidas/sdk/github/operations repos_delete_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_delete_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_admin_branch_protection_request","content":"pub fn repos_delete_admin_branch_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_admin_branch_protection_request\nmidas/sdk/github/operations repos_delete_admin_branch_protection_request","url":"midas/sdk/github/operations.html#repos_delete_admin_branch_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_admin_branch_protection_response","content":"pub fn repos_delete_admin_branch_protection_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_admin_branch_protection_response\nmidas/sdk/github/operations repos_delete_admin_branch_protection_response","url":"midas/sdk/github/operations.html#repos_delete_admin_branch_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_an_environment_request","content":"pub fn repos_delete_an_environment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_an_environment_request\nmidas/sdk/github/operations repos_delete_an_environment_request","url":"midas/sdk/github/operations.html#repos_delete_an_environment_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_an_environment_response","content":"pub fn repos_delete_an_environment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_an_environment_response\nmidas/sdk/github/operations repos_delete_an_environment_response","url":"midas/sdk/github/operations.html#repos_delete_an_environment_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_autolink_request","content":"pub fn repos_delete_autolink_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  autolink_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_autolink_request\nmidas/sdk/github/operations repos_delete_autolink_request","url":"midas/sdk/github/operations.html#repos_delete_autolink_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_autolink_response","content":"pub fn repos_delete_autolink_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_autolink_response\nmidas/sdk/github/operations repos_delete_autolink_response","url":"midas/sdk/github/operations.html#repos_delete_autolink_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_branch_protection_request","content":"pub fn repos_delete_branch_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_branch_protection_request\nmidas/sdk/github/operations repos_delete_branch_protection_request","url":"midas/sdk/github/operations.html#repos_delete_branch_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_branch_protection_response","content":"pub fn repos_delete_branch_protection_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_branch_protection_response\nmidas/sdk/github/operations repos_delete_branch_protection_response","url":"midas/sdk/github/operations.html#repos_delete_branch_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_commit_comment_request","content":"pub fn repos_delete_commit_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_commit_comment_request\nmidas/sdk/github/operations repos_delete_commit_comment_request","url":"midas/sdk/github/operations.html#repos_delete_commit_comment_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_commit_comment_response","content":"pub fn repos_delete_commit_comment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_commit_comment_response\nmidas/sdk/github/operations repos_delete_commit_comment_response","url":"midas/sdk/github/operations.html#repos_delete_commit_comment_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_commit_signature_protection_request","content":"pub fn repos_delete_commit_signature_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_commit_signature_protection_request\nmidas/sdk/github/operations repos_delete_commit_signature_protection_request","url":"midas/sdk/github/operations.html#repos_delete_commit_signature_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_commit_signature_protection_response","content":"pub fn repos_delete_commit_signature_protection_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_commit_signature_protection_response\nmidas/sdk/github/operations repos_delete_commit_signature_protection_response","url":"midas/sdk/github/operations.html#repos_delete_commit_signature_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_deploy_key_request","content":"pub fn repos_delete_deploy_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_deploy_key_request\nmidas/sdk/github/operations repos_delete_deploy_key_request","url":"midas/sdk/github/operations.html#repos_delete_deploy_key_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_deploy_key_response","content":"pub fn repos_delete_deploy_key_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_deploy_key_response\nmidas/sdk/github/operations repos_delete_deploy_key_response","url":"midas/sdk/github/operations.html#repos_delete_deploy_key_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_deployment_branch_policy_request","content":"pub fn repos_delete_deployment_branch_policy_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  branch_policy_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_deployment_branch_policy_request\nmidas/sdk/github/operations repos_delete_deployment_branch_policy_request","url":"midas/sdk/github/operations.html#repos_delete_deployment_branch_policy_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_deployment_branch_policy_response","content":"pub fn repos_delete_deployment_branch_policy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_deployment_branch_policy_response\nmidas/sdk/github/operations repos_delete_deployment_branch_policy_response","url":"midas/sdk/github/operations.html#repos_delete_deployment_branch_policy_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_deployment_request","content":"pub fn repos_delete_deployment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_deployment_request\nmidas/sdk/github/operations repos_delete_deployment_request","url":"midas/sdk/github/operations.html#repos_delete_deployment_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_deployment_response","content":"pub fn repos_delete_deployment_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_deployment_response\nmidas/sdk/github/operations repos_delete_deployment_response","url":"midas/sdk/github/operations.html#repos_delete_deployment_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_file_request","content":"pub fn repos_delete_file_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  path_: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_file_request\nmidas/sdk/github/operations repos_delete_file_request","url":"midas/sdk/github/operations.html#repos_delete_file_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_file_response","content":"pub fn repos_delete_file_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FileCommit, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_file_response\nmidas/sdk/github/operations repos_delete_file_response","url":"midas/sdk/github/operations.html#repos_delete_file_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_invitation_request","content":"pub fn repos_delete_invitation_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  invitation_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_invitation_request\nmidas/sdk/github/operations repos_delete_invitation_request","url":"midas/sdk/github/operations.html#repos_delete_invitation_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_invitation_response","content":"pub fn repos_delete_invitation_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_invitation_response\nmidas/sdk/github/operations repos_delete_invitation_response","url":"midas/sdk/github/operations.html#repos_delete_invitation_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_org_ruleset_request","content":"pub fn repos_delete_org_ruleset_request(\n  base: Request(a),\n  org: String,\n  ruleset_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_org_ruleset_request\nmidas/sdk/github/operations repos_delete_org_ruleset_request","url":"midas/sdk/github/operations.html#repos_delete_org_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_org_ruleset_response","content":"pub fn repos_delete_org_ruleset_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_org_ruleset_response\nmidas/sdk/github/operations repos_delete_org_ruleset_response","url":"midas/sdk/github/operations.html#repos_delete_org_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_pages_site_request","content":"pub fn repos_delete_pages_site_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_pages_site_request\nmidas/sdk/github/operations repos_delete_pages_site_request","url":"midas/sdk/github/operations.html#repos_delete_pages_site_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_pages_site_response","content":"pub fn repos_delete_pages_site_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_pages_site_response\nmidas/sdk/github/operations repos_delete_pages_site_response","url":"midas/sdk/github/operations.html#repos_delete_pages_site_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_pull_request_review_protection_request","content":"pub fn repos_delete_pull_request_review_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_pull_request_review_protection_request\nmidas/sdk/github/operations repos_delete_pull_request_review_protection_request","url":"midas/sdk/github/operations.html#repos_delete_pull_request_review_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_pull_request_review_protection_response","content":"pub fn repos_delete_pull_request_review_protection_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_pull_request_review_protection_response\nmidas/sdk/github/operations repos_delete_pull_request_review_protection_response","url":"midas/sdk/github/operations.html#repos_delete_pull_request_review_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_release_asset_request","content":"pub fn repos_delete_release_asset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  asset_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_release_asset_request\nmidas/sdk/github/operations repos_delete_release_asset_request","url":"midas/sdk/github/operations.html#repos_delete_release_asset_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_release_asset_response","content":"pub fn repos_delete_release_asset_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_release_asset_response\nmidas/sdk/github/operations repos_delete_release_asset_response","url":"midas/sdk/github/operations.html#repos_delete_release_asset_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_release_request","content":"pub fn repos_delete_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_release_request\nmidas/sdk/github/operations repos_delete_release_request","url":"midas/sdk/github/operations.html#repos_delete_release_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_release_response","content":"pub fn repos_delete_release_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_release_response\nmidas/sdk/github/operations repos_delete_release_response","url":"midas/sdk/github/operations.html#repos_delete_release_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_repo_ruleset_request","content":"pub fn repos_delete_repo_ruleset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ruleset_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_repo_ruleset_request\nmidas/sdk/github/operations repos_delete_repo_ruleset_request","url":"midas/sdk/github/operations.html#repos_delete_repo_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_repo_ruleset_response","content":"pub fn repos_delete_repo_ruleset_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_repo_ruleset_response\nmidas/sdk/github/operations repos_delete_repo_ruleset_response","url":"midas/sdk/github/operations.html#repos_delete_repo_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_request","content":"pub fn repos_delete_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_request\nmidas/sdk/github/operations repos_delete_request","url":"midas/sdk/github/operations.html#repos_delete_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_response","content":"pub fn repos_delete_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_response\nmidas/sdk/github/operations repos_delete_response","url":"midas/sdk/github/operations.html#repos_delete_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_tag_protection_request","content":"pub fn repos_delete_tag_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  tag_protection_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_tag_protection_request\nmidas/sdk/github/operations repos_delete_tag_protection_request","url":"midas/sdk/github/operations.html#repos_delete_tag_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_tag_protection_response","content":"pub fn repos_delete_tag_protection_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_tag_protection_response\nmidas/sdk/github/operations repos_delete_tag_protection_response","url":"midas/sdk/github/operations.html#repos_delete_tag_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_delete_webhook_request","content":"pub fn repos_delete_webhook_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_webhook_request\nmidas/sdk/github/operations repos_delete_webhook_request","url":"midas/sdk/github/operations.html#repos_delete_webhook_request"},{"doc":"midas/sdk/github/operations","title":"repos_delete_webhook_response","content":"pub fn repos_delete_webhook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_delete_webhook_response\nmidas/sdk/github/operations repos_delete_webhook_response","url":"midas/sdk/github/operations.html#repos_delete_webhook_response"},{"doc":"midas/sdk/github/operations","title":"repos_disable_automated_security_fixes_request","content":"pub fn repos_disable_automated_security_fixes_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_automated_security_fixes_request\nmidas/sdk/github/operations repos_disable_automated_security_fixes_request","url":"midas/sdk/github/operations.html#repos_disable_automated_security_fixes_request"},{"doc":"midas/sdk/github/operations","title":"repos_disable_automated_security_fixes_response","content":"pub fn repos_disable_automated_security_fixes_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_automated_security_fixes_response\nmidas/sdk/github/operations repos_disable_automated_security_fixes_response","url":"midas/sdk/github/operations.html#repos_disable_automated_security_fixes_response"},{"doc":"midas/sdk/github/operations","title":"repos_disable_deployment_protection_rule_request","content":"pub fn repos_disable_deployment_protection_rule_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  protection_rule_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_deployment_protection_rule_request\nmidas/sdk/github/operations repos_disable_deployment_protection_rule_request","url":"midas/sdk/github/operations.html#repos_disable_deployment_protection_rule_request"},{"doc":"midas/sdk/github/operations","title":"repos_disable_deployment_protection_rule_response","content":"pub fn repos_disable_deployment_protection_rule_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_deployment_protection_rule_response\nmidas/sdk/github/operations repos_disable_deployment_protection_rule_response","url":"midas/sdk/github/operations.html#repos_disable_deployment_protection_rule_response"},{"doc":"midas/sdk/github/operations","title":"repos_disable_private_vulnerability_reporting_request","content":"pub fn repos_disable_private_vulnerability_reporting_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_private_vulnerability_reporting_request\nmidas/sdk/github/operations repos_disable_private_vulnerability_reporting_request","url":"midas/sdk/github/operations.html#repos_disable_private_vulnerability_reporting_request"},{"doc":"midas/sdk/github/operations","title":"repos_disable_private_vulnerability_reporting_response","content":"pub fn repos_disable_private_vulnerability_reporting_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_private_vulnerability_reporting_response\nmidas/sdk/github/operations repos_disable_private_vulnerability_reporting_response","url":"midas/sdk/github/operations.html#repos_disable_private_vulnerability_reporting_response"},{"doc":"midas/sdk/github/operations","title":"repos_disable_vulnerability_alerts_request","content":"pub fn repos_disable_vulnerability_alerts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_vulnerability_alerts_request\nmidas/sdk/github/operations repos_disable_vulnerability_alerts_request","url":"midas/sdk/github/operations.html#repos_disable_vulnerability_alerts_request"},{"doc":"midas/sdk/github/operations","title":"repos_disable_vulnerability_alerts_response","content":"pub fn repos_disable_vulnerability_alerts_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_disable_vulnerability_alerts_response\nmidas/sdk/github/operations repos_disable_vulnerability_alerts_response","url":"midas/sdk/github/operations.html#repos_disable_vulnerability_alerts_response"},{"doc":"midas/sdk/github/operations","title":"repos_download_tarball_archive_request","content":"pub fn repos_download_tarball_archive_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_download_tarball_archive_request\nmidas/sdk/github/operations repos_download_tarball_archive_request","url":"midas/sdk/github/operations.html#repos_download_tarball_archive_request"},{"doc":"midas/sdk/github/operations","title":"repos_download_tarball_archive_response","content":"pub fn repos_download_tarball_archive_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.repos_download_tarball_archive_response\nmidas/sdk/github/operations repos_download_tarball_archive_response","url":"midas/sdk/github/operations.html#repos_download_tarball_archive_response"},{"doc":"midas/sdk/github/operations","title":"repos_download_zipball_archive_request","content":"pub fn repos_download_zipball_archive_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_download_zipball_archive_request\nmidas/sdk/github/operations repos_download_zipball_archive_request","url":"midas/sdk/github/operations.html#repos_download_zipball_archive_request"},{"doc":"midas/sdk/github/operations","title":"repos_download_zipball_archive_response","content":"pub fn repos_download_zipball_archive_response(\n  response: Response(a),\n) -&gt; Result(Result(b, String), c)\n\nSynonyms:\nmidas/sdk/github/operations.repos_download_zipball_archive_response\nmidas/sdk/github/operations repos_download_zipball_archive_response","url":"midas/sdk/github/operations.html#repos_download_zipball_archive_response"},{"doc":"midas/sdk/github/operations","title":"repos_enable_automated_security_fixes_request","content":"pub fn repos_enable_automated_security_fixes_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_enable_automated_security_fixes_request\nmidas/sdk/github/operations repos_enable_automated_security_fixes_request","url":"midas/sdk/github/operations.html#repos_enable_automated_security_fixes_request"},{"doc":"midas/sdk/github/operations","title":"repos_enable_automated_security_fixes_response","content":"pub fn repos_enable_automated_security_fixes_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_enable_automated_security_fixes_response\nmidas/sdk/github/operations repos_enable_automated_security_fixes_response","url":"midas/sdk/github/operations.html#repos_enable_automated_security_fixes_response"},{"doc":"midas/sdk/github/operations","title":"repos_enable_private_vulnerability_reporting_request","content":"pub fn repos_enable_private_vulnerability_reporting_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_enable_private_vulnerability_reporting_request\nmidas/sdk/github/operations repos_enable_private_vulnerability_reporting_request","url":"midas/sdk/github/operations.html#repos_enable_private_vulnerability_reporting_request"},{"doc":"midas/sdk/github/operations","title":"repos_enable_private_vulnerability_reporting_response","content":"pub fn repos_enable_private_vulnerability_reporting_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_enable_private_vulnerability_reporting_response\nmidas/sdk/github/operations repos_enable_private_vulnerability_reporting_response","url":"midas/sdk/github/operations.html#repos_enable_private_vulnerability_reporting_response"},{"doc":"midas/sdk/github/operations","title":"repos_enable_vulnerability_alerts_request","content":"pub fn repos_enable_vulnerability_alerts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_enable_vulnerability_alerts_request\nmidas/sdk/github/operations repos_enable_vulnerability_alerts_request","url":"midas/sdk/github/operations.html#repos_enable_vulnerability_alerts_request"},{"doc":"midas/sdk/github/operations","title":"repos_enable_vulnerability_alerts_response","content":"pub fn repos_enable_vulnerability_alerts_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_enable_vulnerability_alerts_response\nmidas/sdk/github/operations repos_enable_vulnerability_alerts_response","url":"midas/sdk/github/operations.html#repos_enable_vulnerability_alerts_response"},{"doc":"midas/sdk/github/operations","title":"repos_generate_release_notes_request","content":"pub fn repos_generate_release_notes_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_generate_release_notes_request\nmidas/sdk/github/operations repos_generate_release_notes_request","url":"midas/sdk/github/operations.html#repos_generate_release_notes_request"},{"doc":"midas/sdk/github/operations","title":"repos_generate_release_notes_response","content":"pub fn repos_generate_release_notes_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ReleaseNotesContent, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_generate_release_notes_response\nmidas/sdk/github/operations repos_generate_release_notes_response","url":"midas/sdk/github/operations.html#repos_generate_release_notes_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_access_restrictions_request","content":"pub fn repos_get_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_access_restrictions_request\nmidas/sdk/github/operations repos_get_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_get_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_access_restrictions_response","content":"pub fn repos_get_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BranchRestrictionPolicy, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_access_restrictions_response\nmidas/sdk/github/operations repos_get_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_get_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_admin_branch_protection_request","content":"pub fn repos_get_admin_branch_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_admin_branch_protection_request\nmidas/sdk/github/operations repos_get_admin_branch_protection_request","url":"midas/sdk/github/operations.html#repos_get_admin_branch_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_admin_branch_protection_response","content":"pub fn repos_get_admin_branch_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ProtectedBranchAdminEnforced, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_admin_branch_protection_response\nmidas/sdk/github/operations repos_get_admin_branch_protection_response","url":"midas/sdk/github/operations.html#repos_get_admin_branch_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_deployment_protection_rules_request","content":"pub fn repos_get_all_deployment_protection_rules_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_deployment_protection_rules_request\nmidas/sdk/github/operations repos_get_all_deployment_protection_rules_request","url":"midas/sdk/github/operations.html#repos_get_all_deployment_protection_rules_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_deployment_protection_rules_response","content":"pub fn repos_get_all_deployment_protection_rules_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_deployment_protection_rules_response\nmidas/sdk/github/operations repos_get_all_deployment_protection_rules_response","url":"midas/sdk/github/operations.html#repos_get_all_deployment_protection_rules_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_environments_request","content":"pub fn repos_get_all_environments_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_environments_request\nmidas/sdk/github/operations repos_get_all_environments_request","url":"midas/sdk/github/operations.html#repos_get_all_environments_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_environments_response","content":"pub fn repos_get_all_environments_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_environments_response\nmidas/sdk/github/operations repos_get_all_environments_response","url":"midas/sdk/github/operations.html#repos_get_all_environments_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_status_check_contexts_request","content":"pub fn repos_get_all_status_check_contexts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_status_check_contexts_request\nmidas/sdk/github/operations repos_get_all_status_check_contexts_request","url":"midas/sdk/github/operations.html#repos_get_all_status_check_contexts_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_status_check_contexts_response","content":"pub fn repos_get_all_status_check_contexts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_status_check_contexts_response\nmidas/sdk/github/operations repos_get_all_status_check_contexts_response","url":"midas/sdk/github/operations.html#repos_get_all_status_check_contexts_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_topics_request","content":"pub fn repos_get_all_topics_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_topics_request\nmidas/sdk/github/operations repos_get_all_topics_request","url":"midas/sdk/github/operations.html#repos_get_all_topics_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_all_topics_response","content":"pub fn repos_get_all_topics_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Topic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_all_topics_response\nmidas/sdk/github/operations repos_get_all_topics_response","url":"midas/sdk/github/operations.html#repos_get_all_topics_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_apps_with_access_to_protected_branch_request","content":"pub fn repos_get_apps_with_access_to_protected_branch_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_apps_with_access_to_protected_branch_request\nmidas/sdk/github/operations repos_get_apps_with_access_to_protected_branch_request","url":"midas/sdk/github/operations.html#repos_get_apps_with_access_to_protected_branch_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_apps_with_access_to_protected_branch_response","content":"pub fn repos_get_apps_with_access_to_protected_branch_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Integration), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_apps_with_access_to_protected_branch_response\nmidas/sdk/github/operations repos_get_apps_with_access_to_protected_branch_response","url":"midas/sdk/github/operations.html#repos_get_apps_with_access_to_protected_branch_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_autolink_request","content":"pub fn repos_get_autolink_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  autolink_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_autolink_request\nmidas/sdk/github/operations repos_get_autolink_request","url":"midas/sdk/github/operations.html#repos_get_autolink_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_autolink_response","content":"pub fn repos_get_autolink_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Autolink, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_autolink_response\nmidas/sdk/github/operations repos_get_autolink_response","url":"midas/sdk/github/operations.html#repos_get_autolink_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_branch_protection_request","content":"pub fn repos_get_branch_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_branch_protection_request\nmidas/sdk/github/operations repos_get_branch_protection_request","url":"midas/sdk/github/operations.html#repos_get_branch_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_branch_protection_response","content":"pub fn repos_get_branch_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BranchProtection, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_branch_protection_response\nmidas/sdk/github/operations repos_get_branch_protection_response","url":"midas/sdk/github/operations.html#repos_get_branch_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_branch_request","content":"pub fn repos_get_branch_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_branch_request\nmidas/sdk/github/operations repos_get_branch_request","url":"midas/sdk/github/operations.html#repos_get_branch_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_branch_response","content":"pub fn repos_get_branch_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BranchWithProtection, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_branch_response\nmidas/sdk/github/operations repos_get_branch_response","url":"midas/sdk/github/operations.html#repos_get_branch_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_branch_rules_request","content":"pub fn repos_get_branch_rules_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_branch_rules_request\nmidas/sdk/github/operations repos_get_branch_rules_request","url":"midas/sdk/github/operations.html#repos_get_branch_rules_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_branch_rules_response","content":"pub fn repos_get_branch_rules_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(RepositoryRuleDetailed), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_branch_rules_response\nmidas/sdk/github/operations repos_get_branch_rules_response","url":"midas/sdk/github/operations.html#repos_get_branch_rules_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_clones_request","content":"pub fn repos_get_clones_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per per: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_clones_request\nmidas/sdk/github/operations repos_get_clones_request","url":"midas/sdk/github/operations.html#repos_get_clones_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_clones_response","content":"pub fn repos_get_clones_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CloneTraffic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_clones_response\nmidas/sdk/github/operations repos_get_clones_response","url":"midas/sdk/github/operations.html#repos_get_clones_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_code_frequency_stats_request","content":"pub fn repos_get_code_frequency_stats_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_code_frequency_stats_request\nmidas/sdk/github/operations repos_get_code_frequency_stats_request","url":"midas/sdk/github/operations.html#repos_get_code_frequency_stats_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_code_frequency_stats_response","content":"pub fn repos_get_code_frequency_stats_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_code_frequency_stats_response\nmidas/sdk/github/operations repos_get_code_frequency_stats_response","url":"midas/sdk/github/operations.html#repos_get_code_frequency_stats_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_collaborator_permission_level_request","content":"pub fn repos_get_collaborator_permission_level_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_collaborator_permission_level_request\nmidas/sdk/github/operations repos_get_collaborator_permission_level_request","url":"midas/sdk/github/operations.html#repos_get_collaborator_permission_level_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_collaborator_permission_level_response","content":"pub fn repos_get_collaborator_permission_level_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(RepositoryCollaboratorPermission, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_collaborator_permission_level_response\nmidas/sdk/github/operations repos_get_collaborator_permission_level_response","url":"midas/sdk/github/operations.html#repos_get_collaborator_permission_level_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_combined_status_for_ref_request","content":"pub fn repos_get_combined_status_for_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_combined_status_for_ref_request\nmidas/sdk/github/operations repos_get_combined_status_for_ref_request","url":"midas/sdk/github/operations.html#repos_get_combined_status_for_ref_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_combined_status_for_ref_response","content":"pub fn repos_get_combined_status_for_ref_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CombinedCommitStatus, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_combined_status_for_ref_response\nmidas/sdk/github/operations repos_get_combined_status_for_ref_response","url":"midas/sdk/github/operations.html#repos_get_combined_status_for_ref_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_activity_stats_request","content":"pub fn repos_get_commit_activity_stats_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_activity_stats_request\nmidas/sdk/github/operations repos_get_commit_activity_stats_request","url":"midas/sdk/github/operations.html#repos_get_commit_activity_stats_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_activity_stats_response","content":"pub fn repos_get_commit_activity_stats_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_activity_stats_response\nmidas/sdk/github/operations repos_get_commit_activity_stats_response","url":"midas/sdk/github/operations.html#repos_get_commit_activity_stats_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_comment_request","content":"pub fn repos_get_commit_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_comment_request\nmidas/sdk/github/operations repos_get_commit_comment_request","url":"midas/sdk/github/operations.html#repos_get_commit_comment_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_comment_response","content":"pub fn repos_get_commit_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CommitComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_comment_response\nmidas/sdk/github/operations repos_get_commit_comment_response","url":"midas/sdk/github/operations.html#repos_get_commit_comment_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_request","content":"pub fn repos_get_commit_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_request\nmidas/sdk/github/operations repos_get_commit_request","url":"midas/sdk/github/operations.html#repos_get_commit_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_response","content":"pub fn repos_get_commit_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Commit, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_response\nmidas/sdk/github/operations repos_get_commit_response","url":"midas/sdk/github/operations.html#repos_get_commit_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_signature_protection_request","content":"pub fn repos_get_commit_signature_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_signature_protection_request\nmidas/sdk/github/operations repos_get_commit_signature_protection_request","url":"midas/sdk/github/operations.html#repos_get_commit_signature_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_commit_signature_protection_response","content":"pub fn repos_get_commit_signature_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ProtectedBranchAdminEnforced, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_commit_signature_protection_response\nmidas/sdk/github/operations repos_get_commit_signature_protection_response","url":"midas/sdk/github/operations.html#repos_get_commit_signature_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_community_profile_metrics_request","content":"pub fn repos_get_community_profile_metrics_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_community_profile_metrics_request\nmidas/sdk/github/operations repos_get_community_profile_metrics_request","url":"midas/sdk/github/operations.html#repos_get_community_profile_metrics_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_community_profile_metrics_response","content":"pub fn repos_get_community_profile_metrics_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CommunityProfile, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_community_profile_metrics_response\nmidas/sdk/github/operations repos_get_community_profile_metrics_response","url":"midas/sdk/github/operations.html#repos_get_community_profile_metrics_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_content_request","content":"pub fn repos_get_content_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  path_: String,\n  ref ref: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_content_request\nmidas/sdk/github/operations repos_get_content_request","url":"midas/sdk/github/operations.html#repos_get_content_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_content_response","content":"pub fn repos_get_content_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_content_response\nmidas/sdk/github/operations repos_get_content_response","url":"midas/sdk/github/operations.html#repos_get_content_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_contributors_stats_request","content":"pub fn repos_get_contributors_stats_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_contributors_stats_request\nmidas/sdk/github/operations repos_get_contributors_stats_request","url":"midas/sdk/github/operations.html#repos_get_contributors_stats_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_contributors_stats_response","content":"pub fn repos_get_contributors_stats_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_contributors_stats_response\nmidas/sdk/github/operations repos_get_contributors_stats_response","url":"midas/sdk/github/operations.html#repos_get_contributors_stats_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_custom_deployment_protection_rule_request","content":"pub fn repos_get_custom_deployment_protection_rule_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  protection_rule_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_custom_deployment_protection_rule_request\nmidas/sdk/github/operations repos_get_custom_deployment_protection_rule_request","url":"midas/sdk/github/operations.html#repos_get_custom_deployment_protection_rule_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_custom_deployment_protection_rule_response","content":"pub fn repos_get_custom_deployment_protection_rule_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeploymentProtectionRule, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_custom_deployment_protection_rule_response\nmidas/sdk/github/operations repos_get_custom_deployment_protection_rule_response","url":"midas/sdk/github/operations.html#repos_get_custom_deployment_protection_rule_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_custom_properties_values_request","content":"pub fn repos_get_custom_properties_values_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_custom_properties_values_request\nmidas/sdk/github/operations repos_get_custom_properties_values_request","url":"midas/sdk/github/operations.html#repos_get_custom_properties_values_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_custom_properties_values_response","content":"pub fn repos_get_custom_properties_values_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(CustomPropertyValue), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_custom_properties_values_response\nmidas/sdk/github/operations repos_get_custom_properties_values_response","url":"midas/sdk/github/operations.html#repos_get_custom_properties_values_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_deploy_key_request","content":"pub fn repos_get_deploy_key_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deploy_key_request\nmidas/sdk/github/operations repos_get_deploy_key_request","url":"midas/sdk/github/operations.html#repos_get_deploy_key_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_deploy_key_response","content":"pub fn repos_get_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeployKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deploy_key_response\nmidas/sdk/github/operations repos_get_deploy_key_response","url":"midas/sdk/github/operations.html#repos_get_deploy_key_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_deployment_branch_policy_request","content":"pub fn repos_get_deployment_branch_policy_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  branch_policy_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deployment_branch_policy_request\nmidas/sdk/github/operations repos_get_deployment_branch_policy_request","url":"midas/sdk/github/operations.html#repos_get_deployment_branch_policy_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_deployment_branch_policy_response","content":"pub fn repos_get_deployment_branch_policy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeploymentBranchPolicy, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deployment_branch_policy_response\nmidas/sdk/github/operations repos_get_deployment_branch_policy_response","url":"midas/sdk/github/operations.html#repos_get_deployment_branch_policy_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_deployment_request","content":"pub fn repos_get_deployment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deployment_request\nmidas/sdk/github/operations repos_get_deployment_request","url":"midas/sdk/github/operations.html#repos_get_deployment_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_deployment_response","content":"pub fn repos_get_deployment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deployment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deployment_response\nmidas/sdk/github/operations repos_get_deployment_response","url":"midas/sdk/github/operations.html#repos_get_deployment_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_deployment_status_request","content":"pub fn repos_get_deployment_status_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n  status_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deployment_status_request\nmidas/sdk/github/operations repos_get_deployment_status_request","url":"midas/sdk/github/operations.html#repos_get_deployment_status_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_deployment_status_response","content":"pub fn repos_get_deployment_status_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeploymentStatus, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_deployment_status_response\nmidas/sdk/github/operations repos_get_deployment_status_response","url":"midas/sdk/github/operations.html#repos_get_deployment_status_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_environment_request","content":"pub fn repos_get_environment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_environment_request\nmidas/sdk/github/operations repos_get_environment_request","url":"midas/sdk/github/operations.html#repos_get_environment_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_environment_response","content":"pub fn repos_get_environment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Environment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_environment_response\nmidas/sdk/github/operations repos_get_environment_response","url":"midas/sdk/github/operations.html#repos_get_environment_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_latest_pages_build_request","content":"pub fn repos_get_latest_pages_build_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_latest_pages_build_request\nmidas/sdk/github/operations repos_get_latest_pages_build_request","url":"midas/sdk/github/operations.html#repos_get_latest_pages_build_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_latest_pages_build_response","content":"pub fn repos_get_latest_pages_build_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PageBuild, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_latest_pages_build_response\nmidas/sdk/github/operations repos_get_latest_pages_build_response","url":"midas/sdk/github/operations.html#repos_get_latest_pages_build_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_latest_release_request","content":"pub fn repos_get_latest_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_latest_release_request\nmidas/sdk/github/operations repos_get_latest_release_request","url":"midas/sdk/github/operations.html#repos_get_latest_release_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_latest_release_response","content":"pub fn repos_get_latest_release_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Release, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_latest_release_response\nmidas/sdk/github/operations repos_get_latest_release_response","url":"midas/sdk/github/operations.html#repos_get_latest_release_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_rule_suite_request","content":"pub fn repos_get_org_rule_suite_request(\n  base: Request(a),\n  org: String,\n  rule_suite_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_rule_suite_request\nmidas/sdk/github/operations repos_get_org_rule_suite_request","url":"midas/sdk/github/operations.html#repos_get_org_rule_suite_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_rule_suite_response","content":"pub fn repos_get_org_rule_suite_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RuleSuite, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_rule_suite_response\nmidas/sdk/github/operations repos_get_org_rule_suite_response","url":"midas/sdk/github/operations.html#repos_get_org_rule_suite_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_rule_suites_request","content":"pub fn repos_get_org_rule_suites_request(\n  base: Request(a),\n  org: String,\n  ref ref: Option(String),\n  repository_name repository_name: Option(Int),\n  time_period time_period: Option(String),\n  actor_name actor_name: Option(String),\n  rule_suite_result rule_suite_result: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_rule_suites_request\nmidas/sdk/github/operations repos_get_org_rule_suites_request","url":"midas/sdk/github/operations.html#repos_get_org_rule_suites_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_rule_suites_response","content":"pub fn repos_get_org_rule_suites_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_rule_suites_response\nmidas/sdk/github/operations repos_get_org_rule_suites_response","url":"midas/sdk/github/operations.html#repos_get_org_rule_suites_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_ruleset_request","content":"pub fn repos_get_org_ruleset_request(\n  base: Request(a),\n  org: String,\n  ruleset_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_ruleset_request\nmidas/sdk/github/operations repos_get_org_ruleset_request","url":"midas/sdk/github/operations.html#repos_get_org_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_ruleset_response","content":"pub fn repos_get_org_ruleset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryRuleset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_ruleset_response\nmidas/sdk/github/operations repos_get_org_ruleset_response","url":"midas/sdk/github/operations.html#repos_get_org_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_rulesets_request","content":"pub fn repos_get_org_rulesets_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  targets targets: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_rulesets_request\nmidas/sdk/github/operations repos_get_org_rulesets_request","url":"midas/sdk/github/operations.html#repos_get_org_rulesets_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_org_rulesets_response","content":"pub fn repos_get_org_rulesets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(RepositoryRuleset), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_org_rulesets_response\nmidas/sdk/github/operations repos_get_org_rulesets_response","url":"midas/sdk/github/operations.html#repos_get_org_rulesets_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_build_request","content":"pub fn repos_get_pages_build_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  build_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_build_request\nmidas/sdk/github/operations repos_get_pages_build_request","url":"midas/sdk/github/operations.html#repos_get_pages_build_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_build_response","content":"pub fn repos_get_pages_build_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PageBuild, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_build_response\nmidas/sdk/github/operations repos_get_pages_build_response","url":"midas/sdk/github/operations.html#repos_get_pages_build_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_deployment_request","content":"pub fn repos_get_pages_deployment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  pages_deployment_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_deployment_request\nmidas/sdk/github/operations repos_get_pages_deployment_request","url":"midas/sdk/github/operations.html#repos_get_pages_deployment_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_deployment_response","content":"pub fn repos_get_pages_deployment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PagesDeploymentStatus, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_deployment_response\nmidas/sdk/github/operations repos_get_pages_deployment_response","url":"midas/sdk/github/operations.html#repos_get_pages_deployment_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_health_check_request","content":"pub fn repos_get_pages_health_check_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_health_check_request\nmidas/sdk/github/operations repos_get_pages_health_check_request","url":"midas/sdk/github/operations.html#repos_get_pages_health_check_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_health_check_response","content":"pub fn repos_get_pages_health_check_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PagesHealthCheck, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_health_check_response\nmidas/sdk/github/operations repos_get_pages_health_check_response","url":"midas/sdk/github/operations.html#repos_get_pages_health_check_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_request","content":"pub fn repos_get_pages_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_request\nmidas/sdk/github/operations repos_get_pages_request","url":"midas/sdk/github/operations.html#repos_get_pages_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_pages_response","content":"pub fn repos_get_pages_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Page, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pages_response\nmidas/sdk/github/operations repos_get_pages_response","url":"midas/sdk/github/operations.html#repos_get_pages_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_participation_stats_request","content":"pub fn repos_get_participation_stats_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_participation_stats_request\nmidas/sdk/github/operations repos_get_participation_stats_request","url":"midas/sdk/github/operations.html#repos_get_participation_stats_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_participation_stats_response","content":"pub fn repos_get_participation_stats_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ParticipationStats, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_participation_stats_response\nmidas/sdk/github/operations repos_get_participation_stats_response","url":"midas/sdk/github/operations.html#repos_get_participation_stats_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_pull_request_review_protection_request","content":"pub fn repos_get_pull_request_review_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pull_request_review_protection_request\nmidas/sdk/github/operations repos_get_pull_request_review_protection_request","url":"midas/sdk/github/operations.html#repos_get_pull_request_review_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_pull_request_review_protection_response","content":"pub fn repos_get_pull_request_review_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ProtectedBranchPullRequestReview, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_pull_request_review_protection_response\nmidas/sdk/github/operations repos_get_pull_request_review_protection_response","url":"midas/sdk/github/operations.html#repos_get_pull_request_review_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_punch_card_stats_request","content":"pub fn repos_get_punch_card_stats_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_punch_card_stats_request\nmidas/sdk/github/operations repos_get_punch_card_stats_request","url":"midas/sdk/github/operations.html#repos_get_punch_card_stats_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_punch_card_stats_response","content":"pub fn repos_get_punch_card_stats_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_punch_card_stats_response\nmidas/sdk/github/operations repos_get_punch_card_stats_response","url":"midas/sdk/github/operations.html#repos_get_punch_card_stats_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_readme_in_directory_request","content":"pub fn repos_get_readme_in_directory_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  dir: String,\n  ref ref: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_readme_in_directory_request\nmidas/sdk/github/operations repos_get_readme_in_directory_request","url":"midas/sdk/github/operations.html#repos_get_readme_in_directory_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_readme_in_directory_response","content":"pub fn repos_get_readme_in_directory_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ContentFile, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_readme_in_directory_response\nmidas/sdk/github/operations repos_get_readme_in_directory_response","url":"midas/sdk/github/operations.html#repos_get_readme_in_directory_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_readme_request","content":"pub fn repos_get_readme_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_readme_request\nmidas/sdk/github/operations repos_get_readme_request","url":"midas/sdk/github/operations.html#repos_get_readme_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_readme_response","content":"pub fn repos_get_readme_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ContentFile, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_readme_response\nmidas/sdk/github/operations repos_get_readme_response","url":"midas/sdk/github/operations.html#repos_get_readme_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_release_asset_request","content":"pub fn repos_get_release_asset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  asset_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_release_asset_request\nmidas/sdk/github/operations repos_get_release_asset_request","url":"midas/sdk/github/operations.html#repos_get_release_asset_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_release_asset_response","content":"pub fn repos_get_release_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ReleaseAsset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_release_asset_response\nmidas/sdk/github/operations repos_get_release_asset_response","url":"midas/sdk/github/operations.html#repos_get_release_asset_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_release_by_tag_request","content":"pub fn repos_get_release_by_tag_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  tag: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_release_by_tag_request\nmidas/sdk/github/operations repos_get_release_by_tag_request","url":"midas/sdk/github/operations.html#repos_get_release_by_tag_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_release_by_tag_response","content":"pub fn repos_get_release_by_tag_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Release, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_release_by_tag_response\nmidas/sdk/github/operations repos_get_release_by_tag_response","url":"midas/sdk/github/operations.html#repos_get_release_by_tag_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_release_request","content":"pub fn repos_get_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_release_request\nmidas/sdk/github/operations repos_get_release_request","url":"midas/sdk/github/operations.html#repos_get_release_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_release_response","content":"pub fn repos_get_release_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Release, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_release_response\nmidas/sdk/github/operations repos_get_release_response","url":"midas/sdk/github/operations.html#repos_get_release_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_rule_suite_request","content":"pub fn repos_get_repo_rule_suite_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  rule_suite_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_rule_suite_request\nmidas/sdk/github/operations repos_get_repo_rule_suite_request","url":"midas/sdk/github/operations.html#repos_get_repo_rule_suite_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_rule_suite_response","content":"pub fn repos_get_repo_rule_suite_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RuleSuite, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_rule_suite_response\nmidas/sdk/github/operations repos_get_repo_rule_suite_response","url":"midas/sdk/github/operations.html#repos_get_repo_rule_suite_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_rule_suites_request","content":"pub fn repos_get_repo_rule_suites_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n  time_period time_period: Option(String),\n  actor_name actor_name: Option(String),\n  rule_suite_result rule_suite_result: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_rule_suites_request\nmidas/sdk/github/operations repos_get_repo_rule_suites_request","url":"midas/sdk/github/operations.html#repos_get_repo_rule_suites_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_rule_suites_response","content":"pub fn repos_get_repo_rule_suites_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(a, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_rule_suites_response\nmidas/sdk/github/operations repos_get_repo_rule_suites_response","url":"midas/sdk/github/operations.html#repos_get_repo_rule_suites_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_ruleset_request","content":"pub fn repos_get_repo_ruleset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ruleset_id: Int,\n  includes_parents includes_parents: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_ruleset_request\nmidas/sdk/github/operations repos_get_repo_ruleset_request","url":"midas/sdk/github/operations.html#repos_get_repo_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_ruleset_response","content":"pub fn repos_get_repo_ruleset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryRuleset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_ruleset_response\nmidas/sdk/github/operations repos_get_repo_ruleset_response","url":"midas/sdk/github/operations.html#repos_get_repo_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_rulesets_request","content":"pub fn repos_get_repo_rulesets_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  includes_parents includes_parents: Option(Bool),\n  targets targets: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_rulesets_request\nmidas/sdk/github/operations repos_get_repo_rulesets_request","url":"midas/sdk/github/operations.html#repos_get_repo_rulesets_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_repo_rulesets_response","content":"pub fn repos_get_repo_rulesets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(RepositoryRuleset), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_repo_rulesets_response\nmidas/sdk/github/operations repos_get_repo_rulesets_response","url":"midas/sdk/github/operations.html#repos_get_repo_rulesets_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_request","content":"pub fn repos_get_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_request\nmidas/sdk/github/operations repos_get_request","url":"midas/sdk/github/operations.html#repos_get_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_response","content":"pub fn repos_get_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FullRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_response\nmidas/sdk/github/operations repos_get_response","url":"midas/sdk/github/operations.html#repos_get_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_status_checks_protection_request","content":"pub fn repos_get_status_checks_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_status_checks_protection_request\nmidas/sdk/github/operations repos_get_status_checks_protection_request","url":"midas/sdk/github/operations.html#repos_get_status_checks_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_status_checks_protection_response","content":"pub fn repos_get_status_checks_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(StatusCheckPolicy, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_status_checks_protection_response\nmidas/sdk/github/operations repos_get_status_checks_protection_response","url":"midas/sdk/github/operations.html#repos_get_status_checks_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_teams_with_access_to_protected_branch_request","content":"pub fn repos_get_teams_with_access_to_protected_branch_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_teams_with_access_to_protected_branch_request\nmidas/sdk/github/operations repos_get_teams_with_access_to_protected_branch_request","url":"midas/sdk/github/operations.html#repos_get_teams_with_access_to_protected_branch_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_teams_with_access_to_protected_branch_response","content":"pub fn repos_get_teams_with_access_to_protected_branch_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_teams_with_access_to_protected_branch_response\nmidas/sdk/github/operations repos_get_teams_with_access_to_protected_branch_response","url":"midas/sdk/github/operations.html#repos_get_teams_with_access_to_protected_branch_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_top_paths_request","content":"pub fn repos_get_top_paths_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_top_paths_request\nmidas/sdk/github/operations repos_get_top_paths_request","url":"midas/sdk/github/operations.html#repos_get_top_paths_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_top_paths_response","content":"pub fn repos_get_top_paths_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ContentTraffic), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_top_paths_response\nmidas/sdk/github/operations repos_get_top_paths_response","url":"midas/sdk/github/operations.html#repos_get_top_paths_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_top_referrers_request","content":"pub fn repos_get_top_referrers_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_top_referrers_request\nmidas/sdk/github/operations repos_get_top_referrers_request","url":"midas/sdk/github/operations.html#repos_get_top_referrers_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_top_referrers_response","content":"pub fn repos_get_top_referrers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ReferrerTraffic), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_top_referrers_response\nmidas/sdk/github/operations repos_get_top_referrers_response","url":"midas/sdk/github/operations.html#repos_get_top_referrers_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_users_with_access_to_protected_branch_request","content":"pub fn repos_get_users_with_access_to_protected_branch_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_users_with_access_to_protected_branch_request\nmidas/sdk/github/operations repos_get_users_with_access_to_protected_branch_request","url":"midas/sdk/github/operations.html#repos_get_users_with_access_to_protected_branch_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_users_with_access_to_protected_branch_response","content":"pub fn repos_get_users_with_access_to_protected_branch_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_users_with_access_to_protected_branch_response\nmidas/sdk/github/operations repos_get_users_with_access_to_protected_branch_response","url":"midas/sdk/github/operations.html#repos_get_users_with_access_to_protected_branch_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_views_request","content":"pub fn repos_get_views_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per per: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_views_request\nmidas/sdk/github/operations repos_get_views_request","url":"midas/sdk/github/operations.html#repos_get_views_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_views_response","content":"pub fn repos_get_views_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ViewTraffic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_views_response\nmidas/sdk/github/operations repos_get_views_response","url":"midas/sdk/github/operations.html#repos_get_views_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_webhook_config_for_repo_request","content":"pub fn repos_get_webhook_config_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_webhook_config_for_repo_request\nmidas/sdk/github/operations repos_get_webhook_config_for_repo_request","url":"midas/sdk/github/operations.html#repos_get_webhook_config_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_webhook_config_for_repo_response","content":"pub fn repos_get_webhook_config_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WebhookConfig, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_webhook_config_for_repo_response\nmidas/sdk/github/operations repos_get_webhook_config_for_repo_response","url":"midas/sdk/github/operations.html#repos_get_webhook_config_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_webhook_delivery_request","content":"pub fn repos_get_webhook_delivery_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_webhook_delivery_request\nmidas/sdk/github/operations repos_get_webhook_delivery_request","url":"midas/sdk/github/operations.html#repos_get_webhook_delivery_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_webhook_delivery_response","content":"pub fn repos_get_webhook_delivery_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(HookDelivery, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_webhook_delivery_response\nmidas/sdk/github/operations repos_get_webhook_delivery_response","url":"midas/sdk/github/operations.html#repos_get_webhook_delivery_response"},{"doc":"midas/sdk/github/operations","title":"repos_get_webhook_request","content":"pub fn repos_get_webhook_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_webhook_request\nmidas/sdk/github/operations repos_get_webhook_request","url":"midas/sdk/github/operations.html#repos_get_webhook_request"},{"doc":"midas/sdk/github/operations","title":"repos_get_webhook_response","content":"pub fn repos_get_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_get_webhook_response\nmidas/sdk/github/operations repos_get_webhook_response","url":"midas/sdk/github/operations.html#repos_get_webhook_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_activities_request","content":"pub fn repos_list_activities_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  ref ref: Option(String),\n  actor actor: Option(String),\n  time_period time_period: Option(String),\n  activity_type activity_type: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_activities_request\nmidas/sdk/github/operations repos_list_activities_request","url":"midas/sdk/github/operations.html#repos_list_activities_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_activities_response","content":"pub fn repos_list_activities_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Activity), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_activities_response\nmidas/sdk/github/operations repos_list_activities_response","url":"midas/sdk/github/operations.html#repos_list_activities_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_attestations_request","content":"pub fn repos_list_attestations_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  subject_digest: String,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_attestations_request\nmidas/sdk/github/operations repos_list_attestations_request","url":"midas/sdk/github/operations.html#repos_list_attestations_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_attestations_response","content":"pub fn repos_list_attestations_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_attestations_response\nmidas/sdk/github/operations repos_list_attestations_response","url":"midas/sdk/github/operations.html#repos_list_attestations_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_autolinks_request","content":"pub fn repos_list_autolinks_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_autolinks_request\nmidas/sdk/github/operations repos_list_autolinks_request","url":"midas/sdk/github/operations.html#repos_list_autolinks_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_autolinks_response","content":"pub fn repos_list_autolinks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Autolink), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_autolinks_response\nmidas/sdk/github/operations repos_list_autolinks_response","url":"midas/sdk/github/operations.html#repos_list_autolinks_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_branches_for_head_commit_request","content":"pub fn repos_list_branches_for_head_commit_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  commit_sha: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_branches_for_head_commit_request\nmidas/sdk/github/operations repos_list_branches_for_head_commit_request","url":"midas/sdk/github/operations.html#repos_list_branches_for_head_commit_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_branches_for_head_commit_response","content":"pub fn repos_list_branches_for_head_commit_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BranchShort), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_branches_for_head_commit_response\nmidas/sdk/github/operations repos_list_branches_for_head_commit_response","url":"midas/sdk/github/operations.html#repos_list_branches_for_head_commit_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_branches_request","content":"pub fn repos_list_branches_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  protected protected: Option(Bool),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_branches_request\nmidas/sdk/github/operations repos_list_branches_request","url":"midas/sdk/github/operations.html#repos_list_branches_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_branches_response","content":"pub fn repos_list_branches_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ShortBranch), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_branches_response\nmidas/sdk/github/operations repos_list_branches_response","url":"midas/sdk/github/operations.html#repos_list_branches_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_collaborators_request","content":"pub fn repos_list_collaborators_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  affiliation affiliation: Option(String),\n  permission permission: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_collaborators_request\nmidas/sdk/github/operations repos_list_collaborators_request","url":"midas/sdk/github/operations.html#repos_list_collaborators_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_collaborators_response","content":"pub fn repos_list_collaborators_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Collaborator), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_collaborators_response\nmidas/sdk/github/operations repos_list_collaborators_response","url":"midas/sdk/github/operations.html#repos_list_collaborators_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_comments_for_commit_request","content":"pub fn repos_list_comments_for_commit_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  commit_sha: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_comments_for_commit_request\nmidas/sdk/github/operations repos_list_comments_for_commit_request","url":"midas/sdk/github/operations.html#repos_list_comments_for_commit_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_comments_for_commit_response","content":"pub fn repos_list_comments_for_commit_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(CommitComment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_comments_for_commit_response\nmidas/sdk/github/operations repos_list_comments_for_commit_response","url":"midas/sdk/github/operations.html#repos_list_comments_for_commit_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_commit_comments_for_repo_request","content":"pub fn repos_list_commit_comments_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_commit_comments_for_repo_request\nmidas/sdk/github/operations repos_list_commit_comments_for_repo_request","url":"midas/sdk/github/operations.html#repos_list_commit_comments_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_commit_comments_for_repo_response","content":"pub fn repos_list_commit_comments_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(CommitComment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_commit_comments_for_repo_response\nmidas/sdk/github/operations repos_list_commit_comments_for_repo_response","url":"midas/sdk/github/operations.html#repos_list_commit_comments_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_commit_statuses_for_ref_request","content":"pub fn repos_list_commit_statuses_for_ref_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ref: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_commit_statuses_for_ref_request\nmidas/sdk/github/operations repos_list_commit_statuses_for_ref_request","url":"midas/sdk/github/operations.html#repos_list_commit_statuses_for_ref_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_commit_statuses_for_ref_response","content":"pub fn repos_list_commit_statuses_for_ref_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Status), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_commit_statuses_for_ref_response\nmidas/sdk/github/operations repos_list_commit_statuses_for_ref_response","url":"midas/sdk/github/operations.html#repos_list_commit_statuses_for_ref_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_commits_request","content":"pub fn repos_list_commits_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  sha sha: Option(String),\n  path_ path_: Option(String),\n  author author: Option(String),\n  committer committer: Option(String),\n  since since: Option(String),\n  until until: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_commits_request\nmidas/sdk/github/operations repos_list_commits_request","url":"midas/sdk/github/operations.html#repos_list_commits_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_commits_response","content":"pub fn repos_list_commits_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Commit), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_commits_response\nmidas/sdk/github/operations repos_list_commits_response","url":"midas/sdk/github/operations.html#repos_list_commits_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_contributors_request","content":"pub fn repos_list_contributors_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  anon anon: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_contributors_request\nmidas/sdk/github/operations repos_list_contributors_request","url":"midas/sdk/github/operations.html#repos_list_contributors_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_contributors_response","content":"pub fn repos_list_contributors_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_contributors_response\nmidas/sdk/github/operations repos_list_contributors_response","url":"midas/sdk/github/operations.html#repos_list_contributors_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_custom_deployment_rule_integrations_request","content":"pub fn repos_list_custom_deployment_rule_integrations_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_custom_deployment_rule_integrations_request\nmidas/sdk/github/operations repos_list_custom_deployment_rule_integrations_request","url":"midas/sdk/github/operations.html#repos_list_custom_deployment_rule_integrations_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_custom_deployment_rule_integrations_response","content":"pub fn repos_list_custom_deployment_rule_integrations_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_custom_deployment_rule_integrations_response\nmidas/sdk/github/operations repos_list_custom_deployment_rule_integrations_response","url":"midas/sdk/github/operations.html#repos_list_custom_deployment_rule_integrations_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_deploy_keys_request","content":"pub fn repos_list_deploy_keys_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deploy_keys_request\nmidas/sdk/github/operations repos_list_deploy_keys_request","url":"midas/sdk/github/operations.html#repos_list_deploy_keys_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_deploy_keys_response","content":"pub fn repos_list_deploy_keys_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DeployKey), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deploy_keys_response\nmidas/sdk/github/operations repos_list_deploy_keys_response","url":"midas/sdk/github/operations.html#repos_list_deploy_keys_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_deployment_branch_policies_request","content":"pub fn repos_list_deployment_branch_policies_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deployment_branch_policies_request\nmidas/sdk/github/operations repos_list_deployment_branch_policies_request","url":"midas/sdk/github/operations.html#repos_list_deployment_branch_policies_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_deployment_branch_policies_response","content":"pub fn repos_list_deployment_branch_policies_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deployment_branch_policies_response\nmidas/sdk/github/operations repos_list_deployment_branch_policies_response","url":"midas/sdk/github/operations.html#repos_list_deployment_branch_policies_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_deployment_statuses_request","content":"pub fn repos_list_deployment_statuses_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deployment_statuses_request\nmidas/sdk/github/operations repos_list_deployment_statuses_request","url":"midas/sdk/github/operations.html#repos_list_deployment_statuses_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_deployment_statuses_response","content":"pub fn repos_list_deployment_statuses_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DeploymentStatus), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deployment_statuses_response\nmidas/sdk/github/operations repos_list_deployment_statuses_response","url":"midas/sdk/github/operations.html#repos_list_deployment_statuses_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_deployments_request","content":"pub fn repos_list_deployments_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  sha sha: Option(String),\n  ref ref: Option(String),\n  task task: Option(String),\n  environment environment: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deployments_request\nmidas/sdk/github/operations repos_list_deployments_request","url":"midas/sdk/github/operations.html#repos_list_deployments_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_deployments_response","content":"pub fn repos_list_deployments_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Deployment), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_deployments_response\nmidas/sdk/github/operations repos_list_deployments_response","url":"midas/sdk/github/operations.html#repos_list_deployments_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_for_authenticated_user_request","content":"pub fn repos_list_for_authenticated_user_request(\n  base: Request(a),\n  visibility visibility: Option(String),\n  affiliation affiliation: Option(String),\n  type_ type_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  since since: Option(String),\n  before before: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_for_authenticated_user_request\nmidas/sdk/github/operations repos_list_for_authenticated_user_request","url":"midas/sdk/github/operations.html#repos_list_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_for_authenticated_user_response","content":"pub fn repos_list_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Repository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_for_authenticated_user_response\nmidas/sdk/github/operations repos_list_for_authenticated_user_response","url":"midas/sdk/github/operations.html#repos_list_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_for_org_request","content":"pub fn repos_list_for_org_request(\n  base: Request(a),\n  org: String,\n  type_ type_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_for_org_request\nmidas/sdk/github/operations repos_list_for_org_request","url":"midas/sdk/github/operations.html#repos_list_for_org_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_for_org_response","content":"pub fn repos_list_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_for_org_response\nmidas/sdk/github/operations repos_list_for_org_response","url":"midas/sdk/github/operations.html#repos_list_for_org_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_for_user_request","content":"pub fn repos_list_for_user_request(\n  base: Request(a),\n  username: String,\n  type_ type_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_for_user_request\nmidas/sdk/github/operations repos_list_for_user_request","url":"midas/sdk/github/operations.html#repos_list_for_user_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_for_user_response","content":"pub fn repos_list_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_for_user_response\nmidas/sdk/github/operations repos_list_for_user_response","url":"midas/sdk/github/operations.html#repos_list_for_user_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_forks_request","content":"pub fn repos_list_forks_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  sort sort: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_forks_request\nmidas/sdk/github/operations repos_list_forks_request","url":"midas/sdk/github/operations.html#repos_list_forks_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_forks_response","content":"pub fn repos_list_forks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_forks_response\nmidas/sdk/github/operations repos_list_forks_response","url":"midas/sdk/github/operations.html#repos_list_forks_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_invitations_for_authenticated_user_request","content":"pub fn repos_list_invitations_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_invitations_for_authenticated_user_request\nmidas/sdk/github/operations repos_list_invitations_for_authenticated_user_request","url":"midas/sdk/github/operations.html#repos_list_invitations_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_invitations_for_authenticated_user_response","content":"pub fn repos_list_invitations_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(RepositoryInvitation), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_invitations_for_authenticated_user_response\nmidas/sdk/github/operations repos_list_invitations_for_authenticated_user_response","url":"midas/sdk/github/operations.html#repos_list_invitations_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_invitations_request","content":"pub fn repos_list_invitations_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_invitations_request\nmidas/sdk/github/operations repos_list_invitations_request","url":"midas/sdk/github/operations.html#repos_list_invitations_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_invitations_response","content":"pub fn repos_list_invitations_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(RepositoryInvitation), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_invitations_response\nmidas/sdk/github/operations repos_list_invitations_response","url":"midas/sdk/github/operations.html#repos_list_invitations_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_languages_request","content":"pub fn repos_list_languages_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_languages_request\nmidas/sdk/github/operations repos_list_languages_request","url":"midas/sdk/github/operations.html#repos_list_languages_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_languages_response","content":"pub fn repos_list_languages_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Language, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_languages_response\nmidas/sdk/github/operations repos_list_languages_response","url":"midas/sdk/github/operations.html#repos_list_languages_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_pages_builds_request","content":"pub fn repos_list_pages_builds_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_pages_builds_request\nmidas/sdk/github/operations repos_list_pages_builds_request","url":"midas/sdk/github/operations.html#repos_list_pages_builds_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_pages_builds_response","content":"pub fn repos_list_pages_builds_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PageBuild), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_pages_builds_response\nmidas/sdk/github/operations repos_list_pages_builds_response","url":"midas/sdk/github/operations.html#repos_list_pages_builds_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_public_request","content":"pub fn repos_list_public_request(\n  base: Request(a),\n  since since: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_public_request\nmidas/sdk/github/operations repos_list_public_request","url":"midas/sdk/github/operations.html#repos_list_public_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_public_response","content":"pub fn repos_list_public_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_public_response\nmidas/sdk/github/operations repos_list_public_response","url":"midas/sdk/github/operations.html#repos_list_public_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_pull_requests_associated_with_commit_request","content":"pub fn repos_list_pull_requests_associated_with_commit_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  commit_sha: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_pull_requests_associated_with_commit_request\nmidas/sdk/github/operations repos_list_pull_requests_associated_with_commit_request","url":"midas/sdk/github/operations.html#repos_list_pull_requests_associated_with_commit_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_pull_requests_associated_with_commit_response","content":"pub fn repos_list_pull_requests_associated_with_commit_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PullRequestSimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_pull_requests_associated_with_commit_response\nmidas/sdk/github/operations repos_list_pull_requests_associated_with_commit_response","url":"midas/sdk/github/operations.html#repos_list_pull_requests_associated_with_commit_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_release_assets_request","content":"pub fn repos_list_release_assets_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_release_assets_request\nmidas/sdk/github/operations repos_list_release_assets_request","url":"midas/sdk/github/operations.html#repos_list_release_assets_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_release_assets_response","content":"pub fn repos_list_release_assets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ReleaseAsset), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_release_assets_response\nmidas/sdk/github/operations repos_list_release_assets_response","url":"midas/sdk/github/operations.html#repos_list_release_assets_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_releases_request","content":"pub fn repos_list_releases_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_releases_request\nmidas/sdk/github/operations repos_list_releases_request","url":"midas/sdk/github/operations.html#repos_list_releases_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_releases_response","content":"pub fn repos_list_releases_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Release), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_releases_response\nmidas/sdk/github/operations repos_list_releases_response","url":"midas/sdk/github/operations.html#repos_list_releases_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_tag_protection_request","content":"pub fn repos_list_tag_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_tag_protection_request\nmidas/sdk/github/operations repos_list_tag_protection_request","url":"midas/sdk/github/operations.html#repos_list_tag_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_tag_protection_response","content":"pub fn repos_list_tag_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TagProtection), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_tag_protection_response\nmidas/sdk/github/operations repos_list_tag_protection_response","url":"midas/sdk/github/operations.html#repos_list_tag_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_tags_request","content":"pub fn repos_list_tags_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_tags_request\nmidas/sdk/github/operations repos_list_tags_request","url":"midas/sdk/github/operations.html#repos_list_tags_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_tags_response","content":"pub fn repos_list_tags_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Tag), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_tags_response\nmidas/sdk/github/operations repos_list_tags_response","url":"midas/sdk/github/operations.html#repos_list_tags_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_teams_request","content":"pub fn repos_list_teams_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_teams_request\nmidas/sdk/github/operations repos_list_teams_request","url":"midas/sdk/github/operations.html#repos_list_teams_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_teams_response","content":"pub fn repos_list_teams_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_teams_response\nmidas/sdk/github/operations repos_list_teams_response","url":"midas/sdk/github/operations.html#repos_list_teams_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_webhook_deliveries_request","content":"pub fn repos_list_webhook_deliveries_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  per_page per_page: Option(Int),\n  cursor cursor: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_webhook_deliveries_request\nmidas/sdk/github/operations repos_list_webhook_deliveries_request","url":"midas/sdk/github/operations.html#repos_list_webhook_deliveries_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_webhook_deliveries_response","content":"pub fn repos_list_webhook_deliveries_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(HookDeliveryItem), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_webhook_deliveries_response\nmidas/sdk/github/operations repos_list_webhook_deliveries_response","url":"midas/sdk/github/operations.html#repos_list_webhook_deliveries_response"},{"doc":"midas/sdk/github/operations","title":"repos_list_webhooks_request","content":"pub fn repos_list_webhooks_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_webhooks_request\nmidas/sdk/github/operations repos_list_webhooks_request","url":"midas/sdk/github/operations.html#repos_list_webhooks_request"},{"doc":"midas/sdk/github/operations","title":"repos_list_webhooks_response","content":"pub fn repos_list_webhooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Hook), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_list_webhooks_response\nmidas/sdk/github/operations repos_list_webhooks_response","url":"midas/sdk/github/operations.html#repos_list_webhooks_response"},{"doc":"midas/sdk/github/operations","title":"repos_merge_request","content":"pub fn repos_merge_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_merge_request\nmidas/sdk/github/operations repos_merge_request","url":"midas/sdk/github/operations.html#repos_merge_request"},{"doc":"midas/sdk/github/operations","title":"repos_merge_response","content":"pub fn repos_merge_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_merge_response\nmidas/sdk/github/operations repos_merge_response","url":"midas/sdk/github/operations.html#repos_merge_response"},{"doc":"midas/sdk/github/operations","title":"repos_merge_upstream_request","content":"pub fn repos_merge_upstream_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_merge_upstream_request\nmidas/sdk/github/operations repos_merge_upstream_request","url":"midas/sdk/github/operations.html#repos_merge_upstream_request"},{"doc":"midas/sdk/github/operations","title":"repos_merge_upstream_response","content":"pub fn repos_merge_upstream_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(MergedUpstream, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_merge_upstream_response\nmidas/sdk/github/operations repos_merge_upstream_response","url":"midas/sdk/github/operations.html#repos_merge_upstream_response"},{"doc":"midas/sdk/github/operations","title":"repos_ping_webhook_request","content":"pub fn repos_ping_webhook_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_ping_webhook_request\nmidas/sdk/github/operations repos_ping_webhook_request","url":"midas/sdk/github/operations.html#repos_ping_webhook_request"},{"doc":"midas/sdk/github/operations","title":"repos_ping_webhook_response","content":"pub fn repos_ping_webhook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_ping_webhook_response\nmidas/sdk/github/operations repos_ping_webhook_response","url":"midas/sdk/github/operations.html#repos_ping_webhook_response"},{"doc":"midas/sdk/github/operations","title":"repos_redeliver_webhook_delivery_request","content":"pub fn repos_redeliver_webhook_delivery_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_redeliver_webhook_delivery_request\nmidas/sdk/github/operations repos_redeliver_webhook_delivery_request","url":"midas/sdk/github/operations.html#repos_redeliver_webhook_delivery_request"},{"doc":"midas/sdk/github/operations","title":"repos_redeliver_webhook_delivery_response","content":"pub fn repos_redeliver_webhook_delivery_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_redeliver_webhook_delivery_response\nmidas/sdk/github/operations repos_redeliver_webhook_delivery_response","url":"midas/sdk/github/operations.html#repos_redeliver_webhook_delivery_response"},{"doc":"midas/sdk/github/operations","title":"repos_remove_app_access_restrictions_request","content":"pub fn repos_remove_app_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_app_access_restrictions_request\nmidas/sdk/github/operations repos_remove_app_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_remove_app_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_remove_app_access_restrictions_response","content":"pub fn repos_remove_app_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Integration), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_app_access_restrictions_response\nmidas/sdk/github/operations repos_remove_app_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_remove_app_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_remove_collaborator_request","content":"pub fn repos_remove_collaborator_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_collaborator_request\nmidas/sdk/github/operations repos_remove_collaborator_request","url":"midas/sdk/github/operations.html#repos_remove_collaborator_request"},{"doc":"midas/sdk/github/operations","title":"repos_remove_collaborator_response","content":"pub fn repos_remove_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_collaborator_response\nmidas/sdk/github/operations repos_remove_collaborator_response","url":"midas/sdk/github/operations.html#repos_remove_collaborator_response"},{"doc":"midas/sdk/github/operations","title":"repos_remove_status_check_contexts_request","content":"pub fn repos_remove_status_check_contexts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_status_check_contexts_request\nmidas/sdk/github/operations repos_remove_status_check_contexts_request","url":"midas/sdk/github/operations.html#repos_remove_status_check_contexts_request"},{"doc":"midas/sdk/github/operations","title":"repos_remove_status_check_contexts_response","content":"pub fn repos_remove_status_check_contexts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_status_check_contexts_response\nmidas/sdk/github/operations repos_remove_status_check_contexts_response","url":"midas/sdk/github/operations.html#repos_remove_status_check_contexts_response"},{"doc":"midas/sdk/github/operations","title":"repos_remove_status_check_protection_request","content":"pub fn repos_remove_status_check_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_status_check_protection_request\nmidas/sdk/github/operations repos_remove_status_check_protection_request","url":"midas/sdk/github/operations.html#repos_remove_status_check_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_remove_status_check_protection_response","content":"pub fn repos_remove_status_check_protection_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_status_check_protection_response\nmidas/sdk/github/operations repos_remove_status_check_protection_response","url":"midas/sdk/github/operations.html#repos_remove_status_check_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_remove_team_access_restrictions_request","content":"pub fn repos_remove_team_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_team_access_restrictions_request\nmidas/sdk/github/operations repos_remove_team_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_remove_team_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_remove_team_access_restrictions_response","content":"pub fn repos_remove_team_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_team_access_restrictions_response\nmidas/sdk/github/operations repos_remove_team_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_remove_team_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_remove_user_access_restrictions_request","content":"pub fn repos_remove_user_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_user_access_restrictions_request\nmidas/sdk/github/operations repos_remove_user_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_remove_user_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_remove_user_access_restrictions_response","content":"pub fn repos_remove_user_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_remove_user_access_restrictions_response\nmidas/sdk/github/operations repos_remove_user_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_remove_user_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_rename_branch_request","content":"pub fn repos_rename_branch_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_rename_branch_request\nmidas/sdk/github/operations repos_rename_branch_request","url":"midas/sdk/github/operations.html#repos_rename_branch_request"},{"doc":"midas/sdk/github/operations","title":"repos_rename_branch_response","content":"pub fn repos_rename_branch_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BranchWithProtection, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_rename_branch_response\nmidas/sdk/github/operations repos_rename_branch_response","url":"midas/sdk/github/operations.html#repos_rename_branch_response"},{"doc":"midas/sdk/github/operations","title":"repos_replace_all_topics_request","content":"pub fn repos_replace_all_topics_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_replace_all_topics_request\nmidas/sdk/github/operations repos_replace_all_topics_request","url":"midas/sdk/github/operations.html#repos_replace_all_topics_request"},{"doc":"midas/sdk/github/operations","title":"repos_replace_all_topics_response","content":"pub fn repos_replace_all_topics_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Topic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_replace_all_topics_response\nmidas/sdk/github/operations repos_replace_all_topics_response","url":"midas/sdk/github/operations.html#repos_replace_all_topics_response"},{"doc":"midas/sdk/github/operations","title":"repos_request_pages_build_request","content":"pub fn repos_request_pages_build_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_request_pages_build_request\nmidas/sdk/github/operations repos_request_pages_build_request","url":"midas/sdk/github/operations.html#repos_request_pages_build_request"},{"doc":"midas/sdk/github/operations","title":"repos_request_pages_build_response","content":"pub fn repos_request_pages_build_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PageBuildStatus, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_request_pages_build_response\nmidas/sdk/github/operations repos_request_pages_build_response","url":"midas/sdk/github/operations.html#repos_request_pages_build_response"},{"doc":"midas/sdk/github/operations","title":"repos_set_admin_branch_protection_request","content":"pub fn repos_set_admin_branch_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_admin_branch_protection_request\nmidas/sdk/github/operations repos_set_admin_branch_protection_request","url":"midas/sdk/github/operations.html#repos_set_admin_branch_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_set_admin_branch_protection_response","content":"pub fn repos_set_admin_branch_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ProtectedBranchAdminEnforced, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_admin_branch_protection_response\nmidas/sdk/github/operations repos_set_admin_branch_protection_response","url":"midas/sdk/github/operations.html#repos_set_admin_branch_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_set_app_access_restrictions_request","content":"pub fn repos_set_app_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_app_access_restrictions_request\nmidas/sdk/github/operations repos_set_app_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_set_app_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_set_app_access_restrictions_response","content":"pub fn repos_set_app_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Integration), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_app_access_restrictions_response\nmidas/sdk/github/operations repos_set_app_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_set_app_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_set_status_check_contexts_request","content":"pub fn repos_set_status_check_contexts_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_status_check_contexts_request\nmidas/sdk/github/operations repos_set_status_check_contexts_request","url":"midas/sdk/github/operations.html#repos_set_status_check_contexts_request"},{"doc":"midas/sdk/github/operations","title":"repos_set_status_check_contexts_response","content":"pub fn repos_set_status_check_contexts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_status_check_contexts_response\nmidas/sdk/github/operations repos_set_status_check_contexts_response","url":"midas/sdk/github/operations.html#repos_set_status_check_contexts_response"},{"doc":"midas/sdk/github/operations","title":"repos_set_team_access_restrictions_request","content":"pub fn repos_set_team_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_team_access_restrictions_request\nmidas/sdk/github/operations repos_set_team_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_set_team_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_set_team_access_restrictions_response","content":"pub fn repos_set_team_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_team_access_restrictions_response\nmidas/sdk/github/operations repos_set_team_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_set_team_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_set_user_access_restrictions_request","content":"pub fn repos_set_user_access_restrictions_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_user_access_restrictions_request\nmidas/sdk/github/operations repos_set_user_access_restrictions_request","url":"midas/sdk/github/operations.html#repos_set_user_access_restrictions_request"},{"doc":"midas/sdk/github/operations","title":"repos_set_user_access_restrictions_response","content":"pub fn repos_set_user_access_restrictions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_set_user_access_restrictions_response\nmidas/sdk/github/operations repos_set_user_access_restrictions_response","url":"midas/sdk/github/operations.html#repos_set_user_access_restrictions_response"},{"doc":"midas/sdk/github/operations","title":"repos_test_push_webhook_request","content":"pub fn repos_test_push_webhook_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_test_push_webhook_request\nmidas/sdk/github/operations repos_test_push_webhook_request","url":"midas/sdk/github/operations.html#repos_test_push_webhook_request"},{"doc":"midas/sdk/github/operations","title":"repos_test_push_webhook_response","content":"pub fn repos_test_push_webhook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_test_push_webhook_response\nmidas/sdk/github/operations repos_test_push_webhook_response","url":"midas/sdk/github/operations.html#repos_test_push_webhook_response"},{"doc":"midas/sdk/github/operations","title":"repos_transfer_request","content":"pub fn repos_transfer_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_transfer_request\nmidas/sdk/github/operations repos_transfer_request","url":"midas/sdk/github/operations.html#repos_transfer_request"},{"doc":"midas/sdk/github/operations","title":"repos_transfer_response","content":"pub fn repos_transfer_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(MinimalRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_transfer_response\nmidas/sdk/github/operations repos_transfer_response","url":"midas/sdk/github/operations.html#repos_transfer_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_branch_protection_request","content":"pub fn repos_update_branch_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_branch_protection_request\nmidas/sdk/github/operations repos_update_branch_protection_request","url":"midas/sdk/github/operations.html#repos_update_branch_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_branch_protection_response","content":"pub fn repos_update_branch_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ProtectedBranch, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_branch_protection_response\nmidas/sdk/github/operations repos_update_branch_protection_response","url":"midas/sdk/github/operations.html#repos_update_branch_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_commit_comment_request","content":"pub fn repos_update_commit_comment_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_commit_comment_request\nmidas/sdk/github/operations repos_update_commit_comment_request","url":"midas/sdk/github/operations.html#repos_update_commit_comment_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_commit_comment_response","content":"pub fn repos_update_commit_comment_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(CommitComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_commit_comment_response\nmidas/sdk/github/operations repos_update_commit_comment_response","url":"midas/sdk/github/operations.html#repos_update_commit_comment_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_deployment_branch_policy_request","content":"pub fn repos_update_deployment_branch_policy_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  environment_name: String,\n  branch_policy_id: Int,\n  deployment_branch_policy_name_pattern: DeploymentBranchPolicyNamePattern,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_deployment_branch_policy_request\nmidas/sdk/github/operations repos_update_deployment_branch_policy_request","url":"midas/sdk/github/operations.html#repos_update_deployment_branch_policy_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_deployment_branch_policy_response","content":"pub fn repos_update_deployment_branch_policy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeploymentBranchPolicy, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_deployment_branch_policy_response\nmidas/sdk/github/operations repos_update_deployment_branch_policy_response","url":"midas/sdk/github/operations.html#repos_update_deployment_branch_policy_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_information_about_pages_site_request","content":"pub fn repos_update_information_about_pages_site_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_information_about_pages_site_request\nmidas/sdk/github/operations repos_update_information_about_pages_site_request","url":"midas/sdk/github/operations.html#repos_update_information_about_pages_site_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_information_about_pages_site_response","content":"pub fn repos_update_information_about_pages_site_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_information_about_pages_site_response\nmidas/sdk/github/operations repos_update_information_about_pages_site_response","url":"midas/sdk/github/operations.html#repos_update_information_about_pages_site_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_invitation_request","content":"pub fn repos_update_invitation_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  invitation_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_invitation_request\nmidas/sdk/github/operations repos_update_invitation_request","url":"midas/sdk/github/operations.html#repos_update_invitation_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_invitation_response","content":"pub fn repos_update_invitation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryInvitation, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_invitation_response\nmidas/sdk/github/operations repos_update_invitation_response","url":"midas/sdk/github/operations.html#repos_update_invitation_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_org_ruleset_request","content":"pub fn repos_update_org_ruleset_request(\n  base: Request(a),\n  org: String,\n  ruleset_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_org_ruleset_request\nmidas/sdk/github/operations repos_update_org_ruleset_request","url":"midas/sdk/github/operations.html#repos_update_org_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_org_ruleset_response","content":"pub fn repos_update_org_ruleset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryRuleset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_org_ruleset_response\nmidas/sdk/github/operations repos_update_org_ruleset_response","url":"midas/sdk/github/operations.html#repos_update_org_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_pull_request_review_protection_request","content":"pub fn repos_update_pull_request_review_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_pull_request_review_protection_request\nmidas/sdk/github/operations repos_update_pull_request_review_protection_request","url":"midas/sdk/github/operations.html#repos_update_pull_request_review_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_pull_request_review_protection_response","content":"pub fn repos_update_pull_request_review_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(ProtectedBranchPullRequestReview, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_pull_request_review_protection_response\nmidas/sdk/github/operations repos_update_pull_request_review_protection_response","url":"midas/sdk/github/operations.html#repos_update_pull_request_review_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_release_asset_request","content":"pub fn repos_update_release_asset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  asset_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_release_asset_request\nmidas/sdk/github/operations repos_update_release_asset_request","url":"midas/sdk/github/operations.html#repos_update_release_asset_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_release_asset_response","content":"pub fn repos_update_release_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ReleaseAsset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_release_asset_response\nmidas/sdk/github/operations repos_update_release_asset_response","url":"midas/sdk/github/operations.html#repos_update_release_asset_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_release_request","content":"pub fn repos_update_release_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_release_request\nmidas/sdk/github/operations repos_update_release_request","url":"midas/sdk/github/operations.html#repos_update_release_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_release_response","content":"pub fn repos_update_release_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Release, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_release_response\nmidas/sdk/github/operations repos_update_release_response","url":"midas/sdk/github/operations.html#repos_update_release_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_repo_ruleset_request","content":"pub fn repos_update_repo_ruleset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ruleset_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_repo_ruleset_request\nmidas/sdk/github/operations repos_update_repo_ruleset_request","url":"midas/sdk/github/operations.html#repos_update_repo_ruleset_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_repo_ruleset_response","content":"pub fn repos_update_repo_ruleset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryRuleset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_repo_ruleset_response\nmidas/sdk/github/operations repos_update_repo_ruleset_response","url":"midas/sdk/github/operations.html#repos_update_repo_ruleset_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_request","content":"pub fn repos_update_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_request\nmidas/sdk/github/operations repos_update_request","url":"midas/sdk/github/operations.html#repos_update_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_response","content":"pub fn repos_update_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FullRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_response\nmidas/sdk/github/operations repos_update_response","url":"midas/sdk/github/operations.html#repos_update_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_status_check_protection_request","content":"pub fn repos_update_status_check_protection_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  branch: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_status_check_protection_request\nmidas/sdk/github/operations repos_update_status_check_protection_request","url":"midas/sdk/github/operations.html#repos_update_status_check_protection_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_status_check_protection_response","content":"pub fn repos_update_status_check_protection_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(StatusCheckPolicy, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_status_check_protection_response\nmidas/sdk/github/operations repos_update_status_check_protection_response","url":"midas/sdk/github/operations.html#repos_update_status_check_protection_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_webhook_config_for_repo_request","content":"pub fn repos_update_webhook_config_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_webhook_config_for_repo_request\nmidas/sdk/github/operations repos_update_webhook_config_for_repo_request","url":"midas/sdk/github/operations.html#repos_update_webhook_config_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_webhook_config_for_repo_response","content":"pub fn repos_update_webhook_config_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(WebhookConfig, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_webhook_config_for_repo_response\nmidas/sdk/github/operations repos_update_webhook_config_for_repo_response","url":"midas/sdk/github/operations.html#repos_update_webhook_config_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"repos_update_webhook_request","content":"pub fn repos_update_webhook_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_webhook_request\nmidas/sdk/github/operations repos_update_webhook_request","url":"midas/sdk/github/operations.html#repos_update_webhook_request"},{"doc":"midas/sdk/github/operations","title":"repos_update_webhook_response","content":"pub fn repos_update_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_update_webhook_response\nmidas/sdk/github/operations repos_update_webhook_response","url":"midas/sdk/github/operations.html#repos_update_webhook_response"},{"doc":"midas/sdk/github/operations","title":"repos_upload_release_asset_request","content":"pub fn repos_upload_release_asset_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  release_id: Int,\n  name name: String,\n  label label: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.repos_upload_release_asset_request\nmidas/sdk/github/operations repos_upload_release_asset_request","url":"midas/sdk/github/operations.html#repos_upload_release_asset_request"},{"doc":"midas/sdk/github/operations","title":"repos_upload_release_asset_response","content":"pub fn repos_upload_release_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ReleaseAsset, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.repos_upload_release_asset_response\nmidas/sdk/github/operations repos_upload_release_asset_response","url":"midas/sdk/github/operations.html#repos_upload_release_asset_response"},{"doc":"midas/sdk/github/operations","title":"search_code_request","content":"pub fn search_code_request(\n  base: Request(a),\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.search_code_request\nmidas/sdk/github/operations search_code_request","url":"midas/sdk/github/operations.html#search_code_request"},{"doc":"midas/sdk/github/operations","title":"search_code_response","content":"pub fn search_code_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.search_code_response\nmidas/sdk/github/operations search_code_response","url":"midas/sdk/github/operations.html#search_code_response"},{"doc":"midas/sdk/github/operations","title":"search_commits_request","content":"pub fn search_commits_request(\n  base: Request(a),\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.search_commits_request\nmidas/sdk/github/operations search_commits_request","url":"midas/sdk/github/operations.html#search_commits_request"},{"doc":"midas/sdk/github/operations","title":"search_commits_response","content":"pub fn search_commits_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.search_commits_response\nmidas/sdk/github/operations search_commits_response","url":"midas/sdk/github/operations.html#search_commits_response"},{"doc":"midas/sdk/github/operations","title":"search_issues_and_pull_requests_request","content":"pub fn search_issues_and_pull_requests_request(\n  base: Request(a),\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.search_issues_and_pull_requests_request\nmidas/sdk/github/operations search_issues_and_pull_requests_request","url":"midas/sdk/github/operations.html#search_issues_and_pull_requests_request"},{"doc":"midas/sdk/github/operations","title":"search_issues_and_pull_requests_response","content":"pub fn search_issues_and_pull_requests_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.search_issues_and_pull_requests_response\nmidas/sdk/github/operations search_issues_and_pull_requests_response","url":"midas/sdk/github/operations.html#search_issues_and_pull_requests_response"},{"doc":"midas/sdk/github/operations","title":"search_labels_request","content":"pub fn search_labels_request(\n  base: Request(a),\n  repository_id repository_id: Int,\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.search_labels_request\nmidas/sdk/github/operations search_labels_request","url":"midas/sdk/github/operations.html#search_labels_request"},{"doc":"midas/sdk/github/operations","title":"search_labels_response","content":"pub fn search_labels_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.search_labels_response\nmidas/sdk/github/operations search_labels_response","url":"midas/sdk/github/operations.html#search_labels_response"},{"doc":"midas/sdk/github/operations","title":"search_repos_request","content":"pub fn search_repos_request(\n  base: Request(a),\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.search_repos_request\nmidas/sdk/github/operations search_repos_request","url":"midas/sdk/github/operations.html#search_repos_request"},{"doc":"midas/sdk/github/operations","title":"search_repos_response","content":"pub fn search_repos_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.search_repos_response\nmidas/sdk/github/operations search_repos_response","url":"midas/sdk/github/operations.html#search_repos_response"},{"doc":"midas/sdk/github/operations","title":"search_topics_request","content":"pub fn search_topics_request(\n  base: Request(a),\n  q q: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.search_topics_request\nmidas/sdk/github/operations search_topics_request","url":"midas/sdk/github/operations.html#search_topics_request"},{"doc":"midas/sdk/github/operations","title":"search_topics_response","content":"pub fn search_topics_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.search_topics_response\nmidas/sdk/github/operations search_topics_response","url":"midas/sdk/github/operations.html#search_topics_response"},{"doc":"midas/sdk/github/operations","title":"search_users_request","content":"pub fn search_users_request(\n  base: Request(a),\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.search_users_request\nmidas/sdk/github/operations search_users_request","url":"midas/sdk/github/operations.html#search_users_request"},{"doc":"midas/sdk/github/operations","title":"search_users_response","content":"pub fn search_users_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.search_users_response\nmidas/sdk/github/operations search_users_response","url":"midas/sdk/github/operations.html#search_users_response"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_create_push_protection_bypass_request","content":"pub fn secret_scanning_create_push_protection_bypass_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_create_push_protection_bypass_request\nmidas/sdk/github/operations secret_scanning_create_push_protection_bypass_request","url":"midas/sdk/github/operations.html#secret_scanning_create_push_protection_bypass_request"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_create_push_protection_bypass_response","content":"pub fn secret_scanning_create_push_protection_bypass_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(SecretScanningPushProtectionBypass, String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_create_push_protection_bypass_response\nmidas/sdk/github/operations secret_scanning_create_push_protection_bypass_response","url":"midas/sdk/github/operations.html#secret_scanning_create_push_protection_bypass_response"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_get_alert_request","content":"pub fn secret_scanning_get_alert_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_get_alert_request\nmidas/sdk/github/operations secret_scanning_get_alert_request","url":"midas/sdk/github/operations.html#secret_scanning_get_alert_request"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_get_alert_response","content":"pub fn secret_scanning_get_alert_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SecretScanningAlert, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_get_alert_response\nmidas/sdk/github/operations secret_scanning_get_alert_response","url":"midas/sdk/github/operations.html#secret_scanning_get_alert_response"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_alerts_for_enterprise_request","content":"pub fn secret_scanning_list_alerts_for_enterprise_request(\n  base: Request(a),\n  enterprise: String,\n  state state: Option(String),\n  secret_type secret_type: Option(String),\n  resolution resolution: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  validity validity: Option(String),\n  is_publicly_leaked is_publicly_leaked: Option(Bool),\n  is_multi_repo is_multi_repo: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_alerts_for_enterprise_request\nmidas/sdk/github/operations secret_scanning_list_alerts_for_enterprise_request","url":"midas/sdk/github/operations.html#secret_scanning_list_alerts_for_enterprise_request"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_alerts_for_enterprise_response","content":"pub fn secret_scanning_list_alerts_for_enterprise_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationSecretScanningAlert), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_alerts_for_enterprise_response\nmidas/sdk/github/operations secret_scanning_list_alerts_for_enterprise_response","url":"midas/sdk/github/operations.html#secret_scanning_list_alerts_for_enterprise_response"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_alerts_for_org_request","content":"pub fn secret_scanning_list_alerts_for_org_request(\n  base: Request(a),\n  org: String,\n  state state: Option(String),\n  secret_type secret_type: Option(String),\n  resolution resolution: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  validity validity: Option(String),\n  is_publicly_leaked is_publicly_leaked: Option(Bool),\n  is_multi_repo is_multi_repo: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_alerts_for_org_request\nmidas/sdk/github/operations secret_scanning_list_alerts_for_org_request","url":"midas/sdk/github/operations.html#secret_scanning_list_alerts_for_org_request"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_alerts_for_org_response","content":"pub fn secret_scanning_list_alerts_for_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationSecretScanningAlert), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_alerts_for_org_response\nmidas/sdk/github/operations secret_scanning_list_alerts_for_org_response","url":"midas/sdk/github/operations.html#secret_scanning_list_alerts_for_org_response"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_alerts_for_repo_request","content":"pub fn secret_scanning_list_alerts_for_repo_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  secret_type secret_type: Option(String),\n  resolution resolution: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  validity validity: Option(String),\n  is_publicly_leaked is_publicly_leaked: Option(Bool),\n  is_multi_repo is_multi_repo: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_alerts_for_repo_request\nmidas/sdk/github/operations secret_scanning_list_alerts_for_repo_request","url":"midas/sdk/github/operations.html#secret_scanning_list_alerts_for_repo_request"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_alerts_for_repo_response","content":"pub fn secret_scanning_list_alerts_for_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(SecretScanningAlert), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_alerts_for_repo_response\nmidas/sdk/github/operations secret_scanning_list_alerts_for_repo_response","url":"midas/sdk/github/operations.html#secret_scanning_list_alerts_for_repo_response"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_locations_for_alert_request","content":"pub fn secret_scanning_list_locations_for_alert_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_locations_for_alert_request\nmidas/sdk/github/operations secret_scanning_list_locations_for_alert_request","url":"midas/sdk/github/operations.html#secret_scanning_list_locations_for_alert_request"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_list_locations_for_alert_response","content":"pub fn secret_scanning_list_locations_for_alert_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(SecretScanningLocation), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_list_locations_for_alert_response\nmidas/sdk/github/operations secret_scanning_list_locations_for_alert_response","url":"midas/sdk/github/operations.html#secret_scanning_list_locations_for_alert_response"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_update_alert_request","content":"pub fn secret_scanning_update_alert_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_update_alert_request\nmidas/sdk/github/operations secret_scanning_update_alert_request","url":"midas/sdk/github/operations.html#secret_scanning_update_alert_request"},{"doc":"midas/sdk/github/operations","title":"secret_scanning_update_alert_response","content":"pub fn secret_scanning_update_alert_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SecretScanningAlert, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.secret_scanning_update_alert_response\nmidas/sdk/github/operations secret_scanning_update_alert_response","url":"midas/sdk/github/operations.html#secret_scanning_update_alert_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_fork_request","content":"pub fn security_advisories_create_fork_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_fork_request\nmidas/sdk/github/operations security_advisories_create_fork_request","url":"midas/sdk/github/operations.html#security_advisories_create_fork_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_fork_response","content":"pub fn security_advisories_create_fork_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(FullRepository, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_fork_response\nmidas/sdk/github/operations security_advisories_create_fork_response","url":"midas/sdk/github/operations.html#security_advisories_create_fork_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_private_vulnerability_report_request","content":"pub fn security_advisories_create_private_vulnerability_report_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  private_vulnerability_report_create: PrivateVulnerabilityReportCreate,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_private_vulnerability_report_request\nmidas/sdk/github/operations security_advisories_create_private_vulnerability_report_request","url":"midas/sdk/github/operations.html#security_advisories_create_private_vulnerability_report_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_private_vulnerability_report_response","content":"pub fn security_advisories_create_private_vulnerability_report_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryAdvisory, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_private_vulnerability_report_response\nmidas/sdk/github/operations security_advisories_create_private_vulnerability_report_response","url":"midas/sdk/github/operations.html#security_advisories_create_private_vulnerability_report_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_repository_advisory_cve_request_request","content":"pub fn security_advisories_create_repository_advisory_cve_request_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_repository_advisory_cve_request_request\nmidas/sdk/github/operations security_advisories_create_repository_advisory_cve_request_request","url":"midas/sdk/github/operations.html#security_advisories_create_repository_advisory_cve_request_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_repository_advisory_cve_request_response","content":"pub fn security_advisories_create_repository_advisory_cve_request_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_repository_advisory_cve_request_response\nmidas/sdk/github/operations security_advisories_create_repository_advisory_cve_request_response","url":"midas/sdk/github/operations.html#security_advisories_create_repository_advisory_cve_request_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_repository_advisory_request","content":"pub fn security_advisories_create_repository_advisory_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  repository_advisory_create: RepositoryAdvisoryCreate,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_repository_advisory_request\nmidas/sdk/github/operations security_advisories_create_repository_advisory_request","url":"midas/sdk/github/operations.html#security_advisories_create_repository_advisory_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_create_repository_advisory_response","content":"pub fn security_advisories_create_repository_advisory_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryAdvisory, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_create_repository_advisory_response\nmidas/sdk/github/operations security_advisories_create_repository_advisory_response","url":"midas/sdk/github/operations.html#security_advisories_create_repository_advisory_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_get_global_advisory_request","content":"pub fn security_advisories_get_global_advisory_request(\n  base: Request(a),\n  ghsa_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_get_global_advisory_request\nmidas/sdk/github/operations security_advisories_get_global_advisory_request","url":"midas/sdk/github/operations.html#security_advisories_get_global_advisory_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_get_global_advisory_response","content":"pub fn security_advisories_get_global_advisory_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GlobalAdvisory, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_get_global_advisory_response\nmidas/sdk/github/operations security_advisories_get_global_advisory_response","url":"midas/sdk/github/operations.html#security_advisories_get_global_advisory_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_get_repository_advisory_request","content":"pub fn security_advisories_get_repository_advisory_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_get_repository_advisory_request\nmidas/sdk/github/operations security_advisories_get_repository_advisory_request","url":"midas/sdk/github/operations.html#security_advisories_get_repository_advisory_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_get_repository_advisory_response","content":"pub fn security_advisories_get_repository_advisory_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryAdvisory, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_get_repository_advisory_response\nmidas/sdk/github/operations security_advisories_get_repository_advisory_response","url":"midas/sdk/github/operations.html#security_advisories_get_repository_advisory_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_list_global_advisories_request","content":"pub fn security_advisories_list_global_advisories_request(\n  base: Request(a),\n  ghsa_id ghsa_id: Option(String),\n  type_ type_: Option(String),\n  cve_id cve_id: Option(String),\n  ecosystem ecosystem: Option(String),\n  severity severity: Option(String),\n  cwes cwes: b,\n  is_withdrawn is_withdrawn: Option(Bool),\n  affects affects: c,\n  published published: Option(String),\n  updated updated: Option(String),\n  modified modified: Option(String),\n  epss_percentage epss_percentage: Option(String),\n  epss_percentile epss_percentile: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_list_global_advisories_request\nmidas/sdk/github/operations security_advisories_list_global_advisories_request","url":"midas/sdk/github/operations.html#security_advisories_list_global_advisories_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_list_global_advisories_response","content":"pub fn security_advisories_list_global_advisories_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(GlobalAdvisory), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_list_global_advisories_response\nmidas/sdk/github/operations security_advisories_list_global_advisories_response","url":"midas/sdk/github/operations.html#security_advisories_list_global_advisories_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_list_org_repository_advisories_request","content":"pub fn security_advisories_list_org_repository_advisories_request(\n  base: Request(a),\n  org: String,\n  direction direction: Option(String),\n  sort sort: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_list_org_repository_advisories_request\nmidas/sdk/github/operations security_advisories_list_org_repository_advisories_request","url":"midas/sdk/github/operations.html#security_advisories_list_org_repository_advisories_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_list_org_repository_advisories_response","content":"pub fn security_advisories_list_org_repository_advisories_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(RepositoryAdvisory), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_list_org_repository_advisories_response\nmidas/sdk/github/operations security_advisories_list_org_repository_advisories_response","url":"midas/sdk/github/operations.html#security_advisories_list_org_repository_advisories_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_list_repository_advisories_request","content":"pub fn security_advisories_list_repository_advisories_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  direction direction: Option(String),\n  sort sort: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_list_repository_advisories_request\nmidas/sdk/github/operations security_advisories_list_repository_advisories_request","url":"midas/sdk/github/operations.html#security_advisories_list_repository_advisories_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_list_repository_advisories_response","content":"pub fn security_advisories_list_repository_advisories_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(RepositoryAdvisory), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_list_repository_advisories_response\nmidas/sdk/github/operations security_advisories_list_repository_advisories_response","url":"midas/sdk/github/operations.html#security_advisories_list_repository_advisories_response"},{"doc":"midas/sdk/github/operations","title":"security_advisories_update_repository_advisory_request","content":"pub fn security_advisories_update_repository_advisory_request(\n  base: Request(a),\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n  repository_advisory_update: RepositoryAdvisoryUpdate,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_update_repository_advisory_request\nmidas/sdk/github/operations security_advisories_update_repository_advisory_request","url":"midas/sdk/github/operations.html#security_advisories_update_repository_advisory_request"},{"doc":"midas/sdk/github/operations","title":"security_advisories_update_repository_advisory_response","content":"pub fn security_advisories_update_repository_advisory_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(RepositoryAdvisory, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.security_advisories_update_repository_advisory_response\nmidas/sdk/github/operations security_advisories_update_repository_advisory_response","url":"midas/sdk/github/operations.html#security_advisories_update_repository_advisory_response"},{"doc":"midas/sdk/github/operations","title":"teams_add_member_legacy_request","content":"pub fn teams_add_member_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_member_legacy_request\nmidas/sdk/github/operations teams_add_member_legacy_request","url":"midas/sdk/github/operations.html#teams_add_member_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_add_member_legacy_response","content":"pub fn teams_add_member_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_member_legacy_response\nmidas/sdk/github/operations teams_add_member_legacy_response","url":"midas/sdk/github/operations.html#teams_add_member_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_membership_for_user_in_org_request","content":"pub fn teams_add_or_update_membership_for_user_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  username: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_membership_for_user_in_org_request\nmidas/sdk/github/operations teams_add_or_update_membership_for_user_in_org_request","url":"midas/sdk/github/operations.html#teams_add_or_update_membership_for_user_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_membership_for_user_in_org_response","content":"pub fn teams_add_or_update_membership_for_user_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_membership_for_user_in_org_response\nmidas/sdk/github/operations teams_add_or_update_membership_for_user_in_org_response","url":"midas/sdk/github/operations.html#teams_add_or_update_membership_for_user_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_membership_for_user_legacy_request","content":"pub fn teams_add_or_update_membership_for_user_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  username: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_membership_for_user_legacy_request\nmidas/sdk/github/operations teams_add_or_update_membership_for_user_legacy_request","url":"midas/sdk/github/operations.html#teams_add_or_update_membership_for_user_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_membership_for_user_legacy_response","content":"pub fn teams_add_or_update_membership_for_user_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_membership_for_user_legacy_response\nmidas/sdk/github/operations teams_add_or_update_membership_for_user_legacy_response","url":"midas/sdk/github/operations.html#teams_add_or_update_membership_for_user_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_project_permissions_in_org_request","content":"pub fn teams_add_or_update_project_permissions_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  project_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_project_permissions_in_org_request\nmidas/sdk/github/operations teams_add_or_update_project_permissions_in_org_request","url":"midas/sdk/github/operations.html#teams_add_or_update_project_permissions_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_project_permissions_in_org_response","content":"pub fn teams_add_or_update_project_permissions_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_project_permissions_in_org_response\nmidas/sdk/github/operations teams_add_or_update_project_permissions_in_org_response","url":"midas/sdk/github/operations.html#teams_add_or_update_project_permissions_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_project_permissions_legacy_request","content":"pub fn teams_add_or_update_project_permissions_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  project_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_project_permissions_legacy_request\nmidas/sdk/github/operations teams_add_or_update_project_permissions_legacy_request","url":"midas/sdk/github/operations.html#teams_add_or_update_project_permissions_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_project_permissions_legacy_response","content":"pub fn teams_add_or_update_project_permissions_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_project_permissions_legacy_response\nmidas/sdk/github/operations teams_add_or_update_project_permissions_legacy_response","url":"midas/sdk/github/operations.html#teams_add_or_update_project_permissions_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_repo_permissions_in_org_request","content":"pub fn teams_add_or_update_repo_permissions_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_repo_permissions_in_org_request\nmidas/sdk/github/operations teams_add_or_update_repo_permissions_in_org_request","url":"midas/sdk/github/operations.html#teams_add_or_update_repo_permissions_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_repo_permissions_in_org_response","content":"pub fn teams_add_or_update_repo_permissions_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_repo_permissions_in_org_response\nmidas/sdk/github/operations teams_add_or_update_repo_permissions_in_org_response","url":"midas/sdk/github/operations.html#teams_add_or_update_repo_permissions_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_repo_permissions_legacy_request","content":"pub fn teams_add_or_update_repo_permissions_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  owner: String,\n  repo: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_repo_permissions_legacy_request\nmidas/sdk/github/operations teams_add_or_update_repo_permissions_legacy_request","url":"midas/sdk/github/operations.html#teams_add_or_update_repo_permissions_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_add_or_update_repo_permissions_legacy_response","content":"pub fn teams_add_or_update_repo_permissions_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_add_or_update_repo_permissions_legacy_response\nmidas/sdk/github/operations teams_add_or_update_repo_permissions_legacy_response","url":"midas/sdk/github/operations.html#teams_add_or_update_repo_permissions_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_project_in_org_request","content":"pub fn teams_check_permissions_for_project_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  project_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_project_in_org_request\nmidas/sdk/github/operations teams_check_permissions_for_project_in_org_request","url":"midas/sdk/github/operations.html#teams_check_permissions_for_project_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_project_in_org_response","content":"pub fn teams_check_permissions_for_project_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamProject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_project_in_org_response\nmidas/sdk/github/operations teams_check_permissions_for_project_in_org_response","url":"midas/sdk/github/operations.html#teams_check_permissions_for_project_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_project_legacy_request","content":"pub fn teams_check_permissions_for_project_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  project_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_project_legacy_request\nmidas/sdk/github/operations teams_check_permissions_for_project_legacy_request","url":"midas/sdk/github/operations.html#teams_check_permissions_for_project_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_project_legacy_response","content":"pub fn teams_check_permissions_for_project_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamProject, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_project_legacy_response\nmidas/sdk/github/operations teams_check_permissions_for_project_legacy_response","url":"midas/sdk/github/operations.html#teams_check_permissions_for_project_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_repo_in_org_request","content":"pub fn teams_check_permissions_for_repo_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_repo_in_org_request\nmidas/sdk/github/operations teams_check_permissions_for_repo_in_org_request","url":"midas/sdk/github/operations.html#teams_check_permissions_for_repo_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_repo_in_org_response","content":"pub fn teams_check_permissions_for_repo_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_repo_in_org_response\nmidas/sdk/github/operations teams_check_permissions_for_repo_in_org_response","url":"midas/sdk/github/operations.html#teams_check_permissions_for_repo_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_repo_legacy_request","content":"pub fn teams_check_permissions_for_repo_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_repo_legacy_request\nmidas/sdk/github/operations teams_check_permissions_for_repo_legacy_request","url":"midas/sdk/github/operations.html#teams_check_permissions_for_repo_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_check_permissions_for_repo_legacy_response","content":"pub fn teams_check_permissions_for_repo_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_check_permissions_for_repo_legacy_response\nmidas/sdk/github/operations teams_check_permissions_for_repo_legacy_response","url":"midas/sdk/github/operations.html#teams_check_permissions_for_repo_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_comment_in_org_request","content":"pub fn teams_create_discussion_comment_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_comment_in_org_request\nmidas/sdk/github/operations teams_create_discussion_comment_in_org_request","url":"midas/sdk/github/operations.html#teams_create_discussion_comment_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_comment_in_org_response","content":"pub fn teams_create_discussion_comment_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussionComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_comment_in_org_response\nmidas/sdk/github/operations teams_create_discussion_comment_in_org_response","url":"midas/sdk/github/operations.html#teams_create_discussion_comment_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_comment_legacy_request","content":"pub fn teams_create_discussion_comment_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_comment_legacy_request\nmidas/sdk/github/operations teams_create_discussion_comment_legacy_request","url":"midas/sdk/github/operations.html#teams_create_discussion_comment_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_comment_legacy_response","content":"pub fn teams_create_discussion_comment_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussionComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_comment_legacy_response\nmidas/sdk/github/operations teams_create_discussion_comment_legacy_response","url":"midas/sdk/github/operations.html#teams_create_discussion_comment_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_in_org_request","content":"pub fn teams_create_discussion_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_in_org_request\nmidas/sdk/github/operations teams_create_discussion_in_org_request","url":"midas/sdk/github/operations.html#teams_create_discussion_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_in_org_response","content":"pub fn teams_create_discussion_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_in_org_response\nmidas/sdk/github/operations teams_create_discussion_in_org_response","url":"midas/sdk/github/operations.html#teams_create_discussion_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_legacy_request","content":"pub fn teams_create_discussion_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_legacy_request\nmidas/sdk/github/operations teams_create_discussion_legacy_request","url":"midas/sdk/github/operations.html#teams_create_discussion_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_create_discussion_legacy_response","content":"pub fn teams_create_discussion_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_discussion_legacy_response\nmidas/sdk/github/operations teams_create_discussion_legacy_response","url":"midas/sdk/github/operations.html#teams_create_discussion_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_create_request","content":"pub fn teams_create_request(\n  base: Request(a),\n  org: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_request\nmidas/sdk/github/operations teams_create_request","url":"midas/sdk/github/operations.html#teams_create_request"},{"doc":"midas/sdk/github/operations","title":"teams_create_response","content":"pub fn teams_create_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamFull, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_create_response\nmidas/sdk/github/operations teams_create_response","url":"midas/sdk/github/operations.html#teams_create_response"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_comment_in_org_request","content":"pub fn teams_delete_discussion_comment_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_comment_in_org_request\nmidas/sdk/github/operations teams_delete_discussion_comment_in_org_request","url":"midas/sdk/github/operations.html#teams_delete_discussion_comment_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_comment_in_org_response","content":"pub fn teams_delete_discussion_comment_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_comment_in_org_response\nmidas/sdk/github/operations teams_delete_discussion_comment_in_org_response","url":"midas/sdk/github/operations.html#teams_delete_discussion_comment_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_comment_legacy_request","content":"pub fn teams_delete_discussion_comment_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_comment_legacy_request\nmidas/sdk/github/operations teams_delete_discussion_comment_legacy_request","url":"midas/sdk/github/operations.html#teams_delete_discussion_comment_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_comment_legacy_response","content":"pub fn teams_delete_discussion_comment_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_comment_legacy_response\nmidas/sdk/github/operations teams_delete_discussion_comment_legacy_response","url":"midas/sdk/github/operations.html#teams_delete_discussion_comment_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_in_org_request","content":"pub fn teams_delete_discussion_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_in_org_request\nmidas/sdk/github/operations teams_delete_discussion_in_org_request","url":"midas/sdk/github/operations.html#teams_delete_discussion_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_in_org_response","content":"pub fn teams_delete_discussion_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_in_org_response\nmidas/sdk/github/operations teams_delete_discussion_in_org_response","url":"midas/sdk/github/operations.html#teams_delete_discussion_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_legacy_request","content":"pub fn teams_delete_discussion_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_legacy_request\nmidas/sdk/github/operations teams_delete_discussion_legacy_request","url":"midas/sdk/github/operations.html#teams_delete_discussion_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_delete_discussion_legacy_response","content":"pub fn teams_delete_discussion_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_discussion_legacy_response\nmidas/sdk/github/operations teams_delete_discussion_legacy_response","url":"midas/sdk/github/operations.html#teams_delete_discussion_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_delete_in_org_request","content":"pub fn teams_delete_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_in_org_request\nmidas/sdk/github/operations teams_delete_in_org_request","url":"midas/sdk/github/operations.html#teams_delete_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_delete_in_org_response","content":"pub fn teams_delete_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_in_org_response\nmidas/sdk/github/operations teams_delete_in_org_response","url":"midas/sdk/github/operations.html#teams_delete_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_delete_legacy_request","content":"pub fn teams_delete_legacy_request(\n  base: Request(a),\n  team_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_legacy_request\nmidas/sdk/github/operations teams_delete_legacy_request","url":"midas/sdk/github/operations.html#teams_delete_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_delete_legacy_response","content":"pub fn teams_delete_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_delete_legacy_response\nmidas/sdk/github/operations teams_delete_legacy_response","url":"midas/sdk/github/operations.html#teams_delete_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_by_name_request","content":"pub fn teams_get_by_name_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_by_name_request\nmidas/sdk/github/operations teams_get_by_name_request","url":"midas/sdk/github/operations.html#teams_get_by_name_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_by_name_response","content":"pub fn teams_get_by_name_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamFull, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_by_name_response\nmidas/sdk/github/operations teams_get_by_name_response","url":"midas/sdk/github/operations.html#teams_get_by_name_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_comment_in_org_request","content":"pub fn teams_get_discussion_comment_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_comment_in_org_request\nmidas/sdk/github/operations teams_get_discussion_comment_in_org_request","url":"midas/sdk/github/operations.html#teams_get_discussion_comment_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_comment_in_org_response","content":"pub fn teams_get_discussion_comment_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussionComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_comment_in_org_response\nmidas/sdk/github/operations teams_get_discussion_comment_in_org_response","url":"midas/sdk/github/operations.html#teams_get_discussion_comment_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_comment_legacy_request","content":"pub fn teams_get_discussion_comment_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_comment_legacy_request\nmidas/sdk/github/operations teams_get_discussion_comment_legacy_request","url":"midas/sdk/github/operations.html#teams_get_discussion_comment_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_comment_legacy_response","content":"pub fn teams_get_discussion_comment_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussionComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_comment_legacy_response\nmidas/sdk/github/operations teams_get_discussion_comment_legacy_response","url":"midas/sdk/github/operations.html#teams_get_discussion_comment_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_in_org_request","content":"pub fn teams_get_discussion_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_in_org_request\nmidas/sdk/github/operations teams_get_discussion_in_org_request","url":"midas/sdk/github/operations.html#teams_get_discussion_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_in_org_response","content":"pub fn teams_get_discussion_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_in_org_response\nmidas/sdk/github/operations teams_get_discussion_in_org_response","url":"midas/sdk/github/operations.html#teams_get_discussion_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_legacy_request","content":"pub fn teams_get_discussion_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_legacy_request\nmidas/sdk/github/operations teams_get_discussion_legacy_request","url":"midas/sdk/github/operations.html#teams_get_discussion_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_discussion_legacy_response","content":"pub fn teams_get_discussion_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_discussion_legacy_response\nmidas/sdk/github/operations teams_get_discussion_legacy_response","url":"midas/sdk/github/operations.html#teams_get_discussion_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_legacy_request","content":"pub fn teams_get_legacy_request(\n  base: Request(a),\n  team_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_legacy_request\nmidas/sdk/github/operations teams_get_legacy_request","url":"midas/sdk/github/operations.html#teams_get_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_legacy_response","content":"pub fn teams_get_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamFull, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_legacy_response\nmidas/sdk/github/operations teams_get_legacy_response","url":"midas/sdk/github/operations.html#teams_get_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_member_legacy_request","content":"pub fn teams_get_member_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_member_legacy_request\nmidas/sdk/github/operations teams_get_member_legacy_request","url":"midas/sdk/github/operations.html#teams_get_member_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_member_legacy_response","content":"pub fn teams_get_member_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_member_legacy_response\nmidas/sdk/github/operations teams_get_member_legacy_response","url":"midas/sdk/github/operations.html#teams_get_member_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_membership_for_user_in_org_request","content":"pub fn teams_get_membership_for_user_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_membership_for_user_in_org_request\nmidas/sdk/github/operations teams_get_membership_for_user_in_org_request","url":"midas/sdk/github/operations.html#teams_get_membership_for_user_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_membership_for_user_in_org_response","content":"pub fn teams_get_membership_for_user_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_membership_for_user_in_org_response\nmidas/sdk/github/operations teams_get_membership_for_user_in_org_response","url":"midas/sdk/github/operations.html#teams_get_membership_for_user_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_get_membership_for_user_legacy_request","content":"pub fn teams_get_membership_for_user_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_membership_for_user_legacy_request\nmidas/sdk/github/operations teams_get_membership_for_user_legacy_request","url":"midas/sdk/github/operations.html#teams_get_membership_for_user_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_get_membership_for_user_legacy_response","content":"pub fn teams_get_membership_for_user_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamMembership, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_get_membership_for_user_legacy_response\nmidas/sdk/github/operations teams_get_membership_for_user_legacy_response","url":"midas/sdk/github/operations.html#teams_get_membership_for_user_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_child_in_org_request","content":"pub fn teams_list_child_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_child_in_org_request\nmidas/sdk/github/operations teams_list_child_in_org_request","url":"midas/sdk/github/operations.html#teams_list_child_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_child_in_org_response","content":"pub fn teams_list_child_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_child_in_org_response\nmidas/sdk/github/operations teams_list_child_in_org_response","url":"midas/sdk/github/operations.html#teams_list_child_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_child_legacy_request","content":"pub fn teams_list_child_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_child_legacy_request\nmidas/sdk/github/operations teams_list_child_legacy_request","url":"midas/sdk/github/operations.html#teams_list_child_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_child_legacy_response","content":"pub fn teams_list_child_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_child_legacy_response\nmidas/sdk/github/operations teams_list_child_legacy_response","url":"midas/sdk/github/operations.html#teams_list_child_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussion_comments_in_org_request","content":"pub fn teams_list_discussion_comments_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussion_comments_in_org_request\nmidas/sdk/github/operations teams_list_discussion_comments_in_org_request","url":"midas/sdk/github/operations.html#teams_list_discussion_comments_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussion_comments_in_org_response","content":"pub fn teams_list_discussion_comments_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(TeamDiscussionComment), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussion_comments_in_org_response\nmidas/sdk/github/operations teams_list_discussion_comments_in_org_response","url":"midas/sdk/github/operations.html#teams_list_discussion_comments_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussion_comments_legacy_request","content":"pub fn teams_list_discussion_comments_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussion_comments_legacy_request\nmidas/sdk/github/operations teams_list_discussion_comments_legacy_request","url":"midas/sdk/github/operations.html#teams_list_discussion_comments_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussion_comments_legacy_response","content":"pub fn teams_list_discussion_comments_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(TeamDiscussionComment), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussion_comments_legacy_response\nmidas/sdk/github/operations teams_list_discussion_comments_legacy_response","url":"midas/sdk/github/operations.html#teams_list_discussion_comments_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussions_in_org_request","content":"pub fn teams_list_discussions_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  pinned pinned: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussions_in_org_request\nmidas/sdk/github/operations teams_list_discussions_in_org_request","url":"midas/sdk/github/operations.html#teams_list_discussions_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussions_in_org_response","content":"pub fn teams_list_discussions_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TeamDiscussion), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussions_in_org_response\nmidas/sdk/github/operations teams_list_discussions_in_org_response","url":"midas/sdk/github/operations.html#teams_list_discussions_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussions_legacy_request","content":"pub fn teams_list_discussions_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussions_legacy_request\nmidas/sdk/github/operations teams_list_discussions_legacy_request","url":"midas/sdk/github/operations.html#teams_list_discussions_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_discussions_legacy_response","content":"pub fn teams_list_discussions_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TeamDiscussion), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_discussions_legacy_response\nmidas/sdk/github/operations teams_list_discussions_legacy_response","url":"midas/sdk/github/operations.html#teams_list_discussions_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_for_authenticated_user_request","content":"pub fn teams_list_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_for_authenticated_user_request\nmidas/sdk/github/operations teams_list_for_authenticated_user_request","url":"midas/sdk/github/operations.html#teams_list_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_for_authenticated_user_response","content":"pub fn teams_list_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TeamFull), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_for_authenticated_user_response\nmidas/sdk/github/operations teams_list_for_authenticated_user_response","url":"midas/sdk/github/operations.html#teams_list_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_members_in_org_request","content":"pub fn teams_list_members_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  role role: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_members_in_org_request\nmidas/sdk/github/operations teams_list_members_in_org_request","url":"midas/sdk/github/operations.html#teams_list_members_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_members_in_org_response","content":"pub fn teams_list_members_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_members_in_org_response\nmidas/sdk/github/operations teams_list_members_in_org_response","url":"midas/sdk/github/operations.html#teams_list_members_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_members_legacy_request","content":"pub fn teams_list_members_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  role role: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_members_legacy_request\nmidas/sdk/github/operations teams_list_members_legacy_request","url":"midas/sdk/github/operations.html#teams_list_members_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_members_legacy_response","content":"pub fn teams_list_members_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_members_legacy_response\nmidas/sdk/github/operations teams_list_members_legacy_response","url":"midas/sdk/github/operations.html#teams_list_members_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_pending_invitations_in_org_request","content":"pub fn teams_list_pending_invitations_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_pending_invitations_in_org_request\nmidas/sdk/github/operations teams_list_pending_invitations_in_org_request","url":"midas/sdk/github/operations.html#teams_list_pending_invitations_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_pending_invitations_in_org_response","content":"pub fn teams_list_pending_invitations_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationInvitation), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_pending_invitations_in_org_response\nmidas/sdk/github/operations teams_list_pending_invitations_in_org_response","url":"midas/sdk/github/operations.html#teams_list_pending_invitations_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_pending_invitations_legacy_request","content":"pub fn teams_list_pending_invitations_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_pending_invitations_legacy_request\nmidas/sdk/github/operations teams_list_pending_invitations_legacy_request","url":"midas/sdk/github/operations.html#teams_list_pending_invitations_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_pending_invitations_legacy_response","content":"pub fn teams_list_pending_invitations_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(\n  Result(List(OrganizationInvitation), String),\n  DecodeError,\n)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_pending_invitations_legacy_response\nmidas/sdk/github/operations teams_list_pending_invitations_legacy_response","url":"midas/sdk/github/operations.html#teams_list_pending_invitations_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_projects_in_org_request","content":"pub fn teams_list_projects_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_projects_in_org_request\nmidas/sdk/github/operations teams_list_projects_in_org_request","url":"midas/sdk/github/operations.html#teams_list_projects_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_projects_in_org_response","content":"pub fn teams_list_projects_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TeamProject), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_projects_in_org_response\nmidas/sdk/github/operations teams_list_projects_in_org_response","url":"midas/sdk/github/operations.html#teams_list_projects_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_projects_legacy_request","content":"pub fn teams_list_projects_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_projects_legacy_request\nmidas/sdk/github/operations teams_list_projects_legacy_request","url":"midas/sdk/github/operations.html#teams_list_projects_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_projects_legacy_response","content":"pub fn teams_list_projects_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(TeamProject), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_projects_legacy_response\nmidas/sdk/github/operations teams_list_projects_legacy_response","url":"midas/sdk/github/operations.html#teams_list_projects_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_repos_in_org_request","content":"pub fn teams_list_repos_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_repos_in_org_request\nmidas/sdk/github/operations teams_list_repos_in_org_request","url":"midas/sdk/github/operations.html#teams_list_repos_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_repos_in_org_response","content":"pub fn teams_list_repos_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_repos_in_org_response\nmidas/sdk/github/operations teams_list_repos_in_org_response","url":"midas/sdk/github/operations.html#teams_list_repos_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_repos_legacy_request","content":"pub fn teams_list_repos_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_repos_legacy_request\nmidas/sdk/github/operations teams_list_repos_legacy_request","url":"midas/sdk/github/operations.html#teams_list_repos_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_repos_legacy_response","content":"pub fn teams_list_repos_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(MinimalRepository), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_repos_legacy_response\nmidas/sdk/github/operations teams_list_repos_legacy_response","url":"midas/sdk/github/operations.html#teams_list_repos_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_list_request","content":"pub fn teams_list_request(\n  base: Request(a),\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_request\nmidas/sdk/github/operations teams_list_request","url":"midas/sdk/github/operations.html#teams_list_request"},{"doc":"midas/sdk/github/operations","title":"teams_list_response","content":"pub fn teams_list_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Team), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_list_response\nmidas/sdk/github/operations teams_list_response","url":"midas/sdk/github/operations.html#teams_list_response"},{"doc":"midas/sdk/github/operations","title":"teams_remove_member_legacy_request","content":"pub fn teams_remove_member_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_member_legacy_request\nmidas/sdk/github/operations teams_remove_member_legacy_request","url":"midas/sdk/github/operations.html#teams_remove_member_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_remove_member_legacy_response","content":"pub fn teams_remove_member_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_member_legacy_response\nmidas/sdk/github/operations teams_remove_member_legacy_response","url":"midas/sdk/github/operations.html#teams_remove_member_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_remove_membership_for_user_in_org_request","content":"pub fn teams_remove_membership_for_user_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_membership_for_user_in_org_request\nmidas/sdk/github/operations teams_remove_membership_for_user_in_org_request","url":"midas/sdk/github/operations.html#teams_remove_membership_for_user_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_remove_membership_for_user_in_org_response","content":"pub fn teams_remove_membership_for_user_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_membership_for_user_in_org_response\nmidas/sdk/github/operations teams_remove_membership_for_user_in_org_response","url":"midas/sdk/github/operations.html#teams_remove_membership_for_user_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_remove_membership_for_user_legacy_request","content":"pub fn teams_remove_membership_for_user_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_membership_for_user_legacy_request\nmidas/sdk/github/operations teams_remove_membership_for_user_legacy_request","url":"midas/sdk/github/operations.html#teams_remove_membership_for_user_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_remove_membership_for_user_legacy_response","content":"pub fn teams_remove_membership_for_user_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_membership_for_user_legacy_response\nmidas/sdk/github/operations teams_remove_membership_for_user_legacy_response","url":"midas/sdk/github/operations.html#teams_remove_membership_for_user_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_remove_project_in_org_request","content":"pub fn teams_remove_project_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  project_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_project_in_org_request\nmidas/sdk/github/operations teams_remove_project_in_org_request","url":"midas/sdk/github/operations.html#teams_remove_project_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_remove_project_in_org_response","content":"pub fn teams_remove_project_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_project_in_org_response\nmidas/sdk/github/operations teams_remove_project_in_org_response","url":"midas/sdk/github/operations.html#teams_remove_project_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_remove_project_legacy_request","content":"pub fn teams_remove_project_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  project_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_project_legacy_request\nmidas/sdk/github/operations teams_remove_project_legacy_request","url":"midas/sdk/github/operations.html#teams_remove_project_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_remove_project_legacy_response","content":"pub fn teams_remove_project_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_project_legacy_response\nmidas/sdk/github/operations teams_remove_project_legacy_response","url":"midas/sdk/github/operations.html#teams_remove_project_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_remove_repo_in_org_request","content":"pub fn teams_remove_repo_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_repo_in_org_request\nmidas/sdk/github/operations teams_remove_repo_in_org_request","url":"midas/sdk/github/operations.html#teams_remove_repo_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_remove_repo_in_org_response","content":"pub fn teams_remove_repo_in_org_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_repo_in_org_response\nmidas/sdk/github/operations teams_remove_repo_in_org_response","url":"midas/sdk/github/operations.html#teams_remove_repo_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_remove_repo_legacy_request","content":"pub fn teams_remove_repo_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  owner: String,\n  repo: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_repo_legacy_request\nmidas/sdk/github/operations teams_remove_repo_legacy_request","url":"midas/sdk/github/operations.html#teams_remove_repo_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_remove_repo_legacy_response","content":"pub fn teams_remove_repo_legacy_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_remove_repo_legacy_response\nmidas/sdk/github/operations teams_remove_repo_legacy_response","url":"midas/sdk/github/operations.html#teams_remove_repo_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_comment_in_org_request","content":"pub fn teams_update_discussion_comment_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_comment_in_org_request\nmidas/sdk/github/operations teams_update_discussion_comment_in_org_request","url":"midas/sdk/github/operations.html#teams_update_discussion_comment_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_comment_in_org_response","content":"pub fn teams_update_discussion_comment_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussionComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_comment_in_org_response\nmidas/sdk/github/operations teams_update_discussion_comment_in_org_response","url":"midas/sdk/github/operations.html#teams_update_discussion_comment_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_comment_legacy_request","content":"pub fn teams_update_discussion_comment_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_comment_legacy_request\nmidas/sdk/github/operations teams_update_discussion_comment_legacy_request","url":"midas/sdk/github/operations.html#teams_update_discussion_comment_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_comment_legacy_response","content":"pub fn teams_update_discussion_comment_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussionComment, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_comment_legacy_response\nmidas/sdk/github/operations teams_update_discussion_comment_legacy_response","url":"midas/sdk/github/operations.html#teams_update_discussion_comment_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_in_org_request","content":"pub fn teams_update_discussion_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_in_org_request\nmidas/sdk/github/operations teams_update_discussion_in_org_request","url":"midas/sdk/github/operations.html#teams_update_discussion_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_in_org_response","content":"pub fn teams_update_discussion_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_in_org_response\nmidas/sdk/github/operations teams_update_discussion_in_org_response","url":"midas/sdk/github/operations.html#teams_update_discussion_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_legacy_request","content":"pub fn teams_update_discussion_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  discussion_number: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_legacy_request\nmidas/sdk/github/operations teams_update_discussion_legacy_request","url":"midas/sdk/github/operations.html#teams_update_discussion_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_update_discussion_legacy_response","content":"pub fn teams_update_discussion_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamDiscussion, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_discussion_legacy_response\nmidas/sdk/github/operations teams_update_discussion_legacy_response","url":"midas/sdk/github/operations.html#teams_update_discussion_legacy_response"},{"doc":"midas/sdk/github/operations","title":"teams_update_in_org_request","content":"pub fn teams_update_in_org_request(\n  base: Request(a),\n  org: String,\n  team_slug: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_in_org_request\nmidas/sdk/github/operations teams_update_in_org_request","url":"midas/sdk/github/operations.html#teams_update_in_org_request"},{"doc":"midas/sdk/github/operations","title":"teams_update_in_org_response","content":"pub fn teams_update_in_org_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamFull, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_in_org_response\nmidas/sdk/github/operations teams_update_in_org_response","url":"midas/sdk/github/operations.html#teams_update_in_org_response"},{"doc":"midas/sdk/github/operations","title":"teams_update_legacy_request","content":"pub fn teams_update_legacy_request(\n  base: Request(a),\n  team_id: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_legacy_request\nmidas/sdk/github/operations teams_update_legacy_request","url":"midas/sdk/github/operations.html#teams_update_legacy_request"},{"doc":"midas/sdk/github/operations","title":"teams_update_legacy_response","content":"pub fn teams_update_legacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(TeamFull, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.teams_update_legacy_response\nmidas/sdk/github/operations teams_update_legacy_response","url":"midas/sdk/github/operations.html#teams_update_legacy_response"},{"doc":"midas/sdk/github/operations","title":"users_add_email_for_authenticated_user_request","content":"pub fn users_add_email_for_authenticated_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_add_email_for_authenticated_user_request\nmidas/sdk/github/operations users_add_email_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_add_email_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_add_email_for_authenticated_user_response","content":"pub fn users_add_email_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Email), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_add_email_for_authenticated_user_response\nmidas/sdk/github/operations users_add_email_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_add_email_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_add_social_account_for_authenticated_user_request","content":"pub fn users_add_social_account_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.users_add_social_account_for_authenticated_user_request\nmidas/sdk/github/operations users_add_social_account_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_add_social_account_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_add_social_account_for_authenticated_user_response","content":"pub fn users_add_social_account_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SocialAccount), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_add_social_account_for_authenticated_user_response\nmidas/sdk/github/operations users_add_social_account_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_add_social_account_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_block_request","content":"pub fn users_block_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_block_request\nmidas/sdk/github/operations users_block_request","url":"midas/sdk/github/operations.html#users_block_request"},{"doc":"midas/sdk/github/operations","title":"users_block_response","content":"pub fn users_block_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_block_response\nmidas/sdk/github/operations users_block_response","url":"midas/sdk/github/operations.html#users_block_response"},{"doc":"midas/sdk/github/operations","title":"users_check_blocked_request","content":"pub fn users_check_blocked_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_check_blocked_request\nmidas/sdk/github/operations users_check_blocked_request","url":"midas/sdk/github/operations.html#users_check_blocked_request"},{"doc":"midas/sdk/github/operations","title":"users_check_blocked_response","content":"pub fn users_check_blocked_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_check_blocked_response\nmidas/sdk/github/operations users_check_blocked_response","url":"midas/sdk/github/operations.html#users_check_blocked_response"},{"doc":"midas/sdk/github/operations","title":"users_check_following_for_user_request","content":"pub fn users_check_following_for_user_request(\n  base: Request(a),\n  username: String,\n  target_user: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_check_following_for_user_request\nmidas/sdk/github/operations users_check_following_for_user_request","url":"midas/sdk/github/operations.html#users_check_following_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_check_following_for_user_response","content":"pub fn users_check_following_for_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_check_following_for_user_response\nmidas/sdk/github/operations users_check_following_for_user_response","url":"midas/sdk/github/operations.html#users_check_following_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_check_person_is_followed_by_authenticated_request","content":"pub fn users_check_person_is_followed_by_authenticated_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_check_person_is_followed_by_authenticated_request\nmidas/sdk/github/operations users_check_person_is_followed_by_authenticated_request","url":"midas/sdk/github/operations.html#users_check_person_is_followed_by_authenticated_request"},{"doc":"midas/sdk/github/operations","title":"users_check_person_is_followed_by_authenticated_response","content":"pub fn users_check_person_is_followed_by_authenticated_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_check_person_is_followed_by_authenticated_response\nmidas/sdk/github/operations users_check_person_is_followed_by_authenticated_response","url":"midas/sdk/github/operations.html#users_check_person_is_followed_by_authenticated_response"},{"doc":"midas/sdk/github/operations","title":"users_create_gpg_key_for_authenticated_user_request","content":"pub fn users_create_gpg_key_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.users_create_gpg_key_for_authenticated_user_request\nmidas/sdk/github/operations users_create_gpg_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_create_gpg_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_create_gpg_key_for_authenticated_user_response","content":"pub fn users_create_gpg_key_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GpgKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_create_gpg_key_for_authenticated_user_response\nmidas/sdk/github/operations users_create_gpg_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_create_gpg_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_create_public_ssh_key_for_authenticated_user_request","content":"pub fn users_create_public_ssh_key_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.users_create_public_ssh_key_for_authenticated_user_request\nmidas/sdk/github/operations users_create_public_ssh_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_create_public_ssh_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_create_public_ssh_key_for_authenticated_user_response","content":"pub fn users_create_public_ssh_key_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Key, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_create_public_ssh_key_for_authenticated_user_response\nmidas/sdk/github/operations users_create_public_ssh_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_create_public_ssh_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_create_ssh_signing_key_for_authenticated_user_request","content":"pub fn users_create_ssh_signing_key_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.users_create_ssh_signing_key_for_authenticated_user_request\nmidas/sdk/github/operations users_create_ssh_signing_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_create_ssh_signing_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_create_ssh_signing_key_for_authenticated_user_response","content":"pub fn users_create_ssh_signing_key_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SshSigningKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_create_ssh_signing_key_for_authenticated_user_response\nmidas/sdk/github/operations users_create_ssh_signing_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_create_ssh_signing_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_delete_email_for_authenticated_user_request","content":"pub fn users_delete_email_for_authenticated_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_email_for_authenticated_user_request\nmidas/sdk/github/operations users_delete_email_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_delete_email_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_delete_email_for_authenticated_user_response","content":"pub fn users_delete_email_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_email_for_authenticated_user_response\nmidas/sdk/github/operations users_delete_email_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_delete_email_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_delete_gpg_key_for_authenticated_user_request","content":"pub fn users_delete_gpg_key_for_authenticated_user_request(\n  base: Request(a),\n  gpg_key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_gpg_key_for_authenticated_user_request\nmidas/sdk/github/operations users_delete_gpg_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_delete_gpg_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_delete_gpg_key_for_authenticated_user_response","content":"pub fn users_delete_gpg_key_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_gpg_key_for_authenticated_user_response\nmidas/sdk/github/operations users_delete_gpg_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_delete_gpg_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_delete_public_ssh_key_for_authenticated_user_request","content":"pub fn users_delete_public_ssh_key_for_authenticated_user_request(\n  base: Request(a),\n  key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_public_ssh_key_for_authenticated_user_request\nmidas/sdk/github/operations users_delete_public_ssh_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_delete_public_ssh_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_delete_public_ssh_key_for_authenticated_user_response","content":"pub fn users_delete_public_ssh_key_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_public_ssh_key_for_authenticated_user_response\nmidas/sdk/github/operations users_delete_public_ssh_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_delete_public_ssh_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_delete_social_account_for_authenticated_user_request","content":"pub fn users_delete_social_account_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_social_account_for_authenticated_user_request\nmidas/sdk/github/operations users_delete_social_account_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_delete_social_account_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_delete_social_account_for_authenticated_user_response","content":"pub fn users_delete_social_account_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_social_account_for_authenticated_user_response\nmidas/sdk/github/operations users_delete_social_account_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_delete_social_account_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_delete_ssh_signing_key_for_authenticated_user_request","content":"pub fn users_delete_ssh_signing_key_for_authenticated_user_request(\n  base: Request(a),\n  ssh_signing_key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_ssh_signing_key_for_authenticated_user_request\nmidas/sdk/github/operations users_delete_ssh_signing_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_delete_ssh_signing_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_delete_ssh_signing_key_for_authenticated_user_response","content":"pub fn users_delete_ssh_signing_key_for_authenticated_user_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_delete_ssh_signing_key_for_authenticated_user_response\nmidas/sdk/github/operations users_delete_ssh_signing_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_delete_ssh_signing_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_follow_request","content":"pub fn users_follow_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_follow_request\nmidas/sdk/github/operations users_follow_request","url":"midas/sdk/github/operations.html#users_follow_request"},{"doc":"midas/sdk/github/operations","title":"users_follow_response","content":"pub fn users_follow_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_follow_response\nmidas/sdk/github/operations users_follow_response","url":"midas/sdk/github/operations.html#users_follow_response"},{"doc":"midas/sdk/github/operations","title":"users_get_authenticated_request","content":"pub fn users_get_authenticated_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_authenticated_request\nmidas/sdk/github/operations users_get_authenticated_request","url":"midas/sdk/github/operations.html#users_get_authenticated_request"},{"doc":"midas/sdk/github/operations","title":"users_get_authenticated_response","content":"pub fn users_get_authenticated_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_authenticated_response\nmidas/sdk/github/operations users_get_authenticated_response","url":"midas/sdk/github/operations.html#users_get_authenticated_response"},{"doc":"midas/sdk/github/operations","title":"users_get_by_id_request","content":"pub fn users_get_by_id_request(\n  base: Request(a),\n  account_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_by_id_request\nmidas/sdk/github/operations users_get_by_id_request","url":"midas/sdk/github/operations.html#users_get_by_id_request"},{"doc":"midas/sdk/github/operations","title":"users_get_by_id_response","content":"pub fn users_get_by_id_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_by_id_response\nmidas/sdk/github/operations users_get_by_id_response","url":"midas/sdk/github/operations.html#users_get_by_id_response"},{"doc":"midas/sdk/github/operations","title":"users_get_by_username_request","content":"pub fn users_get_by_username_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_by_username_request\nmidas/sdk/github/operations users_get_by_username_request","url":"midas/sdk/github/operations.html#users_get_by_username_request"},{"doc":"midas/sdk/github/operations","title":"users_get_by_username_response","content":"pub fn users_get_by_username_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_by_username_response\nmidas/sdk/github/operations users_get_by_username_response","url":"midas/sdk/github/operations.html#users_get_by_username_response"},{"doc":"midas/sdk/github/operations","title":"users_get_context_for_user_request","content":"pub fn users_get_context_for_user_request(\n  base: Request(a),\n  username: String,\n  subject_type subject_type: Option(String),\n  subject_id subject_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_context_for_user_request\nmidas/sdk/github/operations users_get_context_for_user_request","url":"midas/sdk/github/operations.html#users_get_context_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_get_context_for_user_response","content":"pub fn users_get_context_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hovercard, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_context_for_user_response\nmidas/sdk/github/operations users_get_context_for_user_response","url":"midas/sdk/github/operations.html#users_get_context_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_get_gpg_key_for_authenticated_user_request","content":"pub fn users_get_gpg_key_for_authenticated_user_request(\n  base: Request(a),\n  gpg_key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_gpg_key_for_authenticated_user_request\nmidas/sdk/github/operations users_get_gpg_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_get_gpg_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_get_gpg_key_for_authenticated_user_response","content":"pub fn users_get_gpg_key_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(GpgKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_gpg_key_for_authenticated_user_response\nmidas/sdk/github/operations users_get_gpg_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_get_gpg_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_get_public_ssh_key_for_authenticated_user_request","content":"pub fn users_get_public_ssh_key_for_authenticated_user_request(\n  base: Request(a),\n  key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_public_ssh_key_for_authenticated_user_request\nmidas/sdk/github/operations users_get_public_ssh_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_get_public_ssh_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_get_public_ssh_key_for_authenticated_user_response","content":"pub fn users_get_public_ssh_key_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Key, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_public_ssh_key_for_authenticated_user_response\nmidas/sdk/github/operations users_get_public_ssh_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_get_public_ssh_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_get_ssh_signing_key_for_authenticated_user_request","content":"pub fn users_get_ssh_signing_key_for_authenticated_user_request(\n  base: Request(a),\n  ssh_signing_key_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_ssh_signing_key_for_authenticated_user_request\nmidas/sdk/github/operations users_get_ssh_signing_key_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_get_ssh_signing_key_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_get_ssh_signing_key_for_authenticated_user_response","content":"pub fn users_get_ssh_signing_key_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SshSigningKey, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_get_ssh_signing_key_for_authenticated_user_response\nmidas/sdk/github/operations users_get_ssh_signing_key_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_get_ssh_signing_key_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_attestations_request","content":"pub fn users_list_attestations_request(\n  base: Request(a),\n  username: String,\n  subject_digest: String,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_attestations_request\nmidas/sdk/github/operations users_list_attestations_request","url":"midas/sdk/github/operations.html#users_list_attestations_request"},{"doc":"midas/sdk/github/operations","title":"users_list_attestations_response","content":"pub fn users_list_attestations_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_attestations_response\nmidas/sdk/github/operations users_list_attestations_response","url":"midas/sdk/github/operations.html#users_list_attestations_response"},{"doc":"midas/sdk/github/operations","title":"users_list_blocked_by_authenticated_user_request","content":"pub fn users_list_blocked_by_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_blocked_by_authenticated_user_request\nmidas/sdk/github/operations users_list_blocked_by_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_blocked_by_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_blocked_by_authenticated_user_response","content":"pub fn users_list_blocked_by_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_blocked_by_authenticated_user_response\nmidas/sdk/github/operations users_list_blocked_by_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_blocked_by_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_emails_for_authenticated_user_request","content":"pub fn users_list_emails_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_emails_for_authenticated_user_request\nmidas/sdk/github/operations users_list_emails_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_emails_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_emails_for_authenticated_user_response","content":"pub fn users_list_emails_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Email), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_emails_for_authenticated_user_response\nmidas/sdk/github/operations users_list_emails_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_emails_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_followed_by_authenticated_user_request","content":"pub fn users_list_followed_by_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_followed_by_authenticated_user_request\nmidas/sdk/github/operations users_list_followed_by_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_followed_by_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_followed_by_authenticated_user_response","content":"pub fn users_list_followed_by_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_followed_by_authenticated_user_response\nmidas/sdk/github/operations users_list_followed_by_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_followed_by_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_followers_for_authenticated_user_request","content":"pub fn users_list_followers_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_followers_for_authenticated_user_request\nmidas/sdk/github/operations users_list_followers_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_followers_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_followers_for_authenticated_user_response","content":"pub fn users_list_followers_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_followers_for_authenticated_user_response\nmidas/sdk/github/operations users_list_followers_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_followers_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_followers_for_user_request","content":"pub fn users_list_followers_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_followers_for_user_request\nmidas/sdk/github/operations users_list_followers_for_user_request","url":"midas/sdk/github/operations.html#users_list_followers_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_followers_for_user_response","content":"pub fn users_list_followers_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_followers_for_user_response\nmidas/sdk/github/operations users_list_followers_for_user_response","url":"midas/sdk/github/operations.html#users_list_followers_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_following_for_user_request","content":"pub fn users_list_following_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_following_for_user_request\nmidas/sdk/github/operations users_list_following_for_user_request","url":"midas/sdk/github/operations.html#users_list_following_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_following_for_user_response","content":"pub fn users_list_following_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_following_for_user_response\nmidas/sdk/github/operations users_list_following_for_user_response","url":"midas/sdk/github/operations.html#users_list_following_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_gpg_keys_for_authenticated_user_request","content":"pub fn users_list_gpg_keys_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_gpg_keys_for_authenticated_user_request\nmidas/sdk/github/operations users_list_gpg_keys_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_gpg_keys_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_gpg_keys_for_authenticated_user_response","content":"pub fn users_list_gpg_keys_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(GpgKey), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_gpg_keys_for_authenticated_user_response\nmidas/sdk/github/operations users_list_gpg_keys_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_gpg_keys_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_gpg_keys_for_user_request","content":"pub fn users_list_gpg_keys_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_gpg_keys_for_user_request\nmidas/sdk/github/operations users_list_gpg_keys_for_user_request","url":"midas/sdk/github/operations.html#users_list_gpg_keys_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_gpg_keys_for_user_response","content":"pub fn users_list_gpg_keys_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(GpgKey), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_gpg_keys_for_user_response\nmidas/sdk/github/operations users_list_gpg_keys_for_user_response","url":"midas/sdk/github/operations.html#users_list_gpg_keys_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_public_emails_for_authenticated_user_request","content":"pub fn users_list_public_emails_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_public_emails_for_authenticated_user_request\nmidas/sdk/github/operations users_list_public_emails_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_public_emails_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_public_emails_for_authenticated_user_response","content":"pub fn users_list_public_emails_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Email), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_public_emails_for_authenticated_user_response\nmidas/sdk/github/operations users_list_public_emails_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_public_emails_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_public_keys_for_user_request","content":"pub fn users_list_public_keys_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_public_keys_for_user_request\nmidas/sdk/github/operations users_list_public_keys_for_user_request","url":"midas/sdk/github/operations.html#users_list_public_keys_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_public_keys_for_user_response","content":"pub fn users_list_public_keys_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(KeySimple), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_public_keys_for_user_response\nmidas/sdk/github/operations users_list_public_keys_for_user_response","url":"midas/sdk/github/operations.html#users_list_public_keys_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_public_ssh_keys_for_authenticated_user_request","content":"pub fn users_list_public_ssh_keys_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_public_ssh_keys_for_authenticated_user_request\nmidas/sdk/github/operations users_list_public_ssh_keys_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_public_ssh_keys_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_public_ssh_keys_for_authenticated_user_response","content":"pub fn users_list_public_ssh_keys_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Key), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_public_ssh_keys_for_authenticated_user_response\nmidas/sdk/github/operations users_list_public_ssh_keys_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_public_ssh_keys_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_request","content":"pub fn users_list_request(\n  base: Request(a),\n  since since: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_request\nmidas/sdk/github/operations users_list_request","url":"midas/sdk/github/operations.html#users_list_request"},{"doc":"midas/sdk/github/operations","title":"users_list_response","content":"pub fn users_list_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SimpleUser), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_response\nmidas/sdk/github/operations users_list_response","url":"midas/sdk/github/operations.html#users_list_response"},{"doc":"midas/sdk/github/operations","title":"users_list_social_accounts_for_authenticated_user_request","content":"pub fn users_list_social_accounts_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_social_accounts_for_authenticated_user_request\nmidas/sdk/github/operations users_list_social_accounts_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_social_accounts_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_social_accounts_for_authenticated_user_response","content":"pub fn users_list_social_accounts_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SocialAccount), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_social_accounts_for_authenticated_user_response\nmidas/sdk/github/operations users_list_social_accounts_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_social_accounts_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_social_accounts_for_user_request","content":"pub fn users_list_social_accounts_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_social_accounts_for_user_request\nmidas/sdk/github/operations users_list_social_accounts_for_user_request","url":"midas/sdk/github/operations.html#users_list_social_accounts_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_social_accounts_for_user_response","content":"pub fn users_list_social_accounts_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SocialAccount), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_social_accounts_for_user_response\nmidas/sdk/github/operations users_list_social_accounts_for_user_response","url":"midas/sdk/github/operations.html#users_list_social_accounts_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_ssh_signing_keys_for_authenticated_user_request","content":"pub fn users_list_ssh_signing_keys_for_authenticated_user_request(\n  base: Request(a),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_ssh_signing_keys_for_authenticated_user_request\nmidas/sdk/github/operations users_list_ssh_signing_keys_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_list_ssh_signing_keys_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_ssh_signing_keys_for_authenticated_user_response","content":"pub fn users_list_ssh_signing_keys_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SshSigningKey), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_ssh_signing_keys_for_authenticated_user_response\nmidas/sdk/github/operations users_list_ssh_signing_keys_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_list_ssh_signing_keys_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_list_ssh_signing_keys_for_user_request","content":"pub fn users_list_ssh_signing_keys_for_user_request(\n  base: Request(a),\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_ssh_signing_keys_for_user_request\nmidas/sdk/github/operations users_list_ssh_signing_keys_for_user_request","url":"midas/sdk/github/operations.html#users_list_ssh_signing_keys_for_user_request"},{"doc":"midas/sdk/github/operations","title":"users_list_ssh_signing_keys_for_user_response","content":"pub fn users_list_ssh_signing_keys_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SshSigningKey), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_list_ssh_signing_keys_for_user_response\nmidas/sdk/github/operations users_list_ssh_signing_keys_for_user_response","url":"midas/sdk/github/operations.html#users_list_ssh_signing_keys_for_user_response"},{"doc":"midas/sdk/github/operations","title":"users_set_primary_email_visibility_for_authenticated_user_request","content":"pub fn users_set_primary_email_visibility_for_authenticated_user_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.users_set_primary_email_visibility_for_authenticated_user_request\nmidas/sdk/github/operations users_set_primary_email_visibility_for_authenticated_user_request","url":"midas/sdk/github/operations.html#users_set_primary_email_visibility_for_authenticated_user_request"},{"doc":"midas/sdk/github/operations","title":"users_set_primary_email_visibility_for_authenticated_user_response","content":"pub fn users_set_primary_email_visibility_for_authenticated_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Email), String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_set_primary_email_visibility_for_authenticated_user_response\nmidas/sdk/github/operations users_set_primary_email_visibility_for_authenticated_user_response","url":"midas/sdk/github/operations.html#users_set_primary_email_visibility_for_authenticated_user_response"},{"doc":"midas/sdk/github/operations","title":"users_unblock_request","content":"pub fn users_unblock_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_unblock_request\nmidas/sdk/github/operations users_unblock_request","url":"midas/sdk/github/operations.html#users_unblock_request"},{"doc":"midas/sdk/github/operations","title":"users_unblock_response","content":"pub fn users_unblock_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_unblock_response\nmidas/sdk/github/operations users_unblock_response","url":"midas/sdk/github/operations.html#users_unblock_response"},{"doc":"midas/sdk/github/operations","title":"users_unfollow_request","content":"pub fn users_unfollow_request(\n  base: Request(a),\n  username: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/github/operations.users_unfollow_request\nmidas/sdk/github/operations users_unfollow_request","url":"midas/sdk/github/operations.html#users_unfollow_request"},{"doc":"midas/sdk/github/operations","title":"users_unfollow_response","content":"pub fn users_unfollow_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/github/operations.users_unfollow_response\nmidas/sdk/github/operations users_unfollow_response","url":"midas/sdk/github/operations.html#users_unfollow_response"},{"doc":"midas/sdk/github/operations","title":"users_update_authenticated_request","content":"pub fn users_update_authenticated_request(\n  base: Request(a),\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/github/operations.users_update_authenticated_request\nmidas/sdk/github/operations users_update_authenticated_request","url":"midas/sdk/github/operations.html#users_update_authenticated_request"},{"doc":"midas/sdk/github/operations","title":"users_update_authenticated_response","content":"pub fn users_update_authenticated_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(PrivateUser, String), DecodeError)\n\nSynonyms:\nmidas/sdk/github/operations.users_update_authenticated_response\nmidas/sdk/github/operations users_update_authenticated_response","url":"midas/sdk/github/operations.html#users_update_authenticated_response"},{"doc":"midas/sdk/github/operations","title":"midas/sdk/github/operations","content":"","url":"midas/sdk/github/operations.html"},{"doc":"midas/sdk/github","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/github.App\nmidas/sdk/github App","url":"midas/sdk/github.html#App"},{"doc":"midas/sdk/github","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/github.api_host\nmidas/sdk/github api_host","url":"midas/sdk/github.html#api_host"},{"doc":"midas/sdk/github","title":"actions_add_custom_labels_to_self_hosted_runner_for_org","content":"pub fn actions_add_custom_labels_to_self_hosted_runner_for_org(\n  token: String,\n  org: String,\n  runner_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_add_custom_labels_to_self_hosted_runner_for_org\nmidas/sdk/github actions_add_custom_labels_to_self_hosted_runner_for_org","url":"midas/sdk/github.html#actions_add_custom_labels_to_self_hosted_runner_for_org"},{"doc":"midas/sdk/github","title":"actions_add_custom_labels_to_self_hosted_runner_for_repo","content":"pub fn actions_add_custom_labels_to_self_hosted_runner_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  runner_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_add_custom_labels_to_self_hosted_runner_for_repo\nmidas/sdk/github actions_add_custom_labels_to_self_hosted_runner_for_repo","url":"midas/sdk/github.html#actions_add_custom_labels_to_self_hosted_runner_for_repo"},{"doc":"midas/sdk/github","title":"actions_add_repo_access_to_self_hosted_runner_group_in_org","content":"pub fn actions_add_repo_access_to_self_hosted_runner_group_in_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_add_repo_access_to_self_hosted_runner_group_in_org\nmidas/sdk/github actions_add_repo_access_to_self_hosted_runner_group_in_org","url":"midas/sdk/github.html#actions_add_repo_access_to_self_hosted_runner_group_in_org"},{"doc":"midas/sdk/github","title":"actions_add_selected_repo_to_org_secret","content":"pub fn actions_add_selected_repo_to_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_add_selected_repo_to_org_secret\nmidas/sdk/github actions_add_selected_repo_to_org_secret","url":"midas/sdk/github.html#actions_add_selected_repo_to_org_secret"},{"doc":"midas/sdk/github","title":"actions_add_selected_repo_to_org_variable","content":"pub fn actions_add_selected_repo_to_org_variable(\n  token: String,\n  org: String,\n  name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_add_selected_repo_to_org_variable\nmidas/sdk/github actions_add_selected_repo_to_org_variable","url":"midas/sdk/github.html#actions_add_selected_repo_to_org_variable"},{"doc":"midas/sdk/github","title":"actions_add_self_hosted_runner_to_group_for_org","content":"pub fn actions_add_self_hosted_runner_to_group_for_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  runner_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_add_self_hosted_runner_to_group_for_org\nmidas/sdk/github actions_add_self_hosted_runner_to_group_for_org","url":"midas/sdk/github.html#actions_add_self_hosted_runner_to_group_for_org"},{"doc":"midas/sdk/github","title":"actions_approve_workflow_run","content":"pub fn actions_approve_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_approve_workflow_run\nmidas/sdk/github actions_approve_workflow_run","url":"midas/sdk/github.html#actions_approve_workflow_run"},{"doc":"midas/sdk/github","title":"actions_cancel_workflow_run","content":"pub fn actions_cancel_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_cancel_workflow_run\nmidas/sdk/github actions_cancel_workflow_run","url":"midas/sdk/github.html#actions_cancel_workflow_run"},{"doc":"midas/sdk/github","title":"actions_create_environment_variable","content":"pub fn actions_create_environment_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  data: BitArray,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_create_environment_variable\nmidas/sdk/github actions_create_environment_variable","url":"midas/sdk/github.html#actions_create_environment_variable"},{"doc":"midas/sdk/github","title":"actions_create_or_update_environment_secret","content":"pub fn actions_create_or_update_environment_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_create_or_update_environment_secret\nmidas/sdk/github actions_create_or_update_environment_secret","url":"midas/sdk/github.html#actions_create_or_update_environment_secret"},{"doc":"midas/sdk/github","title":"actions_create_or_update_org_secret","content":"pub fn actions_create_or_update_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_create_or_update_org_secret\nmidas/sdk/github actions_create_or_update_org_secret","url":"midas/sdk/github.html#actions_create_or_update_org_secret"},{"doc":"midas/sdk/github","title":"actions_create_or_update_repo_secret","content":"pub fn actions_create_or_update_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_create_or_update_repo_secret\nmidas/sdk/github actions_create_or_update_repo_secret","url":"midas/sdk/github.html#actions_create_or_update_repo_secret"},{"doc":"midas/sdk/github","title":"actions_create_org_variable","content":"pub fn actions_create_org_variable(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_create_org_variable\nmidas/sdk/github actions_create_org_variable","url":"midas/sdk/github.html#actions_create_org_variable"},{"doc":"midas/sdk/github","title":"actions_create_registration_token_for_org","content":"pub fn actions_create_registration_token_for_org(\n  token: String,\n  org: String,\n) -&gt; Effect(AuthenticationToken)\n\nSynonyms:\nmidas/sdk/github.actions_create_registration_token_for_org\nmidas/sdk/github actions_create_registration_token_for_org","url":"midas/sdk/github.html#actions_create_registration_token_for_org"},{"doc":"midas/sdk/github","title":"actions_create_registration_token_for_repo","content":"pub fn actions_create_registration_token_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(AuthenticationToken)\n\nSynonyms:\nmidas/sdk/github.actions_create_registration_token_for_repo\nmidas/sdk/github actions_create_registration_token_for_repo","url":"midas/sdk/github.html#actions_create_registration_token_for_repo"},{"doc":"midas/sdk/github","title":"actions_create_remove_token_for_org","content":"pub fn actions_create_remove_token_for_org(\n  token: String,\n  org: String,\n) -&gt; Effect(AuthenticationToken)\n\nSynonyms:\nmidas/sdk/github.actions_create_remove_token_for_org\nmidas/sdk/github actions_create_remove_token_for_org","url":"midas/sdk/github.html#actions_create_remove_token_for_org"},{"doc":"midas/sdk/github","title":"actions_create_remove_token_for_repo","content":"pub fn actions_create_remove_token_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(AuthenticationToken)\n\nSynonyms:\nmidas/sdk/github.actions_create_remove_token_for_repo\nmidas/sdk/github actions_create_remove_token_for_repo","url":"midas/sdk/github.html#actions_create_remove_token_for_repo"},{"doc":"midas/sdk/github","title":"actions_create_repo_variable","content":"pub fn actions_create_repo_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_create_repo_variable\nmidas/sdk/github actions_create_repo_variable","url":"midas/sdk/github.html#actions_create_repo_variable"},{"doc":"midas/sdk/github","title":"actions_create_self_hosted_runner_group_for_org","content":"pub fn actions_create_self_hosted_runner_group_for_org(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(RunnerGroupsOrg)\n\nSynonyms:\nmidas/sdk/github.actions_create_self_hosted_runner_group_for_org\nmidas/sdk/github actions_create_self_hosted_runner_group_for_org","url":"midas/sdk/github.html#actions_create_self_hosted_runner_group_for_org"},{"doc":"midas/sdk/github","title":"actions_create_workflow_dispatch","content":"pub fn actions_create_workflow_dispatch(\n  token: String,\n  owner: String,\n  repo: String,\n  workflow_id: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_create_workflow_dispatch\nmidas/sdk/github actions_create_workflow_dispatch","url":"midas/sdk/github.html#actions_create_workflow_dispatch"},{"doc":"midas/sdk/github","title":"actions_delete_actions_cache_by_id","content":"pub fn actions_delete_actions_cache_by_id(\n  token: String,\n  owner: String,\n  repo: String,\n  cache_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_actions_cache_by_id\nmidas/sdk/github actions_delete_actions_cache_by_id","url":"midas/sdk/github.html#actions_delete_actions_cache_by_id"},{"doc":"midas/sdk/github","title":"actions_delete_actions_cache_by_key","content":"pub fn actions_delete_actions_cache_by_key(\n  token: String,\n  owner: String,\n  repo: String,\n  key key: String,\n  ref ref: Option(String),\n) -&gt; Effect(ActionsCacheList)\n\nSynonyms:\nmidas/sdk/github.actions_delete_actions_cache_by_key\nmidas/sdk/github actions_delete_actions_cache_by_key","url":"midas/sdk/github.html#actions_delete_actions_cache_by_key"},{"doc":"midas/sdk/github","title":"actions_delete_artifact","content":"pub fn actions_delete_artifact(\n  token: String,\n  owner: String,\n  repo: String,\n  artifact_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_artifact\nmidas/sdk/github actions_delete_artifact","url":"midas/sdk/github.html#actions_delete_artifact"},{"doc":"midas/sdk/github","title":"actions_delete_environment_secret","content":"pub fn actions_delete_environment_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_environment_secret\nmidas/sdk/github actions_delete_environment_secret","url":"midas/sdk/github.html#actions_delete_environment_secret"},{"doc":"midas/sdk/github","title":"actions_delete_environment_variable","content":"pub fn actions_delete_environment_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_environment_variable\nmidas/sdk/github actions_delete_environment_variable","url":"midas/sdk/github.html#actions_delete_environment_variable"},{"doc":"midas/sdk/github","title":"actions_delete_org_secret","content":"pub fn actions_delete_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_org_secret\nmidas/sdk/github actions_delete_org_secret","url":"midas/sdk/github.html#actions_delete_org_secret"},{"doc":"midas/sdk/github","title":"actions_delete_org_variable","content":"pub fn actions_delete_org_variable(\n  token: String,\n  org: String,\n  name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_org_variable\nmidas/sdk/github actions_delete_org_variable","url":"midas/sdk/github.html#actions_delete_org_variable"},{"doc":"midas/sdk/github","title":"actions_delete_repo_secret","content":"pub fn actions_delete_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_repo_secret\nmidas/sdk/github actions_delete_repo_secret","url":"midas/sdk/github.html#actions_delete_repo_secret"},{"doc":"midas/sdk/github","title":"actions_delete_repo_variable","content":"pub fn actions_delete_repo_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_repo_variable\nmidas/sdk/github actions_delete_repo_variable","url":"midas/sdk/github.html#actions_delete_repo_variable"},{"doc":"midas/sdk/github","title":"actions_delete_self_hosted_runner_from_org","content":"pub fn actions_delete_self_hosted_runner_from_org(\n  token: String,\n  org: String,\n  runner_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_self_hosted_runner_from_org\nmidas/sdk/github actions_delete_self_hosted_runner_from_org","url":"midas/sdk/github.html#actions_delete_self_hosted_runner_from_org"},{"doc":"midas/sdk/github","title":"actions_delete_self_hosted_runner_from_repo","content":"pub fn actions_delete_self_hosted_runner_from_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_self_hosted_runner_from_repo\nmidas/sdk/github actions_delete_self_hosted_runner_from_repo","url":"midas/sdk/github.html#actions_delete_self_hosted_runner_from_repo"},{"doc":"midas/sdk/github","title":"actions_delete_self_hosted_runner_group_from_org","content":"pub fn actions_delete_self_hosted_runner_group_from_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_self_hosted_runner_group_from_org\nmidas/sdk/github actions_delete_self_hosted_runner_group_from_org","url":"midas/sdk/github.html#actions_delete_self_hosted_runner_group_from_org"},{"doc":"midas/sdk/github","title":"actions_delete_workflow_run","content":"pub fn actions_delete_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_workflow_run\nmidas/sdk/github actions_delete_workflow_run","url":"midas/sdk/github.html#actions_delete_workflow_run"},{"doc":"midas/sdk/github","title":"actions_delete_workflow_run_logs","content":"pub fn actions_delete_workflow_run_logs(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_delete_workflow_run_logs\nmidas/sdk/github actions_delete_workflow_run_logs","url":"midas/sdk/github.html#actions_delete_workflow_run_logs"},{"doc":"midas/sdk/github","title":"actions_disable_selected_repository_github_actions_organization","content":"pub fn actions_disable_selected_repository_github_actions_organization(\n  token: String,\n  org: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_disable_selected_repository_github_actions_organization\nmidas/sdk/github actions_disable_selected_repository_github_actions_organization","url":"midas/sdk/github.html#actions_disable_selected_repository_github_actions_organization"},{"doc":"midas/sdk/github","title":"actions_disable_workflow","content":"pub fn actions_disable_workflow(\n  token: String,\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_disable_workflow\nmidas/sdk/github actions_disable_workflow","url":"midas/sdk/github.html#actions_disable_workflow"},{"doc":"midas/sdk/github","title":"actions_download_artifact","content":"pub fn actions_download_artifact(\n  token: String,\n  owner: String,\n  repo: String,\n  artifact_id: Int,\n  archive_format: String,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.actions_download_artifact\nmidas/sdk/github actions_download_artifact","url":"midas/sdk/github.html#actions_download_artifact"},{"doc":"midas/sdk/github","title":"actions_download_job_logs_for_workflow_run","content":"pub fn actions_download_job_logs_for_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  job_id: Int,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.actions_download_job_logs_for_workflow_run\nmidas/sdk/github actions_download_job_logs_for_workflow_run","url":"midas/sdk/github.html#actions_download_job_logs_for_workflow_run"},{"doc":"midas/sdk/github","title":"actions_download_workflow_run_attempt_logs","content":"pub fn actions_download_workflow_run_attempt_logs(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  attempt_number: Int,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.actions_download_workflow_run_attempt_logs\nmidas/sdk/github actions_download_workflow_run_attempt_logs","url":"midas/sdk/github.html#actions_download_workflow_run_attempt_logs"},{"doc":"midas/sdk/github","title":"actions_download_workflow_run_logs","content":"pub fn actions_download_workflow_run_logs(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.actions_download_workflow_run_logs\nmidas/sdk/github actions_download_workflow_run_logs","url":"midas/sdk/github.html#actions_download_workflow_run_logs"},{"doc":"midas/sdk/github","title":"actions_enable_selected_repository_github_actions_organization","content":"pub fn actions_enable_selected_repository_github_actions_organization(\n  token: String,\n  org: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_enable_selected_repository_github_actions_organization\nmidas/sdk/github actions_enable_selected_repository_github_actions_organization","url":"midas/sdk/github.html#actions_enable_selected_repository_github_actions_organization"},{"doc":"midas/sdk/github","title":"actions_enable_workflow","content":"pub fn actions_enable_workflow(\n  token: String,\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_enable_workflow\nmidas/sdk/github actions_enable_workflow","url":"midas/sdk/github.html#actions_enable_workflow"},{"doc":"midas/sdk/github","title":"actions_force_cancel_workflow_run","content":"pub fn actions_force_cancel_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_force_cancel_workflow_run\nmidas/sdk/github actions_force_cancel_workflow_run","url":"midas/sdk/github.html#actions_force_cancel_workflow_run"},{"doc":"midas/sdk/github","title":"actions_generate_runner_jitconfig_for_org","content":"pub fn actions_generate_runner_jitconfig_for_org(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_generate_runner_jitconfig_for_org\nmidas/sdk/github actions_generate_runner_jitconfig_for_org","url":"midas/sdk/github.html#actions_generate_runner_jitconfig_for_org"},{"doc":"midas/sdk/github","title":"actions_generate_runner_jitconfig_for_repo","content":"pub fn actions_generate_runner_jitconfig_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_generate_runner_jitconfig_for_repo\nmidas/sdk/github actions_generate_runner_jitconfig_for_repo","url":"midas/sdk/github.html#actions_generate_runner_jitconfig_for_repo"},{"doc":"midas/sdk/github","title":"actions_get_actions_cache_list","content":"pub fn actions_get_actions_cache_list(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  ref ref: Option(String),\n  key key: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n) -&gt; Effect(ActionsCacheList)\n\nSynonyms:\nmidas/sdk/github.actions_get_actions_cache_list\nmidas/sdk/github actions_get_actions_cache_list","url":"midas/sdk/github.html#actions_get_actions_cache_list"},{"doc":"midas/sdk/github","title":"actions_get_actions_cache_usage","content":"pub fn actions_get_actions_cache_usage(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(ActionsCacheUsageByRepository)\n\nSynonyms:\nmidas/sdk/github.actions_get_actions_cache_usage\nmidas/sdk/github actions_get_actions_cache_usage","url":"midas/sdk/github.html#actions_get_actions_cache_usage"},{"doc":"midas/sdk/github","title":"actions_get_actions_cache_usage_by_repo_for_org","content":"pub fn actions_get_actions_cache_usage_by_repo_for_org(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_get_actions_cache_usage_by_repo_for_org\nmidas/sdk/github actions_get_actions_cache_usage_by_repo_for_org","url":"midas/sdk/github.html#actions_get_actions_cache_usage_by_repo_for_org"},{"doc":"midas/sdk/github","title":"actions_get_actions_cache_usage_for_org","content":"pub fn actions_get_actions_cache_usage_for_org(\n  token: String,\n  org: String,\n) -&gt; Effect(ActionsCacheUsageOrgEnterprise)\n\nSynonyms:\nmidas/sdk/github.actions_get_actions_cache_usage_for_org\nmidas/sdk/github actions_get_actions_cache_usage_for_org","url":"midas/sdk/github.html#actions_get_actions_cache_usage_for_org"},{"doc":"midas/sdk/github","title":"actions_get_allowed_actions_organization","content":"pub fn actions_get_allowed_actions_organization(\n  token: String,\n  org: String,\n) -&gt; Effect(SelectedActions)\n\nSynonyms:\nmidas/sdk/github.actions_get_allowed_actions_organization\nmidas/sdk/github actions_get_allowed_actions_organization","url":"midas/sdk/github.html#actions_get_allowed_actions_organization"},{"doc":"midas/sdk/github","title":"actions_get_allowed_actions_repository","content":"pub fn actions_get_allowed_actions_repository(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(SelectedActions)\n\nSynonyms:\nmidas/sdk/github.actions_get_allowed_actions_repository\nmidas/sdk/github actions_get_allowed_actions_repository","url":"midas/sdk/github.html#actions_get_allowed_actions_repository"},{"doc":"midas/sdk/github","title":"actions_get_artifact","content":"pub fn actions_get_artifact(\n  token: String,\n  owner: String,\n  repo: String,\n  artifact_id: Int,\n) -&gt; Effect(Artifact)\n\nSynonyms:\nmidas/sdk/github.actions_get_artifact\nmidas/sdk/github actions_get_artifact","url":"midas/sdk/github.html#actions_get_artifact"},{"doc":"midas/sdk/github","title":"actions_get_custom_oidc_sub_claim_for_repo","content":"pub fn actions_get_custom_oidc_sub_claim_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(OidcCustomSubRepo)\n\nSynonyms:\nmidas/sdk/github.actions_get_custom_oidc_sub_claim_for_repo\nmidas/sdk/github actions_get_custom_oidc_sub_claim_for_repo","url":"midas/sdk/github.html#actions_get_custom_oidc_sub_claim_for_repo"},{"doc":"midas/sdk/github","title":"actions_get_environment_public_key","content":"pub fn actions_get_environment_public_key(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Effect(ActionsPublicKey)\n\nSynonyms:\nmidas/sdk/github.actions_get_environment_public_key\nmidas/sdk/github actions_get_environment_public_key","url":"midas/sdk/github.html#actions_get_environment_public_key"},{"doc":"midas/sdk/github","title":"actions_get_environment_secret","content":"pub fn actions_get_environment_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  secret_name: String,\n) -&gt; Effect(ActionsSecret)\n\nSynonyms:\nmidas/sdk/github.actions_get_environment_secret\nmidas/sdk/github actions_get_environment_secret","url":"midas/sdk/github.html#actions_get_environment_secret"},{"doc":"midas/sdk/github","title":"actions_get_environment_variable","content":"pub fn actions_get_environment_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  name: String,\n) -&gt; Effect(ActionsVariable)\n\nSynonyms:\nmidas/sdk/github.actions_get_environment_variable\nmidas/sdk/github actions_get_environment_variable","url":"midas/sdk/github.html#actions_get_environment_variable"},{"doc":"midas/sdk/github","title":"actions_get_github_actions_default_workflow_permissions_organization","content":"pub fn actions_get_github_actions_default_workflow_permissions_organization(\n  token: String,\n  org: String,\n) -&gt; Effect(ActionsGetDefaultWorkflowPermissions)\n\nSynonyms:\nmidas/sdk/github.actions_get_github_actions_default_workflow_permissions_organization\nmidas/sdk/github actions_get_github_actions_default_workflow_permissions_organization","url":"midas/sdk/github.html#actions_get_github_actions_default_workflow_permissions_organization"},{"doc":"midas/sdk/github","title":"actions_get_github_actions_default_workflow_permissions_repository","content":"pub fn actions_get_github_actions_default_workflow_permissions_repository(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(ActionsGetDefaultWorkflowPermissions)\n\nSynonyms:\nmidas/sdk/github.actions_get_github_actions_default_workflow_permissions_repository\nmidas/sdk/github actions_get_github_actions_default_workflow_permissions_repository","url":"midas/sdk/github.html#actions_get_github_actions_default_workflow_permissions_repository"},{"doc":"midas/sdk/github","title":"actions_get_github_actions_permissions_organization","content":"pub fn actions_get_github_actions_permissions_organization(\n  token: String,\n  org: String,\n) -&gt; Effect(ActionsOrganizationPermissions)\n\nSynonyms:\nmidas/sdk/github.actions_get_github_actions_permissions_organization\nmidas/sdk/github actions_get_github_actions_permissions_organization","url":"midas/sdk/github.html#actions_get_github_actions_permissions_organization"},{"doc":"midas/sdk/github","title":"actions_get_github_actions_permissions_repository","content":"pub fn actions_get_github_actions_permissions_repository(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(ActionsRepositoryPermissions)\n\nSynonyms:\nmidas/sdk/github.actions_get_github_actions_permissions_repository\nmidas/sdk/github actions_get_github_actions_permissions_repository","url":"midas/sdk/github.html#actions_get_github_actions_permissions_repository"},{"doc":"midas/sdk/github","title":"actions_get_job_for_workflow_run","content":"pub fn actions_get_job_for_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  job_id: Int,\n) -&gt; Effect(Job)\n\nSynonyms:\nmidas/sdk/github.actions_get_job_for_workflow_run\nmidas/sdk/github actions_get_job_for_workflow_run","url":"midas/sdk/github.html#actions_get_job_for_workflow_run"},{"doc":"midas/sdk/github","title":"actions_get_org_public_key","content":"pub fn actions_get_org_public_key(\n  token: String,\n  org: String,\n) -&gt; Effect(ActionsPublicKey)\n\nSynonyms:\nmidas/sdk/github.actions_get_org_public_key\nmidas/sdk/github actions_get_org_public_key","url":"midas/sdk/github.html#actions_get_org_public_key"},{"doc":"midas/sdk/github","title":"actions_get_org_secret","content":"pub fn actions_get_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n) -&gt; Effect(OrganizationActionsSecret)\n\nSynonyms:\nmidas/sdk/github.actions_get_org_secret\nmidas/sdk/github actions_get_org_secret","url":"midas/sdk/github.html#actions_get_org_secret"},{"doc":"midas/sdk/github","title":"actions_get_org_variable","content":"pub fn actions_get_org_variable(\n  token: String,\n  org: String,\n  name: String,\n) -&gt; Effect(OrganizationActionsVariable)\n\nSynonyms:\nmidas/sdk/github.actions_get_org_variable\nmidas/sdk/github actions_get_org_variable","url":"midas/sdk/github.html#actions_get_org_variable"},{"doc":"midas/sdk/github","title":"actions_get_pending_deployments_for_run","content":"pub fn actions_get_pending_deployments_for_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(List(PendingDeployment))\n\nSynonyms:\nmidas/sdk/github.actions_get_pending_deployments_for_run\nmidas/sdk/github actions_get_pending_deployments_for_run","url":"midas/sdk/github.html#actions_get_pending_deployments_for_run"},{"doc":"midas/sdk/github","title":"actions_get_repo_public_key","content":"pub fn actions_get_repo_public_key(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(ActionsPublicKey)\n\nSynonyms:\nmidas/sdk/github.actions_get_repo_public_key\nmidas/sdk/github actions_get_repo_public_key","url":"midas/sdk/github.html#actions_get_repo_public_key"},{"doc":"midas/sdk/github","title":"actions_get_repo_secret","content":"pub fn actions_get_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Effect(ActionsSecret)\n\nSynonyms:\nmidas/sdk/github.actions_get_repo_secret\nmidas/sdk/github actions_get_repo_secret","url":"midas/sdk/github.html#actions_get_repo_secret"},{"doc":"midas/sdk/github","title":"actions_get_repo_variable","content":"pub fn actions_get_repo_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Effect(ActionsVariable)\n\nSynonyms:\nmidas/sdk/github.actions_get_repo_variable\nmidas/sdk/github actions_get_repo_variable","url":"midas/sdk/github.html#actions_get_repo_variable"},{"doc":"midas/sdk/github","title":"actions_get_reviews_for_run","content":"pub fn actions_get_reviews_for_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(List(EnvironmentApprovals))\n\nSynonyms:\nmidas/sdk/github.actions_get_reviews_for_run\nmidas/sdk/github actions_get_reviews_for_run","url":"midas/sdk/github.html#actions_get_reviews_for_run"},{"doc":"midas/sdk/github","title":"actions_get_self_hosted_runner_for_org","content":"pub fn actions_get_self_hosted_runner_for_org(\n  token: String,\n  org: String,\n  runner_id: Int,\n) -&gt; Effect(Runner)\n\nSynonyms:\nmidas/sdk/github.actions_get_self_hosted_runner_for_org\nmidas/sdk/github actions_get_self_hosted_runner_for_org","url":"midas/sdk/github.html#actions_get_self_hosted_runner_for_org"},{"doc":"midas/sdk/github","title":"actions_get_self_hosted_runner_for_repo","content":"pub fn actions_get_self_hosted_runner_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Effect(Runner)\n\nSynonyms:\nmidas/sdk/github.actions_get_self_hosted_runner_for_repo\nmidas/sdk/github actions_get_self_hosted_runner_for_repo","url":"midas/sdk/github.html#actions_get_self_hosted_runner_for_repo"},{"doc":"midas/sdk/github","title":"actions_get_self_hosted_runner_group_for_org","content":"pub fn actions_get_self_hosted_runner_group_for_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n) -&gt; Effect(RunnerGroupsOrg)\n\nSynonyms:\nmidas/sdk/github.actions_get_self_hosted_runner_group_for_org\nmidas/sdk/github actions_get_self_hosted_runner_group_for_org","url":"midas/sdk/github.html#actions_get_self_hosted_runner_group_for_org"},{"doc":"midas/sdk/github","title":"actions_get_workflow","content":"pub fn actions_get_workflow(\n  token: String,\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Effect(Workflow)\n\nSynonyms:\nmidas/sdk/github.actions_get_workflow\nmidas/sdk/github actions_get_workflow","url":"midas/sdk/github.html#actions_get_workflow"},{"doc":"midas/sdk/github","title":"actions_get_workflow_access_to_repository","content":"pub fn actions_get_workflow_access_to_repository(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(ActionsWorkflowAccessToRepository)\n\nSynonyms:\nmidas/sdk/github.actions_get_workflow_access_to_repository\nmidas/sdk/github actions_get_workflow_access_to_repository","url":"midas/sdk/github.html#actions_get_workflow_access_to_repository"},{"doc":"midas/sdk/github","title":"actions_get_workflow_run","content":"pub fn actions_get_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n) -&gt; Effect(WorkflowRun)\n\nSynonyms:\nmidas/sdk/github.actions_get_workflow_run\nmidas/sdk/github actions_get_workflow_run","url":"midas/sdk/github.html#actions_get_workflow_run"},{"doc":"midas/sdk/github","title":"actions_get_workflow_run_attempt","content":"pub fn actions_get_workflow_run_attempt(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  attempt_number: Int,\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n) -&gt; Effect(WorkflowRun)\n\nSynonyms:\nmidas/sdk/github.actions_get_workflow_run_attempt\nmidas/sdk/github actions_get_workflow_run_attempt","url":"midas/sdk/github.html#actions_get_workflow_run_attempt"},{"doc":"midas/sdk/github","title":"actions_get_workflow_run_usage","content":"pub fn actions_get_workflow_run_usage(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(WorkflowRunUsage)\n\nSynonyms:\nmidas/sdk/github.actions_get_workflow_run_usage\nmidas/sdk/github actions_get_workflow_run_usage","url":"midas/sdk/github.html#actions_get_workflow_run_usage"},{"doc":"midas/sdk/github","title":"actions_get_workflow_usage","content":"pub fn actions_get_workflow_usage(\n  token: String,\n  owner: String,\n  repo: String,\n  workflow_id: String,\n) -&gt; Effect(WorkflowUsage)\n\nSynonyms:\nmidas/sdk/github.actions_get_workflow_usage\nmidas/sdk/github actions_get_workflow_usage","url":"midas/sdk/github.html#actions_get_workflow_usage"},{"doc":"midas/sdk/github","title":"actions_list_artifacts_for_repo","content":"pub fn actions_list_artifacts_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  name name: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_artifacts_for_repo\nmidas/sdk/github actions_list_artifacts_for_repo","url":"midas/sdk/github.html#actions_list_artifacts_for_repo"},{"doc":"midas/sdk/github","title":"actions_list_environment_secrets","content":"pub fn actions_list_environment_secrets(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_environment_secrets\nmidas/sdk/github actions_list_environment_secrets","url":"midas/sdk/github.html#actions_list_environment_secrets"},{"doc":"midas/sdk/github","title":"actions_list_environment_variables","content":"pub fn actions_list_environment_variables(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_environment_variables\nmidas/sdk/github actions_list_environment_variables","url":"midas/sdk/github.html#actions_list_environment_variables"},{"doc":"midas/sdk/github","title":"actions_list_jobs_for_workflow_run","content":"pub fn actions_list_jobs_for_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_jobs_for_workflow_run\nmidas/sdk/github actions_list_jobs_for_workflow_run","url":"midas/sdk/github.html#actions_list_jobs_for_workflow_run"},{"doc":"midas/sdk/github","title":"actions_list_jobs_for_workflow_run_attempt","content":"pub fn actions_list_jobs_for_workflow_run_attempt(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  attempt_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_jobs_for_workflow_run_attempt\nmidas/sdk/github actions_list_jobs_for_workflow_run_attempt","url":"midas/sdk/github.html#actions_list_jobs_for_workflow_run_attempt"},{"doc":"midas/sdk/github","title":"actions_list_labels_for_self_hosted_runner_for_org","content":"pub fn actions_list_labels_for_self_hosted_runner_for_org(\n  token: String,\n  org: String,\n  runner_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_labels_for_self_hosted_runner_for_org\nmidas/sdk/github actions_list_labels_for_self_hosted_runner_for_org","url":"midas/sdk/github.html#actions_list_labels_for_self_hosted_runner_for_org"},{"doc":"midas/sdk/github","title":"actions_list_labels_for_self_hosted_runner_for_repo","content":"pub fn actions_list_labels_for_self_hosted_runner_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_labels_for_self_hosted_runner_for_repo\nmidas/sdk/github actions_list_labels_for_self_hosted_runner_for_repo","url":"midas/sdk/github.html#actions_list_labels_for_self_hosted_runner_for_repo"},{"doc":"midas/sdk/github","title":"actions_list_org_secrets","content":"pub fn actions_list_org_secrets(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_org_secrets\nmidas/sdk/github actions_list_org_secrets","url":"midas/sdk/github.html#actions_list_org_secrets"},{"doc":"midas/sdk/github","title":"actions_list_org_variables","content":"pub fn actions_list_org_variables(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_org_variables\nmidas/sdk/github actions_list_org_variables","url":"midas/sdk/github.html#actions_list_org_variables"},{"doc":"midas/sdk/github","title":"actions_list_repo_access_to_self_hosted_runner_group_in_org","content":"pub fn actions_list_repo_access_to_self_hosted_runner_group_in_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_repo_access_to_self_hosted_runner_group_in_org\nmidas/sdk/github actions_list_repo_access_to_self_hosted_runner_group_in_org","url":"midas/sdk/github.html#actions_list_repo_access_to_self_hosted_runner_group_in_org"},{"doc":"midas/sdk/github","title":"actions_list_repo_organization_secrets","content":"pub fn actions_list_repo_organization_secrets(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_repo_organization_secrets\nmidas/sdk/github actions_list_repo_organization_secrets","url":"midas/sdk/github.html#actions_list_repo_organization_secrets"},{"doc":"midas/sdk/github","title":"actions_list_repo_organization_variables","content":"pub fn actions_list_repo_organization_variables(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_repo_organization_variables\nmidas/sdk/github actions_list_repo_organization_variables","url":"midas/sdk/github.html#actions_list_repo_organization_variables"},{"doc":"midas/sdk/github","title":"actions_list_repo_secrets","content":"pub fn actions_list_repo_secrets(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_repo_secrets\nmidas/sdk/github actions_list_repo_secrets","url":"midas/sdk/github.html#actions_list_repo_secrets"},{"doc":"midas/sdk/github","title":"actions_list_repo_variables","content":"pub fn actions_list_repo_variables(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_repo_variables\nmidas/sdk/github actions_list_repo_variables","url":"midas/sdk/github.html#actions_list_repo_variables"},{"doc":"midas/sdk/github","title":"actions_list_repo_workflows","content":"pub fn actions_list_repo_workflows(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_repo_workflows\nmidas/sdk/github actions_list_repo_workflows","url":"midas/sdk/github.html#actions_list_repo_workflows"},{"doc":"midas/sdk/github","title":"actions_list_runner_applications_for_org","content":"pub fn actions_list_runner_applications_for_org(\n  token: String,\n  org: String,\n) -&gt; Effect(List(RunnerApplication))\n\nSynonyms:\nmidas/sdk/github.actions_list_runner_applications_for_org\nmidas/sdk/github actions_list_runner_applications_for_org","url":"midas/sdk/github.html#actions_list_runner_applications_for_org"},{"doc":"midas/sdk/github","title":"actions_list_runner_applications_for_repo","content":"pub fn actions_list_runner_applications_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(RunnerApplication))\n\nSynonyms:\nmidas/sdk/github.actions_list_runner_applications_for_repo\nmidas/sdk/github actions_list_runner_applications_for_repo","url":"midas/sdk/github.html#actions_list_runner_applications_for_repo"},{"doc":"midas/sdk/github","title":"actions_list_selected_repos_for_org_secret","content":"pub fn actions_list_selected_repos_for_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_selected_repos_for_org_secret\nmidas/sdk/github actions_list_selected_repos_for_org_secret","url":"midas/sdk/github.html#actions_list_selected_repos_for_org_secret"},{"doc":"midas/sdk/github","title":"actions_list_selected_repos_for_org_variable","content":"pub fn actions_list_selected_repos_for_org_variable(\n  token: String,\n  org: String,\n  name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_selected_repos_for_org_variable\nmidas/sdk/github actions_list_selected_repos_for_org_variable","url":"midas/sdk/github.html#actions_list_selected_repos_for_org_variable"},{"doc":"midas/sdk/github","title":"actions_list_selected_repositories_enabled_github_actions_organization","content":"pub fn actions_list_selected_repositories_enabled_github_actions_organization(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_selected_repositories_enabled_github_actions_organization\nmidas/sdk/github actions_list_selected_repositories_enabled_github_actions_organization","url":"midas/sdk/github.html#actions_list_selected_repositories_enabled_github_actions_organization"},{"doc":"midas/sdk/github","title":"actions_list_self_hosted_runner_groups_for_org","content":"pub fn actions_list_self_hosted_runner_groups_for_org(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  visible_to_repository visible_to_repository: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_self_hosted_runner_groups_for_org\nmidas/sdk/github actions_list_self_hosted_runner_groups_for_org","url":"midas/sdk/github.html#actions_list_self_hosted_runner_groups_for_org"},{"doc":"midas/sdk/github","title":"actions_list_self_hosted_runners_for_org","content":"pub fn actions_list_self_hosted_runners_for_org(\n  token: String,\n  org: String,\n  name name: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_self_hosted_runners_for_org\nmidas/sdk/github actions_list_self_hosted_runners_for_org","url":"midas/sdk/github.html#actions_list_self_hosted_runners_for_org"},{"doc":"midas/sdk/github","title":"actions_list_self_hosted_runners_for_repo","content":"pub fn actions_list_self_hosted_runners_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  name name: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_self_hosted_runners_for_repo\nmidas/sdk/github actions_list_self_hosted_runners_for_repo","url":"midas/sdk/github.html#actions_list_self_hosted_runners_for_repo"},{"doc":"midas/sdk/github","title":"actions_list_self_hosted_runners_in_group_for_org","content":"pub fn actions_list_self_hosted_runners_in_group_for_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_self_hosted_runners_in_group_for_org\nmidas/sdk/github actions_list_self_hosted_runners_in_group_for_org","url":"midas/sdk/github.html#actions_list_self_hosted_runners_in_group_for_org"},{"doc":"midas/sdk/github","title":"actions_list_workflow_run_artifacts","content":"pub fn actions_list_workflow_run_artifacts(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  name name: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_workflow_run_artifacts\nmidas/sdk/github actions_list_workflow_run_artifacts","url":"midas/sdk/github.html#actions_list_workflow_run_artifacts"},{"doc":"midas/sdk/github","title":"actions_list_workflow_runs","content":"pub fn actions_list_workflow_runs(\n  token: String,\n  owner: String,\n  repo: String,\n  workflow_id: String,\n  actor actor: Option(String),\n  branch branch: Option(String),\n  event event: Option(String),\n  status status: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  created created: Option(String),\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n  check_suite_id check_suite_id: Option(Int),\n  head_sha head_sha: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_workflow_runs\nmidas/sdk/github actions_list_workflow_runs","url":"midas/sdk/github.html#actions_list_workflow_runs"},{"doc":"midas/sdk/github","title":"actions_list_workflow_runs_for_repo","content":"pub fn actions_list_workflow_runs_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  actor actor: Option(String),\n  branch branch: Option(String),\n  event event: Option(String),\n  status status: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  created created: Option(String),\n  exclude_pull_requests exclude_pull_requests: Option(Bool),\n  check_suite_id check_suite_id: Option(Int),\n  head_sha head_sha: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_list_workflow_runs_for_repo\nmidas/sdk/github actions_list_workflow_runs_for_repo","url":"midas/sdk/github.html#actions_list_workflow_runs_for_repo"},{"doc":"midas/sdk/github","title":"actions_re_run_job_for_workflow_run","content":"pub fn actions_re_run_job_for_workflow_run(\n  token: String,\n  owner: String,\n  repo: String,\n  job_id: Int,\n  data: BitArray,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_re_run_job_for_workflow_run\nmidas/sdk/github actions_re_run_job_for_workflow_run","url":"midas/sdk/github.html#actions_re_run_job_for_workflow_run"},{"doc":"midas/sdk/github","title":"actions_re_run_workflow","content":"pub fn actions_re_run_workflow(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  data: BitArray,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_re_run_workflow\nmidas/sdk/github actions_re_run_workflow","url":"midas/sdk/github.html#actions_re_run_workflow"},{"doc":"midas/sdk/github","title":"actions_re_run_workflow_failed_jobs","content":"pub fn actions_re_run_workflow_failed_jobs(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  data: BitArray,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_re_run_workflow_failed_jobs\nmidas/sdk/github actions_re_run_workflow_failed_jobs","url":"midas/sdk/github.html#actions_re_run_workflow_failed_jobs"},{"doc":"midas/sdk/github","title":"actions_remove_all_custom_labels_from_self_hosted_runner_for_org","content":"pub fn actions_remove_all_custom_labels_from_self_hosted_runner_for_org(\n  token: String,\n  org: String,\n  runner_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_remove_all_custom_labels_from_self_hosted_runner_for_org\nmidas/sdk/github actions_remove_all_custom_labels_from_self_hosted_runner_for_org","url":"midas/sdk/github.html#actions_remove_all_custom_labels_from_self_hosted_runner_for_org"},{"doc":"midas/sdk/github","title":"actions_remove_all_custom_labels_from_self_hosted_runner_for_repo","content":"pub fn actions_remove_all_custom_labels_from_self_hosted_runner_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  runner_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_remove_all_custom_labels_from_self_hosted_runner_for_repo\nmidas/sdk/github actions_remove_all_custom_labels_from_self_hosted_runner_for_repo","url":"midas/sdk/github.html#actions_remove_all_custom_labels_from_self_hosted_runner_for_repo"},{"doc":"midas/sdk/github","title":"actions_remove_custom_label_from_self_hosted_runner_for_org","content":"pub fn actions_remove_custom_label_from_self_hosted_runner_for_org(\n  token: String,\n  org: String,\n  runner_id: Int,\n  name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_remove_custom_label_from_self_hosted_runner_for_org\nmidas/sdk/github actions_remove_custom_label_from_self_hosted_runner_for_org","url":"midas/sdk/github.html#actions_remove_custom_label_from_self_hosted_runner_for_org"},{"doc":"midas/sdk/github","title":"actions_remove_custom_label_from_self_hosted_runner_for_repo","content":"pub fn actions_remove_custom_label_from_self_hosted_runner_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  runner_id: Int,\n  name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_remove_custom_label_from_self_hosted_runner_for_repo\nmidas/sdk/github actions_remove_custom_label_from_self_hosted_runner_for_repo","url":"midas/sdk/github.html#actions_remove_custom_label_from_self_hosted_runner_for_repo"},{"doc":"midas/sdk/github","title":"actions_remove_repo_access_to_self_hosted_runner_group_in_org","content":"pub fn actions_remove_repo_access_to_self_hosted_runner_group_in_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_remove_repo_access_to_self_hosted_runner_group_in_org\nmidas/sdk/github actions_remove_repo_access_to_self_hosted_runner_group_in_org","url":"midas/sdk/github.html#actions_remove_repo_access_to_self_hosted_runner_group_in_org"},{"doc":"midas/sdk/github","title":"actions_remove_selected_repo_from_org_secret","content":"pub fn actions_remove_selected_repo_from_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_remove_selected_repo_from_org_secret\nmidas/sdk/github actions_remove_selected_repo_from_org_secret","url":"midas/sdk/github.html#actions_remove_selected_repo_from_org_secret"},{"doc":"midas/sdk/github","title":"actions_remove_selected_repo_from_org_variable","content":"pub fn actions_remove_selected_repo_from_org_variable(\n  token: String,\n  org: String,\n  name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_remove_selected_repo_from_org_variable\nmidas/sdk/github actions_remove_selected_repo_from_org_variable","url":"midas/sdk/github.html#actions_remove_selected_repo_from_org_variable"},{"doc":"midas/sdk/github","title":"actions_remove_self_hosted_runner_from_group_for_org","content":"pub fn actions_remove_self_hosted_runner_from_group_for_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  runner_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_remove_self_hosted_runner_from_group_for_org\nmidas/sdk/github actions_remove_self_hosted_runner_from_group_for_org","url":"midas/sdk/github.html#actions_remove_self_hosted_runner_from_group_for_org"},{"doc":"midas/sdk/github","title":"actions_review_custom_gates_for_run","content":"pub fn actions_review_custom_gates_for_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_review_custom_gates_for_run\nmidas/sdk/github actions_review_custom_gates_for_run","url":"midas/sdk/github.html#actions_review_custom_gates_for_run"},{"doc":"midas/sdk/github","title":"actions_review_pending_deployments_for_run","content":"pub fn actions_review_pending_deployments_for_run(\n  token: String,\n  owner: String,\n  repo: String,\n  run_id: Int,\n  data: BitArray,\n) -&gt; Effect(List(Deployment))\n\nSynonyms:\nmidas/sdk/github.actions_review_pending_deployments_for_run\nmidas/sdk/github actions_review_pending_deployments_for_run","url":"midas/sdk/github.html#actions_review_pending_deployments_for_run"},{"doc":"midas/sdk/github","title":"actions_set_allowed_actions_organization","content":"pub fn actions_set_allowed_actions_organization(\n  token: String,\n  org: String,\n  selected_actions: SelectedActions,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_allowed_actions_organization\nmidas/sdk/github actions_set_allowed_actions_organization","url":"midas/sdk/github.html#actions_set_allowed_actions_organization"},{"doc":"midas/sdk/github","title":"actions_set_allowed_actions_repository","content":"pub fn actions_set_allowed_actions_repository(\n  token: String,\n  owner: String,\n  repo: String,\n  selected_actions: SelectedActions,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_allowed_actions_repository\nmidas/sdk/github actions_set_allowed_actions_repository","url":"midas/sdk/github.html#actions_set_allowed_actions_repository"},{"doc":"midas/sdk/github","title":"actions_set_custom_labels_for_self_hosted_runner_for_org","content":"pub fn actions_set_custom_labels_for_self_hosted_runner_for_org(\n  token: String,\n  org: String,\n  runner_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_set_custom_labels_for_self_hosted_runner_for_org\nmidas/sdk/github actions_set_custom_labels_for_self_hosted_runner_for_org","url":"midas/sdk/github.html#actions_set_custom_labels_for_self_hosted_runner_for_org"},{"doc":"midas/sdk/github","title":"actions_set_custom_labels_for_self_hosted_runner_for_repo","content":"pub fn actions_set_custom_labels_for_self_hosted_runner_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  runner_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.actions_set_custom_labels_for_self_hosted_runner_for_repo\nmidas/sdk/github actions_set_custom_labels_for_self_hosted_runner_for_repo","url":"midas/sdk/github.html#actions_set_custom_labels_for_self_hosted_runner_for_repo"},{"doc":"midas/sdk/github","title":"actions_set_custom_oidc_sub_claim_for_repo","content":"pub fn actions_set_custom_oidc_sub_claim_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.actions_set_custom_oidc_sub_claim_for_repo\nmidas/sdk/github actions_set_custom_oidc_sub_claim_for_repo","url":"midas/sdk/github.html#actions_set_custom_oidc_sub_claim_for_repo"},{"doc":"midas/sdk/github","title":"actions_set_github_actions_default_workflow_permissions_organization","content":"pub fn actions_set_github_actions_default_workflow_permissions_organization(\n  token: String,\n  org: String,\n  actions_set_default_workflow_permissions: ActionsSetDefaultWorkflowPermissions,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_github_actions_default_workflow_permissions_organization\nmidas/sdk/github actions_set_github_actions_default_workflow_permissions_organization","url":"midas/sdk/github.html#actions_set_github_actions_default_workflow_permissions_organization"},{"doc":"midas/sdk/github","title":"actions_set_github_actions_default_workflow_permissions_repository","content":"pub fn actions_set_github_actions_default_workflow_permissions_repository(\n  token: String,\n  owner: String,\n  repo: String,\n  actions_set_default_workflow_permissions: ActionsSetDefaultWorkflowPermissions,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_github_actions_default_workflow_permissions_repository\nmidas/sdk/github actions_set_github_actions_default_workflow_permissions_repository","url":"midas/sdk/github.html#actions_set_github_actions_default_workflow_permissions_repository"},{"doc":"midas/sdk/github","title":"actions_set_github_actions_permissions_organization","content":"pub fn actions_set_github_actions_permissions_organization(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_github_actions_permissions_organization\nmidas/sdk/github actions_set_github_actions_permissions_organization","url":"midas/sdk/github.html#actions_set_github_actions_permissions_organization"},{"doc":"midas/sdk/github","title":"actions_set_github_actions_permissions_repository","content":"pub fn actions_set_github_actions_permissions_repository(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_github_actions_permissions_repository\nmidas/sdk/github actions_set_github_actions_permissions_repository","url":"midas/sdk/github.html#actions_set_github_actions_permissions_repository"},{"doc":"midas/sdk/github","title":"actions_set_repo_access_to_self_hosted_runner_group_in_org","content":"pub fn actions_set_repo_access_to_self_hosted_runner_group_in_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_repo_access_to_self_hosted_runner_group_in_org\nmidas/sdk/github actions_set_repo_access_to_self_hosted_runner_group_in_org","url":"midas/sdk/github.html#actions_set_repo_access_to_self_hosted_runner_group_in_org"},{"doc":"midas/sdk/github","title":"actions_set_selected_repos_for_org_secret","content":"pub fn actions_set_selected_repos_for_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_selected_repos_for_org_secret\nmidas/sdk/github actions_set_selected_repos_for_org_secret","url":"midas/sdk/github.html#actions_set_selected_repos_for_org_secret"},{"doc":"midas/sdk/github","title":"actions_set_selected_repos_for_org_variable","content":"pub fn actions_set_selected_repos_for_org_variable(\n  token: String,\n  org: String,\n  name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_selected_repos_for_org_variable\nmidas/sdk/github actions_set_selected_repos_for_org_variable","url":"midas/sdk/github.html#actions_set_selected_repos_for_org_variable"},{"doc":"midas/sdk/github","title":"actions_set_selected_repositories_enabled_github_actions_organization","content":"pub fn actions_set_selected_repositories_enabled_github_actions_organization(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_selected_repositories_enabled_github_actions_organization\nmidas/sdk/github actions_set_selected_repositories_enabled_github_actions_organization","url":"midas/sdk/github.html#actions_set_selected_repositories_enabled_github_actions_organization"},{"doc":"midas/sdk/github","title":"actions_set_self_hosted_runners_in_group_for_org","content":"pub fn actions_set_self_hosted_runners_in_group_for_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_self_hosted_runners_in_group_for_org\nmidas/sdk/github actions_set_self_hosted_runners_in_group_for_org","url":"midas/sdk/github.html#actions_set_self_hosted_runners_in_group_for_org"},{"doc":"midas/sdk/github","title":"actions_set_workflow_access_to_repository","content":"pub fn actions_set_workflow_access_to_repository(\n  token: String,\n  owner: String,\n  repo: String,\n  actions_workflow_access_to_repository: ActionsWorkflowAccessToRepository,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_set_workflow_access_to_repository\nmidas/sdk/github actions_set_workflow_access_to_repository","url":"midas/sdk/github.html#actions_set_workflow_access_to_repository"},{"doc":"midas/sdk/github","title":"actions_update_environment_variable","content":"pub fn actions_update_environment_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_update_environment_variable\nmidas/sdk/github actions_update_environment_variable","url":"midas/sdk/github.html#actions_update_environment_variable"},{"doc":"midas/sdk/github","title":"actions_update_org_variable","content":"pub fn actions_update_org_variable(\n  token: String,\n  org: String,\n  name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_update_org_variable\nmidas/sdk/github actions_update_org_variable","url":"midas/sdk/github.html#actions_update_org_variable"},{"doc":"midas/sdk/github","title":"actions_update_repo_variable","content":"pub fn actions_update_repo_variable(\n  token: String,\n  owner: String,\n  repo: String,\n  name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.actions_update_repo_variable\nmidas/sdk/github actions_update_repo_variable","url":"midas/sdk/github.html#actions_update_repo_variable"},{"doc":"midas/sdk/github","title":"actions_update_self_hosted_runner_group_for_org","content":"pub fn actions_update_self_hosted_runner_group_for_org(\n  token: String,\n  org: String,\n  runner_group_id: Int,\n  data: BitArray,\n) -&gt; Effect(RunnerGroupsOrg)\n\nSynonyms:\nmidas/sdk/github.actions_update_self_hosted_runner_group_for_org\nmidas/sdk/github actions_update_self_hosted_runner_group_for_org","url":"midas/sdk/github.html#actions_update_self_hosted_runner_group_for_org"},{"doc":"midas/sdk/github","title":"activity_check_repo_is_starred_by_authenticated_user","content":"pub fn activity_check_repo_is_starred_by_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_check_repo_is_starred_by_authenticated_user\nmidas/sdk/github activity_check_repo_is_starred_by_authenticated_user","url":"midas/sdk/github.html#activity_check_repo_is_starred_by_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_delete_repo_subscription","content":"pub fn activity_delete_repo_subscription(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_delete_repo_subscription\nmidas/sdk/github activity_delete_repo_subscription","url":"midas/sdk/github.html#activity_delete_repo_subscription"},{"doc":"midas/sdk/github","title":"activity_delete_thread_subscription","content":"pub fn activity_delete_thread_subscription(\n  token: String,\n  thread_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_delete_thread_subscription\nmidas/sdk/github activity_delete_thread_subscription","url":"midas/sdk/github.html#activity_delete_thread_subscription"},{"doc":"midas/sdk/github","title":"activity_get_feeds","content":"pub fn activity_get_feeds(token: String) -&gt; Effect(Feed)\n\nSynonyms:\nmidas/sdk/github.activity_get_feeds\nmidas/sdk/github activity_get_feeds","url":"midas/sdk/github.html#activity_get_feeds"},{"doc":"midas/sdk/github","title":"activity_get_repo_subscription","content":"pub fn activity_get_repo_subscription(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(RepositorySubscription)\n\nSynonyms:\nmidas/sdk/github.activity_get_repo_subscription\nmidas/sdk/github activity_get_repo_subscription","url":"midas/sdk/github.html#activity_get_repo_subscription"},{"doc":"midas/sdk/github","title":"activity_get_thread","content":"pub fn activity_get_thread(\n  token: String,\n  thread_id: Int,\n) -&gt; Effect(Thread)\n\nSynonyms:\nmidas/sdk/github.activity_get_thread\nmidas/sdk/github activity_get_thread","url":"midas/sdk/github.html#activity_get_thread"},{"doc":"midas/sdk/github","title":"activity_get_thread_subscription_for_authenticated_user","content":"pub fn activity_get_thread_subscription_for_authenticated_user(\n  token: String,\n  thread_id: Int,\n) -&gt; Effect(ThreadSubscription)\n\nSynonyms:\nmidas/sdk/github.activity_get_thread_subscription_for_authenticated_user\nmidas/sdk/github activity_get_thread_subscription_for_authenticated_user","url":"midas/sdk/github.html#activity_get_thread_subscription_for_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_list_events_for_authenticated_user","content":"pub fn activity_list_events_for_authenticated_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_events_for_authenticated_user\nmidas/sdk/github activity_list_events_for_authenticated_user","url":"midas/sdk/github.html#activity_list_events_for_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_list_notifications_for_authenticated_user","content":"pub fn activity_list_notifications_for_authenticated_user(\n  token: String,\n  all all: Option(Bool),\n  participating participating: Option(Bool),\n  since since: Option(String),\n  before before: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Thread))\n\nSynonyms:\nmidas/sdk/github.activity_list_notifications_for_authenticated_user\nmidas/sdk/github activity_list_notifications_for_authenticated_user","url":"midas/sdk/github.html#activity_list_notifications_for_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_list_org_events_for_authenticated_user","content":"pub fn activity_list_org_events_for_authenticated_user(\n  token: String,\n  username: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_org_events_for_authenticated_user\nmidas/sdk/github activity_list_org_events_for_authenticated_user","url":"midas/sdk/github.html#activity_list_org_events_for_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_list_public_events","content":"pub fn activity_list_public_events(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_public_events\nmidas/sdk/github activity_list_public_events","url":"midas/sdk/github.html#activity_list_public_events"},{"doc":"midas/sdk/github","title":"activity_list_public_events_for_repo_network","content":"pub fn activity_list_public_events_for_repo_network(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_public_events_for_repo_network\nmidas/sdk/github activity_list_public_events_for_repo_network","url":"midas/sdk/github.html#activity_list_public_events_for_repo_network"},{"doc":"midas/sdk/github","title":"activity_list_public_events_for_user","content":"pub fn activity_list_public_events_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_public_events_for_user\nmidas/sdk/github activity_list_public_events_for_user","url":"midas/sdk/github.html#activity_list_public_events_for_user"},{"doc":"midas/sdk/github","title":"activity_list_public_org_events","content":"pub fn activity_list_public_org_events(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_public_org_events\nmidas/sdk/github activity_list_public_org_events","url":"midas/sdk/github.html#activity_list_public_org_events"},{"doc":"midas/sdk/github","title":"activity_list_received_events_for_user","content":"pub fn activity_list_received_events_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_received_events_for_user\nmidas/sdk/github activity_list_received_events_for_user","url":"midas/sdk/github.html#activity_list_received_events_for_user"},{"doc":"midas/sdk/github","title":"activity_list_received_public_events_for_user","content":"pub fn activity_list_received_public_events_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_received_public_events_for_user\nmidas/sdk/github activity_list_received_public_events_for_user","url":"midas/sdk/github.html#activity_list_received_public_events_for_user"},{"doc":"midas/sdk/github","title":"activity_list_repo_events","content":"pub fn activity_list_repo_events(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/github.activity_list_repo_events\nmidas/sdk/github activity_list_repo_events","url":"midas/sdk/github.html#activity_list_repo_events"},{"doc":"midas/sdk/github","title":"activity_list_repo_notifications_for_authenticated_user","content":"pub fn activity_list_repo_notifications_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n  all all: Option(Bool),\n  participating participating: Option(Bool),\n  since since: Option(String),\n  before before: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Thread))\n\nSynonyms:\nmidas/sdk/github.activity_list_repo_notifications_for_authenticated_user\nmidas/sdk/github activity_list_repo_notifications_for_authenticated_user","url":"midas/sdk/github.html#activity_list_repo_notifications_for_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_list_repos_starred_by_authenticated_user","content":"pub fn activity_list_repos_starred_by_authenticated_user(\n  token: String,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Repository))\n\nSynonyms:\nmidas/sdk/github.activity_list_repos_starred_by_authenticated_user\nmidas/sdk/github activity_list_repos_starred_by_authenticated_user","url":"midas/sdk/github.html#activity_list_repos_starred_by_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_list_repos_starred_by_user","content":"pub fn activity_list_repos_starred_by_user(\n  token: String,\n  username: String,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_list_repos_starred_by_user\nmidas/sdk/github activity_list_repos_starred_by_user","url":"midas/sdk/github.html#activity_list_repos_starred_by_user"},{"doc":"midas/sdk/github","title":"activity_list_repos_watched_by_user","content":"pub fn activity_list_repos_watched_by_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.activity_list_repos_watched_by_user\nmidas/sdk/github activity_list_repos_watched_by_user","url":"midas/sdk/github.html#activity_list_repos_watched_by_user"},{"doc":"midas/sdk/github","title":"activity_list_stargazers_for_repo","content":"pub fn activity_list_stargazers_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_list_stargazers_for_repo\nmidas/sdk/github activity_list_stargazers_for_repo","url":"midas/sdk/github.html#activity_list_stargazers_for_repo"},{"doc":"midas/sdk/github","title":"activity_list_watched_repos_for_authenticated_user","content":"pub fn activity_list_watched_repos_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.activity_list_watched_repos_for_authenticated_user\nmidas/sdk/github activity_list_watched_repos_for_authenticated_user","url":"midas/sdk/github.html#activity_list_watched_repos_for_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_list_watchers_for_repo","content":"pub fn activity_list_watchers_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.activity_list_watchers_for_repo\nmidas/sdk/github activity_list_watchers_for_repo","url":"midas/sdk/github.html#activity_list_watchers_for_repo"},{"doc":"midas/sdk/github","title":"activity_mark_notifications_as_read","content":"pub fn activity_mark_notifications_as_read(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.activity_mark_notifications_as_read\nmidas/sdk/github activity_mark_notifications_as_read","url":"midas/sdk/github.html#activity_mark_notifications_as_read"},{"doc":"midas/sdk/github","title":"activity_mark_repo_notifications_as_read","content":"pub fn activity_mark_repo_notifications_as_read(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.activity_mark_repo_notifications_as_read\nmidas/sdk/github activity_mark_repo_notifications_as_read","url":"midas/sdk/github.html#activity_mark_repo_notifications_as_read"},{"doc":"midas/sdk/github","title":"activity_mark_thread_as_done","content":"pub fn activity_mark_thread_as_done(\n  token: String,\n  thread_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_mark_thread_as_done\nmidas/sdk/github activity_mark_thread_as_done","url":"midas/sdk/github.html#activity_mark_thread_as_done"},{"doc":"midas/sdk/github","title":"activity_mark_thread_as_read","content":"pub fn activity_mark_thread_as_read(\n  token: String,\n  thread_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_mark_thread_as_read\nmidas/sdk/github activity_mark_thread_as_read","url":"midas/sdk/github.html#activity_mark_thread_as_read"},{"doc":"midas/sdk/github","title":"activity_set_repo_subscription","content":"pub fn activity_set_repo_subscription(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(RepositorySubscription)\n\nSynonyms:\nmidas/sdk/github.activity_set_repo_subscription\nmidas/sdk/github activity_set_repo_subscription","url":"midas/sdk/github.html#activity_set_repo_subscription"},{"doc":"midas/sdk/github","title":"activity_set_thread_subscription","content":"pub fn activity_set_thread_subscription(\n  token: String,\n  thread_id: Int,\n  data: BitArray,\n) -&gt; Effect(ThreadSubscription)\n\nSynonyms:\nmidas/sdk/github.activity_set_thread_subscription\nmidas/sdk/github activity_set_thread_subscription","url":"midas/sdk/github.html#activity_set_thread_subscription"},{"doc":"midas/sdk/github","title":"activity_star_repo_for_authenticated_user","content":"pub fn activity_star_repo_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_star_repo_for_authenticated_user\nmidas/sdk/github activity_star_repo_for_authenticated_user","url":"midas/sdk/github.html#activity_star_repo_for_authenticated_user"},{"doc":"midas/sdk/github","title":"activity_unstar_repo_for_authenticated_user","content":"pub fn activity_unstar_repo_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.activity_unstar_repo_for_authenticated_user\nmidas/sdk/github activity_unstar_repo_for_authenticated_user","url":"midas/sdk/github.html#activity_unstar_repo_for_authenticated_user"},{"doc":"midas/sdk/github","title":"api_insights_get_route_stats_by_actor","content":"pub fn api_insights_get_route_stats_by_actor(\n  token: String,\n  org: String,\n  actor_type: String,\n  actor_id: Int,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  sort sort: a,\n) -&gt; Effect(b)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_route_stats_by_actor\nmidas/sdk/github api_insights_get_route_stats_by_actor","url":"midas/sdk/github.html#api_insights_get_route_stats_by_actor"},{"doc":"midas/sdk/github","title":"api_insights_get_subject_stats","content":"pub fn api_insights_get_subject_stats(\n  token: String,\n  org: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  sort sort: a,\n) -&gt; Effect(b)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_subject_stats\nmidas/sdk/github api_insights_get_subject_stats","url":"midas/sdk/github.html#api_insights_get_subject_stats"},{"doc":"midas/sdk/github","title":"api_insights_get_summary_stats","content":"pub fn api_insights_get_summary_stats(\n  token: String,\n  org: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n) -&gt; Effect(ApiInsightsSummaryStats)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_summary_stats\nmidas/sdk/github api_insights_get_summary_stats","url":"midas/sdk/github.html#api_insights_get_summary_stats"},{"doc":"midas/sdk/github","title":"api_insights_get_summary_stats_by_actor","content":"pub fn api_insights_get_summary_stats_by_actor(\n  token: String,\n  org: String,\n  actor_type: String,\n  actor_id: Int,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n) -&gt; Effect(ApiInsightsSummaryStats)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_summary_stats_by_actor\nmidas/sdk/github api_insights_get_summary_stats_by_actor","url":"midas/sdk/github.html#api_insights_get_summary_stats_by_actor"},{"doc":"midas/sdk/github","title":"api_insights_get_summary_stats_by_user","content":"pub fn api_insights_get_summary_stats_by_user(\n  token: String,\n  org: String,\n  user_id: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n) -&gt; Effect(ApiInsightsSummaryStats)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_summary_stats_by_user\nmidas/sdk/github api_insights_get_summary_stats_by_user","url":"midas/sdk/github.html#api_insights_get_summary_stats_by_user"},{"doc":"midas/sdk/github","title":"api_insights_get_time_stats","content":"pub fn api_insights_get_time_stats(\n  token: String,\n  org: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  timestamp_increment timestamp_increment: String,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_time_stats\nmidas/sdk/github api_insights_get_time_stats","url":"midas/sdk/github.html#api_insights_get_time_stats"},{"doc":"midas/sdk/github","title":"api_insights_get_time_stats_by_actor","content":"pub fn api_insights_get_time_stats_by_actor(\n  token: String,\n  org: String,\n  actor_type: String,\n  actor_id: Int,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  timestamp_increment timestamp_increment: String,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_time_stats_by_actor\nmidas/sdk/github api_insights_get_time_stats_by_actor","url":"midas/sdk/github.html#api_insights_get_time_stats_by_actor"},{"doc":"midas/sdk/github","title":"api_insights_get_time_stats_by_user","content":"pub fn api_insights_get_time_stats_by_user(\n  token: String,\n  org: String,\n  user_id: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  timestamp_increment timestamp_increment: String,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_time_stats_by_user\nmidas/sdk/github api_insights_get_time_stats_by_user","url":"midas/sdk/github.html#api_insights_get_time_stats_by_user"},{"doc":"midas/sdk/github","title":"api_insights_get_user_stats","content":"pub fn api_insights_get_user_stats(\n  token: String,\n  org: String,\n  user_id: String,\n  min_timestamp min_timestamp: String,\n  max_timestamp max_timestamp: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  sort sort: a,\n) -&gt; Effect(b)\n\nSynonyms:\nmidas/sdk/github.api_insights_get_user_stats\nmidas/sdk/github api_insights_get_user_stats","url":"midas/sdk/github.html#api_insights_get_user_stats"},{"doc":"midas/sdk/github","title":"apps_add_repo_to_installation_for_authenticated_user","content":"pub fn apps_add_repo_to_installation_for_authenticated_user(\n  token: String,\n  installation_id: Int,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_add_repo_to_installation_for_authenticated_user\nmidas/sdk/github apps_add_repo_to_installation_for_authenticated_user","url":"midas/sdk/github.html#apps_add_repo_to_installation_for_authenticated_user"},{"doc":"midas/sdk/github","title":"apps_check_token","content":"pub fn apps_check_token(\n  token: String,\n  client_id: String,\n  data: BitArray,\n) -&gt; Effect(Authorization)\n\nSynonyms:\nmidas/sdk/github.apps_check_token\nmidas/sdk/github apps_check_token","url":"midas/sdk/github.html#apps_check_token"},{"doc":"midas/sdk/github","title":"apps_create_from_manifest","content":"pub fn apps_create_from_manifest(\n  token: String,\n  code: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_create_from_manifest\nmidas/sdk/github apps_create_from_manifest","url":"midas/sdk/github.html#apps_create_from_manifest"},{"doc":"midas/sdk/github","title":"apps_create_installation_access_token","content":"pub fn apps_create_installation_access_token(\n  token: String,\n  installation_id: Int,\n  data: BitArray,\n) -&gt; Effect(InstallationToken)\n\nSynonyms:\nmidas/sdk/github.apps_create_installation_access_token\nmidas/sdk/github apps_create_installation_access_token","url":"midas/sdk/github.html#apps_create_installation_access_token"},{"doc":"midas/sdk/github","title":"apps_delete_authorization","content":"pub fn apps_delete_authorization(\n  token: String,\n  client_id: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_delete_authorization\nmidas/sdk/github apps_delete_authorization","url":"midas/sdk/github.html#apps_delete_authorization"},{"doc":"midas/sdk/github","title":"apps_delete_installation","content":"pub fn apps_delete_installation(\n  token: String,\n  installation_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_delete_installation\nmidas/sdk/github apps_delete_installation","url":"midas/sdk/github.html#apps_delete_installation"},{"doc":"midas/sdk/github","title":"apps_delete_token","content":"pub fn apps_delete_token(\n  token: String,\n  client_id: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_delete_token\nmidas/sdk/github apps_delete_token","url":"midas/sdk/github.html#apps_delete_token"},{"doc":"midas/sdk/github","title":"apps_get_authenticated","content":"pub fn apps_get_authenticated(\n  token: String,\n) -&gt; Effect(Integration)\n\nSynonyms:\nmidas/sdk/github.apps_get_authenticated\nmidas/sdk/github apps_get_authenticated","url":"midas/sdk/github.html#apps_get_authenticated"},{"doc":"midas/sdk/github","title":"apps_get_by_slug","content":"pub fn apps_get_by_slug(\n  token: String,\n  app_slug: String,\n) -&gt; Effect(Integration)\n\nSynonyms:\nmidas/sdk/github.apps_get_by_slug\nmidas/sdk/github apps_get_by_slug","url":"midas/sdk/github.html#apps_get_by_slug"},{"doc":"midas/sdk/github","title":"apps_get_installation","content":"pub fn apps_get_installation(\n  token: String,\n  installation_id: Int,\n) -&gt; Effect(Installation)\n\nSynonyms:\nmidas/sdk/github.apps_get_installation\nmidas/sdk/github apps_get_installation","url":"midas/sdk/github.html#apps_get_installation"},{"doc":"midas/sdk/github","title":"apps_get_org_installation","content":"pub fn apps_get_org_installation(\n  token: String,\n  org: String,\n) -&gt; Effect(Installation)\n\nSynonyms:\nmidas/sdk/github.apps_get_org_installation\nmidas/sdk/github apps_get_org_installation","url":"midas/sdk/github.html#apps_get_org_installation"},{"doc":"midas/sdk/github","title":"apps_get_repo_installation","content":"pub fn apps_get_repo_installation(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Installation)\n\nSynonyms:\nmidas/sdk/github.apps_get_repo_installation\nmidas/sdk/github apps_get_repo_installation","url":"midas/sdk/github.html#apps_get_repo_installation"},{"doc":"midas/sdk/github","title":"apps_get_subscription_plan_for_account","content":"pub fn apps_get_subscription_plan_for_account(\n  token: String,\n  account_id: Int,\n) -&gt; Effect(MarketplacePurchase)\n\nSynonyms:\nmidas/sdk/github.apps_get_subscription_plan_for_account\nmidas/sdk/github apps_get_subscription_plan_for_account","url":"midas/sdk/github.html#apps_get_subscription_plan_for_account"},{"doc":"midas/sdk/github","title":"apps_get_subscription_plan_for_account_stubbed","content":"pub fn apps_get_subscription_plan_for_account_stubbed(\n  token: String,\n  account_id: Int,\n) -&gt; Effect(MarketplacePurchase)\n\nSynonyms:\nmidas/sdk/github.apps_get_subscription_plan_for_account_stubbed\nmidas/sdk/github apps_get_subscription_plan_for_account_stubbed","url":"midas/sdk/github.html#apps_get_subscription_plan_for_account_stubbed"},{"doc":"midas/sdk/github","title":"apps_get_user_installation","content":"pub fn apps_get_user_installation(\n  token: String,\n  username: String,\n) -&gt; Effect(Installation)\n\nSynonyms:\nmidas/sdk/github.apps_get_user_installation\nmidas/sdk/github apps_get_user_installation","url":"midas/sdk/github.html#apps_get_user_installation"},{"doc":"midas/sdk/github","title":"apps_get_webhook_config_for_app","content":"pub fn apps_get_webhook_config_for_app(\n  token: String,\n) -&gt; Effect(WebhookConfig)\n\nSynonyms:\nmidas/sdk/github.apps_get_webhook_config_for_app\nmidas/sdk/github apps_get_webhook_config_for_app","url":"midas/sdk/github.html#apps_get_webhook_config_for_app"},{"doc":"midas/sdk/github","title":"apps_get_webhook_delivery","content":"pub fn apps_get_webhook_delivery(\n  token: String,\n  delivery_id: Int,\n) -&gt; Effect(HookDelivery)\n\nSynonyms:\nmidas/sdk/github.apps_get_webhook_delivery\nmidas/sdk/github apps_get_webhook_delivery","url":"midas/sdk/github.html#apps_get_webhook_delivery"},{"doc":"midas/sdk/github","title":"apps_list_accounts_for_plan","content":"pub fn apps_list_accounts_for_plan(\n  token: String,\n  plan_id: Int,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MarketplacePurchase))\n\nSynonyms:\nmidas/sdk/github.apps_list_accounts_for_plan\nmidas/sdk/github apps_list_accounts_for_plan","url":"midas/sdk/github.html#apps_list_accounts_for_plan"},{"doc":"midas/sdk/github","title":"apps_list_accounts_for_plan_stubbed","content":"pub fn apps_list_accounts_for_plan_stubbed(\n  token: String,\n  plan_id: Int,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MarketplacePurchase))\n\nSynonyms:\nmidas/sdk/github.apps_list_accounts_for_plan_stubbed\nmidas/sdk/github apps_list_accounts_for_plan_stubbed","url":"midas/sdk/github.html#apps_list_accounts_for_plan_stubbed"},{"doc":"midas/sdk/github","title":"apps_list_installation_repos_for_authenticated_user","content":"pub fn apps_list_installation_repos_for_authenticated_user(\n  token: String,\n  installation_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.apps_list_installation_repos_for_authenticated_user\nmidas/sdk/github apps_list_installation_repos_for_authenticated_user","url":"midas/sdk/github.html#apps_list_installation_repos_for_authenticated_user"},{"doc":"midas/sdk/github","title":"apps_list_installation_requests_for_authenticated_app","content":"pub fn apps_list_installation_requests_for_authenticated_app(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(IntegrationInstallationRequest))\n\nSynonyms:\nmidas/sdk/github.apps_list_installation_requests_for_authenticated_app\nmidas/sdk/github apps_list_installation_requests_for_authenticated_app","url":"midas/sdk/github.html#apps_list_installation_requests_for_authenticated_app"},{"doc":"midas/sdk/github","title":"apps_list_installations","content":"pub fn apps_list_installations(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  since since: Option(String),\n  outdated outdated: Option(String),\n) -&gt; Effect(List(Installation))\n\nSynonyms:\nmidas/sdk/github.apps_list_installations\nmidas/sdk/github apps_list_installations","url":"midas/sdk/github.html#apps_list_installations"},{"doc":"midas/sdk/github","title":"apps_list_installations_for_authenticated_user","content":"pub fn apps_list_installations_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.apps_list_installations_for_authenticated_user\nmidas/sdk/github apps_list_installations_for_authenticated_user","url":"midas/sdk/github.html#apps_list_installations_for_authenticated_user"},{"doc":"midas/sdk/github","title":"apps_list_plans","content":"pub fn apps_list_plans(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MarketplaceListingPlan))\n\nSynonyms:\nmidas/sdk/github.apps_list_plans\nmidas/sdk/github apps_list_plans","url":"midas/sdk/github.html#apps_list_plans"},{"doc":"midas/sdk/github","title":"apps_list_plans_stubbed","content":"pub fn apps_list_plans_stubbed(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MarketplaceListingPlan))\n\nSynonyms:\nmidas/sdk/github.apps_list_plans_stubbed\nmidas/sdk/github apps_list_plans_stubbed","url":"midas/sdk/github.html#apps_list_plans_stubbed"},{"doc":"midas/sdk/github","title":"apps_list_repos_accessible_to_installation","content":"pub fn apps_list_repos_accessible_to_installation(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.apps_list_repos_accessible_to_installation\nmidas/sdk/github apps_list_repos_accessible_to_installation","url":"midas/sdk/github.html#apps_list_repos_accessible_to_installation"},{"doc":"midas/sdk/github","title":"apps_list_subscriptions_for_authenticated_user","content":"pub fn apps_list_subscriptions_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(UserMarketplacePurchase))\n\nSynonyms:\nmidas/sdk/github.apps_list_subscriptions_for_authenticated_user\nmidas/sdk/github apps_list_subscriptions_for_authenticated_user","url":"midas/sdk/github.html#apps_list_subscriptions_for_authenticated_user"},{"doc":"midas/sdk/github","title":"apps_list_subscriptions_for_authenticated_user_stubbed","content":"pub fn apps_list_subscriptions_for_authenticated_user_stubbed(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(UserMarketplacePurchase))\n\nSynonyms:\nmidas/sdk/github.apps_list_subscriptions_for_authenticated_user_stubbed\nmidas/sdk/github apps_list_subscriptions_for_authenticated_user_stubbed","url":"midas/sdk/github.html#apps_list_subscriptions_for_authenticated_user_stubbed"},{"doc":"midas/sdk/github","title":"apps_list_webhook_deliveries","content":"pub fn apps_list_webhook_deliveries(\n  token: String,\n  per_page per_page: Option(Int),\n  cursor cursor: Option(String),\n) -&gt; Effect(List(HookDeliveryItem))\n\nSynonyms:\nmidas/sdk/github.apps_list_webhook_deliveries\nmidas/sdk/github apps_list_webhook_deliveries","url":"midas/sdk/github.html#apps_list_webhook_deliveries"},{"doc":"midas/sdk/github","title":"apps_redeliver_webhook_delivery","content":"pub fn apps_redeliver_webhook_delivery(\n  token: String,\n  delivery_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.apps_redeliver_webhook_delivery\nmidas/sdk/github apps_redeliver_webhook_delivery","url":"midas/sdk/github.html#apps_redeliver_webhook_delivery"},{"doc":"midas/sdk/github","title":"apps_remove_repo_from_installation_for_authenticated_user","content":"pub fn apps_remove_repo_from_installation_for_authenticated_user(\n  token: String,\n  installation_id: Int,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_remove_repo_from_installation_for_authenticated_user\nmidas/sdk/github apps_remove_repo_from_installation_for_authenticated_user","url":"midas/sdk/github.html#apps_remove_repo_from_installation_for_authenticated_user"},{"doc":"midas/sdk/github","title":"apps_reset_token","content":"pub fn apps_reset_token(\n  token: String,\n  client_id: String,\n  data: BitArray,\n) -&gt; Effect(Authorization)\n\nSynonyms:\nmidas/sdk/github.apps_reset_token\nmidas/sdk/github apps_reset_token","url":"midas/sdk/github.html#apps_reset_token"},{"doc":"midas/sdk/github","title":"apps_revoke_installation_access_token","content":"pub fn apps_revoke_installation_access_token(\n  token: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_revoke_installation_access_token\nmidas/sdk/github apps_revoke_installation_access_token","url":"midas/sdk/github.html#apps_revoke_installation_access_token"},{"doc":"midas/sdk/github","title":"apps_scope_token","content":"pub fn apps_scope_token(\n  token: String,\n  client_id: String,\n  data: BitArray,\n) -&gt; Effect(Authorization)\n\nSynonyms:\nmidas/sdk/github.apps_scope_token\nmidas/sdk/github apps_scope_token","url":"midas/sdk/github.html#apps_scope_token"},{"doc":"midas/sdk/github","title":"apps_suspend_installation","content":"pub fn apps_suspend_installation(\n  token: String,\n  installation_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_suspend_installation\nmidas/sdk/github apps_suspend_installation","url":"midas/sdk/github.html#apps_suspend_installation"},{"doc":"midas/sdk/github","title":"apps_unsuspend_installation","content":"pub fn apps_unsuspend_installation(\n  token: String,\n  installation_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.apps_unsuspend_installation\nmidas/sdk/github apps_unsuspend_installation","url":"midas/sdk/github.html#apps_unsuspend_installation"},{"doc":"midas/sdk/github","title":"apps_update_webhook_config_for_app","content":"pub fn apps_update_webhook_config_for_app(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(WebhookConfig)\n\nSynonyms:\nmidas/sdk/github.apps_update_webhook_config_for_app\nmidas/sdk/github apps_update_webhook_config_for_app","url":"midas/sdk/github.html#apps_update_webhook_config_for_app"},{"doc":"midas/sdk/github","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/github.auth_redirect\nmidas/sdk/github auth_redirect","url":"midas/sdk/github.html#auth_redirect"},{"doc":"midas/sdk/github","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/github.authenticate\nmidas/sdk/github authenticate","url":"midas/sdk/github.html#authenticate"},{"doc":"midas/sdk/github","title":"billing_get_github_actions_billing_org","content":"pub fn billing_get_github_actions_billing_org(\n  token: String,\n  org: String,\n) -&gt; Effect(ActionsBillingUsage)\n\nSynonyms:\nmidas/sdk/github.billing_get_github_actions_billing_org\nmidas/sdk/github billing_get_github_actions_billing_org","url":"midas/sdk/github.html#billing_get_github_actions_billing_org"},{"doc":"midas/sdk/github","title":"billing_get_github_actions_billing_user","content":"pub fn billing_get_github_actions_billing_user(\n  token: String,\n  username: String,\n) -&gt; Effect(ActionsBillingUsage)\n\nSynonyms:\nmidas/sdk/github.billing_get_github_actions_billing_user\nmidas/sdk/github billing_get_github_actions_billing_user","url":"midas/sdk/github.html#billing_get_github_actions_billing_user"},{"doc":"midas/sdk/github","title":"billing_get_github_packages_billing_org","content":"pub fn billing_get_github_packages_billing_org(\n  token: String,\n  org: String,\n) -&gt; Effect(PackagesBillingUsage)\n\nSynonyms:\nmidas/sdk/github.billing_get_github_packages_billing_org\nmidas/sdk/github billing_get_github_packages_billing_org","url":"midas/sdk/github.html#billing_get_github_packages_billing_org"},{"doc":"midas/sdk/github","title":"billing_get_github_packages_billing_user","content":"pub fn billing_get_github_packages_billing_user(\n  token: String,\n  username: String,\n) -&gt; Effect(PackagesBillingUsage)\n\nSynonyms:\nmidas/sdk/github.billing_get_github_packages_billing_user\nmidas/sdk/github billing_get_github_packages_billing_user","url":"midas/sdk/github.html#billing_get_github_packages_billing_user"},{"doc":"midas/sdk/github","title":"billing_get_shared_storage_billing_org","content":"pub fn billing_get_shared_storage_billing_org(\n  token: String,\n  org: String,\n) -&gt; Effect(CombinedBillingUsage)\n\nSynonyms:\nmidas/sdk/github.billing_get_shared_storage_billing_org\nmidas/sdk/github billing_get_shared_storage_billing_org","url":"midas/sdk/github.html#billing_get_shared_storage_billing_org"},{"doc":"midas/sdk/github","title":"billing_get_shared_storage_billing_user","content":"pub fn billing_get_shared_storage_billing_user(\n  token: String,\n  username: String,\n) -&gt; Effect(CombinedBillingUsage)\n\nSynonyms:\nmidas/sdk/github.billing_get_shared_storage_billing_user\nmidas/sdk/github billing_get_shared_storage_billing_user","url":"midas/sdk/github.html#billing_get_shared_storage_billing_user"},{"doc":"midas/sdk/github","title":"checks_create","content":"pub fn checks_create(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(CheckRun)\n\nSynonyms:\nmidas/sdk/github.checks_create\nmidas/sdk/github checks_create","url":"midas/sdk/github.html#checks_create"},{"doc":"midas/sdk/github","title":"checks_create_suite","content":"pub fn checks_create_suite(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(CheckSuite)\n\nSynonyms:\nmidas/sdk/github.checks_create_suite\nmidas/sdk/github checks_create_suite","url":"midas/sdk/github.html#checks_create_suite"},{"doc":"midas/sdk/github","title":"checks_get","content":"pub fn checks_get(\n  token: String,\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n) -&gt; Effect(CheckRun)\n\nSynonyms:\nmidas/sdk/github.checks_get\nmidas/sdk/github checks_get","url":"midas/sdk/github.html#checks_get"},{"doc":"midas/sdk/github","title":"checks_get_suite","content":"pub fn checks_get_suite(\n  token: String,\n  owner: String,\n  repo: String,\n  check_suite_id: Int,\n) -&gt; Effect(CheckSuite)\n\nSynonyms:\nmidas/sdk/github.checks_get_suite\nmidas/sdk/github checks_get_suite","url":"midas/sdk/github.html#checks_get_suite"},{"doc":"midas/sdk/github","title":"checks_list_annotations","content":"pub fn checks_list_annotations(\n  token: String,\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(CheckAnnotation))\n\nSynonyms:\nmidas/sdk/github.checks_list_annotations\nmidas/sdk/github checks_list_annotations","url":"midas/sdk/github.html#checks_list_annotations"},{"doc":"midas/sdk/github","title":"checks_list_for_ref","content":"pub fn checks_list_for_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n  check_name check_name: Option(String),\n  status status: Option(String),\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  app_id app_id: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.checks_list_for_ref\nmidas/sdk/github checks_list_for_ref","url":"midas/sdk/github.html#checks_list_for_ref"},{"doc":"midas/sdk/github","title":"checks_list_for_suite","content":"pub fn checks_list_for_suite(\n  token: String,\n  owner: String,\n  repo: String,\n  check_suite_id: Int,\n  check_name check_name: Option(String),\n  status status: Option(String),\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.checks_list_for_suite\nmidas/sdk/github checks_list_for_suite","url":"midas/sdk/github.html#checks_list_for_suite"},{"doc":"midas/sdk/github","title":"checks_list_suites_for_ref","content":"pub fn checks_list_suites_for_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n  app_id app_id: Option(Int),\n  check_name check_name: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.checks_list_suites_for_ref\nmidas/sdk/github checks_list_suites_for_ref","url":"midas/sdk/github.html#checks_list_suites_for_ref"},{"doc":"midas/sdk/github","title":"checks_rerequest_run","content":"pub fn checks_rerequest_run(\n  token: String,\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.checks_rerequest_run\nmidas/sdk/github checks_rerequest_run","url":"midas/sdk/github.html#checks_rerequest_run"},{"doc":"midas/sdk/github","title":"checks_rerequest_suite","content":"pub fn checks_rerequest_suite(\n  token: String,\n  owner: String,\n  repo: String,\n  check_suite_id: Int,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.checks_rerequest_suite\nmidas/sdk/github checks_rerequest_suite","url":"midas/sdk/github.html#checks_rerequest_suite"},{"doc":"midas/sdk/github","title":"checks_set_suites_preferences","content":"pub fn checks_set_suites_preferences(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(CheckSuitePreference)\n\nSynonyms:\nmidas/sdk/github.checks_set_suites_preferences\nmidas/sdk/github checks_set_suites_preferences","url":"midas/sdk/github.html#checks_set_suites_preferences"},{"doc":"midas/sdk/github","title":"checks_update","content":"pub fn checks_update(\n  token: String,\n  owner: String,\n  repo: String,\n  check_run_id: Int,\n  data: BitArray,\n) -&gt; Effect(CheckRun)\n\nSynonyms:\nmidas/sdk/github.checks_update\nmidas/sdk/github checks_update","url":"midas/sdk/github.html#checks_update"},{"doc":"midas/sdk/github","title":"classroom_get_a_classroom","content":"pub fn classroom_get_a_classroom(\n  token: String,\n  classroom_id: Int,\n) -&gt; Effect(Classroom)\n\nSynonyms:\nmidas/sdk/github.classroom_get_a_classroom\nmidas/sdk/github classroom_get_a_classroom","url":"midas/sdk/github.html#classroom_get_a_classroom"},{"doc":"midas/sdk/github","title":"classroom_get_an_assignment","content":"pub fn classroom_get_an_assignment(\n  token: String,\n  assignment_id: Int,\n) -&gt; Effect(ClassroomAssignment)\n\nSynonyms:\nmidas/sdk/github.classroom_get_an_assignment\nmidas/sdk/github classroom_get_an_assignment","url":"midas/sdk/github.html#classroom_get_an_assignment"},{"doc":"midas/sdk/github","title":"classroom_get_assignment_grades","content":"pub fn classroom_get_assignment_grades(\n  token: String,\n  assignment_id: Int,\n) -&gt; Effect(List(ClassroomAssignmentGrade))\n\nSynonyms:\nmidas/sdk/github.classroom_get_assignment_grades\nmidas/sdk/github classroom_get_assignment_grades","url":"midas/sdk/github.html#classroom_get_assignment_grades"},{"doc":"midas/sdk/github","title":"classroom_list_accepted_assignments_for_an_assignment","content":"pub fn classroom_list_accepted_assignments_for_an_assignment(\n  token: String,\n  assignment_id: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(ClassroomAcceptedAssignment))\n\nSynonyms:\nmidas/sdk/github.classroom_list_accepted_assignments_for_an_assignment\nmidas/sdk/github classroom_list_accepted_assignments_for_an_assignment","url":"midas/sdk/github.html#classroom_list_accepted_assignments_for_an_assignment"},{"doc":"midas/sdk/github","title":"classroom_list_assignments_for_a_classroom","content":"pub fn classroom_list_assignments_for_a_classroom(\n  token: String,\n  classroom_id: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(SimpleClassroomAssignment))\n\nSynonyms:\nmidas/sdk/github.classroom_list_assignments_for_a_classroom\nmidas/sdk/github classroom_list_assignments_for_a_classroom","url":"midas/sdk/github.html#classroom_list_assignments_for_a_classroom"},{"doc":"midas/sdk/github","title":"classroom_list_classrooms","content":"pub fn classroom_list_classrooms(\n  token: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(SimpleClassroom))\n\nSynonyms:\nmidas/sdk/github.classroom_list_classrooms\nmidas/sdk/github classroom_list_classrooms","url":"midas/sdk/github.html#classroom_list_classrooms"},{"doc":"midas/sdk/github","title":"code_scanning_create_variant_analysis","content":"pub fn code_scanning_create_variant_analysis(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(CodeScanningVariantAnalysis)\n\nSynonyms:\nmidas/sdk/github.code_scanning_create_variant_analysis\nmidas/sdk/github code_scanning_create_variant_analysis","url":"midas/sdk/github.html#code_scanning_create_variant_analysis"},{"doc":"midas/sdk/github","title":"code_scanning_delete_analysis","content":"pub fn code_scanning_delete_analysis(\n  token: String,\n  owner: String,\n  repo: String,\n  analysis_id: Int,\n  confirm_delete confirm_delete: Option(String),\n) -&gt; Effect(CodeScanningAnalysisDeletion)\n\nSynonyms:\nmidas/sdk/github.code_scanning_delete_analysis\nmidas/sdk/github code_scanning_delete_analysis","url":"midas/sdk/github.html#code_scanning_delete_analysis"},{"doc":"midas/sdk/github","title":"code_scanning_delete_codeql_database","content":"pub fn code_scanning_delete_codeql_database(\n  token: String,\n  owner: String,\n  repo: String,\n  language: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.code_scanning_delete_codeql_database\nmidas/sdk/github code_scanning_delete_codeql_database","url":"midas/sdk/github.html#code_scanning_delete_codeql_database"},{"doc":"midas/sdk/github","title":"code_scanning_get_alert","content":"pub fn code_scanning_get_alert(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n) -&gt; Effect(CodeScanningAlert)\n\nSynonyms:\nmidas/sdk/github.code_scanning_get_alert\nmidas/sdk/github code_scanning_get_alert","url":"midas/sdk/github.html#code_scanning_get_alert"},{"doc":"midas/sdk/github","title":"code_scanning_get_analysis","content":"pub fn code_scanning_get_analysis(\n  token: String,\n  owner: String,\n  repo: String,\n  analysis_id: Int,\n) -&gt; Effect(CodeScanningAnalysis)\n\nSynonyms:\nmidas/sdk/github.code_scanning_get_analysis\nmidas/sdk/github code_scanning_get_analysis","url":"midas/sdk/github.html#code_scanning_get_analysis"},{"doc":"midas/sdk/github","title":"code_scanning_get_codeql_database","content":"pub fn code_scanning_get_codeql_database(\n  token: String,\n  owner: String,\n  repo: String,\n  language: String,\n) -&gt; Effect(CodeScanningCodeqlDatabase)\n\nSynonyms:\nmidas/sdk/github.code_scanning_get_codeql_database\nmidas/sdk/github code_scanning_get_codeql_database","url":"midas/sdk/github.html#code_scanning_get_codeql_database"},{"doc":"midas/sdk/github","title":"code_scanning_get_default_setup","content":"pub fn code_scanning_get_default_setup(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(CodeScanningDefaultSetup)\n\nSynonyms:\nmidas/sdk/github.code_scanning_get_default_setup\nmidas/sdk/github code_scanning_get_default_setup","url":"midas/sdk/github.html#code_scanning_get_default_setup"},{"doc":"midas/sdk/github","title":"code_scanning_get_sarif","content":"pub fn code_scanning_get_sarif(\n  token: String,\n  owner: String,\n  repo: String,\n  sarif_id: String,\n) -&gt; Effect(CodeScanningSarifsStatus)\n\nSynonyms:\nmidas/sdk/github.code_scanning_get_sarif\nmidas/sdk/github code_scanning_get_sarif","url":"midas/sdk/github.html#code_scanning_get_sarif"},{"doc":"midas/sdk/github","title":"code_scanning_get_variant_analysis","content":"pub fn code_scanning_get_variant_analysis(\n  token: String,\n  owner: String,\n  repo: String,\n  codeql_variant_analysis_id: Int,\n) -&gt; Effect(CodeScanningVariantAnalysis)\n\nSynonyms:\nmidas/sdk/github.code_scanning_get_variant_analysis\nmidas/sdk/github code_scanning_get_variant_analysis","url":"midas/sdk/github.html#code_scanning_get_variant_analysis"},{"doc":"midas/sdk/github","title":"code_scanning_get_variant_analysis_repo_task","content":"pub fn code_scanning_get_variant_analysis_repo_task(\n  token: String,\n  owner: String,\n  repo: String,\n  codeql_variant_analysis_id: Int,\n  repo_owner: String,\n  repo_name: String,\n) -&gt; Effect(CodeScanningVariantAnalysisRepoTask)\n\nSynonyms:\nmidas/sdk/github.code_scanning_get_variant_analysis_repo_task\nmidas/sdk/github code_scanning_get_variant_analysis_repo_task","url":"midas/sdk/github.html#code_scanning_get_variant_analysis_repo_task"},{"doc":"midas/sdk/github","title":"code_scanning_list_alert_instances","content":"pub fn code_scanning_list_alert_instances(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  ref ref: Option(String),\n  pr pr: Option(Int),\n) -&gt; Effect(List(CodeScanningAlertInstance))\n\nSynonyms:\nmidas/sdk/github.code_scanning_list_alert_instances\nmidas/sdk/github code_scanning_list_alert_instances","url":"midas/sdk/github.html#code_scanning_list_alert_instances"},{"doc":"midas/sdk/github","title":"code_scanning_list_alerts_for_org","content":"pub fn code_scanning_list_alerts_for_org(\n  token: String,\n  org: String,\n  tool_name tool_name: Option(String),\n  tool_guid tool_guid: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  direction direction: Option(String),\n  state state: Option(String),\n  sort sort: Option(String),\n  severity severity: Option(String),\n) -&gt; Effect(List(CodeScanningOrganizationAlertItems))\n\nSynonyms:\nmidas/sdk/github.code_scanning_list_alerts_for_org\nmidas/sdk/github code_scanning_list_alerts_for_org","url":"midas/sdk/github.html#code_scanning_list_alerts_for_org"},{"doc":"midas/sdk/github","title":"code_scanning_list_alerts_for_repo","content":"pub fn code_scanning_list_alerts_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  tool_name tool_name: Option(String),\n  tool_guid tool_guid: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  ref ref: Option(String),\n  pr pr: Option(Int),\n  direction direction: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  sort sort: Option(String),\n  state state: Option(String),\n  severity severity: Option(String),\n) -&gt; Effect(List(CodeScanningAlertItems))\n\nSynonyms:\nmidas/sdk/github.code_scanning_list_alerts_for_repo\nmidas/sdk/github code_scanning_list_alerts_for_repo","url":"midas/sdk/github.html#code_scanning_list_alerts_for_repo"},{"doc":"midas/sdk/github","title":"code_scanning_list_codeql_databases","content":"pub fn code_scanning_list_codeql_databases(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(CodeScanningCodeqlDatabase))\n\nSynonyms:\nmidas/sdk/github.code_scanning_list_codeql_databases\nmidas/sdk/github code_scanning_list_codeql_databases","url":"midas/sdk/github.html#code_scanning_list_codeql_databases"},{"doc":"midas/sdk/github","title":"code_scanning_list_recent_analyses","content":"pub fn code_scanning_list_recent_analyses(\n  token: String,\n  owner: String,\n  repo: String,\n  tool_name tool_name: Option(String),\n  tool_guid tool_guid: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  pr pr: Option(Int),\n  ref ref: Option(String),\n  sarif_id sarif_id: Option(String),\n  direction direction: Option(String),\n  sort sort: Option(String),\n) -&gt; Effect(List(CodeScanningAnalysis))\n\nSynonyms:\nmidas/sdk/github.code_scanning_list_recent_analyses\nmidas/sdk/github code_scanning_list_recent_analyses","url":"midas/sdk/github.html#code_scanning_list_recent_analyses"},{"doc":"midas/sdk/github","title":"code_scanning_update_alert","content":"pub fn code_scanning_update_alert(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  data: BitArray,\n) -&gt; Effect(CodeScanningAlert)\n\nSynonyms:\nmidas/sdk/github.code_scanning_update_alert\nmidas/sdk/github code_scanning_update_alert","url":"midas/sdk/github.html#code_scanning_update_alert"},{"doc":"midas/sdk/github","title":"code_scanning_update_default_setup","content":"pub fn code_scanning_update_default_setup(\n  token: String,\n  owner: String,\n  repo: String,\n  code_scanning_default_setup_update: CodeScanningDefaultSetupUpdate,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.code_scanning_update_default_setup\nmidas/sdk/github code_scanning_update_default_setup","url":"midas/sdk/github.html#code_scanning_update_default_setup"},{"doc":"midas/sdk/github","title":"code_scanning_upload_sarif","content":"pub fn code_scanning_upload_sarif(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(CodeScanningSarifsReceipt)\n\nSynonyms:\nmidas/sdk/github.code_scanning_upload_sarif\nmidas/sdk/github code_scanning_upload_sarif","url":"midas/sdk/github.html#code_scanning_upload_sarif"},{"doc":"midas/sdk/github","title":"code_security_attach_configuration","content":"pub fn code_security_attach_configuration(\n  token: String,\n  org: String,\n  configuration_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.code_security_attach_configuration\nmidas/sdk/github code_security_attach_configuration","url":"midas/sdk/github.html#code_security_attach_configuration"},{"doc":"midas/sdk/github","title":"code_security_create_configuration","content":"pub fn code_security_create_configuration(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(CodeSecurityConfiguration)\n\nSynonyms:\nmidas/sdk/github.code_security_create_configuration\nmidas/sdk/github code_security_create_configuration","url":"midas/sdk/github.html#code_security_create_configuration"},{"doc":"midas/sdk/github","title":"code_security_delete_configuration","content":"pub fn code_security_delete_configuration(\n  token: String,\n  org: String,\n  configuration_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.code_security_delete_configuration\nmidas/sdk/github code_security_delete_configuration","url":"midas/sdk/github.html#code_security_delete_configuration"},{"doc":"midas/sdk/github","title":"code_security_detach_configuration","content":"pub fn code_security_detach_configuration(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.code_security_detach_configuration\nmidas/sdk/github code_security_detach_configuration","url":"midas/sdk/github.html#code_security_detach_configuration"},{"doc":"midas/sdk/github","title":"code_security_get_configuration","content":"pub fn code_security_get_configuration(\n  token: String,\n  org: String,\n  configuration_id: Int,\n) -&gt; Effect(CodeSecurityConfiguration)\n\nSynonyms:\nmidas/sdk/github.code_security_get_configuration\nmidas/sdk/github code_security_get_configuration","url":"midas/sdk/github.html#code_security_get_configuration"},{"doc":"midas/sdk/github","title":"code_security_get_configuration_for_repository","content":"pub fn code_security_get_configuration_for_repository(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.code_security_get_configuration_for_repository\nmidas/sdk/github code_security_get_configuration_for_repository","url":"midas/sdk/github.html#code_security_get_configuration_for_repository"},{"doc":"midas/sdk/github","title":"code_security_get_configurations_for_org","content":"pub fn code_security_get_configurations_for_org(\n  token: String,\n  org: String,\n  target_type target_type: Option(String),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Effect(List(CodeSecurityConfiguration))\n\nSynonyms:\nmidas/sdk/github.code_security_get_configurations_for_org\nmidas/sdk/github code_security_get_configurations_for_org","url":"midas/sdk/github.html#code_security_get_configurations_for_org"},{"doc":"midas/sdk/github","title":"code_security_get_default_configurations","content":"pub fn code_security_get_default_configurations(\n  token: String,\n  org: String,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.code_security_get_default_configurations\nmidas/sdk/github code_security_get_default_configurations","url":"midas/sdk/github.html#code_security_get_default_configurations"},{"doc":"midas/sdk/github","title":"code_security_get_repositories_for_configuration","content":"pub fn code_security_get_repositories_for_configuration(\n  token: String,\n  org: String,\n  configuration_id: Int,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  status status: Option(String),\n) -&gt; Effect(List(CodeSecurityConfigurationRepositories))\n\nSynonyms:\nmidas/sdk/github.code_security_get_repositories_for_configuration\nmidas/sdk/github code_security_get_repositories_for_configuration","url":"midas/sdk/github.html#code_security_get_repositories_for_configuration"},{"doc":"midas/sdk/github","title":"code_security_set_configuration_as_default","content":"pub fn code_security_set_configuration_as_default(\n  token: String,\n  org: String,\n  configuration_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.code_security_set_configuration_as_default\nmidas/sdk/github code_security_set_configuration_as_default","url":"midas/sdk/github.html#code_security_set_configuration_as_default"},{"doc":"midas/sdk/github","title":"code_security_update_configuration","content":"pub fn code_security_update_configuration(\n  token: String,\n  org: String,\n  configuration_id: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.code_security_update_configuration\nmidas/sdk/github code_security_update_configuration","url":"midas/sdk/github.html#code_security_update_configuration"},{"doc":"midas/sdk/github","title":"codes_of_conduct_get_all_codes_of_conduct","content":"pub fn codes_of_conduct_get_all_codes_of_conduct(\n  token: String,\n) -&gt; Effect(List(CodeOfConduct))\n\nSynonyms:\nmidas/sdk/github.codes_of_conduct_get_all_codes_of_conduct\nmidas/sdk/github codes_of_conduct_get_all_codes_of_conduct","url":"midas/sdk/github.html#codes_of_conduct_get_all_codes_of_conduct"},{"doc":"midas/sdk/github","title":"codes_of_conduct_get_conduct_code","content":"pub fn codes_of_conduct_get_conduct_code(\n  token: String,\n  key: String,\n) -&gt; Effect(CodeOfConduct)\n\nSynonyms:\nmidas/sdk/github.codes_of_conduct_get_conduct_code\nmidas/sdk/github codes_of_conduct_get_conduct_code","url":"midas/sdk/github.html#codes_of_conduct_get_conduct_code"},{"doc":"midas/sdk/github","title":"codespaces_add_repository_for_secret_for_authenticated_user","content":"pub fn codespaces_add_repository_for_secret_for_authenticated_user(\n  token: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_add_repository_for_secret_for_authenticated_user\nmidas/sdk/github codespaces_add_repository_for_secret_for_authenticated_user","url":"midas/sdk/github.html#codespaces_add_repository_for_secret_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_add_selected_repo_to_org_secret","content":"pub fn codespaces_add_selected_repo_to_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_add_selected_repo_to_org_secret\nmidas/sdk/github codespaces_add_selected_repo_to_org_secret","url":"midas/sdk/github.html#codespaces_add_selected_repo_to_org_secret"},{"doc":"midas/sdk/github","title":"codespaces_check_permissions_for_devcontainer","content":"pub fn codespaces_check_permissions_for_devcontainer(\n  token: String,\n  owner: String,\n  repo: String,\n  ref ref: String,\n  devcontainer_path devcontainer_path: String,\n) -&gt; Effect(CodespacesPermissionsCheckForDevcontainer)\n\nSynonyms:\nmidas/sdk/github.codespaces_check_permissions_for_devcontainer\nmidas/sdk/github codespaces_check_permissions_for_devcontainer","url":"midas/sdk/github.html#codespaces_check_permissions_for_devcontainer"},{"doc":"midas/sdk/github","title":"codespaces_codespace_machines_for_authenticated_user","content":"pub fn codespaces_codespace_machines_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_codespace_machines_for_authenticated_user\nmidas/sdk/github codespaces_codespace_machines_for_authenticated_user","url":"midas/sdk/github.html#codespaces_codespace_machines_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_create_for_authenticated_user","content":"pub fn codespaces_create_for_authenticated_user(\n  token: String,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_create_for_authenticated_user\nmidas/sdk/github codespaces_create_for_authenticated_user","url":"midas/sdk/github.html#codespaces_create_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_create_or_update_org_secret","content":"pub fn codespaces_create_or_update_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_create_or_update_org_secret\nmidas/sdk/github codespaces_create_or_update_org_secret","url":"midas/sdk/github.html#codespaces_create_or_update_org_secret"},{"doc":"midas/sdk/github","title":"codespaces_create_or_update_repo_secret","content":"pub fn codespaces_create_or_update_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_create_or_update_repo_secret\nmidas/sdk/github codespaces_create_or_update_repo_secret","url":"midas/sdk/github.html#codespaces_create_or_update_repo_secret"},{"doc":"midas/sdk/github","title":"codespaces_create_or_update_secret_for_authenticated_user","content":"pub fn codespaces_create_or_update_secret_for_authenticated_user(\n  token: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_create_or_update_secret_for_authenticated_user\nmidas/sdk/github codespaces_create_or_update_secret_for_authenticated_user","url":"midas/sdk/github.html#codespaces_create_or_update_secret_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_create_with_pr_for_authenticated_user","content":"pub fn codespaces_create_with_pr_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_create_with_pr_for_authenticated_user\nmidas/sdk/github codespaces_create_with_pr_for_authenticated_user","url":"midas/sdk/github.html#codespaces_create_with_pr_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_create_with_repo_for_authenticated_user","content":"pub fn codespaces_create_with_repo_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_create_with_repo_for_authenticated_user\nmidas/sdk/github codespaces_create_with_repo_for_authenticated_user","url":"midas/sdk/github.html#codespaces_create_with_repo_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_delete_codespaces_access_users","content":"pub fn codespaces_delete_codespaces_access_users(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_delete_codespaces_access_users\nmidas/sdk/github codespaces_delete_codespaces_access_users","url":"midas/sdk/github.html#codespaces_delete_codespaces_access_users"},{"doc":"midas/sdk/github","title":"codespaces_delete_for_authenticated_user","content":"pub fn codespaces_delete_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_delete_for_authenticated_user\nmidas/sdk/github codespaces_delete_for_authenticated_user","url":"midas/sdk/github.html#codespaces_delete_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_delete_from_organization","content":"pub fn codespaces_delete_from_organization(\n  token: String,\n  org: String,\n  username: String,\n  codespace_name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_delete_from_organization\nmidas/sdk/github codespaces_delete_from_organization","url":"midas/sdk/github.html#codespaces_delete_from_organization"},{"doc":"midas/sdk/github","title":"codespaces_delete_org_secret","content":"pub fn codespaces_delete_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_delete_org_secret\nmidas/sdk/github codespaces_delete_org_secret","url":"midas/sdk/github.html#codespaces_delete_org_secret"},{"doc":"midas/sdk/github","title":"codespaces_delete_repo_secret","content":"pub fn codespaces_delete_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_delete_repo_secret\nmidas/sdk/github codespaces_delete_repo_secret","url":"midas/sdk/github.html#codespaces_delete_repo_secret"},{"doc":"midas/sdk/github","title":"codespaces_delete_secret_for_authenticated_user","content":"pub fn codespaces_delete_secret_for_authenticated_user(\n  token: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_delete_secret_for_authenticated_user\nmidas/sdk/github codespaces_delete_secret_for_authenticated_user","url":"midas/sdk/github.html#codespaces_delete_secret_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_export_for_authenticated_user","content":"pub fn codespaces_export_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n) -&gt; Effect(CodespaceExportDetails)\n\nSynonyms:\nmidas/sdk/github.codespaces_export_for_authenticated_user\nmidas/sdk/github codespaces_export_for_authenticated_user","url":"midas/sdk/github.html#codespaces_export_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_get_codespaces_for_user_in_org","content":"pub fn codespaces_get_codespaces_for_user_in_org(\n  token: String,\n  org: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_codespaces_for_user_in_org\nmidas/sdk/github codespaces_get_codespaces_for_user_in_org","url":"midas/sdk/github.html#codespaces_get_codespaces_for_user_in_org"},{"doc":"midas/sdk/github","title":"codespaces_get_export_details_for_authenticated_user","content":"pub fn codespaces_get_export_details_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n  export_id: String,\n) -&gt; Effect(CodespaceExportDetails)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_export_details_for_authenticated_user\nmidas/sdk/github codespaces_get_export_details_for_authenticated_user","url":"midas/sdk/github.html#codespaces_get_export_details_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_get_for_authenticated_user","content":"pub fn codespaces_get_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_for_authenticated_user\nmidas/sdk/github codespaces_get_for_authenticated_user","url":"midas/sdk/github.html#codespaces_get_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_get_org_public_key","content":"pub fn codespaces_get_org_public_key(\n  token: String,\n  org: String,\n) -&gt; Effect(CodespacesPublicKey)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_org_public_key\nmidas/sdk/github codespaces_get_org_public_key","url":"midas/sdk/github.html#codespaces_get_org_public_key"},{"doc":"midas/sdk/github","title":"codespaces_get_org_secret","content":"pub fn codespaces_get_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n) -&gt; Effect(CodespacesOrgSecret)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_org_secret\nmidas/sdk/github codespaces_get_org_secret","url":"midas/sdk/github.html#codespaces_get_org_secret"},{"doc":"midas/sdk/github","title":"codespaces_get_public_key_for_authenticated_user","content":"pub fn codespaces_get_public_key_for_authenticated_user(\n  token: String,\n) -&gt; Effect(CodespacesUserPublicKey)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_public_key_for_authenticated_user\nmidas/sdk/github codespaces_get_public_key_for_authenticated_user","url":"midas/sdk/github.html#codespaces_get_public_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_get_repo_public_key","content":"pub fn codespaces_get_repo_public_key(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(CodespacesPublicKey)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_repo_public_key\nmidas/sdk/github codespaces_get_repo_public_key","url":"midas/sdk/github.html#codespaces_get_repo_public_key"},{"doc":"midas/sdk/github","title":"codespaces_get_repo_secret","content":"pub fn codespaces_get_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Effect(RepoCodespacesSecret)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_repo_secret\nmidas/sdk/github codespaces_get_repo_secret","url":"midas/sdk/github.html#codespaces_get_repo_secret"},{"doc":"midas/sdk/github","title":"codespaces_get_secret_for_authenticated_user","content":"pub fn codespaces_get_secret_for_authenticated_user(\n  token: String,\n  secret_name: String,\n) -&gt; Effect(CodespacesSecret)\n\nSynonyms:\nmidas/sdk/github.codespaces_get_secret_for_authenticated_user\nmidas/sdk/github codespaces_get_secret_for_authenticated_user","url":"midas/sdk/github.html#codespaces_get_secret_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_list_devcontainers_in_repository_for_authenticated_user","content":"pub fn codespaces_list_devcontainers_in_repository_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_devcontainers_in_repository_for_authenticated_user\nmidas/sdk/github codespaces_list_devcontainers_in_repository_for_authenticated_user","url":"midas/sdk/github.html#codespaces_list_devcontainers_in_repository_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_list_for_authenticated_user","content":"pub fn codespaces_list_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  repository_id repository_id: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_for_authenticated_user\nmidas/sdk/github codespaces_list_for_authenticated_user","url":"midas/sdk/github.html#codespaces_list_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_list_in_organization","content":"pub fn codespaces_list_in_organization(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_in_organization\nmidas/sdk/github codespaces_list_in_organization","url":"midas/sdk/github.html#codespaces_list_in_organization"},{"doc":"midas/sdk/github","title":"codespaces_list_in_repository_for_authenticated_user","content":"pub fn codespaces_list_in_repository_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_in_repository_for_authenticated_user\nmidas/sdk/github codespaces_list_in_repository_for_authenticated_user","url":"midas/sdk/github.html#codespaces_list_in_repository_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_list_org_secrets","content":"pub fn codespaces_list_org_secrets(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_org_secrets\nmidas/sdk/github codespaces_list_org_secrets","url":"midas/sdk/github.html#codespaces_list_org_secrets"},{"doc":"midas/sdk/github","title":"codespaces_list_repo_secrets","content":"pub fn codespaces_list_repo_secrets(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_repo_secrets\nmidas/sdk/github codespaces_list_repo_secrets","url":"midas/sdk/github.html#codespaces_list_repo_secrets"},{"doc":"midas/sdk/github","title":"codespaces_list_repositories_for_secret_for_authenticated_user","content":"pub fn codespaces_list_repositories_for_secret_for_authenticated_user(\n  token: String,\n  secret_name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_repositories_for_secret_for_authenticated_user\nmidas/sdk/github codespaces_list_repositories_for_secret_for_authenticated_user","url":"midas/sdk/github.html#codespaces_list_repositories_for_secret_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_list_secrets_for_authenticated_user","content":"pub fn codespaces_list_secrets_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_secrets_for_authenticated_user\nmidas/sdk/github codespaces_list_secrets_for_authenticated_user","url":"midas/sdk/github.html#codespaces_list_secrets_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_list_selected_repos_for_org_secret","content":"pub fn codespaces_list_selected_repos_for_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_list_selected_repos_for_org_secret\nmidas/sdk/github codespaces_list_selected_repos_for_org_secret","url":"midas/sdk/github.html#codespaces_list_selected_repos_for_org_secret"},{"doc":"midas/sdk/github","title":"codespaces_pre_flight_with_repo_for_authenticated_user","content":"pub fn codespaces_pre_flight_with_repo_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n  client_ip client_ip: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_pre_flight_with_repo_for_authenticated_user\nmidas/sdk/github codespaces_pre_flight_with_repo_for_authenticated_user","url":"midas/sdk/github.html#codespaces_pre_flight_with_repo_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_publish_for_authenticated_user","content":"pub fn codespaces_publish_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n  data: BitArray,\n) -&gt; Effect(CodespaceWithFullRepository)\n\nSynonyms:\nmidas/sdk/github.codespaces_publish_for_authenticated_user\nmidas/sdk/github codespaces_publish_for_authenticated_user","url":"midas/sdk/github.html#codespaces_publish_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_remove_repository_for_secret_for_authenticated_user","content":"pub fn codespaces_remove_repository_for_secret_for_authenticated_user(\n  token: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_remove_repository_for_secret_for_authenticated_user\nmidas/sdk/github codespaces_remove_repository_for_secret_for_authenticated_user","url":"midas/sdk/github.html#codespaces_remove_repository_for_secret_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_remove_selected_repo_from_org_secret","content":"pub fn codespaces_remove_selected_repo_from_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_remove_selected_repo_from_org_secret\nmidas/sdk/github codespaces_remove_selected_repo_from_org_secret","url":"midas/sdk/github.html#codespaces_remove_selected_repo_from_org_secret"},{"doc":"midas/sdk/github","title":"codespaces_repo_machines_for_authenticated_user","content":"pub fn codespaces_repo_machines_for_authenticated_user(\n  token: String,\n  owner: String,\n  repo: String,\n  location location: Option(String),\n  client_ip client_ip: Option(String),\n  ref ref: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.codespaces_repo_machines_for_authenticated_user\nmidas/sdk/github codespaces_repo_machines_for_authenticated_user","url":"midas/sdk/github.html#codespaces_repo_machines_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_set_codespaces_access","content":"pub fn codespaces_set_codespaces_access(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_set_codespaces_access\nmidas/sdk/github codespaces_set_codespaces_access","url":"midas/sdk/github.html#codespaces_set_codespaces_access"},{"doc":"midas/sdk/github","title":"codespaces_set_codespaces_access_users","content":"pub fn codespaces_set_codespaces_access_users(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_set_codespaces_access_users\nmidas/sdk/github codespaces_set_codespaces_access_users","url":"midas/sdk/github.html#codespaces_set_codespaces_access_users"},{"doc":"midas/sdk/github","title":"codespaces_set_repositories_for_secret_for_authenticated_user","content":"pub fn codespaces_set_repositories_for_secret_for_authenticated_user(\n  token: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_set_repositories_for_secret_for_authenticated_user\nmidas/sdk/github codespaces_set_repositories_for_secret_for_authenticated_user","url":"midas/sdk/github.html#codespaces_set_repositories_for_secret_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_set_selected_repos_for_org_secret","content":"pub fn codespaces_set_selected_repos_for_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.codespaces_set_selected_repos_for_org_secret\nmidas/sdk/github codespaces_set_selected_repos_for_org_secret","url":"midas/sdk/github.html#codespaces_set_selected_repos_for_org_secret"},{"doc":"midas/sdk/github","title":"codespaces_start_for_authenticated_user","content":"pub fn codespaces_start_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_start_for_authenticated_user\nmidas/sdk/github codespaces_start_for_authenticated_user","url":"midas/sdk/github.html#codespaces_start_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_stop_for_authenticated_user","content":"pub fn codespaces_stop_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_stop_for_authenticated_user\nmidas/sdk/github codespaces_stop_for_authenticated_user","url":"midas/sdk/github.html#codespaces_stop_for_authenticated_user"},{"doc":"midas/sdk/github","title":"codespaces_stop_in_organization","content":"pub fn codespaces_stop_in_organization(\n  token: String,\n  org: String,\n  username: String,\n  codespace_name: String,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_stop_in_organization\nmidas/sdk/github codespaces_stop_in_organization","url":"midas/sdk/github.html#codespaces_stop_in_organization"},{"doc":"midas/sdk/github","title":"codespaces_update_for_authenticated_user","content":"pub fn codespaces_update_for_authenticated_user(\n  token: String,\n  codespace_name: String,\n  data: BitArray,\n) -&gt; Effect(Codespace)\n\nSynonyms:\nmidas/sdk/github.codespaces_update_for_authenticated_user\nmidas/sdk/github codespaces_update_for_authenticated_user","url":"midas/sdk/github.html#codespaces_update_for_authenticated_user"},{"doc":"midas/sdk/github","title":"copilot_add_copilot_seats_for_teams","content":"pub fn copilot_add_copilot_seats_for_teams(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.copilot_add_copilot_seats_for_teams\nmidas/sdk/github copilot_add_copilot_seats_for_teams","url":"midas/sdk/github.html#copilot_add_copilot_seats_for_teams"},{"doc":"midas/sdk/github","title":"copilot_add_copilot_seats_for_users","content":"pub fn copilot_add_copilot_seats_for_users(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.copilot_add_copilot_seats_for_users\nmidas/sdk/github copilot_add_copilot_seats_for_users","url":"midas/sdk/github.html#copilot_add_copilot_seats_for_users"},{"doc":"midas/sdk/github","title":"copilot_cancel_copilot_seat_assignment_for_teams","content":"pub fn copilot_cancel_copilot_seat_assignment_for_teams(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.copilot_cancel_copilot_seat_assignment_for_teams\nmidas/sdk/github copilot_cancel_copilot_seat_assignment_for_teams","url":"midas/sdk/github.html#copilot_cancel_copilot_seat_assignment_for_teams"},{"doc":"midas/sdk/github","title":"copilot_cancel_copilot_seat_assignment_for_users","content":"pub fn copilot_cancel_copilot_seat_assignment_for_users(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.copilot_cancel_copilot_seat_assignment_for_users\nmidas/sdk/github copilot_cancel_copilot_seat_assignment_for_users","url":"midas/sdk/github.html#copilot_cancel_copilot_seat_assignment_for_users"},{"doc":"midas/sdk/github","title":"copilot_copilot_metrics_for_enterprise","content":"pub fn copilot_copilot_metrics_for_enterprise(\n  token: String,\n  enterprise: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetricsDay))\n\nSynonyms:\nmidas/sdk/github.copilot_copilot_metrics_for_enterprise\nmidas/sdk/github copilot_copilot_metrics_for_enterprise","url":"midas/sdk/github.html#copilot_copilot_metrics_for_enterprise"},{"doc":"midas/sdk/github","title":"copilot_copilot_metrics_for_enterprise_team","content":"pub fn copilot_copilot_metrics_for_enterprise_team(\n  token: String,\n  enterprise: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetricsDay))\n\nSynonyms:\nmidas/sdk/github.copilot_copilot_metrics_for_enterprise_team\nmidas/sdk/github copilot_copilot_metrics_for_enterprise_team","url":"midas/sdk/github.html#copilot_copilot_metrics_for_enterprise_team"},{"doc":"midas/sdk/github","title":"copilot_copilot_metrics_for_organization","content":"pub fn copilot_copilot_metrics_for_organization(\n  token: String,\n  org: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetricsDay))\n\nSynonyms:\nmidas/sdk/github.copilot_copilot_metrics_for_organization\nmidas/sdk/github copilot_copilot_metrics_for_organization","url":"midas/sdk/github.html#copilot_copilot_metrics_for_organization"},{"doc":"midas/sdk/github","title":"copilot_copilot_metrics_for_team","content":"pub fn copilot_copilot_metrics_for_team(\n  token: String,\n  org: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetricsDay))\n\nSynonyms:\nmidas/sdk/github.copilot_copilot_metrics_for_team\nmidas/sdk/github copilot_copilot_metrics_for_team","url":"midas/sdk/github.html#copilot_copilot_metrics_for_team"},{"doc":"midas/sdk/github","title":"copilot_get_copilot_organization_details","content":"pub fn copilot_get_copilot_organization_details(\n  token: String,\n  org: String,\n) -&gt; Effect(CopilotOrganizationDetails)\n\nSynonyms:\nmidas/sdk/github.copilot_get_copilot_organization_details\nmidas/sdk/github copilot_get_copilot_organization_details","url":"midas/sdk/github.html#copilot_get_copilot_organization_details"},{"doc":"midas/sdk/github","title":"copilot_get_copilot_seat_details_for_user","content":"pub fn copilot_get_copilot_seat_details_for_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(CopilotSeatDetails)\n\nSynonyms:\nmidas/sdk/github.copilot_get_copilot_seat_details_for_user\nmidas/sdk/github copilot_get_copilot_seat_details_for_user","url":"midas/sdk/github.html#copilot_get_copilot_seat_details_for_user"},{"doc":"midas/sdk/github","title":"copilot_list_copilot_seats","content":"pub fn copilot_list_copilot_seats(\n  token: String,\n  org: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.copilot_list_copilot_seats\nmidas/sdk/github copilot_list_copilot_seats","url":"midas/sdk/github.html#copilot_list_copilot_seats"},{"doc":"midas/sdk/github","title":"copilot_list_copilot_seats_for_enterprise","content":"pub fn copilot_list_copilot_seats_for_enterprise(\n  token: String,\n  enterprise: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.copilot_list_copilot_seats_for_enterprise\nmidas/sdk/github copilot_list_copilot_seats_for_enterprise","url":"midas/sdk/github.html#copilot_list_copilot_seats_for_enterprise"},{"doc":"midas/sdk/github","title":"copilot_usage_metrics_for_enterprise","content":"pub fn copilot_usage_metrics_for_enterprise(\n  token: String,\n  enterprise: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetrics))\n\nSynonyms:\nmidas/sdk/github.copilot_usage_metrics_for_enterprise\nmidas/sdk/github copilot_usage_metrics_for_enterprise","url":"midas/sdk/github.html#copilot_usage_metrics_for_enterprise"},{"doc":"midas/sdk/github","title":"copilot_usage_metrics_for_enterprise_team","content":"pub fn copilot_usage_metrics_for_enterprise_team(\n  token: String,\n  enterprise: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetrics))\n\nSynonyms:\nmidas/sdk/github.copilot_usage_metrics_for_enterprise_team\nmidas/sdk/github copilot_usage_metrics_for_enterprise_team","url":"midas/sdk/github.html#copilot_usage_metrics_for_enterprise_team"},{"doc":"midas/sdk/github","title":"copilot_usage_metrics_for_org","content":"pub fn copilot_usage_metrics_for_org(\n  token: String,\n  org: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetrics))\n\nSynonyms:\nmidas/sdk/github.copilot_usage_metrics_for_org\nmidas/sdk/github copilot_usage_metrics_for_org","url":"midas/sdk/github.html#copilot_usage_metrics_for_org"},{"doc":"midas/sdk/github","title":"copilot_usage_metrics_for_team","content":"pub fn copilot_usage_metrics_for_team(\n  token: String,\n  org: String,\n  team_slug: String,\n  since since: Option(String),\n  until until: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(CopilotUsageMetrics))\n\nSynonyms:\nmidas/sdk/github.copilot_usage_metrics_for_team\nmidas/sdk/github copilot_usage_metrics_for_team","url":"midas/sdk/github.html#copilot_usage_metrics_for_team"},{"doc":"midas/sdk/github","title":"dependabot_add_selected_repo_to_org_secret","content":"pub fn dependabot_add_selected_repo_to_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.dependabot_add_selected_repo_to_org_secret\nmidas/sdk/github dependabot_add_selected_repo_to_org_secret","url":"midas/sdk/github.html#dependabot_add_selected_repo_to_org_secret"},{"doc":"midas/sdk/github","title":"dependabot_create_or_update_org_secret","content":"pub fn dependabot_create_or_update_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.dependabot_create_or_update_org_secret\nmidas/sdk/github dependabot_create_or_update_org_secret","url":"midas/sdk/github.html#dependabot_create_or_update_org_secret"},{"doc":"midas/sdk/github","title":"dependabot_create_or_update_repo_secret","content":"pub fn dependabot_create_or_update_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.dependabot_create_or_update_repo_secret\nmidas/sdk/github dependabot_create_or_update_repo_secret","url":"midas/sdk/github.html#dependabot_create_or_update_repo_secret"},{"doc":"midas/sdk/github","title":"dependabot_delete_org_secret","content":"pub fn dependabot_delete_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.dependabot_delete_org_secret\nmidas/sdk/github dependabot_delete_org_secret","url":"midas/sdk/github.html#dependabot_delete_org_secret"},{"doc":"midas/sdk/github","title":"dependabot_delete_repo_secret","content":"pub fn dependabot_delete_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.dependabot_delete_repo_secret\nmidas/sdk/github dependabot_delete_repo_secret","url":"midas/sdk/github.html#dependabot_delete_repo_secret"},{"doc":"midas/sdk/github","title":"dependabot_get_alert","content":"pub fn dependabot_get_alert(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n) -&gt; Effect(DependabotAlert)\n\nSynonyms:\nmidas/sdk/github.dependabot_get_alert\nmidas/sdk/github dependabot_get_alert","url":"midas/sdk/github.html#dependabot_get_alert"},{"doc":"midas/sdk/github","title":"dependabot_get_org_public_key","content":"pub fn dependabot_get_org_public_key(\n  token: String,\n  org: String,\n) -&gt; Effect(DependabotPublicKey)\n\nSynonyms:\nmidas/sdk/github.dependabot_get_org_public_key\nmidas/sdk/github dependabot_get_org_public_key","url":"midas/sdk/github.html#dependabot_get_org_public_key"},{"doc":"midas/sdk/github","title":"dependabot_get_org_secret","content":"pub fn dependabot_get_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n) -&gt; Effect(OrganizationDependabotSecret)\n\nSynonyms:\nmidas/sdk/github.dependabot_get_org_secret\nmidas/sdk/github dependabot_get_org_secret","url":"midas/sdk/github.html#dependabot_get_org_secret"},{"doc":"midas/sdk/github","title":"dependabot_get_repo_public_key","content":"pub fn dependabot_get_repo_public_key(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(DependabotPublicKey)\n\nSynonyms:\nmidas/sdk/github.dependabot_get_repo_public_key\nmidas/sdk/github dependabot_get_repo_public_key","url":"midas/sdk/github.html#dependabot_get_repo_public_key"},{"doc":"midas/sdk/github","title":"dependabot_get_repo_secret","content":"pub fn dependabot_get_repo_secret(\n  token: String,\n  owner: String,\n  repo: String,\n  secret_name: String,\n) -&gt; Effect(DependabotSecret)\n\nSynonyms:\nmidas/sdk/github.dependabot_get_repo_secret\nmidas/sdk/github dependabot_get_repo_secret","url":"midas/sdk/github.html#dependabot_get_repo_secret"},{"doc":"midas/sdk/github","title":"dependabot_list_alerts_for_enterprise","content":"pub fn dependabot_list_alerts_for_enterprise(\n  token: String,\n  enterprise: String,\n  state state: Option(String),\n  severity severity: Option(String),\n  ecosystem ecosystem: Option(String),\n  package package: Option(String),\n  scope scope: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  first first: Option(Int),\n  last last: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(DependabotAlertWithRepository))\n\nSynonyms:\nmidas/sdk/github.dependabot_list_alerts_for_enterprise\nmidas/sdk/github dependabot_list_alerts_for_enterprise","url":"midas/sdk/github.html#dependabot_list_alerts_for_enterprise"},{"doc":"midas/sdk/github","title":"dependabot_list_alerts_for_org","content":"pub fn dependabot_list_alerts_for_org(\n  token: String,\n  org: String,\n  state state: Option(String),\n  severity severity: Option(String),\n  ecosystem ecosystem: Option(String),\n  package package: Option(String),\n  scope scope: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  first first: Option(Int),\n  last last: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(DependabotAlertWithRepository))\n\nSynonyms:\nmidas/sdk/github.dependabot_list_alerts_for_org\nmidas/sdk/github dependabot_list_alerts_for_org","url":"midas/sdk/github.html#dependabot_list_alerts_for_org"},{"doc":"midas/sdk/github","title":"dependabot_list_alerts_for_repo","content":"pub fn dependabot_list_alerts_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  severity severity: Option(String),\n  ecosystem ecosystem: Option(String),\n  package package: Option(String),\n  manifest manifest: Option(String),\n  scope scope: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  first first: Option(Int),\n  last last: Option(Int),\n) -&gt; Effect(List(DependabotAlert))\n\nSynonyms:\nmidas/sdk/github.dependabot_list_alerts_for_repo\nmidas/sdk/github dependabot_list_alerts_for_repo","url":"midas/sdk/github.html#dependabot_list_alerts_for_repo"},{"doc":"midas/sdk/github","title":"dependabot_list_org_secrets","content":"pub fn dependabot_list_org_secrets(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.dependabot_list_org_secrets\nmidas/sdk/github dependabot_list_org_secrets","url":"midas/sdk/github.html#dependabot_list_org_secrets"},{"doc":"midas/sdk/github","title":"dependabot_list_repo_secrets","content":"pub fn dependabot_list_repo_secrets(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.dependabot_list_repo_secrets\nmidas/sdk/github dependabot_list_repo_secrets","url":"midas/sdk/github.html#dependabot_list_repo_secrets"},{"doc":"midas/sdk/github","title":"dependabot_list_selected_repos_for_org_secret","content":"pub fn dependabot_list_selected_repos_for_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.dependabot_list_selected_repos_for_org_secret\nmidas/sdk/github dependabot_list_selected_repos_for_org_secret","url":"midas/sdk/github.html#dependabot_list_selected_repos_for_org_secret"},{"doc":"midas/sdk/github","title":"dependabot_remove_selected_repo_from_org_secret","content":"pub fn dependabot_remove_selected_repo_from_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  repository_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.dependabot_remove_selected_repo_from_org_secret\nmidas/sdk/github dependabot_remove_selected_repo_from_org_secret","url":"midas/sdk/github.html#dependabot_remove_selected_repo_from_org_secret"},{"doc":"midas/sdk/github","title":"dependabot_set_selected_repos_for_org_secret","content":"pub fn dependabot_set_selected_repos_for_org_secret(\n  token: String,\n  org: String,\n  secret_name: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.dependabot_set_selected_repos_for_org_secret\nmidas/sdk/github dependabot_set_selected_repos_for_org_secret","url":"midas/sdk/github.html#dependabot_set_selected_repos_for_org_secret"},{"doc":"midas/sdk/github","title":"dependabot_update_alert","content":"pub fn dependabot_update_alert(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  data: BitArray,\n) -&gt; Effect(DependabotAlert)\n\nSynonyms:\nmidas/sdk/github.dependabot_update_alert\nmidas/sdk/github dependabot_update_alert","url":"midas/sdk/github.html#dependabot_update_alert"},{"doc":"midas/sdk/github","title":"dependency_graph_create_repository_snapshot","content":"pub fn dependency_graph_create_repository_snapshot(\n  token: String,\n  owner: String,\n  repo: String,\n  snapshot: Snapshot,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.dependency_graph_create_repository_snapshot\nmidas/sdk/github dependency_graph_create_repository_snapshot","url":"midas/sdk/github.html#dependency_graph_create_repository_snapshot"},{"doc":"midas/sdk/github","title":"dependency_graph_diff_range","content":"pub fn dependency_graph_diff_range(\n  token: String,\n  owner: String,\n  repo: String,\n  basehead: String,\n  name name: Option(String),\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.dependency_graph_diff_range\nmidas/sdk/github dependency_graph_diff_range","url":"midas/sdk/github.html#dependency_graph_diff_range"},{"doc":"midas/sdk/github","title":"dependency_graph_export_sbom","content":"pub fn dependency_graph_export_sbom(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(DependencyGraphSpdxSbom)\n\nSynonyms:\nmidas/sdk/github.dependency_graph_export_sbom\nmidas/sdk/github dependency_graph_export_sbom","url":"midas/sdk/github.html#dependency_graph_export_sbom"},{"doc":"midas/sdk/github","title":"do_authenticate","content":"pub fn do_authenticate(app: App, state: String) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/github.do_authenticate\nmidas/sdk/github do_authenticate","url":"midas/sdk/github.html#do_authenticate"},{"doc":"midas/sdk/github","title":"emojis_get","content":"pub fn emojis_get(token: String) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.emojis_get\nmidas/sdk/github emojis_get","url":"midas/sdk/github.html#emojis_get"},{"doc":"midas/sdk/github","title":"gists_check_is_starred","content":"pub fn gists_check_is_starred(\n  token: String,\n  gist_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.gists_check_is_starred\nmidas/sdk/github gists_check_is_starred","url":"midas/sdk/github.html#gists_check_is_starred"},{"doc":"midas/sdk/github","title":"gists_create","content":"pub fn gists_create(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(GistSimple)\n\nSynonyms:\nmidas/sdk/github.gists_create\nmidas/sdk/github gists_create","url":"midas/sdk/github.html#gists_create"},{"doc":"midas/sdk/github","title":"gists_create_comment","content":"pub fn gists_create_comment(\n  token: String,\n  gist_id: String,\n  data: BitArray,\n) -&gt; Effect(GistComment)\n\nSynonyms:\nmidas/sdk/github.gists_create_comment\nmidas/sdk/github gists_create_comment","url":"midas/sdk/github.html#gists_create_comment"},{"doc":"midas/sdk/github","title":"gists_delete","content":"pub fn gists_delete(\n  token: String,\n  gist_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.gists_delete\nmidas/sdk/github gists_delete","url":"midas/sdk/github.html#gists_delete"},{"doc":"midas/sdk/github","title":"gists_delete_comment","content":"pub fn gists_delete_comment(\n  token: String,\n  gist_id: String,\n  comment_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.gists_delete_comment\nmidas/sdk/github gists_delete_comment","url":"midas/sdk/github.html#gists_delete_comment"},{"doc":"midas/sdk/github","title":"gists_fork","content":"pub fn gists_fork(\n  token: String,\n  gist_id: String,\n) -&gt; Effect(BaseGist)\n\nSynonyms:\nmidas/sdk/github.gists_fork\nmidas/sdk/github gists_fork","url":"midas/sdk/github.html#gists_fork"},{"doc":"midas/sdk/github","title":"gists_get","content":"pub fn gists_get(\n  token: String,\n  gist_id: String,\n) -&gt; Effect(GistSimple)\n\nSynonyms:\nmidas/sdk/github.gists_get\nmidas/sdk/github gists_get","url":"midas/sdk/github.html#gists_get"},{"doc":"midas/sdk/github","title":"gists_get_comment","content":"pub fn gists_get_comment(\n  token: String,\n  gist_id: String,\n  comment_id: Int,\n) -&gt; Effect(GistComment)\n\nSynonyms:\nmidas/sdk/github.gists_get_comment\nmidas/sdk/github gists_get_comment","url":"midas/sdk/github.html#gists_get_comment"},{"doc":"midas/sdk/github","title":"gists_get_revision","content":"pub fn gists_get_revision(\n  token: String,\n  gist_id: String,\n  sha: String,\n) -&gt; Effect(GistSimple)\n\nSynonyms:\nmidas/sdk/github.gists_get_revision\nmidas/sdk/github gists_get_revision","url":"midas/sdk/github.html#gists_get_revision"},{"doc":"midas/sdk/github","title":"gists_list","content":"pub fn gists_list(\n  token: String,\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(BaseGist))\n\nSynonyms:\nmidas/sdk/github.gists_list\nmidas/sdk/github gists_list","url":"midas/sdk/github.html#gists_list"},{"doc":"midas/sdk/github","title":"gists_list_comments","content":"pub fn gists_list_comments(\n  token: String,\n  gist_id: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(GistComment))\n\nSynonyms:\nmidas/sdk/github.gists_list_comments\nmidas/sdk/github gists_list_comments","url":"midas/sdk/github.html#gists_list_comments"},{"doc":"midas/sdk/github","title":"gists_list_commits","content":"pub fn gists_list_commits(\n  token: String,\n  gist_id: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(GistCommit))\n\nSynonyms:\nmidas/sdk/github.gists_list_commits\nmidas/sdk/github gists_list_commits","url":"midas/sdk/github.html#gists_list_commits"},{"doc":"midas/sdk/github","title":"gists_list_for_user","content":"pub fn gists_list_for_user(\n  token: String,\n  username: String,\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(BaseGist))\n\nSynonyms:\nmidas/sdk/github.gists_list_for_user\nmidas/sdk/github gists_list_for_user","url":"midas/sdk/github.html#gists_list_for_user"},{"doc":"midas/sdk/github","title":"gists_list_forks","content":"pub fn gists_list_forks(\n  token: String,\n  gist_id: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(GistSimple))\n\nSynonyms:\nmidas/sdk/github.gists_list_forks\nmidas/sdk/github gists_list_forks","url":"midas/sdk/github.html#gists_list_forks"},{"doc":"midas/sdk/github","title":"gists_list_public","content":"pub fn gists_list_public(\n  token: String,\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(BaseGist))\n\nSynonyms:\nmidas/sdk/github.gists_list_public\nmidas/sdk/github gists_list_public","url":"midas/sdk/github.html#gists_list_public"},{"doc":"midas/sdk/github","title":"gists_list_starred","content":"pub fn gists_list_starred(\n  token: String,\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(BaseGist))\n\nSynonyms:\nmidas/sdk/github.gists_list_starred\nmidas/sdk/github gists_list_starred","url":"midas/sdk/github.html#gists_list_starred"},{"doc":"midas/sdk/github","title":"gists_star","content":"pub fn gists_star(token: String, gist_id: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.gists_star\nmidas/sdk/github gists_star","url":"midas/sdk/github.html#gists_star"},{"doc":"midas/sdk/github","title":"gists_unstar","content":"pub fn gists_unstar(\n  token: String,\n  gist_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.gists_unstar\nmidas/sdk/github gists_unstar","url":"midas/sdk/github.html#gists_unstar"},{"doc":"midas/sdk/github","title":"gists_update","content":"pub fn gists_update(\n  token: String,\n  gist_id: String,\n  data: BitArray,\n) -&gt; Effect(GistSimple)\n\nSynonyms:\nmidas/sdk/github.gists_update\nmidas/sdk/github gists_update","url":"midas/sdk/github.html#gists_update"},{"doc":"midas/sdk/github","title":"gists_update_comment","content":"pub fn gists_update_comment(\n  token: String,\n  gist_id: String,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(GistComment)\n\nSynonyms:\nmidas/sdk/github.gists_update_comment\nmidas/sdk/github gists_update_comment","url":"midas/sdk/github.html#gists_update_comment"},{"doc":"midas/sdk/github","title":"git_create_blob","content":"pub fn git_create_blob(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(ShortBlob)\n\nSynonyms:\nmidas/sdk/github.git_create_blob\nmidas/sdk/github git_create_blob","url":"midas/sdk/github.html#git_create_blob"},{"doc":"midas/sdk/github","title":"git_create_commit","content":"pub fn git_create_commit(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(GitCommit)\n\nSynonyms:\nmidas/sdk/github.git_create_commit\nmidas/sdk/github git_create_commit","url":"midas/sdk/github.html#git_create_commit"},{"doc":"midas/sdk/github","title":"git_create_ref","content":"pub fn git_create_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(GitRef)\n\nSynonyms:\nmidas/sdk/github.git_create_ref\nmidas/sdk/github git_create_ref","url":"midas/sdk/github.html#git_create_ref"},{"doc":"midas/sdk/github","title":"git_create_tag","content":"pub fn git_create_tag(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(GitTag)\n\nSynonyms:\nmidas/sdk/github.git_create_tag\nmidas/sdk/github git_create_tag","url":"midas/sdk/github.html#git_create_tag"},{"doc":"midas/sdk/github","title":"git_create_tree","content":"pub fn git_create_tree(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(GitTree)\n\nSynonyms:\nmidas/sdk/github.git_create_tree\nmidas/sdk/github git_create_tree","url":"midas/sdk/github.html#git_create_tree"},{"doc":"midas/sdk/github","title":"git_delete_ref","content":"pub fn git_delete_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.git_delete_ref\nmidas/sdk/github git_delete_ref","url":"midas/sdk/github.html#git_delete_ref"},{"doc":"midas/sdk/github","title":"git_get_blob","content":"pub fn git_get_blob(\n  token: String,\n  owner: String,\n  repo: String,\n  file_sha: String,\n) -&gt; Effect(Blob)\n\nSynonyms:\nmidas/sdk/github.git_get_blob\nmidas/sdk/github git_get_blob","url":"midas/sdk/github.html#git_get_blob"},{"doc":"midas/sdk/github","title":"git_get_commit","content":"pub fn git_get_commit(\n  token: String,\n  owner: String,\n  repo: String,\n  commit_sha: String,\n) -&gt; Effect(GitCommit)\n\nSynonyms:\nmidas/sdk/github.git_get_commit\nmidas/sdk/github git_get_commit","url":"midas/sdk/github.html#git_get_commit"},{"doc":"midas/sdk/github","title":"git_get_ref","content":"pub fn git_get_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Effect(GitRef)\n\nSynonyms:\nmidas/sdk/github.git_get_ref\nmidas/sdk/github git_get_ref","url":"midas/sdk/github.html#git_get_ref"},{"doc":"midas/sdk/github","title":"git_get_tag","content":"pub fn git_get_tag(\n  token: String,\n  owner: String,\n  repo: String,\n  tag_sha: String,\n) -&gt; Effect(GitTag)\n\nSynonyms:\nmidas/sdk/github.git_get_tag\nmidas/sdk/github git_get_tag","url":"midas/sdk/github.html#git_get_tag"},{"doc":"midas/sdk/github","title":"git_get_tree","content":"pub fn git_get_tree(\n  token: String,\n  owner: String,\n  repo: String,\n  tree_sha: String,\n  recursive recursive: Option(String),\n) -&gt; Effect(GitTree)\n\nSynonyms:\nmidas/sdk/github.git_get_tree\nmidas/sdk/github git_get_tree","url":"midas/sdk/github.html#git_get_tree"},{"doc":"midas/sdk/github","title":"git_list_matching_refs","content":"pub fn git_list_matching_refs(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Effect(List(GitRef))\n\nSynonyms:\nmidas/sdk/github.git_list_matching_refs\nmidas/sdk/github git_list_matching_refs","url":"midas/sdk/github.html#git_list_matching_refs"},{"doc":"midas/sdk/github","title":"git_update_ref","content":"pub fn git_update_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n  data: BitArray,\n) -&gt; Effect(GitRef)\n\nSynonyms:\nmidas/sdk/github.git_update_ref\nmidas/sdk/github git_update_ref","url":"midas/sdk/github.html#git_update_ref"},{"doc":"midas/sdk/github","title":"gitignore_get_all_templates","content":"pub fn gitignore_get_all_templates(token: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.gitignore_get_all_templates\nmidas/sdk/github gitignore_get_all_templates","url":"midas/sdk/github.html#gitignore_get_all_templates"},{"doc":"midas/sdk/github","title":"gitignore_get_template","content":"pub fn gitignore_get_template(\n  token: String,\n  name: String,\n) -&gt; Effect(GitignoreTemplate)\n\nSynonyms:\nmidas/sdk/github.gitignore_get_template\nmidas/sdk/github gitignore_get_template","url":"midas/sdk/github.html#gitignore_get_template"},{"doc":"midas/sdk/github","title":"interactions_get_restrictions_for_authenticated_user","content":"pub fn interactions_get_restrictions_for_authenticated_user(\n  token: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.interactions_get_restrictions_for_authenticated_user\nmidas/sdk/github interactions_get_restrictions_for_authenticated_user","url":"midas/sdk/github.html#interactions_get_restrictions_for_authenticated_user"},{"doc":"midas/sdk/github","title":"interactions_get_restrictions_for_org","content":"pub fn interactions_get_restrictions_for_org(\n  token: String,\n  org: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.interactions_get_restrictions_for_org\nmidas/sdk/github interactions_get_restrictions_for_org","url":"midas/sdk/github.html#interactions_get_restrictions_for_org"},{"doc":"midas/sdk/github","title":"interactions_get_restrictions_for_repo","content":"pub fn interactions_get_restrictions_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.interactions_get_restrictions_for_repo\nmidas/sdk/github interactions_get_restrictions_for_repo","url":"midas/sdk/github.html#interactions_get_restrictions_for_repo"},{"doc":"midas/sdk/github","title":"interactions_remove_restrictions_for_authenticated_user","content":"pub fn interactions_remove_restrictions_for_authenticated_user(\n  token: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.interactions_remove_restrictions_for_authenticated_user\nmidas/sdk/github interactions_remove_restrictions_for_authenticated_user","url":"midas/sdk/github.html#interactions_remove_restrictions_for_authenticated_user"},{"doc":"midas/sdk/github","title":"interactions_remove_restrictions_for_org","content":"pub fn interactions_remove_restrictions_for_org(\n  token: String,\n  org: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.interactions_remove_restrictions_for_org\nmidas/sdk/github interactions_remove_restrictions_for_org","url":"midas/sdk/github.html#interactions_remove_restrictions_for_org"},{"doc":"midas/sdk/github","title":"interactions_remove_restrictions_for_repo","content":"pub fn interactions_remove_restrictions_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.interactions_remove_restrictions_for_repo\nmidas/sdk/github interactions_remove_restrictions_for_repo","url":"midas/sdk/github.html#interactions_remove_restrictions_for_repo"},{"doc":"midas/sdk/github","title":"interactions_set_restrictions_for_authenticated_user","content":"pub fn interactions_set_restrictions_for_authenticated_user(\n  token: String,\n  interaction_limit: InteractionLimit,\n) -&gt; Effect(InteractionLimitResponse)\n\nSynonyms:\nmidas/sdk/github.interactions_set_restrictions_for_authenticated_user\nmidas/sdk/github interactions_set_restrictions_for_authenticated_user","url":"midas/sdk/github.html#interactions_set_restrictions_for_authenticated_user"},{"doc":"midas/sdk/github","title":"interactions_set_restrictions_for_org","content":"pub fn interactions_set_restrictions_for_org(\n  token: String,\n  org: String,\n  interaction_limit: InteractionLimit,\n) -&gt; Effect(InteractionLimitResponse)\n\nSynonyms:\nmidas/sdk/github.interactions_set_restrictions_for_org\nmidas/sdk/github interactions_set_restrictions_for_org","url":"midas/sdk/github.html#interactions_set_restrictions_for_org"},{"doc":"midas/sdk/github","title":"interactions_set_restrictions_for_repo","content":"pub fn interactions_set_restrictions_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  interaction_limit: InteractionLimit,\n) -&gt; Effect(InteractionLimitResponse)\n\nSynonyms:\nmidas/sdk/github.interactions_set_restrictions_for_repo\nmidas/sdk/github interactions_set_restrictions_for_repo","url":"midas/sdk/github.html#interactions_set_restrictions_for_repo"},{"doc":"midas/sdk/github","title":"issues_add_assignees","content":"pub fn issues_add_assignees(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: BitArray,\n) -&gt; Effect(Issue)\n\nSynonyms:\nmidas/sdk/github.issues_add_assignees\nmidas/sdk/github issues_add_assignees","url":"midas/sdk/github.html#issues_add_assignees"},{"doc":"midas/sdk/github","title":"issues_add_labels","content":"pub fn issues_add_labels(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Effect(List(Label))\n\nSynonyms:\nmidas/sdk/github.issues_add_labels\nmidas/sdk/github issues_add_labels","url":"midas/sdk/github.html#issues_add_labels"},{"doc":"midas/sdk/github","title":"issues_check_user_can_be_assigned","content":"pub fn issues_check_user_can_be_assigned(\n  token: String,\n  owner: String,\n  repo: String,\n  assignee: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_check_user_can_be_assigned\nmidas/sdk/github issues_check_user_can_be_assigned","url":"midas/sdk/github.html#issues_check_user_can_be_assigned"},{"doc":"midas/sdk/github","title":"issues_check_user_can_be_assigned_to_issue","content":"pub fn issues_check_user_can_be_assigned_to_issue(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  assignee: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_check_user_can_be_assigned_to_issue\nmidas/sdk/github issues_check_user_can_be_assigned_to_issue","url":"midas/sdk/github.html#issues_check_user_can_be_assigned_to_issue"},{"doc":"midas/sdk/github","title":"issues_create","content":"pub fn issues_create(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Issue)\n\nSynonyms:\nmidas/sdk/github.issues_create\nmidas/sdk/github issues_create","url":"midas/sdk/github.html#issues_create"},{"doc":"midas/sdk/github","title":"issues_create_comment","content":"pub fn issues_create_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: BitArray,\n) -&gt; Effect(IssueComment)\n\nSynonyms:\nmidas/sdk/github.issues_create_comment\nmidas/sdk/github issues_create_comment","url":"midas/sdk/github.html#issues_create_comment"},{"doc":"midas/sdk/github","title":"issues_create_label","content":"pub fn issues_create_label(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Label)\n\nSynonyms:\nmidas/sdk/github.issues_create_label\nmidas/sdk/github issues_create_label","url":"midas/sdk/github.html#issues_create_label"},{"doc":"midas/sdk/github","title":"issues_create_milestone","content":"pub fn issues_create_milestone(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Milestone)\n\nSynonyms:\nmidas/sdk/github.issues_create_milestone\nmidas/sdk/github issues_create_milestone","url":"midas/sdk/github.html#issues_create_milestone"},{"doc":"midas/sdk/github","title":"issues_delete_comment","content":"pub fn issues_delete_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_delete_comment\nmidas/sdk/github issues_delete_comment","url":"midas/sdk/github.html#issues_delete_comment"},{"doc":"midas/sdk/github","title":"issues_delete_label","content":"pub fn issues_delete_label(\n  token: String,\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_delete_label\nmidas/sdk/github issues_delete_label","url":"midas/sdk/github.html#issues_delete_label"},{"doc":"midas/sdk/github","title":"issues_delete_milestone","content":"pub fn issues_delete_milestone(\n  token: String,\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_delete_milestone\nmidas/sdk/github issues_delete_milestone","url":"midas/sdk/github.html#issues_delete_milestone"},{"doc":"midas/sdk/github","title":"issues_get","content":"pub fn issues_get(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Effect(Issue)\n\nSynonyms:\nmidas/sdk/github.issues_get\nmidas/sdk/github issues_get","url":"midas/sdk/github.html#issues_get"},{"doc":"midas/sdk/github","title":"issues_get_comment","content":"pub fn issues_get_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Effect(IssueComment)\n\nSynonyms:\nmidas/sdk/github.issues_get_comment\nmidas/sdk/github issues_get_comment","url":"midas/sdk/github.html#issues_get_comment"},{"doc":"midas/sdk/github","title":"issues_get_event","content":"pub fn issues_get_event(\n  token: String,\n  owner: String,\n  repo: String,\n  event_id: Int,\n) -&gt; Effect(IssueEvent)\n\nSynonyms:\nmidas/sdk/github.issues_get_event\nmidas/sdk/github issues_get_event","url":"midas/sdk/github.html#issues_get_event"},{"doc":"midas/sdk/github","title":"issues_get_label","content":"pub fn issues_get_label(\n  token: String,\n  owner: String,\n  repo: String,\n  name: String,\n) -&gt; Effect(Label)\n\nSynonyms:\nmidas/sdk/github.issues_get_label\nmidas/sdk/github issues_get_label","url":"midas/sdk/github.html#issues_get_label"},{"doc":"midas/sdk/github","title":"issues_get_milestone","content":"pub fn issues_get_milestone(\n  token: String,\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n) -&gt; Effect(Milestone)\n\nSynonyms:\nmidas/sdk/github.issues_get_milestone\nmidas/sdk/github issues_get_milestone","url":"midas/sdk/github.html#issues_get_milestone"},{"doc":"midas/sdk/github","title":"issues_list","content":"pub fn issues_list(\n  token: String,\n  filter filter: Option(String),\n  state state: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  collab collab: Option(Bool),\n  orgs orgs: Option(Bool),\n  owned owned: Option(Bool),\n  pulls pulls: Option(Bool),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Issue))\n\nSynonyms:\nmidas/sdk/github.issues_list\nmidas/sdk/github issues_list","url":"midas/sdk/github.html#issues_list"},{"doc":"midas/sdk/github","title":"issues_list_assignees","content":"pub fn issues_list_assignees(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.issues_list_assignees\nmidas/sdk/github issues_list_assignees","url":"midas/sdk/github.html#issues_list_assignees"},{"doc":"midas/sdk/github","title":"issues_list_comments","content":"pub fn issues_list_comments(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(IssueComment))\n\nSynonyms:\nmidas/sdk/github.issues_list_comments\nmidas/sdk/github issues_list_comments","url":"midas/sdk/github.html#issues_list_comments"},{"doc":"midas/sdk/github","title":"issues_list_comments_for_repo","content":"pub fn issues_list_comments_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(IssueComment))\n\nSynonyms:\nmidas/sdk/github.issues_list_comments_for_repo\nmidas/sdk/github issues_list_comments_for_repo","url":"midas/sdk/github.html#issues_list_comments_for_repo"},{"doc":"midas/sdk/github","title":"issues_list_events","content":"pub fn issues_list_events(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(a))\n\nSynonyms:\nmidas/sdk/github.issues_list_events\nmidas/sdk/github issues_list_events","url":"midas/sdk/github.html#issues_list_events"},{"doc":"midas/sdk/github","title":"issues_list_events_for_repo","content":"pub fn issues_list_events_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(IssueEvent))\n\nSynonyms:\nmidas/sdk/github.issues_list_events_for_repo\nmidas/sdk/github issues_list_events_for_repo","url":"midas/sdk/github.html#issues_list_events_for_repo"},{"doc":"midas/sdk/github","title":"issues_list_events_for_timeline","content":"pub fn issues_list_events_for_timeline(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TimelineIssueEvents))\n\nSynonyms:\nmidas/sdk/github.issues_list_events_for_timeline\nmidas/sdk/github issues_list_events_for_timeline","url":"midas/sdk/github.html#issues_list_events_for_timeline"},{"doc":"midas/sdk/github","title":"issues_list_for_authenticated_user","content":"pub fn issues_list_for_authenticated_user(\n  token: String,\n  filter filter: Option(String),\n  state state: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Issue))\n\nSynonyms:\nmidas/sdk/github.issues_list_for_authenticated_user\nmidas/sdk/github issues_list_for_authenticated_user","url":"midas/sdk/github.html#issues_list_for_authenticated_user"},{"doc":"midas/sdk/github","title":"issues_list_for_org","content":"pub fn issues_list_for_org(\n  token: String,\n  org: String,\n  filter filter: Option(String),\n  state state: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Issue))\n\nSynonyms:\nmidas/sdk/github.issues_list_for_org\nmidas/sdk/github issues_list_for_org","url":"midas/sdk/github.html#issues_list_for_org"},{"doc":"midas/sdk/github","title":"issues_list_for_repo","content":"pub fn issues_list_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  milestone milestone: Option(String),\n  state state: Option(String),\n  assignee assignee: Option(String),\n  creator creator: Option(String),\n  mentioned mentioned: Option(String),\n  labels labels: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Issue))\n\nSynonyms:\nmidas/sdk/github.issues_list_for_repo\nmidas/sdk/github issues_list_for_repo","url":"midas/sdk/github.html#issues_list_for_repo"},{"doc":"midas/sdk/github","title":"issues_list_labels_for_milestone","content":"pub fn issues_list_labels_for_milestone(\n  token: String,\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Label))\n\nSynonyms:\nmidas/sdk/github.issues_list_labels_for_milestone\nmidas/sdk/github issues_list_labels_for_milestone","url":"midas/sdk/github.html#issues_list_labels_for_milestone"},{"doc":"midas/sdk/github","title":"issues_list_labels_for_repo","content":"pub fn issues_list_labels_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Label))\n\nSynonyms:\nmidas/sdk/github.issues_list_labels_for_repo\nmidas/sdk/github issues_list_labels_for_repo","url":"midas/sdk/github.html#issues_list_labels_for_repo"},{"doc":"midas/sdk/github","title":"issues_list_labels_on_issue","content":"pub fn issues_list_labels_on_issue(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Label))\n\nSynonyms:\nmidas/sdk/github.issues_list_labels_on_issue\nmidas/sdk/github issues_list_labels_on_issue","url":"midas/sdk/github.html#issues_list_labels_on_issue"},{"doc":"midas/sdk/github","title":"issues_list_milestones","content":"pub fn issues_list_milestones(\n  token: String,\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Milestone))\n\nSynonyms:\nmidas/sdk/github.issues_list_milestones\nmidas/sdk/github issues_list_milestones","url":"midas/sdk/github.html#issues_list_milestones"},{"doc":"midas/sdk/github","title":"issues_lock","content":"pub fn issues_lock(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_lock\nmidas/sdk/github issues_lock","url":"midas/sdk/github.html#issues_lock"},{"doc":"midas/sdk/github","title":"issues_remove_all_labels","content":"pub fn issues_remove_all_labels(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_remove_all_labels\nmidas/sdk/github issues_remove_all_labels","url":"midas/sdk/github.html#issues_remove_all_labels"},{"doc":"midas/sdk/github","title":"issues_remove_assignees","content":"pub fn issues_remove_assignees(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: BitArray,\n) -&gt; Effect(Issue)\n\nSynonyms:\nmidas/sdk/github.issues_remove_assignees\nmidas/sdk/github issues_remove_assignees","url":"midas/sdk/github.html#issues_remove_assignees"},{"doc":"midas/sdk/github","title":"issues_remove_label","content":"pub fn issues_remove_label(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  name: String,\n) -&gt; Effect(List(Label))\n\nSynonyms:\nmidas/sdk/github.issues_remove_label\nmidas/sdk/github issues_remove_label","url":"midas/sdk/github.html#issues_remove_label"},{"doc":"midas/sdk/github","title":"issues_set_labels","content":"pub fn issues_set_labels(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Effect(List(Label))\n\nSynonyms:\nmidas/sdk/github.issues_set_labels\nmidas/sdk/github issues_set_labels","url":"midas/sdk/github.html#issues_set_labels"},{"doc":"midas/sdk/github","title":"issues_unlock","content":"pub fn issues_unlock(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.issues_unlock\nmidas/sdk/github issues_unlock","url":"midas/sdk/github.html#issues_unlock"},{"doc":"midas/sdk/github","title":"issues_update","content":"pub fn issues_update(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: BitArray,\n) -&gt; Effect(Issue)\n\nSynonyms:\nmidas/sdk/github.issues_update\nmidas/sdk/github issues_update","url":"midas/sdk/github.html#issues_update"},{"doc":"midas/sdk/github","title":"issues_update_comment","content":"pub fn issues_update_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(IssueComment)\n\nSynonyms:\nmidas/sdk/github.issues_update_comment\nmidas/sdk/github issues_update_comment","url":"midas/sdk/github.html#issues_update_comment"},{"doc":"midas/sdk/github","title":"issues_update_label","content":"pub fn issues_update_label(\n  token: String,\n  owner: String,\n  repo: String,\n  name: String,\n  data: BitArray,\n) -&gt; Effect(Label)\n\nSynonyms:\nmidas/sdk/github.issues_update_label\nmidas/sdk/github issues_update_label","url":"midas/sdk/github.html#issues_update_label"},{"doc":"midas/sdk/github","title":"issues_update_milestone","content":"pub fn issues_update_milestone(\n  token: String,\n  owner: String,\n  repo: String,\n  milestone_number: Int,\n  data: BitArray,\n) -&gt; Effect(Milestone)\n\nSynonyms:\nmidas/sdk/github.issues_update_milestone\nmidas/sdk/github issues_update_milestone","url":"midas/sdk/github.html#issues_update_milestone"},{"doc":"midas/sdk/github","title":"licenses_get","content":"pub fn licenses_get(\n  token: String,\n  license: String,\n) -&gt; Effect(License)\n\nSynonyms:\nmidas/sdk/github.licenses_get\nmidas/sdk/github licenses_get","url":"midas/sdk/github.html#licenses_get"},{"doc":"midas/sdk/github","title":"licenses_get_all_commonly_used","content":"pub fn licenses_get_all_commonly_used(\n  token: String,\n  featured featured: Option(Bool),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(LicenseSimple))\n\nSynonyms:\nmidas/sdk/github.licenses_get_all_commonly_used\nmidas/sdk/github licenses_get_all_commonly_used","url":"midas/sdk/github.html#licenses_get_all_commonly_used"},{"doc":"midas/sdk/github","title":"licenses_get_for_repo","content":"pub fn licenses_get_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n) -&gt; Effect(LicenseContent)\n\nSynonyms:\nmidas/sdk/github.licenses_get_for_repo\nmidas/sdk/github licenses_get_for_repo","url":"midas/sdk/github.html#licenses_get_for_repo"},{"doc":"midas/sdk/github","title":"markdown_render","content":"pub fn markdown_render(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.markdown_render\nmidas/sdk/github markdown_render","url":"midas/sdk/github.html#markdown_render"},{"doc":"midas/sdk/github","title":"markdown_render_raw","content":"pub fn markdown_render_raw(token: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.markdown_render_raw\nmidas/sdk/github markdown_render_raw","url":"midas/sdk/github.html#markdown_render_raw"},{"doc":"midas/sdk/github","title":"meta_get","content":"pub fn meta_get(token: String) -&gt; Effect(ApiOverview)\n\nSynonyms:\nmidas/sdk/github.meta_get\nmidas/sdk/github meta_get","url":"midas/sdk/github.html#meta_get"},{"doc":"midas/sdk/github","title":"meta_get_all_versions","content":"pub fn meta_get_all_versions(token: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.meta_get_all_versions\nmidas/sdk/github meta_get_all_versions","url":"midas/sdk/github.html#meta_get_all_versions"},{"doc":"midas/sdk/github","title":"meta_get_octocat","content":"pub fn meta_get_octocat(\n  token: String,\n  s s: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.meta_get_octocat\nmidas/sdk/github meta_get_octocat","url":"midas/sdk/github.html#meta_get_octocat"},{"doc":"midas/sdk/github","title":"meta_get_zen","content":"pub fn meta_get_zen(token: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.meta_get_zen\nmidas/sdk/github meta_get_zen","url":"midas/sdk/github.html#meta_get_zen"},{"doc":"midas/sdk/github","title":"meta_root","content":"pub fn meta_root(token: String) -&gt; Effect(Root)\n\nSynonyms:\nmidas/sdk/github.meta_root\nmidas/sdk/github meta_root","url":"midas/sdk/github.html#meta_root"},{"doc":"midas/sdk/github","title":"migrations_cancel_import","content":"pub fn migrations_cancel_import(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.migrations_cancel_import\nmidas/sdk/github migrations_cancel_import","url":"midas/sdk/github.html#migrations_cancel_import"},{"doc":"midas/sdk/github","title":"migrations_delete_archive_for_authenticated_user","content":"pub fn migrations_delete_archive_for_authenticated_user(\n  token: String,\n  migration_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.migrations_delete_archive_for_authenticated_user\nmidas/sdk/github migrations_delete_archive_for_authenticated_user","url":"midas/sdk/github.html#migrations_delete_archive_for_authenticated_user"},{"doc":"midas/sdk/github","title":"migrations_delete_archive_for_org","content":"pub fn migrations_delete_archive_for_org(\n  token: String,\n  org: String,\n  migration_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.migrations_delete_archive_for_org\nmidas/sdk/github migrations_delete_archive_for_org","url":"midas/sdk/github.html#migrations_delete_archive_for_org"},{"doc":"midas/sdk/github","title":"migrations_download_archive_for_org","content":"pub fn migrations_download_archive_for_org(\n  token: String,\n  org: String,\n  migration_id: Int,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.migrations_download_archive_for_org\nmidas/sdk/github migrations_download_archive_for_org","url":"midas/sdk/github.html#migrations_download_archive_for_org"},{"doc":"midas/sdk/github","title":"migrations_get_archive_for_authenticated_user","content":"pub fn migrations_get_archive_for_authenticated_user(\n  token: String,\n  migration_id: Int,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.migrations_get_archive_for_authenticated_user\nmidas/sdk/github migrations_get_archive_for_authenticated_user","url":"midas/sdk/github.html#migrations_get_archive_for_authenticated_user"},{"doc":"midas/sdk/github","title":"migrations_get_commit_authors","content":"pub fn migrations_get_commit_authors(\n  token: String,\n  owner: String,\n  repo: String,\n  since since: Option(Int),\n) -&gt; Effect(List(PorterAuthor))\n\nSynonyms:\nmidas/sdk/github.migrations_get_commit_authors\nmidas/sdk/github migrations_get_commit_authors","url":"midas/sdk/github.html#migrations_get_commit_authors"},{"doc":"midas/sdk/github","title":"migrations_get_import_status","content":"pub fn migrations_get_import_status(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Import)\n\nSynonyms:\nmidas/sdk/github.migrations_get_import_status\nmidas/sdk/github migrations_get_import_status","url":"midas/sdk/github.html#migrations_get_import_status"},{"doc":"midas/sdk/github","title":"migrations_get_large_files","content":"pub fn migrations_get_large_files(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(PorterLargeFile))\n\nSynonyms:\nmidas/sdk/github.migrations_get_large_files\nmidas/sdk/github migrations_get_large_files","url":"midas/sdk/github.html#migrations_get_large_files"},{"doc":"midas/sdk/github","title":"migrations_get_status_for_authenticated_user","content":"pub fn migrations_get_status_for_authenticated_user(\n  token: String,\n  migration_id: Int,\n  exclude exclude: a,\n) -&gt; Effect(Migration)\n\nSynonyms:\nmidas/sdk/github.migrations_get_status_for_authenticated_user\nmidas/sdk/github migrations_get_status_for_authenticated_user","url":"midas/sdk/github.html#migrations_get_status_for_authenticated_user"},{"doc":"midas/sdk/github","title":"migrations_get_status_for_org","content":"pub fn migrations_get_status_for_org(\n  token: String,\n  org: String,\n  migration_id: Int,\n  exclude exclude: a,\n) -&gt; Effect(Migration)\n\nSynonyms:\nmidas/sdk/github.migrations_get_status_for_org\nmidas/sdk/github migrations_get_status_for_org","url":"midas/sdk/github.html#migrations_get_status_for_org"},{"doc":"midas/sdk/github","title":"migrations_list_for_authenticated_user","content":"pub fn migrations_list_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Migration))\n\nSynonyms:\nmidas/sdk/github.migrations_list_for_authenticated_user\nmidas/sdk/github migrations_list_for_authenticated_user","url":"midas/sdk/github.html#migrations_list_for_authenticated_user"},{"doc":"midas/sdk/github","title":"migrations_list_for_org","content":"pub fn migrations_list_for_org(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  exclude exclude: a,\n) -&gt; Effect(List(Migration))\n\nSynonyms:\nmidas/sdk/github.migrations_list_for_org\nmidas/sdk/github migrations_list_for_org","url":"midas/sdk/github.html#migrations_list_for_org"},{"doc":"midas/sdk/github","title":"migrations_list_repos_for_authenticated_user","content":"pub fn migrations_list_repos_for_authenticated_user(\n  token: String,\n  migration_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.migrations_list_repos_for_authenticated_user\nmidas/sdk/github migrations_list_repos_for_authenticated_user","url":"midas/sdk/github.html#migrations_list_repos_for_authenticated_user"},{"doc":"midas/sdk/github","title":"migrations_list_repos_for_org","content":"pub fn migrations_list_repos_for_org(\n  token: String,\n  org: String,\n  migration_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.migrations_list_repos_for_org\nmidas/sdk/github migrations_list_repos_for_org","url":"midas/sdk/github.html#migrations_list_repos_for_org"},{"doc":"midas/sdk/github","title":"migrations_map_commit_author","content":"pub fn migrations_map_commit_author(\n  token: String,\n  owner: String,\n  repo: String,\n  author_id: Int,\n  data: BitArray,\n) -&gt; Effect(PorterAuthor)\n\nSynonyms:\nmidas/sdk/github.migrations_map_commit_author\nmidas/sdk/github migrations_map_commit_author","url":"midas/sdk/github.html#migrations_map_commit_author"},{"doc":"midas/sdk/github","title":"migrations_set_lfs_preference","content":"pub fn migrations_set_lfs_preference(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Import)\n\nSynonyms:\nmidas/sdk/github.migrations_set_lfs_preference\nmidas/sdk/github migrations_set_lfs_preference","url":"midas/sdk/github.html#migrations_set_lfs_preference"},{"doc":"midas/sdk/github","title":"migrations_start_for_authenticated_user","content":"pub fn migrations_start_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(Migration)\n\nSynonyms:\nmidas/sdk/github.migrations_start_for_authenticated_user\nmidas/sdk/github migrations_start_for_authenticated_user","url":"midas/sdk/github.html#migrations_start_for_authenticated_user"},{"doc":"midas/sdk/github","title":"migrations_start_for_org","content":"pub fn migrations_start_for_org(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Migration)\n\nSynonyms:\nmidas/sdk/github.migrations_start_for_org\nmidas/sdk/github migrations_start_for_org","url":"midas/sdk/github.html#migrations_start_for_org"},{"doc":"midas/sdk/github","title":"migrations_start_import","content":"pub fn migrations_start_import(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Import)\n\nSynonyms:\nmidas/sdk/github.migrations_start_import\nmidas/sdk/github migrations_start_import","url":"midas/sdk/github.html#migrations_start_import"},{"doc":"midas/sdk/github","title":"migrations_unlock_repo_for_authenticated_user","content":"pub fn migrations_unlock_repo_for_authenticated_user(\n  token: String,\n  migration_id: Int,\n  repo_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.migrations_unlock_repo_for_authenticated_user\nmidas/sdk/github migrations_unlock_repo_for_authenticated_user","url":"midas/sdk/github.html#migrations_unlock_repo_for_authenticated_user"},{"doc":"midas/sdk/github","title":"migrations_unlock_repo_for_org","content":"pub fn migrations_unlock_repo_for_org(\n  token: String,\n  org: String,\n  migration_id: Int,\n  repo_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.migrations_unlock_repo_for_org\nmidas/sdk/github migrations_unlock_repo_for_org","url":"midas/sdk/github.html#migrations_unlock_repo_for_org"},{"doc":"midas/sdk/github","title":"migrations_update_import","content":"pub fn migrations_update_import(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Import)\n\nSynonyms:\nmidas/sdk/github.migrations_update_import\nmidas/sdk/github migrations_update_import","url":"midas/sdk/github.html#migrations_update_import"},{"doc":"midas/sdk/github","title":"oidc_get_oidc_custom_sub_template_for_org","content":"pub fn oidc_get_oidc_custom_sub_template_for_org(\n  token: String,\n  org: String,\n) -&gt; Effect(OidcCustomSub)\n\nSynonyms:\nmidas/sdk/github.oidc_get_oidc_custom_sub_template_for_org\nmidas/sdk/github oidc_get_oidc_custom_sub_template_for_org","url":"midas/sdk/github.html#oidc_get_oidc_custom_sub_template_for_org"},{"doc":"midas/sdk/github","title":"oidc_update_oidc_custom_sub_template_for_org","content":"pub fn oidc_update_oidc_custom_sub_template_for_org(\n  token: String,\n  org: String,\n  oidc_custom_sub: OidcCustomSub,\n) -&gt; Effect(EmptyObject)\n\nSynonyms:\nmidas/sdk/github.oidc_update_oidc_custom_sub_template_for_org\nmidas/sdk/github oidc_update_oidc_custom_sub_template_for_org","url":"midas/sdk/github.html#oidc_update_oidc_custom_sub_template_for_org"},{"doc":"midas/sdk/github","title":"orgs_add_security_manager_team","content":"pub fn orgs_add_security_manager_team(\n  token: String,\n  org: String,\n  team_slug: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_add_security_manager_team\nmidas/sdk/github orgs_add_security_manager_team","url":"midas/sdk/github.html#orgs_add_security_manager_team"},{"doc":"midas/sdk/github","title":"orgs_assign_team_to_org_role","content":"pub fn orgs_assign_team_to_org_role(\n  token: String,\n  org: String,\n  team_slug: String,\n  role_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_assign_team_to_org_role\nmidas/sdk/github orgs_assign_team_to_org_role","url":"midas/sdk/github.html#orgs_assign_team_to_org_role"},{"doc":"midas/sdk/github","title":"orgs_assign_user_to_org_role","content":"pub fn orgs_assign_user_to_org_role(\n  token: String,\n  org: String,\n  username: String,\n  role_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_assign_user_to_org_role\nmidas/sdk/github orgs_assign_user_to_org_role","url":"midas/sdk/github.html#orgs_assign_user_to_org_role"},{"doc":"midas/sdk/github","title":"orgs_block_user","content":"pub fn orgs_block_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_block_user\nmidas/sdk/github orgs_block_user","url":"midas/sdk/github.html#orgs_block_user"},{"doc":"midas/sdk/github","title":"orgs_cancel_invitation","content":"pub fn orgs_cancel_invitation(\n  token: String,\n  org: String,\n  invitation_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_cancel_invitation\nmidas/sdk/github orgs_cancel_invitation","url":"midas/sdk/github.html#orgs_cancel_invitation"},{"doc":"midas/sdk/github","title":"orgs_check_blocked_user","content":"pub fn orgs_check_blocked_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_check_blocked_user\nmidas/sdk/github orgs_check_blocked_user","url":"midas/sdk/github.html#orgs_check_blocked_user"},{"doc":"midas/sdk/github","title":"orgs_check_membership_for_user","content":"pub fn orgs_check_membership_for_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_check_membership_for_user\nmidas/sdk/github orgs_check_membership_for_user","url":"midas/sdk/github.html#orgs_check_membership_for_user"},{"doc":"midas/sdk/github","title":"orgs_check_public_membership_for_user","content":"pub fn orgs_check_public_membership_for_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_check_public_membership_for_user\nmidas/sdk/github orgs_check_public_membership_for_user","url":"midas/sdk/github.html#orgs_check_public_membership_for_user"},{"doc":"midas/sdk/github","title":"orgs_convert_member_to_outside_collaborator","content":"pub fn orgs_convert_member_to_outside_collaborator(\n  token: String,\n  org: String,\n  username: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_convert_member_to_outside_collaborator\nmidas/sdk/github orgs_convert_member_to_outside_collaborator","url":"midas/sdk/github.html#orgs_convert_member_to_outside_collaborator"},{"doc":"midas/sdk/github","title":"orgs_create_invitation","content":"pub fn orgs_create_invitation(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(OrganizationInvitation)\n\nSynonyms:\nmidas/sdk/github.orgs_create_invitation\nmidas/sdk/github orgs_create_invitation","url":"midas/sdk/github.html#orgs_create_invitation"},{"doc":"midas/sdk/github","title":"orgs_create_or_update_custom_properties","content":"pub fn orgs_create_or_update_custom_properties(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(List(CustomProperty))\n\nSynonyms:\nmidas/sdk/github.orgs_create_or_update_custom_properties\nmidas/sdk/github orgs_create_or_update_custom_properties","url":"midas/sdk/github.html#orgs_create_or_update_custom_properties"},{"doc":"midas/sdk/github","title":"orgs_create_or_update_custom_properties_values_for_repos","content":"pub fn orgs_create_or_update_custom_properties_values_for_repos(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_create_or_update_custom_properties_values_for_repos\nmidas/sdk/github orgs_create_or_update_custom_properties_values_for_repos","url":"midas/sdk/github.html#orgs_create_or_update_custom_properties_values_for_repos"},{"doc":"midas/sdk/github","title":"orgs_create_or_update_custom_property","content":"pub fn orgs_create_or_update_custom_property(\n  token: String,\n  org: String,\n  custom_property_name: String,\n  data: BitArray,\n) -&gt; Effect(CustomProperty)\n\nSynonyms:\nmidas/sdk/github.orgs_create_or_update_custom_property\nmidas/sdk/github orgs_create_or_update_custom_property","url":"midas/sdk/github.html#orgs_create_or_update_custom_property"},{"doc":"midas/sdk/github","title":"orgs_create_webhook","content":"pub fn orgs_create_webhook(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(OrgHook)\n\nSynonyms:\nmidas/sdk/github.orgs_create_webhook\nmidas/sdk/github orgs_create_webhook","url":"midas/sdk/github.html#orgs_create_webhook"},{"doc":"midas/sdk/github","title":"orgs_delete","content":"pub fn orgs_delete(token: String, org: String) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.orgs_delete\nmidas/sdk/github orgs_delete","url":"midas/sdk/github.html#orgs_delete"},{"doc":"midas/sdk/github","title":"orgs_delete_webhook","content":"pub fn orgs_delete_webhook(\n  token: String,\n  org: String,\n  hook_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_delete_webhook\nmidas/sdk/github orgs_delete_webhook","url":"midas/sdk/github.html#orgs_delete_webhook"},{"doc":"midas/sdk/github","title":"orgs_enable_or_disable_security_product_on_all_org_repos","content":"pub fn orgs_enable_or_disable_security_product_on_all_org_repos(\n  token: String,\n  org: String,\n  security_product: String,\n  enablement: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_enable_or_disable_security_product_on_all_org_repos\nmidas/sdk/github orgs_enable_or_disable_security_product_on_all_org_repos","url":"midas/sdk/github.html#orgs_enable_or_disable_security_product_on_all_org_repos"},{"doc":"midas/sdk/github","title":"orgs_get","content":"pub fn orgs_get(\n  token: String,\n  org: String,\n) -&gt; Effect(OrganizationFull)\n\nSynonyms:\nmidas/sdk/github.orgs_get\nmidas/sdk/github orgs_get","url":"midas/sdk/github.html#orgs_get"},{"doc":"midas/sdk/github","title":"orgs_get_all_custom_properties","content":"pub fn orgs_get_all_custom_properties(\n  token: String,\n  org: String,\n) -&gt; Effect(List(CustomProperty))\n\nSynonyms:\nmidas/sdk/github.orgs_get_all_custom_properties\nmidas/sdk/github orgs_get_all_custom_properties","url":"midas/sdk/github.html#orgs_get_all_custom_properties"},{"doc":"midas/sdk/github","title":"orgs_get_custom_property","content":"pub fn orgs_get_custom_property(\n  token: String,\n  org: String,\n  custom_property_name: String,\n) -&gt; Effect(CustomProperty)\n\nSynonyms:\nmidas/sdk/github.orgs_get_custom_property\nmidas/sdk/github orgs_get_custom_property","url":"midas/sdk/github.html#orgs_get_custom_property"},{"doc":"midas/sdk/github","title":"orgs_get_membership_for_authenticated_user","content":"pub fn orgs_get_membership_for_authenticated_user(\n  token: String,\n  org: String,\n) -&gt; Effect(OrgMembership)\n\nSynonyms:\nmidas/sdk/github.orgs_get_membership_for_authenticated_user\nmidas/sdk/github orgs_get_membership_for_authenticated_user","url":"midas/sdk/github.html#orgs_get_membership_for_authenticated_user"},{"doc":"midas/sdk/github","title":"orgs_get_membership_for_user","content":"pub fn orgs_get_membership_for_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(OrgMembership)\n\nSynonyms:\nmidas/sdk/github.orgs_get_membership_for_user\nmidas/sdk/github orgs_get_membership_for_user","url":"midas/sdk/github.html#orgs_get_membership_for_user"},{"doc":"midas/sdk/github","title":"orgs_get_org_role","content":"pub fn orgs_get_org_role(\n  token: String,\n  org: String,\n  role_id: Int,\n) -&gt; Effect(OrganizationRole)\n\nSynonyms:\nmidas/sdk/github.orgs_get_org_role\nmidas/sdk/github orgs_get_org_role","url":"midas/sdk/github.html#orgs_get_org_role"},{"doc":"midas/sdk/github","title":"orgs_get_webhook","content":"pub fn orgs_get_webhook(\n  token: String,\n  org: String,\n  hook_id: Int,\n) -&gt; Effect(OrgHook)\n\nSynonyms:\nmidas/sdk/github.orgs_get_webhook\nmidas/sdk/github orgs_get_webhook","url":"midas/sdk/github.html#orgs_get_webhook"},{"doc":"midas/sdk/github","title":"orgs_get_webhook_config_for_org","content":"pub fn orgs_get_webhook_config_for_org(\n  token: String,\n  org: String,\n  hook_id: Int,\n) -&gt; Effect(WebhookConfig)\n\nSynonyms:\nmidas/sdk/github.orgs_get_webhook_config_for_org\nmidas/sdk/github orgs_get_webhook_config_for_org","url":"midas/sdk/github.html#orgs_get_webhook_config_for_org"},{"doc":"midas/sdk/github","title":"orgs_get_webhook_delivery","content":"pub fn orgs_get_webhook_delivery(\n  token: String,\n  org: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Effect(HookDelivery)\n\nSynonyms:\nmidas/sdk/github.orgs_get_webhook_delivery\nmidas/sdk/github orgs_get_webhook_delivery","url":"midas/sdk/github.html#orgs_get_webhook_delivery"},{"doc":"midas/sdk/github","title":"orgs_list","content":"pub fn orgs_list(\n  token: String,\n  since since: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(OrganizationSimple))\n\nSynonyms:\nmidas/sdk/github.orgs_list\nmidas/sdk/github orgs_list","url":"midas/sdk/github.html#orgs_list"},{"doc":"midas/sdk/github","title":"orgs_list_app_installations","content":"pub fn orgs_list_app_installations(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.orgs_list_app_installations\nmidas/sdk/github orgs_list_app_installations","url":"midas/sdk/github.html#orgs_list_app_installations"},{"doc":"midas/sdk/github","title":"orgs_list_attestations","content":"pub fn orgs_list_attestations(\n  token: String,\n  org: String,\n  subject_digest: String,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.orgs_list_attestations\nmidas/sdk/github orgs_list_attestations","url":"midas/sdk/github.html#orgs_list_attestations"},{"doc":"midas/sdk/github","title":"orgs_list_blocked_users","content":"pub fn orgs_list_blocked_users(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.orgs_list_blocked_users\nmidas/sdk/github orgs_list_blocked_users","url":"midas/sdk/github.html#orgs_list_blocked_users"},{"doc":"midas/sdk/github","title":"orgs_list_custom_properties_values_for_repos","content":"pub fn orgs_list_custom_properties_values_for_repos(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  repository_query repository_query: Option(String),\n) -&gt; Effect(List(OrgRepoCustomPropertyValues))\n\nSynonyms:\nmidas/sdk/github.orgs_list_custom_properties_values_for_repos\nmidas/sdk/github orgs_list_custom_properties_values_for_repos","url":"midas/sdk/github.html#orgs_list_custom_properties_values_for_repos"},{"doc":"midas/sdk/github","title":"orgs_list_failed_invitations","content":"pub fn orgs_list_failed_invitations(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(OrganizationInvitation))\n\nSynonyms:\nmidas/sdk/github.orgs_list_failed_invitations\nmidas/sdk/github orgs_list_failed_invitations","url":"midas/sdk/github.html#orgs_list_failed_invitations"},{"doc":"midas/sdk/github","title":"orgs_list_for_authenticated_user","content":"pub fn orgs_list_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(OrganizationSimple))\n\nSynonyms:\nmidas/sdk/github.orgs_list_for_authenticated_user\nmidas/sdk/github orgs_list_for_authenticated_user","url":"midas/sdk/github.html#orgs_list_for_authenticated_user"},{"doc":"midas/sdk/github","title":"orgs_list_for_user","content":"pub fn orgs_list_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(OrganizationSimple))\n\nSynonyms:\nmidas/sdk/github.orgs_list_for_user\nmidas/sdk/github orgs_list_for_user","url":"midas/sdk/github.html#orgs_list_for_user"},{"doc":"midas/sdk/github","title":"orgs_list_invitation_teams","content":"pub fn orgs_list_invitation_teams(\n  token: String,\n  org: String,\n  invitation_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.orgs_list_invitation_teams\nmidas/sdk/github orgs_list_invitation_teams","url":"midas/sdk/github.html#orgs_list_invitation_teams"},{"doc":"midas/sdk/github","title":"orgs_list_members","content":"pub fn orgs_list_members(\n  token: String,\n  org: String,\n  filter filter: Option(String),\n  role role: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.orgs_list_members\nmidas/sdk/github orgs_list_members","url":"midas/sdk/github.html#orgs_list_members"},{"doc":"midas/sdk/github","title":"orgs_list_memberships_for_authenticated_user","content":"pub fn orgs_list_memberships_for_authenticated_user(\n  token: String,\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(OrgMembership))\n\nSynonyms:\nmidas/sdk/github.orgs_list_memberships_for_authenticated_user\nmidas/sdk/github orgs_list_memberships_for_authenticated_user","url":"midas/sdk/github.html#orgs_list_memberships_for_authenticated_user"},{"doc":"midas/sdk/github","title":"orgs_list_org_role_teams","content":"pub fn orgs_list_org_role_teams(\n  token: String,\n  org: String,\n  role_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TeamRoleAssignment))\n\nSynonyms:\nmidas/sdk/github.orgs_list_org_role_teams\nmidas/sdk/github orgs_list_org_role_teams","url":"midas/sdk/github.html#orgs_list_org_role_teams"},{"doc":"midas/sdk/github","title":"orgs_list_org_role_users","content":"pub fn orgs_list_org_role_users(\n  token: String,\n  org: String,\n  role_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(UserRoleAssignment))\n\nSynonyms:\nmidas/sdk/github.orgs_list_org_role_users\nmidas/sdk/github orgs_list_org_role_users","url":"midas/sdk/github.html#orgs_list_org_role_users"},{"doc":"midas/sdk/github","title":"orgs_list_org_roles","content":"pub fn orgs_list_org_roles(\n  token: String,\n  org: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.orgs_list_org_roles\nmidas/sdk/github orgs_list_org_roles","url":"midas/sdk/github.html#orgs_list_org_roles"},{"doc":"midas/sdk/github","title":"orgs_list_outside_collaborators","content":"pub fn orgs_list_outside_collaborators(\n  token: String,\n  org: String,\n  filter filter: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.orgs_list_outside_collaborators\nmidas/sdk/github orgs_list_outside_collaborators","url":"midas/sdk/github.html#orgs_list_outside_collaborators"},{"doc":"midas/sdk/github","title":"orgs_list_pat_grant_repositories","content":"pub fn orgs_list_pat_grant_repositories(\n  token: String,\n  org: String,\n  pat_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.orgs_list_pat_grant_repositories\nmidas/sdk/github orgs_list_pat_grant_repositories","url":"midas/sdk/github.html#orgs_list_pat_grant_repositories"},{"doc":"midas/sdk/github","title":"orgs_list_pat_grant_request_repositories","content":"pub fn orgs_list_pat_grant_request_repositories(\n  token: String,\n  org: String,\n  pat_request_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.orgs_list_pat_grant_request_repositories\nmidas/sdk/github orgs_list_pat_grant_request_repositories","url":"midas/sdk/github.html#orgs_list_pat_grant_request_repositories"},{"doc":"midas/sdk/github","title":"orgs_list_pat_grant_requests","content":"pub fn orgs_list_pat_grant_requests(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  owner owner: a,\n  repository repository: Option(String),\n  permission permission: Option(String),\n  last_used_before last_used_before: Option(String),\n  last_used_after last_used_after: Option(String),\n) -&gt; Effect(List(OrganizationProgrammaticAccessGrantRequest))\n\nSynonyms:\nmidas/sdk/github.orgs_list_pat_grant_requests\nmidas/sdk/github orgs_list_pat_grant_requests","url":"midas/sdk/github.html#orgs_list_pat_grant_requests"},{"doc":"midas/sdk/github","title":"orgs_list_pat_grants","content":"pub fn orgs_list_pat_grants(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  owner owner: a,\n  repository repository: Option(String),\n  permission permission: Option(String),\n  last_used_before last_used_before: Option(String),\n  last_used_after last_used_after: Option(String),\n) -&gt; Effect(List(OrganizationProgrammaticAccessGrant))\n\nSynonyms:\nmidas/sdk/github.orgs_list_pat_grants\nmidas/sdk/github orgs_list_pat_grants","url":"midas/sdk/github.html#orgs_list_pat_grants"},{"doc":"midas/sdk/github","title":"orgs_list_pending_invitations","content":"pub fn orgs_list_pending_invitations(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  role role: Option(String),\n  invitation_source invitation_source: Option(String),\n) -&gt; Effect(List(OrganizationInvitation))\n\nSynonyms:\nmidas/sdk/github.orgs_list_pending_invitations\nmidas/sdk/github orgs_list_pending_invitations","url":"midas/sdk/github.html#orgs_list_pending_invitations"},{"doc":"midas/sdk/github","title":"orgs_list_public_members","content":"pub fn orgs_list_public_members(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.orgs_list_public_members\nmidas/sdk/github orgs_list_public_members","url":"midas/sdk/github.html#orgs_list_public_members"},{"doc":"midas/sdk/github","title":"orgs_list_security_manager_teams","content":"pub fn orgs_list_security_manager_teams(\n  token: String,\n  org: String,\n) -&gt; Effect(List(TeamSimple))\n\nSynonyms:\nmidas/sdk/github.orgs_list_security_manager_teams\nmidas/sdk/github orgs_list_security_manager_teams","url":"midas/sdk/github.html#orgs_list_security_manager_teams"},{"doc":"midas/sdk/github","title":"orgs_list_webhook_deliveries","content":"pub fn orgs_list_webhook_deliveries(\n  token: String,\n  org: String,\n  hook_id: Int,\n  per_page per_page: Option(Int),\n  cursor cursor: Option(String),\n) -&gt; Effect(List(HookDeliveryItem))\n\nSynonyms:\nmidas/sdk/github.orgs_list_webhook_deliveries\nmidas/sdk/github orgs_list_webhook_deliveries","url":"midas/sdk/github.html#orgs_list_webhook_deliveries"},{"doc":"midas/sdk/github","title":"orgs_list_webhooks","content":"pub fn orgs_list_webhooks(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(OrgHook))\n\nSynonyms:\nmidas/sdk/github.orgs_list_webhooks\nmidas/sdk/github orgs_list_webhooks","url":"midas/sdk/github.html#orgs_list_webhooks"},{"doc":"midas/sdk/github","title":"orgs_ping_webhook","content":"pub fn orgs_ping_webhook(\n  token: String,\n  org: String,\n  hook_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_ping_webhook\nmidas/sdk/github orgs_ping_webhook","url":"midas/sdk/github.html#orgs_ping_webhook"},{"doc":"midas/sdk/github","title":"orgs_redeliver_webhook_delivery","content":"pub fn orgs_redeliver_webhook_delivery(\n  token: String,\n  org: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.orgs_redeliver_webhook_delivery\nmidas/sdk/github orgs_redeliver_webhook_delivery","url":"midas/sdk/github.html#orgs_redeliver_webhook_delivery"},{"doc":"midas/sdk/github","title":"orgs_remove_custom_property","content":"pub fn orgs_remove_custom_property(\n  token: String,\n  org: String,\n  custom_property_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_remove_custom_property\nmidas/sdk/github orgs_remove_custom_property","url":"midas/sdk/github.html#orgs_remove_custom_property"},{"doc":"midas/sdk/github","title":"orgs_remove_member","content":"pub fn orgs_remove_member(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_remove_member\nmidas/sdk/github orgs_remove_member","url":"midas/sdk/github.html#orgs_remove_member"},{"doc":"midas/sdk/github","title":"orgs_remove_membership_for_user","content":"pub fn orgs_remove_membership_for_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_remove_membership_for_user\nmidas/sdk/github orgs_remove_membership_for_user","url":"midas/sdk/github.html#orgs_remove_membership_for_user"},{"doc":"midas/sdk/github","title":"orgs_remove_outside_collaborator","content":"pub fn orgs_remove_outside_collaborator(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_remove_outside_collaborator\nmidas/sdk/github orgs_remove_outside_collaborator","url":"midas/sdk/github.html#orgs_remove_outside_collaborator"},{"doc":"midas/sdk/github","title":"orgs_remove_public_membership_for_authenticated_user","content":"pub fn orgs_remove_public_membership_for_authenticated_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_remove_public_membership_for_authenticated_user\nmidas/sdk/github orgs_remove_public_membership_for_authenticated_user","url":"midas/sdk/github.html#orgs_remove_public_membership_for_authenticated_user"},{"doc":"midas/sdk/github","title":"orgs_remove_security_manager_team","content":"pub fn orgs_remove_security_manager_team(\n  token: String,\n  org: String,\n  team_slug: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_remove_security_manager_team\nmidas/sdk/github orgs_remove_security_manager_team","url":"midas/sdk/github.html#orgs_remove_security_manager_team"},{"doc":"midas/sdk/github","title":"orgs_review_pat_grant_request","content":"pub fn orgs_review_pat_grant_request(\n  token: String,\n  org: String,\n  pat_request_id: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_review_pat_grant_request\nmidas/sdk/github orgs_review_pat_grant_request","url":"midas/sdk/github.html#orgs_review_pat_grant_request"},{"doc":"midas/sdk/github","title":"orgs_review_pat_grant_requests_in_bulk","content":"pub fn orgs_review_pat_grant_requests_in_bulk(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.orgs_review_pat_grant_requests_in_bulk\nmidas/sdk/github orgs_review_pat_grant_requests_in_bulk","url":"midas/sdk/github.html#orgs_review_pat_grant_requests_in_bulk"},{"doc":"midas/sdk/github","title":"orgs_revoke_all_org_roles_team","content":"pub fn orgs_revoke_all_org_roles_team(\n  token: String,\n  org: String,\n  team_slug: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_revoke_all_org_roles_team\nmidas/sdk/github orgs_revoke_all_org_roles_team","url":"midas/sdk/github.html#orgs_revoke_all_org_roles_team"},{"doc":"midas/sdk/github","title":"orgs_revoke_all_org_roles_user","content":"pub fn orgs_revoke_all_org_roles_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_revoke_all_org_roles_user\nmidas/sdk/github orgs_revoke_all_org_roles_user","url":"midas/sdk/github.html#orgs_revoke_all_org_roles_user"},{"doc":"midas/sdk/github","title":"orgs_revoke_org_role_team","content":"pub fn orgs_revoke_org_role_team(\n  token: String,\n  org: String,\n  team_slug: String,\n  role_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_revoke_org_role_team\nmidas/sdk/github orgs_revoke_org_role_team","url":"midas/sdk/github.html#orgs_revoke_org_role_team"},{"doc":"midas/sdk/github","title":"orgs_revoke_org_role_user","content":"pub fn orgs_revoke_org_role_user(\n  token: String,\n  org: String,\n  username: String,\n  role_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_revoke_org_role_user\nmidas/sdk/github orgs_revoke_org_role_user","url":"midas/sdk/github.html#orgs_revoke_org_role_user"},{"doc":"midas/sdk/github","title":"orgs_set_membership_for_user","content":"pub fn orgs_set_membership_for_user(\n  token: String,\n  org: String,\n  username: String,\n  data: BitArray,\n) -&gt; Effect(OrgMembership)\n\nSynonyms:\nmidas/sdk/github.orgs_set_membership_for_user\nmidas/sdk/github orgs_set_membership_for_user","url":"midas/sdk/github.html#orgs_set_membership_for_user"},{"doc":"midas/sdk/github","title":"orgs_set_public_membership_for_authenticated_user","content":"pub fn orgs_set_public_membership_for_authenticated_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_set_public_membership_for_authenticated_user\nmidas/sdk/github orgs_set_public_membership_for_authenticated_user","url":"midas/sdk/github.html#orgs_set_public_membership_for_authenticated_user"},{"doc":"midas/sdk/github","title":"orgs_unblock_user","content":"pub fn orgs_unblock_user(\n  token: String,\n  org: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_unblock_user\nmidas/sdk/github orgs_unblock_user","url":"midas/sdk/github.html#orgs_unblock_user"},{"doc":"midas/sdk/github","title":"orgs_update","content":"pub fn orgs_update(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(OrganizationFull)\n\nSynonyms:\nmidas/sdk/github.orgs_update\nmidas/sdk/github orgs_update","url":"midas/sdk/github.html#orgs_update"},{"doc":"midas/sdk/github","title":"orgs_update_membership_for_authenticated_user","content":"pub fn orgs_update_membership_for_authenticated_user(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(OrgMembership)\n\nSynonyms:\nmidas/sdk/github.orgs_update_membership_for_authenticated_user\nmidas/sdk/github orgs_update_membership_for_authenticated_user","url":"midas/sdk/github.html#orgs_update_membership_for_authenticated_user"},{"doc":"midas/sdk/github","title":"orgs_update_pat_access","content":"pub fn orgs_update_pat_access(\n  token: String,\n  org: String,\n  pat_id: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.orgs_update_pat_access\nmidas/sdk/github orgs_update_pat_access","url":"midas/sdk/github.html#orgs_update_pat_access"},{"doc":"midas/sdk/github","title":"orgs_update_pat_accesses","content":"pub fn orgs_update_pat_accesses(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.orgs_update_pat_accesses\nmidas/sdk/github orgs_update_pat_accesses","url":"midas/sdk/github.html#orgs_update_pat_accesses"},{"doc":"midas/sdk/github","title":"orgs_update_webhook","content":"pub fn orgs_update_webhook(\n  token: String,\n  org: String,\n  hook_id: Int,\n  data: BitArray,\n) -&gt; Effect(OrgHook)\n\nSynonyms:\nmidas/sdk/github.orgs_update_webhook\nmidas/sdk/github orgs_update_webhook","url":"midas/sdk/github.html#orgs_update_webhook"},{"doc":"midas/sdk/github","title":"orgs_update_webhook_config_for_org","content":"pub fn orgs_update_webhook_config_for_org(\n  token: String,\n  org: String,\n  hook_id: Int,\n  data: BitArray,\n) -&gt; Effect(WebhookConfig)\n\nSynonyms:\nmidas/sdk/github.orgs_update_webhook_config_for_org\nmidas/sdk/github orgs_update_webhook_config_for_org","url":"midas/sdk/github.html#orgs_update_webhook_config_for_org"},{"doc":"midas/sdk/github","title":"packages_delete_package_for_authenticated_user","content":"pub fn packages_delete_package_for_authenticated_user(\n  token: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_delete_package_for_authenticated_user\nmidas/sdk/github packages_delete_package_for_authenticated_user","url":"midas/sdk/github.html#packages_delete_package_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_delete_package_for_org","content":"pub fn packages_delete_package_for_org(\n  token: String,\n  org: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_delete_package_for_org\nmidas/sdk/github packages_delete_package_for_org","url":"midas/sdk/github.html#packages_delete_package_for_org"},{"doc":"midas/sdk/github","title":"packages_delete_package_for_user","content":"pub fn packages_delete_package_for_user(\n  token: String,\n  username: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_delete_package_for_user\nmidas/sdk/github packages_delete_package_for_user","url":"midas/sdk/github.html#packages_delete_package_for_user"},{"doc":"midas/sdk/github","title":"packages_delete_package_version_for_authenticated_user","content":"pub fn packages_delete_package_version_for_authenticated_user(\n  token: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_delete_package_version_for_authenticated_user\nmidas/sdk/github packages_delete_package_version_for_authenticated_user","url":"midas/sdk/github.html#packages_delete_package_version_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_delete_package_version_for_org","content":"pub fn packages_delete_package_version_for_org(\n  token: String,\n  org: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_delete_package_version_for_org\nmidas/sdk/github packages_delete_package_version_for_org","url":"midas/sdk/github.html#packages_delete_package_version_for_org"},{"doc":"midas/sdk/github","title":"packages_delete_package_version_for_user","content":"pub fn packages_delete_package_version_for_user(\n  token: String,\n  username: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_delete_package_version_for_user\nmidas/sdk/github packages_delete_package_version_for_user","url":"midas/sdk/github.html#packages_delete_package_version_for_user"},{"doc":"midas/sdk/github","title":"packages_get_all_package_versions_for_package_owned_by_authenticated_user","content":"pub fn packages_get_all_package_versions_for_package_owned_by_authenticated_user(\n  token: String,\n  package_type: String,\n  package_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Effect(List(PackageVersion))\n\nSynonyms:\nmidas/sdk/github.packages_get_all_package_versions_for_package_owned_by_authenticated_user\nmidas/sdk/github packages_get_all_package_versions_for_package_owned_by_authenticated_user","url":"midas/sdk/github.html#packages_get_all_package_versions_for_package_owned_by_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_get_all_package_versions_for_package_owned_by_org","content":"pub fn packages_get_all_package_versions_for_package_owned_by_org(\n  token: String,\n  org: String,\n  package_type: String,\n  package_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Effect(List(PackageVersion))\n\nSynonyms:\nmidas/sdk/github.packages_get_all_package_versions_for_package_owned_by_org\nmidas/sdk/github packages_get_all_package_versions_for_package_owned_by_org","url":"midas/sdk/github.html#packages_get_all_package_versions_for_package_owned_by_org"},{"doc":"midas/sdk/github","title":"packages_get_all_package_versions_for_package_owned_by_user","content":"pub fn packages_get_all_package_versions_for_package_owned_by_user(\n  token: String,\n  username: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Effect(List(PackageVersion))\n\nSynonyms:\nmidas/sdk/github.packages_get_all_package_versions_for_package_owned_by_user\nmidas/sdk/github packages_get_all_package_versions_for_package_owned_by_user","url":"midas/sdk/github.html#packages_get_all_package_versions_for_package_owned_by_user"},{"doc":"midas/sdk/github","title":"packages_get_package_for_authenticated_user","content":"pub fn packages_get_package_for_authenticated_user(\n  token: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Effect(Package)\n\nSynonyms:\nmidas/sdk/github.packages_get_package_for_authenticated_user\nmidas/sdk/github packages_get_package_for_authenticated_user","url":"midas/sdk/github.html#packages_get_package_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_get_package_for_organization","content":"pub fn packages_get_package_for_organization(\n  token: String,\n  org: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Effect(Package)\n\nSynonyms:\nmidas/sdk/github.packages_get_package_for_organization\nmidas/sdk/github packages_get_package_for_organization","url":"midas/sdk/github.html#packages_get_package_for_organization"},{"doc":"midas/sdk/github","title":"packages_get_package_for_user","content":"pub fn packages_get_package_for_user(\n  token: String,\n  username: String,\n  package_type: String,\n  package_name: String,\n) -&gt; Effect(Package)\n\nSynonyms:\nmidas/sdk/github.packages_get_package_for_user\nmidas/sdk/github packages_get_package_for_user","url":"midas/sdk/github.html#packages_get_package_for_user"},{"doc":"midas/sdk/github","title":"packages_get_package_version_for_authenticated_user","content":"pub fn packages_get_package_version_for_authenticated_user(\n  token: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(PackageVersion)\n\nSynonyms:\nmidas/sdk/github.packages_get_package_version_for_authenticated_user\nmidas/sdk/github packages_get_package_version_for_authenticated_user","url":"midas/sdk/github.html#packages_get_package_version_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_get_package_version_for_organization","content":"pub fn packages_get_package_version_for_organization(\n  token: String,\n  org: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(PackageVersion)\n\nSynonyms:\nmidas/sdk/github.packages_get_package_version_for_organization\nmidas/sdk/github packages_get_package_version_for_organization","url":"midas/sdk/github.html#packages_get_package_version_for_organization"},{"doc":"midas/sdk/github","title":"packages_get_package_version_for_user","content":"pub fn packages_get_package_version_for_user(\n  token: String,\n  username: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(PackageVersion)\n\nSynonyms:\nmidas/sdk/github.packages_get_package_version_for_user\nmidas/sdk/github packages_get_package_version_for_user","url":"midas/sdk/github.html#packages_get_package_version_for_user"},{"doc":"midas/sdk/github","title":"packages_list_docker_migration_conflicting_packages_for_authenticated_user","content":"pub fn packages_list_docker_migration_conflicting_packages_for_authenticated_user(\n  token: String,\n) -&gt; Effect(List(Package))\n\nSynonyms:\nmidas/sdk/github.packages_list_docker_migration_conflicting_packages_for_authenticated_user\nmidas/sdk/github packages_list_docker_migration_conflicting_packages_for_authenticated_user","url":"midas/sdk/github.html#packages_list_docker_migration_conflicting_packages_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_list_docker_migration_conflicting_packages_for_organization","content":"pub fn packages_list_docker_migration_conflicting_packages_for_organization(\n  token: String,\n  org: String,\n) -&gt; Effect(List(Package))\n\nSynonyms:\nmidas/sdk/github.packages_list_docker_migration_conflicting_packages_for_organization\nmidas/sdk/github packages_list_docker_migration_conflicting_packages_for_organization","url":"midas/sdk/github.html#packages_list_docker_migration_conflicting_packages_for_organization"},{"doc":"midas/sdk/github","title":"packages_list_docker_migration_conflicting_packages_for_user","content":"pub fn packages_list_docker_migration_conflicting_packages_for_user(\n  token: String,\n  username: String,\n) -&gt; Effect(List(Package))\n\nSynonyms:\nmidas/sdk/github.packages_list_docker_migration_conflicting_packages_for_user\nmidas/sdk/github packages_list_docker_migration_conflicting_packages_for_user","url":"midas/sdk/github.html#packages_list_docker_migration_conflicting_packages_for_user"},{"doc":"midas/sdk/github","title":"packages_list_packages_for_authenticated_user","content":"pub fn packages_list_packages_for_authenticated_user(\n  token: String,\n  package_type package_type: String,\n  visibility visibility: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Package))\n\nSynonyms:\nmidas/sdk/github.packages_list_packages_for_authenticated_user\nmidas/sdk/github packages_list_packages_for_authenticated_user","url":"midas/sdk/github.html#packages_list_packages_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_list_packages_for_organization","content":"pub fn packages_list_packages_for_organization(\n  token: String,\n  org: String,\n  package_type package_type: String,\n  visibility visibility: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Package))\n\nSynonyms:\nmidas/sdk/github.packages_list_packages_for_organization\nmidas/sdk/github packages_list_packages_for_organization","url":"midas/sdk/github.html#packages_list_packages_for_organization"},{"doc":"midas/sdk/github","title":"packages_list_packages_for_user","content":"pub fn packages_list_packages_for_user(\n  token: String,\n  username: String,\n  package_type package_type: String,\n  visibility visibility: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Package))\n\nSynonyms:\nmidas/sdk/github.packages_list_packages_for_user\nmidas/sdk/github packages_list_packages_for_user","url":"midas/sdk/github.html#packages_list_packages_for_user"},{"doc":"midas/sdk/github","title":"packages_restore_package_for_authenticated_user","content":"pub fn packages_restore_package_for_authenticated_user(\n  token: String,\n  package_type: String,\n  package_name: String,\n  token_ token_: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_restore_package_for_authenticated_user\nmidas/sdk/github packages_restore_package_for_authenticated_user","url":"midas/sdk/github.html#packages_restore_package_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_restore_package_for_org","content":"pub fn packages_restore_package_for_org(\n  token: String,\n  org: String,\n  package_type: String,\n  package_name: String,\n  token_ token_: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_restore_package_for_org\nmidas/sdk/github packages_restore_package_for_org","url":"midas/sdk/github.html#packages_restore_package_for_org"},{"doc":"midas/sdk/github","title":"packages_restore_package_for_user","content":"pub fn packages_restore_package_for_user(\n  token: String,\n  username: String,\n  package_type: String,\n  package_name: String,\n  token_ token_: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_restore_package_for_user\nmidas/sdk/github packages_restore_package_for_user","url":"midas/sdk/github.html#packages_restore_package_for_user"},{"doc":"midas/sdk/github","title":"packages_restore_package_version_for_authenticated_user","content":"pub fn packages_restore_package_version_for_authenticated_user(\n  token: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_restore_package_version_for_authenticated_user\nmidas/sdk/github packages_restore_package_version_for_authenticated_user","url":"midas/sdk/github.html#packages_restore_package_version_for_authenticated_user"},{"doc":"midas/sdk/github","title":"packages_restore_package_version_for_org","content":"pub fn packages_restore_package_version_for_org(\n  token: String,\n  org: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_restore_package_version_for_org\nmidas/sdk/github packages_restore_package_version_for_org","url":"midas/sdk/github.html#packages_restore_package_version_for_org"},{"doc":"midas/sdk/github","title":"packages_restore_package_version_for_user","content":"pub fn packages_restore_package_version_for_user(\n  token: String,\n  username: String,\n  package_type: String,\n  package_name: String,\n  package_version_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.packages_restore_package_version_for_user\nmidas/sdk/github packages_restore_package_version_for_user","url":"midas/sdk/github.html#packages_restore_package_version_for_user"},{"doc":"midas/sdk/github","title":"projects_add_collaborator","content":"pub fn projects_add_collaborator(\n  token: String,\n  project_id: Int,\n  username: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.projects_add_collaborator\nmidas/sdk/github projects_add_collaborator","url":"midas/sdk/github.html#projects_add_collaborator"},{"doc":"midas/sdk/github","title":"projects_create_card","content":"pub fn projects_create_card(\n  token: String,\n  column_id: Int,\n) -&gt; Effect(ProjectCard)\n\nSynonyms:\nmidas/sdk/github.projects_create_card\nmidas/sdk/github projects_create_card","url":"midas/sdk/github.html#projects_create_card"},{"doc":"midas/sdk/github","title":"projects_create_column","content":"pub fn projects_create_column(\n  token: String,\n  project_id: Int,\n  data: BitArray,\n) -&gt; Effect(ProjectColumn)\n\nSynonyms:\nmidas/sdk/github.projects_create_column\nmidas/sdk/github projects_create_column","url":"midas/sdk/github.html#projects_create_column"},{"doc":"midas/sdk/github","title":"projects_create_for_authenticated_user","content":"pub fn projects_create_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(Project)\n\nSynonyms:\nmidas/sdk/github.projects_create_for_authenticated_user\nmidas/sdk/github projects_create_for_authenticated_user","url":"midas/sdk/github.html#projects_create_for_authenticated_user"},{"doc":"midas/sdk/github","title":"projects_create_for_org","content":"pub fn projects_create_for_org(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(Project)\n\nSynonyms:\nmidas/sdk/github.projects_create_for_org\nmidas/sdk/github projects_create_for_org","url":"midas/sdk/github.html#projects_create_for_org"},{"doc":"midas/sdk/github","title":"projects_create_for_repo","content":"pub fn projects_create_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Project)\n\nSynonyms:\nmidas/sdk/github.projects_create_for_repo\nmidas/sdk/github projects_create_for_repo","url":"midas/sdk/github.html#projects_create_for_repo"},{"doc":"midas/sdk/github","title":"projects_delete","content":"pub fn projects_delete(\n  token: String,\n  project_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.projects_delete\nmidas/sdk/github projects_delete","url":"midas/sdk/github.html#projects_delete"},{"doc":"midas/sdk/github","title":"projects_delete_card","content":"pub fn projects_delete_card(\n  token: String,\n  card_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.projects_delete_card\nmidas/sdk/github projects_delete_card","url":"midas/sdk/github.html#projects_delete_card"},{"doc":"midas/sdk/github","title":"projects_delete_column","content":"pub fn projects_delete_column(\n  token: String,\n  column_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.projects_delete_column\nmidas/sdk/github projects_delete_column","url":"midas/sdk/github.html#projects_delete_column"},{"doc":"midas/sdk/github","title":"projects_get","content":"pub fn projects_get(\n  token: String,\n  project_id: Int,\n) -&gt; Effect(Project)\n\nSynonyms:\nmidas/sdk/github.projects_get\nmidas/sdk/github projects_get","url":"midas/sdk/github.html#projects_get"},{"doc":"midas/sdk/github","title":"projects_get_card","content":"pub fn projects_get_card(\n  token: String,\n  card_id: Int,\n) -&gt; Effect(ProjectCard)\n\nSynonyms:\nmidas/sdk/github.projects_get_card\nmidas/sdk/github projects_get_card","url":"midas/sdk/github.html#projects_get_card"},{"doc":"midas/sdk/github","title":"projects_get_column","content":"pub fn projects_get_column(\n  token: String,\n  column_id: Int,\n) -&gt; Effect(ProjectColumn)\n\nSynonyms:\nmidas/sdk/github.projects_get_column\nmidas/sdk/github projects_get_column","url":"midas/sdk/github.html#projects_get_column"},{"doc":"midas/sdk/github","title":"projects_get_permission_for_user","content":"pub fn projects_get_permission_for_user(\n  token: String,\n  project_id: Int,\n  username: String,\n) -&gt; Effect(ProjectCollaboratorPermission)\n\nSynonyms:\nmidas/sdk/github.projects_get_permission_for_user\nmidas/sdk/github projects_get_permission_for_user","url":"midas/sdk/github.html#projects_get_permission_for_user"},{"doc":"midas/sdk/github","title":"projects_list_cards","content":"pub fn projects_list_cards(\n  token: String,\n  column_id: Int,\n  archived_state archived_state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(ProjectCard))\n\nSynonyms:\nmidas/sdk/github.projects_list_cards\nmidas/sdk/github projects_list_cards","url":"midas/sdk/github.html#projects_list_cards"},{"doc":"midas/sdk/github","title":"projects_list_collaborators","content":"pub fn projects_list_collaborators(\n  token: String,\n  project_id: Int,\n  affiliation affiliation: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.projects_list_collaborators\nmidas/sdk/github projects_list_collaborators","url":"midas/sdk/github.html#projects_list_collaborators"},{"doc":"midas/sdk/github","title":"projects_list_columns","content":"pub fn projects_list_columns(\n  token: String,\n  project_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(ProjectColumn))\n\nSynonyms:\nmidas/sdk/github.projects_list_columns\nmidas/sdk/github projects_list_columns","url":"midas/sdk/github.html#projects_list_columns"},{"doc":"midas/sdk/github","title":"projects_list_for_org","content":"pub fn projects_list_for_org(\n  token: String,\n  org: String,\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Project))\n\nSynonyms:\nmidas/sdk/github.projects_list_for_org\nmidas/sdk/github projects_list_for_org","url":"midas/sdk/github.html#projects_list_for_org"},{"doc":"midas/sdk/github","title":"projects_list_for_repo","content":"pub fn projects_list_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Project))\n\nSynonyms:\nmidas/sdk/github.projects_list_for_repo\nmidas/sdk/github projects_list_for_repo","url":"midas/sdk/github.html#projects_list_for_repo"},{"doc":"midas/sdk/github","title":"projects_list_for_user","content":"pub fn projects_list_for_user(\n  token: String,\n  username: String,\n  state state: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Project))\n\nSynonyms:\nmidas/sdk/github.projects_list_for_user\nmidas/sdk/github projects_list_for_user","url":"midas/sdk/github.html#projects_list_for_user"},{"doc":"midas/sdk/github","title":"projects_move_card","content":"pub fn projects_move_card(\n  token: String,\n  card_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.projects_move_card\nmidas/sdk/github projects_move_card","url":"midas/sdk/github.html#projects_move_card"},{"doc":"midas/sdk/github","title":"projects_move_column","content":"pub fn projects_move_column(\n  token: String,\n  column_id: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.projects_move_column\nmidas/sdk/github projects_move_column","url":"midas/sdk/github.html#projects_move_column"},{"doc":"midas/sdk/github","title":"projects_remove_collaborator","content":"pub fn projects_remove_collaborator(\n  token: String,\n  project_id: Int,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.projects_remove_collaborator\nmidas/sdk/github projects_remove_collaborator","url":"midas/sdk/github.html#projects_remove_collaborator"},{"doc":"midas/sdk/github","title":"projects_update","content":"pub fn projects_update(\n  token: String,\n  project_id: Int,\n  data: BitArray,\n) -&gt; Effect(Project)\n\nSynonyms:\nmidas/sdk/github.projects_update\nmidas/sdk/github projects_update","url":"midas/sdk/github.html#projects_update"},{"doc":"midas/sdk/github","title":"projects_update_card","content":"pub fn projects_update_card(\n  token: String,\n  card_id: Int,\n  data: BitArray,\n) -&gt; Effect(ProjectCard)\n\nSynonyms:\nmidas/sdk/github.projects_update_card\nmidas/sdk/github projects_update_card","url":"midas/sdk/github.html#projects_update_card"},{"doc":"midas/sdk/github","title":"projects_update_column","content":"pub fn projects_update_column(\n  token: String,\n  column_id: Int,\n  data: BitArray,\n) -&gt; Effect(ProjectColumn)\n\nSynonyms:\nmidas/sdk/github.projects_update_column\nmidas/sdk/github projects_update_column","url":"midas/sdk/github.html#projects_update_column"},{"doc":"midas/sdk/github","title":"pulls_check_if_merged","content":"pub fn pulls_check_if_merged(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.pulls_check_if_merged\nmidas/sdk/github pulls_check_if_merged","url":"midas/sdk/github.html#pulls_check_if_merged"},{"doc":"midas/sdk/github","title":"pulls_create","content":"pub fn pulls_create(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(PullRequest)\n\nSynonyms:\nmidas/sdk/github.pulls_create\nmidas/sdk/github pulls_create","url":"midas/sdk/github.html#pulls_create"},{"doc":"midas/sdk/github","title":"pulls_create_reply_for_review_comment","content":"pub fn pulls_create_reply_for_review_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestReviewComment)\n\nSynonyms:\nmidas/sdk/github.pulls_create_reply_for_review_comment\nmidas/sdk/github pulls_create_reply_for_review_comment","url":"midas/sdk/github.html#pulls_create_reply_for_review_comment"},{"doc":"midas/sdk/github","title":"pulls_create_review","content":"pub fn pulls_create_review(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestReview)\n\nSynonyms:\nmidas/sdk/github.pulls_create_review\nmidas/sdk/github pulls_create_review","url":"midas/sdk/github.html#pulls_create_review"},{"doc":"midas/sdk/github","title":"pulls_create_review_comment","content":"pub fn pulls_create_review_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestReviewComment)\n\nSynonyms:\nmidas/sdk/github.pulls_create_review_comment\nmidas/sdk/github pulls_create_review_comment","url":"midas/sdk/github.html#pulls_create_review_comment"},{"doc":"midas/sdk/github","title":"pulls_delete_pending_review","content":"pub fn pulls_delete_pending_review(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n) -&gt; Effect(PullRequestReview)\n\nSynonyms:\nmidas/sdk/github.pulls_delete_pending_review\nmidas/sdk/github pulls_delete_pending_review","url":"midas/sdk/github.html#pulls_delete_pending_review"},{"doc":"midas/sdk/github","title":"pulls_delete_review_comment","content":"pub fn pulls_delete_review_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.pulls_delete_review_comment\nmidas/sdk/github pulls_delete_review_comment","url":"midas/sdk/github.html#pulls_delete_review_comment"},{"doc":"midas/sdk/github","title":"pulls_dismiss_review","content":"pub fn pulls_dismiss_review(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestReview)\n\nSynonyms:\nmidas/sdk/github.pulls_dismiss_review\nmidas/sdk/github pulls_dismiss_review","url":"midas/sdk/github.html#pulls_dismiss_review"},{"doc":"midas/sdk/github","title":"pulls_get","content":"pub fn pulls_get(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n) -&gt; Effect(PullRequest)\n\nSynonyms:\nmidas/sdk/github.pulls_get\nmidas/sdk/github pulls_get","url":"midas/sdk/github.html#pulls_get"},{"doc":"midas/sdk/github","title":"pulls_get_review","content":"pub fn pulls_get_review(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n) -&gt; Effect(PullRequestReview)\n\nSynonyms:\nmidas/sdk/github.pulls_get_review\nmidas/sdk/github pulls_get_review","url":"midas/sdk/github.html#pulls_get_review"},{"doc":"midas/sdk/github","title":"pulls_get_review_comment","content":"pub fn pulls_get_review_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Effect(PullRequestReviewComment)\n\nSynonyms:\nmidas/sdk/github.pulls_get_review_comment\nmidas/sdk/github pulls_get_review_comment","url":"midas/sdk/github.html#pulls_get_review_comment"},{"doc":"midas/sdk/github","title":"pulls_list","content":"pub fn pulls_list(\n  token: String,\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  head head: Option(String),\n  base_ base_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(PullRequestSimple))\n\nSynonyms:\nmidas/sdk/github.pulls_list\nmidas/sdk/github pulls_list","url":"midas/sdk/github.html#pulls_list"},{"doc":"midas/sdk/github","title":"pulls_list_comments_for_review","content":"pub fn pulls_list_comments_for_review(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(ReviewComment))\n\nSynonyms:\nmidas/sdk/github.pulls_list_comments_for_review\nmidas/sdk/github pulls_list_comments_for_review","url":"midas/sdk/github.html#pulls_list_comments_for_review"},{"doc":"midas/sdk/github","title":"pulls_list_commits","content":"pub fn pulls_list_commits(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Commit))\n\nSynonyms:\nmidas/sdk/github.pulls_list_commits\nmidas/sdk/github pulls_list_commits","url":"midas/sdk/github.html#pulls_list_commits"},{"doc":"midas/sdk/github","title":"pulls_list_files","content":"pub fn pulls_list_files(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(DiffEntry))\n\nSynonyms:\nmidas/sdk/github.pulls_list_files\nmidas/sdk/github pulls_list_files","url":"midas/sdk/github.html#pulls_list_files"},{"doc":"midas/sdk/github","title":"pulls_list_requested_reviewers","content":"pub fn pulls_list_requested_reviewers(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n) -&gt; Effect(PullRequestReviewRequest)\n\nSynonyms:\nmidas/sdk/github.pulls_list_requested_reviewers\nmidas/sdk/github pulls_list_requested_reviewers","url":"midas/sdk/github.html#pulls_list_requested_reviewers"},{"doc":"midas/sdk/github","title":"pulls_list_review_comments","content":"pub fn pulls_list_review_comments(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(PullRequestReviewComment))\n\nSynonyms:\nmidas/sdk/github.pulls_list_review_comments\nmidas/sdk/github pulls_list_review_comments","url":"midas/sdk/github.html#pulls_list_review_comments"},{"doc":"midas/sdk/github","title":"pulls_list_review_comments_for_repo","content":"pub fn pulls_list_review_comments_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  sort sort: Option(String),\n  direction direction: Option(String),\n  since since: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(PullRequestReviewComment))\n\nSynonyms:\nmidas/sdk/github.pulls_list_review_comments_for_repo\nmidas/sdk/github pulls_list_review_comments_for_repo","url":"midas/sdk/github.html#pulls_list_review_comments_for_repo"},{"doc":"midas/sdk/github","title":"pulls_list_reviews","content":"pub fn pulls_list_reviews(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(PullRequestReview))\n\nSynonyms:\nmidas/sdk/github.pulls_list_reviews\nmidas/sdk/github pulls_list_reviews","url":"midas/sdk/github.html#pulls_list_reviews"},{"doc":"midas/sdk/github","title":"pulls_merge","content":"pub fn pulls_merge(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestMergeResult)\n\nSynonyms:\nmidas/sdk/github.pulls_merge\nmidas/sdk/github pulls_merge","url":"midas/sdk/github.html#pulls_merge"},{"doc":"midas/sdk/github","title":"pulls_remove_requested_reviewers","content":"pub fn pulls_remove_requested_reviewers(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestSimple)\n\nSynonyms:\nmidas/sdk/github.pulls_remove_requested_reviewers\nmidas/sdk/github pulls_remove_requested_reviewers","url":"midas/sdk/github.html#pulls_remove_requested_reviewers"},{"doc":"midas/sdk/github","title":"pulls_request_reviewers","content":"pub fn pulls_request_reviewers(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestSimple)\n\nSynonyms:\nmidas/sdk/github.pulls_request_reviewers\nmidas/sdk/github pulls_request_reviewers","url":"midas/sdk/github.html#pulls_request_reviewers"},{"doc":"midas/sdk/github","title":"pulls_submit_review","content":"pub fn pulls_submit_review(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestReview)\n\nSynonyms:\nmidas/sdk/github.pulls_submit_review\nmidas/sdk/github pulls_submit_review","url":"midas/sdk/github.html#pulls_submit_review"},{"doc":"midas/sdk/github","title":"pulls_update","content":"pub fn pulls_update(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequest)\n\nSynonyms:\nmidas/sdk/github.pulls_update\nmidas/sdk/github pulls_update","url":"midas/sdk/github.html#pulls_update"},{"doc":"midas/sdk/github","title":"pulls_update_branch","content":"pub fn pulls_update_branch(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.pulls_update_branch\nmidas/sdk/github pulls_update_branch","url":"midas/sdk/github.html#pulls_update_branch"},{"doc":"midas/sdk/github","title":"pulls_update_review","content":"pub fn pulls_update_review(\n  token: String,\n  owner: String,\n  repo: String,\n  pull_number: Int,\n  review_id: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestReview)\n\nSynonyms:\nmidas/sdk/github.pulls_update_review\nmidas/sdk/github pulls_update_review","url":"midas/sdk/github.html#pulls_update_review"},{"doc":"midas/sdk/github","title":"pulls_update_review_comment","content":"pub fn pulls_update_review_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(PullRequestReviewComment)\n\nSynonyms:\nmidas/sdk/github.pulls_update_review_comment\nmidas/sdk/github pulls_update_review_comment","url":"midas/sdk/github.html#pulls_update_review_comment"},{"doc":"midas/sdk/github","title":"rate_limit_get","content":"pub fn rate_limit_get(token: String) -&gt; Effect(RateLimitOverview)\n\nSynonyms:\nmidas/sdk/github.rate_limit_get\nmidas/sdk/github rate_limit_get","url":"midas/sdk/github.html#rate_limit_get"},{"doc":"midas/sdk/github","title":"reactions_create_for_commit_comment","content":"pub fn reactions_create_for_commit_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_commit_comment\nmidas/sdk/github reactions_create_for_commit_comment","url":"midas/sdk/github.html#reactions_create_for_commit_comment"},{"doc":"midas/sdk/github","title":"reactions_create_for_issue","content":"pub fn reactions_create_for_issue(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_issue\nmidas/sdk/github reactions_create_for_issue","url":"midas/sdk/github.html#reactions_create_for_issue"},{"doc":"midas/sdk/github","title":"reactions_create_for_issue_comment","content":"pub fn reactions_create_for_issue_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_issue_comment\nmidas/sdk/github reactions_create_for_issue_comment","url":"midas/sdk/github.html#reactions_create_for_issue_comment"},{"doc":"midas/sdk/github","title":"reactions_create_for_pull_request_review_comment","content":"pub fn reactions_create_for_pull_request_review_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_pull_request_review_comment\nmidas/sdk/github reactions_create_for_pull_request_review_comment","url":"midas/sdk/github.html#reactions_create_for_pull_request_review_comment"},{"doc":"midas/sdk/github","title":"reactions_create_for_release","content":"pub fn reactions_create_for_release(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_release\nmidas/sdk/github reactions_create_for_release","url":"midas/sdk/github.html#reactions_create_for_release"},{"doc":"midas/sdk/github","title":"reactions_create_for_team_discussion_comment_in_org","content":"pub fn reactions_create_for_team_discussion_comment_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_team_discussion_comment_in_org\nmidas/sdk/github reactions_create_for_team_discussion_comment_in_org","url":"midas/sdk/github.html#reactions_create_for_team_discussion_comment_in_org"},{"doc":"midas/sdk/github","title":"reactions_create_for_team_discussion_comment_legacy","content":"pub fn reactions_create_for_team_discussion_comment_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_team_discussion_comment_legacy\nmidas/sdk/github reactions_create_for_team_discussion_comment_legacy","url":"midas/sdk/github.html#reactions_create_for_team_discussion_comment_legacy"},{"doc":"midas/sdk/github","title":"reactions_create_for_team_discussion_in_org","content":"pub fn reactions_create_for_team_discussion_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_team_discussion_in_org\nmidas/sdk/github reactions_create_for_team_discussion_in_org","url":"midas/sdk/github.html#reactions_create_for_team_discussion_in_org"},{"doc":"midas/sdk/github","title":"reactions_create_for_team_discussion_legacy","content":"pub fn reactions_create_for_team_discussion_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  data: BitArray,\n) -&gt; Effect(Reaction)\n\nSynonyms:\nmidas/sdk/github.reactions_create_for_team_discussion_legacy\nmidas/sdk/github reactions_create_for_team_discussion_legacy","url":"midas/sdk/github.html#reactions_create_for_team_discussion_legacy"},{"doc":"midas/sdk/github","title":"reactions_delete_for_commit_comment","content":"pub fn reactions_delete_for_commit_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  reaction_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.reactions_delete_for_commit_comment\nmidas/sdk/github reactions_delete_for_commit_comment","url":"midas/sdk/github.html#reactions_delete_for_commit_comment"},{"doc":"midas/sdk/github","title":"reactions_delete_for_issue","content":"pub fn reactions_delete_for_issue(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  reaction_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.reactions_delete_for_issue\nmidas/sdk/github reactions_delete_for_issue","url":"midas/sdk/github.html#reactions_delete_for_issue"},{"doc":"midas/sdk/github","title":"reactions_delete_for_issue_comment","content":"pub fn reactions_delete_for_issue_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  reaction_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.reactions_delete_for_issue_comment\nmidas/sdk/github reactions_delete_for_issue_comment","url":"midas/sdk/github.html#reactions_delete_for_issue_comment"},{"doc":"midas/sdk/github","title":"reactions_delete_for_pull_request_comment","content":"pub fn reactions_delete_for_pull_request_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  reaction_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.reactions_delete_for_pull_request_comment\nmidas/sdk/github reactions_delete_for_pull_request_comment","url":"midas/sdk/github.html#reactions_delete_for_pull_request_comment"},{"doc":"midas/sdk/github","title":"reactions_delete_for_release","content":"pub fn reactions_delete_for_release(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n  reaction_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.reactions_delete_for_release\nmidas/sdk/github reactions_delete_for_release","url":"midas/sdk/github.html#reactions_delete_for_release"},{"doc":"midas/sdk/github","title":"reactions_delete_for_team_discussion","content":"pub fn reactions_delete_for_team_discussion(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  reaction_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.reactions_delete_for_team_discussion\nmidas/sdk/github reactions_delete_for_team_discussion","url":"midas/sdk/github.html#reactions_delete_for_team_discussion"},{"doc":"midas/sdk/github","title":"reactions_delete_for_team_discussion_comment","content":"pub fn reactions_delete_for_team_discussion_comment(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  reaction_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.reactions_delete_for_team_discussion_comment\nmidas/sdk/github reactions_delete_for_team_discussion_comment","url":"midas/sdk/github.html#reactions_delete_for_team_discussion_comment"},{"doc":"midas/sdk/github","title":"reactions_list_for_commit_comment","content":"pub fn reactions_list_for_commit_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_commit_comment\nmidas/sdk/github reactions_list_for_commit_comment","url":"midas/sdk/github.html#reactions_list_for_commit_comment"},{"doc":"midas/sdk/github","title":"reactions_list_for_issue","content":"pub fn reactions_list_for_issue(\n  token: String,\n  owner: String,\n  repo: String,\n  issue_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_issue\nmidas/sdk/github reactions_list_for_issue","url":"midas/sdk/github.html#reactions_list_for_issue"},{"doc":"midas/sdk/github","title":"reactions_list_for_issue_comment","content":"pub fn reactions_list_for_issue_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_issue_comment\nmidas/sdk/github reactions_list_for_issue_comment","url":"midas/sdk/github.html#reactions_list_for_issue_comment"},{"doc":"midas/sdk/github","title":"reactions_list_for_pull_request_review_comment","content":"pub fn reactions_list_for_pull_request_review_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_pull_request_review_comment\nmidas/sdk/github reactions_list_for_pull_request_review_comment","url":"midas/sdk/github.html#reactions_list_for_pull_request_review_comment"},{"doc":"midas/sdk/github","title":"reactions_list_for_release","content":"pub fn reactions_list_for_release(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_release\nmidas/sdk/github reactions_list_for_release","url":"midas/sdk/github.html#reactions_list_for_release"},{"doc":"midas/sdk/github","title":"reactions_list_for_team_discussion_comment_in_org","content":"pub fn reactions_list_for_team_discussion_comment_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_team_discussion_comment_in_org\nmidas/sdk/github reactions_list_for_team_discussion_comment_in_org","url":"midas/sdk/github.html#reactions_list_for_team_discussion_comment_in_org"},{"doc":"midas/sdk/github","title":"reactions_list_for_team_discussion_comment_legacy","content":"pub fn reactions_list_for_team_discussion_comment_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_team_discussion_comment_legacy\nmidas/sdk/github reactions_list_for_team_discussion_comment_legacy","url":"midas/sdk/github.html#reactions_list_for_team_discussion_comment_legacy"},{"doc":"midas/sdk/github","title":"reactions_list_for_team_discussion_in_org","content":"pub fn reactions_list_for_team_discussion_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_team_discussion_in_org\nmidas/sdk/github reactions_list_for_team_discussion_in_org","url":"midas/sdk/github.html#reactions_list_for_team_discussion_in_org"},{"doc":"midas/sdk/github","title":"reactions_list_for_team_discussion_legacy","content":"pub fn reactions_list_for_team_discussion_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  content content: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Reaction))\n\nSynonyms:\nmidas/sdk/github.reactions_list_for_team_discussion_legacy\nmidas/sdk/github reactions_list_for_team_discussion_legacy","url":"midas/sdk/github.html#reactions_list_for_team_discussion_legacy"},{"doc":"midas/sdk/github","title":"repos_accept_invitation_for_authenticated_user","content":"pub fn repos_accept_invitation_for_authenticated_user(\n  token: String,\n  invitation_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_accept_invitation_for_authenticated_user\nmidas/sdk/github repos_accept_invitation_for_authenticated_user","url":"midas/sdk/github.html#repos_accept_invitation_for_authenticated_user"},{"doc":"midas/sdk/github","title":"repos_add_app_access_restrictions","content":"pub fn repos_add_app_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(List(Integration))\n\nSynonyms:\nmidas/sdk/github.repos_add_app_access_restrictions\nmidas/sdk/github repos_add_app_access_restrictions","url":"midas/sdk/github.html#repos_add_app_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_add_collaborator","content":"pub fn repos_add_collaborator(\n  token: String,\n  owner: String,\n  repo: String,\n  username: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_add_collaborator\nmidas/sdk/github repos_add_collaborator","url":"midas/sdk/github.html#repos_add_collaborator"},{"doc":"midas/sdk/github","title":"repos_add_status_check_contexts","content":"pub fn repos_add_status_check_contexts(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_add_status_check_contexts\nmidas/sdk/github repos_add_status_check_contexts","url":"midas/sdk/github.html#repos_add_status_check_contexts"},{"doc":"midas/sdk/github","title":"repos_add_team_access_restrictions","content":"pub fn repos_add_team_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.repos_add_team_access_restrictions\nmidas/sdk/github repos_add_team_access_restrictions","url":"midas/sdk/github.html#repos_add_team_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_add_user_access_restrictions","content":"pub fn repos_add_user_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.repos_add_user_access_restrictions\nmidas/sdk/github repos_add_user_access_restrictions","url":"midas/sdk/github.html#repos_add_user_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_cancel_pages_deployment","content":"pub fn repos_cancel_pages_deployment(\n  token: String,\n  owner: String,\n  repo: String,\n  pages_deployment_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_cancel_pages_deployment\nmidas/sdk/github repos_cancel_pages_deployment","url":"midas/sdk/github.html#repos_cancel_pages_deployment"},{"doc":"midas/sdk/github","title":"repos_check_automated_security_fixes","content":"pub fn repos_check_automated_security_fixes(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(CheckAutomatedSecurityFixes)\n\nSynonyms:\nmidas/sdk/github.repos_check_automated_security_fixes\nmidas/sdk/github repos_check_automated_security_fixes","url":"midas/sdk/github.html#repos_check_automated_security_fixes"},{"doc":"midas/sdk/github","title":"repos_check_collaborator","content":"pub fn repos_check_collaborator(\n  token: String,\n  owner: String,\n  repo: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_check_collaborator\nmidas/sdk/github repos_check_collaborator","url":"midas/sdk/github.html#repos_check_collaborator"},{"doc":"midas/sdk/github","title":"repos_check_private_vulnerability_reporting","content":"pub fn repos_check_private_vulnerability_reporting(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_check_private_vulnerability_reporting\nmidas/sdk/github repos_check_private_vulnerability_reporting","url":"midas/sdk/github.html#repos_check_private_vulnerability_reporting"},{"doc":"midas/sdk/github","title":"repos_check_vulnerability_alerts","content":"pub fn repos_check_vulnerability_alerts(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_check_vulnerability_alerts\nmidas/sdk/github repos_check_vulnerability_alerts","url":"midas/sdk/github.html#repos_check_vulnerability_alerts"},{"doc":"midas/sdk/github","title":"repos_codeowners_errors","content":"pub fn repos_codeowners_errors(\n  token: String,\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n) -&gt; Effect(CodeownersErrors)\n\nSynonyms:\nmidas/sdk/github.repos_codeowners_errors\nmidas/sdk/github repos_codeowners_errors","url":"midas/sdk/github.html#repos_codeowners_errors"},{"doc":"midas/sdk/github","title":"repos_compare_commits","content":"pub fn repos_compare_commits(\n  token: String,\n  owner: String,\n  repo: String,\n  basehead: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(CommitComparison)\n\nSynonyms:\nmidas/sdk/github.repos_compare_commits\nmidas/sdk/github repos_compare_commits","url":"midas/sdk/github.html#repos_compare_commits"},{"doc":"midas/sdk/github","title":"repos_create_attestation","content":"pub fn repos_create_attestation(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_create_attestation\nmidas/sdk/github repos_create_attestation","url":"midas/sdk/github.html#repos_create_attestation"},{"doc":"midas/sdk/github","title":"repos_create_autolink","content":"pub fn repos_create_autolink(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Autolink)\n\nSynonyms:\nmidas/sdk/github.repos_create_autolink\nmidas/sdk/github repos_create_autolink","url":"midas/sdk/github.html#repos_create_autolink"},{"doc":"midas/sdk/github","title":"repos_create_commit_comment","content":"pub fn repos_create_commit_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  commit_sha: String,\n  data: BitArray,\n) -&gt; Effect(CommitComment)\n\nSynonyms:\nmidas/sdk/github.repos_create_commit_comment\nmidas/sdk/github repos_create_commit_comment","url":"midas/sdk/github.html#repos_create_commit_comment"},{"doc":"midas/sdk/github","title":"repos_create_commit_signature_protection","content":"pub fn repos_create_commit_signature_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(ProtectedBranchAdminEnforced)\n\nSynonyms:\nmidas/sdk/github.repos_create_commit_signature_protection\nmidas/sdk/github repos_create_commit_signature_protection","url":"midas/sdk/github.html#repos_create_commit_signature_protection"},{"doc":"midas/sdk/github","title":"repos_create_commit_status","content":"pub fn repos_create_commit_status(\n  token: String,\n  owner: String,\n  repo: String,\n  sha: String,\n  data: BitArray,\n) -&gt; Effect(Status)\n\nSynonyms:\nmidas/sdk/github.repos_create_commit_status\nmidas/sdk/github repos_create_commit_status","url":"midas/sdk/github.html#repos_create_commit_status"},{"doc":"midas/sdk/github","title":"repos_create_deploy_key","content":"pub fn repos_create_deploy_key(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(DeployKey)\n\nSynonyms:\nmidas/sdk/github.repos_create_deploy_key\nmidas/sdk/github repos_create_deploy_key","url":"midas/sdk/github.html#repos_create_deploy_key"},{"doc":"midas/sdk/github","title":"repos_create_deployment","content":"pub fn repos_create_deployment(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Deployment)\n\nSynonyms:\nmidas/sdk/github.repos_create_deployment\nmidas/sdk/github repos_create_deployment","url":"midas/sdk/github.html#repos_create_deployment"},{"doc":"midas/sdk/github","title":"repos_create_deployment_branch_policy","content":"pub fn repos_create_deployment_branch_policy(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  deployment_branch_policy_name_pattern_with_type: DeploymentBranchPolicyNamePatternWithType,\n) -&gt; Effect(DeploymentBranchPolicy)\n\nSynonyms:\nmidas/sdk/github.repos_create_deployment_branch_policy\nmidas/sdk/github repos_create_deployment_branch_policy","url":"midas/sdk/github.html#repos_create_deployment_branch_policy"},{"doc":"midas/sdk/github","title":"repos_create_deployment_protection_rule","content":"pub fn repos_create_deployment_protection_rule(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  data: BitArray,\n) -&gt; Effect(DeploymentProtectionRule)\n\nSynonyms:\nmidas/sdk/github.repos_create_deployment_protection_rule\nmidas/sdk/github repos_create_deployment_protection_rule","url":"midas/sdk/github.html#repos_create_deployment_protection_rule"},{"doc":"midas/sdk/github","title":"repos_create_deployment_status","content":"pub fn repos_create_deployment_status(\n  token: String,\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n  data: BitArray,\n) -&gt; Effect(DeploymentStatus)\n\nSynonyms:\nmidas/sdk/github.repos_create_deployment_status\nmidas/sdk/github repos_create_deployment_status","url":"midas/sdk/github.html#repos_create_deployment_status"},{"doc":"midas/sdk/github","title":"repos_create_dispatch_event","content":"pub fn repos_create_dispatch_event(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_create_dispatch_event\nmidas/sdk/github repos_create_dispatch_event","url":"midas/sdk/github.html#repos_create_dispatch_event"},{"doc":"midas/sdk/github","title":"repos_create_for_authenticated_user","content":"pub fn repos_create_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(FullRepository)\n\nSynonyms:\nmidas/sdk/github.repos_create_for_authenticated_user\nmidas/sdk/github repos_create_for_authenticated_user","url":"midas/sdk/github.html#repos_create_for_authenticated_user"},{"doc":"midas/sdk/github","title":"repos_create_fork","content":"pub fn repos_create_fork(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(FullRepository)\n\nSynonyms:\nmidas/sdk/github.repos_create_fork\nmidas/sdk/github repos_create_fork","url":"midas/sdk/github.html#repos_create_fork"},{"doc":"midas/sdk/github","title":"repos_create_in_org","content":"pub fn repos_create_in_org(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(FullRepository)\n\nSynonyms:\nmidas/sdk/github.repos_create_in_org\nmidas/sdk/github repos_create_in_org","url":"midas/sdk/github.html#repos_create_in_org"},{"doc":"midas/sdk/github","title":"repos_create_or_update_custom_properties_values","content":"pub fn repos_create_or_update_custom_properties_values(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_create_or_update_custom_properties_values\nmidas/sdk/github repos_create_or_update_custom_properties_values","url":"midas/sdk/github.html#repos_create_or_update_custom_properties_values"},{"doc":"midas/sdk/github","title":"repos_create_or_update_environment","content":"pub fn repos_create_or_update_environment(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  data: BitArray,\n) -&gt; Effect(Environment)\n\nSynonyms:\nmidas/sdk/github.repos_create_or_update_environment\nmidas/sdk/github repos_create_or_update_environment","url":"midas/sdk/github.html#repos_create_or_update_environment"},{"doc":"midas/sdk/github","title":"repos_create_or_update_file_contents","content":"pub fn repos_create_or_update_file_contents(\n  token: String,\n  owner: String,\n  repo: String,\n  path_: String,\n  data: BitArray,\n) -&gt; Effect(FileCommit)\n\nSynonyms:\nmidas/sdk/github.repos_create_or_update_file_contents\nmidas/sdk/github repos_create_or_update_file_contents","url":"midas/sdk/github.html#repos_create_or_update_file_contents"},{"doc":"midas/sdk/github","title":"repos_create_org_ruleset","content":"pub fn repos_create_org_ruleset(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(RepositoryRuleset)\n\nSynonyms:\nmidas/sdk/github.repos_create_org_ruleset\nmidas/sdk/github repos_create_org_ruleset","url":"midas/sdk/github.html#repos_create_org_ruleset"},{"doc":"midas/sdk/github","title":"repos_create_pages_deployment","content":"pub fn repos_create_pages_deployment(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(PageDeployment)\n\nSynonyms:\nmidas/sdk/github.repos_create_pages_deployment\nmidas/sdk/github repos_create_pages_deployment","url":"midas/sdk/github.html#repos_create_pages_deployment"},{"doc":"midas/sdk/github","title":"repos_create_pages_site","content":"pub fn repos_create_pages_site(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Page)\n\nSynonyms:\nmidas/sdk/github.repos_create_pages_site\nmidas/sdk/github repos_create_pages_site","url":"midas/sdk/github.html#repos_create_pages_site"},{"doc":"midas/sdk/github","title":"repos_create_release","content":"pub fn repos_create_release(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Release)\n\nSynonyms:\nmidas/sdk/github.repos_create_release\nmidas/sdk/github repos_create_release","url":"midas/sdk/github.html#repos_create_release"},{"doc":"midas/sdk/github","title":"repos_create_repo_ruleset","content":"pub fn repos_create_repo_ruleset(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(RepositoryRuleset)\n\nSynonyms:\nmidas/sdk/github.repos_create_repo_ruleset\nmidas/sdk/github repos_create_repo_ruleset","url":"midas/sdk/github.html#repos_create_repo_ruleset"},{"doc":"midas/sdk/github","title":"repos_create_tag_protection","content":"pub fn repos_create_tag_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(TagProtection)\n\nSynonyms:\nmidas/sdk/github.repos_create_tag_protection\nmidas/sdk/github repos_create_tag_protection","url":"midas/sdk/github.html#repos_create_tag_protection"},{"doc":"midas/sdk/github","title":"repos_create_using_template","content":"pub fn repos_create_using_template(\n  token: String,\n  template_owner: String,\n  template_repo: String,\n  data: BitArray,\n) -&gt; Effect(FullRepository)\n\nSynonyms:\nmidas/sdk/github.repos_create_using_template\nmidas/sdk/github repos_create_using_template","url":"midas/sdk/github.html#repos_create_using_template"},{"doc":"midas/sdk/github","title":"repos_create_webhook","content":"pub fn repos_create_webhook(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/github.repos_create_webhook\nmidas/sdk/github repos_create_webhook","url":"midas/sdk/github.html#repos_create_webhook"},{"doc":"midas/sdk/github","title":"repos_decline_invitation_for_authenticated_user","content":"pub fn repos_decline_invitation_for_authenticated_user(\n  token: String,\n  invitation_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_decline_invitation_for_authenticated_user\nmidas/sdk/github repos_decline_invitation_for_authenticated_user","url":"midas/sdk/github.html#repos_decline_invitation_for_authenticated_user"},{"doc":"midas/sdk/github","title":"repos_delete","content":"pub fn repos_delete(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete\nmidas/sdk/github repos_delete","url":"midas/sdk/github.html#repos_delete"},{"doc":"midas/sdk/github","title":"repos_delete_access_restrictions","content":"pub fn repos_delete_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_access_restrictions\nmidas/sdk/github repos_delete_access_restrictions","url":"midas/sdk/github.html#repos_delete_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_delete_admin_branch_protection","content":"pub fn repos_delete_admin_branch_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_admin_branch_protection\nmidas/sdk/github repos_delete_admin_branch_protection","url":"midas/sdk/github.html#repos_delete_admin_branch_protection"},{"doc":"midas/sdk/github","title":"repos_delete_an_environment","content":"pub fn repos_delete_an_environment(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_an_environment\nmidas/sdk/github repos_delete_an_environment","url":"midas/sdk/github.html#repos_delete_an_environment"},{"doc":"midas/sdk/github","title":"repos_delete_autolink","content":"pub fn repos_delete_autolink(\n  token: String,\n  owner: String,\n  repo: String,\n  autolink_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_autolink\nmidas/sdk/github repos_delete_autolink","url":"midas/sdk/github.html#repos_delete_autolink"},{"doc":"midas/sdk/github","title":"repos_delete_branch_protection","content":"pub fn repos_delete_branch_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_branch_protection\nmidas/sdk/github repos_delete_branch_protection","url":"midas/sdk/github.html#repos_delete_branch_protection"},{"doc":"midas/sdk/github","title":"repos_delete_commit_comment","content":"pub fn repos_delete_commit_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_commit_comment\nmidas/sdk/github repos_delete_commit_comment","url":"midas/sdk/github.html#repos_delete_commit_comment"},{"doc":"midas/sdk/github","title":"repos_delete_commit_signature_protection","content":"pub fn repos_delete_commit_signature_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_commit_signature_protection\nmidas/sdk/github repos_delete_commit_signature_protection","url":"midas/sdk/github.html#repos_delete_commit_signature_protection"},{"doc":"midas/sdk/github","title":"repos_delete_deploy_key","content":"pub fn repos_delete_deploy_key(\n  token: String,\n  owner: String,\n  repo: String,\n  key_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_deploy_key\nmidas/sdk/github repos_delete_deploy_key","url":"midas/sdk/github.html#repos_delete_deploy_key"},{"doc":"midas/sdk/github","title":"repos_delete_deployment","content":"pub fn repos_delete_deployment(\n  token: String,\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_deployment\nmidas/sdk/github repos_delete_deployment","url":"midas/sdk/github.html#repos_delete_deployment"},{"doc":"midas/sdk/github","title":"repos_delete_deployment_branch_policy","content":"pub fn repos_delete_deployment_branch_policy(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  branch_policy_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_deployment_branch_policy\nmidas/sdk/github repos_delete_deployment_branch_policy","url":"midas/sdk/github.html#repos_delete_deployment_branch_policy"},{"doc":"midas/sdk/github","title":"repos_delete_file","content":"pub fn repos_delete_file(\n  token: String,\n  owner: String,\n  repo: String,\n  path_: String,\n  data: BitArray,\n) -&gt; Effect(FileCommit)\n\nSynonyms:\nmidas/sdk/github.repos_delete_file\nmidas/sdk/github repos_delete_file","url":"midas/sdk/github.html#repos_delete_file"},{"doc":"midas/sdk/github","title":"repos_delete_invitation","content":"pub fn repos_delete_invitation(\n  token: String,\n  owner: String,\n  repo: String,\n  invitation_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_invitation\nmidas/sdk/github repos_delete_invitation","url":"midas/sdk/github.html#repos_delete_invitation"},{"doc":"midas/sdk/github","title":"repos_delete_org_ruleset","content":"pub fn repos_delete_org_ruleset(\n  token: String,\n  org: String,\n  ruleset_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_org_ruleset\nmidas/sdk/github repos_delete_org_ruleset","url":"midas/sdk/github.html#repos_delete_org_ruleset"},{"doc":"midas/sdk/github","title":"repos_delete_pages_site","content":"pub fn repos_delete_pages_site(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_pages_site\nmidas/sdk/github repos_delete_pages_site","url":"midas/sdk/github.html#repos_delete_pages_site"},{"doc":"midas/sdk/github","title":"repos_delete_pull_request_review_protection","content":"pub fn repos_delete_pull_request_review_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_pull_request_review_protection\nmidas/sdk/github repos_delete_pull_request_review_protection","url":"midas/sdk/github.html#repos_delete_pull_request_review_protection"},{"doc":"midas/sdk/github","title":"repos_delete_release","content":"pub fn repos_delete_release(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_release\nmidas/sdk/github repos_delete_release","url":"midas/sdk/github.html#repos_delete_release"},{"doc":"midas/sdk/github","title":"repos_delete_release_asset","content":"pub fn repos_delete_release_asset(\n  token: String,\n  owner: String,\n  repo: String,\n  asset_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_release_asset\nmidas/sdk/github repos_delete_release_asset","url":"midas/sdk/github.html#repos_delete_release_asset"},{"doc":"midas/sdk/github","title":"repos_delete_repo_ruleset","content":"pub fn repos_delete_repo_ruleset(\n  token: String,\n  owner: String,\n  repo: String,\n  ruleset_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_repo_ruleset\nmidas/sdk/github repos_delete_repo_ruleset","url":"midas/sdk/github.html#repos_delete_repo_ruleset"},{"doc":"midas/sdk/github","title":"repos_delete_tag_protection","content":"pub fn repos_delete_tag_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  tag_protection_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_tag_protection\nmidas/sdk/github repos_delete_tag_protection","url":"midas/sdk/github.html#repos_delete_tag_protection"},{"doc":"midas/sdk/github","title":"repos_delete_webhook","content":"pub fn repos_delete_webhook(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_delete_webhook\nmidas/sdk/github repos_delete_webhook","url":"midas/sdk/github.html#repos_delete_webhook"},{"doc":"midas/sdk/github","title":"repos_disable_automated_security_fixes","content":"pub fn repos_disable_automated_security_fixes(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_disable_automated_security_fixes\nmidas/sdk/github repos_disable_automated_security_fixes","url":"midas/sdk/github.html#repos_disable_automated_security_fixes"},{"doc":"midas/sdk/github","title":"repos_disable_deployment_protection_rule","content":"pub fn repos_disable_deployment_protection_rule(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  protection_rule_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_disable_deployment_protection_rule\nmidas/sdk/github repos_disable_deployment_protection_rule","url":"midas/sdk/github.html#repos_disable_deployment_protection_rule"},{"doc":"midas/sdk/github","title":"repos_disable_private_vulnerability_reporting","content":"pub fn repos_disable_private_vulnerability_reporting(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_disable_private_vulnerability_reporting\nmidas/sdk/github repos_disable_private_vulnerability_reporting","url":"midas/sdk/github.html#repos_disable_private_vulnerability_reporting"},{"doc":"midas/sdk/github","title":"repos_disable_vulnerability_alerts","content":"pub fn repos_disable_vulnerability_alerts(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_disable_vulnerability_alerts\nmidas/sdk/github repos_disable_vulnerability_alerts","url":"midas/sdk/github.html#repos_disable_vulnerability_alerts"},{"doc":"midas/sdk/github","title":"repos_download_tarball_archive","content":"pub fn repos_download_tarball_archive(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.repos_download_tarball_archive\nmidas/sdk/github repos_download_tarball_archive","url":"midas/sdk/github.html#repos_download_tarball_archive"},{"doc":"midas/sdk/github","title":"repos_download_zipball_archive","content":"pub fn repos_download_zipball_archive(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.repos_download_zipball_archive\nmidas/sdk/github repos_download_zipball_archive","url":"midas/sdk/github.html#repos_download_zipball_archive"},{"doc":"midas/sdk/github","title":"repos_enable_automated_security_fixes","content":"pub fn repos_enable_automated_security_fixes(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_enable_automated_security_fixes\nmidas/sdk/github repos_enable_automated_security_fixes","url":"midas/sdk/github.html#repos_enable_automated_security_fixes"},{"doc":"midas/sdk/github","title":"repos_enable_private_vulnerability_reporting","content":"pub fn repos_enable_private_vulnerability_reporting(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_enable_private_vulnerability_reporting\nmidas/sdk/github repos_enable_private_vulnerability_reporting","url":"midas/sdk/github.html#repos_enable_private_vulnerability_reporting"},{"doc":"midas/sdk/github","title":"repos_enable_vulnerability_alerts","content":"pub fn repos_enable_vulnerability_alerts(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_enable_vulnerability_alerts\nmidas/sdk/github repos_enable_vulnerability_alerts","url":"midas/sdk/github.html#repos_enable_vulnerability_alerts"},{"doc":"midas/sdk/github","title":"repos_generate_release_notes","content":"pub fn repos_generate_release_notes(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(ReleaseNotesContent)\n\nSynonyms:\nmidas/sdk/github.repos_generate_release_notes\nmidas/sdk/github repos_generate_release_notes","url":"midas/sdk/github.html#repos_generate_release_notes"},{"doc":"midas/sdk/github","title":"repos_get","content":"pub fn repos_get(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(FullRepository)\n\nSynonyms:\nmidas/sdk/github.repos_get\nmidas/sdk/github repos_get","url":"midas/sdk/github.html#repos_get"},{"doc":"midas/sdk/github","title":"repos_get_access_restrictions","content":"pub fn repos_get_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(BranchRestrictionPolicy)\n\nSynonyms:\nmidas/sdk/github.repos_get_access_restrictions\nmidas/sdk/github repos_get_access_restrictions","url":"midas/sdk/github.html#repos_get_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_get_admin_branch_protection","content":"pub fn repos_get_admin_branch_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(ProtectedBranchAdminEnforced)\n\nSynonyms:\nmidas/sdk/github.repos_get_admin_branch_protection\nmidas/sdk/github repos_get_admin_branch_protection","url":"midas/sdk/github.html#repos_get_admin_branch_protection"},{"doc":"midas/sdk/github","title":"repos_get_all_deployment_protection_rules","content":"pub fn repos_get_all_deployment_protection_rules(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_get_all_deployment_protection_rules\nmidas/sdk/github repos_get_all_deployment_protection_rules","url":"midas/sdk/github.html#repos_get_all_deployment_protection_rules"},{"doc":"midas/sdk/github","title":"repos_get_all_environments","content":"pub fn repos_get_all_environments(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_get_all_environments\nmidas/sdk/github repos_get_all_environments","url":"midas/sdk/github.html#repos_get_all_environments"},{"doc":"midas/sdk/github","title":"repos_get_all_status_check_contexts","content":"pub fn repos_get_all_status_check_contexts(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_get_all_status_check_contexts\nmidas/sdk/github repos_get_all_status_check_contexts","url":"midas/sdk/github.html#repos_get_all_status_check_contexts"},{"doc":"midas/sdk/github","title":"repos_get_all_topics","content":"pub fn repos_get_all_topics(\n  token: String,\n  owner: String,\n  repo: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Topic)\n\nSynonyms:\nmidas/sdk/github.repos_get_all_topics\nmidas/sdk/github repos_get_all_topics","url":"midas/sdk/github.html#repos_get_all_topics"},{"doc":"midas/sdk/github","title":"repos_get_apps_with_access_to_protected_branch","content":"pub fn repos_get_apps_with_access_to_protected_branch(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(List(Integration))\n\nSynonyms:\nmidas/sdk/github.repos_get_apps_with_access_to_protected_branch\nmidas/sdk/github repos_get_apps_with_access_to_protected_branch","url":"midas/sdk/github.html#repos_get_apps_with_access_to_protected_branch"},{"doc":"midas/sdk/github","title":"repos_get_autolink","content":"pub fn repos_get_autolink(\n  token: String,\n  owner: String,\n  repo: String,\n  autolink_id: Int,\n) -&gt; Effect(Autolink)\n\nSynonyms:\nmidas/sdk/github.repos_get_autolink\nmidas/sdk/github repos_get_autolink","url":"midas/sdk/github.html#repos_get_autolink"},{"doc":"midas/sdk/github","title":"repos_get_branch","content":"pub fn repos_get_branch(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(BranchWithProtection)\n\nSynonyms:\nmidas/sdk/github.repos_get_branch\nmidas/sdk/github repos_get_branch","url":"midas/sdk/github.html#repos_get_branch"},{"doc":"midas/sdk/github","title":"repos_get_branch_protection","content":"pub fn repos_get_branch_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(BranchProtection)\n\nSynonyms:\nmidas/sdk/github.repos_get_branch_protection\nmidas/sdk/github repos_get_branch_protection","url":"midas/sdk/github.html#repos_get_branch_protection"},{"doc":"midas/sdk/github","title":"repos_get_branch_rules","content":"pub fn repos_get_branch_rules(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(RepositoryRuleDetailed))\n\nSynonyms:\nmidas/sdk/github.repos_get_branch_rules\nmidas/sdk/github repos_get_branch_rules","url":"midas/sdk/github.html#repos_get_branch_rules"},{"doc":"midas/sdk/github","title":"repos_get_clones","content":"pub fn repos_get_clones(\n  token: String,\n  owner: String,\n  repo: String,\n  per per: Option(String),\n) -&gt; Effect(CloneTraffic)\n\nSynonyms:\nmidas/sdk/github.repos_get_clones\nmidas/sdk/github repos_get_clones","url":"midas/sdk/github.html#repos_get_clones"},{"doc":"midas/sdk/github","title":"repos_get_code_frequency_stats","content":"pub fn repos_get_code_frequency_stats(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_get_code_frequency_stats\nmidas/sdk/github repos_get_code_frequency_stats","url":"midas/sdk/github.html#repos_get_code_frequency_stats"},{"doc":"midas/sdk/github","title":"repos_get_collaborator_permission_level","content":"pub fn repos_get_collaborator_permission_level(\n  token: String,\n  owner: String,\n  repo: String,\n  username: String,\n) -&gt; Effect(RepositoryCollaboratorPermission)\n\nSynonyms:\nmidas/sdk/github.repos_get_collaborator_permission_level\nmidas/sdk/github repos_get_collaborator_permission_level","url":"midas/sdk/github.html#repos_get_collaborator_permission_level"},{"doc":"midas/sdk/github","title":"repos_get_combined_status_for_ref","content":"pub fn repos_get_combined_status_for_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(CombinedCommitStatus)\n\nSynonyms:\nmidas/sdk/github.repos_get_combined_status_for_ref\nmidas/sdk/github repos_get_combined_status_for_ref","url":"midas/sdk/github.html#repos_get_combined_status_for_ref"},{"doc":"midas/sdk/github","title":"repos_get_commit","content":"pub fn repos_get_commit(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Commit)\n\nSynonyms:\nmidas/sdk/github.repos_get_commit\nmidas/sdk/github repos_get_commit","url":"midas/sdk/github.html#repos_get_commit"},{"doc":"midas/sdk/github","title":"repos_get_commit_activity_stats","content":"pub fn repos_get_commit_activity_stats(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_get_commit_activity_stats\nmidas/sdk/github repos_get_commit_activity_stats","url":"midas/sdk/github.html#repos_get_commit_activity_stats"},{"doc":"midas/sdk/github","title":"repos_get_commit_comment","content":"pub fn repos_get_commit_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n) -&gt; Effect(CommitComment)\n\nSynonyms:\nmidas/sdk/github.repos_get_commit_comment\nmidas/sdk/github repos_get_commit_comment","url":"midas/sdk/github.html#repos_get_commit_comment"},{"doc":"midas/sdk/github","title":"repos_get_commit_signature_protection","content":"pub fn repos_get_commit_signature_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(ProtectedBranchAdminEnforced)\n\nSynonyms:\nmidas/sdk/github.repos_get_commit_signature_protection\nmidas/sdk/github repos_get_commit_signature_protection","url":"midas/sdk/github.html#repos_get_commit_signature_protection"},{"doc":"midas/sdk/github","title":"repos_get_community_profile_metrics","content":"pub fn repos_get_community_profile_metrics(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(CommunityProfile)\n\nSynonyms:\nmidas/sdk/github.repos_get_community_profile_metrics\nmidas/sdk/github repos_get_community_profile_metrics","url":"midas/sdk/github.html#repos_get_community_profile_metrics"},{"doc":"midas/sdk/github","title":"repos_get_content","content":"pub fn repos_get_content(\n  token: String,\n  owner: String,\n  repo: String,\n  path_: String,\n  ref ref: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_get_content\nmidas/sdk/github repos_get_content","url":"midas/sdk/github.html#repos_get_content"},{"doc":"midas/sdk/github","title":"repos_get_contributors_stats","content":"pub fn repos_get_contributors_stats(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_get_contributors_stats\nmidas/sdk/github repos_get_contributors_stats","url":"midas/sdk/github.html#repos_get_contributors_stats"},{"doc":"midas/sdk/github","title":"repos_get_custom_deployment_protection_rule","content":"pub fn repos_get_custom_deployment_protection_rule(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  protection_rule_id: Int,\n) -&gt; Effect(DeploymentProtectionRule)\n\nSynonyms:\nmidas/sdk/github.repos_get_custom_deployment_protection_rule\nmidas/sdk/github repos_get_custom_deployment_protection_rule","url":"midas/sdk/github.html#repos_get_custom_deployment_protection_rule"},{"doc":"midas/sdk/github","title":"repos_get_custom_properties_values","content":"pub fn repos_get_custom_properties_values(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(CustomPropertyValue))\n\nSynonyms:\nmidas/sdk/github.repos_get_custom_properties_values\nmidas/sdk/github repos_get_custom_properties_values","url":"midas/sdk/github.html#repos_get_custom_properties_values"},{"doc":"midas/sdk/github","title":"repos_get_deploy_key","content":"pub fn repos_get_deploy_key(\n  token: String,\n  owner: String,\n  repo: String,\n  key_id: Int,\n) -&gt; Effect(DeployKey)\n\nSynonyms:\nmidas/sdk/github.repos_get_deploy_key\nmidas/sdk/github repos_get_deploy_key","url":"midas/sdk/github.html#repos_get_deploy_key"},{"doc":"midas/sdk/github","title":"repos_get_deployment","content":"pub fn repos_get_deployment(\n  token: String,\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n) -&gt; Effect(Deployment)\n\nSynonyms:\nmidas/sdk/github.repos_get_deployment\nmidas/sdk/github repos_get_deployment","url":"midas/sdk/github.html#repos_get_deployment"},{"doc":"midas/sdk/github","title":"repos_get_deployment_branch_policy","content":"pub fn repos_get_deployment_branch_policy(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  branch_policy_id: Int,\n) -&gt; Effect(DeploymentBranchPolicy)\n\nSynonyms:\nmidas/sdk/github.repos_get_deployment_branch_policy\nmidas/sdk/github repos_get_deployment_branch_policy","url":"midas/sdk/github.html#repos_get_deployment_branch_policy"},{"doc":"midas/sdk/github","title":"repos_get_deployment_status","content":"pub fn repos_get_deployment_status(\n  token: String,\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n  status_id: Int,\n) -&gt; Effect(DeploymentStatus)\n\nSynonyms:\nmidas/sdk/github.repos_get_deployment_status\nmidas/sdk/github repos_get_deployment_status","url":"midas/sdk/github.html#repos_get_deployment_status"},{"doc":"midas/sdk/github","title":"repos_get_environment","content":"pub fn repos_get_environment(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n) -&gt; Effect(Environment)\n\nSynonyms:\nmidas/sdk/github.repos_get_environment\nmidas/sdk/github repos_get_environment","url":"midas/sdk/github.html#repos_get_environment"},{"doc":"midas/sdk/github","title":"repos_get_latest_pages_build","content":"pub fn repos_get_latest_pages_build(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(PageBuild)\n\nSynonyms:\nmidas/sdk/github.repos_get_latest_pages_build\nmidas/sdk/github repos_get_latest_pages_build","url":"midas/sdk/github.html#repos_get_latest_pages_build"},{"doc":"midas/sdk/github","title":"repos_get_latest_release","content":"pub fn repos_get_latest_release(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Release)\n\nSynonyms:\nmidas/sdk/github.repos_get_latest_release\nmidas/sdk/github repos_get_latest_release","url":"midas/sdk/github.html#repos_get_latest_release"},{"doc":"midas/sdk/github","title":"repos_get_org_rule_suite","content":"pub fn repos_get_org_rule_suite(\n  token: String,\n  org: String,\n  rule_suite_id: Int,\n) -&gt; Effect(RuleSuite)\n\nSynonyms:\nmidas/sdk/github.repos_get_org_rule_suite\nmidas/sdk/github repos_get_org_rule_suite","url":"midas/sdk/github.html#repos_get_org_rule_suite"},{"doc":"midas/sdk/github","title":"repos_get_org_rule_suites","content":"pub fn repos_get_org_rule_suites(\n  token: String,\n  org: String,\n  ref ref: Option(String),\n  repository_name repository_name: Option(Int),\n  time_period time_period: Option(String),\n  actor_name actor_name: Option(String),\n  rule_suite_result rule_suite_result: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.repos_get_org_rule_suites\nmidas/sdk/github repos_get_org_rule_suites","url":"midas/sdk/github.html#repos_get_org_rule_suites"},{"doc":"midas/sdk/github","title":"repos_get_org_ruleset","content":"pub fn repos_get_org_ruleset(\n  token: String,\n  org: String,\n  ruleset_id: Int,\n) -&gt; Effect(RepositoryRuleset)\n\nSynonyms:\nmidas/sdk/github.repos_get_org_ruleset\nmidas/sdk/github repos_get_org_ruleset","url":"midas/sdk/github.html#repos_get_org_ruleset"},{"doc":"midas/sdk/github","title":"repos_get_org_rulesets","content":"pub fn repos_get_org_rulesets(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  targets targets: Option(String),\n) -&gt; Effect(List(RepositoryRuleset))\n\nSynonyms:\nmidas/sdk/github.repos_get_org_rulesets\nmidas/sdk/github repos_get_org_rulesets","url":"midas/sdk/github.html#repos_get_org_rulesets"},{"doc":"midas/sdk/github","title":"repos_get_pages","content":"pub fn repos_get_pages(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Page)\n\nSynonyms:\nmidas/sdk/github.repos_get_pages\nmidas/sdk/github repos_get_pages","url":"midas/sdk/github.html#repos_get_pages"},{"doc":"midas/sdk/github","title":"repos_get_pages_build","content":"pub fn repos_get_pages_build(\n  token: String,\n  owner: String,\n  repo: String,\n  build_id: Int,\n) -&gt; Effect(PageBuild)\n\nSynonyms:\nmidas/sdk/github.repos_get_pages_build\nmidas/sdk/github repos_get_pages_build","url":"midas/sdk/github.html#repos_get_pages_build"},{"doc":"midas/sdk/github","title":"repos_get_pages_deployment","content":"pub fn repos_get_pages_deployment(\n  token: String,\n  owner: String,\n  repo: String,\n  pages_deployment_id: String,\n) -&gt; Effect(PagesDeploymentStatus)\n\nSynonyms:\nmidas/sdk/github.repos_get_pages_deployment\nmidas/sdk/github repos_get_pages_deployment","url":"midas/sdk/github.html#repos_get_pages_deployment"},{"doc":"midas/sdk/github","title":"repos_get_pages_health_check","content":"pub fn repos_get_pages_health_check(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(PagesHealthCheck)\n\nSynonyms:\nmidas/sdk/github.repos_get_pages_health_check\nmidas/sdk/github repos_get_pages_health_check","url":"midas/sdk/github.html#repos_get_pages_health_check"},{"doc":"midas/sdk/github","title":"repos_get_participation_stats","content":"pub fn repos_get_participation_stats(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(ParticipationStats)\n\nSynonyms:\nmidas/sdk/github.repos_get_participation_stats\nmidas/sdk/github repos_get_participation_stats","url":"midas/sdk/github.html#repos_get_participation_stats"},{"doc":"midas/sdk/github","title":"repos_get_pull_request_review_protection","content":"pub fn repos_get_pull_request_review_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(ProtectedBranchPullRequestReview)\n\nSynonyms:\nmidas/sdk/github.repos_get_pull_request_review_protection\nmidas/sdk/github repos_get_pull_request_review_protection","url":"midas/sdk/github.html#repos_get_pull_request_review_protection"},{"doc":"midas/sdk/github","title":"repos_get_punch_card_stats","content":"pub fn repos_get_punch_card_stats(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_get_punch_card_stats\nmidas/sdk/github repos_get_punch_card_stats","url":"midas/sdk/github.html#repos_get_punch_card_stats"},{"doc":"midas/sdk/github","title":"repos_get_readme","content":"pub fn repos_get_readme(\n  token: String,\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n) -&gt; Effect(ContentFile)\n\nSynonyms:\nmidas/sdk/github.repos_get_readme\nmidas/sdk/github repos_get_readme","url":"midas/sdk/github.html#repos_get_readme"},{"doc":"midas/sdk/github","title":"repos_get_readme_in_directory","content":"pub fn repos_get_readme_in_directory(\n  token: String,\n  owner: String,\n  repo: String,\n  dir: String,\n  ref ref: Option(String),\n) -&gt; Effect(ContentFile)\n\nSynonyms:\nmidas/sdk/github.repos_get_readme_in_directory\nmidas/sdk/github repos_get_readme_in_directory","url":"midas/sdk/github.html#repos_get_readme_in_directory"},{"doc":"midas/sdk/github","title":"repos_get_release","content":"pub fn repos_get_release(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n) -&gt; Effect(Release)\n\nSynonyms:\nmidas/sdk/github.repos_get_release\nmidas/sdk/github repos_get_release","url":"midas/sdk/github.html#repos_get_release"},{"doc":"midas/sdk/github","title":"repos_get_release_asset","content":"pub fn repos_get_release_asset(\n  token: String,\n  owner: String,\n  repo: String,\n  asset_id: Int,\n) -&gt; Effect(ReleaseAsset)\n\nSynonyms:\nmidas/sdk/github.repos_get_release_asset\nmidas/sdk/github repos_get_release_asset","url":"midas/sdk/github.html#repos_get_release_asset"},{"doc":"midas/sdk/github","title":"repos_get_release_by_tag","content":"pub fn repos_get_release_by_tag(\n  token: String,\n  owner: String,\n  repo: String,\n  tag: String,\n) -&gt; Effect(Release)\n\nSynonyms:\nmidas/sdk/github.repos_get_release_by_tag\nmidas/sdk/github repos_get_release_by_tag","url":"midas/sdk/github.html#repos_get_release_by_tag"},{"doc":"midas/sdk/github","title":"repos_get_repo_rule_suite","content":"pub fn repos_get_repo_rule_suite(\n  token: String,\n  owner: String,\n  repo: String,\n  rule_suite_id: Int,\n) -&gt; Effect(RuleSuite)\n\nSynonyms:\nmidas/sdk/github.repos_get_repo_rule_suite\nmidas/sdk/github repos_get_repo_rule_suite","url":"midas/sdk/github.html#repos_get_repo_rule_suite"},{"doc":"midas/sdk/github","title":"repos_get_repo_rule_suites","content":"pub fn repos_get_repo_rule_suites(\n  token: String,\n  owner: String,\n  repo: String,\n  ref ref: Option(String),\n  time_period time_period: Option(String),\n  actor_name actor_name: Option(String),\n  rule_suite_result rule_suite_result: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(a)\n\nSynonyms:\nmidas/sdk/github.repos_get_repo_rule_suites\nmidas/sdk/github repos_get_repo_rule_suites","url":"midas/sdk/github.html#repos_get_repo_rule_suites"},{"doc":"midas/sdk/github","title":"repos_get_repo_ruleset","content":"pub fn repos_get_repo_ruleset(\n  token: String,\n  owner: String,\n  repo: String,\n  ruleset_id: Int,\n  includes_parents includes_parents: Option(Bool),\n) -&gt; Effect(RepositoryRuleset)\n\nSynonyms:\nmidas/sdk/github.repos_get_repo_ruleset\nmidas/sdk/github repos_get_repo_ruleset","url":"midas/sdk/github.html#repos_get_repo_ruleset"},{"doc":"midas/sdk/github","title":"repos_get_repo_rulesets","content":"pub fn repos_get_repo_rulesets(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  includes_parents includes_parents: Option(Bool),\n  targets targets: Option(String),\n) -&gt; Effect(List(RepositoryRuleset))\n\nSynonyms:\nmidas/sdk/github.repos_get_repo_rulesets\nmidas/sdk/github repos_get_repo_rulesets","url":"midas/sdk/github.html#repos_get_repo_rulesets"},{"doc":"midas/sdk/github","title":"repos_get_status_checks_protection","content":"pub fn repos_get_status_checks_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(StatusCheckPolicy)\n\nSynonyms:\nmidas/sdk/github.repos_get_status_checks_protection\nmidas/sdk/github repos_get_status_checks_protection","url":"midas/sdk/github.html#repos_get_status_checks_protection"},{"doc":"midas/sdk/github","title":"repos_get_teams_with_access_to_protected_branch","content":"pub fn repos_get_teams_with_access_to_protected_branch(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.repos_get_teams_with_access_to_protected_branch\nmidas/sdk/github repos_get_teams_with_access_to_protected_branch","url":"midas/sdk/github.html#repos_get_teams_with_access_to_protected_branch"},{"doc":"midas/sdk/github","title":"repos_get_top_paths","content":"pub fn repos_get_top_paths(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(ContentTraffic))\n\nSynonyms:\nmidas/sdk/github.repos_get_top_paths\nmidas/sdk/github repos_get_top_paths","url":"midas/sdk/github.html#repos_get_top_paths"},{"doc":"midas/sdk/github","title":"repos_get_top_referrers","content":"pub fn repos_get_top_referrers(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(ReferrerTraffic))\n\nSynonyms:\nmidas/sdk/github.repos_get_top_referrers\nmidas/sdk/github repos_get_top_referrers","url":"midas/sdk/github.html#repos_get_top_referrers"},{"doc":"midas/sdk/github","title":"repos_get_users_with_access_to_protected_branch","content":"pub fn repos_get_users_with_access_to_protected_branch(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.repos_get_users_with_access_to_protected_branch\nmidas/sdk/github repos_get_users_with_access_to_protected_branch","url":"midas/sdk/github.html#repos_get_users_with_access_to_protected_branch"},{"doc":"midas/sdk/github","title":"repos_get_views","content":"pub fn repos_get_views(\n  token: String,\n  owner: String,\n  repo: String,\n  per per: Option(String),\n) -&gt; Effect(ViewTraffic)\n\nSynonyms:\nmidas/sdk/github.repos_get_views\nmidas/sdk/github repos_get_views","url":"midas/sdk/github.html#repos_get_views"},{"doc":"midas/sdk/github","title":"repos_get_webhook","content":"pub fn repos_get_webhook(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/github.repos_get_webhook\nmidas/sdk/github repos_get_webhook","url":"midas/sdk/github.html#repos_get_webhook"},{"doc":"midas/sdk/github","title":"repos_get_webhook_config_for_repo","content":"pub fn repos_get_webhook_config_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Effect(WebhookConfig)\n\nSynonyms:\nmidas/sdk/github.repos_get_webhook_config_for_repo\nmidas/sdk/github repos_get_webhook_config_for_repo","url":"midas/sdk/github.html#repos_get_webhook_config_for_repo"},{"doc":"midas/sdk/github","title":"repos_get_webhook_delivery","content":"pub fn repos_get_webhook_delivery(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Effect(HookDelivery)\n\nSynonyms:\nmidas/sdk/github.repos_get_webhook_delivery\nmidas/sdk/github repos_get_webhook_delivery","url":"midas/sdk/github.html#repos_get_webhook_delivery"},{"doc":"midas/sdk/github","title":"repos_list_activities","content":"pub fn repos_list_activities(\n  token: String,\n  owner: String,\n  repo: String,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  ref ref: Option(String),\n  actor actor: Option(String),\n  time_period time_period: Option(String),\n  activity_type activity_type: Option(String),\n) -&gt; Effect(List(Activity))\n\nSynonyms:\nmidas/sdk/github.repos_list_activities\nmidas/sdk/github repos_list_activities","url":"midas/sdk/github.html#repos_list_activities"},{"doc":"midas/sdk/github","title":"repos_list_attestations","content":"pub fn repos_list_attestations(\n  token: String,\n  owner: String,\n  repo: String,\n  subject_digest: String,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_list_attestations\nmidas/sdk/github repos_list_attestations","url":"midas/sdk/github.html#repos_list_attestations"},{"doc":"midas/sdk/github","title":"repos_list_autolinks","content":"pub fn repos_list_autolinks(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(Autolink))\n\nSynonyms:\nmidas/sdk/github.repos_list_autolinks\nmidas/sdk/github repos_list_autolinks","url":"midas/sdk/github.html#repos_list_autolinks"},{"doc":"midas/sdk/github","title":"repos_list_branches","content":"pub fn repos_list_branches(\n  token: String,\n  owner: String,\n  repo: String,\n  protected protected: Option(Bool),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(ShortBranch))\n\nSynonyms:\nmidas/sdk/github.repos_list_branches\nmidas/sdk/github repos_list_branches","url":"midas/sdk/github.html#repos_list_branches"},{"doc":"midas/sdk/github","title":"repos_list_branches_for_head_commit","content":"pub fn repos_list_branches_for_head_commit(\n  token: String,\n  owner: String,\n  repo: String,\n  commit_sha: String,\n) -&gt; Effect(List(BranchShort))\n\nSynonyms:\nmidas/sdk/github.repos_list_branches_for_head_commit\nmidas/sdk/github repos_list_branches_for_head_commit","url":"midas/sdk/github.html#repos_list_branches_for_head_commit"},{"doc":"midas/sdk/github","title":"repos_list_collaborators","content":"pub fn repos_list_collaborators(\n  token: String,\n  owner: String,\n  repo: String,\n  affiliation affiliation: Option(String),\n  permission permission: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Collaborator))\n\nSynonyms:\nmidas/sdk/github.repos_list_collaborators\nmidas/sdk/github repos_list_collaborators","url":"midas/sdk/github.html#repos_list_collaborators"},{"doc":"midas/sdk/github","title":"repos_list_comments_for_commit","content":"pub fn repos_list_comments_for_commit(\n  token: String,\n  owner: String,\n  repo: String,\n  commit_sha: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(CommitComment))\n\nSynonyms:\nmidas/sdk/github.repos_list_comments_for_commit\nmidas/sdk/github repos_list_comments_for_commit","url":"midas/sdk/github.html#repos_list_comments_for_commit"},{"doc":"midas/sdk/github","title":"repos_list_commit_comments_for_repo","content":"pub fn repos_list_commit_comments_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(CommitComment))\n\nSynonyms:\nmidas/sdk/github.repos_list_commit_comments_for_repo\nmidas/sdk/github repos_list_commit_comments_for_repo","url":"midas/sdk/github.html#repos_list_commit_comments_for_repo"},{"doc":"midas/sdk/github","title":"repos_list_commit_statuses_for_ref","content":"pub fn repos_list_commit_statuses_for_ref(\n  token: String,\n  owner: String,\n  repo: String,\n  ref: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Status))\n\nSynonyms:\nmidas/sdk/github.repos_list_commit_statuses_for_ref\nmidas/sdk/github repos_list_commit_statuses_for_ref","url":"midas/sdk/github.html#repos_list_commit_statuses_for_ref"},{"doc":"midas/sdk/github","title":"repos_list_commits","content":"pub fn repos_list_commits(\n  token: String,\n  owner: String,\n  repo: String,\n  sha sha: Option(String),\n  path_ path_: Option(String),\n  author author: Option(String),\n  committer committer: Option(String),\n  since since: Option(String),\n  until until: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Commit))\n\nSynonyms:\nmidas/sdk/github.repos_list_commits\nmidas/sdk/github repos_list_commits","url":"midas/sdk/github.html#repos_list_commits"},{"doc":"midas/sdk/github","title":"repos_list_contributors","content":"pub fn repos_list_contributors(\n  token: String,\n  owner: String,\n  repo: String,\n  anon anon: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_list_contributors\nmidas/sdk/github repos_list_contributors","url":"midas/sdk/github.html#repos_list_contributors"},{"doc":"midas/sdk/github","title":"repos_list_custom_deployment_rule_integrations","content":"pub fn repos_list_custom_deployment_rule_integrations(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_list_custom_deployment_rule_integrations\nmidas/sdk/github repos_list_custom_deployment_rule_integrations","url":"midas/sdk/github.html#repos_list_custom_deployment_rule_integrations"},{"doc":"midas/sdk/github","title":"repos_list_deploy_keys","content":"pub fn repos_list_deploy_keys(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(DeployKey))\n\nSynonyms:\nmidas/sdk/github.repos_list_deploy_keys\nmidas/sdk/github repos_list_deploy_keys","url":"midas/sdk/github.html#repos_list_deploy_keys"},{"doc":"midas/sdk/github","title":"repos_list_deployment_branch_policies","content":"pub fn repos_list_deployment_branch_policies(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_list_deployment_branch_policies\nmidas/sdk/github repos_list_deployment_branch_policies","url":"midas/sdk/github.html#repos_list_deployment_branch_policies"},{"doc":"midas/sdk/github","title":"repos_list_deployment_statuses","content":"pub fn repos_list_deployment_statuses(\n  token: String,\n  owner: String,\n  repo: String,\n  deployment_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(DeploymentStatus))\n\nSynonyms:\nmidas/sdk/github.repos_list_deployment_statuses\nmidas/sdk/github repos_list_deployment_statuses","url":"midas/sdk/github.html#repos_list_deployment_statuses"},{"doc":"midas/sdk/github","title":"repos_list_deployments","content":"pub fn repos_list_deployments(\n  token: String,\n  owner: String,\n  repo: String,\n  sha sha: Option(String),\n  ref ref: Option(String),\n  task task: Option(String),\n  environment environment: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Deployment))\n\nSynonyms:\nmidas/sdk/github.repos_list_deployments\nmidas/sdk/github repos_list_deployments","url":"midas/sdk/github.html#repos_list_deployments"},{"doc":"midas/sdk/github","title":"repos_list_for_authenticated_user","content":"pub fn repos_list_for_authenticated_user(\n  token: String,\n  visibility visibility: Option(String),\n  affiliation affiliation: Option(String),\n  type_ type_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  since since: Option(String),\n  before before: Option(String),\n) -&gt; Effect(List(Repository))\n\nSynonyms:\nmidas/sdk/github.repos_list_for_authenticated_user\nmidas/sdk/github repos_list_for_authenticated_user","url":"midas/sdk/github.html#repos_list_for_authenticated_user"},{"doc":"midas/sdk/github","title":"repos_list_for_org","content":"pub fn repos_list_for_org(\n  token: String,\n  org: String,\n  type_ type_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.repos_list_for_org\nmidas/sdk/github repos_list_for_org","url":"midas/sdk/github.html#repos_list_for_org"},{"doc":"midas/sdk/github","title":"repos_list_for_user","content":"pub fn repos_list_for_user(\n  token: String,\n  username: String,\n  type_ type_: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.repos_list_for_user\nmidas/sdk/github repos_list_for_user","url":"midas/sdk/github.html#repos_list_for_user"},{"doc":"midas/sdk/github","title":"repos_list_forks","content":"pub fn repos_list_forks(\n  token: String,\n  owner: String,\n  repo: String,\n  sort sort: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.repos_list_forks\nmidas/sdk/github repos_list_forks","url":"midas/sdk/github.html#repos_list_forks"},{"doc":"midas/sdk/github","title":"repos_list_invitations","content":"pub fn repos_list_invitations(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(RepositoryInvitation))\n\nSynonyms:\nmidas/sdk/github.repos_list_invitations\nmidas/sdk/github repos_list_invitations","url":"midas/sdk/github.html#repos_list_invitations"},{"doc":"midas/sdk/github","title":"repos_list_invitations_for_authenticated_user","content":"pub fn repos_list_invitations_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(RepositoryInvitation))\n\nSynonyms:\nmidas/sdk/github.repos_list_invitations_for_authenticated_user\nmidas/sdk/github repos_list_invitations_for_authenticated_user","url":"midas/sdk/github.html#repos_list_invitations_for_authenticated_user"},{"doc":"midas/sdk/github","title":"repos_list_languages","content":"pub fn repos_list_languages(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Language)\n\nSynonyms:\nmidas/sdk/github.repos_list_languages\nmidas/sdk/github repos_list_languages","url":"midas/sdk/github.html#repos_list_languages"},{"doc":"midas/sdk/github","title":"repos_list_pages_builds","content":"pub fn repos_list_pages_builds(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(PageBuild))\n\nSynonyms:\nmidas/sdk/github.repos_list_pages_builds\nmidas/sdk/github repos_list_pages_builds","url":"midas/sdk/github.html#repos_list_pages_builds"},{"doc":"midas/sdk/github","title":"repos_list_public","content":"pub fn repos_list_public(\n  token: String,\n  since since: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.repos_list_public\nmidas/sdk/github repos_list_public","url":"midas/sdk/github.html#repos_list_public"},{"doc":"midas/sdk/github","title":"repos_list_pull_requests_associated_with_commit","content":"pub fn repos_list_pull_requests_associated_with_commit(\n  token: String,\n  owner: String,\n  repo: String,\n  commit_sha: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(PullRequestSimple))\n\nSynonyms:\nmidas/sdk/github.repos_list_pull_requests_associated_with_commit\nmidas/sdk/github repos_list_pull_requests_associated_with_commit","url":"midas/sdk/github.html#repos_list_pull_requests_associated_with_commit"},{"doc":"midas/sdk/github","title":"repos_list_release_assets","content":"pub fn repos_list_release_assets(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(ReleaseAsset))\n\nSynonyms:\nmidas/sdk/github.repos_list_release_assets\nmidas/sdk/github repos_list_release_assets","url":"midas/sdk/github.html#repos_list_release_assets"},{"doc":"midas/sdk/github","title":"repos_list_releases","content":"pub fn repos_list_releases(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Release))\n\nSynonyms:\nmidas/sdk/github.repos_list_releases\nmidas/sdk/github repos_list_releases","url":"midas/sdk/github.html#repos_list_releases"},{"doc":"midas/sdk/github","title":"repos_list_tag_protection","content":"pub fn repos_list_tag_protection(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(List(TagProtection))\n\nSynonyms:\nmidas/sdk/github.repos_list_tag_protection\nmidas/sdk/github repos_list_tag_protection","url":"midas/sdk/github.html#repos_list_tag_protection"},{"doc":"midas/sdk/github","title":"repos_list_tags","content":"pub fn repos_list_tags(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Tag))\n\nSynonyms:\nmidas/sdk/github.repos_list_tags\nmidas/sdk/github repos_list_tags","url":"midas/sdk/github.html#repos_list_tags"},{"doc":"midas/sdk/github","title":"repos_list_teams","content":"pub fn repos_list_teams(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.repos_list_teams\nmidas/sdk/github repos_list_teams","url":"midas/sdk/github.html#repos_list_teams"},{"doc":"midas/sdk/github","title":"repos_list_webhook_deliveries","content":"pub fn repos_list_webhook_deliveries(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  per_page per_page: Option(Int),\n  cursor cursor: Option(String),\n) -&gt; Effect(List(HookDeliveryItem))\n\nSynonyms:\nmidas/sdk/github.repos_list_webhook_deliveries\nmidas/sdk/github repos_list_webhook_deliveries","url":"midas/sdk/github.html#repos_list_webhook_deliveries"},{"doc":"midas/sdk/github","title":"repos_list_webhooks","content":"pub fn repos_list_webhooks(\n  token: String,\n  owner: String,\n  repo: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Hook))\n\nSynonyms:\nmidas/sdk/github.repos_list_webhooks\nmidas/sdk/github repos_list_webhooks","url":"midas/sdk/github.html#repos_list_webhooks"},{"doc":"midas/sdk/github","title":"repos_merge","content":"pub fn repos_merge(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_merge\nmidas/sdk/github repos_merge","url":"midas/sdk/github.html#repos_merge"},{"doc":"midas/sdk/github","title":"repos_merge_upstream","content":"pub fn repos_merge_upstream(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(MergedUpstream)\n\nSynonyms:\nmidas/sdk/github.repos_merge_upstream\nmidas/sdk/github repos_merge_upstream","url":"midas/sdk/github.html#repos_merge_upstream"},{"doc":"midas/sdk/github","title":"repos_ping_webhook","content":"pub fn repos_ping_webhook(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_ping_webhook\nmidas/sdk/github repos_ping_webhook","url":"midas/sdk/github.html#repos_ping_webhook"},{"doc":"midas/sdk/github","title":"repos_redeliver_webhook_delivery","content":"pub fn repos_redeliver_webhook_delivery(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  delivery_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.repos_redeliver_webhook_delivery\nmidas/sdk/github repos_redeliver_webhook_delivery","url":"midas/sdk/github.html#repos_redeliver_webhook_delivery"},{"doc":"midas/sdk/github","title":"repos_remove_app_access_restrictions","content":"pub fn repos_remove_app_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(List(Integration))\n\nSynonyms:\nmidas/sdk/github.repos_remove_app_access_restrictions\nmidas/sdk/github repos_remove_app_access_restrictions","url":"midas/sdk/github.html#repos_remove_app_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_remove_collaborator","content":"pub fn repos_remove_collaborator(\n  token: String,\n  owner: String,\n  repo: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_remove_collaborator\nmidas/sdk/github repos_remove_collaborator","url":"midas/sdk/github.html#repos_remove_collaborator"},{"doc":"midas/sdk/github","title":"repos_remove_status_check_contexts","content":"pub fn repos_remove_status_check_contexts(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_remove_status_check_contexts\nmidas/sdk/github repos_remove_status_check_contexts","url":"midas/sdk/github.html#repos_remove_status_check_contexts"},{"doc":"midas/sdk/github","title":"repos_remove_status_check_protection","content":"pub fn repos_remove_status_check_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_remove_status_check_protection\nmidas/sdk/github repos_remove_status_check_protection","url":"midas/sdk/github.html#repos_remove_status_check_protection"},{"doc":"midas/sdk/github","title":"repos_remove_team_access_restrictions","content":"pub fn repos_remove_team_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.repos_remove_team_access_restrictions\nmidas/sdk/github repos_remove_team_access_restrictions","url":"midas/sdk/github.html#repos_remove_team_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_remove_user_access_restrictions","content":"pub fn repos_remove_user_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.repos_remove_user_access_restrictions\nmidas/sdk/github repos_remove_user_access_restrictions","url":"midas/sdk/github.html#repos_remove_user_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_rename_branch","content":"pub fn repos_rename_branch(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(BranchWithProtection)\n\nSynonyms:\nmidas/sdk/github.repos_rename_branch\nmidas/sdk/github repos_rename_branch","url":"midas/sdk/github.html#repos_rename_branch"},{"doc":"midas/sdk/github","title":"repos_replace_all_topics","content":"pub fn repos_replace_all_topics(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Topic)\n\nSynonyms:\nmidas/sdk/github.repos_replace_all_topics\nmidas/sdk/github repos_replace_all_topics","url":"midas/sdk/github.html#repos_replace_all_topics"},{"doc":"midas/sdk/github","title":"repos_request_pages_build","content":"pub fn repos_request_pages_build(\n  token: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(PageBuildStatus)\n\nSynonyms:\nmidas/sdk/github.repos_request_pages_build\nmidas/sdk/github repos_request_pages_build","url":"midas/sdk/github.html#repos_request_pages_build"},{"doc":"midas/sdk/github","title":"repos_set_admin_branch_protection","content":"pub fn repos_set_admin_branch_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(ProtectedBranchAdminEnforced)\n\nSynonyms:\nmidas/sdk/github.repos_set_admin_branch_protection\nmidas/sdk/github repos_set_admin_branch_protection","url":"midas/sdk/github.html#repos_set_admin_branch_protection"},{"doc":"midas/sdk/github","title":"repos_set_app_access_restrictions","content":"pub fn repos_set_app_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(List(Integration))\n\nSynonyms:\nmidas/sdk/github.repos_set_app_access_restrictions\nmidas/sdk/github repos_set_app_access_restrictions","url":"midas/sdk/github.html#repos_set_app_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_set_status_check_contexts","content":"pub fn repos_set_status_check_contexts(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_set_status_check_contexts\nmidas/sdk/github repos_set_status_check_contexts","url":"midas/sdk/github.html#repos_set_status_check_contexts"},{"doc":"midas/sdk/github","title":"repos_set_team_access_restrictions","content":"pub fn repos_set_team_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.repos_set_team_access_restrictions\nmidas/sdk/github repos_set_team_access_restrictions","url":"midas/sdk/github.html#repos_set_team_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_set_user_access_restrictions","content":"pub fn repos_set_user_access_restrictions(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.repos_set_user_access_restrictions\nmidas/sdk/github repos_set_user_access_restrictions","url":"midas/sdk/github.html#repos_set_user_access_restrictions"},{"doc":"midas/sdk/github","title":"repos_test_push_webhook","content":"pub fn repos_test_push_webhook(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_test_push_webhook\nmidas/sdk/github repos_test_push_webhook","url":"midas/sdk/github.html#repos_test_push_webhook"},{"doc":"midas/sdk/github","title":"repos_transfer","content":"pub fn repos_transfer(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(MinimalRepository)\n\nSynonyms:\nmidas/sdk/github.repos_transfer\nmidas/sdk/github repos_transfer","url":"midas/sdk/github.html#repos_transfer"},{"doc":"midas/sdk/github","title":"repos_update","content":"pub fn repos_update(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(FullRepository)\n\nSynonyms:\nmidas/sdk/github.repos_update\nmidas/sdk/github repos_update","url":"midas/sdk/github.html#repos_update"},{"doc":"midas/sdk/github","title":"repos_update_branch_protection","content":"pub fn repos_update_branch_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(ProtectedBranch)\n\nSynonyms:\nmidas/sdk/github.repos_update_branch_protection\nmidas/sdk/github repos_update_branch_protection","url":"midas/sdk/github.html#repos_update_branch_protection"},{"doc":"midas/sdk/github","title":"repos_update_commit_comment","content":"pub fn repos_update_commit_comment(\n  token: String,\n  owner: String,\n  repo: String,\n  comment_id: Int,\n  data: BitArray,\n) -&gt; Effect(CommitComment)\n\nSynonyms:\nmidas/sdk/github.repos_update_commit_comment\nmidas/sdk/github repos_update_commit_comment","url":"midas/sdk/github.html#repos_update_commit_comment"},{"doc":"midas/sdk/github","title":"repos_update_deployment_branch_policy","content":"pub fn repos_update_deployment_branch_policy(\n  token: String,\n  owner: String,\n  repo: String,\n  environment_name: String,\n  branch_policy_id: Int,\n  deployment_branch_policy_name_pattern: DeploymentBranchPolicyNamePattern,\n) -&gt; Effect(DeploymentBranchPolicy)\n\nSynonyms:\nmidas/sdk/github.repos_update_deployment_branch_policy\nmidas/sdk/github repos_update_deployment_branch_policy","url":"midas/sdk/github.html#repos_update_deployment_branch_policy"},{"doc":"midas/sdk/github","title":"repos_update_information_about_pages_site","content":"pub fn repos_update_information_about_pages_site(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.repos_update_information_about_pages_site\nmidas/sdk/github repos_update_information_about_pages_site","url":"midas/sdk/github.html#repos_update_information_about_pages_site"},{"doc":"midas/sdk/github","title":"repos_update_invitation","content":"pub fn repos_update_invitation(\n  token: String,\n  owner: String,\n  repo: String,\n  invitation_id: Int,\n  data: BitArray,\n) -&gt; Effect(RepositoryInvitation)\n\nSynonyms:\nmidas/sdk/github.repos_update_invitation\nmidas/sdk/github repos_update_invitation","url":"midas/sdk/github.html#repos_update_invitation"},{"doc":"midas/sdk/github","title":"repos_update_org_ruleset","content":"pub fn repos_update_org_ruleset(\n  token: String,\n  org: String,\n  ruleset_id: Int,\n  data: BitArray,\n) -&gt; Effect(RepositoryRuleset)\n\nSynonyms:\nmidas/sdk/github.repos_update_org_ruleset\nmidas/sdk/github repos_update_org_ruleset","url":"midas/sdk/github.html#repos_update_org_ruleset"},{"doc":"midas/sdk/github","title":"repos_update_pull_request_review_protection","content":"pub fn repos_update_pull_request_review_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(ProtectedBranchPullRequestReview)\n\nSynonyms:\nmidas/sdk/github.repos_update_pull_request_review_protection\nmidas/sdk/github repos_update_pull_request_review_protection","url":"midas/sdk/github.html#repos_update_pull_request_review_protection"},{"doc":"midas/sdk/github","title":"repos_update_release","content":"pub fn repos_update_release(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n  data: BitArray,\n) -&gt; Effect(Release)\n\nSynonyms:\nmidas/sdk/github.repos_update_release\nmidas/sdk/github repos_update_release","url":"midas/sdk/github.html#repos_update_release"},{"doc":"midas/sdk/github","title":"repos_update_release_asset","content":"pub fn repos_update_release_asset(\n  token: String,\n  owner: String,\n  repo: String,\n  asset_id: Int,\n  data: BitArray,\n) -&gt; Effect(ReleaseAsset)\n\nSynonyms:\nmidas/sdk/github.repos_update_release_asset\nmidas/sdk/github repos_update_release_asset","url":"midas/sdk/github.html#repos_update_release_asset"},{"doc":"midas/sdk/github","title":"repos_update_repo_ruleset","content":"pub fn repos_update_repo_ruleset(\n  token: String,\n  owner: String,\n  repo: String,\n  ruleset_id: Int,\n  data: BitArray,\n) -&gt; Effect(RepositoryRuleset)\n\nSynonyms:\nmidas/sdk/github.repos_update_repo_ruleset\nmidas/sdk/github repos_update_repo_ruleset","url":"midas/sdk/github.html#repos_update_repo_ruleset"},{"doc":"midas/sdk/github","title":"repos_update_status_check_protection","content":"pub fn repos_update_status_check_protection(\n  token: String,\n  owner: String,\n  repo: String,\n  branch: String,\n  data: BitArray,\n) -&gt; Effect(StatusCheckPolicy)\n\nSynonyms:\nmidas/sdk/github.repos_update_status_check_protection\nmidas/sdk/github repos_update_status_check_protection","url":"midas/sdk/github.html#repos_update_status_check_protection"},{"doc":"midas/sdk/github","title":"repos_update_webhook","content":"pub fn repos_update_webhook(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  data: BitArray,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/github.repos_update_webhook\nmidas/sdk/github repos_update_webhook","url":"midas/sdk/github.html#repos_update_webhook"},{"doc":"midas/sdk/github","title":"repos_update_webhook_config_for_repo","content":"pub fn repos_update_webhook_config_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  hook_id: Int,\n  data: BitArray,\n) -&gt; Effect(WebhookConfig)\n\nSynonyms:\nmidas/sdk/github.repos_update_webhook_config_for_repo\nmidas/sdk/github repos_update_webhook_config_for_repo","url":"midas/sdk/github.html#repos_update_webhook_config_for_repo"},{"doc":"midas/sdk/github","title":"repos_upload_release_asset","content":"pub fn repos_upload_release_asset(\n  token: String,\n  owner: String,\n  repo: String,\n  release_id: Int,\n  name name: String,\n  label label: Option(String),\n) -&gt; Effect(ReleaseAsset)\n\nSynonyms:\nmidas/sdk/github.repos_upload_release_asset\nmidas/sdk/github repos_upload_release_asset","url":"midas/sdk/github.html#repos_upload_release_asset"},{"doc":"midas/sdk/github","title":"search_code","content":"pub fn search_code(\n  token: String,\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.search_code\nmidas/sdk/github search_code","url":"midas/sdk/github.html#search_code"},{"doc":"midas/sdk/github","title":"search_commits","content":"pub fn search_commits(\n  token: String,\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.search_commits\nmidas/sdk/github search_commits","url":"midas/sdk/github.html#search_commits"},{"doc":"midas/sdk/github","title":"search_issues_and_pull_requests","content":"pub fn search_issues_and_pull_requests(\n  token: String,\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.search_issues_and_pull_requests\nmidas/sdk/github search_issues_and_pull_requests","url":"midas/sdk/github.html#search_issues_and_pull_requests"},{"doc":"midas/sdk/github","title":"search_labels","content":"pub fn search_labels(\n  token: String,\n  repository_id repository_id: Int,\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.search_labels\nmidas/sdk/github search_labels","url":"midas/sdk/github.html#search_labels"},{"doc":"midas/sdk/github","title":"search_repos","content":"pub fn search_repos(\n  token: String,\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.search_repos\nmidas/sdk/github search_repos","url":"midas/sdk/github.html#search_repos"},{"doc":"midas/sdk/github","title":"search_topics","content":"pub fn search_topics(\n  token: String,\n  q q: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.search_topics\nmidas/sdk/github search_topics","url":"midas/sdk/github.html#search_topics"},{"doc":"midas/sdk/github","title":"search_users","content":"pub fn search_users(\n  token: String,\n  q q: String,\n  sort sort: Option(String),\n  order order: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.search_users\nmidas/sdk/github search_users","url":"midas/sdk/github.html#search_users"},{"doc":"midas/sdk/github","title":"secret_scanning_create_push_protection_bypass","content":"pub fn secret_scanning_create_push_protection_bypass(\n  token: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(SecretScanningPushProtectionBypass)\n\nSynonyms:\nmidas/sdk/github.secret_scanning_create_push_protection_bypass\nmidas/sdk/github secret_scanning_create_push_protection_bypass","url":"midas/sdk/github.html#secret_scanning_create_push_protection_bypass"},{"doc":"midas/sdk/github","title":"secret_scanning_get_alert","content":"pub fn secret_scanning_get_alert(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n) -&gt; Effect(SecretScanningAlert)\n\nSynonyms:\nmidas/sdk/github.secret_scanning_get_alert\nmidas/sdk/github secret_scanning_get_alert","url":"midas/sdk/github.html#secret_scanning_get_alert"},{"doc":"midas/sdk/github","title":"secret_scanning_list_alerts_for_enterprise","content":"pub fn secret_scanning_list_alerts_for_enterprise(\n  token: String,\n  enterprise: String,\n  state state: Option(String),\n  secret_type secret_type: Option(String),\n  resolution resolution: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  validity validity: Option(String),\n  is_publicly_leaked is_publicly_leaked: Option(Bool),\n  is_multi_repo is_multi_repo: Option(Bool),\n) -&gt; Effect(List(OrganizationSecretScanningAlert))\n\nSynonyms:\nmidas/sdk/github.secret_scanning_list_alerts_for_enterprise\nmidas/sdk/github secret_scanning_list_alerts_for_enterprise","url":"midas/sdk/github.html#secret_scanning_list_alerts_for_enterprise"},{"doc":"midas/sdk/github","title":"secret_scanning_list_alerts_for_org","content":"pub fn secret_scanning_list_alerts_for_org(\n  token: String,\n  org: String,\n  state state: Option(String),\n  secret_type secret_type: Option(String),\n  resolution resolution: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  validity validity: Option(String),\n  is_publicly_leaked is_publicly_leaked: Option(Bool),\n  is_multi_repo is_multi_repo: Option(Bool),\n) -&gt; Effect(List(OrganizationSecretScanningAlert))\n\nSynonyms:\nmidas/sdk/github.secret_scanning_list_alerts_for_org\nmidas/sdk/github secret_scanning_list_alerts_for_org","url":"midas/sdk/github.html#secret_scanning_list_alerts_for_org"},{"doc":"midas/sdk/github","title":"secret_scanning_list_alerts_for_repo","content":"pub fn secret_scanning_list_alerts_for_repo(\n  token: String,\n  owner: String,\n  repo: String,\n  state state: Option(String),\n  secret_type secret_type: Option(String),\n  resolution resolution: Option(String),\n  sort sort: Option(String),\n  direction direction: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n  validity validity: Option(String),\n  is_publicly_leaked is_publicly_leaked: Option(Bool),\n  is_multi_repo is_multi_repo: Option(Bool),\n) -&gt; Effect(List(SecretScanningAlert))\n\nSynonyms:\nmidas/sdk/github.secret_scanning_list_alerts_for_repo\nmidas/sdk/github secret_scanning_list_alerts_for_repo","url":"midas/sdk/github.html#secret_scanning_list_alerts_for_repo"},{"doc":"midas/sdk/github","title":"secret_scanning_list_locations_for_alert","content":"pub fn secret_scanning_list_locations_for_alert(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(SecretScanningLocation))\n\nSynonyms:\nmidas/sdk/github.secret_scanning_list_locations_for_alert\nmidas/sdk/github secret_scanning_list_locations_for_alert","url":"midas/sdk/github.html#secret_scanning_list_locations_for_alert"},{"doc":"midas/sdk/github","title":"secret_scanning_update_alert","content":"pub fn secret_scanning_update_alert(\n  token: String,\n  owner: String,\n  repo: String,\n  alert_number: Int,\n  data: BitArray,\n) -&gt; Effect(SecretScanningAlert)\n\nSynonyms:\nmidas/sdk/github.secret_scanning_update_alert\nmidas/sdk/github secret_scanning_update_alert","url":"midas/sdk/github.html#secret_scanning_update_alert"},{"doc":"midas/sdk/github","title":"security_advisories_create_fork","content":"pub fn security_advisories_create_fork(\n  token: String,\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n) -&gt; Effect(FullRepository)\n\nSynonyms:\nmidas/sdk/github.security_advisories_create_fork\nmidas/sdk/github security_advisories_create_fork","url":"midas/sdk/github.html#security_advisories_create_fork"},{"doc":"midas/sdk/github","title":"security_advisories_create_private_vulnerability_report","content":"pub fn security_advisories_create_private_vulnerability_report(\n  token: String,\n  owner: String,\n  repo: String,\n  private_vulnerability_report_create: PrivateVulnerabilityReportCreate,\n) -&gt; Effect(RepositoryAdvisory)\n\nSynonyms:\nmidas/sdk/github.security_advisories_create_private_vulnerability_report\nmidas/sdk/github security_advisories_create_private_vulnerability_report","url":"midas/sdk/github.html#security_advisories_create_private_vulnerability_report"},{"doc":"midas/sdk/github","title":"security_advisories_create_repository_advisory","content":"pub fn security_advisories_create_repository_advisory(\n  token: String,\n  owner: String,\n  repo: String,\n  repository_advisory_create: RepositoryAdvisoryCreate,\n) -&gt; Effect(RepositoryAdvisory)\n\nSynonyms:\nmidas/sdk/github.security_advisories_create_repository_advisory\nmidas/sdk/github security_advisories_create_repository_advisory","url":"midas/sdk/github.html#security_advisories_create_repository_advisory"},{"doc":"midas/sdk/github","title":"security_advisories_create_repository_advisory_cve_request","content":"pub fn security_advisories_create_repository_advisory_cve_request(\n  token: String,\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/github.security_advisories_create_repository_advisory_cve_request\nmidas/sdk/github security_advisories_create_repository_advisory_cve_request","url":"midas/sdk/github.html#security_advisories_create_repository_advisory_cve_request"},{"doc":"midas/sdk/github","title":"security_advisories_get_global_advisory","content":"pub fn security_advisories_get_global_advisory(\n  token: String,\n  ghsa_id: String,\n) -&gt; Effect(GlobalAdvisory)\n\nSynonyms:\nmidas/sdk/github.security_advisories_get_global_advisory\nmidas/sdk/github security_advisories_get_global_advisory","url":"midas/sdk/github.html#security_advisories_get_global_advisory"},{"doc":"midas/sdk/github","title":"security_advisories_get_repository_advisory","content":"pub fn security_advisories_get_repository_advisory(\n  token: String,\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n) -&gt; Effect(RepositoryAdvisory)\n\nSynonyms:\nmidas/sdk/github.security_advisories_get_repository_advisory\nmidas/sdk/github security_advisories_get_repository_advisory","url":"midas/sdk/github.html#security_advisories_get_repository_advisory"},{"doc":"midas/sdk/github","title":"security_advisories_list_global_advisories","content":"pub fn security_advisories_list_global_advisories(\n  token: String,\n  ghsa_id ghsa_id: Option(String),\n  type_ type_: Option(String),\n  cve_id cve_id: Option(String),\n  ecosystem ecosystem: Option(String),\n  severity severity: Option(String),\n  cwes cwes: a,\n  is_withdrawn is_withdrawn: Option(Bool),\n  affects affects: b,\n  published published: Option(String),\n  updated updated: Option(String),\n  modified modified: Option(String),\n  epss_percentage epss_percentage: Option(String),\n  epss_percentile epss_percentile: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  sort sort: Option(String),\n) -&gt; Effect(List(GlobalAdvisory))\n\nSynonyms:\nmidas/sdk/github.security_advisories_list_global_advisories\nmidas/sdk/github security_advisories_list_global_advisories","url":"midas/sdk/github.html#security_advisories_list_global_advisories"},{"doc":"midas/sdk/github","title":"security_advisories_list_org_repository_advisories","content":"pub fn security_advisories_list_org_repository_advisories(\n  token: String,\n  org: String,\n  direction direction: Option(String),\n  sort sort: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Effect(List(RepositoryAdvisory))\n\nSynonyms:\nmidas/sdk/github.security_advisories_list_org_repository_advisories\nmidas/sdk/github security_advisories_list_org_repository_advisories","url":"midas/sdk/github.html#security_advisories_list_org_repository_advisories"},{"doc":"midas/sdk/github","title":"security_advisories_list_repository_advisories","content":"pub fn security_advisories_list_repository_advisories(\n  token: String,\n  owner: String,\n  repo: String,\n  direction direction: Option(String),\n  sort sort: Option(String),\n  before before: Option(String),\n  after after: Option(String),\n  per_page per_page: Option(Int),\n  state state: Option(String),\n) -&gt; Effect(List(RepositoryAdvisory))\n\nSynonyms:\nmidas/sdk/github.security_advisories_list_repository_advisories\nmidas/sdk/github security_advisories_list_repository_advisories","url":"midas/sdk/github.html#security_advisories_list_repository_advisories"},{"doc":"midas/sdk/github","title":"security_advisories_update_repository_advisory","content":"pub fn security_advisories_update_repository_advisory(\n  token: String,\n  owner: String,\n  repo: String,\n  ghsa_id: String,\n  repository_advisory_update: RepositoryAdvisoryUpdate,\n) -&gt; Effect(RepositoryAdvisory)\n\nSynonyms:\nmidas/sdk/github.security_advisories_update_repository_advisory\nmidas/sdk/github security_advisories_update_repository_advisory","url":"midas/sdk/github.html#security_advisories_update_repository_advisory"},{"doc":"midas/sdk/github","title":"teams_add_member_legacy","content":"pub fn teams_add_member_legacy(\n  token: String,\n  team_id: Int,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_add_member_legacy\nmidas/sdk/github teams_add_member_legacy","url":"midas/sdk/github.html#teams_add_member_legacy"},{"doc":"midas/sdk/github","title":"teams_add_or_update_membership_for_user_in_org","content":"pub fn teams_add_or_update_membership_for_user_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  username: String,\n  data: BitArray,\n) -&gt; Effect(TeamMembership)\n\nSynonyms:\nmidas/sdk/github.teams_add_or_update_membership_for_user_in_org\nmidas/sdk/github teams_add_or_update_membership_for_user_in_org","url":"midas/sdk/github.html#teams_add_or_update_membership_for_user_in_org"},{"doc":"midas/sdk/github","title":"teams_add_or_update_membership_for_user_legacy","content":"pub fn teams_add_or_update_membership_for_user_legacy(\n  token: String,\n  team_id: Int,\n  username: String,\n  data: BitArray,\n) -&gt; Effect(TeamMembership)\n\nSynonyms:\nmidas/sdk/github.teams_add_or_update_membership_for_user_legacy\nmidas/sdk/github teams_add_or_update_membership_for_user_legacy","url":"midas/sdk/github.html#teams_add_or_update_membership_for_user_legacy"},{"doc":"midas/sdk/github","title":"teams_add_or_update_project_permissions_in_org","content":"pub fn teams_add_or_update_project_permissions_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  project_id: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_add_or_update_project_permissions_in_org\nmidas/sdk/github teams_add_or_update_project_permissions_in_org","url":"midas/sdk/github.html#teams_add_or_update_project_permissions_in_org"},{"doc":"midas/sdk/github","title":"teams_add_or_update_project_permissions_legacy","content":"pub fn teams_add_or_update_project_permissions_legacy(\n  token: String,\n  team_id: Int,\n  project_id: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_add_or_update_project_permissions_legacy\nmidas/sdk/github teams_add_or_update_project_permissions_legacy","url":"midas/sdk/github.html#teams_add_or_update_project_permissions_legacy"},{"doc":"midas/sdk/github","title":"teams_add_or_update_repo_permissions_in_org","content":"pub fn teams_add_or_update_repo_permissions_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_add_or_update_repo_permissions_in_org\nmidas/sdk/github teams_add_or_update_repo_permissions_in_org","url":"midas/sdk/github.html#teams_add_or_update_repo_permissions_in_org"},{"doc":"midas/sdk/github","title":"teams_add_or_update_repo_permissions_legacy","content":"pub fn teams_add_or_update_repo_permissions_legacy(\n  token: String,\n  team_id: Int,\n  owner: String,\n  repo: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_add_or_update_repo_permissions_legacy\nmidas/sdk/github teams_add_or_update_repo_permissions_legacy","url":"midas/sdk/github.html#teams_add_or_update_repo_permissions_legacy"},{"doc":"midas/sdk/github","title":"teams_check_permissions_for_project_in_org","content":"pub fn teams_check_permissions_for_project_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  project_id: Int,\n) -&gt; Effect(TeamProject)\n\nSynonyms:\nmidas/sdk/github.teams_check_permissions_for_project_in_org\nmidas/sdk/github teams_check_permissions_for_project_in_org","url":"midas/sdk/github.html#teams_check_permissions_for_project_in_org"},{"doc":"midas/sdk/github","title":"teams_check_permissions_for_project_legacy","content":"pub fn teams_check_permissions_for_project_legacy(\n  token: String,\n  team_id: Int,\n  project_id: Int,\n) -&gt; Effect(TeamProject)\n\nSynonyms:\nmidas/sdk/github.teams_check_permissions_for_project_legacy\nmidas/sdk/github teams_check_permissions_for_project_legacy","url":"midas/sdk/github.html#teams_check_permissions_for_project_legacy"},{"doc":"midas/sdk/github","title":"teams_check_permissions_for_repo_in_org","content":"pub fn teams_check_permissions_for_repo_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_check_permissions_for_repo_in_org\nmidas/sdk/github teams_check_permissions_for_repo_in_org","url":"midas/sdk/github.html#teams_check_permissions_for_repo_in_org"},{"doc":"midas/sdk/github","title":"teams_check_permissions_for_repo_legacy","content":"pub fn teams_check_permissions_for_repo_legacy(\n  token: String,\n  team_id: Int,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_check_permissions_for_repo_legacy\nmidas/sdk/github teams_check_permissions_for_repo_legacy","url":"midas/sdk/github.html#teams_check_permissions_for_repo_legacy"},{"doc":"midas/sdk/github","title":"teams_create","content":"pub fn teams_create(\n  token: String,\n  org: String,\n  data: BitArray,\n) -&gt; Effect(TeamFull)\n\nSynonyms:\nmidas/sdk/github.teams_create\nmidas/sdk/github teams_create","url":"midas/sdk/github.html#teams_create"},{"doc":"midas/sdk/github","title":"teams_create_discussion_comment_in_org","content":"pub fn teams_create_discussion_comment_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussionComment)\n\nSynonyms:\nmidas/sdk/github.teams_create_discussion_comment_in_org\nmidas/sdk/github teams_create_discussion_comment_in_org","url":"midas/sdk/github.html#teams_create_discussion_comment_in_org"},{"doc":"midas/sdk/github","title":"teams_create_discussion_comment_legacy","content":"pub fn teams_create_discussion_comment_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussionComment)\n\nSynonyms:\nmidas/sdk/github.teams_create_discussion_comment_legacy\nmidas/sdk/github teams_create_discussion_comment_legacy","url":"midas/sdk/github.html#teams_create_discussion_comment_legacy"},{"doc":"midas/sdk/github","title":"teams_create_discussion_in_org","content":"pub fn teams_create_discussion_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussion)\n\nSynonyms:\nmidas/sdk/github.teams_create_discussion_in_org\nmidas/sdk/github teams_create_discussion_in_org","url":"midas/sdk/github.html#teams_create_discussion_in_org"},{"doc":"midas/sdk/github","title":"teams_create_discussion_legacy","content":"pub fn teams_create_discussion_legacy(\n  token: String,\n  team_id: Int,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussion)\n\nSynonyms:\nmidas/sdk/github.teams_create_discussion_legacy\nmidas/sdk/github teams_create_discussion_legacy","url":"midas/sdk/github.html#teams_create_discussion_legacy"},{"doc":"midas/sdk/github","title":"teams_delete_discussion_comment_in_org","content":"pub fn teams_delete_discussion_comment_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_delete_discussion_comment_in_org\nmidas/sdk/github teams_delete_discussion_comment_in_org","url":"midas/sdk/github.html#teams_delete_discussion_comment_in_org"},{"doc":"midas/sdk/github","title":"teams_delete_discussion_comment_legacy","content":"pub fn teams_delete_discussion_comment_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_delete_discussion_comment_legacy\nmidas/sdk/github teams_delete_discussion_comment_legacy","url":"midas/sdk/github.html#teams_delete_discussion_comment_legacy"},{"doc":"midas/sdk/github","title":"teams_delete_discussion_in_org","content":"pub fn teams_delete_discussion_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_delete_discussion_in_org\nmidas/sdk/github teams_delete_discussion_in_org","url":"midas/sdk/github.html#teams_delete_discussion_in_org"},{"doc":"midas/sdk/github","title":"teams_delete_discussion_legacy","content":"pub fn teams_delete_discussion_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_delete_discussion_legacy\nmidas/sdk/github teams_delete_discussion_legacy","url":"midas/sdk/github.html#teams_delete_discussion_legacy"},{"doc":"midas/sdk/github","title":"teams_delete_in_org","content":"pub fn teams_delete_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_delete_in_org\nmidas/sdk/github teams_delete_in_org","url":"midas/sdk/github.html#teams_delete_in_org"},{"doc":"midas/sdk/github","title":"teams_delete_legacy","content":"pub fn teams_delete_legacy(\n  token: String,\n  team_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_delete_legacy\nmidas/sdk/github teams_delete_legacy","url":"midas/sdk/github.html#teams_delete_legacy"},{"doc":"midas/sdk/github","title":"teams_get_by_name","content":"pub fn teams_get_by_name(\n  token: String,\n  org: String,\n  team_slug: String,\n) -&gt; Effect(TeamFull)\n\nSynonyms:\nmidas/sdk/github.teams_get_by_name\nmidas/sdk/github teams_get_by_name","url":"midas/sdk/github.html#teams_get_by_name"},{"doc":"midas/sdk/github","title":"teams_get_discussion_comment_in_org","content":"pub fn teams_get_discussion_comment_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Effect(TeamDiscussionComment)\n\nSynonyms:\nmidas/sdk/github.teams_get_discussion_comment_in_org\nmidas/sdk/github teams_get_discussion_comment_in_org","url":"midas/sdk/github.html#teams_get_discussion_comment_in_org"},{"doc":"midas/sdk/github","title":"teams_get_discussion_comment_legacy","content":"pub fn teams_get_discussion_comment_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n) -&gt; Effect(TeamDiscussionComment)\n\nSynonyms:\nmidas/sdk/github.teams_get_discussion_comment_legacy\nmidas/sdk/github teams_get_discussion_comment_legacy","url":"midas/sdk/github.html#teams_get_discussion_comment_legacy"},{"doc":"midas/sdk/github","title":"teams_get_discussion_in_org","content":"pub fn teams_get_discussion_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n) -&gt; Effect(TeamDiscussion)\n\nSynonyms:\nmidas/sdk/github.teams_get_discussion_in_org\nmidas/sdk/github teams_get_discussion_in_org","url":"midas/sdk/github.html#teams_get_discussion_in_org"},{"doc":"midas/sdk/github","title":"teams_get_discussion_legacy","content":"pub fn teams_get_discussion_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n) -&gt; Effect(TeamDiscussion)\n\nSynonyms:\nmidas/sdk/github.teams_get_discussion_legacy\nmidas/sdk/github teams_get_discussion_legacy","url":"midas/sdk/github.html#teams_get_discussion_legacy"},{"doc":"midas/sdk/github","title":"teams_get_legacy","content":"pub fn teams_get_legacy(\n  token: String,\n  team_id: Int,\n) -&gt; Effect(TeamFull)\n\nSynonyms:\nmidas/sdk/github.teams_get_legacy\nmidas/sdk/github teams_get_legacy","url":"midas/sdk/github.html#teams_get_legacy"},{"doc":"midas/sdk/github","title":"teams_get_member_legacy","content":"pub fn teams_get_member_legacy(\n  token: String,\n  team_id: Int,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_get_member_legacy\nmidas/sdk/github teams_get_member_legacy","url":"midas/sdk/github.html#teams_get_member_legacy"},{"doc":"midas/sdk/github","title":"teams_get_membership_for_user_in_org","content":"pub fn teams_get_membership_for_user_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  username: String,\n) -&gt; Effect(TeamMembership)\n\nSynonyms:\nmidas/sdk/github.teams_get_membership_for_user_in_org\nmidas/sdk/github teams_get_membership_for_user_in_org","url":"midas/sdk/github.html#teams_get_membership_for_user_in_org"},{"doc":"midas/sdk/github","title":"teams_get_membership_for_user_legacy","content":"pub fn teams_get_membership_for_user_legacy(\n  token: String,\n  team_id: Int,\n  username: String,\n) -&gt; Effect(TeamMembership)\n\nSynonyms:\nmidas/sdk/github.teams_get_membership_for_user_legacy\nmidas/sdk/github teams_get_membership_for_user_legacy","url":"midas/sdk/github.html#teams_get_membership_for_user_legacy"},{"doc":"midas/sdk/github","title":"teams_list","content":"pub fn teams_list(\n  token: String,\n  org: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.teams_list\nmidas/sdk/github teams_list","url":"midas/sdk/github.html#teams_list"},{"doc":"midas/sdk/github","title":"teams_list_child_in_org","content":"pub fn teams_list_child_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.teams_list_child_in_org\nmidas/sdk/github teams_list_child_in_org","url":"midas/sdk/github.html#teams_list_child_in_org"},{"doc":"midas/sdk/github","title":"teams_list_child_legacy","content":"pub fn teams_list_child_legacy(\n  token: String,\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Team))\n\nSynonyms:\nmidas/sdk/github.teams_list_child_legacy\nmidas/sdk/github teams_list_child_legacy","url":"midas/sdk/github.html#teams_list_child_legacy"},{"doc":"midas/sdk/github","title":"teams_list_discussion_comments_in_org","content":"pub fn teams_list_discussion_comments_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TeamDiscussionComment))\n\nSynonyms:\nmidas/sdk/github.teams_list_discussion_comments_in_org\nmidas/sdk/github teams_list_discussion_comments_in_org","url":"midas/sdk/github.html#teams_list_discussion_comments_in_org"},{"doc":"midas/sdk/github","title":"teams_list_discussion_comments_legacy","content":"pub fn teams_list_discussion_comments_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TeamDiscussionComment))\n\nSynonyms:\nmidas/sdk/github.teams_list_discussion_comments_legacy\nmidas/sdk/github teams_list_discussion_comments_legacy","url":"midas/sdk/github.html#teams_list_discussion_comments_legacy"},{"doc":"midas/sdk/github","title":"teams_list_discussions_in_org","content":"pub fn teams_list_discussions_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n  pinned pinned: Option(String),\n) -&gt; Effect(List(TeamDiscussion))\n\nSynonyms:\nmidas/sdk/github.teams_list_discussions_in_org\nmidas/sdk/github teams_list_discussions_in_org","url":"midas/sdk/github.html#teams_list_discussions_in_org"},{"doc":"midas/sdk/github","title":"teams_list_discussions_legacy","content":"pub fn teams_list_discussions_legacy(\n  token: String,\n  team_id: Int,\n  direction direction: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TeamDiscussion))\n\nSynonyms:\nmidas/sdk/github.teams_list_discussions_legacy\nmidas/sdk/github teams_list_discussions_legacy","url":"midas/sdk/github.html#teams_list_discussions_legacy"},{"doc":"midas/sdk/github","title":"teams_list_for_authenticated_user","content":"pub fn teams_list_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TeamFull))\n\nSynonyms:\nmidas/sdk/github.teams_list_for_authenticated_user\nmidas/sdk/github teams_list_for_authenticated_user","url":"midas/sdk/github.html#teams_list_for_authenticated_user"},{"doc":"midas/sdk/github","title":"teams_list_members_in_org","content":"pub fn teams_list_members_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  role role: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.teams_list_members_in_org\nmidas/sdk/github teams_list_members_in_org","url":"midas/sdk/github.html#teams_list_members_in_org"},{"doc":"midas/sdk/github","title":"teams_list_members_legacy","content":"pub fn teams_list_members_legacy(\n  token: String,\n  team_id: Int,\n  role role: Option(String),\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.teams_list_members_legacy\nmidas/sdk/github teams_list_members_legacy","url":"midas/sdk/github.html#teams_list_members_legacy"},{"doc":"midas/sdk/github","title":"teams_list_pending_invitations_in_org","content":"pub fn teams_list_pending_invitations_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(OrganizationInvitation))\n\nSynonyms:\nmidas/sdk/github.teams_list_pending_invitations_in_org\nmidas/sdk/github teams_list_pending_invitations_in_org","url":"midas/sdk/github.html#teams_list_pending_invitations_in_org"},{"doc":"midas/sdk/github","title":"teams_list_pending_invitations_legacy","content":"pub fn teams_list_pending_invitations_legacy(\n  token: String,\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(OrganizationInvitation))\n\nSynonyms:\nmidas/sdk/github.teams_list_pending_invitations_legacy\nmidas/sdk/github teams_list_pending_invitations_legacy","url":"midas/sdk/github.html#teams_list_pending_invitations_legacy"},{"doc":"midas/sdk/github","title":"teams_list_projects_in_org","content":"pub fn teams_list_projects_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TeamProject))\n\nSynonyms:\nmidas/sdk/github.teams_list_projects_in_org\nmidas/sdk/github teams_list_projects_in_org","url":"midas/sdk/github.html#teams_list_projects_in_org"},{"doc":"midas/sdk/github","title":"teams_list_projects_legacy","content":"pub fn teams_list_projects_legacy(\n  token: String,\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(TeamProject))\n\nSynonyms:\nmidas/sdk/github.teams_list_projects_legacy\nmidas/sdk/github teams_list_projects_legacy","url":"midas/sdk/github.html#teams_list_projects_legacy"},{"doc":"midas/sdk/github","title":"teams_list_repos_in_org","content":"pub fn teams_list_repos_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.teams_list_repos_in_org\nmidas/sdk/github teams_list_repos_in_org","url":"midas/sdk/github.html#teams_list_repos_in_org"},{"doc":"midas/sdk/github","title":"teams_list_repos_legacy","content":"pub fn teams_list_repos_legacy(\n  token: String,\n  team_id: Int,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(MinimalRepository))\n\nSynonyms:\nmidas/sdk/github.teams_list_repos_legacy\nmidas/sdk/github teams_list_repos_legacy","url":"midas/sdk/github.html#teams_list_repos_legacy"},{"doc":"midas/sdk/github","title":"teams_remove_member_legacy","content":"pub fn teams_remove_member_legacy(\n  token: String,\n  team_id: Int,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_remove_member_legacy\nmidas/sdk/github teams_remove_member_legacy","url":"midas/sdk/github.html#teams_remove_member_legacy"},{"doc":"midas/sdk/github","title":"teams_remove_membership_for_user_in_org","content":"pub fn teams_remove_membership_for_user_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_remove_membership_for_user_in_org\nmidas/sdk/github teams_remove_membership_for_user_in_org","url":"midas/sdk/github.html#teams_remove_membership_for_user_in_org"},{"doc":"midas/sdk/github","title":"teams_remove_membership_for_user_legacy","content":"pub fn teams_remove_membership_for_user_legacy(\n  token: String,\n  team_id: Int,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_remove_membership_for_user_legacy\nmidas/sdk/github teams_remove_membership_for_user_legacy","url":"midas/sdk/github.html#teams_remove_membership_for_user_legacy"},{"doc":"midas/sdk/github","title":"teams_remove_project_in_org","content":"pub fn teams_remove_project_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  project_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_remove_project_in_org\nmidas/sdk/github teams_remove_project_in_org","url":"midas/sdk/github.html#teams_remove_project_in_org"},{"doc":"midas/sdk/github","title":"teams_remove_project_legacy","content":"pub fn teams_remove_project_legacy(\n  token: String,\n  team_id: Int,\n  project_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_remove_project_legacy\nmidas/sdk/github teams_remove_project_legacy","url":"midas/sdk/github.html#teams_remove_project_legacy"},{"doc":"midas/sdk/github","title":"teams_remove_repo_in_org","content":"pub fn teams_remove_repo_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_remove_repo_in_org\nmidas/sdk/github teams_remove_repo_in_org","url":"midas/sdk/github.html#teams_remove_repo_in_org"},{"doc":"midas/sdk/github","title":"teams_remove_repo_legacy","content":"pub fn teams_remove_repo_legacy(\n  token: String,\n  team_id: Int,\n  owner: String,\n  repo: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.teams_remove_repo_legacy\nmidas/sdk/github teams_remove_repo_legacy","url":"midas/sdk/github.html#teams_remove_repo_legacy"},{"doc":"midas/sdk/github","title":"teams_update_discussion_comment_in_org","content":"pub fn teams_update_discussion_comment_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  comment_number: Int,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussionComment)\n\nSynonyms:\nmidas/sdk/github.teams_update_discussion_comment_in_org\nmidas/sdk/github teams_update_discussion_comment_in_org","url":"midas/sdk/github.html#teams_update_discussion_comment_in_org"},{"doc":"midas/sdk/github","title":"teams_update_discussion_comment_legacy","content":"pub fn teams_update_discussion_comment_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  comment_number: Int,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussionComment)\n\nSynonyms:\nmidas/sdk/github.teams_update_discussion_comment_legacy\nmidas/sdk/github teams_update_discussion_comment_legacy","url":"midas/sdk/github.html#teams_update_discussion_comment_legacy"},{"doc":"midas/sdk/github","title":"teams_update_discussion_in_org","content":"pub fn teams_update_discussion_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  discussion_number: Int,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussion)\n\nSynonyms:\nmidas/sdk/github.teams_update_discussion_in_org\nmidas/sdk/github teams_update_discussion_in_org","url":"midas/sdk/github.html#teams_update_discussion_in_org"},{"doc":"midas/sdk/github","title":"teams_update_discussion_legacy","content":"pub fn teams_update_discussion_legacy(\n  token: String,\n  team_id: Int,\n  discussion_number: Int,\n  data: BitArray,\n) -&gt; Effect(TeamDiscussion)\n\nSynonyms:\nmidas/sdk/github.teams_update_discussion_legacy\nmidas/sdk/github teams_update_discussion_legacy","url":"midas/sdk/github.html#teams_update_discussion_legacy"},{"doc":"midas/sdk/github","title":"teams_update_in_org","content":"pub fn teams_update_in_org(\n  token: String,\n  org: String,\n  team_slug: String,\n  data: BitArray,\n) -&gt; Effect(TeamFull)\n\nSynonyms:\nmidas/sdk/github.teams_update_in_org\nmidas/sdk/github teams_update_in_org","url":"midas/sdk/github.html#teams_update_in_org"},{"doc":"midas/sdk/github","title":"teams_update_legacy","content":"pub fn teams_update_legacy(\n  token: String,\n  team_id: Int,\n  data: BitArray,\n) -&gt; Effect(TeamFull)\n\nSynonyms:\nmidas/sdk/github.teams_update_legacy\nmidas/sdk/github teams_update_legacy","url":"midas/sdk/github.html#teams_update_legacy"},{"doc":"midas/sdk/github","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n  code: String,\n  state: a,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/github.token_request\nmidas/sdk/github token_request","url":"midas/sdk/github.html#token_request"},{"doc":"midas/sdk/github","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/github.token_response\nmidas/sdk/github token_response","url":"midas/sdk/github.html#token_response"},{"doc":"midas/sdk/github","title":"users_add_email_for_authenticated_user","content":"pub fn users_add_email_for_authenticated_user(\n  token: String,\n) -&gt; Effect(List(Email))\n\nSynonyms:\nmidas/sdk/github.users_add_email_for_authenticated_user\nmidas/sdk/github users_add_email_for_authenticated_user","url":"midas/sdk/github.html#users_add_email_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_add_social_account_for_authenticated_user","content":"pub fn users_add_social_account_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(List(SocialAccount))\n\nSynonyms:\nmidas/sdk/github.users_add_social_account_for_authenticated_user\nmidas/sdk/github users_add_social_account_for_authenticated_user","url":"midas/sdk/github.html#users_add_social_account_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_block","content":"pub fn users_block(\n  token: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_block\nmidas/sdk/github users_block","url":"midas/sdk/github.html#users_block"},{"doc":"midas/sdk/github","title":"users_check_blocked","content":"pub fn users_check_blocked(\n  token: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_check_blocked\nmidas/sdk/github users_check_blocked","url":"midas/sdk/github.html#users_check_blocked"},{"doc":"midas/sdk/github","title":"users_check_following_for_user","content":"pub fn users_check_following_for_user(\n  token: String,\n  username: String,\n  target_user: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_check_following_for_user\nmidas/sdk/github users_check_following_for_user","url":"midas/sdk/github.html#users_check_following_for_user"},{"doc":"midas/sdk/github","title":"users_check_person_is_followed_by_authenticated","content":"pub fn users_check_person_is_followed_by_authenticated(\n  token: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_check_person_is_followed_by_authenticated\nmidas/sdk/github users_check_person_is_followed_by_authenticated","url":"midas/sdk/github.html#users_check_person_is_followed_by_authenticated"},{"doc":"midas/sdk/github","title":"users_create_gpg_key_for_authenticated_user","content":"pub fn users_create_gpg_key_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(GpgKey)\n\nSynonyms:\nmidas/sdk/github.users_create_gpg_key_for_authenticated_user\nmidas/sdk/github users_create_gpg_key_for_authenticated_user","url":"midas/sdk/github.html#users_create_gpg_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_create_public_ssh_key_for_authenticated_user","content":"pub fn users_create_public_ssh_key_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(Key)\n\nSynonyms:\nmidas/sdk/github.users_create_public_ssh_key_for_authenticated_user\nmidas/sdk/github users_create_public_ssh_key_for_authenticated_user","url":"midas/sdk/github.html#users_create_public_ssh_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_create_ssh_signing_key_for_authenticated_user","content":"pub fn users_create_ssh_signing_key_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(SshSigningKey)\n\nSynonyms:\nmidas/sdk/github.users_create_ssh_signing_key_for_authenticated_user\nmidas/sdk/github users_create_ssh_signing_key_for_authenticated_user","url":"midas/sdk/github.html#users_create_ssh_signing_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_delete_email_for_authenticated_user","content":"pub fn users_delete_email_for_authenticated_user(\n  token: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_delete_email_for_authenticated_user\nmidas/sdk/github users_delete_email_for_authenticated_user","url":"midas/sdk/github.html#users_delete_email_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_delete_gpg_key_for_authenticated_user","content":"pub fn users_delete_gpg_key_for_authenticated_user(\n  token: String,\n  gpg_key_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_delete_gpg_key_for_authenticated_user\nmidas/sdk/github users_delete_gpg_key_for_authenticated_user","url":"midas/sdk/github.html#users_delete_gpg_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_delete_public_ssh_key_for_authenticated_user","content":"pub fn users_delete_public_ssh_key_for_authenticated_user(\n  token: String,\n  key_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_delete_public_ssh_key_for_authenticated_user\nmidas/sdk/github users_delete_public_ssh_key_for_authenticated_user","url":"midas/sdk/github.html#users_delete_public_ssh_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_delete_social_account_for_authenticated_user","content":"pub fn users_delete_social_account_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_delete_social_account_for_authenticated_user\nmidas/sdk/github users_delete_social_account_for_authenticated_user","url":"midas/sdk/github.html#users_delete_social_account_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_delete_ssh_signing_key_for_authenticated_user","content":"pub fn users_delete_ssh_signing_key_for_authenticated_user(\n  token: String,\n  ssh_signing_key_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_delete_ssh_signing_key_for_authenticated_user\nmidas/sdk/github users_delete_ssh_signing_key_for_authenticated_user","url":"midas/sdk/github.html#users_delete_ssh_signing_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_follow","content":"pub fn users_follow(\n  token: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_follow\nmidas/sdk/github users_follow","url":"midas/sdk/github.html#users_follow"},{"doc":"midas/sdk/github","title":"users_get_authenticated","content":"pub fn users_get_authenticated(token: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_get_authenticated\nmidas/sdk/github users_get_authenticated","url":"midas/sdk/github.html#users_get_authenticated"},{"doc":"midas/sdk/github","title":"users_get_by_id","content":"pub fn users_get_by_id(\n  token: String,\n  account_id: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_get_by_id\nmidas/sdk/github users_get_by_id","url":"midas/sdk/github.html#users_get_by_id"},{"doc":"midas/sdk/github","title":"users_get_by_username","content":"pub fn users_get_by_username(\n  token: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_get_by_username\nmidas/sdk/github users_get_by_username","url":"midas/sdk/github.html#users_get_by_username"},{"doc":"midas/sdk/github","title":"users_get_context_for_user","content":"pub fn users_get_context_for_user(\n  token: String,\n  username: String,\n  subject_type subject_type: Option(String),\n  subject_id subject_id: Option(String),\n) -&gt; Effect(Hovercard)\n\nSynonyms:\nmidas/sdk/github.users_get_context_for_user\nmidas/sdk/github users_get_context_for_user","url":"midas/sdk/github.html#users_get_context_for_user"},{"doc":"midas/sdk/github","title":"users_get_gpg_key_for_authenticated_user","content":"pub fn users_get_gpg_key_for_authenticated_user(\n  token: String,\n  gpg_key_id: Int,\n) -&gt; Effect(GpgKey)\n\nSynonyms:\nmidas/sdk/github.users_get_gpg_key_for_authenticated_user\nmidas/sdk/github users_get_gpg_key_for_authenticated_user","url":"midas/sdk/github.html#users_get_gpg_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_get_public_ssh_key_for_authenticated_user","content":"pub fn users_get_public_ssh_key_for_authenticated_user(\n  token: String,\n  key_id: Int,\n) -&gt; Effect(Key)\n\nSynonyms:\nmidas/sdk/github.users_get_public_ssh_key_for_authenticated_user\nmidas/sdk/github users_get_public_ssh_key_for_authenticated_user","url":"midas/sdk/github.html#users_get_public_ssh_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_get_ssh_signing_key_for_authenticated_user","content":"pub fn users_get_ssh_signing_key_for_authenticated_user(\n  token: String,\n  ssh_signing_key_id: Int,\n) -&gt; Effect(SshSigningKey)\n\nSynonyms:\nmidas/sdk/github.users_get_ssh_signing_key_for_authenticated_user\nmidas/sdk/github users_get_ssh_signing_key_for_authenticated_user","url":"midas/sdk/github.html#users_get_ssh_signing_key_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list","content":"pub fn users_list(\n  token: String,\n  since since: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.users_list\nmidas/sdk/github users_list","url":"midas/sdk/github.html#users_list"},{"doc":"midas/sdk/github","title":"users_list_attestations","content":"pub fn users_list_attestations(\n  token: String,\n  username: String,\n  subject_digest: String,\n  per_page per_page: Option(Int),\n  before before: Option(String),\n  after after: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_list_attestations\nmidas/sdk/github users_list_attestations","url":"midas/sdk/github.html#users_list_attestations"},{"doc":"midas/sdk/github","title":"users_list_blocked_by_authenticated_user","content":"pub fn users_list_blocked_by_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.users_list_blocked_by_authenticated_user\nmidas/sdk/github users_list_blocked_by_authenticated_user","url":"midas/sdk/github.html#users_list_blocked_by_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_emails_for_authenticated_user","content":"pub fn users_list_emails_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Email))\n\nSynonyms:\nmidas/sdk/github.users_list_emails_for_authenticated_user\nmidas/sdk/github users_list_emails_for_authenticated_user","url":"midas/sdk/github.html#users_list_emails_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_followed_by_authenticated_user","content":"pub fn users_list_followed_by_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.users_list_followed_by_authenticated_user\nmidas/sdk/github users_list_followed_by_authenticated_user","url":"midas/sdk/github.html#users_list_followed_by_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_followers_for_authenticated_user","content":"pub fn users_list_followers_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.users_list_followers_for_authenticated_user\nmidas/sdk/github users_list_followers_for_authenticated_user","url":"midas/sdk/github.html#users_list_followers_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_followers_for_user","content":"pub fn users_list_followers_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.users_list_followers_for_user\nmidas/sdk/github users_list_followers_for_user","url":"midas/sdk/github.html#users_list_followers_for_user"},{"doc":"midas/sdk/github","title":"users_list_following_for_user","content":"pub fn users_list_following_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SimpleUser))\n\nSynonyms:\nmidas/sdk/github.users_list_following_for_user\nmidas/sdk/github users_list_following_for_user","url":"midas/sdk/github.html#users_list_following_for_user"},{"doc":"midas/sdk/github","title":"users_list_gpg_keys_for_authenticated_user","content":"pub fn users_list_gpg_keys_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(GpgKey))\n\nSynonyms:\nmidas/sdk/github.users_list_gpg_keys_for_authenticated_user\nmidas/sdk/github users_list_gpg_keys_for_authenticated_user","url":"midas/sdk/github.html#users_list_gpg_keys_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_gpg_keys_for_user","content":"pub fn users_list_gpg_keys_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(GpgKey))\n\nSynonyms:\nmidas/sdk/github.users_list_gpg_keys_for_user\nmidas/sdk/github users_list_gpg_keys_for_user","url":"midas/sdk/github.html#users_list_gpg_keys_for_user"},{"doc":"midas/sdk/github","title":"users_list_public_emails_for_authenticated_user","content":"pub fn users_list_public_emails_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Email))\n\nSynonyms:\nmidas/sdk/github.users_list_public_emails_for_authenticated_user\nmidas/sdk/github users_list_public_emails_for_authenticated_user","url":"midas/sdk/github.html#users_list_public_emails_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_public_keys_for_user","content":"pub fn users_list_public_keys_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(KeySimple))\n\nSynonyms:\nmidas/sdk/github.users_list_public_keys_for_user\nmidas/sdk/github users_list_public_keys_for_user","url":"midas/sdk/github.html#users_list_public_keys_for_user"},{"doc":"midas/sdk/github","title":"users_list_public_ssh_keys_for_authenticated_user","content":"pub fn users_list_public_ssh_keys_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(Key))\n\nSynonyms:\nmidas/sdk/github.users_list_public_ssh_keys_for_authenticated_user\nmidas/sdk/github users_list_public_ssh_keys_for_authenticated_user","url":"midas/sdk/github.html#users_list_public_ssh_keys_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_social_accounts_for_authenticated_user","content":"pub fn users_list_social_accounts_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SocialAccount))\n\nSynonyms:\nmidas/sdk/github.users_list_social_accounts_for_authenticated_user\nmidas/sdk/github users_list_social_accounts_for_authenticated_user","url":"midas/sdk/github.html#users_list_social_accounts_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_social_accounts_for_user","content":"pub fn users_list_social_accounts_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SocialAccount))\n\nSynonyms:\nmidas/sdk/github.users_list_social_accounts_for_user\nmidas/sdk/github users_list_social_accounts_for_user","url":"midas/sdk/github.html#users_list_social_accounts_for_user"},{"doc":"midas/sdk/github","title":"users_list_ssh_signing_keys_for_authenticated_user","content":"pub fn users_list_ssh_signing_keys_for_authenticated_user(\n  token: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SshSigningKey))\n\nSynonyms:\nmidas/sdk/github.users_list_ssh_signing_keys_for_authenticated_user\nmidas/sdk/github users_list_ssh_signing_keys_for_authenticated_user","url":"midas/sdk/github.html#users_list_ssh_signing_keys_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_list_ssh_signing_keys_for_user","content":"pub fn users_list_ssh_signing_keys_for_user(\n  token: String,\n  username: String,\n  per_page per_page: Option(Int),\n  page page: Option(Int),\n) -&gt; Effect(List(SshSigningKey))\n\nSynonyms:\nmidas/sdk/github.users_list_ssh_signing_keys_for_user\nmidas/sdk/github users_list_ssh_signing_keys_for_user","url":"midas/sdk/github.html#users_list_ssh_signing_keys_for_user"},{"doc":"midas/sdk/github","title":"users_set_primary_email_visibility_for_authenticated_user","content":"pub fn users_set_primary_email_visibility_for_authenticated_user(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(List(Email))\n\nSynonyms:\nmidas/sdk/github.users_set_primary_email_visibility_for_authenticated_user\nmidas/sdk/github users_set_primary_email_visibility_for_authenticated_user","url":"midas/sdk/github.html#users_set_primary_email_visibility_for_authenticated_user"},{"doc":"midas/sdk/github","title":"users_unblock","content":"pub fn users_unblock(\n  token: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_unblock\nmidas/sdk/github users_unblock","url":"midas/sdk/github.html#users_unblock"},{"doc":"midas/sdk/github","title":"users_unfollow","content":"pub fn users_unfollow(\n  token: String,\n  username: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/github.users_unfollow\nmidas/sdk/github users_unfollow","url":"midas/sdk/github.html#users_unfollow"},{"doc":"midas/sdk/github","title":"users_update_authenticated","content":"pub fn users_update_authenticated(\n  token: String,\n  data: BitArray,\n) -&gt; Effect(PrivateUser)\n\nSynonyms:\nmidas/sdk/github.users_update_authenticated\nmidas/sdk/github users_update_authenticated","url":"midas/sdk/github.html#users_update_authenticated"},{"doc":"midas/sdk/github","title":"midas/sdk/github","content":"","url":"midas/sdk/github.html"},{"doc":"midas/sdk/google","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/google.App\nmidas/sdk/google App","url":"midas/sdk/google.html#App"},{"doc":"midas/sdk/google","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/google.auth_redirect\nmidas/sdk/google auth_redirect","url":"midas/sdk/google.html#auth_redirect"},{"doc":"midas/sdk/google","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.authenticate\nmidas/sdk/google authenticate","url":"midas/sdk/google.html#authenticate"},{"doc":"midas/sdk/google","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.userinfo\nmidas/sdk/google userinfo","url":"midas/sdk/google.html#userinfo"},{"doc":"midas/sdk/google","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google.userinfo_request\nmidas/sdk/google userinfo_request","url":"midas/sdk/google.html#userinfo_request"},{"doc":"midas/sdk/google","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/google.userinfo_response\nmidas/sdk/google userinfo_response","url":"midas/sdk/google.html#userinfo_response"},{"doc":"midas/sdk/google","title":"midas/sdk/google","content":"","url":"midas/sdk/google.html"},{"doc":"midas/sdk/google/calendar","title":"DateOrDatetime","content":"pub type DateOrDatetime {\n  Date(String)\n  Datetime(String)\n}\n\nDate(String)\n\n\nDatetime(String)\n\n\nSynonyms:\nmidas/sdk/google/calendar.DateOrDatetime\nmidas/sdk/google/calendar DateOrDatetime","url":"midas/sdk/google/calendar.html#DateOrDatetime"},{"doc":"midas/sdk/google/calendar","title":"Event","content":"pub type Event {\n  Event(\n    summary: String,\n    location: Option(String),\n    start: DateOrDatetime,\n    end: DateOrDatetime,\n  )\n}\n\nEvent(\n  summary: String,\n  location: Option(String),\n  start: DateOrDatetime,\n  end: DateOrDatetime,\n)\n\n\nSynonyms:\nmidas/sdk/google/calendar.Event\nmidas/sdk/google/calendar Event","url":"midas/sdk/google/calendar.html#Event"},{"doc":"midas/sdk/google/calendar","title":"date_or_datetime_decoder","content":"pub fn date_or_datetime_decoder(\n  raw: Dynamic,\n) -&gt; Result(DateOrDatetime, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.date_or_datetime_decoder\nmidas/sdk/google/calendar date_or_datetime_decoder","url":"midas/sdk/google/calendar.html#date_or_datetime_decoder"},{"doc":"midas/sdk/google/calendar","title":"event_decoder","content":"pub fn event_decoder(\n  raw: Dynamic,\n) -&gt; Result(Event, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.event_decoder\nmidas/sdk/google/calendar event_decoder","url":"midas/sdk/google/calendar.html#event_decoder"},{"doc":"midas/sdk/google/calendar","title":"list_events","content":"pub fn list_events(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/google/calendar.list_events\nmidas/sdk/google/calendar list_events","url":"midas/sdk/google/calendar.html#list_events"},{"doc":"midas/sdk/google/calendar","title":"list_events_request","content":"pub fn list_events_request(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_request\nmidas/sdk/google/calendar list_events_request","url":"midas/sdk/google/calendar.html#list_events_request"},{"doc":"midas/sdk/google/calendar","title":"list_events_response","content":"pub fn list_events_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Event), Snag)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_response\nmidas/sdk/google/calendar list_events_response","url":"midas/sdk/google/calendar.html#list_events_response"},{"doc":"midas/sdk/google/calendar","title":"midas/sdk/google/calendar","content":"","url":"midas/sdk/google/calendar.html"},{"doc":"midas/sdk/google/gmail","title":"Message","content":"pub type Message {\n  Message(id: String, thread_id: String)\n}\n\nMessage(id: String, thread_id: String)\n\n\nSynonyms:\nmidas/sdk/google/gmail.Message\nmidas/sdk/google/gmail Message","url":"midas/sdk/google/gmail.html#Message"},{"doc":"midas/sdk/google/gmail","title":"list_messages","content":"pub fn list_messages(\n  token: String,\n  user_id: String,\n) -&gt; Effect(List(Message))\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages\nmidas/sdk/google/gmail list_messages","url":"midas/sdk/google/gmail.html#list_messages"},{"doc":"midas/sdk/google/gmail","title":"list_messages_request","content":"pub fn list_messages_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_request\nmidas/sdk/google/gmail list_messages_request","url":"midas/sdk/google/gmail.html#list_messages_request"},{"doc":"midas/sdk/google/gmail","title":"list_messages_response","content":"pub fn list_messages_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Message), Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_response\nmidas/sdk/google/gmail list_messages_response","url":"midas/sdk/google/gmail.html#list_messages_response"},{"doc":"midas/sdk/google/gmail","title":"send","content":"pub fn send(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Effect(Message)\n\nSynonyms:\nmidas/sdk/google/gmail.send\nmidas/sdk/google/gmail send","url":"midas/sdk/google/gmail.html#send"},{"doc":"midas/sdk/google/gmail","title":"send_request","content":"pub fn send_request(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.send_request\nmidas/sdk/google/gmail send_request","url":"midas/sdk/google/gmail.html#send_request"},{"doc":"midas/sdk/google/gmail","title":"send_response","content":"pub fn send_response(\n  response: Response(BitArray),\n) -&gt; Result(Message, Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.send_response\nmidas/sdk/google/gmail send_response","url":"midas/sdk/google/gmail.html#send_response"},{"doc":"midas/sdk/google/gmail","title":"midas/sdk/google/gmail","content":"","url":"midas/sdk/google/gmail.html"},{"doc":"midas/sdk/linkedin","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.App\nmidas/sdk/linkedin App","url":"midas/sdk/linkedin.html#App"},{"doc":"midas/sdk/linkedin","title":"Author","content":"pub type Author {\n  Person(id: String)\n  Organization(id: String)\n}\n\nPerson(id: String)\n\n\nOrganization(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Author\nmidas/sdk/linkedin Author","url":"midas/sdk/linkedin.html#Author"},{"doc":"midas/sdk/linkedin","title":"Content","content":"pub type Content {\n  Article(\n    description: Option(String),\n    source: String,\n    thumbnail: Option(Image),\n    thumbnail_alt_text: Option(String),\n    title: String,\n  )\n}\n\nArticle(\n  description: Option(String),\n  source: String,\n  thumbnail: Option(Image),\n  thumbnail_alt_text: Option(String),\n  title: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.Content\nmidas/sdk/linkedin Content","url":"midas/sdk/linkedin.html#Content"},{"doc":"midas/sdk/linkedin","title":"Image","content":"pub type Image {\n  Image(id: String)\n}\n\nImage(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Image\nmidas/sdk/linkedin Image","url":"midas/sdk/linkedin.html#Image"},{"doc":"midas/sdk/linkedin","title":"InitializeImageUpload","content":"pub type InitializeImageUpload {\n  InitializeImageUpload(\n    upload_url_expires_at: Int,\n    upload_url: String,\n    image: String,\n  )\n}\n\nInitializeImageUpload(\n  upload_url_expires_at: Int,\n  upload_url: String,\n  image: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.InitializeImageUpload\nmidas/sdk/linkedin InitializeImageUpload","url":"midas/sdk/linkedin.html#InitializeImageUpload"},{"doc":"midas/sdk/linkedin","title":"Share","content":"pub type Share {\n  Share(id: String)\n}\n\nShare(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Share\nmidas/sdk/linkedin Share","url":"midas/sdk/linkedin.html#Share"},{"doc":"midas/sdk/linkedin","title":"Userinfo","content":"pub type Userinfo {\n  Userinfo(sub: String)\n}\n\nUserinfo(sub: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Userinfo\nmidas/sdk/linkedin Userinfo","url":"midas/sdk/linkedin.html#Userinfo"},{"doc":"midas/sdk/linkedin","title":"Visability","content":"pub type Visability {\n  Connections\n  Public\n  LoggedIn\n  Container\n}\n\nConnections\n\n\nPublic\n\n\nLoggedIn\n\n\nContainer\n\n\nSynonyms:\nmidas/sdk/linkedin.Visability\nmidas/sdk/linkedin Visability","url":"midas/sdk/linkedin.html#Visability"},{"doc":"midas/sdk/linkedin","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/linkedin.api_host\nmidas/sdk/linkedin api_host","url":"midas/sdk/linkedin.html#api_host"},{"doc":"midas/sdk/linkedin","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/linkedin.auth_redirect\nmidas/sdk/linkedin auth_redirect","url":"midas/sdk/linkedin.html#auth_redirect"},{"doc":"midas/sdk/linkedin","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.authenticate\nmidas/sdk/linkedin authenticate","url":"midas/sdk/linkedin.html#authenticate"},{"doc":"midas/sdk/linkedin","title":"author_to_urn","content":"pub fn author_to_urn(author: Author) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.author_to_urn\nmidas/sdk/linkedin author_to_urn","url":"midas/sdk/linkedin.html#author_to_urn"},{"doc":"midas/sdk/linkedin","title":"content_to_json","content":"pub fn content_to_json(content: Content) -&gt; Json\n\nSynonyms:\nmidas/sdk/linkedin.content_to_json\nmidas/sdk/linkedin content_to_json","url":"midas/sdk/linkedin.html#content_to_json"},{"doc":"midas/sdk/linkedin","title":"create_post","content":"pub fn create_post(\n  token: String,\n  user_id: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.create_post\nmidas/sdk/linkedin create_post","url":"midas/sdk/linkedin.html#create_post"},{"doc":"midas/sdk/linkedin","title":"create_post_request","content":"pub fn create_post_request(\n  token: String,\n  author: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_request\nmidas/sdk/linkedin create_post_request","url":"midas/sdk/linkedin.html#create_post_request"},{"doc":"midas/sdk/linkedin","title":"create_post_response","content":"pub fn create_post_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_response\nmidas/sdk/linkedin create_post_response","url":"midas/sdk/linkedin.html#create_post_response"},{"doc":"midas/sdk/linkedin","title":"get_post","content":"pub fn get_post(\n  token: String,\n  share: Share,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_post\nmidas/sdk/linkedin get_post","url":"midas/sdk/linkedin.html#get_post"},{"doc":"midas/sdk/linkedin","title":"get_post_request","content":"pub fn get_post_request(\n  token: String,\n  share: Share,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_post_request\nmidas/sdk/linkedin get_post_request","url":"midas/sdk/linkedin.html#get_post_request"},{"doc":"midas/sdk/linkedin","title":"get_posts","content":"pub fn get_posts(\n  token: String,\n  author: Author,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_posts\nmidas/sdk/linkedin get_posts","url":"midas/sdk/linkedin.html#get_posts"},{"doc":"midas/sdk/linkedin","title":"get_posts_request","content":"pub fn get_posts_request(\n  token: String,\n  author: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_posts_request\nmidas/sdk/linkedin get_posts_request","url":"midas/sdk/linkedin.html#get_posts_request"},{"doc":"midas/sdk/linkedin","title":"image_to_urn","content":"pub fn image_to_urn(image: Image) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.image_to_urn\nmidas/sdk/linkedin image_to_urn","url":"midas/sdk/linkedin.html#image_to_urn"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload","content":"pub fn initialize_image_upload(\n  token: String,\n  owner: Author,\n) -&gt; Effect(InitializeImageUpload)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload\nmidas/sdk/linkedin initialize_image_upload","url":"midas/sdk/linkedin.html#initialize_image_upload"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_decoder","content":"pub fn initialize_image_upload_decoder(\n  raw: Dynamic,\n) -&gt; Result(InitializeImageUpload, List(DecodeError))\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_decoder\nmidas/sdk/linkedin initialize_image_upload_decoder","url":"midas/sdk/linkedin.html#initialize_image_upload_decoder"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_request","content":"pub fn initialize_image_upload_request(\n  token: String,\n  owner: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_request\nmidas/sdk/linkedin initialize_image_upload_request","url":"midas/sdk/linkedin.html#initialize_image_upload_request"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_response","content":"pub fn initialize_image_upload_response(\n  response: Response(BitArray),\n) -&gt; Result(InitializeImageUpload, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_response\nmidas/sdk/linkedin initialize_image_upload_response","url":"midas/sdk/linkedin.html#initialize_image_upload_response"},{"doc":"midas/sdk/linkedin","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  client_secret: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.token_request\nmidas/sdk/linkedin token_request","url":"midas/sdk/linkedin.html#token_request"},{"doc":"midas/sdk/linkedin","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/linkedin.token_response\nmidas/sdk/linkedin token_response","url":"midas/sdk/linkedin.html#token_response"},{"doc":"midas/sdk/linkedin","title":"upload_image","content":"pub fn upload_image(\n  token: String,\n  owner: Author,\n  bits: BitArray,\n) -&gt; Effect(Image)\n\nSynonyms:\nmidas/sdk/linkedin.upload_image\nmidas/sdk/linkedin upload_image","url":"midas/sdk/linkedin.html#upload_image"},{"doc":"midas/sdk/linkedin","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(Userinfo)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo\nmidas/sdk/linkedin userinfo","url":"midas/sdk/linkedin.html#userinfo"},{"doc":"midas/sdk/linkedin","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_request\nmidas/sdk/linkedin userinfo_request","url":"midas/sdk/linkedin.html#userinfo_request"},{"doc":"midas/sdk/linkedin","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(Userinfo, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_response\nmidas/sdk/linkedin userinfo_response","url":"midas/sdk/linkedin.html#userinfo_response"},{"doc":"midas/sdk/linkedin","title":"visability_to_string","content":"pub fn visability_to_string(visability: Visability) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.visability_to_string\nmidas/sdk/linkedin visability_to_string","url":"midas/sdk/linkedin.html#visability_to_string"},{"doc":"midas/sdk/linkedin","title":"midas/sdk/linkedin","content":"","url":"midas/sdk/linkedin.html"},{"doc":"midas/sdk/netlify/operations","title":"add_member_to_account_request","content":"pub fn add_member_to_account_request(\n  base: Request(a),\n  account_slug: String,\n  account_add_member_setup: AccountAddMemberSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.add_member_to_account_request\nmidas/sdk/netlify/operations add_member_to_account_request","url":"midas/sdk/netlify/operations.html#add_member_to_account_request"},{"doc":"midas/sdk/netlify/operations","title":"add_member_to_account_response","content":"pub fn add_member_to_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Member), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.add_member_to_account_response\nmidas/sdk/netlify/operations add_member_to_account_response","url":"midas/sdk/netlify/operations.html#add_member_to_account_response"},{"doc":"midas/sdk/netlify/operations","title":"cancel_account_request","content":"pub fn cancel_account_request(\n  base: Request(a),\n  account_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_account_request\nmidas/sdk/netlify/operations cancel_account_request","url":"midas/sdk/netlify/operations.html#cancel_account_request"},{"doc":"midas/sdk/netlify/operations","title":"cancel_account_response","content":"pub fn cancel_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_account_response\nmidas/sdk/netlify/operations cancel_account_response","url":"midas/sdk/netlify/operations.html#cancel_account_response"},{"doc":"midas/sdk/netlify/operations","title":"cancel_site_deploy_request","content":"pub fn cancel_site_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_site_deploy_request\nmidas/sdk/netlify/operations cancel_site_deploy_request","url":"midas/sdk/netlify/operations.html#cancel_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"cancel_site_deploy_response","content":"pub fn cancel_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_site_deploy_response\nmidas/sdk/netlify/operations cancel_site_deploy_response","url":"midas/sdk/netlify/operations.html#cancel_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"configure_dnsfor_site_request","content":"pub fn configure_dnsfor_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.configure_dnsfor_site_request\nmidas/sdk/netlify/operations configure_dnsfor_site_request","url":"midas/sdk/netlify/operations.html#configure_dnsfor_site_request"},{"doc":"midas/sdk/netlify/operations","title":"configure_dnsfor_site_response","content":"pub fn configure_dnsfor_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsZone), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.configure_dnsfor_site_response\nmidas/sdk/netlify/operations configure_dnsfor_site_response","url":"midas/sdk/netlify/operations.html#configure_dnsfor_site_response"},{"doc":"midas/sdk/netlify/operations","title":"create_account_request","content":"pub fn create_account_request(\n  base: Request(a),\n  account_setup: AccountSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_account_request\nmidas/sdk/netlify/operations create_account_request","url":"midas/sdk/netlify/operations.html#create_account_request"},{"doc":"midas/sdk/netlify/operations","title":"create_account_response","content":"pub fn create_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AccountMembership, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_account_response\nmidas/sdk/netlify/operations create_account_response","url":"midas/sdk/netlify/operations.html#create_account_response"},{"doc":"midas/sdk/netlify/operations","title":"create_deploy_key_request","content":"pub fn create_deploy_key_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_deploy_key_request\nmidas/sdk/netlify/operations create_deploy_key_request","url":"midas/sdk/netlify/operations.html#create_deploy_key_request"},{"doc":"midas/sdk/netlify/operations","title":"create_deploy_key_response","content":"pub fn create_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeployKey, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_deploy_key_response\nmidas/sdk/netlify/operations create_deploy_key_response","url":"midas/sdk/netlify/operations.html#create_deploy_key_response"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_record_request","content":"pub fn create_dns_record_request(\n  base: Request(a),\n  zone_id: String,\n  dns_record_create: DnsRecordCreate,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_record_request\nmidas/sdk/netlify/operations create_dns_record_request","url":"midas/sdk/netlify/operations.html#create_dns_record_request"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_record_response","content":"pub fn create_dns_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsRecord, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_record_response\nmidas/sdk/netlify/operations create_dns_record_response","url":"midas/sdk/netlify/operations.html#create_dns_record_response"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_zone_request","content":"pub fn create_dns_zone_request(\n  base: Request(a),\n  dns_zone_setup: DnsZoneSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_zone_request\nmidas/sdk/netlify/operations create_dns_zone_request","url":"midas/sdk/netlify/operations.html#create_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_zone_response","content":"pub fn create_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsZone, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_zone_response\nmidas/sdk/netlify/operations create_dns_zone_response","url":"midas/sdk/netlify/operations.html#create_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"create_env_vars_request","content":"pub fn create_env_vars_request(\n  base: Request(a),\n  account_id: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_env_vars_request\nmidas/sdk/netlify/operations create_env_vars_request","url":"midas/sdk/netlify/operations.html#create_env_vars_request"},{"doc":"midas/sdk/netlify/operations","title":"create_env_vars_response","content":"pub fn create_env_vars_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(EnvVar), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_env_vars_response\nmidas/sdk/netlify/operations create_env_vars_response","url":"midas/sdk/netlify/operations.html#create_env_vars_response"},{"doc":"midas/sdk/netlify/operations","title":"create_hook_by_site_id_request","content":"pub fn create_hook_by_site_id_request(\n  base: Request(a),\n  hook: Hook,\n  site_id site_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_hook_by_site_id_request\nmidas/sdk/netlify/operations create_hook_by_site_id_request","url":"midas/sdk/netlify/operations.html#create_hook_by_site_id_request"},{"doc":"midas/sdk/netlify/operations","title":"create_hook_by_site_id_response","content":"pub fn create_hook_by_site_id_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_hook_by_site_id_response\nmidas/sdk/netlify/operations create_hook_by_site_id_response","url":"midas/sdk/netlify/operations.html#create_hook_by_site_id_response"},{"doc":"midas/sdk/netlify/operations","title":"create_service_instance_request","content":"pub fn create_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_service_instance_request\nmidas/sdk/netlify/operations create_service_instance_request","url":"midas/sdk/netlify/operations.html#create_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"create_service_instance_response","content":"pub fn create_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ServiceInstance, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_service_instance_response\nmidas/sdk/netlify/operations create_service_instance_response","url":"midas/sdk/netlify/operations.html#create_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_asset_request","content":"pub fn create_site_asset_request(\n  base: Request(a),\n  site_id: String,\n  name name: String,\n  size size: Int,\n  content_type content_type: String,\n  visibility visibility: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_asset_request\nmidas/sdk/netlify/operations create_site_asset_request","url":"midas/sdk/netlify/operations.html#create_site_asset_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_asset_response","content":"pub fn create_site_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AssetSignature, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_asset_response\nmidas/sdk/netlify/operations create_site_asset_response","url":"midas/sdk/netlify/operations.html#create_site_asset_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_hook_request","content":"pub fn create_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_hook_request\nmidas/sdk/netlify/operations create_site_build_hook_request","url":"midas/sdk/netlify/operations.html#create_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_hook_response","content":"pub fn create_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BuildHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_hook_response\nmidas/sdk/netlify/operations create_site_build_hook_response","url":"midas/sdk/netlify/operations.html#create_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_request","content":"pub fn create_site_build_request(\n  base: Request(a),\n  site_id: String,\n  build_setup: BuildSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_request\nmidas/sdk/netlify/operations create_site_build_request","url":"midas/sdk/netlify/operations.html#create_site_build_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_response","content":"pub fn create_site_build_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Build, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_response\nmidas/sdk/netlify/operations create_site_build_response","url":"midas/sdk/netlify/operations.html#create_site_build_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_deploy_request","content":"pub fn create_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_files: DeployFiles,\n  title title: Option(String),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_deploy_request\nmidas/sdk/netlify/operations create_site_deploy_request","url":"midas/sdk/netlify/operations.html#create_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_deploy_response","content":"pub fn create_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_deploy_response\nmidas/sdk/netlify/operations create_site_deploy_response","url":"midas/sdk/netlify/operations.html#create_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_hook_request","content":"pub fn create_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_hook_request\nmidas/sdk/netlify/operations create_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#create_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_hook_response","content":"pub fn create_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DevServerHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_hook_response\nmidas/sdk/netlify/operations create_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#create_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_request","content":"pub fn create_site_dev_server_request(\n  base: Request(a),\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_request\nmidas/sdk/netlify/operations create_site_dev_server_request","url":"midas/sdk/netlify/operations.html#create_site_dev_server_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_response","content":"pub fn create_site_dev_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DevServer), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_response\nmidas/sdk/netlify/operations create_site_dev_server_response","url":"midas/sdk/netlify/operations.html#create_site_dev_server_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_in_team_request","content":"pub fn create_site_in_team_request(\n  base: Request(a),\n  account_slug: String,\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_in_team_request\nmidas/sdk/netlify/operations create_site_in_team_request","url":"midas/sdk/netlify/operations.html#create_site_in_team_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_in_team_response","content":"pub fn create_site_in_team_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_in_team_response\nmidas/sdk/netlify/operations create_site_in_team_response","url":"midas/sdk/netlify/operations.html#create_site_in_team_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_request","content":"pub fn create_site_request(\n  base: Request(a),\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_request\nmidas/sdk/netlify/operations create_site_request","url":"midas/sdk/netlify/operations.html#create_site_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_response","content":"pub fn create_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_response\nmidas/sdk/netlify/operations create_site_response","url":"midas/sdk/netlify/operations.html#create_site_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_snippet_request","content":"pub fn create_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet: Snippet,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_snippet_request\nmidas/sdk/netlify/operations create_site_snippet_request","url":"midas/sdk/netlify/operations.html#create_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_snippet_response","content":"pub fn create_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Snippet, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_snippet_response\nmidas/sdk/netlify/operations create_site_snippet_response","url":"midas/sdk/netlify/operations.html#create_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"create_split_test_request","content":"pub fn create_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_split_test_request\nmidas/sdk/netlify/operations create_split_test_request","url":"midas/sdk/netlify/operations.html#create_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"create_split_test_response","content":"pub fn create_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SplitTest, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_split_test_response\nmidas/sdk/netlify/operations create_split_test_response","url":"midas/sdk/netlify/operations.html#create_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"create_ticket_request","content":"pub fn create_ticket_request(\n  base: Request(a),\n  client_id client_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_ticket_request\nmidas/sdk/netlify/operations create_ticket_request","url":"midas/sdk/netlify/operations.html#create_ticket_request"},{"doc":"midas/sdk/netlify/operations","title":"create_ticket_response","content":"pub fn create_ticket_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Ticket, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_ticket_response\nmidas/sdk/netlify/operations create_ticket_response","url":"midas/sdk/netlify/operations.html#create_ticket_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_key_request","content":"pub fn delete_deploy_key_request(\n  base: Request(a),\n  key_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_key_request\nmidas/sdk/netlify/operations delete_deploy_key_request","url":"midas/sdk/netlify/operations.html#delete_deploy_key_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_key_response","content":"pub fn delete_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_key_response\nmidas/sdk/netlify/operations delete_deploy_key_response","url":"midas/sdk/netlify/operations.html#delete_deploy_key_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_request","content":"pub fn delete_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_request\nmidas/sdk/netlify/operations delete_deploy_request","url":"midas/sdk/netlify/operations.html#delete_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_response","content":"pub fn delete_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_response\nmidas/sdk/netlify/operations delete_deploy_response","url":"midas/sdk/netlify/operations.html#delete_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_record_request","content":"pub fn delete_dns_record_request(\n  base: Request(a),\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_record_request\nmidas/sdk/netlify/operations delete_dns_record_request","url":"midas/sdk/netlify/operations.html#delete_dns_record_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_record_response","content":"pub fn delete_dns_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_record_response\nmidas/sdk/netlify/operations delete_dns_record_response","url":"midas/sdk/netlify/operations.html#delete_dns_record_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_zone_request","content":"pub fn delete_dns_zone_request(\n  base: Request(a),\n  zone_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_zone_request\nmidas/sdk/netlify/operations delete_dns_zone_request","url":"midas/sdk/netlify/operations.html#delete_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_zone_response","content":"pub fn delete_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_zone_response\nmidas/sdk/netlify/operations delete_dns_zone_response","url":"midas/sdk/netlify/operations.html#delete_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_request","content":"pub fn delete_env_var_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_request\nmidas/sdk/netlify/operations delete_env_var_request","url":"midas/sdk/netlify/operations.html#delete_env_var_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_response","content":"pub fn delete_env_var_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_response\nmidas/sdk/netlify/operations delete_env_var_response","url":"midas/sdk/netlify/operations.html#delete_env_var_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_value_request","content":"pub fn delete_env_var_value_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  id: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_value_request\nmidas/sdk/netlify/operations delete_env_var_value_request","url":"midas/sdk/netlify/operations.html#delete_env_var_value_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_value_response","content":"pub fn delete_env_var_value_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_value_response\nmidas/sdk/netlify/operations delete_env_var_value_response","url":"midas/sdk/netlify/operations.html#delete_env_var_value_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_hook_request","content":"pub fn delete_hook_request(\n  base: Request(a),\n  hook_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_hook_request\nmidas/sdk/netlify/operations delete_hook_request","url":"midas/sdk/netlify/operations.html#delete_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_hook_response","content":"pub fn delete_hook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_hook_response\nmidas/sdk/netlify/operations delete_hook_response","url":"midas/sdk/netlify/operations.html#delete_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_service_instance_request","content":"pub fn delete_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_service_instance_request\nmidas/sdk/netlify/operations delete_service_instance_request","url":"midas/sdk/netlify/operations.html#delete_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_service_instance_response","content":"pub fn delete_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_service_instance_response\nmidas/sdk/netlify/operations delete_service_instance_response","url":"midas/sdk/netlify/operations.html#delete_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_asset_request","content":"pub fn delete_site_asset_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_asset_request\nmidas/sdk/netlify/operations delete_site_asset_request","url":"midas/sdk/netlify/operations.html#delete_site_asset_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_asset_response","content":"pub fn delete_site_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_asset_response\nmidas/sdk/netlify/operations delete_site_asset_response","url":"midas/sdk/netlify/operations.html#delete_site_asset_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_build_hook_request","content":"pub fn delete_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_build_hook_request\nmidas/sdk/netlify/operations delete_site_build_hook_request","url":"midas/sdk/netlify/operations.html#delete_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_build_hook_response","content":"pub fn delete_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_build_hook_response\nmidas/sdk/netlify/operations delete_site_build_hook_response","url":"midas/sdk/netlify/operations.html#delete_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_deploy_request","content":"pub fn delete_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_deploy_request\nmidas/sdk/netlify/operations delete_site_deploy_request","url":"midas/sdk/netlify/operations.html#delete_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_deploy_response","content":"pub fn delete_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_deploy_response\nmidas/sdk/netlify/operations delete_site_deploy_response","url":"midas/sdk/netlify/operations.html#delete_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_server_hook_request","content":"pub fn delete_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_server_hook_request\nmidas/sdk/netlify/operations delete_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#delete_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_server_hook_response","content":"pub fn delete_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_server_hook_response\nmidas/sdk/netlify/operations delete_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#delete_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_servers_request","content":"pub fn delete_site_dev_servers_request(\n  base: Request(a),\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_servers_request\nmidas/sdk/netlify/operations delete_site_dev_servers_request","url":"midas/sdk/netlify/operations.html#delete_site_dev_servers_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_servers_response","content":"pub fn delete_site_dev_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_servers_response\nmidas/sdk/netlify/operations delete_site_dev_servers_response","url":"midas/sdk/netlify/operations.html#delete_site_dev_servers_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_form_request","content":"pub fn delete_site_form_request(\n  base: Request(a),\n  site_id: String,\n  form_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_form_request\nmidas/sdk/netlify/operations delete_site_form_request","url":"midas/sdk/netlify/operations.html#delete_site_form_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_form_response","content":"pub fn delete_site_form_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_form_response\nmidas/sdk/netlify/operations delete_site_form_response","url":"midas/sdk/netlify/operations.html#delete_site_form_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_request","content":"pub fn delete_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_request\nmidas/sdk/netlify/operations delete_site_request","url":"midas/sdk/netlify/operations.html#delete_site_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_response","content":"pub fn delete_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_response\nmidas/sdk/netlify/operations delete_site_response","url":"midas/sdk/netlify/operations.html#delete_site_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_snippet_request","content":"pub fn delete_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_snippet_request\nmidas/sdk/netlify/operations delete_site_snippet_request","url":"midas/sdk/netlify/operations.html#delete_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_snippet_response","content":"pub fn delete_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_snippet_response\nmidas/sdk/netlify/operations delete_site_snippet_response","url":"midas/sdk/netlify/operations.html#delete_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_submission_request","content":"pub fn delete_submission_request(\n  base: Request(a),\n  submission_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_submission_request\nmidas/sdk/netlify/operations delete_submission_request","url":"midas/sdk/netlify/operations.html#delete_submission_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_submission_response","content":"pub fn delete_submission_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_submission_response\nmidas/sdk/netlify/operations delete_submission_response","url":"midas/sdk/netlify/operations.html#delete_submission_response"},{"doc":"midas/sdk/netlify/operations","title":"disable_split_test_request","content":"pub fn disable_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.disable_split_test_request\nmidas/sdk/netlify/operations disable_split_test_request","url":"midas/sdk/netlify/operations.html#disable_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"disable_split_test_response","content":"pub fn disable_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.disable_split_test_response\nmidas/sdk/netlify/operations disable_split_test_response","url":"midas/sdk/netlify/operations.html#disable_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"enable_hook_request","content":"pub fn enable_hook_request(\n  base: Request(a),\n  hook_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_hook_request\nmidas/sdk/netlify/operations enable_hook_request","url":"midas/sdk/netlify/operations.html#enable_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"enable_hook_response","content":"pub fn enable_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_hook_response\nmidas/sdk/netlify/operations enable_hook_response","url":"midas/sdk/netlify/operations.html#enable_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"enable_split_test_request","content":"pub fn enable_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_split_test_request\nmidas/sdk/netlify/operations enable_split_test_request","url":"midas/sdk/netlify/operations.html#enable_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"enable_split_test_response","content":"pub fn enable_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_split_test_response\nmidas/sdk/netlify/operations enable_split_test_response","url":"midas/sdk/netlify/operations.html#enable_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"exchange_ticket_request","content":"pub fn exchange_ticket_request(\n  base: Request(a),\n  ticket_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.exchange_ticket_request\nmidas/sdk/netlify/operations exchange_ticket_request","url":"midas/sdk/netlify/operations.html#exchange_ticket_request"},{"doc":"midas/sdk/netlify/operations","title":"exchange_ticket_response","content":"pub fn exchange_ticket_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AccessToken, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.exchange_ticket_response\nmidas/sdk/netlify/operations exchange_ticket_response","url":"midas/sdk/netlify/operations.html#exchange_ticket_response"},{"doc":"midas/sdk/netlify/operations","title":"get_account_build_status_request","content":"pub fn get_account_build_status_request(\n  base: Request(a),\n  account_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_build_status_request\nmidas/sdk/netlify/operations get_account_build_status_request","url":"midas/sdk/netlify/operations.html#get_account_build_status_request"},{"doc":"midas/sdk/netlify/operations","title":"get_account_build_status_response","content":"pub fn get_account_build_status_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BuildStatus), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_build_status_response\nmidas/sdk/netlify/operations get_account_build_status_response","url":"midas/sdk/netlify/operations.html#get_account_build_status_response"},{"doc":"midas/sdk/netlify/operations","title":"get_account_member_request","content":"pub fn get_account_member_request(\n  base: Request(a),\n  account_slug: String,\n  member_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_member_request\nmidas/sdk/netlify/operations get_account_member_request","url":"midas/sdk/netlify/operations.html#get_account_member_request"},{"doc":"midas/sdk/netlify/operations","title":"get_account_member_response","content":"pub fn get_account_member_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Member, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_member_response\nmidas/sdk/netlify/operations get_account_member_response","url":"midas/sdk/netlify/operations.html#get_account_member_response"},{"doc":"midas/sdk/netlify/operations","title":"get_account_request","content":"pub fn get_account_request(\n  base: Request(a),\n  account_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_request\nmidas/sdk/netlify/operations get_account_request","url":"midas/sdk/netlify/operations.html#get_account_request"},{"doc":"midas/sdk/netlify/operations","title":"get_account_response","content":"pub fn get_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AccountMembership), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_response\nmidas/sdk/netlify/operations get_account_response","url":"midas/sdk/netlify/operations.html#get_account_response"},{"doc":"midas/sdk/netlify/operations","title":"get_current_user_request","content":"pub fn get_current_user_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_current_user_request\nmidas/sdk/netlify/operations get_current_user_request","url":"midas/sdk/netlify/operations.html#get_current_user_request"},{"doc":"midas/sdk/netlify/operations","title":"get_current_user_response","content":"pub fn get_current_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(User), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_current_user_response\nmidas/sdk/netlify/operations get_current_user_response","url":"midas/sdk/netlify/operations.html#get_current_user_response"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_key_request","content":"pub fn get_deploy_key_request(\n  base: Request(a),\n  key_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_key_request\nmidas/sdk/netlify/operations get_deploy_key_request","url":"midas/sdk/netlify/operations.html#get_deploy_key_request"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_key_response","content":"pub fn get_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeployKey, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_key_response\nmidas/sdk/netlify/operations get_deploy_key_response","url":"midas/sdk/netlify/operations.html#get_deploy_key_response"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_request","content":"pub fn get_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_request\nmidas/sdk/netlify/operations get_deploy_request","url":"midas/sdk/netlify/operations.html#get_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_response","content":"pub fn get_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_response\nmidas/sdk/netlify/operations get_deploy_response","url":"midas/sdk/netlify/operations.html#get_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_records_request","content":"pub fn get_dns_records_request(\n  base: Request(a),\n  zone_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_records_request\nmidas/sdk/netlify/operations get_dns_records_request","url":"midas/sdk/netlify/operations.html#get_dns_records_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_records_response","content":"pub fn get_dns_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsRecord), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_records_response\nmidas/sdk/netlify/operations get_dns_records_response","url":"midas/sdk/netlify/operations.html#get_dns_records_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zone_request","content":"pub fn get_dns_zone_request(\n  base: Request(a),\n  zone_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zone_request\nmidas/sdk/netlify/operations get_dns_zone_request","url":"midas/sdk/netlify/operations.html#get_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zone_response","content":"pub fn get_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsZone, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zone_response\nmidas/sdk/netlify/operations get_dns_zone_response","url":"midas/sdk/netlify/operations.html#get_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zones_request","content":"pub fn get_dns_zones_request(\n  base: Request(a),\n  account_slug account_slug: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zones_request\nmidas/sdk/netlify/operations get_dns_zones_request","url":"midas/sdk/netlify/operations.html#get_dns_zones_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zones_response","content":"pub fn get_dns_zones_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsZone), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zones_response\nmidas/sdk/netlify/operations get_dns_zones_response","url":"midas/sdk/netlify/operations.html#get_dns_zones_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dnsfor_site_request","content":"pub fn get_dnsfor_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dnsfor_site_request\nmidas/sdk/netlify/operations get_dnsfor_site_request","url":"midas/sdk/netlify/operations.html#get_dnsfor_site_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dnsfor_site_response","content":"pub fn get_dnsfor_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsZone), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dnsfor_site_response\nmidas/sdk/netlify/operations get_dnsfor_site_response","url":"midas/sdk/netlify/operations.html#get_dnsfor_site_response"},{"doc":"midas/sdk/netlify/operations","title":"get_env_var_request","content":"pub fn get_env_var_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_var_request\nmidas/sdk/netlify/operations get_env_var_request","url":"midas/sdk/netlify/operations.html#get_env_var_request"},{"doc":"midas/sdk/netlify/operations","title":"get_env_var_response","content":"pub fn get_env_var_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EnvVar, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_var_response\nmidas/sdk/netlify/operations get_env_var_response","url":"midas/sdk/netlify/operations.html#get_env_var_response"},{"doc":"midas/sdk/netlify/operations","title":"get_env_vars_request","content":"pub fn get_env_vars_request(\n  base: Request(a),\n  account_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_vars_request\nmidas/sdk/netlify/operations get_env_vars_request","url":"midas/sdk/netlify/operations.html#get_env_vars_request"},{"doc":"midas/sdk/netlify/operations","title":"get_env_vars_response","content":"pub fn get_env_vars_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(EnvVar), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_vars_response\nmidas/sdk/netlify/operations get_env_vars_response","url":"midas/sdk/netlify/operations.html#get_env_vars_response"},{"doc":"midas/sdk/netlify/operations","title":"get_hook_request","content":"pub fn get_hook_request(\n  base: Request(a),\n  hook_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_hook_request\nmidas/sdk/netlify/operations get_hook_request","url":"midas/sdk/netlify/operations.html#get_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"get_hook_response","content":"pub fn get_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_hook_response\nmidas/sdk/netlify/operations get_hook_response","url":"midas/sdk/netlify/operations.html#get_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"get_individual_dns_record_request","content":"pub fn get_individual_dns_record_request(\n  base: Request(a),\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_individual_dns_record_request\nmidas/sdk/netlify/operations get_individual_dns_record_request","url":"midas/sdk/netlify/operations.html#get_individual_dns_record_request"},{"doc":"midas/sdk/netlify/operations","title":"get_individual_dns_record_response","content":"pub fn get_individual_dns_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsRecord, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_individual_dns_record_response\nmidas/sdk/netlify/operations get_individual_dns_record_response","url":"midas/sdk/netlify/operations.html#get_individual_dns_record_response"},{"doc":"midas/sdk/netlify/operations","title":"get_services_request","content":"pub fn get_services_request(\n  base: Request(a),\n  search search: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_services_request\nmidas/sdk/netlify/operations get_services_request","url":"midas/sdk/netlify/operations.html#get_services_request"},{"doc":"midas/sdk/netlify/operations","title":"get_services_response","content":"pub fn get_services_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Service), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_services_response\nmidas/sdk/netlify/operations get_services_response","url":"midas/sdk/netlify/operations.html#get_services_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_info_request","content":"pub fn get_site_asset_info_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_info_request\nmidas/sdk/netlify/operations get_site_asset_info_request","url":"midas/sdk/netlify/operations.html#get_site_asset_info_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_info_response","content":"pub fn get_site_asset_info_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Asset, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_info_response\nmidas/sdk/netlify/operations get_site_asset_info_response","url":"midas/sdk/netlify/operations.html#get_site_asset_info_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_public_signature_request","content":"pub fn get_site_asset_public_signature_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_public_signature_request\nmidas/sdk/netlify/operations get_site_asset_public_signature_request","url":"midas/sdk/netlify/operations.html#get_site_asset_public_signature_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_public_signature_response","content":"pub fn get_site_asset_public_signature_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AssetPublicSignature, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_public_signature_response\nmidas/sdk/netlify/operations get_site_asset_public_signature_response","url":"midas/sdk/netlify/operations.html#get_site_asset_public_signature_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_hook_request","content":"pub fn get_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_hook_request\nmidas/sdk/netlify/operations get_site_build_hook_request","url":"midas/sdk/netlify/operations.html#get_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_hook_response","content":"pub fn get_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BuildHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_hook_response\nmidas/sdk/netlify/operations get_site_build_hook_response","url":"midas/sdk/netlify/operations.html#get_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_request","content":"pub fn get_site_build_request(\n  base: Request(a),\n  build_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_request\nmidas/sdk/netlify/operations get_site_build_request","url":"midas/sdk/netlify/operations.html#get_site_build_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_response","content":"pub fn get_site_build_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Build, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_response\nmidas/sdk/netlify/operations get_site_build_response","url":"midas/sdk/netlify/operations.html#get_site_build_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_deploy_request","content":"pub fn get_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_deploy_request\nmidas/sdk/netlify/operations get_site_deploy_request","url":"midas/sdk/netlify/operations.html#get_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_deploy_response","content":"pub fn get_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_deploy_response\nmidas/sdk/netlify/operations get_site_deploy_response","url":"midas/sdk/netlify/operations.html#get_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_hook_request","content":"pub fn get_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_hook_request\nmidas/sdk/netlify/operations get_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#get_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_hook_response","content":"pub fn get_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DevServerHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_hook_response\nmidas/sdk/netlify/operations get_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#get_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_request","content":"pub fn get_site_dev_server_request(\n  base: Request(a),\n  site_id: String,\n  dev_server_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_request\nmidas/sdk/netlify/operations get_site_dev_server_request","url":"midas/sdk/netlify/operations.html#get_site_dev_server_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_response","content":"pub fn get_site_dev_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DevServer, String), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_response\nmidas/sdk/netlify/operations get_site_dev_server_response","url":"midas/sdk/netlify/operations.html#get_site_dev_server_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_env_vars_request","content":"pub fn get_site_env_vars_request(\n  base: Request(a),\n  site_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_env_vars_request\nmidas/sdk/netlify/operations get_site_env_vars_request","url":"midas/sdk/netlify/operations.html#get_site_env_vars_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_env_vars_response","content":"pub fn get_site_env_vars_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(EnvVar), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_env_vars_response\nmidas/sdk/netlify/operations get_site_env_vars_response","url":"midas/sdk/netlify/operations.html#get_site_env_vars_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_file_by_path_name_request","content":"pub fn get_site_file_by_path_name_request(\n  base: Request(a),\n  site_id: String,\n  file_path: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_file_by_path_name_request\nmidas/sdk/netlify/operations get_site_file_by_path_name_request","url":"midas/sdk/netlify/operations.html#get_site_file_by_path_name_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_file_by_path_name_response","content":"pub fn get_site_file_by_path_name_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(File, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_file_by_path_name_response\nmidas/sdk/netlify/operations get_site_file_by_path_name_response","url":"midas/sdk/netlify/operations.html#get_site_file_by_path_name_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_metadata_request","content":"pub fn get_site_metadata_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_metadata_request\nmidas/sdk/netlify/operations get_site_metadata_request","url":"midas/sdk/netlify/operations.html#get_site_metadata_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_metadata_response","content":"pub fn get_site_metadata_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Metadata, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_metadata_response\nmidas/sdk/netlify/operations get_site_metadata_response","url":"midas/sdk/netlify/operations.html#get_site_metadata_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_request","content":"pub fn get_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_request\nmidas/sdk/netlify/operations get_site_request","url":"midas/sdk/netlify/operations.html#get_site_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_response","content":"pub fn get_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_response\nmidas/sdk/netlify/operations get_site_response","url":"midas/sdk/netlify/operations.html#get_site_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_snippet_request","content":"pub fn get_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_snippet_request\nmidas/sdk/netlify/operations get_site_snippet_request","url":"midas/sdk/netlify/operations.html#get_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_snippet_response","content":"pub fn get_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Snippet, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_snippet_response\nmidas/sdk/netlify/operations get_site_snippet_response","url":"midas/sdk/netlify/operations.html#get_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"get_split_test_request","content":"pub fn get_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_test_request\nmidas/sdk/netlify/operations get_split_test_request","url":"midas/sdk/netlify/operations.html#get_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"get_split_test_response","content":"pub fn get_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SplitTest, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_test_response\nmidas/sdk/netlify/operations get_split_test_response","url":"midas/sdk/netlify/operations.html#get_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"get_split_tests_request","content":"pub fn get_split_tests_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_tests_request\nmidas/sdk/netlify/operations get_split_tests_request","url":"midas/sdk/netlify/operations.html#get_split_tests_request"},{"doc":"midas/sdk/netlify/operations","title":"get_split_tests_response","content":"pub fn get_split_tests_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SplitTest), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_tests_response\nmidas/sdk/netlify/operations get_split_tests_response","url":"midas/sdk/netlify/operations.html#get_split_tests_response"},{"doc":"midas/sdk/netlify/operations","title":"list_account_audit_events_request","content":"pub fn list_account_audit_events_request(\n  base: Request(a),\n  account_id: String,\n  query query: Option(String),\n  log_type log_type: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_audit_events_request\nmidas/sdk/netlify/operations list_account_audit_events_request","url":"midas/sdk/netlify/operations.html#list_account_audit_events_request"},{"doc":"midas/sdk/netlify/operations","title":"list_account_audit_events_response","content":"pub fn list_account_audit_events_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AuditLog), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_audit_events_response\nmidas/sdk/netlify/operations list_account_audit_events_response","url":"midas/sdk/netlify/operations.html#list_account_audit_events_response"},{"doc":"midas/sdk/netlify/operations","title":"list_account_types_for_user_request","content":"pub fn list_account_types_for_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_types_for_user_request\nmidas/sdk/netlify/operations list_account_types_for_user_request","url":"midas/sdk/netlify/operations.html#list_account_types_for_user_request"},{"doc":"midas/sdk/netlify/operations","title":"list_account_types_for_user_response","content":"pub fn list_account_types_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AccountType), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_types_for_user_response\nmidas/sdk/netlify/operations list_account_types_for_user_response","url":"midas/sdk/netlify/operations.html#list_account_types_for_user_response"},{"doc":"midas/sdk/netlify/operations","title":"list_accounts_for_user_request","content":"pub fn list_accounts_for_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_accounts_for_user_request\nmidas/sdk/netlify/operations list_accounts_for_user_request","url":"midas/sdk/netlify/operations.html#list_accounts_for_user_request"},{"doc":"midas/sdk/netlify/operations","title":"list_accounts_for_user_response","content":"pub fn list_accounts_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AccountMembership), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_accounts_for_user_response\nmidas/sdk/netlify/operations list_accounts_for_user_response","url":"midas/sdk/netlify/operations.html#list_accounts_for_user_response"},{"doc":"midas/sdk/netlify/operations","title":"list_deploy_keys_request","content":"pub fn list_deploy_keys_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_deploy_keys_request\nmidas/sdk/netlify/operations list_deploy_keys_request","url":"midas/sdk/netlify/operations.html#list_deploy_keys_request"},{"doc":"midas/sdk/netlify/operations","title":"list_deploy_keys_response","content":"pub fn list_deploy_keys_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DeployKey), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_deploy_keys_response\nmidas/sdk/netlify/operations list_deploy_keys_response","url":"midas/sdk/netlify/operations.html#list_deploy_keys_response"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submission_request","content":"pub fn list_form_submission_request(\n  base: Request(a),\n  submission_id: String,\n  query query: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submission_request\nmidas/sdk/netlify/operations list_form_submission_request","url":"midas/sdk/netlify/operations.html#list_form_submission_request"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submission_response","content":"pub fn list_form_submission_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Submission), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submission_response\nmidas/sdk/netlify/operations list_form_submission_response","url":"midas/sdk/netlify/operations.html#list_form_submission_response"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submissions_request","content":"pub fn list_form_submissions_request(\n  base: Request(a),\n  form_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submissions_request\nmidas/sdk/netlify/operations list_form_submissions_request","url":"midas/sdk/netlify/operations.html#list_form_submissions_request"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submissions_response","content":"pub fn list_form_submissions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Submission), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submissions_response\nmidas/sdk/netlify/operations list_form_submissions_response","url":"midas/sdk/netlify/operations.html#list_form_submissions_response"},{"doc":"midas/sdk/netlify/operations","title":"list_hook_types_request","content":"pub fn list_hook_types_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hook_types_request\nmidas/sdk/netlify/operations list_hook_types_request","url":"midas/sdk/netlify/operations.html#list_hook_types_request"},{"doc":"midas/sdk/netlify/operations","title":"list_hook_types_response","content":"pub fn list_hook_types_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(HookType), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hook_types_response\nmidas/sdk/netlify/operations list_hook_types_response","url":"midas/sdk/netlify/operations.html#list_hook_types_response"},{"doc":"midas/sdk/netlify/operations","title":"list_hooks_by_site_id_request","content":"pub fn list_hooks_by_site_id_request(\n  base: Request(a),\n  site_id site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hooks_by_site_id_request\nmidas/sdk/netlify/operations list_hooks_by_site_id_request","url":"midas/sdk/netlify/operations.html#list_hooks_by_site_id_request"},{"doc":"midas/sdk/netlify/operations","title":"list_hooks_by_site_id_response","content":"pub fn list_hooks_by_site_id_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Hook), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hooks_by_site_id_response\nmidas/sdk/netlify/operations list_hooks_by_site_id_response","url":"midas/sdk/netlify/operations.html#list_hooks_by_site_id_response"},{"doc":"midas/sdk/netlify/operations","title":"list_members_for_account_request","content":"pub fn list_members_for_account_request(\n  base: Request(a),\n  account_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_members_for_account_request\nmidas/sdk/netlify/operations list_members_for_account_request","url":"midas/sdk/netlify/operations.html#list_members_for_account_request"},{"doc":"midas/sdk/netlify/operations","title":"list_members_for_account_response","content":"pub fn list_members_for_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Member), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_members_for_account_response\nmidas/sdk/netlify/operations list_members_for_account_response","url":"midas/sdk/netlify/operations.html#list_members_for_account_response"},{"doc":"midas/sdk/netlify/operations","title":"list_payment_methods_for_user_request","content":"pub fn list_payment_methods_for_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_payment_methods_for_user_request\nmidas/sdk/netlify/operations list_payment_methods_for_user_request","url":"midas/sdk/netlify/operations.html#list_payment_methods_for_user_request"},{"doc":"midas/sdk/netlify/operations","title":"list_payment_methods_for_user_response","content":"pub fn list_payment_methods_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PaymentMethod), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_payment_methods_for_user_response\nmidas/sdk/netlify/operations list_payment_methods_for_user_response","url":"midas/sdk/netlify/operations.html#list_payment_methods_for_user_response"},{"doc":"midas/sdk/netlify/operations","title":"list_service_instances_for_site_request","content":"pub fn list_service_instances_for_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_service_instances_for_site_request\nmidas/sdk/netlify/operations list_service_instances_for_site_request","url":"midas/sdk/netlify/operations.html#list_service_instances_for_site_request"},{"doc":"midas/sdk/netlify/operations","title":"list_service_instances_for_site_response","content":"pub fn list_service_instances_for_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ServiceInstance), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_service_instances_for_site_response\nmidas/sdk/netlify/operations list_service_instances_for_site_response","url":"midas/sdk/netlify/operations.html#list_service_instances_for_site_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_assets_request","content":"pub fn list_site_assets_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_assets_request\nmidas/sdk/netlify/operations list_site_assets_request","url":"midas/sdk/netlify/operations.html#list_site_assets_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_assets_response","content":"pub fn list_site_assets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Asset), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_assets_response\nmidas/sdk/netlify/operations list_site_assets_response","url":"midas/sdk/netlify/operations.html#list_site_assets_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_build_hooks_request","content":"pub fn list_site_build_hooks_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_build_hooks_request\nmidas/sdk/netlify/operations list_site_build_hooks_request","url":"midas/sdk/netlify/operations.html#list_site_build_hooks_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_build_hooks_response","content":"pub fn list_site_build_hooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BuildHook), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_build_hooks_response\nmidas/sdk/netlify/operations list_site_build_hooks_response","url":"midas/sdk/netlify/operations.html#list_site_build_hooks_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_builds_request","content":"pub fn list_site_builds_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_builds_request\nmidas/sdk/netlify/operations list_site_builds_request","url":"midas/sdk/netlify/operations.html#list_site_builds_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_builds_response","content":"pub fn list_site_builds_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Build), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_builds_response\nmidas/sdk/netlify/operations list_site_builds_response","url":"midas/sdk/netlify/operations.html#list_site_builds_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deployed_branches_request","content":"pub fn list_site_deployed_branches_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deployed_branches_request\nmidas/sdk/netlify/operations list_site_deployed_branches_request","url":"midas/sdk/netlify/operations.html#list_site_deployed_branches_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deployed_branches_response","content":"pub fn list_site_deployed_branches_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DeployedBranch), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deployed_branches_response\nmidas/sdk/netlify/operations list_site_deployed_branches_response","url":"midas/sdk/netlify/operations.html#list_site_deployed_branches_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deploys_request","content":"pub fn list_site_deploys_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deploys_request\nmidas/sdk/netlify/operations list_site_deploys_request","url":"midas/sdk/netlify/operations.html#list_site_deploys_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deploys_response","content":"pub fn list_site_deploys_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Deploy), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deploys_response\nmidas/sdk/netlify/operations list_site_deploys_response","url":"midas/sdk/netlify/operations.html#list_site_deploys_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_server_hooks_request","content":"pub fn list_site_dev_server_hooks_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_server_hooks_request\nmidas/sdk/netlify/operations list_site_dev_server_hooks_request","url":"midas/sdk/netlify/operations.html#list_site_dev_server_hooks_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_server_hooks_response","content":"pub fn list_site_dev_server_hooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DevServerHook), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_server_hooks_response\nmidas/sdk/netlify/operations list_site_dev_server_hooks_response","url":"midas/sdk/netlify/operations.html#list_site_dev_server_hooks_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_servers_request","content":"pub fn list_site_dev_servers_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_servers_request\nmidas/sdk/netlify/operations list_site_dev_servers_request","url":"midas/sdk/netlify/operations.html#list_site_dev_servers_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_servers_response","content":"pub fn list_site_dev_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DevServer), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_servers_response\nmidas/sdk/netlify/operations list_site_dev_servers_response","url":"midas/sdk/netlify/operations.html#list_site_dev_servers_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_files_request","content":"pub fn list_site_files_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_files_request\nmidas/sdk/netlify/operations list_site_files_request","url":"midas/sdk/netlify/operations.html#list_site_files_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_files_response","content":"pub fn list_site_files_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(File), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_files_response\nmidas/sdk/netlify/operations list_site_files_response","url":"midas/sdk/netlify/operations.html#list_site_files_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_forms_request","content":"pub fn list_site_forms_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_forms_request\nmidas/sdk/netlify/operations list_site_forms_request","url":"midas/sdk/netlify/operations.html#list_site_forms_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_forms_response","content":"pub fn list_site_forms_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Form), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_forms_response\nmidas/sdk/netlify/operations list_site_forms_response","url":"midas/sdk/netlify/operations.html#list_site_forms_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_snippets_request","content":"pub fn list_site_snippets_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_snippets_request\nmidas/sdk/netlify/operations list_site_snippets_request","url":"midas/sdk/netlify/operations.html#list_site_snippets_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_snippets_response","content":"pub fn list_site_snippets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Snippet), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_snippets_response\nmidas/sdk/netlify/operations list_site_snippets_response","url":"midas/sdk/netlify/operations.html#list_site_snippets_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_submissions_request","content":"pub fn list_site_submissions_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_submissions_request\nmidas/sdk/netlify/operations list_site_submissions_request","url":"midas/sdk/netlify/operations.html#list_site_submissions_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_submissions_response","content":"pub fn list_site_submissions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Submission), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_submissions_response\nmidas/sdk/netlify/operations list_site_submissions_response","url":"midas/sdk/netlify/operations.html#list_site_submissions_response"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_for_account_request","content":"pub fn list_sites_for_account_request(\n  base: Request(a),\n  account_slug: String,\n  name name: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_for_account_request\nmidas/sdk/netlify/operations list_sites_for_account_request","url":"midas/sdk/netlify/operations.html#list_sites_for_account_request"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_for_account_response","content":"pub fn list_sites_for_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Site), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_for_account_response\nmidas/sdk/netlify/operations list_sites_for_account_response","url":"midas/sdk/netlify/operations.html#list_sites_for_account_response"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_request","content":"pub fn list_sites_request(\n  base: Request(a),\n  name name: Option(String),\n  filter filter: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_request\nmidas/sdk/netlify/operations list_sites_request","url":"midas/sdk/netlify/operations.html#list_sites_request"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_response","content":"pub fn list_sites_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Site), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_response\nmidas/sdk/netlify/operations list_sites_response","url":"midas/sdk/netlify/operations.html#list_sites_response"},{"doc":"midas/sdk/netlify/operations","title":"lock_deploy_request","content":"pub fn lock_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.lock_deploy_request\nmidas/sdk/netlify/operations lock_deploy_request","url":"midas/sdk/netlify/operations.html#lock_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"lock_deploy_response","content":"pub fn lock_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.lock_deploy_response\nmidas/sdk/netlify/operations lock_deploy_response","url":"midas/sdk/netlify/operations.html#lock_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"notify_build_start_request","content":"pub fn notify_build_start_request(\n  base: Request(a),\n  build_id: String,\n  buildbot_version buildbot_version: Option(String),\n  build_version build_version: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.notify_build_start_request\nmidas/sdk/netlify/operations notify_build_start_request","url":"midas/sdk/netlify/operations.html#notify_build_start_request"},{"doc":"midas/sdk/netlify/operations","title":"notify_build_start_response","content":"pub fn notify_build_start_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.notify_build_start_response\nmidas/sdk/netlify/operations notify_build_start_response","url":"midas/sdk/netlify/operations.html#notify_build_start_response"},{"doc":"midas/sdk/netlify/operations","title":"provision_site_tlscertificate_request","content":"pub fn provision_site_tlscertificate_request(\n  base: Request(a),\n  site_id: String,\n  certificate certificate: Option(String),\n  key key: Option(String),\n  ca_certificates ca_certificates: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.provision_site_tlscertificate_request\nmidas/sdk/netlify/operations provision_site_tlscertificate_request","url":"midas/sdk/netlify/operations.html#provision_site_tlscertificate_request"},{"doc":"midas/sdk/netlify/operations","title":"provision_site_tlscertificate_response","content":"pub fn provision_site_tlscertificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SniCertificate, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.provision_site_tlscertificate_response\nmidas/sdk/netlify/operations provision_site_tlscertificate_response","url":"midas/sdk/netlify/operations.html#provision_site_tlscertificate_response"},{"doc":"midas/sdk/netlify/operations","title":"purge_cache_request","content":"pub fn purge_cache_request(\n  base: Request(a),\n  purge: Purge,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.purge_cache_request\nmidas/sdk/netlify/operations purge_cache_request","url":"midas/sdk/netlify/operations.html#purge_cache_request"},{"doc":"midas/sdk/netlify/operations","title":"purge_cache_response","content":"pub fn purge_cache_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/netlify/operations.purge_cache_response\nmidas/sdk/netlify/operations purge_cache_response","url":"midas/sdk/netlify/operations.html#purge_cache_response"},{"doc":"midas/sdk/netlify/operations","title":"remove_account_member_request","content":"pub fn remove_account_member_request(\n  base: Request(a),\n  account_slug: String,\n  member_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.remove_account_member_request\nmidas/sdk/netlify/operations remove_account_member_request","url":"midas/sdk/netlify/operations.html#remove_account_member_request"},{"doc":"midas/sdk/netlify/operations","title":"remove_account_member_response","content":"pub fn remove_account_member_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.remove_account_member_response\nmidas/sdk/netlify/operations remove_account_member_response","url":"midas/sdk/netlify/operations.html#remove_account_member_response"},{"doc":"midas/sdk/netlify/operations","title":"restore_site_deploy_request","content":"pub fn restore_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.restore_site_deploy_request\nmidas/sdk/netlify/operations restore_site_deploy_request","url":"midas/sdk/netlify/operations.html#restore_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"restore_site_deploy_response","content":"pub fn restore_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.restore_site_deploy_response\nmidas/sdk/netlify/operations restore_site_deploy_response","url":"midas/sdk/netlify/operations.html#restore_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"rollback_site_deploy_request","content":"pub fn rollback_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.rollback_site_deploy_request\nmidas/sdk/netlify/operations rollback_site_deploy_request","url":"midas/sdk/netlify/operations.html#rollback_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"rollback_site_deploy_response","content":"pub fn rollback_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.rollback_site_deploy_response\nmidas/sdk/netlify/operations rollback_site_deploy_response","url":"midas/sdk/netlify/operations.html#rollback_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"search_site_functions_request","content":"pub fn search_site_functions_request(\n  base: Request(a),\n  site_id: String,\n  filter filter: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.search_site_functions_request\nmidas/sdk/netlify/operations search_site_functions_request","url":"midas/sdk/netlify/operations.html#search_site_functions_request"},{"doc":"midas/sdk/netlify/operations","title":"search_site_functions_response","content":"pub fn search_site_functions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SiteFunction), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.search_site_functions_response\nmidas/sdk/netlify/operations search_site_functions_response","url":"midas/sdk/netlify/operations.html#search_site_functions_response"},{"doc":"midas/sdk/netlify/operations","title":"set_env_var_value_request","content":"pub fn set_env_var_value_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  data: b,\n  site_id site_id: Option(String),\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.set_env_var_value_request\nmidas/sdk/netlify/operations set_env_var_value_request","url":"midas/sdk/netlify/operations.html#set_env_var_value_request"},{"doc":"midas/sdk/netlify/operations","title":"set_env_var_value_response","content":"pub fn set_env_var_value_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EnvVar, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.set_env_var_value_response\nmidas/sdk/netlify/operations set_env_var_value_response","url":"midas/sdk/netlify/operations.html#set_env_var_value_response"},{"doc":"midas/sdk/netlify/operations","title":"show_service_instance_request","content":"pub fn show_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_instance_request\nmidas/sdk/netlify/operations show_service_instance_request","url":"midas/sdk/netlify/operations.html#show_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"show_service_instance_response","content":"pub fn show_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ServiceInstance, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_instance_response\nmidas/sdk/netlify/operations show_service_instance_response","url":"midas/sdk/netlify/operations.html#show_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"show_service_manifest_request","content":"pub fn show_service_manifest_request(\n  base: Request(a),\n  addon_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_manifest_request\nmidas/sdk/netlify/operations show_service_manifest_request","url":"midas/sdk/netlify/operations.html#show_service_manifest_request"},{"doc":"midas/sdk/netlify/operations","title":"show_service_manifest_response","content":"pub fn show_service_manifest_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_manifest_response\nmidas/sdk/netlify/operations show_service_manifest_response","url":"midas/sdk/netlify/operations.html#show_service_manifest_response"},{"doc":"midas/sdk/netlify/operations","title":"show_service_request","content":"pub fn show_service_request(\n  base: Request(a),\n  addon_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_request\nmidas/sdk/netlify/operations show_service_request","url":"midas/sdk/netlify/operations.html#show_service_request"},{"doc":"midas/sdk/netlify/operations","title":"show_service_response","content":"pub fn show_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Service, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_response\nmidas/sdk/netlify/operations show_service_response","url":"midas/sdk/netlify/operations.html#show_service_response"},{"doc":"midas/sdk/netlify/operations","title":"show_site_tlscertificate_request","content":"pub fn show_site_tlscertificate_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_site_tlscertificate_request\nmidas/sdk/netlify/operations show_site_tlscertificate_request","url":"midas/sdk/netlify/operations.html#show_site_tlscertificate_request"},{"doc":"midas/sdk/netlify/operations","title":"show_site_tlscertificate_response","content":"pub fn show_site_tlscertificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SniCertificate, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_site_tlscertificate_response\nmidas/sdk/netlify/operations show_site_tlscertificate_response","url":"midas/sdk/netlify/operations.html#show_site_tlscertificate_response"},{"doc":"midas/sdk/netlify/operations","title":"show_ticket_request","content":"pub fn show_ticket_request(\n  base: Request(a),\n  ticket_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_ticket_request\nmidas/sdk/netlify/operations show_ticket_request","url":"midas/sdk/netlify/operations.html#show_ticket_request"},{"doc":"midas/sdk/netlify/operations","title":"show_ticket_response","content":"pub fn show_ticket_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Ticket, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_ticket_response\nmidas/sdk/netlify/operations show_ticket_response","url":"midas/sdk/netlify/operations.html#show_ticket_response"},{"doc":"midas/sdk/netlify/operations","title":"transfer_dns_zone_request","content":"pub fn transfer_dns_zone_request(\n  base: Request(a),\n  zone_id: String,\n  account_id account_id: String,\n  transfer_account_id transfer_account_id: String,\n  transfer_user_id transfer_user_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.transfer_dns_zone_request\nmidas/sdk/netlify/operations transfer_dns_zone_request","url":"midas/sdk/netlify/operations.html#transfer_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"transfer_dns_zone_response","content":"pub fn transfer_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsZone, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.transfer_dns_zone_response\nmidas/sdk/netlify/operations transfer_dns_zone_response","url":"midas/sdk/netlify/operations.html#transfer_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"unlink_site_repo_request","content":"pub fn unlink_site_repo_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlink_site_repo_request\nmidas/sdk/netlify/operations unlink_site_repo_request","url":"midas/sdk/netlify/operations.html#unlink_site_repo_request"},{"doc":"midas/sdk/netlify/operations","title":"unlink_site_repo_response","content":"pub fn unlink_site_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, String), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlink_site_repo_response\nmidas/sdk/netlify/operations unlink_site_repo_response","url":"midas/sdk/netlify/operations.html#unlink_site_repo_response"},{"doc":"midas/sdk/netlify/operations","title":"unlock_deploy_request","content":"pub fn unlock_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlock_deploy_request\nmidas/sdk/netlify/operations unlock_deploy_request","url":"midas/sdk/netlify/operations.html#unlock_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"unlock_deploy_response","content":"pub fn unlock_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlock_deploy_response\nmidas/sdk/netlify/operations unlock_deploy_response","url":"midas/sdk/netlify/operations.html#unlock_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"update_account_member_request","content":"pub fn update_account_member_request(\n  base: Request(a),\n  account_slug: String,\n  member_id: String,\n  account_update_member_setup: AccountUpdateMemberSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_member_request\nmidas/sdk/netlify/operations update_account_member_request","url":"midas/sdk/netlify/operations.html#update_account_member_request"},{"doc":"midas/sdk/netlify/operations","title":"update_account_member_response","content":"pub fn update_account_member_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Member, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_member_response\nmidas/sdk/netlify/operations update_account_member_response","url":"midas/sdk/netlify/operations.html#update_account_member_response"},{"doc":"midas/sdk/netlify/operations","title":"update_account_request","content":"pub fn update_account_request(\n  base: Request(a),\n  account_id: String,\n  account_update_setup: AccountUpdateSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_request\nmidas/sdk/netlify/operations update_account_request","url":"midas/sdk/netlify/operations.html#update_account_request"},{"doc":"midas/sdk/netlify/operations","title":"update_account_response","content":"pub fn update_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AccountMembership, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_response\nmidas/sdk/netlify/operations update_account_response","url":"midas/sdk/netlify/operations.html#update_account_response"},{"doc":"midas/sdk/netlify/operations","title":"update_env_var_request","content":"pub fn update_env_var_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  data: b,\n  site_id site_id: Option(String),\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_env_var_request\nmidas/sdk/netlify/operations update_env_var_request","url":"midas/sdk/netlify/operations.html#update_env_var_request"},{"doc":"midas/sdk/netlify/operations","title":"update_env_var_response","content":"pub fn update_env_var_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EnvVar, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_env_var_response\nmidas/sdk/netlify/operations update_env_var_response","url":"midas/sdk/netlify/operations.html#update_env_var_response"},{"doc":"midas/sdk/netlify/operations","title":"update_hook_request","content":"pub fn update_hook_request(\n  base: Request(a),\n  hook_id: String,\n  hook: Hook,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_hook_request\nmidas/sdk/netlify/operations update_hook_request","url":"midas/sdk/netlify/operations.html#update_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"update_hook_response","content":"pub fn update_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_hook_response\nmidas/sdk/netlify/operations update_hook_response","url":"midas/sdk/netlify/operations.html#update_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"update_service_instance_request","content":"pub fn update_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  instance_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_service_instance_request\nmidas/sdk/netlify/operations update_service_instance_request","url":"midas/sdk/netlify/operations.html#update_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"update_service_instance_response","content":"pub fn update_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_service_instance_response\nmidas/sdk/netlify/operations update_service_instance_response","url":"midas/sdk/netlify/operations.html#update_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_asset_request","content":"pub fn update_site_asset_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n  state state: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_asset_request\nmidas/sdk/netlify/operations update_site_asset_request","url":"midas/sdk/netlify/operations.html#update_site_asset_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_asset_response","content":"pub fn update_site_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Asset, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_asset_response\nmidas/sdk/netlify/operations update_site_asset_response","url":"midas/sdk/netlify/operations.html#update_site_asset_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_hook_request","content":"pub fn update_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_hook_request\nmidas/sdk/netlify/operations update_site_build_hook_request","url":"midas/sdk/netlify/operations.html#update_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_hook_response","content":"pub fn update_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_hook_response\nmidas/sdk/netlify/operations update_site_build_hook_response","url":"midas/sdk/netlify/operations.html#update_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_log_request","content":"pub fn update_site_build_log_request(\n  base: Request(a),\n  build_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_log_request\nmidas/sdk/netlify/operations update_site_build_log_request","url":"midas/sdk/netlify/operations.html#update_site_build_log_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_log_response","content":"pub fn update_site_build_log_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_log_response\nmidas/sdk/netlify/operations update_site_build_log_response","url":"midas/sdk/netlify/operations.html#update_site_build_log_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_deploy_request","content":"pub fn update_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n  deploy_files: DeployFiles,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_deploy_request\nmidas/sdk/netlify/operations update_site_deploy_request","url":"midas/sdk/netlify/operations.html#update_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_deploy_response","content":"pub fn update_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_deploy_response\nmidas/sdk/netlify/operations update_site_deploy_response","url":"midas/sdk/netlify/operations.html#update_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_dev_server_hook_request","content":"pub fn update_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_dev_server_hook_request\nmidas/sdk/netlify/operations update_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#update_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_dev_server_hook_response","content":"pub fn update_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_dev_server_hook_response\nmidas/sdk/netlify/operations update_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#update_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_metadata_request","content":"pub fn update_site_metadata_request(\n  base: Request(a),\n  site_id: String,\n  metadata: Metadata,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_metadata_request\nmidas/sdk/netlify/operations update_site_metadata_request","url":"midas/sdk/netlify/operations.html#update_site_metadata_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_metadata_response","content":"pub fn update_site_metadata_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_metadata_response\nmidas/sdk/netlify/operations update_site_metadata_response","url":"midas/sdk/netlify/operations.html#update_site_metadata_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_request","content":"pub fn update_site_request(\n  base: Request(a),\n  site_id: String,\n  site_setup: SiteSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_request\nmidas/sdk/netlify/operations update_site_request","url":"midas/sdk/netlify/operations.html#update_site_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_response","content":"pub fn update_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_response\nmidas/sdk/netlify/operations update_site_response","url":"midas/sdk/netlify/operations.html#update_site_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_snippet_request","content":"pub fn update_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet_id: String,\n  snippet: Snippet,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_snippet_request\nmidas/sdk/netlify/operations update_site_snippet_request","url":"midas/sdk/netlify/operations.html#update_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_snippet_response","content":"pub fn update_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_snippet_response\nmidas/sdk/netlify/operations update_site_snippet_response","url":"midas/sdk/netlify/operations.html#update_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"update_split_test_request","content":"pub fn update_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_split_test_request\nmidas/sdk/netlify/operations update_split_test_request","url":"midas/sdk/netlify/operations.html#update_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"update_split_test_response","content":"pub fn update_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SplitTest, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_split_test_response\nmidas/sdk/netlify/operations update_split_test_response","url":"midas/sdk/netlify/operations.html#update_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_file_request","content":"pub fn upload_deploy_file_request(\n  base: Request(a),\n  deploy_id: String,\n  path: String,\n  size size: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_file_request\nmidas/sdk/netlify/operations upload_deploy_file_request","url":"midas/sdk/netlify/operations.html#upload_deploy_file_request"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_file_response","content":"pub fn upload_deploy_file_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(File, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_file_response\nmidas/sdk/netlify/operations upload_deploy_file_response","url":"midas/sdk/netlify/operations.html#upload_deploy_file_response"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_function_request","content":"pub fn upload_deploy_function_request(\n  base: Request(a),\n  deploy_id: String,\n  name: String,\n  runtime runtime: Option(String),\n  invocation_mode invocation_mode: Option(String),\n  timeout timeout: Option(Int),\n  size size: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_function_request\nmidas/sdk/netlify/operations upload_deploy_function_request","url":"midas/sdk/netlify/operations.html#upload_deploy_function_request"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_function_response","content":"pub fn upload_deploy_function_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Function, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_function_response\nmidas/sdk/netlify/operations upload_deploy_function_response","url":"midas/sdk/netlify/operations.html#upload_deploy_function_response"},{"doc":"midas/sdk/netlify/operations","title":"midas/sdk/netlify/operations","content":"","url":"midas/sdk/netlify/operations.html"},{"doc":"midas/sdk/netlify","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/netlify.App\nmidas/sdk/netlify App","url":"midas/sdk/netlify.html#App"},{"doc":"midas/sdk/netlify","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/netlify.api_host\nmidas/sdk/netlify api_host","url":"midas/sdk/netlify.html#api_host"},{"doc":"midas/sdk/netlify","title":"add_member_to_account","content":"pub fn add_member_to_account(\n  token: String,\n  account_slug: String,\n  account_add_member_setup: AccountAddMemberSetup,\n) -&gt; Effect(List(Member))\n\nSynonyms:\nmidas/sdk/netlify.add_member_to_account\nmidas/sdk/netlify add_member_to_account","url":"midas/sdk/netlify.html#add_member_to_account"},{"doc":"midas/sdk/netlify","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/netlify.auth_redirect\nmidas/sdk/netlify auth_redirect","url":"midas/sdk/netlify.html#auth_redirect"},{"doc":"midas/sdk/netlify","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.authenticate\nmidas/sdk/netlify authenticate","url":"midas/sdk/netlify.html#authenticate"},{"doc":"midas/sdk/netlify","title":"cancel_account","content":"pub fn cancel_account(\n  token: String,\n  account_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.cancel_account\nmidas/sdk/netlify cancel_account","url":"midas/sdk/netlify.html#cancel_account"},{"doc":"midas/sdk/netlify","title":"cancel_site_deploy","content":"pub fn cancel_site_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.cancel_site_deploy\nmidas/sdk/netlify cancel_site_deploy","url":"midas/sdk/netlify.html#cancel_site_deploy"},{"doc":"midas/sdk/netlify","title":"configure_dnsfor_site","content":"pub fn configure_dnsfor_site(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify.configure_dnsfor_site\nmidas/sdk/netlify configure_dnsfor_site","url":"midas/sdk/netlify.html#configure_dnsfor_site"},{"doc":"midas/sdk/netlify","title":"create_account","content":"pub fn create_account(\n  token: String,\n  account_setup: AccountSetup,\n) -&gt; Effect(AccountMembership)\n\nSynonyms:\nmidas/sdk/netlify.create_account\nmidas/sdk/netlify create_account","url":"midas/sdk/netlify.html#create_account"},{"doc":"midas/sdk/netlify","title":"create_deploy_key","content":"pub fn create_deploy_key(token: String) -&gt; Effect(DeployKey)\n\nSynonyms:\nmidas/sdk/netlify.create_deploy_key\nmidas/sdk/netlify create_deploy_key","url":"midas/sdk/netlify.html#create_deploy_key"},{"doc":"midas/sdk/netlify","title":"create_dns_record","content":"pub fn create_dns_record(\n  token: String,\n  zone_id: String,\n  dns_record_create: DnsRecordCreate,\n) -&gt; Effect(DnsRecord)\n\nSynonyms:\nmidas/sdk/netlify.create_dns_record\nmidas/sdk/netlify create_dns_record","url":"midas/sdk/netlify.html#create_dns_record"},{"doc":"midas/sdk/netlify","title":"create_dns_zone","content":"pub fn create_dns_zone(\n  token: String,\n  dns_zone_setup: DnsZoneSetup,\n) -&gt; Effect(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify.create_dns_zone\nmidas/sdk/netlify create_dns_zone","url":"midas/sdk/netlify.html#create_dns_zone"},{"doc":"midas/sdk/netlify","title":"create_env_vars","content":"pub fn create_env_vars(\n  token: String,\n  account_id: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(List(EnvVar))\n\nSynonyms:\nmidas/sdk/netlify.create_env_vars\nmidas/sdk/netlify create_env_vars","url":"midas/sdk/netlify.html#create_env_vars"},{"doc":"midas/sdk/netlify","title":"create_hook_by_site_id","content":"pub fn create_hook_by_site_id(\n  token: String,\n  hook: Hook,\n  site_id site_id: String,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.create_hook_by_site_id\nmidas/sdk/netlify create_hook_by_site_id","url":"midas/sdk/netlify.html#create_hook_by_site_id"},{"doc":"midas/sdk/netlify","title":"create_service_instance","content":"pub fn create_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  data: BitArray,\n) -&gt; Effect(ServiceInstance)\n\nSynonyms:\nmidas/sdk/netlify.create_service_instance\nmidas/sdk/netlify create_service_instance","url":"midas/sdk/netlify.html#create_service_instance"},{"doc":"midas/sdk/netlify","title":"create_site","content":"pub fn create_site(\n  token: String,\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.create_site\nmidas/sdk/netlify create_site","url":"midas/sdk/netlify.html#create_site"},{"doc":"midas/sdk/netlify","title":"create_site_asset","content":"pub fn create_site_asset(\n  token: String,\n  site_id: String,\n  name name: String,\n  size size: Int,\n  content_type content_type: String,\n  visibility visibility: Option(String),\n) -&gt; Effect(AssetSignature)\n\nSynonyms:\nmidas/sdk/netlify.create_site_asset\nmidas/sdk/netlify create_site_asset","url":"midas/sdk/netlify.html#create_site_asset"},{"doc":"midas/sdk/netlify","title":"create_site_build","content":"pub fn create_site_build(\n  token: String,\n  site_id: String,\n  build_setup: BuildSetup,\n) -&gt; Effect(Build)\n\nSynonyms:\nmidas/sdk/netlify.create_site_build\nmidas/sdk/netlify create_site_build","url":"midas/sdk/netlify.html#create_site_build"},{"doc":"midas/sdk/netlify","title":"create_site_build_hook","content":"pub fn create_site_build_hook(\n  token: String,\n  site_id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Effect(BuildHook)\n\nSynonyms:\nmidas/sdk/netlify.create_site_build_hook\nmidas/sdk/netlify create_site_build_hook","url":"midas/sdk/netlify.html#create_site_build_hook"},{"doc":"midas/sdk/netlify","title":"create_site_deploy","content":"pub fn create_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_files: DeployFiles,\n  title title: Option(String),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.create_site_deploy\nmidas/sdk/netlify create_site_deploy","url":"midas/sdk/netlify.html#create_site_deploy"},{"doc":"midas/sdk/netlify","title":"create_site_dev_server","content":"pub fn create_site_dev_server(\n  token: String,\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Effect(List(DevServer))\n\nSynonyms:\nmidas/sdk/netlify.create_site_dev_server\nmidas/sdk/netlify create_site_dev_server","url":"midas/sdk/netlify.html#create_site_dev_server"},{"doc":"midas/sdk/netlify","title":"create_site_dev_server_hook","content":"pub fn create_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Effect(DevServerHook)\n\nSynonyms:\nmidas/sdk/netlify.create_site_dev_server_hook\nmidas/sdk/netlify create_site_dev_server_hook","url":"midas/sdk/netlify.html#create_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"create_site_in_team","content":"pub fn create_site_in_team(\n  token: String,\n  account_slug: String,\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.create_site_in_team\nmidas/sdk/netlify create_site_in_team","url":"midas/sdk/netlify.html#create_site_in_team"},{"doc":"midas/sdk/netlify","title":"create_site_snippet","content":"pub fn create_site_snippet(\n  token: String,\n  site_id: String,\n  snippet: Snippet,\n) -&gt; Effect(Snippet)\n\nSynonyms:\nmidas/sdk/netlify.create_site_snippet\nmidas/sdk/netlify create_site_snippet","url":"midas/sdk/netlify.html#create_site_snippet"},{"doc":"midas/sdk/netlify","title":"create_split_test","content":"pub fn create_split_test(\n  token: String,\n  site_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Effect(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify.create_split_test\nmidas/sdk/netlify create_split_test","url":"midas/sdk/netlify.html#create_split_test"},{"doc":"midas/sdk/netlify","title":"create_ticket","content":"pub fn create_ticket(\n  token: String,\n  client_id client_id: String,\n) -&gt; Effect(Ticket)\n\nSynonyms:\nmidas/sdk/netlify.create_ticket\nmidas/sdk/netlify create_ticket","url":"midas/sdk/netlify.html#create_ticket"},{"doc":"midas/sdk/netlify","title":"delete_deploy","content":"pub fn delete_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_deploy\nmidas/sdk/netlify delete_deploy","url":"midas/sdk/netlify.html#delete_deploy"},{"doc":"midas/sdk/netlify","title":"delete_deploy_key","content":"pub fn delete_deploy_key(\n  token: String,\n  key_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_deploy_key\nmidas/sdk/netlify delete_deploy_key","url":"midas/sdk/netlify.html#delete_deploy_key"},{"doc":"midas/sdk/netlify","title":"delete_dns_record","content":"pub fn delete_dns_record(\n  token: String,\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_dns_record\nmidas/sdk/netlify delete_dns_record","url":"midas/sdk/netlify.html#delete_dns_record"},{"doc":"midas/sdk/netlify","title":"delete_dns_zone","content":"pub fn delete_dns_zone(\n  token: String,\n  zone_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_dns_zone\nmidas/sdk/netlify delete_dns_zone","url":"midas/sdk/netlify.html#delete_dns_zone"},{"doc":"midas/sdk/netlify","title":"delete_env_var","content":"pub fn delete_env_var(\n  token: String,\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_env_var\nmidas/sdk/netlify delete_env_var","url":"midas/sdk/netlify.html#delete_env_var"},{"doc":"midas/sdk/netlify","title":"delete_env_var_value","content":"pub fn delete_env_var_value(\n  token: String,\n  account_id: String,\n  key: String,\n  id: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_env_var_value\nmidas/sdk/netlify delete_env_var_value","url":"midas/sdk/netlify.html#delete_env_var_value"},{"doc":"midas/sdk/netlify","title":"delete_service_instance","content":"pub fn delete_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_service_instance\nmidas/sdk/netlify delete_service_instance","url":"midas/sdk/netlify.html#delete_service_instance"},{"doc":"midas/sdk/netlify","title":"delete_site","content":"pub fn delete_site(token: String, site_id: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site\nmidas/sdk/netlify delete_site","url":"midas/sdk/netlify.html#delete_site"},{"doc":"midas/sdk/netlify","title":"delete_site_asset","content":"pub fn delete_site_asset(\n  token: String,\n  site_id: String,\n  asset_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_asset\nmidas/sdk/netlify delete_site_asset","url":"midas/sdk/netlify.html#delete_site_asset"},{"doc":"midas/sdk/netlify","title":"delete_site_build_hook","content":"pub fn delete_site_build_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_build_hook\nmidas/sdk/netlify delete_site_build_hook","url":"midas/sdk/netlify.html#delete_site_build_hook"},{"doc":"midas/sdk/netlify","title":"delete_site_deploy","content":"pub fn delete_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_deploy\nmidas/sdk/netlify delete_site_deploy","url":"midas/sdk/netlify.html#delete_site_deploy"},{"doc":"midas/sdk/netlify","title":"delete_site_dev_server_hook","content":"pub fn delete_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_dev_server_hook\nmidas/sdk/netlify delete_site_dev_server_hook","url":"midas/sdk/netlify.html#delete_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"delete_site_dev_servers","content":"pub fn delete_site_dev_servers(\n  token: String,\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_dev_servers\nmidas/sdk/netlify delete_site_dev_servers","url":"midas/sdk/netlify.html#delete_site_dev_servers"},{"doc":"midas/sdk/netlify","title":"delete_site_form","content":"pub fn delete_site_form(\n  token: String,\n  site_id: String,\n  form_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_form\nmidas/sdk/netlify delete_site_form","url":"midas/sdk/netlify.html#delete_site_form"},{"doc":"midas/sdk/netlify","title":"delete_site_snippet","content":"pub fn delete_site_snippet(\n  token: String,\n  site_id: String,\n  snippet_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_snippet\nmidas/sdk/netlify delete_site_snippet","url":"midas/sdk/netlify.html#delete_site_snippet"},{"doc":"midas/sdk/netlify","title":"delete_submission","content":"pub fn delete_submission(\n  token: String,\n  submission_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_submission\nmidas/sdk/netlify delete_submission","url":"midas/sdk/netlify.html#delete_submission"},{"doc":"midas/sdk/netlify","title":"deploy_site","content":"pub fn deploy_site(\n  token: String,\n  site_id: String,\n  files: List(#(String, BitArray)),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.deploy_site\nmidas/sdk/netlify deploy_site","url":"midas/sdk/netlify.html#deploy_site"},{"doc":"midas/sdk/netlify","title":"disable_split_test","content":"pub fn disable_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.disable_split_test\nmidas/sdk/netlify disable_split_test","url":"midas/sdk/netlify.html#disable_split_test"},{"doc":"midas/sdk/netlify","title":"enable_hook","content":"pub fn enable_hook(\n  token: String,\n  hook_id: String,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.enable_hook\nmidas/sdk/netlify enable_hook","url":"midas/sdk/netlify.html#enable_hook"},{"doc":"midas/sdk/netlify","title":"enable_split_test","content":"pub fn enable_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.enable_split_test\nmidas/sdk/netlify enable_split_test","url":"midas/sdk/netlify.html#enable_split_test"},{"doc":"midas/sdk/netlify","title":"exchange_ticket","content":"pub fn exchange_ticket(\n  token: String,\n  ticket_id: String,\n) -&gt; Effect(AccessToken)\n\nSynonyms:\nmidas/sdk/netlify.exchange_ticket\nmidas/sdk/netlify exchange_ticket","url":"midas/sdk/netlify.html#exchange_ticket"},{"doc":"midas/sdk/netlify","title":"get_account","content":"pub fn get_account(\n  token: String,\n  account_id: String,\n) -&gt; Effect(List(AccountMembership))\n\nSynonyms:\nmidas/sdk/netlify.get_account\nmidas/sdk/netlify get_account","url":"midas/sdk/netlify.html#get_account"},{"doc":"midas/sdk/netlify","title":"get_account_build_status","content":"pub fn get_account_build_status(\n  token: String,\n  account_id: String,\n) -&gt; Effect(List(BuildStatus))\n\nSynonyms:\nmidas/sdk/netlify.get_account_build_status\nmidas/sdk/netlify get_account_build_status","url":"midas/sdk/netlify.html#get_account_build_status"},{"doc":"midas/sdk/netlify","title":"get_account_member","content":"pub fn get_account_member(\n  token: String,\n  account_slug: String,\n  member_id: String,\n) -&gt; Effect(Member)\n\nSynonyms:\nmidas/sdk/netlify.get_account_member\nmidas/sdk/netlify get_account_member","url":"midas/sdk/netlify.html#get_account_member"},{"doc":"midas/sdk/netlify","title":"get_current_user","content":"pub fn get_current_user(token: String) -&gt; Effect(List(User))\n\nSynonyms:\nmidas/sdk/netlify.get_current_user\nmidas/sdk/netlify get_current_user","url":"midas/sdk/netlify.html#get_current_user"},{"doc":"midas/sdk/netlify","title":"get_deploy","content":"pub fn get_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.get_deploy\nmidas/sdk/netlify get_deploy","url":"midas/sdk/netlify.html#get_deploy"},{"doc":"midas/sdk/netlify","title":"get_deploy_key","content":"pub fn get_deploy_key(\n  token: String,\n  key_id: String,\n) -&gt; Effect(DeployKey)\n\nSynonyms:\nmidas/sdk/netlify.get_deploy_key\nmidas/sdk/netlify get_deploy_key","url":"midas/sdk/netlify.html#get_deploy_key"},{"doc":"midas/sdk/netlify","title":"get_dns_records","content":"pub fn get_dns_records(\n  token: String,\n  zone_id: String,\n) -&gt; Effect(List(DnsRecord))\n\nSynonyms:\nmidas/sdk/netlify.get_dns_records\nmidas/sdk/netlify get_dns_records","url":"midas/sdk/netlify.html#get_dns_records"},{"doc":"midas/sdk/netlify","title":"get_dns_zone","content":"pub fn get_dns_zone(\n  token: String,\n  zone_id: String,\n) -&gt; Effect(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify.get_dns_zone\nmidas/sdk/netlify get_dns_zone","url":"midas/sdk/netlify.html#get_dns_zone"},{"doc":"midas/sdk/netlify","title":"get_dns_zones","content":"pub fn get_dns_zones(\n  token: String,\n  account_slug account_slug: Option(String),\n) -&gt; Effect(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify.get_dns_zones\nmidas/sdk/netlify get_dns_zones","url":"midas/sdk/netlify.html#get_dns_zones"},{"doc":"midas/sdk/netlify","title":"get_dnsfor_site","content":"pub fn get_dnsfor_site(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify.get_dnsfor_site\nmidas/sdk/netlify get_dnsfor_site","url":"midas/sdk/netlify.html#get_dnsfor_site"},{"doc":"midas/sdk/netlify","title":"get_env_var","content":"pub fn get_env_var(\n  token: String,\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify.get_env_var\nmidas/sdk/netlify get_env_var","url":"midas/sdk/netlify.html#get_env_var"},{"doc":"midas/sdk/netlify","title":"get_env_vars","content":"pub fn get_env_vars(\n  token: String,\n  account_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n  site_id site_id: Option(String),\n) -&gt; Effect(List(EnvVar))\n\nSynonyms:\nmidas/sdk/netlify.get_env_vars\nmidas/sdk/netlify get_env_vars","url":"midas/sdk/netlify.html#get_env_vars"},{"doc":"midas/sdk/netlify","title":"get_hook","content":"pub fn get_hook(token: String, hook_id: String) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.get_hook\nmidas/sdk/netlify get_hook","url":"midas/sdk/netlify.html#get_hook"},{"doc":"midas/sdk/netlify","title":"get_individual_dns_record","content":"pub fn get_individual_dns_record(\n  token: String,\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Effect(DnsRecord)\n\nSynonyms:\nmidas/sdk/netlify.get_individual_dns_record\nmidas/sdk/netlify get_individual_dns_record","url":"midas/sdk/netlify.html#get_individual_dns_record"},{"doc":"midas/sdk/netlify","title":"get_services","content":"pub fn get_services(\n  token: String,\n  search search: Option(String),\n) -&gt; Effect(List(Service))\n\nSynonyms:\nmidas/sdk/netlify.get_services\nmidas/sdk/netlify get_services","url":"midas/sdk/netlify.html#get_services"},{"doc":"midas/sdk/netlify","title":"get_site","content":"pub fn get_site(token: String, site_id: String) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.get_site\nmidas/sdk/netlify get_site","url":"midas/sdk/netlify.html#get_site"},{"doc":"midas/sdk/netlify","title":"get_site_asset_info","content":"pub fn get_site_asset_info(\n  token: String,\n  site_id: String,\n  asset_id: String,\n) -&gt; Effect(Asset)\n\nSynonyms:\nmidas/sdk/netlify.get_site_asset_info\nmidas/sdk/netlify get_site_asset_info","url":"midas/sdk/netlify.html#get_site_asset_info"},{"doc":"midas/sdk/netlify","title":"get_site_asset_public_signature","content":"pub fn get_site_asset_public_signature(\n  token: String,\n  site_id: String,\n  asset_id: String,\n) -&gt; Effect(AssetPublicSignature)\n\nSynonyms:\nmidas/sdk/netlify.get_site_asset_public_signature\nmidas/sdk/netlify get_site_asset_public_signature","url":"midas/sdk/netlify.html#get_site_asset_public_signature"},{"doc":"midas/sdk/netlify","title":"get_site_build","content":"pub fn get_site_build(\n  token: String,\n  build_id: String,\n) -&gt; Effect(Build)\n\nSynonyms:\nmidas/sdk/netlify.get_site_build\nmidas/sdk/netlify get_site_build","url":"midas/sdk/netlify.html#get_site_build"},{"doc":"midas/sdk/netlify","title":"get_site_build_hook","content":"pub fn get_site_build_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(BuildHook)\n\nSynonyms:\nmidas/sdk/netlify.get_site_build_hook\nmidas/sdk/netlify get_site_build_hook","url":"midas/sdk/netlify.html#get_site_build_hook"},{"doc":"midas/sdk/netlify","title":"get_site_deploy","content":"pub fn get_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.get_site_deploy\nmidas/sdk/netlify get_site_deploy","url":"midas/sdk/netlify.html#get_site_deploy"},{"doc":"midas/sdk/netlify","title":"get_site_dev_server_hook","content":"pub fn get_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(DevServerHook)\n\nSynonyms:\nmidas/sdk/netlify.get_site_dev_server_hook\nmidas/sdk/netlify get_site_dev_server_hook","url":"midas/sdk/netlify.html#get_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"get_site_env_vars","content":"pub fn get_site_env_vars(\n  token: String,\n  site_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n) -&gt; Effect(List(EnvVar))\n\nSynonyms:\nmidas/sdk/netlify.get_site_env_vars\nmidas/sdk/netlify get_site_env_vars","url":"midas/sdk/netlify.html#get_site_env_vars"},{"doc":"midas/sdk/netlify","title":"get_site_file_by_path_name","content":"pub fn get_site_file_by_path_name(\n  token: String,\n  site_id: String,\n  file_path: String,\n) -&gt; Effect(File)\n\nSynonyms:\nmidas/sdk/netlify.get_site_file_by_path_name\nmidas/sdk/netlify get_site_file_by_path_name","url":"midas/sdk/netlify.html#get_site_file_by_path_name"},{"doc":"midas/sdk/netlify","title":"get_site_metadata","content":"pub fn get_site_metadata(\n  token: String,\n  site_id: String,\n) -&gt; Effect(Metadata)\n\nSynonyms:\nmidas/sdk/netlify.get_site_metadata\nmidas/sdk/netlify get_site_metadata","url":"midas/sdk/netlify.html#get_site_metadata"},{"doc":"midas/sdk/netlify","title":"get_site_snippet","content":"pub fn get_site_snippet(\n  token: String,\n  site_id: String,\n  snippet_id: String,\n) -&gt; Effect(Snippet)\n\nSynonyms:\nmidas/sdk/netlify.get_site_snippet\nmidas/sdk/netlify get_site_snippet","url":"midas/sdk/netlify.html#get_site_snippet"},{"doc":"midas/sdk/netlify","title":"get_split_test","content":"pub fn get_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n) -&gt; Effect(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify.get_split_test\nmidas/sdk/netlify get_split_test","url":"midas/sdk/netlify.html#get_split_test"},{"doc":"midas/sdk/netlify","title":"get_split_tests","content":"pub fn get_split_tests(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(SplitTest))\n\nSynonyms:\nmidas/sdk/netlify.get_split_tests\nmidas/sdk/netlify get_split_tests","url":"midas/sdk/netlify.html#get_split_tests"},{"doc":"midas/sdk/netlify","title":"list_account_audit_events","content":"pub fn list_account_audit_events(\n  token: String,\n  account_id: String,\n  query query: Option(String),\n  log_type log_type: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(AuditLog))\n\nSynonyms:\nmidas/sdk/netlify.list_account_audit_events\nmidas/sdk/netlify list_account_audit_events","url":"midas/sdk/netlify.html#list_account_audit_events"},{"doc":"midas/sdk/netlify","title":"list_account_types_for_user","content":"pub fn list_account_types_for_user(\n  token: String,\n) -&gt; Effect(List(AccountType))\n\nSynonyms:\nmidas/sdk/netlify.list_account_types_for_user\nmidas/sdk/netlify list_account_types_for_user","url":"midas/sdk/netlify.html#list_account_types_for_user"},{"doc":"midas/sdk/netlify","title":"list_accounts_for_user","content":"pub fn list_accounts_for_user(\n  token: String,\n) -&gt; Effect(List(AccountMembership))\n\nSynonyms:\nmidas/sdk/netlify.list_accounts_for_user\nmidas/sdk/netlify list_accounts_for_user","url":"midas/sdk/netlify.html#list_accounts_for_user"},{"doc":"midas/sdk/netlify","title":"list_deploy_keys","content":"pub fn list_deploy_keys(token: String) -&gt; Effect(List(DeployKey))\n\nSynonyms:\nmidas/sdk/netlify.list_deploy_keys\nmidas/sdk/netlify list_deploy_keys","url":"midas/sdk/netlify.html#list_deploy_keys"},{"doc":"midas/sdk/netlify","title":"list_form_submission","content":"pub fn list_form_submission(\n  token: String,\n  submission_id: String,\n  query query: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Submission))\n\nSynonyms:\nmidas/sdk/netlify.list_form_submission\nmidas/sdk/netlify list_form_submission","url":"midas/sdk/netlify.html#list_form_submission"},{"doc":"midas/sdk/netlify","title":"list_form_submissions","content":"pub fn list_form_submissions(\n  token: String,\n  form_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Submission))\n\nSynonyms:\nmidas/sdk/netlify.list_form_submissions\nmidas/sdk/netlify list_form_submissions","url":"midas/sdk/netlify.html#list_form_submissions"},{"doc":"midas/sdk/netlify","title":"list_hook_types","content":"pub fn list_hook_types(token: String) -&gt; Effect(List(HookType))\n\nSynonyms:\nmidas/sdk/netlify.list_hook_types\nmidas/sdk/netlify list_hook_types","url":"midas/sdk/netlify.html#list_hook_types"},{"doc":"midas/sdk/netlify","title":"list_hooks_by_site_id","content":"pub fn list_hooks_by_site_id(\n  token: String,\n  site_id site_id: String,\n) -&gt; Effect(List(Hook))\n\nSynonyms:\nmidas/sdk/netlify.list_hooks_by_site_id\nmidas/sdk/netlify list_hooks_by_site_id","url":"midas/sdk/netlify.html#list_hooks_by_site_id"},{"doc":"midas/sdk/netlify","title":"list_members_for_account","content":"pub fn list_members_for_account(\n  token: String,\n  account_slug: String,\n) -&gt; Effect(List(Member))\n\nSynonyms:\nmidas/sdk/netlify.list_members_for_account\nmidas/sdk/netlify list_members_for_account","url":"midas/sdk/netlify.html#list_members_for_account"},{"doc":"midas/sdk/netlify","title":"list_payment_methods_for_user","content":"pub fn list_payment_methods_for_user(\n  token: String,\n) -&gt; Effect(List(PaymentMethod))\n\nSynonyms:\nmidas/sdk/netlify.list_payment_methods_for_user\nmidas/sdk/netlify list_payment_methods_for_user","url":"midas/sdk/netlify.html#list_payment_methods_for_user"},{"doc":"midas/sdk/netlify","title":"list_service_instances_for_site","content":"pub fn list_service_instances_for_site(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(ServiceInstance))\n\nSynonyms:\nmidas/sdk/netlify.list_service_instances_for_site\nmidas/sdk/netlify list_service_instances_for_site","url":"midas/sdk/netlify.html#list_service_instances_for_site"},{"doc":"midas/sdk/netlify","title":"list_site_assets","content":"pub fn list_site_assets(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(Asset))\n\nSynonyms:\nmidas/sdk/netlify.list_site_assets\nmidas/sdk/netlify list_site_assets","url":"midas/sdk/netlify.html#list_site_assets"},{"doc":"midas/sdk/netlify","title":"list_site_build_hooks","content":"pub fn list_site_build_hooks(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(BuildHook))\n\nSynonyms:\nmidas/sdk/netlify.list_site_build_hooks\nmidas/sdk/netlify list_site_build_hooks","url":"midas/sdk/netlify.html#list_site_build_hooks"},{"doc":"midas/sdk/netlify","title":"list_site_builds","content":"pub fn list_site_builds(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Build))\n\nSynonyms:\nmidas/sdk/netlify.list_site_builds\nmidas/sdk/netlify list_site_builds","url":"midas/sdk/netlify.html#list_site_builds"},{"doc":"midas/sdk/netlify","title":"list_site_deployed_branches","content":"pub fn list_site_deployed_branches(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DeployedBranch))\n\nSynonyms:\nmidas/sdk/netlify.list_site_deployed_branches\nmidas/sdk/netlify list_site_deployed_branches","url":"midas/sdk/netlify.html#list_site_deployed_branches"},{"doc":"midas/sdk/netlify","title":"list_site_deploys","content":"pub fn list_site_deploys(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Effect(List(Deploy))\n\nSynonyms:\nmidas/sdk/netlify.list_site_deploys\nmidas/sdk/netlify list_site_deploys","url":"midas/sdk/netlify.html#list_site_deploys"},{"doc":"midas/sdk/netlify","title":"list_site_dev_server_hooks","content":"pub fn list_site_dev_server_hooks(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DevServerHook))\n\nSynonyms:\nmidas/sdk/netlify.list_site_dev_server_hooks\nmidas/sdk/netlify list_site_dev_server_hooks","url":"midas/sdk/netlify.html#list_site_dev_server_hooks"},{"doc":"midas/sdk/netlify","title":"list_site_dev_servers","content":"pub fn list_site_dev_servers(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(DevServer))\n\nSynonyms:\nmidas/sdk/netlify.list_site_dev_servers\nmidas/sdk/netlify list_site_dev_servers","url":"midas/sdk/netlify.html#list_site_dev_servers"},{"doc":"midas/sdk/netlify","title":"list_site_files","content":"pub fn list_site_files(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(File))\n\nSynonyms:\nmidas/sdk/netlify.list_site_files\nmidas/sdk/netlify list_site_files","url":"midas/sdk/netlify.html#list_site_files"},{"doc":"midas/sdk/netlify","title":"list_site_forms","content":"pub fn list_site_forms(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(Form))\n\nSynonyms:\nmidas/sdk/netlify.list_site_forms\nmidas/sdk/netlify list_site_forms","url":"midas/sdk/netlify.html#list_site_forms"},{"doc":"midas/sdk/netlify","title":"list_site_snippets","content":"pub fn list_site_snippets(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(Snippet))\n\nSynonyms:\nmidas/sdk/netlify.list_site_snippets\nmidas/sdk/netlify list_site_snippets","url":"midas/sdk/netlify.html#list_site_snippets"},{"doc":"midas/sdk/netlify","title":"list_site_submissions","content":"pub fn list_site_submissions(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Submission))\n\nSynonyms:\nmidas/sdk/netlify.list_site_submissions\nmidas/sdk/netlify list_site_submissions","url":"midas/sdk/netlify.html#list_site_submissions"},{"doc":"midas/sdk/netlify","title":"list_sites","content":"pub fn list_sites(\n  token: String,\n  name name: Option(String),\n  filter filter: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Site))\n\nSynonyms:\nmidas/sdk/netlify.list_sites\nmidas/sdk/netlify list_sites","url":"midas/sdk/netlify.html#list_sites"},{"doc":"midas/sdk/netlify","title":"list_sites_for_account","content":"pub fn list_sites_for_account(\n  token: String,\n  account_slug: String,\n  name name: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Site))\n\nSynonyms:\nmidas/sdk/netlify.list_sites_for_account\nmidas/sdk/netlify list_sites_for_account","url":"midas/sdk/netlify.html#list_sites_for_account"},{"doc":"midas/sdk/netlify","title":"lock_deploy","content":"pub fn lock_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.lock_deploy\nmidas/sdk/netlify lock_deploy","url":"midas/sdk/netlify.html#lock_deploy"},{"doc":"midas/sdk/netlify","title":"notify_build_start","content":"pub fn notify_build_start(\n  token: String,\n  build_id: String,\n  buildbot_version buildbot_version: Option(String),\n  build_version build_version: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.notify_build_start\nmidas/sdk/netlify notify_build_start","url":"midas/sdk/netlify.html#notify_build_start"},{"doc":"midas/sdk/netlify","title":"provision_site_tlscertificate","content":"pub fn provision_site_tlscertificate(\n  token: String,\n  site_id: String,\n  certificate certificate: Option(String),\n  key key: Option(String),\n  ca_certificates ca_certificates: Option(String),\n) -&gt; Effect(SniCertificate)\n\nSynonyms:\nmidas/sdk/netlify.provision_site_tlscertificate\nmidas/sdk/netlify provision_site_tlscertificate","url":"midas/sdk/netlify.html#provision_site_tlscertificate"},{"doc":"midas/sdk/netlify","title":"remove_account_member","content":"pub fn remove_account_member(\n  token: String,\n  account_slug: String,\n  member_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.remove_account_member\nmidas/sdk/netlify remove_account_member","url":"midas/sdk/netlify.html#remove_account_member"},{"doc":"midas/sdk/netlify","title":"restore_site_deploy","content":"pub fn restore_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.restore_site_deploy\nmidas/sdk/netlify restore_site_deploy","url":"midas/sdk/netlify.html#restore_site_deploy"},{"doc":"midas/sdk/netlify","title":"rollback_site_deploy","content":"pub fn rollback_site_deploy(\n  token: String,\n  site_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.rollback_site_deploy\nmidas/sdk/netlify rollback_site_deploy","url":"midas/sdk/netlify.html#rollback_site_deploy"},{"doc":"midas/sdk/netlify","title":"search_site_functions","content":"pub fn search_site_functions(\n  token: String,\n  site_id: String,\n  filter filter: Option(String),\n) -&gt; Effect(List(SiteFunction))\n\nSynonyms:\nmidas/sdk/netlify.search_site_functions\nmidas/sdk/netlify search_site_functions","url":"midas/sdk/netlify.html#search_site_functions"},{"doc":"midas/sdk/netlify","title":"set_env_var_value","content":"pub fn set_env_var_value(\n  token: String,\n  account_id: String,\n  key: String,\n  data: BitArray,\n  site_id site_id: Option(String),\n) -&gt; Effect(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify.set_env_var_value\nmidas/sdk/netlify set_env_var_value","url":"midas/sdk/netlify.html#set_env_var_value"},{"doc":"midas/sdk/netlify","title":"show_service","content":"pub fn show_service(\n  token: String,\n  addon_name: String,\n) -&gt; Effect(Service)\n\nSynonyms:\nmidas/sdk/netlify.show_service\nmidas/sdk/netlify show_service","url":"midas/sdk/netlify.html#show_service"},{"doc":"midas/sdk/netlify","title":"show_service_instance","content":"pub fn show_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Effect(ServiceInstance)\n\nSynonyms:\nmidas/sdk/netlify.show_service_instance\nmidas/sdk/netlify show_service_instance","url":"midas/sdk/netlify.html#show_service_instance"},{"doc":"midas/sdk/netlify","title":"show_service_manifest","content":"pub fn show_service_manifest(\n  token: String,\n  addon_name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/netlify.show_service_manifest\nmidas/sdk/netlify show_service_manifest","url":"midas/sdk/netlify.html#show_service_manifest"},{"doc":"midas/sdk/netlify","title":"show_site_tlscertificate","content":"pub fn show_site_tlscertificate(\n  token: String,\n  site_id: String,\n) -&gt; Effect(SniCertificate)\n\nSynonyms:\nmidas/sdk/netlify.show_site_tlscertificate\nmidas/sdk/netlify show_site_tlscertificate","url":"midas/sdk/netlify.html#show_site_tlscertificate"},{"doc":"midas/sdk/netlify","title":"show_ticket","content":"pub fn show_ticket(\n  token: String,\n  ticket_id: String,\n) -&gt; Effect(Ticket)\n\nSynonyms:\nmidas/sdk/netlify.show_ticket\nmidas/sdk/netlify show_ticket","url":"midas/sdk/netlify.html#show_ticket"},{"doc":"midas/sdk/netlify","title":"transfer_dns_zone","content":"pub fn transfer_dns_zone(\n  token: String,\n  zone_id: String,\n  account_id account_id: String,\n  transfer_account_id transfer_account_id: String,\n  transfer_user_id transfer_user_id: String,\n) -&gt; Effect(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify.transfer_dns_zone\nmidas/sdk/netlify transfer_dns_zone","url":"midas/sdk/netlify.html#transfer_dns_zone"},{"doc":"midas/sdk/netlify","title":"unlock_deploy","content":"pub fn unlock_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.unlock_deploy\nmidas/sdk/netlify unlock_deploy","url":"midas/sdk/netlify.html#unlock_deploy"},{"doc":"midas/sdk/netlify","title":"update_account","content":"pub fn update_account(\n  token: String,\n  account_id: String,\n  account_update_setup: AccountUpdateSetup,\n) -&gt; Effect(AccountMembership)\n\nSynonyms:\nmidas/sdk/netlify.update_account\nmidas/sdk/netlify update_account","url":"midas/sdk/netlify.html#update_account"},{"doc":"midas/sdk/netlify","title":"update_account_member","content":"pub fn update_account_member(\n  token: String,\n  account_slug: String,\n  member_id: String,\n  account_update_member_setup: AccountUpdateMemberSetup,\n) -&gt; Effect(Member)\n\nSynonyms:\nmidas/sdk/netlify.update_account_member\nmidas/sdk/netlify update_account_member","url":"midas/sdk/netlify.html#update_account_member"},{"doc":"midas/sdk/netlify","title":"update_env_var","content":"pub fn update_env_var(\n  token: String,\n  account_id: String,\n  key: String,\n  data: BitArray,\n  site_id site_id: Option(String),\n) -&gt; Effect(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify.update_env_var\nmidas/sdk/netlify update_env_var","url":"midas/sdk/netlify.html#update_env_var"},{"doc":"midas/sdk/netlify","title":"update_hook","content":"pub fn update_hook(\n  token: String,\n  hook_id: String,\n  hook: Hook,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.update_hook\nmidas/sdk/netlify update_hook","url":"midas/sdk/netlify.html#update_hook"},{"doc":"midas/sdk/netlify","title":"update_service_instance","content":"pub fn update_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  instance_id: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_service_instance\nmidas/sdk/netlify update_service_instance","url":"midas/sdk/netlify.html#update_service_instance"},{"doc":"midas/sdk/netlify","title":"update_site","content":"pub fn update_site(\n  token: String,\n  site_id: String,\n  site_setup: SiteSetup,\n) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.update_site\nmidas/sdk/netlify update_site","url":"midas/sdk/netlify.html#update_site"},{"doc":"midas/sdk/netlify","title":"update_site_asset","content":"pub fn update_site_asset(\n  token: String,\n  site_id: String,\n  asset_id: String,\n  state state: String,\n) -&gt; Effect(Asset)\n\nSynonyms:\nmidas/sdk/netlify.update_site_asset\nmidas/sdk/netlify update_site_asset","url":"midas/sdk/netlify.html#update_site_asset"},{"doc":"midas/sdk/netlify","title":"update_site_build_hook","content":"pub fn update_site_build_hook(\n  token: String,\n  site_id: String,\n  id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_build_hook\nmidas/sdk/netlify update_site_build_hook","url":"midas/sdk/netlify.html#update_site_build_hook"},{"doc":"midas/sdk/netlify","title":"update_site_build_log","content":"pub fn update_site_build_log(\n  token: String,\n  build_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_build_log\nmidas/sdk/netlify update_site_build_log","url":"midas/sdk/netlify.html#update_site_build_log"},{"doc":"midas/sdk/netlify","title":"update_site_deploy","content":"pub fn update_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n  deploy_files: DeployFiles,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.update_site_deploy\nmidas/sdk/netlify update_site_deploy","url":"midas/sdk/netlify.html#update_site_deploy"},{"doc":"midas/sdk/netlify","title":"update_site_dev_server_hook","content":"pub fn update_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_dev_server_hook\nmidas/sdk/netlify update_site_dev_server_hook","url":"midas/sdk/netlify.html#update_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"update_site_metadata","content":"pub fn update_site_metadata(\n  token: String,\n  site_id: String,\n  metadata: Metadata,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_metadata\nmidas/sdk/netlify update_site_metadata","url":"midas/sdk/netlify.html#update_site_metadata"},{"doc":"midas/sdk/netlify","title":"update_site_snippet","content":"pub fn update_site_snippet(\n  token: String,\n  site_id: String,\n  snippet_id: String,\n  snippet: Snippet,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_snippet\nmidas/sdk/netlify update_site_snippet","url":"midas/sdk/netlify.html#update_site_snippet"},{"doc":"midas/sdk/netlify","title":"update_split_test","content":"pub fn update_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Effect(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify.update_split_test\nmidas/sdk/netlify update_split_test","url":"midas/sdk/netlify.html#update_split_test"},{"doc":"midas/sdk/netlify","title":"upload_deploy_file","content":"pub fn upload_deploy_file(\n  token: String,\n  deploy_id: String,\n  path: String,\n  size size: Option(Int),\n) -&gt; Effect(File)\n\nSynonyms:\nmidas/sdk/netlify.upload_deploy_file\nmidas/sdk/netlify upload_deploy_file","url":"midas/sdk/netlify.html#upload_deploy_file"},{"doc":"midas/sdk/netlify","title":"upload_deploy_function","content":"pub fn upload_deploy_function(\n  token: String,\n  deploy_id: String,\n  name: String,\n  runtime runtime: Option(String),\n  invocation_mode invocation_mode: Option(String),\n  timeout timeout: Option(Int),\n  size size: Option(Int),\n) -&gt; Effect(Function)\n\nSynonyms:\nmidas/sdk/netlify.upload_deploy_function\nmidas/sdk/netlify upload_deploy_function","url":"midas/sdk/netlify.html#upload_deploy_function"},{"doc":"midas/sdk/netlify","title":"midas/sdk/netlify","content":"","url":"midas/sdk/netlify.html"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"BusDeparture","content":"pub type BusDeparture {\n  BusDeparture(\n    journey_direction: Int,\n    destination: String,\n    timetabled: String,\n    expected: String,\n    display: String,\n  )\n}\n\nBusDeparture(\n  journey_direction: Int,\n  destination: String,\n  timetabled: String,\n  expected: String,\n  display: String,\n)\n\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.BusDeparture\nmidas/sdk/trafiklab/realtidsinformation_4 BusDeparture","url":"midas/sdk/trafiklab/realtidsinformation_4.html#BusDeparture"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"eyvind_johnsons_gata","content":"pub const eyvind_johnsons_gata: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.eyvind_johnsons_gata\nmidas/sdk/trafiklab/realtidsinformation_4 eyvind_johnsons_gata","url":"midas/sdk/trafiklab/realtidsinformation_4.html#eyvind_johnsons_gata"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"moa_martinsons_torg","content":"pub const moa_martinsons_torg: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.moa_martinsons_torg\nmidas/sdk/trafiklab/realtidsinformation_4 moa_martinsons_torg","url":"midas/sdk/trafiklab/realtidsinformation_4.html#moa_martinsons_torg"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"bus_departure_decoder","content":"pub fn bus_departure_decoder(\n  raw: Dynamic,\n) -&gt; Result(BusDeparture, List(DecodeError))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.bus_departure_decoder\nmidas/sdk/trafiklab/realtidsinformation_4 bus_departure_decoder","url":"midas/sdk/trafiklab/realtidsinformation_4.html#bus_departure_decoder"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures","content":"pub fn departures(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Effect(List(BusDeparture))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures\nmidas/sdk/trafiklab/realtidsinformation_4 departures","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_request","content":"pub fn departures_request(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_request\nmidas/sdk/trafiklab/realtidsinformation_4 departures_request","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_request"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_response","content":"pub fn departures_response(\n  response: Response(BitArray),\n) -&gt; Result(List(BusDeparture), Snag)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_response\nmidas/sdk/trafiklab/realtidsinformation_4 departures_response","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_response"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"midas/sdk/trafiklab/realtidsinformation_4","content":"","url":"midas/sdk/trafiklab/realtidsinformation_4.html"},{"doc":"midas/sdk/twitter","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/twitter.api_host\nmidas/sdk/twitter api_host","url":"midas/sdk/twitter.html#api_host"},{"doc":"midas/sdk/twitter","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/twitter.auth_redirect\nmidas/sdk/twitter auth_redirect","url":"midas/sdk/twitter.html#auth_redirect"},{"doc":"midas/sdk/twitter","title":"auth_url","content":"pub fn auth_url(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n  state: String,\n  challenge: String,\n) -&gt; String\n\nSynonyms:\nmidas/sdk/twitter.auth_url\nmidas/sdk/twitter auth_url","url":"midas/sdk/twitter.html#auth_url"},{"doc":"midas/sdk/twitter","title":"authenticate","content":"pub fn authenticate(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/twitter.authenticate\nmidas/sdk/twitter authenticate","url":"midas/sdk/twitter.html#authenticate"},{"doc":"midas/sdk/twitter","title":"create_tweet","content":"pub fn create_tweet(\n  token: String,\n  text: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.create_tweet\nmidas/sdk/twitter create_tweet","url":"midas/sdk/twitter.html#create_tweet"},{"doc":"midas/sdk/twitter","title":"create_tweet_request","content":"pub fn create_tweet_request(\n  token: String,\n  text: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.create_tweet_request\nmidas/sdk/twitter create_tweet_request","url":"midas/sdk/twitter.html#create_tweet_request"},{"doc":"midas/sdk/twitter","title":"do_authenticate","content":"pub fn do_authenticate(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n  state: String,\n  challenge: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/twitter.do_authenticate\nmidas/sdk/twitter do_authenticate","url":"midas/sdk/twitter.html#do_authenticate"},{"doc":"midas/sdk/twitter","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  code_verifier: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.token_request\nmidas/sdk/twitter token_request","url":"midas/sdk/twitter.html#token_request"},{"doc":"midas/sdk/twitter","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/twitter.token_response\nmidas/sdk/twitter token_response","url":"midas/sdk/twitter.html#token_response"},{"doc":"midas/sdk/twitter","title":"user_by_username","content":"pub fn user_by_username(\n  token: String,\n  username: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.user_by_username\nmidas/sdk/twitter user_by_username","url":"midas/sdk/twitter.html#user_by_username"},{"doc":"midas/sdk/twitter","title":"user_by_username_request","content":"pub fn user_by_username_request(\n  token: String,\n  username: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_by_username_request\nmidas/sdk/twitter user_by_username_request","url":"midas/sdk/twitter.html#user_by_username_request"},{"doc":"midas/sdk/twitter","title":"user_timeline","content":"pub fn user_timeline(\n  token: String,\n  user_id: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline\nmidas/sdk/twitter user_timeline","url":"midas/sdk/twitter.html#user_timeline"},{"doc":"midas/sdk/twitter","title":"user_timeline_request","content":"pub fn user_timeline_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_request\nmidas/sdk/twitter user_timeline_request","url":"midas/sdk/twitter.html#user_timeline_request"},{"doc":"midas/sdk/twitter","title":"user_timeline_response","content":"pub fn user_timeline_response(\n  response: Response(BitArray),\n) -&gt; Result(Dynamic, a)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_response\nmidas/sdk/twitter user_timeline_response","url":"midas/sdk/twitter.html#user_timeline_response"},{"doc":"midas/sdk/twitter","title":"midas/sdk/twitter","content":"","url":"midas/sdk/twitter.html"},{"doc":"midas/sdk/vimeo","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/vimeo.App\nmidas/sdk/vimeo App","url":"midas/sdk/vimeo.html#App"},{"doc":"midas/sdk/vimeo","title":"Video","content":"pub type Video {\n  Video(\n    name: String,\n    link: String,\n    duration: Int,\n    created_time: String,\n    plays: Int,\n    has_audio: Bool,\n  )\n}\n\nVideo(\n  name: String,\n  link: String,\n  duration: Int,\n  created_time: String,\n  plays: Int,\n  has_audio: Bool,\n)\n\n\nSynonyms:\nmidas/sdk/vimeo.Video\nmidas/sdk/vimeo Video","url":"midas/sdk/vimeo.html#Video"},{"doc":"midas/sdk/vimeo","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/vimeo.auth_redirect\nmidas/sdk/vimeo auth_redirect","url":"midas/sdk/vimeo.html#auth_redirect"},{"doc":"midas/sdk/vimeo","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/vimeo.authenticate\nmidas/sdk/vimeo authenticate","url":"midas/sdk/vimeo.html#authenticate"},{"doc":"midas/sdk/vimeo","title":"my_videos","content":"pub fn my_videos(token: String) -&gt; Effect(List(Video))\n\nSynonyms:\nmidas/sdk/vimeo.my_videos\nmidas/sdk/vimeo my_videos","url":"midas/sdk/vimeo.html#my_videos"},{"doc":"midas/sdk/vimeo","title":"my_videos_request","content":"pub fn my_videos_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_request\nmidas/sdk/vimeo my_videos_request","url":"midas/sdk/vimeo.html#my_videos_request"},{"doc":"midas/sdk/vimeo","title":"my_videos_response","content":"pub fn my_videos_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Video), Snag)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_response\nmidas/sdk/vimeo my_videos_response","url":"midas/sdk/vimeo.html#my_videos_response"},{"doc":"midas/sdk/vimeo","title":"video_decoder","content":"pub fn video_decoder(\n  data: Dynamic,\n) -&gt; Result(Video, List(DecodeError))\n\nSynonyms:\nmidas/sdk/vimeo.video_decoder\nmidas/sdk/vimeo video_decoder","url":"midas/sdk/vimeo.html#video_decoder"},{"doc":"midas/sdk/vimeo","title":"midas/sdk/vimeo","content":"","url":"midas/sdk/vimeo.html"}]);